/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs

#define yylval          base_yylval
#define yychar          base_yychar
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */
#line 5 "preproc.y" /* yacc.c:339  */

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

static struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

static void vmmerror(int error_code, enum errortype type, const char *error, va_list ap) pg_attribute_printf(3, 0);

/*
 * Handle parsing errors and warnings
 */
static void
vmmerror(int error_code, enum errortype type, const char *error, va_list ap)
{
	/* localize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, base_yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	vfprintf(stderr, error, ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
	}
}

void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, type, error, ap);
	va_end(ap);
}

void
mmfatal(int error_code, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, ET_ERROR, error, ap);
	va_end(ap);

	if (base_yyin)
		fclose(base_yyin);
	if (base_yyout)
		fclose(base_yyout);

	if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
		fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
	exit(error_code);
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(base_yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essentially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}

#line 647 "preproc.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "preproc.h".  */
#ifndef YY_BASE_YY_PREPROC_H_INCLUDED
# define YY_BASE_YY_PREPROC_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    SQL_ALLOCATE = 258,
    SQL_AUTOCOMMIT = 259,
    SQL_BOOL = 260,
    SQL_BREAK = 261,
    SQL_CALL = 262,
    SQL_CARDINALITY = 263,
    SQL_CONNECT = 264,
    SQL_COUNT = 265,
    SQL_DATETIME_INTERVAL_CODE = 266,
    SQL_DATETIME_INTERVAL_PRECISION = 267,
    SQL_DESCRIBE = 268,
    SQL_DESCRIPTOR = 269,
    SQL_DISCONNECT = 270,
    SQL_FOUND = 271,
    SQL_FREE = 272,
    SQL_GET = 273,
    SQL_GO = 274,
    SQL_GOTO = 275,
    SQL_IDENTIFIED = 276,
    SQL_INDICATOR = 277,
    SQL_KEY_MEMBER = 278,
    SQL_LENGTH = 279,
    SQL_LONG = 280,
    SQL_NULLABLE = 281,
    SQL_OCTET_LENGTH = 282,
    SQL_OPEN = 283,
    SQL_OUTPUT = 284,
    SQL_REFERENCE = 285,
    SQL_RETURNED_LENGTH = 286,
    SQL_RETURNED_OCTET_LENGTH = 287,
    SQL_SCALE = 288,
    SQL_SECTION = 289,
    SQL_SHORT = 290,
    SQL_SIGNED = 291,
    SQL_SQLERROR = 292,
    SQL_SQLPRINT = 293,
    SQL_SQLWARNING = 294,
    SQL_START = 295,
    SQL_STOP = 296,
    SQL_STRUCT = 297,
    SQL_UNSIGNED = 298,
    SQL_VAR = 299,
    SQL_WHENEVER = 300,
    S_ADD = 301,
    S_AND = 302,
    S_ANYTHING = 303,
    S_AUTO = 304,
    S_CONST = 305,
    S_DEC = 306,
    S_DIV = 307,
    S_DOTPOINT = 308,
    S_EQUAL = 309,
    S_EXTERN = 310,
    S_INC = 311,
    S_LSHIFT = 312,
    S_MEMPOINT = 313,
    S_MEMBER = 314,
    S_MOD = 315,
    S_MUL = 316,
    S_NEQUAL = 317,
    S_OR = 318,
    S_REGISTER = 319,
    S_RSHIFT = 320,
    S_STATIC = 321,
    S_SUB = 322,
    S_VOLATILE = 323,
    S_TYPEDEF = 324,
    CSTRING = 325,
    CVARIABLE = 326,
    CPP_LINE = 327,
    IP = 328,
    DOLCONST = 329,
    ECONST = 330,
    NCONST = 331,
    UCONST = 332,
    UIDENT = 333,
    IDENT = 334,
    FCONST = 335,
    SCONST = 336,
    BCONST = 337,
    XCONST = 338,
    Op = 339,
    ICONST = 340,
    PARAM = 341,
    TYPECAST = 342,
    DOT_DOT = 343,
    COLON_EQUALS = 344,
    EQUALS_GREATER = 345,
    LESS_EQUALS = 346,
    GREATER_EQUALS = 347,
    NOT_EQUALS = 348,
    ABORT_P = 349,
    ABSOLUTE_P = 350,
    ACCESS = 351,
    ACTION = 352,
    ADD_P = 353,
    ADMIN = 354,
    AFTER = 355,
    AGGREGATE = 356,
    ALL = 357,
    ALSO = 358,
    ALTER = 359,
    ALWAYS = 360,
    ANALYSE = 361,
    ANALYZE = 362,
    AND = 363,
    ANY = 364,
    ARRAY = 365,
    AS = 366,
    ASC = 367,
    ASSERTION = 368,
    ASSIGNMENT = 369,
    ASYMMETRIC = 370,
    AT = 371,
    ATTRIBUTE = 372,
    AUTHORIZATION = 373,
    BACKWARD = 374,
    BEFORE = 375,
    BEGIN_P = 376,
    BETWEEN = 377,
    BIGINT = 378,
    BINARY = 379,
    BIT = 380,
    BOOLEAN_P = 381,
    BOTH = 382,
    BY = 383,
    CACHE = 384,
    CALLED = 385,
    CASCADE = 386,
    CASCADED = 387,
    CASE = 388,
    CAST = 389,
    CATALOG_P = 390,
    CHAIN = 391,
    CHAR_P = 392,
    CHARACTER = 393,
    CHARACTERISTICS = 394,
    CHECK = 395,
    CHECKPOINT = 396,
    CLASS = 397,
    CLOSE = 398,
    CLUSTER = 399,
    COALESCE = 400,
    COLLATE = 401,
    COLLATION = 402,
    COLUMN = 403,
    COMMENT = 404,
    COMMENTS = 405,
    COMMIT = 406,
    COMMITTED = 407,
    CONCURRENTLY = 408,
    CONFIGURATION = 409,
    CONFLICT = 410,
    CONNECTION = 411,
    CONSTRAINT = 412,
    CONSTRAINTS = 413,
    CONTENT_P = 414,
    CONTINUE_P = 415,
    CONVERSION_P = 416,
    COPY = 417,
    COST = 418,
    CREATE = 419,
    CROSS = 420,
    CSV = 421,
    CUBE = 422,
    CURRENT_P = 423,
    CURRENT_CATALOG = 424,
    CURRENT_DATE = 425,
    CURRENT_ROLE = 426,
    CURRENT_SCHEMA = 427,
    CURRENT_TIME = 428,
    CURRENT_TIMESTAMP = 429,
    CURRENT_USER = 430,
    CURSOR = 431,
    CYCLE = 432,
    DATA_P = 433,
    DATABASE = 434,
    DAY_P = 435,
    DEALLOCATE = 436,
    DEC = 437,
    DECIMAL_P = 438,
    DECLARE = 439,
    DEFAULT = 440,
    DEFAULTS = 441,
    DEFERRABLE = 442,
    DEFERRED = 443,
    DEFINER = 444,
    DELETE_P = 445,
    DELIMITER = 446,
    DELIMITERS = 447,
    DEPENDS = 448,
    DESC = 449,
    DICTIONARY = 450,
    DISABLE_P = 451,
    DISCARD = 452,
    DISTINCT = 453,
    DO = 454,
    DOCUMENT_P = 455,
    DOMAIN_P = 456,
    DOUBLE_P = 457,
    DROP = 458,
    EACH = 459,
    ELSE = 460,
    ENABLE_P = 461,
    ENCODING = 462,
    ENCRYPTED = 463,
    END_P = 464,
    ENUM_P = 465,
    ESCAPE = 466,
    EVENT = 467,
    EXCEPT = 468,
    EXCLUDE = 469,
    EXCLUDING = 470,
    EXCLUSIVE = 471,
    EXECUTE = 472,
    EXISTS = 473,
    EXPLAIN = 474,
    EXTENSION = 475,
    EXTERNAL = 476,
    EXTRACT = 477,
    FALSE_P = 478,
    FAMILY = 479,
    FETCH = 480,
    FILTER = 481,
    FIRST_P = 482,
    FLOAT_P = 483,
    FOLLOWING = 484,
    FOR = 485,
    FORCE = 486,
    FOREIGN = 487,
    FORWARD = 488,
    FREEZE = 489,
    FROM = 490,
    FULL = 491,
    FUNCTION = 492,
    FUNCTIONS = 493,
    GLOBAL = 494,
    GRANT = 495,
    GRANTED = 496,
    GREATEST = 497,
    GROUP_P = 498,
    GROUPING = 499,
    HANDLER = 500,
    HAVING = 501,
    HEADER_P = 502,
    HOLD = 503,
    HOUR_P = 504,
    IDENTITY_P = 505,
    IF_P = 506,
    ILIKE = 507,
    IMMEDIATE = 508,
    IMMUTABLE = 509,
    IMPLICIT_P = 510,
    IMPORT_P = 511,
    IN_P = 512,
    INCLUDING = 513,
    INCREMENT = 514,
    INDEX = 515,
    INDEXES = 516,
    INHERIT = 517,
    INHERITS = 518,
    INITIALLY = 519,
    INLINE_P = 520,
    INNER_P = 521,
    INOUT = 522,
    INPUT_P = 523,
    INSENSITIVE = 524,
    INSERT = 525,
    INSTEAD = 526,
    INT_P = 527,
    INTEGER = 528,
    INTERSECT = 529,
    INTERVAL = 530,
    INTO = 531,
    INVOKER = 532,
    IS = 533,
    ISNULL = 534,
    ISOLATION = 535,
    JOIN = 536,
    KEY = 537,
    LABEL = 538,
    LANGUAGE = 539,
    LARGE_P = 540,
    LAST_P = 541,
    LATERAL_P = 542,
    LEADING = 543,
    LEAKPROOF = 544,
    LEAST = 545,
    LEFT = 546,
    LEVEL = 547,
    LIKE = 548,
    LIMIT = 549,
    LISTEN = 550,
    LOAD = 551,
    LOCAL = 552,
    LOCALTIME = 553,
    LOCALTIMESTAMP = 554,
    LOCATION = 555,
    LOCK_P = 556,
    LOCKED = 557,
    LOGGED = 558,
    MAPPING = 559,
    MATCH = 560,
    MATERIALIZED = 561,
    MAXVALUE = 562,
    METHOD = 563,
    MINUTE_P = 564,
    MINVALUE = 565,
    MODE = 566,
    MONTH_P = 567,
    MOVE = 568,
    NAME_P = 569,
    NAMES = 570,
    NATIONAL = 571,
    NATURAL = 572,
    NCHAR = 573,
    NEXT = 574,
    NO = 575,
    NONE = 576,
    NOT = 577,
    NOTHING = 578,
    NOTIFY = 579,
    NOTNULL = 580,
    NOWAIT = 581,
    NULL_P = 582,
    NULLIF = 583,
    NULLS_P = 584,
    NUMERIC = 585,
    OBJECT_P = 586,
    OF = 587,
    OFF = 588,
    OFFSET = 589,
    OIDS = 590,
    ON = 591,
    ONLY = 592,
    OPERATOR = 593,
    OPTION = 594,
    OPTIONS = 595,
    OR = 596,
    ORDER = 597,
    ORDINALITY = 598,
    OUT_P = 599,
    OUTER_P = 600,
    OVER = 601,
    OVERLAPS = 602,
    OVERLAY = 603,
    OWNED = 604,
    OWNER = 605,
    PARALLEL = 606,
    PARSER = 607,
    PARTIAL = 608,
    PARTITION = 609,
    PASSING = 610,
    PASSWORD = 611,
    PLACING = 612,
    PLANS = 613,
    POLICY = 614,
    POSITION = 615,
    PRECEDING = 616,
    PRECISION = 617,
    PRESERVE = 618,
    PREPARE = 619,
    PREPARED = 620,
    PRIMARY = 621,
    PRIOR = 622,
    PRIVILEGES = 623,
    PROCEDURAL = 624,
    PROCEDURE = 625,
    PROGRAM = 626,
    QUOTE = 627,
    RANGE = 628,
    READ = 629,
    REAL = 630,
    REASSIGN = 631,
    RECHECK = 632,
    RECURSIVE = 633,
    REF = 634,
    REFERENCES = 635,
    REFRESH = 636,
    REINDEX = 637,
    RELATIVE_P = 638,
    RELEASE = 639,
    RENAME = 640,
    REPEATABLE = 641,
    REPLACE = 642,
    REPLICA = 643,
    RESET = 644,
    RESTART = 645,
    RESTRICT = 646,
    RETURNING = 647,
    RETURNS = 648,
    REVOKE = 649,
    RIGHT = 650,
    ROLE = 651,
    ROLLBACK = 652,
    ROLLUP = 653,
    ROW = 654,
    ROWS = 655,
    RULE = 656,
    SAVEPOINT = 657,
    SCHEMA = 658,
    SCROLL = 659,
    SEARCH = 660,
    SECOND_P = 661,
    SECURITY = 662,
    SELECT = 663,
    SEQUENCE = 664,
    SEQUENCES = 665,
    SERIALIZABLE = 666,
    SERVER = 667,
    SESSION = 668,
    SESSION_USER = 669,
    SET = 670,
    SETS = 671,
    SETOF = 672,
    SHARE = 673,
    SHOW = 674,
    SIMILAR = 675,
    SIMPLE = 676,
    SKIP = 677,
    SMALLINT = 678,
    SNAPSHOT = 679,
    SOME = 680,
    SQL_P = 681,
    STABLE = 682,
    STANDALONE_P = 683,
    START = 684,
    STATEMENT = 685,
    STATISTICS = 686,
    STDIN = 687,
    STDOUT = 688,
    STORAGE = 689,
    STRICT_P = 690,
    STRIP_P = 691,
    SUBSTRING = 692,
    SYMMETRIC = 693,
    SYSID = 694,
    SYSTEM_P = 695,
    TABLE = 696,
    TABLES = 697,
    TABLESAMPLE = 698,
    TABLESPACE = 699,
    TEMP = 700,
    TEMPLATE = 701,
    TEMPORARY = 702,
    TEXT_P = 703,
    THEN = 704,
    TIME = 705,
    TIMESTAMP = 706,
    TO = 707,
    TRAILING = 708,
    TRANSACTION = 709,
    TRANSFORM = 710,
    TREAT = 711,
    TRIGGER = 712,
    TRIM = 713,
    TRUE_P = 714,
    TRUNCATE = 715,
    TRUSTED = 716,
    TYPE_P = 717,
    TYPES_P = 718,
    UNBOUNDED = 719,
    UNCOMMITTED = 720,
    UNENCRYPTED = 721,
    UNION = 722,
    UNIQUE = 723,
    UNKNOWN = 724,
    UNLISTEN = 725,
    UNLOGGED = 726,
    UNTIL = 727,
    UPDATE = 728,
    USER = 729,
    USING = 730,
    VACUUM = 731,
    VALID = 732,
    VALIDATE = 733,
    VALIDATOR = 734,
    VALUE_P = 735,
    VALUES = 736,
    VARCHAR = 737,
    VARIADIC = 738,
    VARYING = 739,
    VERBOSE = 740,
    VERSION_P = 741,
    VIEW = 742,
    VIEWS = 743,
    VOLATILE = 744,
    WHEN = 745,
    WHERE = 746,
    WHITESPACE_P = 747,
    WINDOW = 748,
    WITH = 749,
    WITHIN = 750,
    WITHOUT = 751,
    WORK = 752,
    WRAPPER = 753,
    WRITE = 754,
    XML_P = 755,
    XMLATTRIBUTES = 756,
    XMLCONCAT = 757,
    XMLELEMENT = 758,
    XMLEXISTS = 759,
    XMLFOREST = 760,
    XMLPARSE = 761,
    XMLPI = 762,
    XMLROOT = 763,
    XMLSERIALIZE = 764,
    YEAR_P = 765,
    YES_P = 766,
    ZONE = 767,
    NOT_LA = 768,
    NULLS_LA = 769,
    WITH_LA = 770,
    POSTFIXOP = 771,
    UMINUS = 772
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 581 "preproc.y" /* yacc.c:355  */

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;

#line 1220 "preproc.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


extern YYSTYPE base_yylval;
extern YYLTYPE base_yylloc;
int base_yyparse (void);

#endif /* !YY_BASE_YY_PREPROC_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1251 "preproc.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   126490

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  537
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  761
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2987
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5635

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   772

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   524,     2,     2,
     529,   530,   522,   520,   532,   521,   531,   523,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   534,   533,
     516,   518,   517,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   527,     2,   528,   525,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   535,     2,   536,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   519,   526
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1561,  1561,  1564,  1566,  1568,  1570,  1572,  1574,  1576,
    1578,  1580,  1582,  1584,  1586,  1588,  1590,  1592,  1594,  1596,
    1598,  1600,  1602,  1604,  1606,  1608,  1610,  1612,  1614,  1616,
    1618,  1620,  1622,  1624,  1626,  1628,  1646,  1648,  1650,  1652,
    1654,  1656,  1658,  1660,  1662,  1664,  1666,  1668,  1670,  1672,
    1674,  1676,  1678,  1680,  1682,  1684,  1686,  1688,  1690,  1692,
    1694,  1696,  1698,  1700,  1702,  1704,  1706,  1708,  1710,  1712,
    1716,  1718,  1720,  1722,  1724,  1726,  1728,  1730,  1732,  1734,
    1736,  1738,  1740,  1742,  1744,  1746,  1748,  1750,  1752,  1754,
    1756,  1758,  1760,  1762,  1764,  1766,  1768,  1770,  1772,  1774,
    1776,  1778,  1780,  1782,  1784,  1786,  1788,  1790,  1797,  1799,
    1801,  1803,  1805,  1807,  1809,  1811,  1813,  1815,  1817,  1819,
    1825,  1827,  1829,  1831,  1833,  1835,  1837,  1839,  1841,  1847,
    1857,  1861,  1867,  1871,  1881,  1891,  1892,  1906,  1913,  1919,
    1930,  1936,  1945,  1952,  1958,  1967,  1974,  1982,  1987,  1995,
    1999,  2004,  2010,  2015,  2021,  2026,  2032,  2036,  2040,  2044,
    2048,  2052,  2056,  2060,  2064,  2072,  2076,  2080,  2084,  2088,
    2092,  2100,  2108,  2117,  2119,  2127,  2131,  2139,  2147,  2151,
    2159,  2163,  2171,  2175,  2183,  2191,  2199,  2203,  2211,  2215,
    2223,  2227,  2231,  2236,  2245,  2250,  2256,  2261,  2267,  2271,
    2275,  2279,  2283,  2287,  2295,  2299,  2303,  2311,  2315,  2319,
    2327,  2331,  2335,  2339,  2340,  2344,  2348,  2352,  2357,  2361,
    2365,  2369,  2373,  2377,  2381,  2389,  2393,  2401,  2405,  2413,
    2417,  2431,  2435,  2439,  2443,  2451,  2455,  2459,  2463,  2471,
    2475,  2479,  2483,  2487,  2491,  2495,  2503,  2507,  2512,  2518,
    2522,  2530,  2538,  2542,  2546,  2550,  2558,  2562,  2570,  2574,
    2582,  2586,  2594,  2598,  2602,  2606,  2610,  2619,  2627,  2631,
    2639,  2643,  2651,  2659,  2663,  2667,  2671,  2675,  2683,  2687,
    2691,  2695,  2699,  2703,  2707,  2711,  2715,  2719,  2723,  2727,
    2731,  2735,  2739,  2743,  2751,  2755,  2763,  2767,  2771,  2775,
    2779,  2783,  2787,  2791,  2795,  2799,  2803,  2807,  2811,  2815,
    2819,  2823,  2827,  2831,  2835,  2839,  2843,  2847,  2851,  2855,
    2859,  2863,  2867,  2871,  2875,  2879,  2883,  2887,  2891,  2895,
    2899,  2903,  2907,  2911,  2915,  2919,  2923,  2927,  2931,  2935,
    2939,  2943,  2947,  2951,  2955,  2959,  2963,  2967,  2975,  2979,
    2987,  2991,  2996,  3002,  3007,  3013,  3018,  3024,  3028,  3032,
    3036,  3044,  3052,  3057,  3063,  3067,  3075,  3079,  3083,  3087,
    3095,  3103,  3107,  3115,  3119,  3123,  3127,  3135,  3140,  3148,
    3156,  3164,  3168,  3176,  3181,  3187,  3191,  3195,  3203,  3207,
    3215,  3220,  3226,  3230,  3234,  3238,  3242,  3246,  3250,  3254,
    3258,  3262,  3266,  3270,  3274,  3278,  3286,  3291,  3297,  3302,
    3308,  3313,  3319,  3324,  3330,  3334,  3342,  3350,  3354,  3358,
    3362,  3367,  3373,  3377,  3385,  3393,  3397,  3401,  3405,  3413,
    3417,  3421,  3425,  3429,  3433,  3437,  3442,  3448,  3453,  3459,
    3464,  3470,  3474,  3482,  3486,  3494,  3498,  3502,  3510,  3514,
    3522,  3530,  3538,  3543,  3549,  3553,  3557,  3561,  3569,  3573,
    3577,  3581,  3585,  3589,  3593,  3601,  3605,  3609,  3613,  3621,
    3629,  3633,  3638,  3644,  3648,  3652,  3656,  3660,  3664,  3672,
    3676,  3684,  3688,  3692,  3696,  3700,  3704,  3708,  3716,  3721,
    3727,  3732,  3738,  3742,  3750,  3758,  3762,  3767,  3772,  3778,
    3782,  3790,  3794,  3802,  3807,  3813,  3817,  3821,  3825,  3830,
    3836,  3844,  3852,  3856,  3860,  3864,  3868,  3876,  3881,  3887,
    3891,  3895,  3900,  3906,  3910,  3914,  3919,  3925,  3930,  3936,
    3941,  3947,  3955,  3963,  3967,  3972,  3978,  3982,  3990,  3998,
    4003,  4009,  4017,  4021,  4029,  4033,  4041,  4046,  4052,  4056,
    4064,  4068,  4072,  4076,  4080,  4084,  4088,  4092,  4096,  4100,
    4104,  4108,  4116,  4121,  4127,  4131,  4135,  4139,  4147,  4151,
    4159,  4163,  4171,  4176,  4182,  4186,  4194,  4199,  4205,  4209,
    4217,  4222,  4228,  4232,  4240,  4245,  4251,  4259,  4264,  4270,
    4274,  4282,  4286,  4294,  4299,  4305,  4309,  4313,  4317,  4325,
    4333,  4338,  4344,  4352,  4356,  4360,  4364,  4368,  4372,  4376,
    4380,  4384,  4388,  4392,  4396,  4400,  4404,  4408,  4412,  4416,
    4420,  4424,  4428,  4432,  4436,  4440,  4444,  4448,  4452,  4460,
    4468,  4472,  4476,  4480,  4488,  4492,  4500,  4505,  4511,  4515,
    4523,  4527,  4535,  4540,  4546,  4550,  4558,  4566,  4570,  4578,
    4582,  4586,  4590,  4598,  4606,  4614,  4622,  4630,  4635,  4641,
    4645,  4653,  4658,  4664,  4668,  4676,  4680,  4684,  4692,  4696,
    4704,  4708,  4716,  4724,  4728,  4736,  4741,  4747,  4755,  4759,
    4767,  4771,  4779,  4787,  4795,  4803,  4807,  4815,  4820,  4826,
    4831,  4837,  4842,  4848,  4853,  4859,  4864,  4870,  4874,  4878,
    4882,  4886,  4894,  4902,  4906,  4914,  4918,  4922,  4930,  4934,
    4942,  4946,  4950,  4954,  4958,  4966,  4971,  4977,  4982,  4988,
    4992,  5000,  5005,  5011,  5015,  5020,  5026,  5030,  5034,  5038,
    5046,  5051,  5058,  5060,  5068,  5072,  5076,  5080,  5084,  5088,
    5096,  5100,  5108,  5112,  5120,  5124,  5132,  5140,  5144,  5152,
    5160,  5164,  5168,  5172,  5180,  5189,  5198,  5202,  5206,  5210,
    5214,  5218,  5222,  5226,  5230,  5234,  5238,  5242,  5246,  5250,
    5258,  5266,  5270,  5278,  5282,  5290,  5294,  5298,  5302,  5306,
    5314,  5322,  5326,  5334,  5342,  5347,  5353,  5357,  5365,  5369,
    5373,  5381,  5386,  5392,  5400,  5404,  5412,  5416,  5420,  5424,
    5428,  5436,  5441,  5447,  5452,  5458,  5462,  5467,  5473,  5479,
    5485,  5493,  5497,  5505,  5509,  5517,  5521,  5529,  5533,  5541,
    5545,  5553,  5561,  5569,  5573,  5577,  5581,  5585,  5589,  5593,
    5597,  5605,  5609,  5613,  5617,  5621,  5625,  5629,  5633,  5637,
    5641,  5645,  5649,  5653,  5657,  5661,  5665,  5673,  5677,  5685,
    5689,  5697,  5701,  5709,  5713,  5714,  5722,  5726,  5731,  5737,
    5741,  5745,  5749,  5753,  5757,  5761,  5765,  5769,  5773,  5777,
    5781,  5785,  5789,  5793,  5797,  5801,  5805,  5813,  5817,  5821,
    5825,  5829,  5833,  5837,  5841,  5845,  5849,  5853,  5857,  5861,
    5865,  5869,  5873,  5877,  5881,  5885,  5889,  5893,  5897,  5905,
    5909,  5917,  5921,  5925,  5929,  5933,  5937,  5941,  5949,  5954,
    5960,  5964,  5968,  5972,  5976,  5980,  5984,  5988,  5992,  5996,
    6000,  6008,  6012,  6020,  6024,  6028,  6032,  6038,  6044,  6050,
    6056,  6062,  6068,  6074,  6084,  6095,  6106,  6117,  6128,  6139,
    6150,  6166,  6182,  6198,  6209,  6225,  6236,  6252,  6267,  6271,
    6279,  6284,  6290,  6298,  6302,  6310,  6314,  6318,  6322,  6326,
    6334,  6338,  6346,  6350,  6354,  6358,  6366,  6370,  6374,  6378,
    6382,  6386,  6390,  6394,  6398,  6402,  6406,  6410,  6414,  6418,
    6422,  6426,  6434,  6438,  6446,  6450,  6458,  6463,  6469,  6473,
    6481,  6489,  6497,  6501,  6509,  6514,  6520,  6525,  6531,  6539,
    6544,  6550,  6554,  6558,  6566,  6570,  6574,  6582,  6586,  6590,
    6594,  6602,  6606,  6614,  6619,  6625,  6630,  6636,  6641,  6647,
    6652,  6658,  6662,  6670,  6674,  6678,  6686,  6691,  6697,  6702,
    6708,  6712,  6717,  6723,  6727,  6732,  6738,  6742,  6746,  6754,
    6759,  6765,  6769,  6777,  6781,  6789,  6793,  6801,  6805,  6813,
    6817,  6821,  6825,  6829,  6837,  6841,  6845,  6849,  6853,  6861,
    6869,  6877,  6881,  6885,  6893,  6897,  6901,  6909,  6918,  6922,
    6926,  6930,  6938,  6942,  6950,  6954,  6962,  6966,  6970,  6974,
    6978,  6982,  6986,  6990,  6994,  6998,  7002,  7006,  7010,  7014,
    7018,  7022,  7030,  7034,  7038,  7042,  7046,  7054,  7058,  7066,
    7070,  7078,  7083,  7089,  7097,  7101,  7109,  7117,  7121,  7129,
    7134,  7140,  7144,  7152,  7156,  7164,  7168,  7176,  7180,  7184,
    7188,  7196,  7200,  7208,  7216,  7220,  7228,  7232,  7240,  7244,
    7248,  7256,  7260,  7265,  7271,  7279,  7284,  7290,  7298,  7302,
    7306,  7310,  7318,  7326,  7330,  7334,  7338,  7346,  7350,  7358,
    7362,  7366,  7374,  7378,  7386,  7394,  7398,  7406,  7410,  7414,
    7418,  7422,  7426,  7430,  7434,  7438,  7442,  7446,  7450,  7454,
    7458,  7462,  7466,  7470,  7474,  7478,  7482,  7486,  7490,  7494,
    7498,  7502,  7506,  7510,  7514,  7518,  7522,  7526,  7530,  7534,
    7538,  7542,  7546,  7550,  7554,  7558,  7562,  7566,  7570,  7574,
    7578,  7582,  7586,  7590,  7594,  7602,  7607,  7613,  7618,  7624,
    7628,  7632,  7636,  7644,  7648,  7652,  7656,  7660,  7664,  7668,
    7672,  7676,  7680,  7684,  7688,  7692,  7696,  7700,  7704,  7708,
    7712,  7716,  7720,  7724,  7728,  7732,  7736,  7744,  7752,  7756,
    7764,  7768,  7776,  7780,  7784,  7788,  7792,  7796,  7800,  7804,
    7808,  7812,  7816,  7820,  7824,  7828,  7832,  7836,  7840,  7844,
    7848,  7856,  7864,  7868,  7872,  7880,  7884,  7892,  7896,  7900,
    7904,  7908,  7916,  7921,  7927,  7931,  7935,  7939,  7947,  7951,
    7956,  7962,  7966,  7974,  7982,  7987,  7993,  8001,  8005,  8013,
    8017,  8021,  8025,  8029,  8033,  8037,  8041,  8045,  8049,  8053,
    8057,  8061,  8065,  8073,  8077,  8082,  8088,  8092,  8096,  8100,
    8104,  8112,  8116,  8120,  8128,  8133,  8139,  8143,  8147,  8152,
    8161,  8165,  8169,  8174,  8180,  8188,  8196,  8201,  8207,  8211,
    8219,  8223,  8227,  8235,  8239,  8243,  8247,  8251,  8255,  8259,
    8267,  8272,  8278,  8282,  8286,  8294,  8302,  8306,  8314,  8318,
    8326,  8334,  8338,  8342,  8346,  8350,  8354,  8358,  8366,  8371,
    8377,  8385,  8389,  8393,  8397,  8401,  8405,  8413,  8417,  8425,
    8433,  8437,  8441,  8449,  8454,  8460,  8464,  8468,  8472,  8476,
    8484,  8488,  8496,  8500,  8504,  8508,  8512,  8520,  8524,  8532,
    8536,  8544,  8549,  8555,  8560,  8566,  8571,  8577,  8582,  8588,
    8592,  8596,  8600,  8608,  8612,  8616,  8620,  8624,  8628,  8632,
    8636,  8640,  8648,  8652,  8660,  8668,  8672,  8680,  8684,  8689,
    8695,  8701,  8711,  8716,  8722,  8726,  8730,  8734,  8742,  8744,
    8752,  8757,  8763,  8771,  8775,  8783,  8787,  8791,  8799,  8803,
    8811,  8819,  8823,  8828,  8834,  8838,  8843,  8849,  8854,  8860,
    8868,  8873,  8879,  8887,  8892,  8898,  8902,  8906,  8910,  8914,
    8918,  8922,  8926,  8934,  8939,  8945,  8949,  8954,  8960,  8968,
    8972,  8980,  8984,  8992,  9000,  9004,  9012,  9020,  9024,  9032,
    9085,  9089,  9102,  9104,  9108,  9112,  9116,  9125,  9131,  9135,
    9143,  9147,  9155,  9159,  9167,  9171,  9175,  9179,  9183,  9187,
    9191,  9195,  9203,  9207,  9215,  9219,  9223,  9227,  9231,  9235,
    9239,  9247,  9251,  9255,  9263,  9267,  9275,  9283,  9288,  9294,
    9299,  9301,  9307,  9311,  9315,  9319,  9323,  9327,  9331,  9335,
    9339,  9347,  9352,  9358,  9362,  9367,  9373,  9377,  9385,  9390,
    9396,  9401,  9407,  9415,  9419,  9427,  9431,  9439,  9443,  9447,
    9451,  9459,  9464,  9470,  9474,  9479,  9487,  9491,  9499,  9503,
    9511,  9519,  9523,  9528,  9534,  9542,  9546,  9554,  9558,  9566,
    9571,  9577,  9581,  9589,  9593,  9597,  9601,  9605,  9613,  9621,
    9629,  9637,  9645,  9650,  9656,  9660,  9668,  9673,  9679,  9683,
    9691,  9699,  9703,  9707,  9711,  9719,  9724,  9730,  9734,  9742,
    9747,  9753,  9757,  9765,  9769,  9773,  9777,  9781,  9788,  9795,
    9799,  9807,  9811,  9815,  9819,  9823,  9827,  9835,  9839,  9843,
    9847,  9855,  9860,  9866,  9870,  9874,  9878,  9883,  9889,  9893,
    9897,  9901,  9909,  9914,  9920,  9924,  9932,  9936,  9940,  9944,
    9952,  9956,  9964,  9968,  9972,  9980,  9988,  9993,  9999, 10003,
   10011, 10019, 10023, 10031, 10036, 10042, 10047, 10053, 10058, 10064,
   10068, 10074, 10080, 10085, 10091, 10095, 10103, 10111, 10113, 10115,
   10119, 10123, 10127, 10135, 10145, 10156, 10165, 10169, 10173, 10177,
   10181, 10185, 10189, 10197, 10201, 10205, 10209, 10217, 10221, 10229,
   10234, 10240, 10244, 10248, 10252, 10256, 10260, 10264, 10268, 10272,
   10276, 10280, 10288, 10293, 10299, 10303, 10311, 10315, 10323, 10331,
   10339, 10343, 10351, 10355, 10363, 10371, 10379, 10383, 10387, 10391,
   10395, 10399, 10407, 10412, 10418, 10423, 10429, 10433, 10437, 10441,
   10449, 10457, 10461, 10466, 10472, 10476, 10480, 10484, 10488, 10492,
   10496, 10500, 10504, 10508, 10512, 10516, 10520, 10525, 10531, 10535,
   10543, 10547, 10551, 10555, 10559, 10563, 10567, 10571, 10575, 10579,
   10583, 10587, 10591, 10595, 10599, 10603, 10607, 10611, 10615, 10619,
   10623, 10627, 10631, 10635, 10639, 10643, 10647, 10651, 10655, 10659,
   10663, 10667, 10671, 10675, 10679, 10683, 10687, 10691, 10695, 10699,
   10703, 10707, 10711, 10715, 10719, 10723, 10727, 10731, 10735, 10739,
   10743, 10747, 10751, 10755, 10759, 10763, 10767, 10771, 10775, 10779,
   10783, 10788, 10792, 10800, 10804, 10808, 10812, 10816, 10820, 10824,
   10828, 10832, 10836, 10840, 10844, 10848, 10852, 10856, 10860, 10864,
   10868, 10872, 10876, 10880, 10884, 10888, 10892, 10896, 10904, 10908,
   10912, 10916, 10920, 10924, 10928, 10932, 10936, 10940, 10944, 10948,
   10952, 10956, 10964, 10968, 10972, 10976, 10980, 10984, 10988, 10996,
   11000, 11008, 11012, 11020, 11024, 11028, 11032, 11036, 11040, 11044,
   11048, 11052, 11056, 11060, 11064, 11068, 11072, 11076, 11080, 11084,
   11088, 11092, 11096, 11100, 11104, 11108, 11112, 11116, 11120, 11124,
   11128, 11132, 11136, 11140, 11144, 11148, 11152, 11156, 11160, 11164,
   11168, 11172, 11176, 11180, 11184, 11192, 11196, 11204, 11208, 11212,
   11217, 11223, 11231, 11235, 11243, 11247, 11255, 11259, 11267, 11271,
   11276, 11282, 11286, 11290, 11294, 11302, 11307, 11313, 11318, 11324,
   11329, 11335, 11339, 11347, 11355, 11359, 11364, 11370, 11378, 11382,
   11389, 11394, 11400, 11405, 11410, 11416, 11420, 11428, 11432, 11436,
   11440, 11444, 11452, 11456, 11460, 11468, 11472, 11480, 11488, 11492,
   11496, 11504, 11508, 11516, 11520, 11524, 11528, 11532, 11536, 11540,
   11544, 11548, 11552, 11556, 11560, 11568, 11572, 11580, 11584, 11592,
   11596, 11600, 11604, 11608, 11612, 11620, 11624, 11632, 11636, 11644,
   11648, 11652, 11660, 11664, 11672, 11676, 11680, 11688, 11692, 11700,
   11705, 11711, 11715, 11719, 11723, 11727, 11731, 11735, 11739, 11747,
   11751, 11759, 11767, 11772, 11778, 11782, 11786, 11790, 11794, 11799,
   11805, 11813, 11821, 11825, 11829, 11837, 11841, 11849, 11857, 11861,
   11869, 11877, 11882, 11888, 11893, 11899, 11903, 11911, 11915, 11919,
   11923, 11931, 11936, 11942, 11946, 11955, 11957, 11965, 11970, 11976,
   11980, 11988, 11992, 12000, 12008, 12013, 12019, 12023, 12031, 12035,
   12039, 12043, 12051, 12055, 12063, 12067, 12075, 12079, 12087, 12095,
   12103, 12111, 12119, 12127, 12135, 12139, 12147, 12151, 12155, 12159,
   12163, 12167, 12171, 12175, 12179, 12183, 12187, 12191, 12195, 12199,
   12200, 12205, 12211, 12215, 12216, 12220, 12228, 12236, 12240, 12244,
   12252, 12256, 12264, 12268, 12272, 12276, 12284, 12288, 12292, 12296,
   12300, 12304, 12308, 12312, 12316, 12320, 12324, 12328, 12332, 12336,
   12340, 12344, 12348, 12352, 12356, 12360, 12364, 12368, 12372, 12376,
   12380, 12384, 12388, 12392, 12396, 12400, 12404, 12408, 12412, 12416,
   12420, 12424, 12428, 12432, 12436, 12440, 12444, 12448, 12452, 12456,
   12460, 12464, 12468, 12472, 12476, 12480, 12484, 12488, 12492, 12496,
   12500, 12504, 12508, 12512, 12516, 12520, 12524, 12528, 12532, 12536,
   12540, 12544, 12548, 12552, 12556, 12560, 12564, 12568, 12572, 12576,
   12580, 12584, 12588, 12592, 12596, 12600, 12604, 12608, 12612, 12616,
   12620, 12624, 12628, 12632, 12636, 12640, 12644, 12648, 12652, 12656,
   12660, 12664, 12668, 12672, 12676, 12680, 12684, 12688, 12692, 12696,
   12700, 12704, 12708, 12712, 12716, 12720, 12724, 12728, 12732, 12736,
   12740, 12744, 12748, 12752, 12756, 12760, 12764, 12768, 12772, 12776,
   12780, 12784, 12788, 12792, 12796, 12800, 12804, 12808, 12812, 12816,
   12820, 12824, 12828, 12832, 12836, 12840, 12844, 12848, 12852, 12856,
   12860, 12864, 12868, 12872, 12876, 12880, 12884, 12888, 12892, 12896,
   12900, 12904, 12908, 12912, 12916, 12920, 12924, 12928, 12932, 12936,
   12940, 12944, 12948, 12952, 12956, 12960, 12964, 12968, 12972, 12976,
   12980, 12984, 12988, 12992, 12996, 13000, 13004, 13008, 13012, 13016,
   13020, 13024, 13028, 13032, 13036, 13040, 13044, 13048, 13052, 13056,
   13060, 13064, 13068, 13072, 13076, 13080, 13084, 13088, 13092, 13096,
   13100, 13104, 13108, 13112, 13116, 13120, 13124, 13128, 13132, 13136,
   13140, 13144, 13148, 13152, 13156, 13160, 13164, 13168, 13172, 13176,
   13180, 13184, 13188, 13192, 13196, 13200, 13204, 13208, 13212, 13216,
   13220, 13224, 13228, 13232, 13236, 13240, 13244, 13248, 13252, 13256,
   13260, 13264, 13268, 13272, 13276, 13280, 13284, 13288, 13292, 13296,
   13300, 13304, 13308, 13312, 13316, 13320, 13324, 13328, 13336, 13340,
   13344, 13348, 13352, 13356, 13360, 13364, 13368, 13372, 13376, 13380,
   13384, 13388, 13392, 13396, 13400, 13404, 13408, 13412, 13416, 13420,
   13424, 13428, 13432, 13436, 13440, 13444, 13448, 13452, 13456, 13460,
   13464, 13468, 13472, 13476, 13480, 13484, 13488, 13492, 13496, 13500,
   13504, 13508, 13512, 13520, 13524, 13528, 13532, 13536, 13540, 13544,
   13548, 13552, 13556, 13560, 13564, 13568, 13572, 13576, 13580, 13584,
   13588, 13592, 13596, 13600, 13604, 13608, 13616, 13620, 13624, 13628,
   13632, 13636, 13640, 13644, 13648, 13652, 13656, 13660, 13664, 13668,
   13672, 13676, 13680, 13684, 13688, 13692, 13696, 13700, 13704, 13708,
   13712, 13716, 13720, 13724, 13728, 13732, 13736, 13740, 13744, 13748,
   13752, 13756, 13760, 13764, 13768, 13772, 13776, 13780, 13784, 13788,
   13792, 13796, 13800, 13804, 13808, 13812, 13816, 13820, 13824, 13828,
   13832, 13836, 13840, 13844, 13848, 13852, 13856, 13860, 13864, 13868,
   13872, 13876, 13880, 13884, 13888, 13892, 13896, 13900, 13904, 13908,
   13912, 13922, 13923, 13926, 13927, 13928, 13934, 13935, 13936, 13937,
   13938, 13951, 13951, 13960, 13975, 13977, 13980, 13982, 13986, 13998,
   14014, 14018, 14029, 14030, 14033, 14045, 14054, 14055, 14058, 14059,
   14060, 14063, 14064, 14067, 14068, 14071, 14072, 14075, 14077, 14079,
   14081, 14085, 14092, 14099, 14115, 14149, 14159, 14162, 14166, 14179,
   14180, 14182, 14184, 14188, 14202, 14209, 14270, 14279, 14281, 14282,
   14285, 14287, 14288, 14291, 14292, 14293, 14294, 14295, 14302, 14301,
   14311, 14313, 14315, 14316, 14319, 14320, 14321, 14322, 14325, 14326,
   14330, 14329, 14346, 14344, 14360, 14359, 14373, 14379, 14380, 14383,
   14385, 14386, 14389, 14390, 14391, 14392, 14395, 14396, 14399, 14407,
   14424, 14432, 14455, 14561, 14595, 14597, 14599, 14603, 14607, 14606,
   14657, 14659, 14658, 14673, 14679, 14686, 14691, 14697, 14698, 14701,
   14702, 14703, 14704, 14705, 14706, 14707, 14715, 14723, 14726, 14727,
   14728, 14729, 14730, 14731, 14739, 14747, 14748, 14749, 14752, 14753,
   14756, 14758, 14767, 14855, 14856, 14863, 14864, 14865, 14871, 14880,
   14883, 14884, 14885, 14886, 14889, 14890, 14891, 14894, 14896, 14904,
   14905, 14911, 14919, 14920, 14923, 14924, 14927, 14932, 14939, 14944,
   14951, 14958, 14958, 14960, 14967, 14968, 14971, 14972, 14973, 14974,
   14975, 14976, 14977, 14978, 14979, 14985, 14992, 15004, 15010, 15017,
   15025, 15026, 15038, 15049, 15060, 15064, 15065, 15068, 15073, 15077,
   15078, 15081, 15087, 15095, 15101, 15108, 15112, 15113, 15116, 15119,
   15123, 15124, 15127, 15133, 15142, 15147, 15157, 15167, 15179, 15180,
   15181, 15182, 15183, 15184, 15185, 15186, 15187, 15188, 15189, 15190,
   15191, 15192, 15193, 15200, 15201, 15204, 15205, 15212, 15213, 15214,
   15221, 15220, 15237, 15238, 15245, 15244, 15314, 15320, 15326, 15334,
   15340, 15346, 15352, 15358, 15364, 15370, 15376, 15382, 15393, 15394,
   15397, 15398, 15399, 15400, 15401, 15402, 15403, 15404, 15405, 15406,
   15407, 15408, 15409, 15410, 15411, 15412, 15413, 15414, 15415, 15416,
   15417, 15418, 15419, 15422, 15423, 15424, 15425, 15426, 15427, 15431,
   15432, 15433, 15434, 15435, 15436, 15437, 15440, 15443, 15444, 15445,
   15446, 15447, 15448, 15449, 15450, 15463, 15464, 15465, 15466, 15467,
   15468, 15469, 15474, 15475, 15476, 15477, 15478, 15479, 15485, 15486,
   15487, 15488, 15489, 15490, 15491, 15492, 15493, 15494, 15495, 15498,
   15499, 15500, 15501, 15502, 15505, 15506, 15507, 15508, 15511, 15512,
   15513, 15514, 15515, 15516, 15517, 15534, 15535, 15536, 15539, 15540,
   15541, 15542, 15543, 15544, 15548, 15548, 15551, 15557, 15558, 15561,
   15563, 15568, 15578, 15589, 15596, 15597, 15598, 15601, 15634, 15636,
   15638, 15641, 15651, 15661, 15671, 15672, 15675, 15677, 15678, 15679,
   15682, 15684, 15692, 15693, 15694, 15698, 15699, 15703, 15704, 15707,
   15708, 15711, 15712, 15713, 15714, 15715, 15718, 15719, 15720, 15721,
   15722, 15723, 15724, 15725, 15726, 15727, 15728, 15729, 15730, 15731,
   15732, 15733, 15734, 15735, 15736, 15737, 15738, 15739, 15740, 15741,
   15742, 15743, 15744, 15745, 15746, 15747, 15748, 15749, 15750, 15751,
   15752, 15753, 15754, 15755, 15756, 15757, 15758, 15759, 15760, 15761,
   15762, 15763, 15764, 15765, 15766, 15767, 15768, 15769, 15770, 15771,
   15772, 15773, 15776, 15777, 15778, 15779, 15782, 15783, 15784, 15785,
   15786, 15787, 15788, 15789, 15790, 15791, 15798, 15799, 15800, 15801,
   15804, 15805, 15808, 15809, 15812, 15813, 15824, 15825
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQLERROR", "SQL_SQLPRINT", "SQL_SQLWARNING",
  "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED", "SQL_VAR",
  "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO", "S_CONST",
  "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN", "S_INC",
  "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL", "S_NEQUAL",
  "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB", "S_VOLATILE",
  "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP", "DOLCONST",
  "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST", "SCONST",
  "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT",
  "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS",
  "NOT_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P",
  "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COMMENT", "COMMENTS",
  "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONFLICT",
  "CONNECTION", "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P",
  "CONVERSION_P", "COPY", "COST", "CREATE", "CROSS", "CSV", "CUBE",
  "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE",
  "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER",
  "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC",
  "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED",
  "DEFINER", "DELETE_P", "DELIMITER", "DELIMITERS", "DEPENDS", "DESC",
  "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT", "DO", "DOCUMENT_P",
  "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING",
  "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE",
  "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN", "EXTENSION",
  "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FILTER", "FIRST_P",
  "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORWARD", "FREEZE",
  "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GLOBAL", "GRANT", "GRANTED",
  "GREATEST", "GROUP_P", "GROUPING", "HANDLER", "HAVING", "HEADER_P",
  "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IMPORT_P", "IN_P", "INCLUDING", "INCREMENT",
  "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P",
  "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD",
  "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS",
  "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P",
  "LAST_P", "LATERAL_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL",
  "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED", "LOGGED", "MAPPING",
  "MATCH", "MATERIALIZED", "MAXVALUE", "METHOD", "MINUTE_P", "MINVALUE",
  "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL",
  "NCHAR", "NEXT", "NO", "NONE", "NOT", "NOTHING", "NOTIFY", "NOTNULL",
  "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF",
  "OFF", "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS",
  "OR", "ORDER", "ORDINALITY", "OUT_P", "OUTER_P", "OVER", "OVERLAPS",
  "OVERLAY", "OWNED", "OWNER", "PARALLEL", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POLICY",
  "POSITION", "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED",
  "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROGRAM",
  "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE",
  "REF", "REFERENCES", "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE",
  "RENAME", "REPEATABLE", "REPLACE", "REPLICA", "RESET", "RESTART",
  "RESTRICT", "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE",
  "ROLLBACK", "ROLLUP", "ROW", "ROWS", "RULE", "SAVEPOINT", "SCHEMA",
  "SCROLL", "SEARCH", "SECOND_P", "SECURITY", "SELECT", "SEQUENCE",
  "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET",
  "SETS", "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SKIP",
  "SMALLINT", "SNAPSHOT", "SOME", "SQL_P", "STABLE", "STANDALONE_P",
  "START", "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE",
  "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P",
  "TABLE", "TABLES", "TABLESAMPLE", "TABLESPACE", "TEMP", "TEMPLATE",
  "TEMPORARY", "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING",
  "TRANSACTION", "TRANSFORM", "TREAT", "TRIGGER", "TRIM", "TRUE_P",
  "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P", "UNBOUNDED", "UNCOMMITTED",
  "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED",
  "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID", "VALIDATE",
  "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC", "VARYING",
  "VERBOSE", "VERSION_P", "VIEW", "VIEWS", "VOLATILE", "WHEN", "WHERE",
  "WHITESPACE_P", "WINDOW", "WITH", "WITHIN", "WITHOUT", "WORK", "WRAPPER",
  "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "YEAR_P", "YES_P", "ZONE", "NOT_LA", "NULLS_LA", "WITH_LA", "'<'", "'>'",
  "'='", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "','", "';'", "':'", "'{'", "'}'",
  "$accept", "prog", "stmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "AlterUserStmt", "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt",
  "CreateGroupStmt", "AlterGroupStmt", "add_drop", "DropGroupStmt",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "generic_set", "set_rest_more",
  "var_name", "var_list", "var_value", "iso_level",
  "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "reset_rest",
  "generic_reset", "SetResetClause", "FunctionSetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "replica_identity", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "ImportForeignSchemaStmt",
  "import_qualification_type", "import_qualification",
  "CreateUserMappingStmt", "auth_ident", "DropUserMappingStmt",
  "AlterUserMappingStmt", "CreatePolicyStmt", "AlterPolicyStmt",
  "DropPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultForCmd",
  "row_security_cmd", "CreateAmStmt", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem", "DropTrigStmt",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "old_aggr_definition", "old_aggr_list", "old_aggr_elem",
  "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type", "any_name_list", "any_name", "attrs", "type_name_list",
  "TruncateStmt", "opt_restart_seqs", "CommentStmt", "comment_type",
  "comment_text", "SecLabelStmt", "opt_provider", "security_label_type",
  "security_label", "FetchStmt", "fetch_args", "from_in", "opt_from_in",
  "GrantStmt", "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default", "aggr_arg",
  "aggr_args", "aggr_args_list", "createfunc_opt_list",
  "common_func_opt_item", "createfunc_opt_item", "func_as",
  "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "CreateTransformStmt", "transform_element_list",
  "DropTransformStmt", "ReindexStmt", "reindex_target_type",
  "reindex_target_multitable", "reindex_option_list",
  "reindex_option_elem", "AlterTblSpcStmt", "RenameStmt", "opt_column",
  "opt_set_data", "AlterObjectDependsStmt", "AlterObjectSchemaStmt",
  "AlterOperatorStmt", "operator_def_list", "operator_def_elem",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "AlterSystemStmt", "CreateDomainStmt", "AlterDomainStmt", "opt_as",
  "AlterTSDictionaryStmt", "AlterTSConfigurationStmt", "any_with",
  "CreateConversionStmt", "ClusterStmt", "cluster_index_specification",
  "VacuumStmt", "vacuum_option_list", "vacuum_option_elem", "AnalyzeStmt",
  "analyze_keyword", "opt_verbose", "opt_full", "opt_freeze",
  "opt_name_list", "ExplainStmt", "ExplainableStmt", "explain_option_list",
  "explain_option_elem", "explain_option_name", "explain_option_arg",
  "PrepareStmt", "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_target", "insert_rest",
  "insert_column_list", "insert_column_item", "opt_on_conflict",
  "opt_conf_expr", "returning_clause", "DeleteStmt", "using_clause",
  "LockStmt", "opt_lock", "lock_type", "opt_nowait", "opt_nowait_or_skip",
  "UpdateStmt", "set_clause_list", "set_clause", "single_set_clause",
  "multiple_set_clause", "set_target", "set_target_list",
  "DeclareCursorStmt", "cursor_name", "cursor_options", "opt_hold",
  "SelectStmt", "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "all_or_distinct", "distinct_clause", "opt_all_clause",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "Typename", "opt_array_bounds", "SimpleTypename", "ConstTypename",
  "GenericType", "opt_type_modifiers", "Numeric", "opt_float", "Bit",
  "ConstBit", "BitWithLength", "BitWithoutLength", "Character",
  "ConstCharacter", "CharacterWithLength", "CharacterWithoutLength",
  "character", "opt_varying", "opt_charset", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "explicit_row", "implicit_row", "sub_type",
  "all_Op", "MathOp", "qual_Op", "qual_all_Op", "subquery_Op", "expr_list",
  "func_arg_list", "func_arg_expr", "type_list", "array_expr",
  "array_expr_list", "extract_list", "extract_arg", "overlay_list",
  "overlay_placing", "position_list", "substr_list", "substr_from",
  "substr_for", "trim_list", "in_expr", "case_expr", "when_clause_list",
  "when_clause", "case_default", "case_arg", "columnref", "indirection_el",
  "opt_slice_bound", "indirection", "opt_indirection", "opt_asymmetric",
  "ctext_expr", "ctext_expr_list", "ctext_row", "opt_target_list",
  "target_list", "target_el", "qualified_name_list", "qualified_name",
  "name_list", "name", "database_name", "access_method", "attr_name",
  "index_name", "file_name", "func_name", "AexprConst", "Iconst",
  "SignedIconst", "RoleId", "RoleSpec", "role_list", "NonReservedWord",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", "statements", "statement", "CreateAsStmt", "$@1",
  "at", "ECPGConnect", "connection_target", "opt_database_name",
  "db_prefix", "server", "opt_server", "server_name", "opt_port",
  "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGCursorStmt", "ECPGExecuteImmediateStmt",
  "ECPGVarDeclaration", "single_vt_declaration", "precision", "opt_scale",
  "ecpg_interval", "ECPGDeclaration", "$@2", "sql_startdeclare",
  "sql_enddeclare", "var_type_declarations", "vt_declarations",
  "variable_declarations", "type_declaration", "$@3", "var_declaration",
  "$@4", "$@5", "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "opt_ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,   768,   769,   770,    60,    62,    61,   771,
      43,    45,    42,    47,    37,    94,   772,    91,    93,    40,
      41,    46,    44,    59,    58,   123,   125
};
# endif

#define YYPACT_NINF -5091

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-5091)))

#define YYTABLE_NINF -2827

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2827)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   -5091,   457, 15729, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, 31793, -5091,
   -5091, -5091, -5091, -5091,114748,   449, -5091, -5091, -5091,119375,
   -5091, -5091, -5091,   287, 79258, -5091, 82300,   459, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, 86356, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, 66568,  1349, -5091,   918,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091,  1503, 12420, -5091,
   -5091, 82807, -5091,   587, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, 83314,   392, -5091, -5091,   552,  1354, -5091,   151, 16577,
   -5091, -5091, 75709, 80272, -5091, -5091, 86863,   689,  1572,  8462,
    1503, 32411, 87370, -5091,  1182, -5091, 62975, -5091, -5091, -5091,
   79765, -5091, -5091, -5091,   693, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, 92947,  2785,   602, 63491, -5091,
   -5091, -5091, -5091, 92947, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, 87877, -5091,   920,   940,   168, 93454, 93961,
   77230, -5091,  1536, -5091, 92947,   997,  1424, 65552, -5091, 94468,
   -5091, -5091,  1204, -5091, 88384, -5091, -5091, -5091, -5091, -5091,
     602, -5091, 66568, 61959,   278,  1052, -5091, -5091, 94975, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, 92947,  2061,
    1294, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091,   392, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091,   871, -5091,  1018,  1131,  1629,
     803,  1318, -5091, -5091, -5091, 17219, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091,116260,  2146, -5091, -5091, -5091,  1435, -5091,
    1444, -5091, -5091, -5091,  1691, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091,   754, -5091, -5091, -5091, -5091,  2001,115252, 86356,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, 75202, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091,   213, -5091, -5091, -5091, -5091, -5091, 86356,
   86356, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, 86356,  1609, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,   724,
    1827, -5091, -5091, 66568,  2393,  2393,  2155,116260, -5091, -5091,
   -5091, 68092, 92947, 92947, 92947,  1855, 92947,  1743, 92947,   258,
   68092,123778, 88891,  1950,  1803, 57302, 95482, -5091,122018, 92947,
   92947, 95989, 92947,    60, 83821, 92947,  1954, 92947, 92947,122458,
   96496,  2093, -5091,  2356,  1662, -5091, -5091, -5091, 92947, 11256,
    2785, -5091, -5091,  2061, 92947,  2107, 68092, 92947,  1906, 92947,
    1987, 92947, -5091, 92947,  1997, 97003,   284,  1980,123778,  2081,
   57822,  2083, 92947,123778, 97510, 92947, 92947, -5091, -5091,  2100,
   92947, 92947, -5091,  2211,124218,  1801,  2219,  2375,  2285,  1276,
   -5091, -5091,  2468,  2025, -5091, -5091,  2496, 86356, -5091, 84328,
   -5091, -5091, -5091,  2397, -5091, -5091, -5091, -5091, -5091, -5091,
  121138,  1572, -5091, -5091,  2272, 68600, 92947,  2340, -5091, -5091,
   98017, 71648,  2129, -5091,   358, 69108,124658,  2443,  2121, 58342,
    2502, 98524,125098, 99031, -5091, -5091, 99538, -5091,100045,  2220,
    2340,100552, 72156,125538, -5091,  2357,101059, -5091, 10858, -5091,
    2111,  2504,  2123,  1706, 86356, 86356,  1377,117140, -5091, -5091,
     392, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,   329,
    2041, 64007,   872, 64523, -5091, -5091,   945,  1017,  1145,   329,
    2574,  2574,   597, 86356, -5091, -5091,  2041, -5091,   668,   448,
    2140,  2140,  2140,  2345,   -28, -5091,  2140,  2283, -5091, -5091,
   -5091, -5091, 88384, 64007, 64523, -5091,  2158,  2785,    77,  2569,
    2237, -5091, -5091, -5091, -5091, -5091,  2245, 92947, 92947, 92947,
   -5091, -5091, -5091,  2640,  2192,  2482, -5091,  2235, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091,  2431,  2463,  2472,
     170,  2785,  2368, -5091,  2608, -5091,  2476, 39684, 39684,  1396,
   86356,  2785, 65039, 89398,111706,   204,121138,  2785,101566,  2321,
    1317,  2514, -5091, -5091, -5091,   350, -5091,  2750,  2333,  2593,
      72,  1662, 54217, -5091,  2364,  1887, 88384, 22254, -5091, -5091,
   -5091, -5091,  1127,  2662, 40209, -5091, 92947,  2367, -5091,  2366,
    2367,  2377,  2381,  1629, -5091, 92947,  1579,  1579,  2787,  1579,
    1755,  2064, -5091,  1647, -5091,  2687,  2647, 88384,  1052,  1503,
    2401, -5091, -5091, -5091,  2404, -5091,  2400,  2403, -5091,   808,
    2667, -5091, -5091, -5091, -5091,  2491,  2494,  2499,  2503,  2429,
    2509,   363, -5091, -5091, -5091, -5091,  2772, -5091, -5091, -5091,
   -5091, -5091, -5091,  2857,  2849,119818,119818,   616,   766,   181,
     269, -5091, -5091, -5091,  2720, -5091, -5091,  2718, 92947,  2554,
   92947, -5091, -5091, -5091,102073, -5091, -5091,  2393,  2404,  2481,
   -5091,   214, -5091,  1887, -5091,   281,   318,   341,  1610,  2485,
    1868,  2363, -5091,   773, 92947,  2602,   166,  1033,  2528, 89905,
    2563,  2521,  2612,  1430,  2802,  2813,  5925,   363, 90412, -5091,
   -5091, -5091, -5091, 92947, 92947, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091,  2533, -5091, -5091,  2501,  2823,  2730,
    2815,  2706,  1298,  2793,  1870,  2882,  9821,   932,102580,112213,
    2854,  2902,  6355,  2118,   669,  2801,   325,  2815,  2916,  2766,
    1298,  2937,  7648, 92947,  2627, -5091,  2877,  2986,    41, -5091,
     215, -5091,  2702,  2838,   924,  2876, 68092,  2659, -5091, -5091,
   92947, -5091, -5091, 72664,  2732, -5091,   788, 68092, -5091,  2861,
    2710, 58862, 92947, -5091, 92947, -5091, -5091, -5091, -5091, -5091,
    2791,  2971, 92947, 72664, -5091,  2921, 92947, -5091,  2678, -5091,
   -5091, -5091, -5091,  2140, 92947,  2686,  3076, 72664,   169, 92947,
    1476,  3111, 92947,  2904,  1476,  2738,103087, -5091, -5091,  1476,
   -5091, -5091, 92947, 92947,  2717,  1779,  2911,  1476,  2949,  3142,
    3157,  2816,  2959,   824,  1311,   143,  3083,  1476,  2834,103594,
  104101, 92947,  2841, 92947,  3176, 68092, 92947,  3104, -5091,  2970,
   90919, -5091,  2817,  2468, -5091, -5091, -5091, -5091, -5091,   941,
   -5091, -5091, -5091, -5091, -5091,  3128,  2481,   619,  3132,  2824,
    3134, -5091, -5091,  2870, -5091,  2870,  2870,  2826,  2826,  2994,
    2829,  3141, -5091, -5091, -5091,  2518,  2870,  2826, -5091, 73680,
   -5091,  1981,  2008, -5091,   174, -5091,  3250, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091,   117, -5091,  1472, -5091,  2073,
   -5091, -5091, -5091, -5091,  2863, -5091,  3145,  2521,  3149, -5091,
    2836,104608, -5091,105115,105622,  3151,  2533,123778,  3153,  3037,
    3156,  2836,  3158,  3039,  3159,   619,  3163, -5091,   903,  3152,
    3165,  3050,  3172,   174,  3173,  1837,  2836,121578,  3174,   176,
   -5091, 16045, 10858, -5091, 19069,  1914, -5091, -5091, -5091, -5091,
   -5091, -5091, 43884,   892,  2954, -5091, -5091, -5091,  2086, -5091,
  118479, -5091,  1377,  2041, -5091, 86356,  2041, 86356,   597,  2041,
   86356,  2041, 86356,   597,  2041, 86356, 86356, 86356,  2041, -5091,
   -5091,   231,   232, -5091, -5091, -5091, -5091, -5091, 86356,  2865,
   92947, 92947, -5091, -5091, -5091, 80779,123778, 81286, -5091, 92947,
   -5091,    42, 86356, -5091, 86356, -5091,  2785, -5091, -5091,  2504,
   72664,  3285,123778,  3176, -5091,  2106, -5091, -5091, -5091, -5091,
   -5091, -5091,  3105, 92947,  3168,  3171, 80779,123778, -5091,106129,
  121138,  3066,  2874, -5091, -5091, -5091, -5091,  2120,  2843,   195,
    2908, 43884,  2875,   469,   469,  2879,  3179, -5091, -5091, -5091,
     379,  2884,  2885, -5091,   435,   435,  2886,  2887, -5091,   445,
    2888,  2889,  2938,   523,  2891,  2892,  2897,  2518,   469, 43884,
   -5091,  2898,   435,  2899,  2901,  2903,  2953,  2905, -5091,  2972,
    2906,   370,   540,  2907,  2909, -5091,  2886, -5091,   425,  2910,
    2912,  2913,  2914,  2918,  2919,  2920,  2922, 43884, 43884, 43884,
   -5091, 38109,  1887,  2785, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091,   554,  4392, -5091,  2936, -5091, -5091,  3086, -5091,
   -5091, 43884, -5091, -5091,    17, -5091,   566, -5091, -5091,  1887,
   -5091, -5091,  1781, -5091, -5091, -5091, -5091,  3161,  2923,  1220,
    1220,   233, -5091, 82807, 82807, -5091, -5091,  1631,  2925, -5091,
    2213, -5091, -5091, -5091, -5091, -5091, -5091,120698,  3329, -5091,
    1115,  2785,   215,  1059,  3282,117583,118031,  3178,  3178,  3160,
   -5091, -5091, 92947, -5091, -5091, 43884, 60943, -5091,  1887,   149,
    3175, -5091, -5091, -5091,  2164, -5091, -5091, -5091, -5091,   392,
   -5091, 15224, -5091,  2168,  2367, 92947, 92947,  3349, -5091, -5091,
    2366, -5091, -5091,  1629,  1629, 43884,  1629,  1310,  1882, 40734,
   43884,  3232,  3129,  1655,  1658,  3235, -5091,  3135,  1755,  2064,
   88384, 92947,106636,  3053, -5091, -5091,  2404,  2948,  2144, -5091,
   74695,115756,115756,  3199, -5091, -5091,  1085,   118,  3068,  3164,
    2574,  1593,  2323,  2323, -5091, -5091,  2943, -5091,  3293, 82807,
    3004,119818, -5091, -5091, 92947, -5091, -5091, 91426, -5091, -5091,
   -5091,  2216,  2947, -5091,  2962, 92947, -5091,  3467,  2323,  2323,
   -5091, -5091,  2950, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091,116260,  2955, 92947, -5091,  2957,  2958, -5091, 22254, 61451,
    1884,  1887,  3031,  3040,  3093, 66568,  2973,  3051,  3054,  3102,
    3213, -5091, -5091,  3056,  3057,112720, -5091, -5091,  1747, -5091,
   -5091, -5091,  1747, -5091,  2992, -5091,  1748,  1163,  1563,  3061,
     326,  1050,  3357, -5091,  1547,  3113, -5091, -5091, -5091,  4993,
   92947,  3299,  8017,  3182,   363,  3184,  3114, -5091, -5091,  3233,
    3071, 92947,  3072,  3198,   363,   207,113227, -5091, -5091, -5091,
   -5091, -5091, -5091,  4233, 36560, -5091,  3074,  3058,  3087, 92947,
   76216,  1195,  3191,  3197,  1760,  2006,   751,  3136, 92947,  1968,
    3205, 92947,  3010,  3088,  3089,  3292,  3014,  1957,  3388,  3015,
   -5091, -5091,  3200,  3294,  3331,  6291,  3077,  3078, 70632,  1483,
   59382, 92947, 92947,  3375,  1832,  3103, -5091, -5091, -5091,  1832,
   92947,  3106,  3108, 92947,   363, -5091,  3428,   363,   363,  1767,
    3429,  3109,   288,  1652,  1476,  3015,  1627, -5091,  3110,  3112,
    1814, -5091,  3223, -5091, -5091,  1243,  3121, 88384,   264,  2003,
    3015,  3116,  3117,  3014,  3014, 92947, 92947, 92947, 92947, 92947,
     142,  3449,  3456,  3123,   141,  3183,  3046, -5091,  1832,122898,
    3130, -5091,  1832, 92947,  3137,  2020,  3015,  1889, -5091,  1894,
   -5091, -5091, -5091,  1662, -5091, 92947, -5091, 92947, -5091,  2481,
   72664,  3244,  3303, -5091,  3090, -5091,  2521,   363, -5091, 92947,
   92947,  2533,  3251,  1421,  1196, 72664,  3254,  3313, 92947,  3314,
    3143,  3100,  3138, 61451, -5091,  2717,  3067,  3487, 92947, 66568,
   -5091,  3501,  1747, -5091, 72664,  3266,  3385, -5091, 92947,  3283,
    3080, -5091,  3421,  3144, -5091, -5091,  1347, 92947, -5091,  3389,
  123778,  1580,  2785,  3124,123778,  3318, 92947, 92947, 92947, 92947,
   -5091, -5091,  3288,  1048,   222, -5091,122898, -5091, 92947,  3300,
    1627,  3311,  3510,   643,  2140,107143,  3404, -5091,107650,  3115,
    3526, 72664,  3354, -5091, -5091,  3118,  2574, -5091,  2817, -5091,
    2218, -5091,  3236, -5091, 68092,   619, -5091, -5091, -5091, -5091,
   72664, 92947, -5091,  3119, -5091, -5091, 43884, -5091, -5091, -5091,
    2574, -5091, 72664,  2870,  2870, -5091, -5091,  3529,  3192,  3196,
    2574, -5091,  2574, -5091, 72664, -5091,  3120,  3125,  3226,  2574,
   -5091,  3203, -5091,  3204,  2574, -5091,  2200, -5091,108157, 68092,
     619,123778,123778,  3433,   176,  3439,  3186,  3440,  3187, 59382,
     619,   182, 92947, 92947,123778, 92947, 92947, 92947, -5091, 92947,
   -5091, -5091, -5091, -5091, 72664, 92947, 92947, 72664, -5091,123778,
  122898,  3441,  3446,   619, 92947, 92947, -5091, -5091, 19896,  1946,
   -5091, 10858, -5091, 15224,  2207,  3178, -5091,  1609, 92947,  1282,
    1377,125978, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   86356, -5091, 86356,   597, -5091, -5091, 86356, -5091, 86356,   597,
   -5091, 86356, -5091, -5091, -5091, 86356, 92947,  3651,  3139, -5091,
    1781, -5091, 92947,  2217, -5091, -5091,  2255,   575, 92947, 92947,
     225, 68092, 92947,  3335, 92947, 92947, 92947, 92947, 92947,  3220,
    2925,  1574, -5091,  1379,   436, 88384,  3347, -5091, -5091, -5091,
   -5091, -5091,  2265,  2061,  1180, 92947,   844,  2245, -5091, -5091,
   81286, 79765,  3447,    46, 92947, -5091, -5091,  5299, 43884, 39159,
   -5091, -5091, 15224,  3193, 43884, 43884,  3155,  2574,  2574, -5091,
    1945, 43884, 43884, 43884,  2574,  2574,  9078, 43884, 59382, 43884,
   46509, 34982, 43884, 43884, 38634, -5091, 43884,  3367, 47559, 43884,
    1059,  3372, 43884,  1059,  9078,  3600,  3600,  1052,  1585,  6672,
    3185,  1887, -5091,  2574,   713,   251, 72664, 43884, 43884, 43884,
   43884, 66568,  3238,   185, 92947, 43884,  3162,  1273, -5091, 43884,
   -5091,  3180, 43884,  3237,   963, 43884, 43884, 43884, 43884, 43884,
   43884, 43884, 43884, 43884, -5091, 48581,   333, -5091,  3462,  3464,
     -11,   921, 81793, 39684,  3457, -5091, 33930, -5091,   246, 86356,
   -5091, -5091,  1887,  3457, -5091, -5091, -5091, -5091, -5091,  2216,
    3188, -5091,  3189, -5091, -5091, -5091, -5091, -5091, 92947,  3329,
   -5091, -5091,  3252, -5091, -5091, -5091, -5091,   574, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091,  3195, -5091, -5091, -5091,
   -5091,  3195, -5091, -5091,  3178,  3194, 12627,  3201, -5091, -5091,
   -5091, -5091,  3466,  3468,   619,116260, 92947,  1127, 84835, -5091,
   40209, -5091,  2286, -5091,  3190, -5091,  3454, -5091,  3202, -5091,
   12905,  3454, -5091, -5091,   171,  3296,  3448,  3384, -5091, -5091,
   -5091,  3206, 15224, -5091,  2316, 15224,  2380, -5091, -5091, -5091,
   -5091, -5091, -5091,  1654, -5091, 92947,  1419,  3232,  1658,  3257,
     978,  3626, 92947, -5091, 54728,  2176, -5091,  2404, -5091, -5091,
   32918, -5091, 33424, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091,  3210, -5091, -5091, -5091, -5091, -5091,   363,  3212,
    3709, -5091,119818, -5091, -5091, -5091,  3651, -5091,  2496, -5091,
    2496,  3734, -5091, 86356, -5091, -5091, -5091, -5091,  1255, -5091,
   10858, -5091, 10858, -5091,  3401, -5091,  3618, -5091, 73680, -5091,
    3218, -5091, 73172, 69616, -5091, -5091,   767, -5091,   952,  3297,
    3302,  3352,123778, 92947, 92947, -5091, 66568,123778, 92947, 92947,
   -5091,123778, 92947, 92947, -5091, -5091, -5091, -5091, -5091,118927,
    1211, 79765,  3353, 77737, -5091, -5091,  3229, 92947,  3277,  3477,
    3478,  1386, -5091, -5091,108664, -5091,  3434,123778, 92947, 92947,
   43884,  3444, 92947, 92947, -5091,   375,  3316,  3321, -5091, 92947,
    3322,  3458, 68092,  3248, 92947, 92947, 72664,  3326,   791, 68092,
    3291, 59902, 92947, 92947, 92947, 92947,  3380,  3556, 72664, 92947,
    3504,  1415, 88384,   150,  2077,  3015,  3463, -5091,  3569,  1226,
   -5091,123778, -5091, 92947,  3461, -5091, -5091, -5091, 78244,  3690,
    3390, -5091, -5091,113734, -5091, -5091, -5091,  2295, -5091,123778,
  123778, 92947,  8345,109171,  1473,  3491, -5091, -5091, 72664, -5091,
   92947, 92947, 92947,  3589,  3523, 92947, 85342,109678,110185,  1265,
    1641,  3525, 92947, 85849,  3527, -5091,  3419, 92947, -5091, -5091,
   67076,123778, 92947,   948, 66568, -5091, -5091, 92947, -5091,  3488,
    1043, -5091, 92947,  6214,  3370,  3387, 92947,  3492,   290,  2191,
    3015, 92947, 92947,  3304,  2302,  3382,   813, -5091,  3499,  1355,
   92947,111706, -5091,123778,  1188, -5091,  3453,123778, 92947, 11917,
   -5091, -5091,   363, -5091, -5091, -5091, -5091, -5091, 92947, 92947,
     363, 92947,   363,  1334, -5091,123778, 92947, -5091, -5091, -5091,
   92947,  8639, 92947, 92947, 92947, 92947,123778, 92947, -5091, -5091,
     972,  1397,  1847,  1876,   893, 92947,  3573, 92947,110692,123778,
   92947, 92947, 92947,  1666, -5091, -5091,  3427, -5091,123778,  1188,
   -5091, 10609, 92947, 92947,  3391,  3392,   140,  3471, -5091, -5091,
   -5091, -5091, -5091, -5091,  3563,  3735,111199,  1848, -5091,  3570,
    3571,  3377,  3378,  3579, 92947,  1848, 92947, -5091, -5091, -5091,
   -5091,  3574, 92947,  1848,  3583,  1848,  3476,  3528,    82,  3602,
    2309, -5091,  3350, -5091, 43884, 72664, -5091,  2318, -5091,  3351,
    1048, -5091, -5091, 66568, 92947,   241,   929,  3649, 76723,  3786,
    3640, 92947,  3393, 92947,  3641,  3786, 92947, -5091,  1636, 79765,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,  3643,
   -5091,  2785,  2717,  2717,  2717,  2717, -5091, -5091, -5091, -5091,
    3540,  2143, -5091,  3355,  2717, 92947,  3474,  3786,  3358,  3661,
   -5091,  1627,  3670,  3672, 92947, 76723,  2360,  3397,  3577,  3781,
    2140,  2785,  3578,  3557, -5091, 37072,  5957,  3559,  3620,121138,
   90919, -5091,  3394,  3659,  3660,  3682, -5091,  2481, -5091,  3802,
   -5091, 43884,  2335,  3386,   174, -5091, -5091,  3395,  3125,  3402,
    3403,  3398,  3400, -5091,  2574, 52173, 92947,  3407,  1030,  3606,
    3408, -5091,  3702,   619,  2521, -5091,  2836, -5091, 92947, -5091,
   92947, 92947, 92947, 92947,  2533, -5091, -5091,  3588,   619,  2836,
    3591,   619,   619, -5091,  3647,  3596,   619,   174,  2836,  3513,
    3703,121138, -5091,   176, -5091, -5091, -5091, -5091, -5091, 43884,
   -5091, -5091, -5091,  2140,  2218, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, 86356,  2496, -5091,  2342,
   -5091, 92947, -5091,  3683,  3684,  3689,  3413,  3415,  3450, 92947,
    3417, -5091,  3413,   363,  3413,  2925,  2925,  3413,  3415,123338,
    3840,  3710, -5091,  3500,  3424,  3719,   675, -5091,   744,   829,
    3644, -5091, -5091, -5091, -5091, 72664, -5091,123778,  3465, 92947,
   92947, -5091,   280,  3622,  3430,123338,  3828,   619, -5091, 68092,
   -5091, -5091, 72664,  3503,  3520, 68092,  3634,  3480, -5091, -5091,
   -5091, -5091, -5091, 72664, -5091,  3685, 92947,  2351, -5091,  2030,
   -5091,  2055, 43884,   137, -5091, 14424,  2362, 43884,  3442,  3445,
   -5091, -5091, -5091, -5091, -5091, -5091,  3452,  3736, -5091, -5091,
    2370,  2376,  2395,  3459,  3460,  5496,  3469, 14452,  3470,  3451,
   46509, 46509, 38109,  3107, -5091, 46509,  3472,  3627,  2417, 13347,
    3455,  3473, 14495, 41259, 43884, 41259, 41259, 14943,  3455,  3475,
    2434, 66568,  3624, 15014,  2439, -5091, 43884, 66568,  6075, 43884,
   -5091, 43884,  3485, -5091, -5091,  4442,  4442,  4442,  9078, -5091,
    3481, -5091, 46509, 46509, -5091,  2408, 38109, -5091, -5091,  3749,
   -5091, -5091,  1632, -5091,  3479, -5091, -5091,  2619, 59382,  9466,
   43884,   186, 43884,  3162, 43884,  3534,  4442,  4442,  4442,   464,
     464,   221,   221,   221,  2057,   921, -5091, -5091, -5091,  3489,
    3490,  3493,  3631,  3494, 43884, -5091,  2435,  2546, 92947,  9506,
   10299, 15698, -5091, -5091, -5091, 49617,  3505, 43884, 43884, 43884,
    3486, -5091,  2661, 15224,    -7, -5091,  2800, -5091, -5091, -5091,
    3505,   353,  3734,  2216, -5091,  1662,  2574,   713,118479, -5091,
   -5091, -5091, 43884, -5091, -5091, -5091, -5091,  2366, -5091, -5091,
   -5091, -5091, -5091, 92947,  2061, 43884, -5091, -5091,  3177,  3483,
   43884,  2316, -5091, -5091,  3519, -5091, 43884, -5091, -5091, -5091,
    2925, -5091,  3693, -5091, -5091, -5091, 49617,  3507,  3536, 53706,
    3665, -5091, 92947, -5091, 92947,   295, -5091, -5091, -5091,  3502,
   -5091, -5091, -5091,  1877, -5091, -5091, -5091, -5091, -5091, -5091,
    3495, -5091,  3508, -5091,  3506, -5091, -5091, -5091, -5091,   211,
    3497,  3509,  3512,  1858, -5091, 69616,  2073, -5091, 73172, -5091,
   73172, -5091,  2073,  3876, -5091, 69616,  1998,123778, 92947, 92947,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091,123778,123778,  3671, 92947,  3667,  3674, 43884,
    1284, 92947,  3496,  3515,  1556,  3771, 92947, -5091,  3814,   619,
   -5091, -5091,  3581, -5091, 15224, -5091, -5091, -5091, -5091, -5091,
  123778, 92947, -5091,121138, -5091, 92947,  2481, 72664, -5091, -5091,
   -5091, 92947,  3537, 92947, -5091, 92947, 92947, 92947,  2533, -5091,
   -5091, -5091, -5091,  1234, 72664, -5091, -5091, 92947, 92947,   592,
    3582,  3587, 92947, -5091,   645,  3223, 11266, 92947, 92947, 92947,
    3777, 92947, -5091, -5091, -5091, -5091,  3720, -5091, -5091, 69616,
   -5091,  2836,  1291,  3597,  3015,  3729, -5091,  3834,  3713, -5091,
    1286, -5091, 92947,  3652, -5091, -5091, -5091, -5091,  3836,   619,
    3844,   619, 92947, 92947, 92947, 92947,  3657, -5091, -5091, -5091,
   -5091,  3658,  3766, -5091, 66568, 66568, 66568,  2470, -5091, -5091,
    2785, -5091, -5091, -5091, -5091, -5091, -5091,  3806, -5091,  2471,
   -5091,  1810, -5091, -5091, -5091, -5091, -5091, -5091,123778, 92947,
   11880,  3849, 92947, 92947, 92947,  1899, -5091,   179, 72664, -5091,
   71140,123778, 92947, 66568, 92947,  3619,123778,  3595, -5091, -5091,
    3782,  3721, -5091,  2062,  3722,123778,  3603, -5091, -5091,  3629,
   -5091, -5091,  3630,  2350,  3015,  1627, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091,  1516,   324,  2407,  3015,  3632, -5091,
    3633, -5091, -5091, -5091,  3779,  3783,  3784,  3637,  3638,  3691,
    3639,  3645,  3692, -5091,  3646,  3696,  3648,  3698,  3750,  3650,
     619, 72664,  3770,  2785,  3678,  3886,   619, -5091,  3653, -5091,
   -5091,  3989, -5091, 92947, -5091,  3655,  2466,  3015, -5091, -5091,
  123778, 92947, -5091, -5091, -5091,  1848, 72664, 92947,  3830, -5091,
   -5091, -5091,  1848,  1848, 92947, 92947,  1848,  3831, -5091,  3832,
   92947,  3833, -5091,  1848, -5091, -5091,   937, -5091, -5091, -5091,
    3476,  3867, -5091,  2397, 56782,  6733,  3584, -5091, 66568, 56782,
    2165,  2497,    89,  1476, -5091,121138, 92947,121138, -5091,   929,
    3713, 92947, 92947,  3585,  3586, -5091, -5091, -5091, -5091,123778,
      98,123778,  2574, -5091, -5091,  3654, -5091, 92947,  2140,   348,
    3668,  3999,  3157,  1580,  3743,  1826,  3944,  3397, -5091, -5091,
   -5091, -5091, 92947, 92947,  1048,  2785, -5091,  3593,  3599, -5091,
   92947, 92947, 92947, 92947, 92947,  2061,  3604,  3605, 72664,    28,
    3797,  3800,  3014,  4026,  3920,  2061,  3397,  3695,  3922, 92947,
   -5091,  2490,   101, -5091,  2785,121138, 70124,  3913, -5091,  4721,
   -5091, -5091,  1046, 92947,  3899, -5091, 92947, -5091, -5091, 53195,
     619, 72664,  2506, -5091, -5091, -5091,  2574, -5091, -5091,  1839,
    1839,  3617, -5091, 52684, -5091,  3621, -5091,  2452, -5091,  4010,
   -5091, 92947, -5091,   619,   176,  3676,   619,  3677,   619,   619,
   92947, -5091, 92947, -5091, -5091, 92947, 92947, -5091, -5091, 92947,
  122898,   619, -5091, 15224,  3923, -5091, -5091, -5091, -5091,  3751,
    3752,  3755, 92947,  3413, 68092, -5091,  3628,123778,  1586, -5091,
   -5091,  3822, -5091, -5091, 88384,  3753, -5091, -5091, -5091, -5091,
    3946,  3947, -5091, -5091, -5091,   953, -5091, -5091, -5091,123778,
   80779,   197,123778, -5091,  2481,  3888, -5091, -5091,  2521,   363,
   -5091,  3889, 92947,  3890, -5091, -5091, -5091,  3642, 14962, 43884,
   -5091,  3955, 72664, -5091,  7360, -5091, -5091, -5091, 43884, -5091,
   -5091, -5091, -5091, -5091, 43884, -5091, 43884,  3935, -5091, 35508,
    4085,  4085,  3656, 72664, 46509, 46509, 46509, 46509,  1919,  2899,
   46509, 46509, 46509, 46509, 46509, 46509, 46509, 46509, 46509, 47034,
     509, -5091,  3827, 43884, 43884,  3945,  3935, -5091, 72664,  3662,
    3455,  3663,  3664, 43884, -5091, -5091,  2512, 48070,  3666, 66568,
   -5091, 43884, 13938,  2525,  3694, 15072,  1887,  7564,  2785, 43884,
    3688,  3818, 43884,  2526, 43884,  3943, -5091, -5091, -5091,  3669,
   -5091, -5091, 72664, 43884,  3686,  2742, 46509, 46509,  3091, -5091,
    4534, 43884, 38109, -5091,  3837,  3704, 55239, -5091, 36034,  3675,
     602,   602,   602,   602, -5091, 92947, 92947, 92947, 50128,  3949,
   49106, 91933,  3687,  1692, -5091, 91933, 92440, -5091,  3705, -5091,
    3673,  1887, 43884,  3942,   882,   882,  3837, -5091, 43884, 43884,
   41784,  3700, -5091,  3942, -5091, -5091, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,  3701,
   -5091,  3679, -5091, -5091,   215,  3706, -5091, -5091, 15224,  3707,
     211, -5091, -5091,  3712, -5091,  3697, -5091,  3483,  1320, -5091,
    8114,  3850, -5091, -5091, -5091,  3687, 42309,  3794, -5091,  2541,
   -5091, -5091,  4034,  3794, -5091, -5091,  2545, 54728,  3507, 40209,
    1887,  2574,  3699, -5091,  2496,   353, -5091, -5091, -5091, -5091,
   -5091,  2549,  2010, -5091, -5091, 69616, -5091,  3738, -5091, -5091,
   -5091,  2836,  2836,   971,  3413,  3993,   971,  8228, -5091, -5091,
   50639, 92947, 92947, -5091, 92947,  2552,  1809, 92947, -5091, 92947,
   -5091, -5091, -5091, -5091, -5091,  4113, -5091, 92947, -5091, -5091,
    3757,  3759, -5091, 92947, 92947, 92947, 92947,  3953, -5091, -5091,
    2485, -5091, -5091,123778, 92947, -5091, -5091, -5091,   334,  2642,
    3015, -5091,  3776, -5091, -5091, -5091,  3971, -5091,  4112,  3799,
   92947,  4029, 92947,  3715, -5091,  1809,   988,  3014,   819, -5091,
   -5091,  3788, -5091, -5091, 92947, -5091, 92947, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091,  3846, -5091, -5091, -5091, -5091, 67076,
   -5091, -5091, 92947, -5091, 66568, 56782, 66568, -5091,  1638,   343,
    2651,  3015, 92947, -5091,  3803, -5091,  3804,  3805,  3848,   975,
    1332,  3807,  3809,  3851,  3728,  3739,  3740, -5091, -5091,  2555,
   -5091,  3746,  3880, 92947,  2836,  3744,  3778,   329,  2785, -5091,
   -5091,  2785,  2836,  2785, 92947, 92947, 92947,  4143,  3838, 92947,
   92947, 92947, 92947, 92947, 92947,  4044,  1159,  2110,123778, 92947,
   92947,123778, 92947, 92947, 92947, 92947, 92947, 92947,  4055, 92947,
   -5091,  4131,  4060,  2172,  4105,  3824, 92947, -5091, 92947,  3223,
   92947, 92947, -5091, -5091, -5091,  3758,  4009,  1848, -5091, -5091,
    4011,  4012, -5091,  1848,  1848,  4013,  1848, -5091, -5091, -5091,
    1476, -5091,   937, 92947, -5091,  3350,  3697,  2323,  2323, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091,  2582, -5091, -5091, 92947,
    3764, 92947, 92947, 46509, -5091,  1719,  1240, -5091,  4014, 92947,
    3801, -5091, -5091, -5091,  3924, 92947, -5091, -5091, -5091, -5091,
   -5091,  3768, -5091,  4036, 76723,  2836,123778,123778,  2836, -5091,
   72664,  3772,  3397, -5091, -5091, -5091, -5091, -5091, -5091,123778,
    3595,123778,  1580,  1227,104101,  3811, -5091,  3773,  4070, -5091,
    3787,  3789, -5091, -5091, 92947,  3713,  2564,  1627,   769,  2123,
    3465, 78751,  2360,  4036, -5091, -5091, -5091,  4151,  3859, -5091,
    2061, 92947,  3465,  3859,  2785, 92947,  3277, -5091, 69616, 43884,
   43884, -5091,  3791, -5091,  3793,  7174, -5091,  3854,  3792,  2717,
   -5091, -5091, -5091, -5091, -5091, -5091,  3866,  3798, 92947,  4236,
   -5091, -5091, -5091,  3796, -5091,  3816, -5091, -5091, -5091,  2269,
  116260, 52684, 52684, 52684, 52684, 52684, -5091, -5091,   619, -5091,
   -5091, 92947, -5091, 92947, -5091, -5091,   619,   619,   619,   619,
   -5091,  3916, -5091,  2061, 92947, 92947, 92947,  3413, -5091,   363,
   -5091,  4089,123338, -5091, -5091,  2567, 92947, -5091, -5091, -5091,
    4153,    46,  4097, -5091, -5091,  4059,  2109,  4067,  4068,  2109,
    4069,  2109, -5091, 43884, 15224, -5091,  3820, -5091, 15224,  8609,
   15224,  3945, -5091,  2575, 43884, -5091,  2977,  2977,  2977,  3790,
    4098, -5091,  1360,  3819,  2977,  2977,  2977,   162,   162,   157,
     157,   157,  4085,   509, 15224, 15224, -5091, -5091,  3823, -5091,
   -5091, -5091,  3455, -5091, 44409,  3973,  4226, -5091, -5091, -5091,
    3863,  3864,  3835, -5091, 43884, 44934,  3825, 73680,  4017, -5091,
    1823, 43884, 43884,  4668, -5091,  9796, 43884, 72664,  2576,  4668,
     369, 43884,  5456,  5776, 43884, 43884,  5200,  8930,  3839, 43884,
  114241, -5091, -5091, -5091,  2580, 43884, 92947, 92947, 92947, 92947,
   -5091, -5091, -5091, 91933, 92440,  3829, 51661,  1692,  3841, 92947,
   -5091, -5091,  3843, 49617,  4079,  4021, -5091, 49617,  4021,  1869,
    4021,  4086,  3931, 55750, -5091, -5091,  3847,  4032, -5091, 33930,
    2076, 15224,  4249,  4132, 43884,  3852,  3853,  3855, 15224, 15224,
   43884, -5091,  2785,  4132,   353,   589,  2785, -5091, -5091, -5091,
   59382, -5091, -5091, -5091, -5091, -5091,  4047, 15224, 39684, -5091,
    2061, 92947,  1887,   560, -5091,  3868, 92947, -5091,  3794, -5091,
   -5091, 10858, -5091, -5091, -5091, -5091,  3919,  2586, -5091, -5091,
   -5091, -5091, -5091,  3932, 79765,  4152, -5091, 43884,  2591, -5091,
    3894,  4243,   192,  2595,  2596,  1809, -5091,  3801, -5091,  1763,
    4128,   226, -5091,   619, -5091, 72664, -5091, 92947, 92947, -5091,
   -5091, -5091, -5091, 92947,  2973, -5091, -5091, 92947, 92947, 92947,
   92947, -5091,123778, 92947, -5091, 92947, -5091, 66568,  2497,  4064,
   -5091, -5091,  4066,   329, 92947, -5091, 72664,   619,   619, -5091,
   -5091, -5091, -5091, -5091,  3877,  4266,  3954, 92947, 92947, 92947,
   -5091, 92947,123778, 92947, 92947,  2574,  2574, 72664,  3865, -5091,
    2574,  2574,  3872, -5091,123778, 92947, 92947, -5091, -5091, -5091,
   -5091, 66568, 56261,  3956, -5091, 43884,  4259, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091,123778, 92947,  3959, -5091,  3960,
   -5091, -5091, -5091, 92947, 92947, 92947, 92947,  4188, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, 92947, -5091,
   92947, -5091, -5091,  2785,  2785, 72664,   619,   619, -5091, -5091,
   -5091,  4129,  1848, -5091,  1848,  1848, -5091, -5091,  1848, -5091,
    3884,   361, -5091,  1809,  2049,  4181,  4186, 43884, -5091,  1037,
    3790, -5091, -5091, -5091, -5091,  3801,  2140,  3950, 68092,  1543,
   -5091,  4167,   241, 76723,  1947,  3897,  4016, -5091,  2836,  2836,
    3957, 92947,  4318,  2836,  3778, -5091,   881, 92947,  4227,  3940,
   -5091,  2785, -5091, -5091,  3397, -5091, 92947, 76723,  3465, -5091,
    2603, -5091, -5091, -5091,  3941,  3800,  2360,  1101, 92947, -5091,
    3951,  4323, -5091, -5091,  4201,  4101,  3909, -5091, 15224, 15224,
    2785, 74188,  4721, 72664,  4210, -5091, 92947,   640,  4176, 92947,
   -5091,   619, -5091, -5091,  3914,  2105,  2105, -5091, -5091, -5091,
   -5091,   619,   619, -5091, -5091, -5091, -5091, 92947,  3413,  3413,
    3413, -5091,  4104, -5091, -5091,  4170, -5091,   619,123338,  2109,
   -5091, -5091, -5091,  2109,  2109, -5091,  2109, -5091, 15224, -5091,
   -5091, -5091, -5091,  9290, 46509,  4212, -5091,  3921, 72664, -5091,
    3927,  2626,  2629, 47559,  4073, -5091, -5091, -5091,  9582,  3968,
   15224,  4025,  3928,  3929,  4668,  4668,  9796,  2634, -5091,  4668,
   43884, 43884,  4668,  4668, 43884, -5091, -5091,  9670,  4095, -5091,
   -5091, 10148, -5091, -5091, -5091, -5091, -5091, -5091, 67584, 91933,
    3934, 92947,  1692, 49617, -5091, -5091,  2227, -5091, 49617,  4179,
   -5091, 49617, 68092, -5091, 92947,  3936, 92947, -5091,    -7, 45459,
   43884,  3964, -5091, -5091, -5091,  3837, -5091,  3964, -5091,  2323,
   -5091, -5091, -5091, -5091, -5091,  3938, 86356,   463, -5091, -5091,
    4309, 50639,  4265,  3948, -5091, -5091, -5091, -5091, -5091,123338,
    4133,123338,  1809, 10181,  3801, 50639, 60422, 92947, 92947, 92947,
    4093,  3801,  3950, -5091, -5091, -5091, -5091, -5091, -5091,  3952,
   -5091, -5091, -5091, -5091,  4023, -5091, -5091,    10,  3347, -5091,
    2635, -5091, -5091, -5091, -5091, -5091,  4131, -5091, -5091, 56782,
  123778, 92947, -5091,  4028, -5091, -5091, -5091, -5091, -5091, 51150,
   59382, -5091,   975,  3961,  3962,  1332, -5091, -5091, -5091, -5091,
   -5091, -5091, 92947, 10688,  3963,  1034,  3347, 92947, 92947,  1892,
    1175,  1880,  3413,  4251, -5091, -5091, -5091, -5091,  4131, -5091,
   -5091,  1848, -5091, -5091, -5091, -5091, 66568, -5091,  2433, -5091,
    1476,  4294, 68092,  4377,  4377, 92947, -5091, 10757,  4162, -5091,
    3950,  4189,  4235, -5091,  3969, 92947,  4123,  3970,  3967,   841,
     841, 92947, 92947, 92947,  2638,  2061, -5091,  1580, 76723,  3713,
   -5091,  1816,  3972,  4285, -5091,  4393,  3604,  3976, -5091, -5091,
   78751,  4171,  3859,  3800,  4107, -5091,  4110, -5091,  1614, -5091,
    2061, 92947, 92947, 50639, -5091, 73172, -5091,  2663, -5091, -5091,
   -5091,  4050,  3505,  4087,  4094,  3985, 92947,   897, -5091,  4001,
   -5091, -5091, -5091, -5091, -5091, -5091, 92947, -5091,   197, -5091,
   -5091, -5091, -5091, -5091,  5857, 46509, 72664,  2672, 43884, -5091,
   43884, -5091,  4399, -5091, -5091, -5091,    16, -5091, -5091, -5091,
    4668,  4668,  4668, -5091,  4400,  3837, -5091, -5091,  2679,  4410,
   -5091, 92947,  2682, -5091, 43884,  4002, -5091, -5091, 49617,  2227,
    4003,  2689, 92947,  2695, 72664,  4000,  4007,   782,  4008, 34456,
    4015, -5091, -5091, -5091, -5091, -5091, 15224, 15224, 92947, -5091,
    4019, -5091, -5091, -5091, -5091, -5091, -5091, 92947,  2699, -5091,
     741, 37584, -5091, -5091,  1586,   971,   197,  4243,  3950, -5091,
    4022, -5091, -5091, -5091,  1506,  1506, 92947,  3950, -5091, -5091,
   92947,  4096, -5091, -5091, 66568,  4071, -5091,  1082,  3347, 92947,
   72664,  2521,    96, -5091, 72664, 72664, -5091, -5091, -5091, 43884,
    4100, -5091, -5091, -5091, -5091, -5091, 92947, 92947, 92947, 92947,
   92947,   619, -5091,  2700, -5091,116700, -5091, -5091,  3111,  2785,
    3111,  1921, -5091, -5091,  3111, -5091,  3111, -5091,  3884,  2785,
    4377,  1068, -5091, -5091, -5091,  2348,  4221, -5091,  1374,  4206,
    4106,  4024, -5091, 68092,  4464,  4036, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091,  2709,  3713,  4329,  3397,  3951, -5091,
   -5091, -5091, -5091, 43884,  4187,  2061,  2360,  4036, -5091, -5091,
   -5091,  3859, -5091, -5091,  4419,  4222,  4422,  3465, -5091,  3277,
    2713, -5091,  7174, 74188, 72664,  4367,  4075,  4076, -5091, -5091,
    4088, 92947, -5091, -5091,  2703,  4488,  3713, -5091,  5857,  2721,
   -5091,  2722,  2726,  4196,  4099, -5091, 43884,    85,  3705, 67584,
    4048, -5091,  2727, -5091, 15224, 92947, -5091, -5091, 43884, -5091,
    2744, -5091, -5091, 43884,  4049, 43884, -5091, 45459,  4051, -5091,
    4465, -5091, -5091,  3505, 50639, -5091,  4165, -5091,  4346, -5091,
   92947,  4102, 59382,  3483,  3483,  2140, -5091,  1809, -5091, 92947,
   -5091, 43884, -5091,  4141, -5091, -5091,  2752, -5091,    91,  4209,
    4357,  2759,  2760, 11033, 92947,  3415,  1880,  3415, -5091,  3413,
   -5091, -5091, 66568, -5091,120258, -5091, -5091, -5091,  2785, -5091,
    2785,  4262, 92947, 62467,  2785,  2785, -5091, -5091, -5091, -5091,
   -5091,  4387,  4332, -5091, -5091, -5091, -5091,   595, -5091,  4261,
    4263, 92947, -5091,  4072, -5091,  2764,  4191, -5091, -5091, 92947,
    4489,  4493, -5091, 11796, 68092,  3951,  3800,  2360,  2497, -5091,
    4267, -5091,  4268, -5091,  4082,  3397,  4721, -5091, -5091,  1053,
    4368,  4375, -5091, -5091, -5091, -5091, -5091, 92947, -5091, -5091,
   -5091, -5091, -5091, -5091,  3455, 42834, 42834,  4084, -5091, -5091,
   92947, -5091,  2767,  2768, -5091,  2771, 45459,  2774, -5091, 92947,
    4090, -5091, -5091, 54728,123338,  1506,  4108, -5091,  4109, -5091,
   -5091,  4189,  1809,  3347, 15224, 92947, 68092,  4487, -5091, -5091,
   -5091,  4209, -5091, -5091, -5091,  3347, 92947, -5091, -5091,  2775,
   -5091, -5091, -5091, 92947,  3773, -5091,  3773, -5091, -5091,  4217,
   -5091,  1007,  1007,  4427, -5091,  4154, -5091, -5091,  4115, -5091,
    4544, 92947, -5091,   975,  2061, -5091,  4114, -5091,  3859,  3800,
   -5091, -5091, 50639,  3859, -5091, -5091, -5091,  2355, 68092, 68092,
   -5091, 45984,  4229,  1104, 13730, -5091, -5091, -5091, -5091,  2778,
   -5091,  4244, -5091,  2784, -5091, -5091, -5091,  1696,   197,  3483,
   43884,  1809, -5091,  4206, -5091,  3347,  2521, 92947, -5091, -5091,
   -5091, -5091,120258,  3773,  3940, -5091,  4532, -5091,  1111, -5091,
   -5091, -5091, -5091,  3713,  3865,  3951, 66060, -5091,  3859,  2794,
    3505, -5091,  2242, -5091, -5091, -5091, -5091, -5091, -5091, -5091,
    4103,  4119,  4523, -5091, -5091, -5091, -5091, -5091, -5091,  4117,
   -5091, -5091, -5091, -5091, -5091, 11918, -5091, -5091, -5091, -5091,
   -5091,  4417, -5091, -5091, -5091, -5091, -5091,  2795, -5091, -5091,
   -5091, -5091, -5091, -5091,  3397, -5091,  1745, -5091, -5091,  1866,
    2381,  4184,  4403, 43359, 43884, -5091,  1809,  4272, -5091, 66060,
    3859, -5091,  2242,  4228,  4231, -5091, 12277, 68092, -5091,  3505,
   -5091,  4164,  4168, -5091,  4118, -5091,  4424,  4426, 66060, 68092,
   68092,  2812, -5091, -5091, -5091
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2511,     0,     2,     1,  2940,  2944,  2948,  2949,  2866,  2950,
    2951,  2916,  2917,  2918,  2919,  2920,  2921,  2922,  2923,  2924,
    2925,  2926,  2927,  2929,  2928,  2930,  2931,  2932,  2933,  2934,
    2935,  2936,  2937,  2939,  2938,  2888,  2518,  2885,  2882,  2883,
    2884,  2889,  2887,  2880,  2881,  2091,  2953,  2941,  2954,  2942,
    2943,  2945,  2946,  2915,  2947,  2955,  2956,  2957,  2952,  2960,
    2911,  2912,  2910,  2913,  2914,  2958,  2959,  2902,  2903,  2904,
    2905,  2961,  2519,  2520,  2907,  2512,  2516,  2578,  2649,  2908,
    2909,  2906,  2517,  2901,  2649,     0,  2770,  2771,  2772,     0,
    2773,  2774,  2775,  2701,  2663,  2776,     0,     0,  2777,  2778,
    2779,  2780,  2781,  2782,  2783,  2784,     0,  2785,  2786,  2787,
    2788,  2648,  2789,  2790,  2791,  2792,  2625,  2631,  2754,     0,
    2605,  2606,  2602,  2604,  2603,  2607,  2590,  1305,   585,  1390,
    1389,     0,  2413,  1305,  2368,  2369,  2414,  2370,  2371,  2372,
     272,     0,  1392,  2373,  2415,     0,  1305,  2416,   407,  1040,
    2417,  2418,  2533,     0,  2374,  2375,     0,     0,     0,   585,
    1305,     0,     0,  2376,  1518,  2377,     0,  2378,  2419,  2420,
       0,  2379,  2380,  2421,     0,  2422,  2381,  2382,  2383,  2423,
    2424,  2425,  2384,  2426,  2427,     0,     0,  1532,     0,  2385,
    2428,  2386,  2387,     0,  2429,  2388,  2389,  2390,  2430,  2431,
    2391,  2392,  2393,     0,  2394,     0,     0,     0,     0,     0,
       0,  2432,  1305,  2395,     0,     0,  1539,     0,  2396,     0,
    2433,  2397,     0,  2398,     0,  2434,  2399,  2400,  2401,  2402,
    1532,  2750,  2626,     0,  1394,     0,  2403,  2435,     0,  2404,
    2405,  2406,  2407,  2408,  2409,  2410,  2411,  2412,     0,     0,
       0,    65,    66,    27,    26,    32,    31,    90,    91,    51,
      15,    79,    58,   125,   124,   126,    38,    34,    73,    23,
      25,    35,    39,    60,    52,   103,    59,    21,    57,    84,
      61,    87,    46,     9,    10,    47,    77,    11,    48,    78,
      12,    49,    13,    99,    67,    92,    30,    56,    20,    83,
      40,    63,    89,    64,     3,    42,    75,    71,     8,    53,
      54,    55,    80,    81,    82,   108,    86,   120,    37,   117,
      96,    97,   114,    98,   115,     6,   100,    50,    14,   111,
     110,   112,    74,    43,    76,    62,    88,   109,    24,   113,
      16,    17,    19,    18,   116,    85,   106,   102,   121,   119,
     127,   104,    68,     4,     5,    93,    22,    45,     7,    29,
      28,    44,    36,   123,    33,  1392,    95,   107,    94,   101,
      72,   105,   122,    70,   118,  1503,  1490,  1541,  1502,  1517,
       0,  1506,  2845,  2846,    41,  1518,   129,   130,   135,  2515,
    2567,  2568,  2569,  2649,  2600,  2601,  2594,  2610,  2620,  2609,
    2613,  2621,  2608,  2627,     0,   132,   134,   136,   139,   133,
     128,   131,   138,   143,   137,   142,   140,   141,   144,   145,
     146,  2847,  1747,  2844,    69,  2585,  2584,     0,  2649,     0,
    2877,  2106,  2107,  2108,  2109,  2110,  2111,  2112,  2113,  2114,
    2115,  2116,  2117,  2118,  2119,  2120,  2121,  2122,  2123,  2124,
    2125,  2126,  2127,  2128,  2129,  2130,  2131,  2132,  2133,  2134,
    2135,  2136,  2137,  2138,  2139,  2140,  2141,  2142,  2143,  2144,
    2145,  2146,  2147,  2148,  2149,  2098,  2150,  2151,  2152,  2153,
    2154,  2155,  2156,  2157,  2158,  2159,  2160,  2161,  2162,  2163,
    2164,  2165,  2166,  2167,  2168,  2169,  2170,  2171,  2172,  2173,
    2174,  2175,  2176,  2177,  2178,  2179,  2180,  2181,  2182,  2183,
    2184,  2185,  2186,  2187,  2188,  2189,  2190,  2191,  2192,  2193,
    2194,  2195,  2196,  2197,  2198,  2199,  2200,  2201,  2202,  2203,
    2204,  2205,  2206,  2207,  2208,  2209,  2210,  2211,  2212,  2213,
    2214,  2215,  2216,  2217,  2218,  2219,  2220,  2221,  2222,  2223,
    2224,  2225,  2226,  2227,  2228,  2229,  2230,  2231,  2232,  2233,
    2234,  2235,  2236,  2237,  2238,  2239,  2240,  2241,  2242,  2243,
    2244,  2245,  2246,  2247,  2248,  2249,  2250,  2251,  2252,  2253,
    2254,  2255,  2256,  2257,  2258,  2259,  2260,  2261,  2262,  2263,
    2264,  2267,  2265,  2266,  2268,  2269,  2270,  2271,  2272,  2273,
    2274,  2275,  2276,  2277,  2278,  2279,  2280,  2281,  2282,  2283,
    2284,  2285,  2286,  2287,  2288,  2289,  2290,  2291,  2292,  2293,
    2294,  2295,  2296,  2297,  2298,  2299,  2300,  2301,  2302,  2303,
    2304,  2305,  2306,  2307,  2099,  2308,  2309,  2310,  2311,  2312,
    2313,  2314,  2315,  2316,  2317,  2318,  2319,  2320,  2321,  2322,
    2323,  2324,  2325,  2326,  2327,  2328,  2329,  2330,  2331,  2332,
    2333,  2533,  2334,  2335,  2336,  2337,  2338,  2339,  2340,  2341,
    2342,  2343,  2344,  2345,  2346,  2347,  2348,  2349,  2350,  2351,
    2352,  2353,  2354,  2355,  2356,  2357,  2358,  2359,  2360,  2361,
    2362,  2363,  2364,  2365,  2366,  2367,  2551,  2096,  2097,  2103,
    2104,  2105,  2526,  2547,  2553,  2873,  2552,  2102,  2700,     0,
       0,  2793,  2794,  2795,  2796,  2797,  2798,  2848,  2849,  2850,
    2851,  2852,  2854,  2853,  2662,  2820,  2857,  2661,  2858,  2665,
    2859,  2860,  2861,  2862,  2821,  2863,  2664,  2855,  2817,  2666,
    2659,  2660,  2818,  2768,  2769,  2069,  2819,  2816,  2856,  2554,
    2815,  2670,  2669,  1480,  2872,  2068,  1481,     0,  2672,  2799,
    2800,  2801,  2802,  2804,  2803,  2805,  2436,  2437,  2438,  2439,
    2440,  2441,  2442,  2443,  2444,  2445,  2446,  2447,  2830,  2448,
    2449,  2450,  2843,  2451,  2452,  2831,  2453,  2454,  2455,  2456,
    2457,  2458,  2459,  2460,  2461,  2462,  2463,  2464,  2465,  2466,
    2467,  2468,  2469,  2470,  2471,  2472,  2473,  2474,  2475,  2476,
    2832,  2833,  2477,  2478,  2479,  2480,  2481,  2482,  2483,  2484,
    2485,  2486,  2487,  2488,  2489,  2490,  2491,  2492,  2493,  2494,
    2495,  2496,  2497,  2498,  2499,  2500,  2834,  2501,  2502,  2835,
    2503,  2504,  2505,  2836,  2506,  2507,  2508,  2509,  2510,  2840,
    2841,  2842,  2829,  2623,  2806,  2828,  2839,  2837,  2838,  2633,
    2629,  2637,  2632,     0,     0,     0,     0,  2649,  1304,  1303,
    1289,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   584,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2523,     0,  1315,   378,   377,  1391,  1371,   585,
       0,  1292,   406,  1518,     0,     0,     0,     0,     0,     0,
       0,     0,   801,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   195,     0,     0,   430,   429,     0,
       0,     0,  1013,   435,     0,     0,     0,     0,     0,   573,
    2532,  2527,  2537,     0,  2530,  2531,  2815,     0,  2964,  2265,
    2563,  2564,  2962,  2319,  1482,   273,   276,   277,   274,   275,
       0,  1123,  1124,  1126,     0,     0,     0,  1136,   839,   840,
       0,     0,     0,   842,     0,     0,     0,   835,     0,     0,
       0,     0,     0,     0,   841,   832,     0,   831,     0,     0,
    1136,     0,     0,     0,   833,     0,     0,  1293,     0,  2615,
    2616,  2199,  1431,   436,     0,     0,  1518,     0,  1409,  1410,
    1392,  1399,  1411,  1404,  1406,  1405,  1407,  1403,  1408,  2107,
     951,  2121,   951,  2189,   948,   949,   951,   951,   951,  2282,
       0,     0,   923,     0,   934,  2092,   951,  2093,  2873,   956,
     491,   491,   491,     0,   955,   960,   491,     0,  1286,  1324,
    2073,  1531,     0,  2121,  2189,   924,  1285,  2334,  1423,     0,
       0,  1151,  1147,  1149,  1150,  1148,     0,     0,     0,  2298,
    1297,   257,  2813,  2307,  2399,  2334,  2814,   256,   251,   252,
    2808,  2809,  2811,   225,  2812,  2810,  2807,  2111,     0,     0,
     955,     0,  1294,  1295,   909,  1538,  1536,     0,  2055,     0,
       0,  2129,     0,  2142,  2224,   248,  2293,  2299,  2307,  2399,
    2334,  2365,   204,   214,   209,     0,   266,  2307,  2399,  2334,
       0,  1315,     0,  1507,  1636,  2064,     0,     0,  2624,  1288,
    1287,  1393,     0,  1396,     0,  1597,  2278,  1511,  1514,  1398,
    1512,  1503,     0,     0,  2514,  1387,  1535,  1535,     0,  1535,
       0,  1495,  1503,  1498,  1502,     0,     0,     0,     0,  1305,
       0,  2592,  2620,  2599,  2655,  2596,     0,     0,  2645,  2641,
    2638,  2646,  2647,  2640,  2628,  1736,  1737,  1738,  1735,  1748,
    1734,     0,  2573,  1739,  2612,  2579,     0,  2587,  2586,  2890,
    2891,  2702,  2525,  2544,     0,     0,     0,     0,     0,     0,
       0,  2671,  2673,  2675,  2635,  2634,  2630,     0,     0,     0,
       0,  2760,  2761,  2759,     0,  2756,  2758,     0,  2655,     0,
    2824,  2818,  2827,     0,  2074,  2819,  2816,  2815,     0,   849,
       0,  1327,  1000,     0,     0,     0,     0,  2068,     0,     0,
       0,     0,     0,  2096,     0,  2198,     0,     0,     0,  1961,
    1972,  1973,  1974,  2133,  2184,  1969,  1970,  1971,  1963,  1964,
    1965,  1966,  1967,  1968,     0,  1121,  1962,     0,  2198,     0,
     173,     0,   151,     0,     0,  2198,     0,     0,     0,     0,
       0,  2198,     0,     0,     0,     0,     0,   173,  2229,     0,
     151,  2198,     0,     0,     0,  1309,     0,     0,     0,  1311,
    1314,  1290,  1374,     0,  2064,     0,     0,     0,   886,   878,
       0,   887,   879,     0,     0,   889,     0,     0,   881,     0,
       0,     0,     0,   890,     0,   880,   882,   892,   883,   888,
       0,     0,     0,     0,   884,     0,     0,  1301,     0,  1425,
    1427,  1426,  1424,   491,     0,     0,     0,     0,     0,     0,
     151,  1359,     0,  2198,   151,     0,     0,   434,   433,   151,
     432,   431,  2133,  2184,     0,  1039,     0,   151,  2198,     0,
     197,   658,   588,     0,     0,   760,  2229,   151,     0,     0,
       0,     0,     0,     0,  1016,     0,     0,     0,   572,   585,
       0,  2536,  2542,     0,  2534,  2703,  2965,  2963,  2658,     0,
    1127,   249,   250,  1125,   837,  2198,     0,   352,     0,     0,
    2198,  1346,  1694,  1723,  1701,  1723,  1723,  1690,  1690,  2168,
    1703,  2198,  1691,  1692,  1730,     0,  1723,  1690,  1695,     0,
    1693,  1733,  1733,  1718,   352,   853,  1675,  1676,  1677,  1678,
    1704,  1705,  1679,  1710,  1711,  1725,  1680,  1747,  2825,  1690,
    2826,  2823,  2822,   838,     0,   836,  2198,     0,  2198,  2100,
     188,     0,   834,  2133,  2184,  2198,     0,     0,  2198,     0,
    2198,   180,  2198,     0,  2198,   352,  2198,   589,     0,     0,
    2198,     0,  2198,   352,  2198,  2229,   182,     0,  2198,   352,
     847,     0,     0,  2895,  2899,     0,  2897,  2892,  2614,  2668,
    2667,  2566,     0,  2976,     0,  1482,  1401,  1416,     0,  1412,
    1419,  1415,  1518,   951,   950,     0,   951,     0,  2986,   951,
       0,   951,     0,  2986,   951,     0,     0,     0,   951,  2094,
    2095,     0,     0,  2985,  2981,  2984,   925,   935,     0,   957,
       0,     0,   964,   963,   962,     0,     0,     0,   965,     0,
    1640,  1454,     0,   932,     0,   930,     0,  1283,  1300,     0,
       0,     0,     0,  1016,  1154,     0,  1152,  1143,  1144,  1296,
     255,   253,     0,     0,     0,     0,     0,     0,  1302,     0,
       0,     0,     0,  2879,  2080,  1975,  2878,     0,  2369,  2370,
    2371,  2034,     0,  2820,  2372,  2373,  2415,  1877,  1864,  1873,
    1878,  1865,  1867,  1874,  2374,  2375,  2376,  2377,  2087,  2378,
    2379,  2380,  2382,  2383,  2384,  1869,  1871,  2385,  2386,     0,
    2088,  2388,  2389,  2249,  2391,  2392,  2394,  2395,  1875,  2397,
    2398,  2399,  2400,  2401,  2402,  2086,     0,  1876,  2403,  2405,
    2406,  2407,  2408,  2409,  2410,  2411,  2412,     0,     0,     0,
    2061,     0,  1844,     0,  1683,  1684,  1706,  1707,  1685,  1712,
    1713,  1686,     0,  2060,  1750,  1926,  1843,  1860,     0,  1849,
    1850,     0,  1842,  1838,  1521,  2056,     0,  1839,  2076,  2035,
    2090,  2089,  2873,  2045,  2079,  2077,  2078,  1521,  2054,     0,
       0,     0,   217,     0,     0,  2749,   268,     0,   269,  2062,
    2307,   205,   247,   219,   246,   220,   218,     0,  2131,   206,
       0,     0,   207,     0,     0,     0,     0,     0,     0,     0,
     262,  1291,     0,  1638,  1637,  2042,     0,  2043,  2065,   858,
       0,  1384,  1385,  1383,     0,  1380,  1382,  1386,  1395,  1392,
    2050,  2049,  2051,     0,  1513,     0,     0,     0,  1493,  1492,
    1398,  1533,  1534,     0,     0,     0,     0,     0,     0,     0,
       0,  1587,  1549,  1550,  1552,  1584,  1588,  1596,     0,  1499,
       0,     0,  1642,     0,  1598,  2513,  2655,  2656,     0,  2650,
       0,  2649,  2649,  2643,  2642,  2639,     0,     0,     0,     0,
       0,     0,     0,     0,  2570,   567,  2572,   564,     0,     0,
    2546,     0,  2550,  2548,     0,  2695,  2698,     0,  2696,  2697,
    2699,     0,  2704,  2705,     0,     0,  2886,     0,     0,     0,
    2686,  2674,  2681,  2683,  2685,  2684,  2693,  2689,  2692,  2694,
    2636,  2649,  2767,     0,  2762,  2765,     0,  2757,     0,     0,
       0,  2075,     0,     0,     0,     0,   850,     0,     0,     0,
       0,  1335,  1336,  1337,     0,     0,  1338,  1339,  1327,   259,
    1345,  1343,  1326,  1328,  1341,  1333,     0,     0,     0,     0,
       0,     0,     0,  1351,     0,     0,   186,   187,   601,   585,
       0,  2198,     0,     0,     0,     0,     0,  1079,  1086,     0,
       0,     0,     0,     0,     0,     0,     0,  1080,  1078,  1081,
     261,  1090,  1107,  1110,     0,   990,     0,     0,     0,     0,
       0,  1206,     0,     0,     0,  1206,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   282,
     294,   347,     0,     0,  2198,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   149,   150,   155,     0,
       0,     0,     0,     0,     0,   551,   563,     0,     0,     0,
       0,     0,   560,     0,   151,   286,   544,   548,     0,     0,
       0,   667,   666,  1349,  1348,     0,     0,     0,  1206,     0,
     278,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   370,   371,     0,     0,
       0,   155,     0,     0,     0,     0,   288,     0,  2580,     0,
    1310,  1307,  1308,     0,  1313,     0,  1370,     0,   877,     0,
       0,     0,     0,   894,     0,   891,     0,     0,   885,  2133,
    2184,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   409,     0,     0,   757,     0,     0,     0,     0,     0,
     768,     0,  1327,  1358,     0,     0,     0,   594,     0,  2198,
       0,   153,   802,     0,   758,   435,     0,     0,   153,     0,
       0,   191,     0,   662,     0,     0,     0,     0,     0,     0,
     706,   705,     0,     0,     0,   759,     0,   153,     0,  2198,
     547,  2198,     0,   491,   491,     0,     0,  1015,  1018,     0,
       0,     0,     0,  2540,  2535,  2538,     0,  2528,  2542,  1485,
    1487,  1486,     0,  1484,     0,   352,   350,   351,   755,  1135,
       0,     0,  1722,  1709,  1717,  1716,     0,  1699,  1698,  1697,
       0,  1696,     0,  1723,  1723,  1721,  1700,  1675,     0,     0,
       0,  1729,     0,  1727,     0,   827,  1671,  1667,     0,     0,
    1715,  1736,  1735,  1734,     0,  1681,  1690,  1687,     0,     0,
     352,     0,     0,  2198,   352,  2198,     0,  2198,     0,     0,
     352,   352,     0,     0,     0,     0,     0,     0,   663,     0,
     846,   844,   843,   845,     0,     0,     0,     0,   825,     0,
       0,     0,  2198,   352,     0,     0,   824,  2893,     0,     0,
    2896,     0,  2617,  1985,     0,  2982,  1428,  2979,     0,     0,
    1518,     0,   236,   237,   235,  1417,   238,  1418,  1414,  1400,
       0,   943,     0,  2986,  2987,   928,     0,   938,     0,  2986,
     926,     0,   939,   936,   937,     0,     0,     0,  2980,  2864,
    2870,   942,     0,     0,   492,   494,     0,     0,  2153,  2167,
       0,  2190,  2217,  2218,  2299,  2303,     0,  2329,  2339,     0,
     966,   995,   961,   676,     0,     0,  1464,   933,   931,  1284,
    1421,  1992,     0,  1518,     0,     0,     0,     0,   254,   226,
       0,     0,     0,   997,  2298,  1299,   908,   585,     0,     0,
    1847,  1848,  2033,     0,     0,     0,     0,     0,     0,  1846,
    2000,     0,     0,     0,     0,     0,  1773,     0,     0,     0,
    2013,     0,  2019,     0,     0,  1810,     0,     0,     0,     0,
       0,     0,     0,     0,  1774,  1754,  1755,  2821,  1844,  1985,
       0,  1845,  2083,     0,  1747,  1975,     0,  1972,  1973,  1974,
       0,     0,     0,  2048,     0,  1983,     0,     0,  1788,  1981,
    1790,     0,     0,     0,     0,  1969,  1970,  1971,  1963,  1964,
    1965,  1966,  1967,  1968,  1979,  1770,     0,  2059,     0,  1928,
       0,  1769,     0,     0,  1600,  1520,     0,  2081,  2036,     0,
    2871,  2874,  1840,  1600,  2746,  2745,  2744,  2743,  2714,     0,
    2708,  2709,     0,  2747,  2748,   270,   271,   267,     0,     0,
     222,   221,     0,   244,   245,   216,   243,     0,   239,   240,
     224,  1917,  1916,   223,   215,   212,   210,   227,   229,   230,
     213,   211,   265,   263,     0,     0,  2041,     0,  2038,  2037,
    2071,  2044,     0,     0,   352,  2649,  1378,     0,  1375,  2053,
       0,  1515,     0,  2066,     0,  1388,  1510,  1509,  1542,  1543,
    1032,  1508,  1567,  1568,  1563,     0,     0,     0,  1593,  1591,
    1559,  1553,  1558,  1556,     0,  1560,  1750,  1586,  1497,  1547,
    1548,  1551,  1496,     0,  1589,     0,  1467,  1587,  1552,  1451,
       0,  1433,     0,  1643,     0,     0,  2657,  2655,  2595,  1675,
    2649,  2588,  2649,  2644,  2576,  1741,  1742,  1743,  1744,  1745,
    1746,  2577,     0,  2574,  1740,  2575,   565,   566,     0,     0,
       0,  2543,     0,  2524,  2549,  2680,  2315,  2712,     0,  2713,
       0,     0,  2677,     0,  2687,  2690,  2688,  2691,     0,  1675,
    2867,  2763,  2867,  1675,  1054,  1056,     0,  1055,     0,  1058,
       0,  1067,     0,     0,  1053,  1072,     0,  1061,  1059,     0,
       0,     0,     0,     0,     0,   851,     0,     0,     0,     0,
    1334,     0,     0,  2329,   258,  1337,  1342,  1329,  1340,     0,
       0,     0,     0,     0,   999,   998,     0,     0,  1020,     0,
       0,     0,  1354,   480,     0,   349,     0,     0,     0,     0,
       0,     0,     0,     0,   753,   750,     0,     0,   749,     0,
     599,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   637,     0,  1206,     0,   670,     0,  1088,     0,     0,
    1087,     0,  1091,     0,     0,  1089,  1084,  1085,  2299,  2307,
    2334,   260,  1109,     0,  1108,  1106,  1042,     0,  1043,     0,
       0,     0,     0,     0,  2177,  2198,   296,   311,     0,  1205,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   334,     0,     0,   337,   336,
       0,     0,     0,     0,     0,   341,   320,     0,   321,     0,
       0,   340,     0,     0,     0,     0,     0,     0,  1206,     0,
     290,     0,     0,     0,     0,     0,     0,  1122,     0,   694,
       0,     0,   176,     0,   172,   175,     0,     0,     0,     0,
     550,   562,     0,   554,   555,   552,   556,   557,     0,     0,
       0,     0,     0,     0,   549,     0,     0,   660,   659,   665,
       0,     0,     0,     0,     0,     0,     0,     0,  1156,  1155,
       0,     0,     0,     0,     0,     0,   792,     0,     0,     0,
       0,     0,     0,     0,   179,   679,     0,   678,     0,   177,
     178,     0,     0,     0,     0,     0,     0,     0,   234,  1306,
    1312,  1373,  2072,  1372,     0,     0,     0,     0,   893,     0,
       0,     0,     0,     0,     0,     0,     0,   895,   896,   897,
     898,     0,     0,     0,     0,     0,   384,     0,     0,     0,
       0,   781,  2822,   756,     0,     0,   769,     0,   771,   774,
       0,  1325,   453,     0,     0,   591,   637,     0,   438,   184,
       0,     0,     0,     0,   696,   148,   195,   197,   436,     0,
     196,   198,   200,   201,   202,   199,   203,   657,   661,     0,
     587,     0,     0,     0,     0,     0,   707,   711,   710,   714,
     712,     0,   708,     0,     0,  1663,     0,   171,     0,     0,
     542,   546,     0,  2521,     0,   438,   522,   363,  2198,     0,
     491,     0,  2198,     0,  1017,     0,     0,     0,     0,     0,
       0,  2541,     0,     0,     0,     0,  1483,     0,  1113,     0,
    1347,     0,     0,     0,   352,  1720,  1719,  1672,  1668,     0,
       0,     0,     0,   854,     0,     0,     0,     0,     0,     0,
       0,  1688,  2198,   352,     0,  1111,   189,  2101,     0,   829,
       0,     0,     0,     0,     0,  1115,   821,     0,   352,   181,
       0,   352,   352,   590,     0,     0,   352,   352,   183,     0,
       0,     0,   582,   352,   848,  2894,  2900,  2898,  1430,     0,
    2983,  2977,  2978,   491,  1487,  1402,  1413,   940,   947,   929,
     946,   945,   927,   944,   941,  2679,     0,     0,  2869,     0,
     958,     0,   490,     0,     0,     0,   972,   973,     0,     0,
     971,   988,   974,     0,   976,   968,   967,   977,   978,     0,
       0,   997,   674,     0,     0,     0,     0,  1461,     0,  1459,
       0,  1641,  1463,  1452,  1422,     0,  1420,     0,   535,     0,
       0,  1153,     0,     0,   955,     0,     0,   352,  1298,     0,
     910,   911,     0,     0,     0,     0,     0,     0,   917,   914,
     915,   916,   918,     0,   919,     0,     0,     0,  1996,     0,
    1997,     0,     0,  2032,  2028,     0,     0,     0,     0,     0,
    2004,  2005,  2006,  2003,  2007,  2002,     0,     0,  2008,  2001,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2395,
       0,     0,     0,     0,  1813,     0,     0,  1956,     0,  1985,
    2018,     0,     0,     0,     0,     0,     0,  1985,  2024,     0,
       0,     0,     0,  1915,     0,  1912,     0,     0,     0,     0,
    2045,     0,     0,  2084,  1751,  1765,  1766,  1767,  1771,  2058,
       0,  2047,     0,     0,  1752,  1779,     0,  2025,  1806,     0,
    1811,  1794,     0,  1787,     0,  1792,  1796,  1775,     0,  1772,
       0,  2048,  1984,     0,  1982,     0,  1762,  1763,  1764,  1756,
    1757,  1758,  1759,  1760,  1761,  1768,  1960,  1958,  1959,     0,
       0,     0,  1936,     0,     0,  1791,  2192,  2224,     0,  1532,
    1532,  1532,  1519,  1530,  2057,     0,  1658,     0,     0,     0,
       0,  1852,     0,  1989,  1541,  1987,  2074,  2876,  2875,  2046,
    1658,     0,     0,     0,  2063,     0,     0,  1747,     0,   264,
    1639,  2039,  2042,   856,   857,   855,  1675,  1398,  1381,  1377,
    1376,  2052,  1397,     0,  1518,     0,  1030,  1031,     0,  1035,
       0,     0,  1561,  1594,     0,  1585,     0,  1565,  1566,  1557,
    1595,  1465,     0,  1590,  1501,  1500,     0,  1661,     0,     0,
    1443,  1435,     0,  1644,     0,  1600,  1469,  1471,  1472,     0,
    2045,  2593,  2651,  2598,  2619,  2589,  2622,  1749,  2571,  2611,
       0,  2545,  2715,  2716,     0,  2706,  2707,  2676,  2682,  2753,
       0,  2868,     0,     0,  1057,     0,  1690,  1068,     0,  1052,
       0,  1051,  1690,     0,  1069,     0,  1690,     0,     0,     0,
    1243,  1158,  1214,   852,  1244,  1159,  1215,  1245,  1160,  1344,
    1332,  1331,  1330,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   732,  2198,   352,
    1352,  1246,     0,  1161,   348,  1353,  1216,  1357,   752,   751,
       0,     0,  1217,     0,   600,     0,     0,     0,   606,   607,
     608,     0,     0,     0,   609,     0,  2133,  2184,     0,   614,
     621,   626,   616,     0,     0,   628,   622,     0,     0,     0,
       0,     0,     0,   634,   636,     0,     0,     0,     0,     0,
       0,     0,  1082,  1083,  1247,  1164,     0,  1218,  1041,     0,
    1165,   185,     0,     0,   283,  2198,   298,     0,   643,   732,
    1208,   318,     0,     0,   333,   328,   329,   327,  2198,   352,
    2198,   352,     0,     0,     0,     0,     0,   330,   325,   326,
     322,     0,     0,   335,  2110,  2169,  2308,     0,   647,   649,
       0,   654,   338,  1181,   359,   358,   357,     0,   342,     0,
     364,   367,   339,   316,   319,   317,   313,   295,     0,     0,
       0,     0,     0,     0,     0,     0,  2070,     0,     0,  1117,
       0,     0,     0,     0,     0,     0,     0,   688,   174,  1196,
       0,     0,   160,     0,     0,     0,     0,   154,   164,     0,
    1253,  1171,     0,     0,   287,   545,   553,   558,  1175,   561,
    1228,   559,  1259,  1172,     0,  1206,     0,   279,     0,  1173,
       0,  1222,  1255,  1198,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1360,     0,     0,     0,     0,     0,     0,
     352,     0,     0,     0,  1208,  2198,   352,  1254,     0,  1203,
    1236,     0,   372,     0,  1197,     0,     0,   289,  1177,  1230,
       0,     0,   232,   231,   233,     0,     0,  2167,     0,   900,
     861,   899,     0,     0,     0,     0,     0,     0,   869,     0,
       0,     0,   860,     0,   859,   383,     0,   408,   381,   382,
     384,     0,   780,     0,     0,     0,     0,   770,     0,     0,
       0,  1350,     0,   151,   598,     0,     0,     0,   593,   636,
     643,     0,     0,     0,   437,   441,   445,   446,   447,     0,
       0,     0,     0,   165,   152,     0,   810,     0,   491,     0,
     692,     0,   197,   190,     0,     0,     0,   363,   767,   765,
     764,   766,     0,     0,     0,   785,   763,     0,  1662,  1664,
       0,     0,     0,     0,     0,     0,   440,     0,   494,     0,
       0,   526,     0,     0,     0,     0,   363,     0,     0,     0,
    1046,     0,  1064,  1047,     0,     0,     0,     0,  1095,  1102,
    1096,  1074,     0,     0,   570,  2539,  2533,  1488,  1489,     0,
     352,     0,     0,  1689,  1702,   828,     0,  1732,  1731,  1733,
    1733,     0,  1673,     0,  2966,  2974,  2973,     0,  1724,  1725,
    1682,     0,   638,   352,   352,     0,   352,     0,   352,   352,
       0,   685,     0,  1281,   664,     0,     0,   740,   826,     0,
       0,   352,   823,  1986,     0,  2678,  2865,   959,   493,     0,
       0,     0,     0,   970,     0,   568,   975,     0,   987,   982,
     984,     0,   991,   673,     0,     0,  1462,  1455,  1457,  1456,
       0,     0,  1453,  1993,   822,     0,   541,  1145,  1146,     0,
       0,   352,     0,   992,     0,     0,   912,   913,     0,     0,
     920,     0,     0,     0,  1537,  1994,  1995,     0,     0,     0,
    2029,     0,     0,  1890,     0,  1866,  1868,  1880,     0,  1891,
    1851,  1892,  1870,  1872,     0,  1976,     0,     0,  1881,     0,
    1815,  1816,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1831,
    1830,  1882,  1955,     0,     0,  2016,  2017,  1883,     0,     0,
    2023,     0,     0,     0,  1888,  1893,     0,     0,     0,     0,
    1899,     0,  1920,     0,     0,     0,  1841,  1986,     0,     0,
       0,     0,     0,     0,     0,     0,  1812,  1795,  1789,     0,
    1793,  1797,     0,     0,     0,  1783,     0,     0,  1781,  1807,
    1777,     0,     0,  1808,     0,     0,     0,  1859,     0,     0,
    1532,  1532,  1532,  1532,  1529,     0,     0,     0,     0,  2296,
       0,  1622,  1599,  1601,  1609,  1622,  1627,  1861,  1656,  1862,
       0,  2064,     0,  1570,  1541,  1541,  1541,  1858,     0,     0,
       0,     0,  1540,  1570,  2728,  2730,  2731,  2732,  2733,  2734,
    2736,  2737,  2739,  2740,  2741,  2729,  2735,  2738,  2742,  2719,
    2720,     0,  2710,  2711,   208,     0,   241,   228,  2041,     0,
    2753,  1379,  2067,     0,  1544,     0,  1977,  1035,     0,  1546,
       0,     0,  1592,  1554,  1466,  1450,     0,  1448,  1437,     0,
    1438,  2045,     0,  1448,  1434,  1477,     0,     0,  1661,     0,
    1476,     0,  2653,  2581,     0,     0,  2752,  2755,  2766,  2764,
    2591,     0,  1690,  1049,  1050,     0,  1073,     0,  1242,  1157,
    1213,  1002,  1003,     0,  1001,     0,     0,     0,   479,  1019,
       0,     0,     0,   732,     0,     0,   483,     0,  1355,     0,
    1260,  1195,   602,   603,   604,     0,   615,     0,   624,   623,
       0,     0,   611,     0,     0,     0,     0,     0,   610,   630,
     574,   631,   633,     0,     0,   632,   635,   640,  1206,     0,
     671,  1183,     0,  1234,  1076,  1209,     0,  1044,     0,     0,
       0,     0,     0,     0,   453,   312,     0,     0,     0,   300,
     310,     0,  1212,   344,     0,   315,     0,   308,   331,   323,
     332,   324,   343,   345,     0,   651,   652,   650,   646,     0,
     653,   655,     0,   361,     0,     0,     0,  1249,     0,  1206,
       0,   291,     0,  1179,     0,  1232,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1250,  1219,     0,
    1238,     0,     0,     0,   693,     0,   690,     0,     0,   157,
     156,     0,   163,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     373,   354,     0,   788,     0,     0,     0,   375,     0,     0,
       0,     0,  1248,  1166,   862,     0,     0,     0,   863,   874,
       0,     0,   864,     0,     0,     0,     0,   876,   386,   387,
     151,   385,     0,     0,   782,     0,  2249,  1963,  1964,   778,
     783,   775,   777,   776,   779,   732,     0,   772,   773,     0,
       0,     0,     0,     0,   465,     0,     0,   459,     0,     0,
    1102,   452,   455,   456,     0,     0,   594,   597,   595,   596,
     629,     0,   472,   518,     0,   167,     0,     0,   168,   166,
       0,     0,   363,   697,   701,   699,   698,   700,   695,     0,
     688,     0,   193,   436,     0,     0,   586,   713,   716,   709,
       0,   784,   786,   761,     0,   643,     0,   547,     0,  1431,
     535,     0,   522,   518,   520,   519,   521,     0,   528,   362,
       0,     0,   535,   528,     0,     0,  1020,  1045,     0,     0,
       0,  1092,  1097,  1093,     0,     0,  1060,     0,  1094,     0,
    1075,  1038,  1276,  1277,  1274,  1275,     0,     0,     0,  2556,
    1479,  2565,  1114,     0,  1708,     0,  1728,  1726,  1669,     0,
    2649,     0,     0,     0,     0,     0,  1674,  1714,   352,  1112,
     830,     0,   817,     0,   819,  1116,   352,   352,   352,   352,
     680,     0,   583,     0,     0,     0,     0,   969,   989,     0,
     985,     0,     0,   952,   994,     0,     0,  1460,  1458,   533,
       0,   997,     0,   953,   996,     0,     0,     0,     0,     0,
       0,     0,  1998,     0,  2031,  2027,     0,  1863,  1999,     0,
    2011,  2010,  1956,     0,     0,  1814,  1826,  1827,  1828,  2012,
       0,  1836,     0,     0,  1823,  1824,  1825,  1817,  1818,  1819,
    1820,  1821,  1822,  1829,  2021,  2020,  2014,  2015,     0,  1885,
    1886,  1887,  2022,  1894,     0,  2124,  1921,  1898,  1914,  1913,
       0,     0,     0,  1901,     0,     0,  1910,     0,  1957,  2085,
    1753,     0,     0,  1780,  2026,  1798,     0,     0,     0,  1776,
    1976,     0,     0,     0,     0,     0,  1785,     0,     0,     0,
    1939,  1934,  1935,  1953,     0,     0,     0,     0,     0,     0,
    1523,  1522,  1528,  1622,  1627,     0,  1503,     0,  1609,     0,
    1621,  1607,  1620,     0,     0,  1633,  1631,     0,  1633,     0,
    1633,     0,  1603,     0,  1623,  1605,  1620,     0,  1648,     0,
    2065,  1657,     0,  1583,     0,     0,     0,     0,  1990,  1991,
       0,  1988,  1853,  1583,     0,     0,     0,  2040,  2751,  1516,
       0,  1545,  1033,  1034,  1562,  1555,     0,  1659,     0,  1449,
       0,     0,  1440,  1446,  1432,     0,     0,  1470,  1448,  1473,
    2597,     0,  2652,  2717,  2718,  1070,     0,     0,  1062,  1008,
    1009,  1007,  1010,     0,     0,     0,   732,     0,     0,   499,
       0,  1027,  1027,     0,     0,   485,   531,  1102,   735,     0,
       0,     0,   733,   352,  1162,     0,   625,     0,     0,   620,
     618,   617,   619,     0,   575,  1258,  1163,     0,     0,     0,
       0,  1077,     0,     0,  1182,     0,   297,     0,   450,     0,
     305,  1207,     0,     0,     0,   304,     0,   352,   352,   346,
     648,   360,   365,   366,   369,     0,     0,     0,     0,     0,
    1211,     0,     0,     0,     0,     0,     0,     0,   811,   794,
       0,     0,   812,   813,     0,     0,     0,  1119,  1120,  1118,
    1237,     0,     0,     0,  1169,     0,     0,   684,   161,   158,
     159,   162,  1193,  1176,  1229,     0,     0,     0,  1174,     0,
    1223,  1189,  1185,     0,     0,     0,     0,     0,  1257,  1202,
    1227,  1256,  1200,  1225,  1199,  1224,  1201,  1226,     0,  1194,
       0,  1666,   791,     0,     0,     0,   352,   352,   682,  1178,
    1231,     0,     0,   865,     0,     0,   867,   868,     0,   871,
     391,   411,   702,   754,     0,     0,   731,     0,   457,     0,
     463,   467,   468,   466,   458,  1102,   491,   530,     0,     0,
     744,     0,   592,   438,   469,     0,     0,   442,   170,   169,
       0,     0,     0,   691,   690,   197,     0,     0,   718,   722,
     762,     0,  1665,   677,   363,   543,     0,   438,   535,  2522,
       0,   443,   448,   449,     0,   526,   522,     0,     0,   532,
    1323,     0,   536,   538,     0,     0,     0,  1048,  1065,  1066,
       0,     0,  1102,     0,     0,  1101,     0,     0,   577,     0,
    2529,   352,  1670,  2967,     0,  2968,  2969,  2970,  2971,  2972,
     639,   352,   352,   686,  1282,  1142,   741,     0,   981,   980,
     979,   569,     0,   983,   675,     0,   534,   352,     0,     0,
     922,   903,   921,     0,     0,   902,     0,   901,  2030,  1879,
    1889,  2009,  1955,  1986,     0,     0,  1837,     0,     0,  1884,
    2404,     0,     0,     0,     0,  1918,  1919,  1900,     0,  2240,
    1905,     0,     0,     0,  1804,  1802,  1799,     0,  1800,  1784,
       0,     0,  1782,  1778,     0,  1809,  1925,     0,  1941,  1938,
    1952,  1986,  1527,  1526,  1525,  1524,  1608,  1606,     0,  1611,
    1618,     0,  1602,     0,  1632,  1628,     0,  1629,     0,     0,
    1630,     0,     0,  1604,     0,  1618,     0,  1655,  1541,     0,
       0,  1930,  1856,  1857,  1854,  1541,  2082,  1930,  2721,     0,
    2724,  2722,  2723,  2727,   242,     0,     0,  2982,  1436,  1439,
       0,     0,     0,     0,  1478,  1468,  2654,  1063,  1071,     0,
       0,     0,   481,     0,  1102,     0,     0,     0,  1029,  1029,
       0,  1102,   530,   737,   736,   739,   734,   738,  1356,     0,
     612,   613,   627,  1184,     0,  1235,  1191,     0,  1464,   299,
       0,   644,   301,   302,   303,   306,   354,   314,   307,     0,
       0,     0,  1180,     0,  1233,  1187,  1251,  1167,  1220,     0,
       0,   800,     0,     0,     0,     0,  1252,  1168,  1221,  1239,
    1240,  1241,     0,     0,     0,     0,  1464,     0,     0,     0,
       0,     0,  1365,     0,  1210,   353,   790,   789,   354,   374,
    1204,     0,   866,   872,   873,   870,     0,   380,   388,   412,
     151,     0,     0,  1133,  1133,     0,   732,     0,     0,   454,
     530,   498,     0,   460,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   683,   192,   438,   643,
     717,     0,     0,     0,   787,     0,   440,     0,  1429,   439,
       0,     0,   528,   526,     0,   523,     0,   527,     0,  1316,
       0,     0,     0,     0,  1098,     0,  1104,     0,  1059,  1036,
    1099,     0,  1658,     0,     0,     0,     0,   581,  2555,  2559,
    1134,  2975,   818,   820,   681,   986,     0,   993,   352,   904,
     905,   906,   907,  1957,  1832,     0,     0,     0,     0,  1895,
       0,  1896,  1923,  1922,  1902,  1906,     0,  1903,  1904,  1801,
    1805,  1803,  1786,  1927,     0,  1541,  1954,  1651,     0,  1654,
    1610,     0,     0,  1612,     0,     0,  1614,  1616,     0,     0,
       0,     0,     0,     0,  2068,     0,  2149,  2380,  2295,     0,
    1569,  1571,  1574,  1576,  1575,  1577,  1573,  1582,     0,  1505,
       0,  1504,  2726,  2725,  1978,  1660,  1447,     0,     0,  1021,
       0,     0,  1475,  1474,   987,     0,   352,  1027,   530,   500,
    2249,   501,  1026,  1028,  1032,  1032,     0,   530,   732,   605,
       0,     0,   284,   642,     0,   356,   368,     0,  1464,     0,
       0,     0,   807,   795,     0,     0,   814,  1170,   687,     0,
       0,   280,  1190,  1186,  1367,  1368,     0,     0,     0,     0,
       0,   352,   875,     0,   414,   421,   392,   397,  1359,     0,
    1359,     0,   394,   398,  1359,   393,  1359,   390,   391,     0,
    1133,     0,  1130,  1129,   730,     0,   489,   461,     0,   509,
       0,     0,   745,     0,     0,   518,   478,   477,   474,   473,
     475,   476,   471,   470,     0,   643,   804,   363,  1323,   656,
     719,   720,   715,     0,     0,     0,   522,   518,   444,   453,
     427,   528,   524,   525,     0,     0,     0,   535,  1369,  1020,
       0,  1103,     0,     0,     0,     0,     0,     0,  1137,   576,
       0,     0,   580,   571,     0,  2557,   643,   954,  1833,     0,
    1834,     0,     0,     0,  1908,  1907,     0,  1944,  1656,     0,
       0,  1650,     0,  1619,  1635,     0,  1615,  1613,     0,  1624,
       0,  1626,  1853,     0,     0,     0,  1578,     0,  1929,  1931,
       0,  1855,  1445,  1658,     0,  1442,     0,  1004,     0,  1005,
    1029,   504,     0,  1035,  1035,   491,   732,   482,  1192,     0,
     645,     0,   309,     0,   292,  1188,     0,   798,     0,   809,
     807,     0,     0,     0,     0,  1361,     0,  1362,  1363,  1366,
     376,   389,     0,   419,     0,   417,   416,   418,     0,   405,
       0,     0,     0,     0,     0,     0,   379,   410,  1128,  1132,
    1131,     0,     0,   462,   495,   496,   497,     0,   464,   505,
     506,     0,   742,     0,   747,     0,     0,   517,   668,     0,
       0,     0,  1317,     0,     0,  1323,   526,   522,   451,   425,
       0,  1320,     0,   537,     0,   363,  1102,  1105,  1100,  1280,
       0,     0,   579,   578,  2560,  2562,  2561,     0,   672,  1835,
    1911,  1897,  1924,  1909,  1940,     0,     0,     0,  1649,  1652,
       0,  1617,     0,     0,  1625,     0,     0,     0,  1572,     0,
       0,  1444,  1022,     0,     0,  1032,     0,   732,     0,  1024,
    1023,   498,   484,  1464,   355,     0,     0,     0,   805,   808,
     796,   809,   816,   815,   689,  1464,     0,   415,   424,     0,
     422,   395,   400,     0,   404,   402,   401,   396,   399,     0,
     488,     0,     0,     0,   507,     0,   508,   529,     0,   746,
       0,     0,   803,     0,     0,   721,     0,  1318,   528,   526,
    1321,  1322,     0,   528,  1037,  1279,  1278,  1518,     0,     0,
    2558,  2368,     0,  2341,     0,  1942,  1945,  1943,  1937,     0,
    1634,  1647,  1580,     0,  1579,  1932,  1933,  1658,   352,  1035,
       0,   486,   502,   509,   285,  1464,     0,     0,   797,   281,
    1364,   420,     0,   403,   722,   514,     0,   513,     0,   511,
     510,   743,   748,   643,   793,  1323,   725,   428,   528,     0,
    1658,  1262,  1518,  1261,  1263,  1271,  1268,  1270,  1269,  1267,
    1140,  1141,     0,  1949,  1948,  1947,  1951,  1950,  1653,     0,
    1645,  1581,  1441,  1006,  1025,     0,   732,   293,   799,   806,
     423,     0,   512,   516,   515,   669,  1319,     0,   723,   726,
     729,   727,   728,   426,   363,  1011,     0,  1272,  1266,  1503,
    1490,     0,     0,     0,     0,   503,   487,     0,   703,     0,
     528,  1264,  1518,     0,     0,  1946,     0,     0,   724,  1658,
    1265,     0,     0,  1646,     0,  1012,     0,     0,   725,     0,
       0,     0,  1138,  1139,   704
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -5091, -5091,  4274, -5091, -1254,   265,  2653,  -965, -5091, -5091,
   -5091,  1105, -5091, -5091, -5091, -5091, -5091, -5091, -5091,  3412,
   -5091, -5091,  1820, -2755, -5091, -5091,   -40,  3383, -1714,   -44,
    2941,  1461, -5091, -1518, -5091, -5091,  -913,     2, -5091,  3396,
     503, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -1113,
    1971,  1277,  4775, -2918, -5091, -5091, -1859, -3533, -5091,   604,
   -5091, -5091,  1908, -5091, -5091, -5091,  1109,   510,  -511, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091,  -654, -5091, -5091,  -843,
     216,  -110, -2750,  -326, -5091, -5091,   477,  -328, -1870, -5091,
   -3877, -5091,    14, -5091, -5091, -5091,  -305, -1841,  1376, -5091,
   -1023, -1520,  1707,  -744, -5091,  -195, -5091,  -822,  -668,  -666,
    -768, -4093, -4081, -4531, -4120, -3510,  1381, -5091, -4080,   247,
     446, -5091,   305,   319, -5091,   462, -1164, -1874, -5091, -1139,
   -5091, -5091, -5091, -3268, -5091, -5091, -5091, -5091,   -90, -5091,
   -5091, -5091, -5091,   500, -5091, -5091, -5091, -5091, -5091, -5091,
   -2418,  1874,  1875, -5091, -5091, -3497, -5091, -1245, -5091,   644,
   -3319,  1287, -5091, -5091, -5091,  2631, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -2002, -5091, -5091, -5091, -5091,
   -5091,   485,    12, -5091, -5091, -5091, -5091, -5091,   332, -5091,
    1890,  1095, -5091, -5091, -5091,  -813,  -905,  -885, -5091, -3272,
   -5091, -5091, -5091, -5091,  -270, -5091, -5091, -5091, -5091, -5091,
   -5091, -1329, -5091,  1148, -3455, -5091, -5091,  1155, -5091, -5091,
   -5091, -5091, -5091,  -754,  -211,  2660, -5091,  -596,  -715, -5091,
   -5091, -5091,  -208, -5091, -5091, -5091, -5091, -5091, -5091, -1437,
   11528, -1405,  -841, -5091, -5091, -5091, -5091, -2326, -5091, -5091,
   -5091, -3846, -5091,  4550,    63,  -478,   374, -5091,  -205,   -89,
    3207, -1512, -2973,   408,  -392, -5091, -2218, -5091, -5091, -5091,
   -2880, -5091, -5091, -5091, -5091, -3823,   383, -5091,  3170, -5091,
   -4090, -4809, -3841, -4331, -4642, -4327, -3837, -5091, -5091, -1446,
   -5091, -5091, -5091, -1851,  2193, -2348, -5091, -2492,   476,  1453,
   -1288, -3086, -4101, -1050, -3573, -5091, -5091, -4014,  -503, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091, -1450,  -911, -5091, -5091,
    3785, -5091, -4665, -5091,  3754, -5091, -5091, -5091, -5091,  2467,
    2474, -5091,  2475, -5091, -5091, -1850,  1233, -5091, -5091, -5091,
   -5091,   152, -5091, -5091, -5091, -5091,  -736,  -847, -5091, -5091,
   -5091,   396, -5091, -5091, -5091, -5091,  1867, -1263, -1037,  3635,
     412, -4838, -5091, -5091,  -863, -5091,  2896, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -2390, -5091, -5091, -4700, -5091,
   -5091, -5091, -5091, -5091,  2322,  2324,   -65,  -240, -5091, -5091,
   -1640, -5091,  -869, -5091,  2550, -5091, -5091, -5091, -5091, -2111,
     415,   524,   -71, -5091, -5091, -5091,   273, -5091, -5091, -3720,
     -70, -5091, -5091, -5091, -5091, -4691, -5091,   -67,  -658,   820,
   -5091, -5091, -3109, -5091,   429,    -5,  3263,  1805,   -61,  3742,
    -245,  -249,  -224,   -75,   -58,  3026, -5091,  3085, -5091,  -193,
    2190, -5091, -5091, -1162,  -352, -5091,  1558,  -958,  2297,  3016,
    3022, -5091,  1551, -5091, -5091,  1564, -5091,   894,  -628,  -497,
   -5091, -5091, -5091, -5091,   320,  -948,  2315, -5091,  3030, -5091,
   -5091, -5091, -2215,  1560, -3723,   927, -3678, -3674,   364,   351,
   -1225,  -290,  -200, -1092,  3033, -5091, -5091,   933,  -464, -5091,
   -5091,  -462, -3129,   859, -5091, -4636, -2648,  4307, -1991, -1399,
   -5091, -5091, -1379, 23644, -5091, -5091, -5091, 24253, 24965, -5091,
   -5091, 25337, 25601, -5091, -1163,  1132, 25990, 10782, -1346, -1362,
   -1613, 22572, -2885,  2243, -3027, -5091, -3879, -2748, -5091, -5091,
   -5091,  -248,   992,   126, -5091, -5091, -5091, -5091,   -43, -5091,
    -604, -5091,  -602, -5091, -5091, -5091,  -590, -5090,  2449, -5091,
   -5091, -5091,  -739, -5091, 26888,  1602, -5091,  1067, -3034, -3041,
   -3708, -2180, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -1724,
   -3587,  -618,  1680, -5091, -5091,  1771, -5091, -5091, -5091, -1687,
    1623, -1192, -2927,  1686, -2342, -5091, -1150, -5091, -1073,  2455,
   -1100, 17814, -1692, 18795,  -120, -2609, -1639, -1940, -5091,   718,
   -5091,  2209,  -157,  -719,  6624,  -894,  -964,  6429,  4715,  4937,
   -3442, -5091, -5091,   439, -5091, -5091, -5091,  4178,  1174, -5091,
    3482, -5091,  1942,  2725, -5091, -5091,  2325,  -966,    35, -5091,
    -563, -5091,  -133, -5091, -5091, -5091,   183, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091, -5091, -5091,  3060, -5091, -5091, -1570,
   -5091, -5091, -5091, -5091, -5091,  4451,  -381, -5091,  3845,  -379,
   -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091, -5091,  3062,
    2369, -5091,  3625, -5091, -5091, -5091,   -15,  3290, -5091, -5091,
   -5091, -1317,  -646,  3680,  3711,  2327, -5091, -5091, -5091, -5091,
   -5091, -5091, -5091, -5091,  2330, -5091, -5091,  1659, -2309,  2332,
   -5091, -5091,   890, -5091, -5091,   384, -5091,   902, -5091,  3181,
   -5091, -5091, -5091,   943, -5091, -5091, -5091,  -554, 15640,   -19,
    -106,   -93,   245, -5091,  9487, 23102,   107,  3092,   -62, 13303,
   21638,    65, -5091,  4448,  2336,  1893, -1070, -5091,   545,  2641,
   20113, -5091, -1069,    71,  2559, -5091,    -2,  -691, -1273,  3376,
    -771, -2139, -5091,  4890, -5091, -3354, -5091, -1115,    19,  3856,
   -1338
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   250,   251,  1958,  2839,  2724,  3603,  3604,   252,
     253,  1954,   254,   255,   256,   257,   258,   259,   260,  1889,
     261,   262,  1379,  2081,  2850,   263,  2574,  1123,  1124,  1125,
    2426,  2427,  2789,  2428,  2415,  1713,  2226,  1910,  1088,  1089,
    1870,  1911,   265,   266,  1707,  2407,   267,   268,   269,  1939,
    1940,  1883,  2128,  4651,  5322,  3438,  2701,  3643,  3439,  3440,
     270,  2006,  2007,   271,   272,  3570,  3566,  4170,  4977,  4978,
    5197,   914,  2818,  4980,  4981,  5183,  5184,  5346,  5459,  5460,
    2851,  2076,  3637,  4252,  3594,  4720,  3595,  4721,  3596,  4722,
    3581,  4201,  4202,  4203,  3597,  4694,  5222,  3598,  2593,  5363,
    2886,  2256,  2254,  5209,  4528,  4529,  5437,  5368,  5369,  5370,
    5539,  4696,  3641,  4258,  4729,  4993,  3327,  2102,  3746,  1018,
    2889,   946,  1019,  2852,   277,  2880,  2881,  1977,  2732,  4179,
    3726,   278,  1399,  4019,  5047,  5262,  5263,   279,   901,   280,
    2085,   281,   282,  2835,  3588,   283,  2610,  3344,   284,   285,
    3373,  3374,  3375,   286,   287,  4044,  4920,  1941,  3427,  3428,
    3429,  3430,  4070,   288,  2083,  1982,  2859,   289,   290,   291,
     292,   293,  3014,  3015,   294,  2776,   295,   296,   297,   298,
     299,  4106,  4617,  4230,  3467,  3610,  4228,   300,  2853,  2093,
    2871,  2872,  4709,  5011,  5232,  5013,  5587,  5588,  4986,  3996,
    4542,   302,   303,  4689,  4690,  5375,   304,  2608,   305,   306,
     307,  2060,  2827,  2828,  4180,  2054,  2820,  2821,  4240,  4241,
     308,  3523,   309,  4598,  4599,   947,  5380,  5329,  5450,   310,
     311,  4602,  4603,   312,   313,   314,   315,   316,  1006,  1499,
    1500,  1856,  1444,   317,  2444,   318,  1346,  3550,   319,  1591,
    3056,  4781,   320,  1042,  1524,  1525,  2854,   322,  1053,  3034,
    1055,  2269,  3728,  3729,  4333,  3000,  1250,   323,   324,  3011,
    3037,   325,  1876,  2584,  2585,  4523,  2855,   948,  2108,  2893,
    3322,  5128,  5129,  4898,  5144,  3229,  3939,   327,   949,  1915,
    2657,  2896,  3651,  2551,  2552,  2553,  4275,  2554,  3653,  2555,
    1850,  2556,  3659,  3660,  3661,  4271,  4278,  4281,  5036,  5037,
     328,  1913,  2655,   329,   330,   331,  1949,  1274,   332,   971,
     972,   333,  5202,   334,  1419,   335,  5045,   336,   337,  1077,
    1078,  1575,  1576,   338,   339,  2671,  4051,   340,   341,   342,
    4099,  4100,   343,   344,  5553,  5596,  5597,  5598,  4286,  5497,
     345,  5555,  1567,   347,   348,   349,   904,  1309,  1310,  1311,
    2856,  5029,   351,   352,  1871,  1872,  1873,  1874,  2579,   353,
     354,   355,   356,   357,   358,  2064,   359,   360,  5176,   361,
     362,  2026,   363,  1744,  1745,   364,   365,   908,  1143,  1749,
    1757,   366,  1021,  1518,  1519,  1520,  2228,   367,  1571,  1348,
    1022,  1513,  1023,  2490,  3250,  3949,  3950,  3953,  4882,  4499,
    1024,  3247,   371,  2276,  3020,  3023,  3243,  1025,  3255,  3256,
    3257,  3258,  3259,  3956,  1026,  1044,  1409,  2905,  1027,  1662,
     376,   377,   378,  1153,  1147,  1148,   380,  2384,  3182,  1062,
    1763,  1107,  1108,  1160,  3902,  2458,  2459,  2481,  2482,  1772,
    1773,  2471,  2473,  3231,  2474,  3239,  2464,  4473,  5110,  5111,
    5112,  5113,  5114,  5115,  4861,  2477,  2478,  1775,  1776,  1777,
    2486,   381,  3186,  3882,  3883,  3884,  4450,  4451,  4465,  4461,
    4845,  5096,  3885,  1561,  1783,  4853,  5570,  3886,  5087,  5088,
    5281,  4468,  3893,  3947,  3627,  3628,  3629,  2557,  2157,  1446,
    1663,  1447,  2167,  1664,  2141,  1449,  1665,  1666,  1667,  1452,
    1668,  1669,  1670,  1455,  2133,  2160,  1671,  1672,  2151,  1192,
    1193,  2213,  3093,  1674,  1675,  1676,  3888,  1677,  4406,  4812,
    4801,  3114,  3115,  2423,  4402,  3828,  2379,  3172,  5119,  5298,
    5299,  3867,  4431,  4828,  5085,  5417,  5505,  5506,  1678,  1679,
    1680,  3169,  2374,  1276,  1681,  4182,  2376,  3108,  3194,  3195,
    2282,  2301,  3061,  3076,  3077,  3088,  3787,  3096,  3101,  3815,
    3816,  3109,  3138,  1682,  3063,  3064,  3771,  2303,  1683,  1737,
    2437,  1738,  2392,  3133,  1752,  1753,  1145,  1697,  1684,  1685,
    2270,  1134,  5092,   753,   736,  3455,  2439,  1313,  1059,  1686,
    1687,  1688,  1805,   696,  1469,  1470,   698,   737,   738,  1230,
     850,     2,    75,  1028,  3635,   385,   386,   951,   952,   953,
    1401,  1402,  2114,  2117,  1810,  2523,   702,   703,   754,  4750,
    5048,  5265,  1012,   387,   388,   389,   390,  1806,  2519,  1194,
      76,    84,    77,  1195,   427,   428,  2500,   391,   867,   392,
    1786,  1174,  3962,   393,   394,   395,   396,   397,  1009,   398,
    1176,   399,  1177,   400,   401,   402,   403,  1184,   404,  1788,
    1789,  4512,  1790,   405,   406,   740,   741,  1511,   407,   408,
    1211,  1212,  1543,  1544,  1816,  1831,  1832,  1833,   409,   710,
     410,   411,   412,  1822,  1823,   413,  2400,  2401,  2528,  2402,
     414,  3272,  3273,   415,  3919,  3920,  4871,  3921,   416,  2396,
     417,   418,  1137,  3967,   419,   863,   420,  1225,   742,   743,
     744,  1232,   853,  1093,   755,  1234,  3431,   855,   856,   746,
     747,   748,  2248,    78,  3280,  2249,  1690,   756,  1691,  2390,
    1692,  1693,  1694,  1695,  1696,  1839,   750,  1201,  1503,  1504,
    3281,  1506,    82,  1507,   424,  3687,  2216,  1545,  2971,  2234,
    2235
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      81,  1778,  2225,   379,  1152,  1099,  1411,   369,   370,  1046,
     851,   372,  1171,  1708,  1172,  1730,   422,   374,  1784,  1374,
     962,  2170,   422,   852,  1133,  1161,  2180,  1552,  1553,  1554,
    2253,  1046,   950,  1558,  2174,  1698,  2592,  1136,  3192,   945,
    2147,  1851,  1981,  3001,  1739,  2074,  2011,  2024,  2137,  2138,
    2666,  2441,  1804,  1521,  2166,   851,  2095,  1410,  2146,   421,
    3289,  3291,  3751,  2658,  2452,   421,  1209,  2055,   852,  1005,
    1068,  3903,  2967,    79,  2292,  2678,   423,  2695,  1476,  2667,
     264,  1054,   423,  1722,  4236,  2791,  4280,   707,  3593,   379,
    3201,   752,  3613,  4210,  2876,  2165,  2153,   421,  1481,  1020,
    4491,   758,  2744,  3457,  4025,  4065,  2062,  4067,  3221,  1496,
    2067,  4531,  1213,  4263,   423,  2071,   902,  3520,  1942,  3060,
    2455,  1100,  1976,  2078,  4188,  1155,   851,  4045,  2125,   739,
    1163,  3732,  4183,  2097,  2758,  2759,   906,  4183,  2754,   852,
    1834,  1836,   421,  4733,  4418,  3955,  1275,  1516,  3896,  4530,
     956,   964,  1411,  3894,  3895,  1164,  2918,  4447,  3887,   423,
    4726,  1493,  1252,  4525,  2441,  1087,   739,  4568,  2894,  1281,
    4719,  4725,  3026,  1975,  4742,  1130,  4736,  1122,  3200,  1990,
    1299,   858,  4732,  2507,  2509,  2510,  4687,   954,   961,  2016,
    1150,  1275,  2651,  3836,  5022,  2240,  2215,   961,  2959,  3971,
    1912,  4899,  1771,  1715,  3288,  3790,  3791,  1096,  4464,  1369,
    3810,  4462,  1774,   421,  1377,  1096,  2565,  1096,  5101,  3887,
    5103,  2501,  2501,   854,  5250,  1387,   858,  5152,  4386,  1043,
     423,  2210,  3606,  4504,  1204,  2137,  2138,  1505,   961,  1812,
    1813,  3966,   430,  2398,  3793,  2246,  1825,  3840,  3841,  3793,
    1275,  1043,   430,  2146,  2094,  2158,    45,  5145,  2770,  2765,
    5178,  5179,  2134,  2135,  1886,  5171,  1405,   426,   854, -1723,
   -1723, -1723, -1723,  2145,  1095,   912, -1723,  4089,    37,    38,
      39,    40,  1095,  1825,  1095,    44,  4269,  3036, -2825, -2825,
   -2825, -2825,  3542,  2382,   273, -2825,  2153,   858,  2669,  2274,
    3131,  3131,   430, -2825, -2825,  2126,  4204,  2126,  2346,  2442,
     379,  1226,  1569,  2126,   369,   370,   708,  3568,   372,  5203,
   -2075, -2075, -2075, -2075,   374,   274,  5328, -2075,  2126,  4299,
    2051,   422,  3696,  3960,  3698,  1158,  5274,  2352,  4897,   854,
     430,  4216,  3769,    37,    38,    39,    40,  1071,  1541,    43,
      44,  1593,  1826, -1961,    45, -2826, -2826, -2826, -2826,  -151,
   -1961,  3904, -2826,  4254,  3905,  3906,   422,  2354,  -151,  1887,
   -2826, -2826,  3584,  -151,   421,  3907,  3908,  3909,  2021,  3910,
    3911,  2227,  4090,   275,  3912,  3913,  3914,   264,  3173,  1712,
    5382,   423, -2823, -2823, -2823, -2823,  2646,   276,  2217, -2823,
     430,  3354,  1305,  2998,  2058,  1587,  1010, -2823, -2823,   421,
     301,  5562,  2669,  4906,    45, -2822, -2822, -2822, -2822,  1701,
    2041,  2752, -2822,  2000,  1556,  5151,   423,  2508,  1072,  2001,
   -2822, -2822,  2873,  5447,   430,  3166,  1248,  3889,  2669, -2238,
    2134,  2135,  3167,    43, -1733, -1733, -1733, -1733,    45,  1288,
    4223, -1733,   321, -2418, -2418, -2418, -2418,     3,  5415,  2024,
   -2418,   326,  1365,   429,  1200,  2145,  5290,  5324, -2418, -2418,
    2341, -1980,  2669,   757,   346,  1289,  3585,  1138, -1980,  3558,
    3338,  4119,  2669,  2598,  2647,  5416,  1228,  3562,  1172,  3564,
     350,  2669,  5241,   368,  4217,  1306,  5448,  2388,  3889, -1718,
   -1718, -1718, -1718,  4785,  1557,  4787, -1718,   373,  3263, -1690,
   -1690, -1690, -1690,  5615,  1141,  3749, -1690,   384,  3174, -1703,
   -1703, -1703, -1703,  4902,  1189,  3900, -1703,  5275,  2002,  4091,
    3185,  3915,  3016,  1411,  3569,  5358,  1464,  1307,  4224,  2443,
    2022,   950,  2172, -1723, -1723, -1723, -1723,  5487,  3279,  2383,
   -1723,  2346,  3283,  -413,  1530,   709,  1411,  2694,  1535,  1536,
    1537,  1815,  1818, -1718,  4092,  2127,  2996,  2127,  1548,  2385,
    3002,  1073,  3004,  2127,  2275,  3007,  1207,  1208,  2172,  4205,
    2352,  2416,  2385,  2181,  2203,  1724,  2429,  2429,  2127,  1308,
    2799,  2803,  1275,  2771,  4093,  2874,  3793, -1730, -1730, -1730,
   -1730,   273,  3377,  1583, -1730,  3543,  1570, -1723,  1074,  1075,
    2354,  1198,  2432,  2433, -1733, -1733, -1733, -1733,  4225,  4270,
    4583, -1733,  2766,  3132,  3856,  1948,  1411,  3062,    37,    38,
      39,    40,   274,  4183,   704,    44,  5456,  2999,  5018,  1888,
      37,    38,    39,    40,  3586,  5023,  2159,    44,    37,    38,
      39,    40,  3017,  2229,  2441,    44, -2238,  2247,  1827,   956,
     430,  1821,  2271,    37,    38,    39,    40,  3916,  5435,    43,
      44,  4990,  2059,  1847,    45,  2003, -1961,  2296,  2284,  2132,
     913,  2275,  3808,  5549,  3805,  3806,  3807,  3808,  1205,  4702,
     275,  1040,  1041,  2293,  1292,  1827,   954,  1076,  2059,  1249,
    3230,  2441,  1557,  4907,   276,  3199,  2154,  5586,  2205,  4817,
    2004,  1047,  3989,  2399,  2172,  3917,  2753,   301,  2740,  1735,
    2742,  4535, -2238,  1736, -1723,  1366,  2823,  3587,  5039,  4332,
    4842,  2209,  2989,  1047,  4846, -2238,  1206,  2749,  2925,  1541,
    2005,  2794,  3452, -2825,   961,   961,  2373,  2023,  4713,  1214,
    2126,  2875,  5524,  1411,  1241,  2637,  4226,   851,  3168,   321,
    2790,  1411,  1411,  3339,  5529,  2645,  4464,  2963,   326,  4836,
     852,   903,  1152,  1735,  4791, -2075,  4120,  1736,  2599,  2635,
    1522,   346,  1956,  3378,  5509,  5471,  4557,  2931,  4885,  1828,
    1829,   965,  1200,  3396, -1980,  4587,  3973,   350,  3974,  1465,
     368,  1360,  1725,  1957,  2411,   422,  5310,  1142,  -151,  -151,
   -2826,  1779,  1557,  2993,   373,  3918,  1549,  5313,  5314,  1345,
    2487,  4227,  2997,  1995,   384,  2730,  1407,  3957,  2733,  2734,
    2488,  3008,  2710,  1793,  5577,  3018,  4979,  4021,   379,  3192,
    3192,  3192,  1349,  1350,   421,  2524,  1351, -2823,   421,  1040,
    1041,  3887,  1352,  3887,  3019,  5488,  2679,  4232,  3453,  4481,
    1421,   423,  1560,  2654,  1996,   423,  2148,  1213,  1726,  1237,
   -2822,  1877,  1523,  1541,  1529,  5043,  1534,   907,  1237,   707,
    5138,  1583,  1538,  1802,  1803,  2149,   707,  5147,   909,  4517,
    3368,  3736,  1814,  2161,  3923,  2979,  4880,   707,  2800,  2150,
    2972,  2982,  5240,  1514,  1163,  4672,  1529,  1534, -2418,  4366,
    4367,  4368,  4369,  4673,  1237,  4374,  4375,  4376,  4377,  4378,
    4379,  4380,  4381,  4382,  4383,  1057,   707,  3303,   858,  1164,
    3265,   707,  3265,  5059,  1185,  2210,  1560,  5060,  5061,  2651,
    5062,   379,   707,  5216, -2554,  4160,  4161,  4755,  4756,  4757,
    4758,  4759,  1517,  2132, -1718,   864,  4026,   865,  5548,  5089,
    3738,  1408,  1186,  3887,  2136,  3369,  2034,  1782,   707,  3352,
    1217,  4422,  4423,  1237,  2140,  2884,  1878,  1550,  2086,  1462,
    2915,  2916,  3123,  1237,   707,  2994,  2370,  2371,  2372,  2373,
     707,  5217,  1200,  1165,   961,  2383,  1215,  4571, -1723,  5218,
    1462,   707,  4531,  1186,  2600,  2576,    81,  2744,  2346,  1515,
    2127,    37,    38,    39,    40,   707,  4531,  2995,    44,  2087,
    4748,  1997,  1187,  1071,  4502,  2162,  1528,  5219,  1533,  3803,
    3804,  3805,  3806,  3807,  3808, -1491,  2148,  2352,  1547,  2717,
    3958,   868,  1817,  1061,  3652,  2230,  1510,   966,  2232,  1892,
     961,  2236, -1730,  2238,  4530,  2149,  2241,  2190,  1563,  1565,
    2245,  3311, -1690,  1187,  5305,  2119,  1188,  2354,  5472,  2152,
    3504,  4022,  1542,  1166,  1711,  1740,  3505,  1746,  1719,    79,
    1794,  2887,  4181,  2343,   869,  3151,  3518,  4181,  1754,  4881,
    5067,  1542,  5044,  3737,  1527,  2386,  1532,  1705,  2191,   967,
    2970,  4716,  5220,  3206,  1072,  1237,  1237,  1034,  5519,  3293,
    4869, -1491,  1096,  3933,   707,  1998,  1096,  2120,   421,  1189,
    5093,  5389,  5376,  1879,  3372,  5097,  1562,  1564,  5099,  1035,
    3889,  4339,  3889,  3434,   968,   423,   969, -1690,  5535,  2680,
    1747,  4572,  1237, -2554,  5387,  1200,  2341,   739, -2186,  2147,
    2681,  5396,  2682,  3296,  4531,  5386,  5495,  4951,  1880,  5394,
    1189,  5090,  3739,  3248,  4276,  3005,  3006,  5393,  1541,  4280,
    4183,  4026,  2885,  2595,  3368,  3506,  2088,  4190,  -641,  1095,
    1034,  5015,  5359,  1095,  3435,    35,   430,  3444,  1881,    37,
      38,    39,    40,    41,    42,    43,    44,    35,  5294,  2831,
      45, -2554,  1035,   707,   707,    41,    42, -1491,  2683,  4519,
    2121,  1275,  4595,  2884,  5306,  3152,  3462,  5260,  2421,  4154,
    3153, -2219,  4193,  2163,  1158,  3930,  4158,  4159,  3740,  2035,
    4162,  1156,  3353,   129,   130,  2600,  4282,  4167,  2867,  1875,
     866,  1542,  3889,  1869,  1087,  1985,  1070,  1073,  4921,  3369,
    4573,  1882,  1034,  4574,  4892,  2192,  3154,  1521,    35,  2422,
   -2072,  2122,  1807, -1491,  1190,  2504,    41,    42,  2944,  1069,
    2089,  3436,  1932,  4340,  1035,  5221,  1167,  2936,  3519,  2505,
    1104,  1837,  1978,  1191,  1074,  1075,  1096,  1096,   129,   130,
    2949,  5024,  1157, -2239, -1690, -1494,  5583,  3294,  4717,  3295,
    2413,  2914,  3741,  2586,  5025,  2958,  5489,  3723,  4680,  2112,
    4569,  2312,  5308,  4596,  1237,  2507,  4283,  1979,  2868,  3209,
    2587,  1462,  3507,  5360,  5496,  1237,   430,  5536,  1807,    37,
      38,    39,    40,  5564,  2505,    43,    44,  1593,  1826,  2506,
      45,  1462,  3463,  2669,  3470,  2123,  1013, -2186,  2694,  2193,
    2807,  2975,  2670,  1095,  1095,  1462,  2957,  3508,  5269,  4988,
    1158,  1741,  5388,  1742,  4197, -1491,  1014,  1210,  5547,  4168,
    4169, -1494,  2601,  5550,   859,  5286,  5261,  2588,  3445,  3268,
    1034,  4520,  5494,  3155,   860,  3240,   216,  3509,  4013,  4634,
    1434,  2808,  5148,  1237,  2506,  2589,  3471,  4884,  5537,  1015,
    5089, -1491,  1035,  4198, -1491, -2186,  2119,  3086,  3372,  4597,
    5008,  2090,  2414,  4521,  4474,  3382,  1152,  4199,  1980,   224,
   -2219, -2268,  5538,  3437,  2586,  4531,  3887,  4683,  5593,  4014,
    3887,  2091,  3513,  4481,  4522,  4858,  1189,  1462,  5584,  4865,
    1275,  2368,  2369,  2370,  2371,  2372,  2373,   379,  -849,  5170,
    3472,  1735,  5326,  2602,  4284,  1736,  5331,  5332,  2974,   235,
    2539,  4777,  1172,  5432,  5026,  5565,   927, -1494,  1834,  1836,
   -1690,  3139,   238,  3140,  5156,   707,  5439,  5440, -2219, -1690,
    5207,  2136, -1690,  1855, -1690,  1159,   861,  4183,  3693,  4046,
    5619,  1189, -2239,   248,  3699,   707,  3141,  5323,  2588,    81,
      81,  3694,    81,  3383,  1305,  4200,  4328,  3249,  2869,  2448,
    1237,  2735,  5229,  1395,  2456,  2457,  2589,  2461,   707,  4285,
    2231,  2870,  2233, -1494,   929,  2237,  1105,  2239,  1886,  2590,
    2242,  2243,  2244,  3618,  3619,  3620,  3621,  2462,  4037,  1164,
    1164,  1013,  1164,  2251,  3473,  3626,  4635,  4492,  2809,  3394,
   -2239,  2121,  3192,  2394,   707,  1953,  2395,  2277,  4795,  2278,
    4796,  1014,  5177,   206,  1855,  3485,  2172,  4684,  1462,  4600,
     707,  1213,    79,    79,  1047,    79,  1047,  3931,  1047,  1275,
    1782,  1144,  2092,  4181,  1047,   707,  4015,  4352,   707,  1229,
     216,  1807,  3012,  3486,  1015,  3142,  4712,  1306,  1251,  1237,
    3143,  3489,  2122,  3491,  1510,  3144,  4493,  3313,  1047,  1047,
    5364,  2744,  1743,  4531,  2172,  1411,  3484,  4509,  3226,  3670,
   -2268,   862,  1106,   224,  3984, -1494,  1932,  1237,  5311,  2463,
     851,  2591,  3027,  1887,  1355,  1802,  1803,  5316,  3497,  1307,
    4038,  2736,  2810,   852,  2737,  4121,    37,    38,    39,    40,
    2590,  4995,  2161,    44,  3474,  1237,  1237,  1237,  1131,  1237,
    3368, -1494,  3475,   235, -1494,  3476,  3412,  1016,  3537,  5174,
    4601,  2377,   937,  3013,   938,  4047,   238,  1396, -2268,  1237,
    4016,  1761,  5574, -2096,   851,  3314,  2123,  -173,  2403,  2404,
    5175,  1308,  4797,  1416,  5381,  1725,  1178,   248,  2075,  2805,
    3227,  4048,  4761,  1467,  4762,  3889,  4039,  3223,  4321,  3889,
    3358,  1017,  2172,  -173,  5205,   707,  1179,   421,  2419,   910,
    2594,  1186,  3413,   707,   707,  2842,  1180,  5365,  5378,   422,
     422,  1397,  3145,  1237,   423,  3369,  1047,  1398,   739,   739,
    3465,  1721,  3146,  2604,  2848,  3241,  5244,  3510,  2595,   851,
     704,   704,  2591,  2605,  5245,  1835,  1964,  2806,   206,  3477,
    4996,  1726,   852,  1237,  3531,  3370,  3391,  1237,  1237,  5408,
    2001,   421,   421,   421,  1583,  1828,  1829,  1762,  5259,   422,
    4255,  1187,  3511,  4259,  2162,   216,  2543,  2751,   423,   423,
     423,  1807,  1956,   920,  2521,  5366,  1807,  1807, -1503,  2630,
    3371,   858,  1047,  2389,  1965,  5058,  3995,  3466,   868,   707,
   -1503,  3887,  3512,  1957,  3477, -1503,  3887,    35,   224,  2405,
    2849,  3887,   421,  4280,  3887,    41,    42,  1154,  1181,   421,
    3845,  4663,  3846,  2715,  2843,  5320,   421,  4666,  4667,   423,
    4669,  3242,  3277,  2440,   739,  3926,   423,  1462,  1699,  1305,
    1168,   869,   430,   423,  3887,  3847,   970,  4454,   235, -1503,
    1156,  3325,  5493,  1096,  3725,  4117,  1875,  3646,  3887,  2002,
    1875,   238, -1541,  2516,  2517,   927,  5317, -1541,  1189, -1503,
    1767,  3972,  1275,  1767,  2406,  2596,  1966,  3296,    37,    38,
      39,    40,   248,  1182,  3372,    44, -1014,  2606,  2716,  2535,
    2537,  1101,  2513,  1860,  1096,  2514,   249,  4681,  4012,  5064,
    2346,  5246,  1462,  5255,  1700,  3326,  5134,  2931,  5136, -1503,
     858,  1157,    37,    38,    39,    40,  2059, -1503,  4455,    44,
    1095,  4118,  2607,   929,  1967,  1411,  2465,  1968,  4910,  4911,
    3390, -1541,  1306,  4998,  2735,   927,  1462,  2743,  3321,  1769,
    5007,  4903,  1769,   851,  1861,  2696,  1869,   868,  4456,  3848,
    1852,  1869,  2440,  1183,  3849,  1807,   852,  5017,  1175,  2354,
    1956,  1095,  4682,  4457,  2466,  1807,  1970,  3614,  2580, -2618,
    1767, -1541,  2163,  4458,  1307,  1768,  3664,  4585,  2581,  1158,
     868,  1957,  1770,  5403,   870,  1853,  4538,  1411,  2686,  2515,
     869,  2164, -1020,   929,  3469,  2582,  3887,   707,  5155,  4459,
    1869,  2910,  -540,   911,  1869,    35,  4904,  1972,   927,    37,
      38,    39,    40,    41,    42,  1854,    44,  1007,  1462,  2687,
    4327,  3325,  3901,   869,  2029,  1807,  1308,   216,  1807,  1807,
     421,     8,  3414,  1462,  5442,  2036,  5585,  1862,  3711,  1769,
    5181,  2822, -1503,  4586,  4536,  2741,  1974,   423,  4004,  3534,
    1875,  5610,  1462,  4361,  3216,  1047,  1172,  2200,  3010,  2429,
     224,  3887,  2468,  4539,  2736,  3021,   929,  2737,   707,  1102,
    4331,   937,   707,   938,  1210,  3992,  3033,  4460,  2201,  1770,
    3889,  3850,  4387,   940,   707,  3889,  2697,  2575,  3415,  1216,
    3889,  3851,  4237,  3889,   942,  4455,  2172,  2075,  1807,  1462,
     235,  4246,  1735,  2109,  1159,  1758,  1736,  4370,  4332,  4371,
    4181,  3192,  1237,  2698,   858,  3070,  3192,  2469,  1462,  4540,
    4027,  4541,  3192,  3889,  1237,  4456,    37,    38,    39,    40,
    1462,  2747,  2583,    44,  2346,   379,  2699,  3889,  2700,  3199,
    4848,   937,  1462,   938,  2669,  4050,  1517,  -436,   249,  2674,
    4458,  2675,  4999,  2677,  2465,  5521,  2829,  1237,  3924,   707,
     707,  1227,  4566,  2352,  5431,  3549,  4870,   943,  4558,  1388,
    5268,  2694,   707,    37,    38,    39,    40,  3892,  4570,  4575,
      44,  1866,  1462,  1867,  3071,  1462,   121,   707,   707,  2686,
    1244,  3032,  2466,  2354,  1388,  5000,    81,  3055,   379,    81,
    1389,    74,  1349,  1350,   125,  5230,  1351,  2676,  1857,   707,
    1961,   209,  1352,  1242,   937,  2977,   938,  2978,  3957,  4588,
    2687,  2980,  3514,  2981,  2559,  1389,  2983,  3854,  4342,  2784,
    2984,  4372,  1390,  5351,  1411,   851,  5231,  2721,  5352,  4086,
    2075,  4373,  3887,  1858,  3072,  1962,  2467,  3073,   852,  1237,
    2696,  3516,  3515,  4030,  4460,  1047,  -436,  4234,  2786,  2560,
    1047,  1047,  4653,  3199,  2785,  5611,  1034,  3887,  5612,    79,
    2787,  1257,    79,  1859,  4087,  3889,  4982,   430,  1391, -1540,
    1258,  3517,  4654,  5353, -1540,  3715,  1237,  1237,  1035,  2561,
    2468,    45,  1237,  1237,  5606,  2788,  2696,  3232,  3079,  1237,
    1237,  1237,  4347,  1391,  4088,  1237,  4983,  1237,  1237,  1237,
    1237,  1237,  1237,  2696,  1237,  4735,  1237,  1237,  4075,  4206,
    1237,  1717,   421,  4296,  4297,  2148,  4972,  4081,  4973,  4974,
    4636,  4076,  4975,  2845,  1462,  1237,  1237,  1237,  1237,   423,
    3889,  3074,  2409,  1237,  2149,  2469,   704,  1237, -1540,  1294,
    1237,  4637,  2877,  1237,  1237,  1237,  1237,  1237,  1237,  1237,
    1237,  1237,  4886,  1237,  5174,  1045,  3315,  1303,  3318,  1411,
    2696,  1237,  1746,   422,  1237,  2925,  5174,  1959,  5572,  4109,
    1304,  3970,  4454,  5035,  5226,  5175,  1758,  1045, -1540, -1491,
    1218,  2697,  2008,    43,  2925,  2012,  2755,  5175,    45,  1275,
    4723,  3961,  1219,  1220,  1735,  1354,   858,  3652,  1736,  3981,
    3982,  5595,  3312,  2783,  3223,  1367,   421,  1368,  2698,  3251,
    4002,  1221,  3376,    35,  1222,  1357,  4780,  4181,   422,  1047,
     422,    41,    42,   423,  1359,  1747,  2211,  2697,  1237,  1047,
    2212,  2699,  3308,  2700,  1362,  3075,  3116,  2722,  3129,  3119,
     851,  5518,  2725,  4455,  2697,  3887,  4345,    35,  1991,   216,
    1375,  4533,  4534,   852,  2698,    41,    42,  2148,  2211,  3623,
    3379,   421,  2966,   421,  3624,  3819,  2694,  3821,  3822,  3936,
    5625,  2698,  2345,  4456,  2696,  2346,  2149,  2699,   423,  2700,
     423,  4189,   224,  1992,  2148,  1383,  3624,  1993,  4457,  1047,
    2150,  2774,  1047,  1047,  2699,  2780,  2700,  -539,  4458,  1860,
     707,  2697,  3977,  2149,  2352,  1392,  1370,  2136,  1371,  2566,
   -2827,  3889,  2694,  1994,  4516,  4538,  1393,  2152,    81,  2136,
      81,  2566,   235,  5251,  4459,  1394,  1462,   421,  2698,  2694,
    1462,  1462,  1400,  1223,  2354,   238,  3889,  5186,  3765,  1403,
     707,    80,  2969,  5094,   423,   707,   193,   430,  1200,   707,
    1861,  2699,  4104,  2700,  1509,   430,   248,   707,  5361,  2214,
    1414,  4112,  1047,  3766,   851,  4222,  1463,  3767,   851,  1807,
     249,  1418,  1224,  2931,  3454,   707,  1471,   852,  1237,  5187,
    3468,   852,  2136,  1735,  1855, -2075,  2694,  1736,  1472,  1837,
    1237,    79,  4539,    79,  1462,  4554,  2220,  1237,  2221,  3842,
    4348,  1411,  4460,  1411,  5188,  1488,  1462,  4303,  4304,  4305,
    1477,   858,  4768,  4769,  4770,  2697,  2286,  4190,  2287,   707,
    5189,  1497,  4335,  4191,  5190,  5182,  1008,  2299,   706,   249,
     216,  1096,  1512,  2696,  4192,  2143,  2144,   707,   707,    45,
   -2827,  2024,  2698,  1862,  5191, -2827,  1462,  5192,  4540,  1551,
    4541,   421,  4207,  2440,  4209,   421,  2497,  2498,  5551,   193,
    5193,  1555,  4193,   224,  4194,  2699,  1559,  2700,   423,   707,
    1566,  1411,   423,  1893,  2446,  4919,  2447,  1572,  2449,  4470,
    2450, -2827,  5095,  2345,  1581,  4215,  2346,  4218,  2497,  3261,
    2696,   955,  2903,  1863,  2904,  3237,  3238,   973,  1095,  1096,
    2694,   707,  3478,   235,  1573,   707,  1894,   851,  2340,  2136,
    1574,  2566,  4475,  4476,  4477,  2352,   238,  2968,  3615,  2969,
     852, -2827,  4273,   707,  3889,  1060,  2361,  2990,  1864,  2991,
    3898,  3899,   209,  4116,   707,   858,  1895,   248,  1580,   858,
    5194,  4195,  1582,   216,  5200,  2354,  1583,   707,  5195,  2696,
    1584,   249, -1273,    35,   430, -1273,   707,  3478,  1865, -1564,
   -1564,    41,    42,  2441,  1896,  2992,  1095,  2991,    45,  4301,
    4302,  4303,  4304,  4305,  2697,  3024,   224,  3025,  5348,  4753,
    5350,  3441,  1585,  1807,  5354,  5196,  5355,  1866,  1586,  1867,
    4122,  1807,  1592,  1807,   421,  3199,  3222,  1897,  3223,  4196,
    1589,  2698,  1237,  1462,  4197,  3388,  2345,  3389, -2827,  2346,
    3853,   423,  3459,  1720,  3460,  3936,   235,  3478,  1590,  3572,
    3936,  3573,  2907,  3478,  2699,  1728,  2700,  1152,  3577,   238,
    3578,  2697,  1898,  1723,  3639,  4341,  3640,  1868,  2352,    37,
      38,    39,    40,  4198, -2827,  3673,    44,  2969,  1727,  4151,
     248, -2827,  3717,  1729,  2991,  3478, -2827,  4199,  2698,  2694,
    3870,  3764,  3871,  2969,  5552,  1899,  1734,  2934,  2354, -1059,
   -1059,  1152,  3773,  1462,  2969,  1756,  1748,   707,   858,  1755,
    3779,  2699,  2969,  2700,  4658,  5035,  3780,  1758,  2969,  1237,
    2697,  1759, -2827,  1900,  1901,  1765,  4670, -1694, -1694, -1694,
   -1694, -2827,  1780,  1781, -1694,  3781,  1787,  2969,  2368,  2369,
    2370,  2371,  2372,  2373,  1785,  1791,  2694,  2698,  1792,  1795,
    3582,  4959,  4960,  1796,  4962,  2696,  1797,  3812,  1902,  2969,
    4745,  1798,   209,  4421,  2696,  1799,  1903,  2361,  1800,   707,
    2699,  1801,  2700,  1904,  3825,  4200,  2969,  1237,  1809,  3830,
    1905,  3831,  4301,  4302,  4303,  4304,  4305,  1811,  1906,  1251,
    4306,  1808, -1701, -1701, -1701, -1701,  3875,  3876,  3877, -1701,
    1907,  3872,  1840,  3873, -2827,  2694,  1841,  1916,  1908, -2827,
    4068,  4073,  4069,  4074,  1152,   851,  1843,   707,  4813,  1047,
    1849,   851, -1692, -1692, -1692, -1692,  1855,  1885,   852, -1692,
    4267,  1200,  4268,  1462,   852,   707,  1890, -1695, -1695, -1695,
   -1695,  1919,  1950,   707, -1695, -2827,  4294,  1237,  2969, -2827,
    1462,  1951,  4393,  1237,  4394,  4559, -1693, -1693, -1693, -1693,
    1914,  1462,  1909, -1693,  4589,  4403,  4414,  4404,  2969,  1918,
    1237,  1595,  1948,  1047,  3793,  1237,  1952,   704, -2827, -2827,
   -2827,  4500,  1953,  4501,  1807,  4505,  4674,  4506,  4675,  4515,
    2361,  3295,  4537,  1835,  2991,  4610,  2697,  4611,  1237,  1237,
    1237,  1955,   421,  1237,  4714,  2697,  2991,  4774,   421,  2275,
    1963,  1237,  1237,  1237,  1237,  4792,  4818,  2969,  3025,   423,
    4830,  1986,  2969,  2698,  1237,   423,  4888,  1237,  3295,  1237,
    1987,  4894,  2698,  4895,  1047,  4900,  4901,  2991,  2991,  1960,
    1237,  1237, -2827,  5019,  1237,  5020,  2699,  1999,  2700,  2368,
    2369,  2370,  2371,  2372,  2373,  2699,  2009,  2700,  1237,   379,
    1237,  2010,  1237,  1349,  1350,  2013,  5069,  1351,  5070,  5071,
    2018,  2969, -2827,  1352,  5079,  5153,  3025,  5154,  5227,  2019,
    2991,  2694,  1237,  2020,  2027,  2345,   858,  2025,  2346,  4723,
    2694,  5004,   858,  1237,  2028,  1237,  1237,  1237,  2030,  2033,
    4771,  1595,  2037,  5252,  3793,  5253,  2044,  2038,  3794,  3795,
    3796,  2045,  5270,  2912,  3025,  2048,   707,  2352,  2050,  5278,
    1237,  5279,  5283, -2827,  3223,  2053,  2056,    74,  3826,  5289,
     955,  4244,  2063,  1237,  3833,  5291,  2066,  4244,  1237,  5303,
    5341,  5304,  5342,  4847,  1237,  4850,  2068,  2354,  1045,  5377,
    1045,  2408,  1045,  5395,  1237,  5304,  2059,  2077,  1045,  1539,
    1540,  5409,  5410,  3025,  3831, -2827,  5411,  5421,  2969,  3223,
    2080,  1259,  2368,  2369,  2370,  2371,  2372,  2373,  1260,  1261,
    1262,  2079,  1045,  1045,  5424,  -194,  4244,  1047,  2082,  1807,
    5560,  5561,  5446,  1462,  3025,  1047,  1462,  1047,  1462,  5452,
    5453,  3025,  3025,  1462,  5479,   707,  5480,  5510,  5511,  3223,
    2969,  5512,  4424,  2969,  5514,  5531,  2969,  5532,  5568,  2084,
    4244,   707,   707,  2096,  5571,  3799,  5297,  1237,   851,   851,
     851,  2098,  4698,  4699,  5594,  5608,  5304,  5609,  2105,  2107,
    3346,   852,   852,   852,  2111,  4703,  3936,  1251,   707,   887,
    1851,   707,  5634, -2827,  5609,  1462,  2124,  1764, -2827,  1766,
    2129,  2116,  2131,  2130,  2132,  2136,  2139,   851,  2140,  2142,
    2156,  2168,  1462,  2169,  3797,  3057,  3059,  2171,  2172,  2179,
     852,  2182,  3066,  2183,  2184,  2186,  2185,  2187,  3080,  3081,
    3082,  2189,  2194,  2195, -2827,  3798,  2196,  1462,  3098,  3100,
    2197,  2199,  2204,  3110,  2252,  2218,  2283,  2288,  2290,  5282,
    1045,  2291,  2297,  2298,  2304,   421,   421,   421,  2305,  2306,
    5282,  5632,  5633,  2307,  2308,   249,  2310,  2311,  2312,  1830,
    2313,  2314,   423,   423,   423,  4877,  2315,  2317,  2318,  2361,
    2319,  2378,  2320,  2380,  2321,  2322,  2323,  2382,  2324,  2326,
    2412,  2327,  2328,  2329,   421,  3799,   707,  2330,  2331,  2332,
    2424,  2333,  2434,  2445,  1541,  2383,  1462,  2408,  1462,   707,
    2454,   423,  1768,  1770,   707,  2483,  1045,  2485,  2494,  1347,
    2496,  2503,   851,   707,  1189,  2518,  2511,  2520,  2522,  2530,
    2531,  2533,  2538,  2562,  2540,   852, -2770,  2542,  5339,   858,
     858,   858,  2563, -2827, -2827, -2827,  2564,  3803,  3804,  3805,
    3806,  3807,  3808,  2567,  2566,  2569,  2568,  2570,  2571,  2572,
    2578, -2827,  4428,  2597,  2603,  3935,  2609,  2632,  2636,  1462,
    2638,  2639,  2640,  2641,  2643,  2644,  2659,  2672,   858,  1412,
     973,  2661,  2660,  2673,  1560,  2684,  4291,  2688,   707,  2690,
    2691,  2692,  2693,  2694,  1462,  2702,   950,  2703,  1047,  2706,
    2704,  2705,  2711,  2712,  2720,  2723,  2731,  2738,  2727,   421,
    2728,  2739,  2745,  1932,  2746,  2750,  2767,    80,  2756,  2757,
    4101,  4175,  1462,  2768,  4250,  2769,   423,  1462,  2773,  4875,
    2796,  2797,  2778,   707,  4262,   707,  2772,  2804,  2798,  2782,
    2812,  2813,  2815,  5422,  2817,  2816,  2824,   707,  2825,   707,
    2819,  2830,  2833,  2834, -2827,  2837,   922,  2846,  4290,  2838,
    1980,  2368,  2369,  2370,  2371,  2372,  2373,  1152,  2861,  2841,
    2866,  2883,  2879,  3800,  3801,  3802,  1568,  3803,  3804,  3805,
    3806,  3807,  3808,  2882,  2891,  1152,  1462,  2897,  2899,  2917,
    2906,  2926,  2919,   858,  2895,  1807,  2920,  2924,  2911,  2900,
    1807,  2938,  2925,   707,  1462,  2928,  2929,  2940,  2942,  2960,
    1588,  2941,  2943,  4991,  2961,  2986,  3003,  5345,  4917,  1462,
    1702,  2987,  3009,  3022,  1714,  1412,  1716,  4436,  4437,  4438,
    4439,  3111,  3035,  3062,  3067,  2829,  3117,  2346,  3130,  3150,
    3171,  3136,  3185,  1265,  1266,  1267,  5105,  1268,  1269,  1270,
    1271,  1272,  1273,  5120,   961,  3170,  3205,  3203,   707,  3148,
      74,    74,  5330,    74,  3233,  5327,  3213,  3121,  3214,  3224,
    3202,  3235,  1237,   851,  3210,   707,  5198,  3208,  1157,  1045,
    3234,  4955,  3246,  5133,  3225,  3212,   852,  3252,  3236,  5335,
    3267,  5337,  3269,  3270,  2398,  3284,  3285,   707,  3287,  3297,
     707,  1275,  3321,  1047,  3298,  3299,  3316,  3754,  3319,  3323,
    3324,  3330,  2970,  3758,   706,   706,  3345,  1237,  3340,  1838,
    1462,  3335,  1595,  3341,  3343,  3793,  1237,  3347,  3355,  3794,
    3795,  3796,  1237,  3351,  1237,  3363,  3364,  1237,  3367,  3381,
    3380,  1462,  1237,  1237,  1237,  1237,  4411,  3386,  1237,  1237,
    1237,  1237,  1237,  1237,  1237,  1237,  1237,  1237,  1717,  3402,
     421,  1237,  1237,  3397,  1721,  3403,  1462,  3416,  3422,  3421,
     375,  1237,  3448,  3443,  3522,  1237,  5458,   423,  3451,  1237,
    1807,  3449,  5464,  5466,  3461,  3464,  3458,  1237,  3479,  3533,
    1237,  3545,  1237,  3540,  3541,  3544,  3546,  3565,  3552,  3553,
    1462,  1237,  3554,  3555,  1237,  1237,    35,  3556,  3560,  1237,
    1237,  3563,  3571,  3567,    41,    42,  1237,  3591,  3574,  3579,
    3605,  3609,  3622,  3936,  1595,  3616,  1237,  3793,  1237,  3632,
    3607,  3794,  3795,  3796,  3625,  3599,  3630,  3631,  3633,  3634,
    1237,  3642,  3645,  3649,   858,  3662,  1237,  1237,  1237,  3644,
    3648,  5224,  1595,  3890,  3663,  3793,   375,  3667,  3668,  3794,
    3795,  3796,  3669,  3671,  3677,  3678,  3674,  3666,  2514,  4754,
    3691,  1172,  3676,  5277,  3700,  3709,  4412,  3702,  3679,  1045,
    3680,  3705,  3706,  3710,  1045,  1045,  4398,  3689,  3690,  3731,
    3719,  3720,  3470,  5533,  1237,  3223,  3721,  2205,  3722,  3724,
    4618,  3036,  3733,  3734,  3735,  3742,  3752,  1237,  3750,  3745,
    3756,  3757,  1557,   851,  3890,  3759,  3798,  3760,   851,  3762,
     851,  3778,  3775,  1462, -1953,  3776,   852,  3866,  3672,  3827,
    3789,   852,  3777,   852,  3844,  5141,  3861,  2969,  1237,  3782,
    3783,  1151,  3942,  3839,  3471,  3944,  3892,  3938,  3946,  3785,
    3788,  3952,  3811,  3817,  3975,  3824,  3985,  3983,  3852,  2512,
    3986,  1539,  1540,  2476,  5458,  3838,  3897,  3948,  3862,  3864,
    3959,   707,  3865,  3868,  3965,  3990,  3799,  3968,  3963,  5162,
    2527,  3994,  3997,  3999,  4023,  4007,  5157,  2534,  2536,  4024,
    3964,  2211,  3969,  3600,  3991,  4034,  5347,  4036,  3472,  4040,
     421,  4041,  4042,  4043,  4054,   421,  1412,   421,  4064,  4053,
      80,    80,  4056,    80,  4062,  4063,  4072,   423,  3798,  4082,
    4105,  4103,   423,  1462,   423,  4113,  4107,  4108,  4111,  1412,
    5578,  4114,  4115,  4125,  4123,  4124,  4138,  4126,  4127,  4128,
    4129,  4131,  4142,  4144,  4130,  4133,  3798,  4132,  4134,  4135,
    4136,  4137,  4139,  1045,  4146,  4148,  2765,  4150,  4157,  4163,
    4164,  4166,  4173,  1045,  4186,  4213,  4220,  4231,  4214,  1047,
    4229,  1162,  4235,  4243,  1047,  2279,   707,   375,  3799,   707,
    4233,  4244,  4256,  4251,   858,  4253,  4257,  4260,  4261,   858,
    4265,   858,  3473,  4277,  4288,  4298,  1807,  4264,  2158,  1412,
    4300,  4311,  4313,  4323,  4324,  4325,  3799,  1275,  4326,  3792,
    4329,  4334,  4337,  4338,  4355,  4336,  4346,  4349,  4351,  2299,
    3814,  3820,  3793,  1045, -1952,  3813,  1045,  1045,  4416,  1158,
    4405,  3441,  3601,  4584,  4445,  4472,  4498,  4495,  4364,  4503,
    3936,  1237,  4389,  4390,  4391,  4429,  4397,  4485,  4417,  4730,
    4518,  1275,  4469,  3843,  3800,  3801,  3802,  4435,  3803,  3804,
    3805,  3806,  3807,  3808,   707,   707,  4420,  4511,  1462,  4453,
    4467,  1411,  2342,  4524,  4545,  3602,  4490,   707,  4560,   707,
    4482,  2344,  4547,  4484,  4548,  4487,  4486,  4553,   422,  4561,
    4562,  3869,  4489,  4563,  4567,  2387,  1045,  4565,  2516,  2517,
    4576,  4594,  3474,  4579,  4606,  4591,  4592,  4593,  4607,  4604,
    3475,  4605,  4290,  3476,  4612,  4613,  1462,  1237,  1237,  4608,
    4609,  4625,  4616,  4615,  4633,  4648,  1412,  4650,  4652,  2418,
    2420,   421,  4626,  4571,  1412,  1412,  4655,  4662,  4661,  4664,
    4665,  4668,  5441,  4677,  4688,  4279,  4685,  4693,   423,  4695,
    4708,  4701,  4727,  4728,  1047,  2991,  3800,  3801,  3802,  4707,
    3803,  3804,  3805,  3806,  3807,  3808,  4743,  4710,  4746,  4890,
    4749,  4711,  4741,  4740,  4744,  2901,  4751,  4747,  4767,  4772,
     707,  4776,  4778,  4794,  3800,  3801,  3802,  4779,  3803,  3804,
    3805,  3806,  3807,  3808,  4752,  4783,  4784,  4786,  4798,  2913,
    4789,  1237,  4803,  4799,  4804,  4805,  4806,  4811,  4838,  2921,
    4843,  2922,  1237,  1893, -1954,  4807,  4844,  4851,  2927,  4826,
     706,  4839,  4841,  2930,  4852,  4857,  4856,  4859,  4860,  4876,
    1411,  4887,  4862,  4863,  4889,  4864,  4883,  4891,  4896,  4897,
    4905,  4922,  1237,  4923,  4930,  4929,  1894,  4942,  4931,  4954,
    1807,  5438,  1237,  1237,  4945,  1462,  4963,  4971,  4952,  1237,
    1237,  4957,  4958,  4976,  1237,  1462,  4924,    74,  4984,  1237,
      74,  4985,  1237,  1237,  4997,  4992,  5001,  1237,  5002,  5005,
    5012,  5010,  5003,  1237,  5030,  5021,  5031,  5032,  5033,  4878,
    5041,  5046,  1251,  5055,  5051,  5028,  5056,  5065,  5075,  5084,
    5066,  1237,  5073,  5076,  1896,  1237,  5068,  5118,  5077,  5078,
    5098,   851,    35,  5091,  5130,  5102,  5127,  1237,  5124,  5135,
      41,    42,  1237,  5146,   852,  5150,  2345,  5131,  1237,  2346,
    5159,  5180,  5149,  2347,  2348,  2349,  5199,  1897,  5201,  4684,
    5164,  5165,  5169,  5213,  5208,  5210,  1237,  5215,  5211,  5214,
    2350,  5233,  5234,  2351,  5235,   851,  5237,  5242,  2352,    81,
    5243,  5239,  5254,  5256,  2353,  5258,  3068,  3069,   852,  5264,
    5257,  5280,  1898,  3083,  3084,  1237,  2345,  5273,  5276,  2346,
    5292,  5285,  5288, -2827, -2827, -2827,  5293,  5295,  2354,  2748,
    5319,  5362,  5367,  1462,  5334,  5374,  5321,  5297,   421,  5301,
    5371,  5312,  3122,  5379,  5372,  1899,  4872,  5384,  2352,  5390,
     707,  5391,  5392,  3094,  2353,   423,  5399,  5402,  1411,  5400,
    5401,  3112,  5407,  1275,  1462,  5412,  5430,  5420,  5426,  5413,
    5433,  5434,    79,  5429,  1901,  5445,  5449,  5328,  2354,  5463,
     707,  5469,   421,  5436,  5470,  1462,  3890,  5473,  3890,  5475,
    5483,  5478,   707,  5481,  5484,  5498,  5490,  5491,  2527,   423,
    1462,  5492,  5499,  1237,  5508,  5527,  5534,  5471,  2345,  4430,
    1047,  2346,   209,   707,  2652,  5542,  1903,  5472,  5563,  5582,
    5569,  5603,   858,  1904,  5607,  5601,  5613,  5520,  5614,  5522,
    1905,  2857,  5617,  5546,  2355,  5541,  5604,  5628,  2653,  2356,
    2352,  5602,  1047,  1462,  5621,   375, -2827,  5622,  5626,  1170,
    1907,  5629,  5627,  5630,  2779,  1917,  3611,  2431,  1908,  3927,
    2357,  2358,  1984,  1045,  3447,  1237,   858,  4049,  4582,  4172,
    2354,  3532,  4671,  1807,  1983,  2359,  1237,  5356,  5457,  5580,
    5236,  4697,  5238,  4989,  2355,  5223,  3988,  5523,  3718,  2356,
    5139,  5576,  5476,  5474,  5540,  3993,  4692,  4731,  3890,  4715,
    3589,  3590,  4066,  4580,  2858,  4704,  5006,  2360,  4101,  4239,
    3580,  5581,  1909,  5631,  5618,  5212,  4187,  1045,  4174,  5544,
    2361,  5163,  2840,  2362,  5451,  2359,  5528,  5166,  1065,  1462,
    4773,  1462,  5307,  2285,  4737,  4425,  3290,  1830,  3976,    74,
    5397,    74,  2345,  3029,  1489,  2346,  1413,  4145,   375,  1151,
    3030,  5554,  3031,  4949,  2272,  5620,  1731,    80,  2577,  3218,
      80,  2976,  3219,  4718,  4879,  5517,   707,  4507,  2219,  3714,
    2361,  2451,  2393,  3934,  2352,  3245, -2827,  3943,  1045,  2480,
   -2827, -2827,  1237,   382,  2479,  3941,  1462,  4483,  5513,   382,
    5428,  1237,  3244,  4867,   700,  2484,  3945,  4448,  4837,  5287,
    4849,  4444,  2363,  2489,  2354,  5419,  5418,  4508,  1237,  1237,
    5271,  4307,  1237,  4399,  5121,  5515,  5507, -2827,  5516,  3175,
    3937,   382,  3654,  3859,  3770,  3929,  1237,  3857,  3184,  1203,
    4289,  1237,  3665,  2902,  5500,  1173,  1237,  3271,  2495,  1237,
    1237,  1893,  2502,  1848,  4513,  1508,  4363,  1237,  1237,  2280,
    3275,  3922,  2363,  3276,  1152,  3278,  3262,  4514,  4868,  3078,
     851,  5125,  2361,  4488,  1047,  1196,   382,  2208,  3282,  1237,
    3716,  2397,  2499,   852,  1894,  2118,  1152,   707,  1819,   707,
    4392,  2988,    83,  1237,     0,  1162,  5126,     0,  1546,     0,
       0,     0,     0,     0,     0,  2364,     0,     0,  2365,  2366,
    2367,     0,  2368,  2369,  2370,  2371,  2372,  2373,     0,  1820,
   -2827,     0,     0,     0,  1091, -2827,     0,  1462,   707,     0,
       0,     0,  1091,     0,  1091,  4434,     0,  1237,     0,     0,
    5123,  1045,  1896,     0,  5228,     0,     0,   382,     0,  1045,
       0,  1045,     0,     0, -2827,  2364,     0,   421, -2827, -2827,
   -2827, -2827,  2368,  2369,  2370,  2371,  2372,  2373,     0,  5247,
       0,     0,     0,     0,   423,  1897,  3207,     0,     0,     0,
    1237,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1807,     0,     0,     0,     0,  3655,  2361,     0,     0,     0,
    1898,     0,     0,     0,     0,   383,     0,     0,     0,     0,
       0,   383,     0,     0,     0,     0,   701,     0,     0,     0,
       0,  1237,     0,  1462,     0,     0,     0,     0,     0,     0,
       0,   858,     0,  1899,     0,     0,     0, -2827,   851,     0,
       0,     0,     0,   383,  2368,  2369,  2370,  2371,  2372,  2373,
       0,   852,     0,  1237,  1462,     0,  1237,     0,  1237,     0,
       0,     0,  1901,     0,     0,     0,     0,     0,     0,     0,
       0,   706,     0,  5185,     0,     0,     0,     0, -2827,  2611,
       0,     0,  1237,     0,  2612,     0,  1237,  1838,   383,    80,
       0,    80,  1462,     0,     0,     0,     0,  1237,   382,     0,
     209,     0,     0,     0,  1903,     0,     0,     0,  1047,     0,
       0,  1904,     0,     0,     0,     0,     0,  2613,  1905,  1237,
       0,     0,     0,  3681,  3684,   421,  2653,     0,  1412,     0,
    2614,     0,     0,   382,     0,     0,     0,     0,  1907,     0,
       0,     0,   423,     0,  2615,     0,  1908,  1047,  1462,     0,
       0,     0,  1462,  1462,     0,     0,     0,  1237,     0,   383,
       0,  3890,     0,     0,  5385,  3890,  3657,     0,     0,     0,
       0, -2827,     0,   707,     0,     0,     0,     0,  2368,  2369,
    2370,  2371,  2372,  2373,  2616,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2617,     0,  1716,     0,     0,
    1909,  1237,  1045,     0,  3658,  4279,     0,     0,     0,   858,
       0,     0,     0,     0,     0,  2618,     0,     0,     0,     0,
    2619,  1237,     0,     0,     0,     0,   851,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   852,
       0,  1462,  1462,     0,     0,     0,  1807,     0,     0,     0,
       0,     0,  5406,     0,   375,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1237,     0,     0,  1237,     0,     0,
       0,     0,     0,     0,  2345,     0,  1237,  2346,  1445,     0,
       0,  1237,     0,  1237,     0,  1237,     0,     0,     0,  2620,
       0,     0,  1237,     0,     0,     0,     0,  5600,     0,  1445,
       0,     0,     0,     0,     0,     0,  2352,     0,     0,  1237,
       0,     0, -2827,   421,     0,     0,     0,     0,     0,     0,
     383,  2621,     0,  3094,  3094,     0,     0,     0,  3094,  2300,
     423,     0,   707,     0,     0,     0,  2354,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3551,     0,  2309,     0,
       0,     0,   887,     0,  3551,   383,     0,     0,     0,     0,
       0,     0,  3551,     0,  3551,  3094,  3094,     0,     0,     0,
       0,     0,  1237,     0,     0,     0,     0,     0,  2325,     0,
       0,     0,     0,     0,     0,     0,  2622,     0,     0,     0,
    3039,     0,  2623,  2338,     0,  2624,  4994,   858,     0,     0,
       0,  4824,  2527,  1237,  1237,  3925,     0,  1045,     0,     0,
    3617,     0,   379,  5545,  1237,     0,  5556,  5557,     0,     0,
    5558,     0,   707,     0,  2625,     0,  5559,     0,     0,     0,
     851,  2626,     0,     0,  1237,     0,     0,  3040,  2627,  5185,
    3647,     0, -2827,   852,     0,  2628,     0, -2827,  1412,     0,
       0,  4802,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1047,     0,     0,   379,  3041,     0,
    2629,  5556,  5557,     0,  3686,  5558,     0,     0,     0,     0,
    1237,  5559,     0, -2827,     0,     0,  1237,  1237,     0,  1237,
    3042,     0,     0,   851,     0,  1162,  1162,     0,  1162,     0,
       0,  3043,     0,     0,     0,     0,   852,     0,  1237,     0,
    1412,     0,   851,     0,     0,     0,     0,   421,     0,     0,
     707,  3044,     0,     0,     0,   852,  3045,   379,  2361,     0,
    1595,  5556,  5557,  3793,   423,  5558,     0,  3794,  3795,  3796,
       0,  5559,     0,     0,     0,     0,  3890,     0,     0,     0,
       0,  3890,     0,     0,  4820,     0,  3890,     0,     0,  3890,
    5100,     0,     0,     0,     0,     0,     0,     0,   382,     0,
    2345,     0,   382,  2346,  3046,     0,     0,  2347,  2348,  2349,
     421,     0,     0,     0,     0,     0,   700,     0,     0,  3890,
       0,  1237,  1237,   700,  2350,  3047,     0,   423,     0,   421,
       0,   858,  2352,  3890,   700,  1237,     0,  5591,  2353,     0,
   -2827,     0,     0,     0,     0,     0,   423,  1237,  1237,     0,
    2032,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2354,   700,     0,     0,     0,     0,   700,     0,
    2047,     0,     0,  5590,     0,     0,     0,  5161,     0,   700,
       0,     0,     0,     0,  2057,     0,     0,     0,   887,     0,
       0,     0,     0,     0,   858,     0,     0,     0,     0,     0,
    5591,     0,     0,     0,     0,   700,     0,     0,     0,     0,
       0,     0,     0,   858,     0,  3048,     0,     0,     0,  5591,
    1251,   700,  3049,     0,     0,     0,     0,   700,  3050,     0,
       0,     0,     0, -2827,     0,     0,  5590,     0,   700,     0,
    2368,  2369,  2370,  2371,  2372,  2373,     0,     0,     0,     0,
    1047,     0,   700,     0,  3798,  5590,     0,     0,     0,     0,
    3051,     0,     0,  3052,     0,     0,     0,     0,  2355,     0,
       0,  3890,     0,  2356,     0,     0,     0,     0,     0,     0,
       0,  3053,     0,     0,     0,     0,     0,  1412,     0,     0,
       0,     0,     0,     0,  2357,  2358,     0,     0,     0,     0,
       0,     0,     0,  1045,     0,     0,  3054,     0,  1045,  2359,
       0,     0,     0,     0,  3799,     0,     0,     0,     0,     0,
     383,     0,     0,     0,   383,     0,     0,     0,     0,  5405,
       0,  4219,     0,     0,     0,     0,  3890,     0,   701,     0,
       0,  2360,     0,     0,     0,   701,     0,     0,     0,  1091,
       0,   700,     0,  1091,  2361,     0,   701,  2362,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   382,     0,     0,     0,     0,     0,     0,     0,
    1595,     0,     0,  3793,     0,   701,     0,  3794,  3795,  3796,
     701,     0,     0,     0,     0,     0,     0,  2281,     0,     0,
       0,   701,     0,     0,  4821,  4295,     0,     0,     0,     0,
       0,     0,  3684,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1412,     0,     0,     0,     0,   701,     0,     0,
       0,     0,     0,     0,     0,     0,  2363,     0,     0,     0,
     700,   700,     0,   701,     0,     0,     0,     0,     0,   701,
       0,  5373,     0,     0,     0,     0,     0,     0,     0,     0,
     701,  1595,     0,     0,  3793,     0,     0,     0,  3794,  3795,
    3796,     0,     0,     0,   701,     0,     0,     0,     0,     0,
       0,     0,   375,     0,     0,     0,     0,     0,  1045,     0,
       0,     0,  3800,  3801,  3802,     0,  3803,  3804,  3805,  3806,
    3807,  3808,     0,     0,     0,     0,     0,     0,     0,  4071,
       0,     0,     0,     0,     0,     0,     0,  3890,     0,     0,
       0,     0,     0,  1091,  1091,     0,     0,     0,     0,  2364,
       0,     0,  2365,  2366,  2367,     0,  2368,  2369,  2370,  2371,
    2372,  2373,  3890,  1920,     0,   375,     0,     0,  3784,  1921,
       0,     0,  4110,     0,     0,     0,     0,  3094,  3094,  3094,
    3094,     0,     0,  3094,  3094,  3094,  3094,  3094,  3094,  3094,
    3094,  3094,  3094,   701,  3798,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3654,  1922,
    4396,     0,     0,     0,   383,     0,     0,     0,     0,     0,
       0,     0,  4143,     0,     0,     0,     0,  1893,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3137,  3094,
    3094,     0,  5486,     0,  3551,     0,     0,     0,     0,     0,
       0,  3551,  3551,     0,  3799,  3551,     0,     0,  1923,     0,
    1894,  1924,  3551,     0,     0,  4171,     0,     0,  1925,     0,
       0,  1926,     0,  4184,     0, -2827,     0,  5272,  4184,     0,
       0,     0,   701,   701,  1412,     0,  1412,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1927,     0,     0,  2345,
       0,     0,  2346,     0,  5526,     0,  2347,  2348,  2349,     0,
    4510,     0,     0,     0,     0,     0,  2340,     0,  1896,     0,
       0,     0,     0,  2350,  4242,     0,     0,  1928,     0,     0,
       0,  2352,   700,     0,     0,  3799,     0,  2353,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3890,  1897,   700,  4272,  1412,     0,  1251,  1251,     0,  2155,
       0,  2354,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   375,     0,     0,   700,     0,     0,     0,     0,
       0,  3655,  3686,     0,     0,  1929,  1898,  1930,     0,     0,
       0,     0,     0,     0,     0,  2714,     0,  1931,     0,     0,
    2188,     0,     0,     0,     0,  1932,     0,     0,  2198,     0,
       0,   700,     0,     0,  2206,  1933,     0,     0,     0,  1899,
       0,     0,     0,     0,  1045,     0,     0,   700,     0,     0,
       0,     0,  3800,  3801,  3802,     0,  3803,  3804,  3805,  3806,
    3807,  3808,   700,     0,     0,   700,     0,     0,  1901,     0,
    1934,     0,  1920,  1935,  1936,     0,  1045,     0,  1921,     0,
       0,     0,     0,     0,     0,     0,     0,  2355,     0,     0,
       0,     0,  2356,     0,     0,  5624,     0,  2795,     0,     0,
    1937,     0,     0,  5414,     0,     0,   209,  1251,  1251,     0,
    3656,     0,  2811,  2357,  2358,  5423,     0,  1904,  1922,     0,
    5425,     0,  5427,     0,  1905,     0,     0,     0,  2359,     0,
       0,  2832,  2653,  3800,  3801,  3802,     0,  3803,  3804,  3805,
    3806,  3807,  3808,     0,  1907,     0,  1539,  1540,     0,  1920,
       0,     0,  1908,     0,     0,  1921,     0,  4409,     0,     0,
    2360,     0,     0,  1938,     0,     0,     0,     0,     0,     0,
    1924,     0,  3657,  2361,   701,     0,  2362,  1925,  2898,     0,
    1926,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   700,     0,   701,  1922,  3094,  2909,     0,     0,
     700,   700,     0,     0,     0,  1927,  1909,     0,     0,  1445,
    3658,   382,     0,  1920,     0,     0,     0,   701,     0,  1921,
       0,  2923,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1928,     0,     0,     0,
       0,     0,     0,     0,  2707,     0,     0,  1924,     0,     0,
       0,     0,     0,   701,  1925,  2363,     0,  1926,     0,  1922,
       0,  2954,     0,     0,  1445,   382,   382,   382,     0,   701,
    3684,  3684,  3684,  3684,  3684,     0,     0,     0,   699,     0,
       0,     0,  1927,     0,   701,     0,   700,   701,     0,     0,
       0,     0,     0,     0,  1929,     0,  1930,     0,  1045,     0,
       0,     0,     0,     0,     0,   849,  1931,     0,     0,     0,
       0,  1924,     0,  1928,  1932,     0,   382,     0,  1925,     0,
       0,  1926,     0,   382,  1933,     0,     0,     0,     0,     0,
     382,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1091,     0,     0,     0,     0,     0,  1927,     0,  2364,     0,
     849,  2365,  2366,  2367,     0,  2368,  2369,  2370,  2371,  2372,
    2373,     0,  1935,  1936,     0,     0,     0,  3834,     0,     0,
       0,  1929,     0,  1930,     0,     0,     0,  1928,     0,     0,
       0,  1091,     0,  1931,     0,     0,     0,     0,     0,  1937,
       0,  1932,     0,     0,  4184,     0,     0,     0,  1090,     0,
       0,  1933,     0,     0,     0,     0,  1090,     0,  1090,     0,
       0,     0,     0,  3124,   701,     0,     0,     0,     0,     0,
       0,   849,   701,   701,     0,     0,     0,  4619,     0,     0,
    4620,     0,  4621,   383,     0,  1929,  2708,  1930,     0,  1935,
    1936,     0,     0,     0,     0,     0,     0,  1931,     0,     0,
       0,     0,  1938,     0,  2527,  1932,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1933,  2709,     0,     0,     0,
       0,     0,     0,   697,     0,     0,  3551,     0,     0,     0,
      74,     0,  3551,  3551,   700,  3551,     0,   383,   383,   383,
       0,  4171,     0,     0,     0,     0,     0,     0,     0,     0,
    1988,     0,     0,  1935,  1936,     0,     0,     0,   701,     0,
       0,     0,     0,     0,     0,     0,  2345,     0,     0,  2346,
       0,     0,     0,  2347,  2348,  2349,     0,     0,     0,  1938,
    1989,     0,     0,     0,   382,     0,     0,     0,   383,     0,
    2350,     0,  1045,     0,     0,   383,     0,     0,  2352,     0,
       0,     0,   383,     0,  2353,   700,     0,     0,     0,   700,
       0,     0,     0,     0,  4939,  4940,     0,     0,     0,  4943,
    4944,   700,     0,     0,     0,     0,     0,  2345,  2354,     0,
    2346,  1045,     0,  4734,  2347,  2348,  2349,     0,     0,     0,
       0,     0,     0,  1938,  2338,     0,     0,     0,     0,     0,
       0,  2350,     0,     0,     0,     0,     0,     0,     0,  2352,
       0,     0,     0,     0,     0,  2353,     0,     0,     0,     0,
    3686,  3686,  3686,  3686,  3686,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2338,  2354,
       0,     0,     0,     0,     0,     0,   700,   700,     0,     0,
       0,     0,     0,     0,     0,  3137,     0,     0,     0,   700,
    2908,     0,     0,     0,     0,  4782,     0,     0,  4782,     0,
    4782,  3863,     0,     0,   700,   700,     0,     0,     0,     0,
       0,     0,     0,  3350,  2355,     0,     0,  3881,     0,  2356,
       0,     0,     0,     0,     0,  3365,   700,     0,     0,     0,
       0,     0,     0,     0,     0,  2935,   701,     0,     0,  2939,
    2357,  2358,     0,     0,     0,  2945,  2946,     0,     0,     0,
       0,     0,     0,     0,     0,  2359,   375,     0,     0,     0,
       0,     0,     0,     0,     0,  3398,     0,     0,  2962,     0,
       0,     0,     0,     0,     0,  2355,     0,     0,  3881,     0,
    2356,  1151,     0,     0,     0,     0,   383,  2360,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2361,  2357,  2358,  2362,     0,     0,     0,   701,     0,     0,
       0,   701,     0,     0,     0,     0,  2359,     0,     0,     0,
       0,     0,     0,   701,     0,     0,     0,  3094,     0,     0,
       0,  4866,     0,     0,  4873,  4874,  5072,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2360,     0,
       0,     0,     0,     0,     0,     0,   382,     0,     0,     0,
      80,  2361,     0,     0,  2362,     0,     0,     0,  5122,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2363,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   701,   701,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   701,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3576,     0,     0,     0,   701,   701,  1045,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2363,     0,     0,     0,     0,   701,     0,
     382,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4184,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2364,     0,     0,  2365,  2366,
    2367,     0,  2368,  2369,  2370,  2371,  2372,  2373,     0,     0,
       0,     0,  3120,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4966,  4967,     0,   382,     0,   382,     0,  3215,
       0,  3551,     0,  3551,  3551,     0,     0,  3551,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   700,     0,     0,
       0,     0,     0,     0,     0,     0,  2364,     0,     0,  2365,
    2366,  2367,     0,  2368,  2369,  2370,  2371,  2372,  2373,     0,
       0,     0,     0,  4185,     0,     0,     0,     0,     0,     0,
    5014,     0,     0,     0,     0,     0,     0,   700,     0,     0,
       0,   382,   700,     0,     0,  3654,   700,     0,   383,     0,
       0,     0,   849,     0,   700,     0,     0,     0,     0,  5034,
       0,     0,     0,     0,  1893,     0,     0,     0,  3094,     0,
     699,     0,   700,     0,     0,     0,     0,   699,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   699,     0,
       0,     0,  3743,     0,     0,     0,     0,  1894,  4782,     0,
       0,     0,  4782,  4782,     0,  4782,     0,     0,     0,  3755,
       0,     0,     0,     0,     0,     0,   700,   699,     0,     0,
    3761,     0,   699,     0,     0,     0,     0,     0,  1091,     0,
       0,     0,     0,   699,   700,   700,     0,   375,     0,     0,
       0,     0,   383,     0,     0,     0,     0,   375,     0,     0,
       0,     0,     0,     0,  1045,  1896,     0,     0,     0,   699,
       0,     0,     0,     0,     0,   382,   700,     0,     0,   382,
       0,   375,     0,     0,     0,   699,     0,     0,     0,     0,
       0,   699,     0,     0,     0,     0,     0,     0,  1897,     0,
       0,     0,   699,     0,     0,     0,  1091,   383,   700,   383,
       0,     0,   700,     0,  2345,     0,   699,  2346,     0,     0,
       0,  2347,  2348,  2349,     0,     0,     0,     0,  3655,   701,
     700,     0,     0,  1898,     0,     0,     0,     0,  2350,     0,
       0,   700,     0,  5404,     0,     0,  2352,     0,     0,     0,
       0,     0,  2353,     0,   700,     0,     0,     0,  4184,     0,
       0,     0,     0,   700,     0,     0,  1899,     0,     0,   701,
       0,     0,     0,   383,   701,  1253,  2354,     0,   701,     0,
       0,     0,  1282,     0,     0,     0,   701,     0,     0,     0,
       0,     0,     0,  1300,     0,  1901,     0,     0,     0,     0,
    3551,     0,     0,     0,   701,     0,     0,     0,     0,     0,
       0,     0,     0,  1090,     0,   699,     0,  1090,   382,     0,
       0,     0,   697,     0,     0,     0,     0,   697,     0,     0,
       0,     0,     0,   209,     0,     0,     0,  1903,   697,     0,
       0,     0,     0,     0,  1904,     0,     0,     0,   701,     0,
       0,  1905,     0,     0,     0,     0,     0,     0,     0,  2653,
       0,     0,     0,     0,     0,     0,   701,   701,     0,     0,
       0,  1907,     0,     0,  2338,     0,     0,     0,     0,  1908,
       0,     0,  2355,     0,   700,     0,     0,  2356,     0,     0,
    4443,     0,  4446,     0,     0,     0,     0,   383,   701,  3657,
       0,   383,     0,     0,   699,   699,     0,     0,  2357,  2358,
       0,     0,     0,     0,     0,     0,     0,     0,  2345,     0,
       0,  2346,     0,  2359,  4005,  2347,  2348,  2349,     0,     0,
     701,     0,     0,  1909,   701,     0,     0,  3658,     0,     0,
       0,  4017,  2350,     0,     0,     0,   700,     0,     0,     0,
    2352,     0,   701,     0,     0,  2360,  2353,     0,     0,  3675,
       0,     0,     0,   701,     0,     0,     0,     0,  2361,     0,
       0,  2362,     0,     0,     0,     0,   701,     0,  3692,     0,
    2354,     0,     0,     0,     0,   701,     0,  1090,  1090,     0,
       0,     0,     0,  3701,   700,     0,  3703,  3704,     0,     0,
       0,  3707,  3708,     0,     0,     0,     0,     0,  3712,     0,
       0,     0,   700,     0,  1412,     0,  1920,     0,  5349,     0,
     700,     0,  1921,     0,     0,  5589,     0,     0,  5357,     0,
       0,     0,     0,     0,     0,  4094,     0,  4096,     0,     0,
     383,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2363,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1922,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3753,     0,     0,     0,  2355,     0,  5589,     0,
       0,  2356,     0,     0,     0,     0,   382,     0,  4141,   697,
     697,     0,   382,     0,     0,     0,   701,  5589,     0,     0,
       0,     0,  2357,  2358,  1924,     0,     0,     0,     0,     0,
       0,  1925,     0,  4155,  1926,     0,     0,  2359,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2364,     0,     0,  2365,  2366,  2367,  1927,
    2368,  2369,  2370,  2371,  2372,  2373,     0,     0,     0,  2360,
    4357,     0,     0,     0,     0,     0,     0,     0,   701,     0,
       0,     0,  2361,  1412,     0,  2362,   699,  5461,     0,  5462,
    1928,     0,     0,  5467,  5468,     0,     0,     0,     0,     0,
       0,     0,     0,   700,     0,     0,   699,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3398,   701,     0,     0,   699,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   701,     0,     0,     0,  1929,     0,
    1930,     0,   701,     0,     0,     0,     0,     0,  4293,     0,
    1931,     0,     0,     0,  2363,   699,     0,     0,  1932,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1933,     0,
       0,   699,   375,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   700,     0,     0,     0,   699,     0,     0,   699,
       0,     0,     0,     0,     0,     0,     0,     0,   700,   700,
       0,     0,     0,  2014,     0,     0,  1935,  1936,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   383,     0,
       0,     0,     0,     0,   383,   700,     0,     0,   700,     0,
       0,     0,     0,  2015,     0,   375,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2364,     0,  4356,
    2365,  2366,  2367,     0,  2368,  2369,  2370,  2371,  2372,  2373,
       0,  1412,     0,     0,  4408,     0,     0,     0,     0,     0,
    4365,     0,     0,     0,  3998,  5592,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1920,     0,     0,     0,     0,
       0,  1921,     0,     0,     0,  4388,  1938,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   382,
     382,   382,     0,     0,     0,   701,   699,     0,     0,     0,
       0,     0,     0,     0,   699,   699,     0,     0,     0,  2281,
       0,  1922,     0,   700,     0,   849,     0,     0,  5592,     0,
       0,     0,     0,     0,     0,     0,   700,     0,   382,     0,
       0,   700,     0,     0,  4055,     0,  4057,  5592,     0,     0,
     700,     0,     0,     0,     0,  3881,     0,     0,  2345,  3881,
       0,  2346,     0,     0,     0,  2347,  2348,  2349,     0,     0,
       0,     0,     0,  1924,     0,     0,     0,     0,     0,   849,
    1925,     0,  2350,  1926,     0,     0,     0,     0,     0,     0,
    2352,     0,     0,     0,   701,     0,  2353,     0,     0,     0,
     699,     0,   375,     0,     0,     0,     0,     0,  1927,     0,
     701,   701,     0,     0,     0,   700,     0,     0,     0,     0,
    2354,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   701,     0,  1928,
     701,     0,     0,     0,   849,     0,     0,     0,     0,     0,
       0,     0,     0,   382,  1090,  4140,     0,     0,     0,     0,
     700,  4147,   700,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2345,     0,   700,  2346,   700,     0,     0,  2347,
    2348,  2349,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1090,  2350,  1929,     0,  1930,
       0,     0,     0,     0,  2352,     0,     0,     0,     0,  1931,
    2353,     0,     0,     0,     0,     0,     0,  1932,     0,     0,
       0,   383,   383,   383,     0,     0,  2355,  1933,     0,     0,
     700,  2356,     0,     0,  2354,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   701,     0,     0,     0,     0,
       0,     0,  2357,  2358,     0,     0,     0,     0,   701,     0,
     383,     0,  2633,   701,     0,  1935,  1936,  2359,     0,     0,
       0,     0,   701,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   700,     0,     0,     0,     0,
       0,     0,  2634,     0,     0,   697,     0,     0,   699,  2360,
       0,     0,   700,  1920,     0,  4292,     0,     0,     0,  1921,
       0,     0,  2361,     0,     0,  2362,     0,     0,     0,     0,
       0,     0,     0,     0,   700,     0,     0,   700,  4309,  4310,
       0,  4312,     0,  4314,  4315,     0,     0,   701,     0,     0,
    2355,     0,     0,     0,     0,  2356,  4322,     0,   849,  1922,
       0,     0,     0,     0,     0,  1938,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2357,  2358,     0,   699,
       0,     0,     0,   699,     0,   383,     0,     0,     0,     0,
       0,  2359,   701,     0,   701,   699,  4343,  4700,     0,     0,
       0,     0,     0,     0,  2363,     0,   701,     0,   701,     0,
       0,  1924,     0,     0,   382,     0,     0,     0,  1925,     0,
       0,  1926,     0,  2360,     0,     0,     0,     0,   974,     0,
       0,     0,     0,   975,     0,     0,  2361,     0,     0,  2362,
       0,     0,     0,     0,     0,   976,  1927,     0,     0,     0,
       0,     0,     0,     0,     0,  3881,     0,     0,     0,     0,
    3881,     0,   701,  3881,     0,     0,   977,     0,     0,     0,
     699,   699,     0,     0,     0,     0,     0,  1928,     0,   978,
       0,     0,     0,   699,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   979,     0,  5132,     0,  2364,   699,   699,
    2365,  2366,  2367,  2777,  2368,  2369,  2370,  2371,  2372,  2373,
       0,   980,     0,     0,  4494,     0,     0,   701,  2363,     0,
     699,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   981,   701,  1929,     0,  1930,     0,     0,
       0,     0,     0,     0,   982,     0,     0,  1931,     0,     0,
       0,     0,   983,     0,     0,  1932,   701,     0,     0,   701,
       0,     0,     0,  2345,   984,  1933,  2346,     0,     0,   985,
    2347,  2348,  2349,     0,  2847,   986,     0,     0,  2860,     0,
       0,     0,     0,     0,     0,     0,     0,  2350,     0,     0,
    2777,     0,   987,     0,  2281,  2352,     0,     0,     0,     0,
    3393,  2353,     0,  1935,  1936,     0,     0,  1920,   700,     0,
       0,  2364,     0,  1921,  2365,  2366,  2367,   375,  2368,  2369,
    2370,  2371,  2372,  2373,     0,  2354,     0,     0,  4526,     0,
    1937,     0,     0,     0,     0,     0,   383,     0,   988,     0,
       0,     0,   375,     0,     0,     0,     0,     0,     0,     0,
     849,     0,     0,  1922,   382,     0,     0,     0,     0,   382,
       0,   382,     0,     0,     0,     0,  2937,     0,     0,     0,
     989,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   990,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   991,     0,  1938,  2777,     0,     0,     0,     0,     0,
       0,   887,     0,     0,     0,  1924,     0,     0,     0,     0,
    3881,     0,  1925,   700,     0,  1926,   700,     0,     0,     0,
       0,  2338,  4909,     0,     0,     0,     0,     0,   992,     0,
       0,  2355,     0,   993,     0,   994,  2356,     0,     0,     0,
    1927,   995,     0,  2338,   996,     0,     0,     0,     0,     0,
       0,     0,     0,  4926,     0,     0,     0,  2357,  2358,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1928,  2359,   997,  4941,     0,   998,     0,     0,     0,
     999,     0,     0,     0,     0,     0,     0,  1000,     0,  1001,
       0,     0,     0,     0,  1002,     0,     0,     0,     0,     0,
       0,   700,   700,     0,  2360,     0,  1003,     0,     0,     0,
       0,     0,     0,     0,   700,     0,   700,  2361,     0,  1004,
    2362,   699,     0,     0,     0,     0,     0,     0,     0,  1929,
     701,  1930,  4968,     0,     0,     0,     0,     0,     0,     0,
       0,  1931,     0,     0,     0,     0,     0,   375,     0,  1932,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1933,
       0,   699,     0,     0,     0,   849,   699,     0,     0,     0,
     699,     0,     0,     0,     0,     0,   383,     0,   699,     0,
       0,   383,     0,   383,  2345,   382,     0,  2346,     0,     0,
       0,  2347,  2348,  2349,  3495,     0,   699,  1935,  1936,  2363,
       0,     0,     0,     0,     0,     0,     0,     0,  2350,     0,
       0,     0,     0,     0,     0,     0,  2352,   700,     0,     0,
    5040,     0,  2353,     0,  3496,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   701,     0,     0,   701,     0,
     699,     0,     0,     0,     0,     0,  2354,     0,     0,     0,
       0,     0,  1090,  4760,     0,     0,     0,     0,   699,   699,
       0,  4763,  4764,  4765,  4766,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2281,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1938,     0,   849,
     699,     0,  2364,   849,     0,  2365,  2366,  2367,     0,  2368,
    2369,  2370,  2371,  2372,  2373,     0,     0,     0,     0,  4790,
       0,     0,     0,     0,     0,     0,   697,     0,     0,     0,
    1090,     0,   699,   701,   701,     0,   699,     0,     0,     0,
       0,     0,  2345,     0,     0,  2346,   701,     0,   701,  2347,
    2348,  2349,     0,     0,   699,     0,     0,     0,     0,     0,
       0,     0,  2355,     0,     0,   699,  3300,  2356,     0,     0,
       0,  3304,     0,     0,  2352,  3307,     0,     0,   699,     0,
    2353,     0,     0,     0,     0,     0,     0,   699,  2357,  2358,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3331,     0,  2359,  2354,     0,   375,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   383,     0,   375,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2360,     0,     0,     0,     0,
       0,     0,   849,     0,     0,  3384,     0,     0,  2361,   701,
       0,  2362,     0,     0,     0,     0,     0,   700,     0,     0,
       0,     0,   382,   697,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5599,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   700,     0,     0,
       0,     0,     0,     0,     0,  3432,     0,     0,  4908,   700,
       0,     0,     0,     0,     0,     0,   382,     0,   699,     0,
    2355,     0,     0,     0,     0,  2356,     0,     0,     0,     0,
     700,     0,     0,     0,     0,     0,     0,   697,     0,     0,
    2363,  3480,  4927,  4928,   375,     0,  2357,  2358,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3492,
       0,  2359,     0,  2281,  2345,     0,     0,  2346,     0,     0,
    3502,  2347,  2348,  2349,     0,     0,     0,     0,     0,     0,
     699,     0,     0,  3527,     0,     0,     0,     0,  2350,     0,
       0,     0,   697,  2360,     0,     0,  2352,     0,     0,     0,
       0,  4141,  2353,     0,     0,     0,  2361,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4969,  4970,     0,     0,     0,  2354,     0,   699,     0,
       0,     0,     0,  2364,     0,     0,  2365,  2366,  2367,     0,
    2368,  2369,  2370,  2371,  2372,  2373,   699,     0,     0,     0,
    4825,     0,     0,     0,   699,     0,     0,  2281,     0,     0,
       0,  2281,  2281,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   700,     0,     0,     0,     0,  2363,   701,
       0,     0,     0,     0,   383,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5050,     0,     0,   701,
       0,     0,     0,     0,     0,     0,  5052,  5053,     0,     0,
     849,   701,  2355,     0,     0,     0,   849,  2356,   383,     0,
    2345,     0,  5057,  2346,     0,     0,     0,  2347,  2348,  2349,
       0,  5398,   701,     0,     0,     0,     0,     0,  2357,  2358,
       0,     0,     0,     0,  2350,     0,     0,     0,     0,     0,
       0,   745,  2352,  2359,     0,     0,     0,     0,  2353,     0,
       0,  2364,     0,     0,  2365,  2366,  2367,     0,  2368,  2369,
    2370,  2371,  2372,  2373,   700,     0,   700,     0,     0,     0,
       0,     0,  2354,     0,     0,  2360,     0,     0,   745,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2361,     0,
       0,  2362,     0,  3730,     0,     0,     0,   699,     0,   745,
       0,     0,     0,     0,     0,   700,     0,     0,     0,     0,
       0,  3744,     0,     0,     0,     0,     0,  1056,     0,  3730,
       0,     0,     0,     0,     0,     0,  2345,     0,     0,  2346,
   -2330,     0,  1058,  2347,  2348,  2349,     0,     0,     0,     0,
    1066,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2350,   382,     0,     0,     0,  1080,     0,  1056,  2352,     0,
       0,  1103,     0,     0,  2353,     0,     0,     0,     0,     0,
    2363,  1135,     0,     0,     0,   701,     0,     0,  2355, -2330,
    1140,     0,     0,  2356,     0,     0,   699,     0,  2354,     0,
       0, -2330,     0,     0,     0,     0, -2330,     0,     0,     0,
       0, -2330,   699,   699,  2357,  2358, -2330,     0,     0, -2330,
       0,     0, -2330,     0,  2345,     0,     0,  2346,     0,  2359,
       0,  2347,  2348,  2349,     0,     0,     0,     0,     0,   699,
       0,     0,   699,     0,     0,     0,     0,     0,  2350,     0,
   -2330,     0,     0,     0,     0,     0,  2352,     0,     0,     0,
       0,  2360,  2353,     0,     0,     0,     0,     0,     0,     0,
   -2330,     0,     0,  2364,  2361,     0,  2365,  2366,  2367,     0,
    2368,  2369,  2370,  2371,  2372,  2373,  2354,     0,     0,     0,
    5063,     0,     0,     0,     0,     0,   701,     0,   701,     0,
       0,     0,     0,  5267,  2355,     0,     0,     0,     0,  2356,
   -2330,     0, -2330,     0,     0,     0,     0,     0, -2330,     0,
       0,     0,     0,   849,   849,   849,     0,     0,     0,     0,
    2357,  2358,     0,     0,     0,     0,     0,   701,     0,   382,
       0,     0,     0,     0,     0,  2359,     0,   699,     0,     0,
    2345,     0,     0,  2346,     0,     0,  2363,  2347,  2348,  2349,
     699,     0,   849,     0,     0,   699,     0,     0, -2330,     0,
     700,     0,     0,     0,   699,     0,     0,  2360,     0,     0,
       0,  5309,  2352,   383,     0,     0,     0,     0,  2353,  1920,
    2361,  3978,  2355,  2362,     0,  1921,     0,  2356,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2354,     0,     0,     0,     0,  1061,  2357,  2358,
    1964,     0,     0,     0,     0,     0,  5340,     0,     0,     0,
       0,     0,     0,  2359,  4000,  1922,     0,     0,     0,   699,
       0,     0,     0, -2330,     0,     0,     0,     0,     0,  2364,
       0,     0,  2365,  2366,  2367,     0,  2368,  2369,  2370,  2371,
    2372,  2373,     0,     0,     0,  2360,     0, -2330,  1965, -2330,
   -2330,     0,  2363,     0,     0,     0,     0,   849,  2361,     0,
       0,  2362,     0,     0,   699,     0,   699,  1924,     0,     0,
       0,     0,     0,     0,  1925,     0,     0,  1926,   699,     0,
     699,     0,     0, -2330,     0,     0, -2330, -2330,     0, -2330,
       0,     0,     0,     0,     0,     0,     0,     0,  2355,     0,
       0,     0,  1927,  2356,     0,     0,     0,   382,     0,   700,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4077,     0, -2827, -2827,     0,     0,     0,     0,
    1966,     0,     0,  1928,   699,  4097,     0,     0,     0,  2359,
    2363,   383,     0,     0,     0,  2364,     0,     0,  2365,  2366,
    2367,     0,  2368,  2369,  2370,  2371,  2372,  2373,     0,     0,
       0,     0,  5074,     0,     0,     0,     0,     0,     0,     0,
       0, -2827,   701,     0,     0,     0,     0,     0,  1967,     0,
       0,  1968,     0,     0,  2361,     0,     0,     0,     0,   699,
       0,  1969,     0,  1930,     0,     0,     0,     0,   745,   700,
       0,     0,     0,  1931,     0,     0,   699,     0,     0,     0,
       0,  1932,     0,     0,  4152,     0,     0,     0,     0,     0,
    1970,  1933,     0,     0,     0,     0,     0,     0,   699,     0,
       0,   699,     0,  2364,     0,     0,  2365,  2366,  2367,     0,
    2368,  2369,  2370,  2371,  2372,  2373,     0,     0,     0,     0,
    5083,     0,     0,     0,     0,     0,  1971,     0,     0,  1935,
    1936,  1972,     0,     0,     0,     0,  2363,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2345,     0,     0,  2346,  1973,     0,     0,  2347,
    2348,  2349,     0,     0,     0,     0,     0,   700,     0,     0,
    1974,     0,     0,     0,     0,     0,  2350,     0,   849,     0,
       0,   382,     0,     0,  2352,  2345,     0,     0,  2346,     0,
    2353,     0,  2347,  2348,  2349,     0,     0,     0,     0,   383,
       0,   701,     0,     0,     0,     0,     0,     0,     0,  2350,
       0,     0,     0,  5573,  2354,     0,     0,  2352,     0,  1938,
       0,     0,     0,  2353,     0,     0,     0,     0,     0,  2364,
       0,     0,  2365,  2366,  2367,     0,  2368,  2369,  2370,  2371,
    2372,  2373,     0,     0,   382,     0,     0,  2354,     0,     0,
       0,     0,     0,     0,  2777,     0,     0,     0,     0,     0,
       0,     0,     0,   382,     0,     0,     0,     0,     0,     0,
       0,  4330,     0,     0,     0,     0,     0,     0,  1233,  1239,
    1239,   745,     0,  1239,     0,  1247,     0,  1233,     0,  1135,
       0,   701,  1277,     0,     0,     0,  4344,     0,  1135,     0,
       0,  1135,     0,     0,     0,  1239,     0,  1135,     0,     0,
       0,     0,     0,     0,     0,  1314,     0,     0,     0,     0,
    2355,  1135,     0,  1233,     0,  2356,  1239,     0,   745,     0,
    1239,     0,     0,     0,     0,     0,     0,  1277,     0,     0,
       0,  1380,     0,     0,     0,     0,  2357,  2358,  1239,     0,
       0,     0,     0,  2355,     0,     0,     0,     0,  2356,     0,
       0,  2359,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   699,     0,     0,     0,     0,     0,     0,  2357,
    2358,     0,  1233, -2332,     0,     0,     0,   745,     0,   701,
       0,     0,  1233,  2360,  2359,     0,  1277,     0,     0,     0,
       0,     0,     0,   383,     0,     0,  2361,     0,     0,  2362,
       0,     0,     0,  1239,     0,     0,     0,     0,   849,     0,
       0,     0,     0,   849,     0,   849,  2360,     0,     0,     0,
       0,     0, -2332,     0,     0,     0,     0,     0,     0,  2361,
       0,     0,  2362,     0, -2332,     0,     0,     0,     0, -2332,
       0,     0,     0,     0, -2332,     0,     0,     0,     0, -2332,
       0,     0, -2332,     0,     0, -2332,   383,     0,     0,  1135,
       0,     0,     0,     0,     0,     0,     0,   699,     0,     0,
     699,     0,     0,     0,  1135,   383,  1579,     0,  2363,     0,
       0,     0,     0, -2332,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0, -2332,  1689,  1689,     0,     0,     0,   745,
    1135,  2363,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1135,
       0,     0,     0,  1135,     0,     0,     0,     0,     0,     0,
       0,  1689,     0, -2332,     0, -2332,     0,     0,     0,     0,
       0, -2332,  1135,     0,     0,   699,   699,  4555,     0,     0,
       0,     0,     0,     0,  1135,     0,     0,     0,   699,     0,
     699,  2364,     0,     0,  2365,  2366,  2367,     0,  2368,  2369,
    2370,  2371,  2372,  2373,     0,     0,     0,     0,  5086,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0, -2332,     0,     0,  2364,     0,     0,  2365,  2366,  2367,
       0,  2368,  2369,  2370,  2371,  2372,  2373,  1920,     0,     0,
       0,  5137,     0,  1921,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1135,     0,     0,     0,
    1061,     0,     0,     0,     0,  1135,     0,     0,     0,     0,
    1239,  1239,  4638,  1922,     0,  4641,     0,     0,     0,     0,
       0,   699,     0,     0,     0,     0, -2332,     0,     0,     0,
       0,     0,  2345,     0,     0,  2346,     0,     0,     0,  2347,
    2348,  2349,     0,     0,     0,     0,     0,     0,     0,     0,
   -2332,     0, -2332, -2332,     0,     0,  2350,     0,     0,     0,
       0,     0,     0,  1233,  2352,  1924,     0,     0,     0,     0,
    2353,     0,  1925,     0,  1233,  1926,     0,     0,  1277,     0,
       0,     0,     0,     0,     0,     0, -2332,     0,     0, -2332,
   -2332,     0, -2332,  1239,  2354,     0,     0,     0,     0,     0,
    1927,  2345,     0,     0,  2346,     0,     0,     0,  2347,  2348,
    2349,     0,     0,  1135,     0,  4705,     0,     0,     0,  1239,
    1239,     0,     0,     4,     0,  2350,     0,     0,     0,     0,
       0,  1928,     0,  2352,     0,     0,  1135,  1135,  1135,  2353,
    1239,     0,  1233,     5,     0,     0,     0,  2115,     0,     0,
       0,     0,     0,     6,     7,     0,     0,     0,     0,     0,
       9,    10,     0,  2354,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,  1929,
       0,  1930,    37,    38,    39,    40,    41,    42,    43,    44,
    2355,  1931,     0,    45,     0,  2356,     0,     0,     0,  1932,
       0,     0,     0,     0,     0,     0,  3730,     0,  1239,  1933,
    1239,  1239,     0,     0,     0,     0,  2357,  2358,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2359,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   699,     0,     0,  3535,    46,   849,  1935,  1936,  1689,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2355,
       0,     0,     0,  2360,  2356,     0,     0,     0,     0,     0,
       0,   699,     0,     0,  3536,     0,  2361,     0,     0,  2362,
       0,     0,     0,   699,     0,  2357,  2358,  2255,  2255,     0,
     849,     0,  1135,     0,  1056,     0,     0,     0,     0,     0,
    2359,     0,     0,     0,   699,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    47,     0,
    2289,     0,     0,  1135,     0,     0,  2295,     0,     0,     0,
       0,     0,  2360,     0,     0,     0,    48,  1938,  1689,     0,
       0,     0,     0,     0,     0,  2361,     0,     0,  2362,     0,
       0,     0,     0,     0,     0,     0,     0,    49,  2363,     0,
       0,     0,     0,     0,     0,     0,  1689,  2345,     0,     0,
    2346,     0,     0,     0,  2347,  2348,  2349,     0,     0,     0,
      50,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2350,     0,     0,  1689,  1689,  1689,     0,  1689,  2352,
       0,     0,     0,     0,     0,  2353,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    51,  1689,     0,
      52,     0,     0,     0,     0,     0,     0,  2363,     0,  2354,
       0,     0,     0,     0,     0,    53,     0,     0,     0,     0,
     745,   745,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2364,     0,     0,  2365,  2366,  2367,   699,  2368,  2369,
    2370,  2371,  2372,  2373,     0,     0,  4936,     0,  5168,  1135,
       0,     0,  1689,     0,     0,     0,     0,     0,  4946,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1689,     0,     0,     0,  1689,  1689,     0,     0,
       0,     0,     0,     0,    54,     0,     0,  1135,  1135,  2493,
    2364,     0,     0,  2365,  2366,  2367,     0,  2368,  2369,  2370,
    2371,  2372,  2373,     0,     0,  2355,     0,  5206,     0,     0,
    2356,     0,     0,     0,     0,     0,   745,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      55,  2357,  2358,     0,     0,     0,     0,     0,   699,     0,
     699,     0,     0,     0,     0,    56,  2359,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      57,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1315,     0,     0,     0,     0,  1316,  2360,   699,
       0,     0,     0,     0,  1920,     0,     0,     0,    58,     0,
    1921,  2361,     0,     0,  2362,     0,    59,     0,    60,    61,
      62,    63,    64,     0,     0,    65,    66,  1501,  2642,     0,
    1317,     0,    71,  1502,     0,     0,     0,     0,     0,     0,
       0,     0,  3730,  1318,  1319,   849,  1135,  2668,     0,     0,
    1922,     0,     0,  1320,     0,  1135,     0,  1321,  1239,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1322,     0,  1277,     0,  1135,
       0,     0,     0,     0,     0,     0,     0,  1135,     0,     0,
    1135,     0,     0,  2363,     0,     0,     0,  1323,     0,     0,
       0,     0,  1924,     0,     0,     0,     0,     0,  1324,  1925,
       0,     0,  1926,     0,  1135,     0,  1325,     0,     0,     0,
       0,     0,  1239,  1239,  1239,  1239,  1135,     0,  1326,     0,
       0,     0,     0,  1327,     0,     0,     0,  1927,     0,     0,
    1135,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2792,  3730,  1135,  3730,  1328,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1239,  1239,  1928,     0,
       0,     0,     0,     0,     0,  1239,     0,     0,     0,     0,
       0,  1329,     0,     0,     0,  1239,  2364,     0,     0,  2365,
    2366,  2367,     0,  2368,  2369,  2370,  2371,  2372,  2373,     0,
       0,     0,  1330,  5454,  1135,     0,     0,     0,     0,     0,
       0,     0,     0,  1239,  1239,  1239,  1239,     0,     0,     0,
       0,     0,     0,   849,     0,  1135,  1929,     0,  1930,     0,
       0,     0,  1135,     0,  1331,  2792,     0,     0,  1931,     0,
       0,     0,     0,     0,     0,     0,  1932,     0,     0,     0,
       0,  1233,     0,     0,   699,  1332,  1933,     0,   745,     0,
       0,     0,     0,  1689,     0,   887,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4028,  1333,     0,  1935,  1936,  1233,  1334,     0,  1335,
       0,     0,     0,     0,     0,  1336,  1277,     0,  1337,     0,
    1239,     0,     0,  1239,     0,     0,     0,     0,     0,     0,
       0,  4029,     0,  1239,     0,     0,     0,     0,     0,     0,
       0,  1239,  1239,     0,     0,     0,     0,  1338,     0,     0,
    1339,     0,     0,     0,  1340,  1135,     0,     0,     0,     0,
       0,  1341,     0,  1342,     0,     0,     0,     0,  1343,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2255,
       0,     0,     0,  1344,  1938,     0,  1239,     0,  1233,     0,
       0,     0,  1135,  1135,     0,  1239,     0,     0,     0,     0,
       0,     0,  1135,  1457,     0,     0,     0,     0,     0,     0,
       0,   849,  1135,   699,     0,     0,     0,  1056,  1056,     0,
       0,  3038,     0,     0,  1457,  1689,  1689,     0,     0,     0,
       0,  1689,  1689,     0,     0,     0,     0,     0,  1689,  1689,
    1689,     0,     0,     0,  1689,  1277,  1689,  1689,  1689,  1689,
    1689,  1689,     0,  1689,     0,  1689,  1689,     0,     0,  1689,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1689,  1689,  1689,  1689,     0,     0,
       0,  1239,  1689,     0,     0,     0,  1689,     0,     0,  1689,
       0,     0,  1689,  1689,  1689,  1689,  1689,  1689,  1689,  1689,
    1689,     0,  1689,   699,     0,     0,     0,     0,     0,  1135,
    1689,     0,     0,  1689,     0,     0,     0,     0,     0,     0,
    2345,     0,     0,  2346,     0,     0,     0,  2347,  2348,  2349,
       0,     0,     0,     0,     0,  1135,     0,     0,     0,     0,
       0,     0,     0,     0,  2350,     0,     0,     0,     0,     0,
       0,     0,  2352,     0,     0,     0,     0,     0,  2353,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1135,     0,  1135,     0,  1689,     0,     0,
       0,     0,  2354,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   699,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1135,     0,     0,   849,     0,     0,  1920,  3253,
       0,  3260,     0,     0,  1921,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2345,     0,     0,  2346,     0,     0,     0,  2347,
    2348,  2349,     0,     0,     0,  1920,     0,     0,     0,     0,
       0,  1921,     0,     0,  1922,     0,  2350,     0,     0,     0,
       0,     0,     0,     0,  2352,     0,     0,     0,   849,     0,
    2353,     0,     0,     0,     0,     0,  1964,     0,  2355,     0,
       0,     0,     0,  2356,     0,     0,     0,   849,  3730,   745,
       0,  1922,     0,     0,  2354,     0,     0,     0,  1056,     0,
    1056,     0,     0,     0,  2357,  2358,  1924,     0,     0,     0,
       0,     0,     0,  1925,     0,     0,  1926,  1689,     0,  2359,
       0,     0,     0,     0,  1965,     0,     0,     0,     0,  1233,
       0,  1239,  1239,     0,     0,  1457,  1233,     0,  1277,     0,
    1239,  1927,  1239,  1924,     0,     0,  1239,     0,     0,  1135,
    1925,  2360,     0,  1926,     0,  1457,     0,     0,     0,     0,
       0,     0,     0,     0,  2361,     0,     0,  2362,     0,  1457,
       0,     0,  1928,     0,     0,     0,     0,     0,  1927,     0,
    2668,     0,     0,     0,     0,     0,     0,     0,  3400,     0,
       0,     0,     0,     0,     0,  3411,     0,     0,     0,     0,
    2355,     0,     0,     0,  1135,  2356,  1966,     0,     0,  1928,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1135,     0,     0,  2357,  2358,  3456,  3456,
    1929,     0,  1930,     0,     0,     0,     0,   745,     0,     0,
       0,  2359,  1931,     0,     0,     0,  2363,     0,     0,     0,
    1932,  1457,     0,     0,  1967,  1239,     0,  1968,     0,     0,
    1933,     0,     0,     0,     0,     0,     0,  1969,     0,  1930,
       0,     0,     0,  2360,     0,     0,     0,     0,     0,  1931,
       0,     0,  3521,     0,  3524,  3526,  2361,  1932,     0,  2362,
       0,     0,     0,     0,     0,  4079,  1970,  1933,  1935,  1936,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1239,     0,     0,     0,     0,     0,     0,
       0,  1239,     0,  1239,     0,  4080,     0,     0,     0,  1239,
       0,     0,  3482,     0,     0,  1935,  1936,  1972,     0,  2364,
       0,  1689,  2365,  2366,  2367,     0,  2368,  2369,  2370,  2371,
    2372,  2373,     0,     0,     0,  2668,  5485,     0,  3456,     0,
    1135,     0,  3483,  3612,     0,     0,  1056,     0,  2363,     0,
       0,     0,     0,     0,     0,     0,  1974,     0,     0,     0,
       0,     0,  1457,     0,     0,     0,     0,     0,  1938,     0,
       0,  2345,  3521,     0,  2346,     0,     0,     0,  2347,  2348,
    2349,  1239,  3638,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2350,     0,  2115,     0,     0,
       0,     0,     0,  2352,     0,  1938,     0,     0,  1689,  2353,
    1238,  1240,     0,     0,  1243,     0,  1245,     0,     0,     0,
       0,     0,  3685,  3688,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2354,     0,  1239,  1296,  1239,  3456,  1239,
    3456,  2364,     0,     0,  2365,  2366,  2367,     0,  2368,  2369,
    2370,  2371,  2372,  2373,     0,     0,     0,  1358,  5605,     0,
       0,  1361,     0,     0,     0,     0,  1689,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1385,
       0,     0,     0,     0,     0,     0,     0,     0,  2255,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2417,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1135,     0,     0,     0,
       0,   871,     0,     0,     0,     0,  1233,     0,     0,  2355,
       0,     0,  1233,     0,  2356,     0,     0,     0,     0,     0,
       0,     0,     0,  1239,     0,     0,     0,     0,     0,  1689,
       0,     0,     0,     0,  1689,  2357,  2358,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   872,     0,     0,
    2359,     0,     0,     0,     0,     0,     0,  1689,  1689,  1689,
       0,   873,  1689,     0,     0,     0,     0,     0,     0,     0,
    1689,  1689,  1689,  1689,     0,     0,     0,     0,     0,   874,
       0,     0,  2360,  1689,     0,   875,  1689,     0,  1689,     0,
       0,     0,     0,     0,     0,  2361,     0,     0,  2362,  1689,
    1689,   876,     0,  1689,     0,     0,     0,     0,     0,     0,
       0,  1457,   877,     0,     0,  1277,     0,  1689,     0,  1689,
     878,  1689,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   879,     0,     0,     0,     0,   880,     0,     0,
       0,  1689,     0,   881,     0,  1135,     0,     0,     0,     0,
       0,     0,  3891,     0,  1689,  1689,  1689,     0,     0,     0,
     882,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1457,  2363,     0,  1689,
       0,     0,     0,     0,     0,   883,     0,     0,     0,     0,
       0,  2345,  1689,     0,  2346,     0,     0,  1689,  2347,  2348,
    2349,     0,     0,  1689,     0,     0,   884,     0,     0,     0,
    1457,     0,     0,  3891,     0,  2350,  3951,     0,     0,  3954,
       0,  3260,     0,  2352,     0,     0,     0,     0,     0,  2353,
       0,     0,     0,     0,     0,     0,     0,     0,   885,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2354,     0,     0,     0,     0,     0,   886,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   887,
    2364,  1946,  1947,  2365,  2366,  2367,     0,  2368,  2369,  2370,
    2371,  2372,  2373,     0,     0,     0,  1689,  5623,  3456,     0,
       0,     0,  1457,  2255,     0,     0,   888,     0,     0,     0,
       0,   889,     0,   890,     0,     0,     0,  1457,     0,   891,
       0,     0,   892,     0,     0,  1457,     0,     0,     0,     0,
    1239,     0,  1239,  1239,  1239,     0,  1457,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     893,   894,     0,     0,   895,     0,     0,     0,   896,     0,
       0,     0,     0,     0,  2049,     0,     0,   897,     0,  2355,
       0,     0,   898,     0,  2356,     0,     0,     0,     0,     0,
       0,     0,     0,  1457,   899,     0,     0,     0,     0,     0,
    2072,  2073,     0,     0,     0,  2357,  2358,   900,     0,     0,
       0,     0,  1457,     0,     0,     0,     0,     0,     0,     0,
    2359,  2106,     0,     0,  1457,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1457,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1135,  2360,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2361,     0,     0,  2362,     0,
       0,     0,     0,     0,     0,     0,  1457,     0,     0,  1457,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2345,
       0,     0,  2346,     0,     0,     0,  2347,  2348,  2349,     0,
       0,  2176,  2178,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2350,     0,     0,     0,  3226,     0,     0,
       0,  2352,     0,     0,     0,     0,     0,  2353,     0,     0,
       0,     0,     0,     0,  1239,     0,     0,     0,     0,     0,
       0,  3456,  3456,     0,     0,     0,     0,  2363,     0,     0,
       0,  2354,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1135,  1135,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1135,     0,     0,     0,     0,  3227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2255,
    1135,     0,     0,     0,     0,     0,     0,     0,  2255,  1135,
    1135,     0,     0,     0,     0,     0,     0,     0,  1457,     0,
       0,     0,     0,     0,     0,     0,  1135,     0,     0,     0,
    2364,     0,     0,  2365,  2366,  2367,     0,  2368,  2369,  2370,
    2371,  2372,  2373,   745,     0,  3211,     0,  2355,     0,     0,
       0,     0,  2356,     0,     0,     0,     0,     0,     0,     0,
    3685,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2357,  2358,     0,     0,  1239,     0,  1239,
       0,     0,     0,  1239,     0,     0,     0,     0,  2359,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1233,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1135,     0,     0,     0,     0,     0,     0,     0,     0,
    2360,     0,     0,     0,     0,     0,     0,  1135,     0,     0,
       0,     0,     0,  2361,     0,     0,  2362,     0,     0,  1239,
       0,     0,     0,     0,     0,     0,  1689,     0,     0,     0,
       0,     0,     0,     0,     0,  1689,     0,     0,     0,     0,
       0,  1689,     0,  1689,     0,     0,  1689,     0,     0,     0,
       0,  1689,  1689,  1689,  1689,     0,     0,  1689,  1689,  1689,
    1689,  1689,  1689,  1689,  1689,  1689,  1689,     0,     0,     0,
    1689,  1689,     0,     0,     0,     0,     0,     0,     0,     0,
    1689,     0,     0,     0,  1689,     0,     0,     0,  1689,     0,
       0,     0,     0,     0,     0,  2363,  1689,     0,     0,  1689,
    1457,  1689,     0,     0,  1457,  1457,     0,     0,     0,     0,
    1689,     0,     0,  1689,  1689,     0,     0,     0,  1689,  1689,
       0,     0,     0,  4432,     0,  1689,     0,     0,     0,     0,
       0,     0,  1135,  1135,  1135,  1233,     0,  3891,  4452,     0,
       0,     0,  4452,  4466,     0,     0,     0,     0,     0,  1689,
    3228,     0,     0,     0,     0,  1689,  1689,  1689,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1457,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1457,     0,     0,     0,     0,     0,     0,     0,  2364,   857,
       0,  2365,  2366,  2367,     0,  2368,  2369,  2370,  2371,  2372,
    2373,  2345,     0,  1689,  2346,     0,     0,     0,  2347,  2348,
    2349,     0,     0,     0,  3260,     0,  1689,     0,     0,     0,
    1457,     0,     0,     0,     0,  2350,     0,     0,     0,  2689,
       0,     0,     0,  2352,   857,     0,     0,     0,     0,  2353,
       0,     0,     0,     0,     0,     0,     0,  4532,  2255,  2255,
       0,  2792,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2354,     0,     0,     0,     0,     0,     0,
    1239,  1239,  1239,  1239,     0,     0,     0,     0,     0,     0,
       0,     0,  1094,     0,     0,     0,     0,     0,     0,     0,
    1094,     0,  1094,  2760,  2761,  2762,  2763,     0,     0,  2668,
       0,     0,     0,     0,     0,   857,     0,     0,     0,     0,
       0,     0,     0,  4578,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2801,  2802,     0,
       0,     0,     0,     0,     0,     0,  2814,  3813,     0,     0,
       0,     0,  3814,     0,     0,     0,  2826,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2355,
       0,     0,     0,     0,  2356,     0,     0,  1457,     0,     0,
       0,     0,     0,     0,  2862,  2863,  2864,  2865,     0,     0,
       0,     0,     0,     0,     0,  2357,  2358,     0,     0,     0,
       0,     0,     0,  4656,     0,     0,     0,     0,     0,     0,
    2359,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2360,     0,     0,     0,  1135,  1457,  1239,     0,
    1689,     0,     0,     0,     0,  2361,  1135,     0,  2362,     0,
       0,     0,  4691,     0,     0,     0,     0,     0,     0,     0,
       0,  2668,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2948,     0,     0,  2951,     0,     0,     0,     0,     0,
       0,  1135,     0,     0,  2956,     0,     0,     0,     0,     0,
       0,  3521,     0,  2964,     0,     0,     0,     0,  4724,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1135,     0,
       0,     0,  2792,     0,     0,     0,  1689,  1689,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2363,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3685,  3685,
    3685,  3685,  3685,     0,     0,     0,     0,     0,  3456,     0,
    3456,     0,     0,     0,     0,     0,     0,  1457,     0,     0,
       0,     0,     0,     0,  2345,     0,     0,  2346,     0,     0,
       0,  2347,  2348,  2349,  1457,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1457,     0,     0,  2350,     0,
    1689,     0,     0,     0,     0,     0,  2352,     0,     0,     0,
       0,  1689,  2353,     0,     0,     0,     0,     0,     0,     0,
    2364,     0,     0,  2365,  2366,  2367,     0,  2368,  2369,  2370,
    2371,  2372,  2373,     0,     0,     0,  2354,     0,     0,     0,
       0,  1689,  3134,     0,     0,     0,     0,     0,     0,     0,
       0,  1689,  1689,     0,     0,     0,     0,     0,  1689,  1689,
       0,     0,     0,  1689,     0,     0,     0,     0,  1689,     0,
       0,  1689,  1689,     0,     0,     0,  1689,  4829,     0,     0,
       0,     0,  1689,  1135,  1135,  1135,  1135,     0,     0,     0,
    4452,  4466,     0,  4452,     0,     0,  4840,     0,     0,     0,
    3891,     0,     0,     0,  3891,     0,     0,     0,     0,     0,
    4855,     0,     0,     0,     0,     0,  1689,     0,     0,  5566,
       0,  1689,     0,     0,     0,     0,     0,  1689,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1277,     0,     0,
       0,     0,  2355,     0,     0,  1689,     0,  2356,  3951,     0,
       0,     0,     0,  3260,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2357,  2358,
       0,  1056,     0,     0,  1689,     0,     0,     0,     0,     0,
       0,     0,  2345,  2359,     0,  2346,     0,     0,     0,  2347,
    2348,  2349,     0,     0,  3456,  3456,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2350,     0,     0,     0,
       0,     0,  2668,     0,  2352,  2360,     0,     0,     0,     0,
    2353,  4925,     0,     0,     0,     0,     0,  1457,  2361,     0,
    1457,  2362,  1457,     0,     0,     0,     0,  1457,     0,     0,
       0,     0,     0,     0,  2354,     0,     0,     0,     0,     0,
       0,  5567,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1689,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1239,     0,     0,     0,     0,     0,     0,  1457,
       0,     0,     0,     0,     0,     0,     0,  1239,     0,     0,
       0,     0,  3348,  3349,     0,     0,  1457,     0,     0,     0,
    2363,  3360,     0,  3362,     0,     0,     0,  3366,     0,     0,
       0,     0,     0,     0,  1689,     0,   857,     0,     0,     0,
       0,  1457,     0,     0,  1235,  1233,     0,     0,     0,     0,
    2668,     0,     0,  1235,     0,     0,     0,     0,  2255,     0,
    2355,     0,     0,     0,     0,  2356,     0,     0,     0,     0,
       0,     0,     0,  1239,  2668,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2357,  2358,     0,  1235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2359,     0,  1135,     0,     0,  5049,     0,     0,     0,
    1457,     0,  1457,  2364,     0,     0,  2365,  2366,  2367,     0,
    2368,  2369,  2370,  2371,  2372,  2373,     0,     0,     0,     0,
       0,     0,     0,  2360,     0,     0,  3487,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2361,     0,  1235,  2362,
       0,  1689,     0,     0,  1460,     0,     0,     0,  1235,     0,
    1689,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4400,     0,  1457,     0,  1460,     0,  1689,  1689,     0,
       0,  1689,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3548,  1233,  4452,     0,  1457,     0,
    3891,     0,  3557,     0,  3559,  3891,     0,     0,  3891,  1233,
    3561,  3521,     0,  5104,     0,     0,  1689,  1689,     0,     0,
       0,     0,     0,     0,     0,     0,  1457,     0,  2363,     0,
       0,  1457,     0,     0,     0,     0,     0,     0,  4532,     0,
       0,     0,     0,     0,  4401,     0,     0,     0,     0,     0,
       0,     0,  4532,  1277,  1239,  1239,  1239,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1235,  1235,  3636,     0,     0,     0,     0,  1094,     0,     0,
    1457,  1094,     0,     0,     0,     0,  1233,  1277,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1457,     0,
       0,     0,     0,     0,     0,     0,     0,  1235,     0,     0,
       0,  2364,     0,  1457,  2365,  2366,  2367,     0,  2368,  2369,
    2370,  2371,  2372,  2373,     0,     0,     0,     0,  3695,  1233,
    3697,     0,  1135,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4691,     0,     0,     0,     0,     0,  1135,     0,
    3456,     0,     0,     0,     0,  2668,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4724,  2345,     0,
       0,  2346,     0,     0,     0,  2347,  2348,  2349,  1239,  1135,
    4532,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2350,     0,     0,  3772,  2345,     0,     0,  2346,
    2352,     0,     0,  2347,  2348,  2349,  2353,     0,     0,     0,
       0,     0,  1689,     0,  1457,  1689,     0,  1689,     0,     0,
    2350,     0,     0,     0,     0,     0,     0,     0,  2352,     0,
    2354,     0,     0,     0,  2353,  1457,     0,     0,     0,  2345,
       0,  1689,  2346,     0,  3763,  3891,  2347,  2348,  2349,  5104,
       0,  1094,  1094,     0,     0,     0,  1689,     0,  2354,     0,
    1457,     0,     0,  2350,     0,  5300,  3818,     0,     0,     0,
       0,  2352,     0,     0,     0,     0,     0,  2353,  1689,  1235,
       0,     0,     0,     0,     0,     0,  1460,     0,     0,     0,
    1235,     0,     0,  1135,  1457,     0,     0,     0,     0,     0,
       0,  2354,     0,     0,     0,     0,  1460,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1689,     0,     0,     0,
    1460,     0,     0,  1239,  1239,  1239,  1239,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2355,     0,     0,     0,
       0,  2356,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1235,     0,
    1233,     0,  2357,  2358,  2355,     0,     0,     0,     0,  2356,
       0,     0,     0,     0,     0,     0,     0,  2359,     0,     0,
    1689,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2357,  2358,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1460,     0,     0,  2359,     0,  2355,     0,  2360,
       0,     0,  2356,     0,     0,     0,     0,  1457,     0,     0,
       0,     0,  2361,  1689,     0,  2362,  1233,     0,     0,     0,
       0,     0,     0,  2357,  2358,  1689,     0,  2360,     0,     0,
    1689,     0,  1689,     0,  1689,     0,     0,     0,  2359,     0,
    2361,  4532,     0,  2362,     0,     0,     0,  1239,     0,  1277,
       0,     0,     0,     0,     0,     0,     0,     0,  1689,  3786,
       0,     0,     0,     0,     0,  1235,     0,     0,     0,     0,
    2360,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2361,     0,     0,  2362,     0,     0,  2255,
    2255,     0,     0,     0,  2363,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1457,     0,     0,
       0,     0,     0,     0,     0,     0,  1239,     0,     0,     0,
       0,  1233,  2363,  1460,     0,     0,     0,     0,     0,     0,
       0,  4008,     0,  4009,  4010,  4011,     0,     0,     0,     0,
       0,     0,     0,     0,  5049,     0,     0,     0,     0,     0,
       0,     0,  1689,  1689,  1235,     0,     0,  3521,     0,     0,
       0,     0,     0,  1689,     0,  2363,  5300,     0,     0,     0,
    3260,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1235,  1233,     0,     0,     0,  2364,     0,     0,
    2365,  2366,  2367,  1239,  2368,  2369,  2370,  2371,  2372,  2373,
    2255,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1235,  1235,  1235,     0,  1235,  2364,     0,     0,  2365,  2366,
    2367,     0,  2368,  2369,  2370,  2371,  2372,  2373,     0,  4532,
       0,     0,     0,     0,  1235,  1233,  1233,     0,  1689,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1457,     0,     0,     0,     0,  1689,  2364,     0,
       0,  2365,  2366,  2367,  1239,  2368,  2369,  2370,  2371,  2372,
    2373,     0,     0,     0,     0,     0,     0,  2345,     0,     0,
    2346,     0,     0,     0,  2347,  2348,  2349,     0,  1235,   857,
       0,     0,     0,     0,     0,     0,  2345,     0,     0,  2346,
    1457,  2350,     0,  2347,  2348,  2349,     0,     0,     0,  2352,
       0,     0,     0,     0,     0,  2353,     0,     0,  1235,     0,
    2350,     0,  1235,  1235,     0,  4156,     0,     0,  2352,     0,
       0,     0,     0,     0,  2353,     0,     0,     0,     0,  2354,
    1689,  1689,     0,     0,     0,     0,     0,     0,  2345,     0,
       0,  2346,     0,     0,  1233,  2347,  2348,  2349,  2354,     0,
       0,     0,     0,     0,     0,     0,  1233,  1233,     0,     0,
       0,     0,  2350,     0,     0,  3829,     0,     0,     0,     0,
    2352,     0,     0,     0,     0,     0,  2353,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1460,     0,     0,     0,  2345,     0,   857,  2346,
    2354,     0,     0,  2347,  2348,  2349,     0,     0,  1094,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3823,     0,
    2350,     0,     0,  4407,     0,     0,     0,     0,  2352,  1457,
       0,     0,     0,     0,  2353,  2355,     0,     0,     0,  1457,
    2356,     0,     0,     0,     0,     0,     0,     0,     0,  1094,
       0,     0,     0,     0,  2355,     0,     0,  1460,  2354,  2356,
       0,  2357,  2358,     0,     0,     0,     0,     0,  4316,     0,
    4317,     0,     0,     0,  4319,     0,  2359,     0,     0,     0,
    2357,  2358,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1460,     0,     0,     0,  2359,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2355,     0,  2360,     0,
       0,  2356,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2361,     0,     0,  2362,     0,     0,  2360,     0,     0,
    4350,     0,  2357,  2358,     0,     0,     0,     0,     0,     0,
    2361,     0,     0,  2362,     0,     0,     0,  2359,  2345,     0,
       0,  2346,     0,     0,     0,  2347,  2348,  2349,     0,     0,
       0,     0,     0,     0,  2355,     0,     0,  1457,     0,  2356,
       0,     0,  2350,  1460,     0,     0,     0,     0,     0,  2360,
    2352,     0,     0,     0,     0,     0,  2353,     0,  1460,     0,
    2357,  2358,  2361,     0,     0,  2362,  1460,     0,  1457,     0,
       0,     0,   857,  2363,     0,  2359,     0,  1460,     0,     0,
    2354,     0,     0,     0,     0,     0,     0,     0,     0,  1457,
       0,     0,  2363,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1457,     0,     0,  2360,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2361,  4353,     0,  2362,  1460,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1235,     0,     0,
       0,     0,     0,  1460,  2363,     0,     0,  1457,     0,  1235,
       0,     0,     0,     0,     0,  1460,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2364,  1460,     0,  2365,
    2366,  2367,     0,  2368,  2369,  2370,  2371,  2372,  2373,     0,
       0,     0,  1235,     0,     0,  2364,  2355,     0,  2365,  2366,
    2367,  2356,  2368,  2369,  2370,  2371,  2372,  2373,     0,     0,
       0,     0,  2363,     0,     0,     0,     0,  1460,     0,     0,
    1460,     0,  2357,  2358,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2359,     0,     0,
       0,     0,     0,     0,     0,  1457,     0,  2364,     0,     0,
    2365,  2366,  2367,     0,  2368,  2369,  2370,  2371,  2372,  2373,
       0,  4549,  4550,  4551,  4552,     0,     0,     0,     0,  2360,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2361,     0,  1235,  2362,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1457,     0,     0,     0,     0,  2364,     0,     0,  2365,  2366,
    2367,     0,  2368,  2369,  2370,  2371,  2372,  2373,     0,     0,
       0,  1235,  1235,     0,     0,     0,     0,  1235,  1235,     0,
       0,     0,     0,     0,  1235,  1235,  1235,     0,     0,     0,
    1235,     0,  1235,  1235,  1235,  1235,  1235,  1235,     0,  1235,
       0,  1235,  1235,     0,     0,  1235,     0,     0,     0,     0,
       0,     0,     0,     0,  2363,     0,     0,     0,     0,  1460,
    1235,  1235,  1235,  1235,   857,     0,     0,     0,  1235,     0,
       0,     0,  1235,     0,     0,  1235,     0,     0,  1235,  1235,
    1235,  1235,  1235,  1235,  1235,  1235,  1235,     0,  1235,     0,
       0,     0,     0,     0,     0,     0,  1235,     0,     0,  1235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1457,     0,     0,     0,     0,     0,     0,     0,  4678,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     4,     0,     0,  2364,     0,     0,
    2365,  2366,  2367,     0,  2368,  2369,  2370,  2371,  2372,  2373,
       0,     0,     0,  1235,     5,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     6,     7,     0,     0,     0,     8,
       0,     9,    10,     0,     0,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
       0,    36,     0,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,     0,     0,  1457,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1457,  1092,
       0,  1460,     0,     0,     0,  1460,  1460,  1092,     0,  1092,
       0,     0, -2346,     0,     0,     0,    46,     0,     0,   857,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1457,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1235,     0,     0,     0,     0,     0,     0,
       0, -2346,     0,     0,     0,  1235,     0,     0,     0,  1460,
       0,     0,  1235, -2346,     0,     0,     0,     0, -2346,     0,
       0,  1460,     0, -2346,     0,     0,     0,     0, -2346,    47,
       0, -2346,  1457,     0, -2346,     0,  1457,  1457,     0,     0,
       0,     0,     0,     0,     0,     0,  1094,    48,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1460, -2346,     0,     0,     0,     0,     0,    49,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0, -2346,   857,     0,     0,     0,   857,     0,     0,
       0,    50,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1094,     0,     0,     0,     0,     0,
       0,     0, -2346,     0, -2346,     0,  1457,     0,    51,     0,
   -2346,    52,     0,     0,     0,     0,     0,     0,     0,     0,
       4,     0,     0,     0,     0,     0,    53,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       5,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       6,     7,     0,     0,     0,     0,     0,     9,    10,     0,
   -2346,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,     0,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1235,  1460,     0,
      45,     0,     0,     0,     0,    54,   857,     0,     0,  1061,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4961,     0, -2346,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4965,     0,
       0,    55,    46,     0,     0,     0,     0,     0,     0, -2346,
       0, -2346, -2346,     0,     0,     0,    56,     0,  1460,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    57,     0,     0,  1235,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0, -2346,     0,     0, -2346, -2346,
       0, -2346,     0,     0,     0,     0,     0,     0,     0,    58,
       0,     0,     0,     0,  5016,     0,     0,    59,     0,    60,
      61,    62,    63,    64,     0,    47,    65,    66,    67,    68,
       0,    69,    70,    71,    72,    73,     0,     0,     0,     0,
       0,     0,  1235,    48,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    49,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    50,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1460,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1235,     0,     0,  1460,     0,     0,  1235,     0,
       0,     0,     0,     0,    51,     0,  1460,    52,     0,     0,
       0,     0,     0,     0,     0,  1235,     0,     0,     0,     0,
    1235,     0,    53,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1235,  1235,  1235,     0,     0,  1235,     0,
       0,     0,     0,     0,     0,     0,  1235,  1235,  1235,  1235,
       0,     0,     0,     0,   857,     0,     0,     0,     0,  1235,
     857,     0,  1235,     0,  1235,  5142,  5143,  5143,     0,     0,
       0,     0,     0,     0,     0,  1235,  1235,     0,     0,  1235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    54,     0,  1235,     0,  1235,     0,  1235,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1235,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1235,     0,
    1235,  1235,  1235,     0,     0,     0,     0,    55,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1231,    56,     0,     0,  1235,     0,     0,     0,     0,
    1231,     0,     0,     0,     0,     0,     0,    57,  1235,     0,
       0,     0,     0,  1235,     0,     0,     0,     0,     0,  1235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1235,
       0,     0,     0,     0,     0,    58,  1231,     0,     0,  5248,
       0,     0,     0,    59,     0,    60,    61,    62,    63,    64,
       0,     0,    65,    66,  1501,  2207,     0,     0,     0,    71,
       0,     0,     0,     0,     0,     0,     0,     0,  1460,     0,
       0,  1460,     0,  1460,     0,     0,     0,     0,  1460,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1231,     0,     0,     0,     0,
       0,  1458,  1235,     0,     0,  1231,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1458,     0,     0,     0,     0,     0,     0,     0,
    1460,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1460,     0,     0,
       0,     0,     0,   915,     0,     0,     0,     0,   916,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     917,     0,  1460,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5336,     0,  5338,     0,     0,
       0,   918,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   919,     0,     0,   857,   857,   857,
       0,     0,     0,     0,   920,     0,     0,     0,  -802,     0,
       0,     0,     0,     0,     0,     0,     0,  1231,  1231,     0,
       0,     0,     0,     0,  1092,     0,   921,     0,  1092,     0,
       0,  1460,   922,  1460,     0,     0,   857,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   923,     0,
       0,     0,     0,     0,  1231,     0,     0,     0,     0,   924,
       0,     0,     0,     0,     0,     0,     0,   925,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   926,
       0,     0,     0,     0,     0,     0,   927,     0,     0,     0,
     928,     0,     0,     0,  1460,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0, -1014,  5143,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1460,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   929,     0,     0,  1460,     0,     0,
       0,   857,  1460,  -540,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5482,     0,     0,
       0,     0,     0,     0,     0,   930,     0,     0,   931,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1092,  1092,
       0,     0,     0,     0,     0,     0,   932,     0,     0,     0,
       0,  1460,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  -436,  1231,     0,     0,  1460,
       0,     0,     0,  1458,     0,     0,     0,  1231,     0,     0,
       0,     0,     0,   933,  1460,     0,     0,     0,     0,     0,
     934,     0,     0,  1458,  5530,     0,  -436,     0,     0,   935,
       0,     0,     0,     0,     0,     0,     0,  1458,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  -436,     0,
       0,   936,   937,     0,   938,   939,     0,  1235,     0,     0,
       0,     0,     0,     0,   940,  1231,     0,     0,     0,   941,
       0,     0,     0,     0,     0,   942,     0,     0,   943,     0,
       0,   944,     0,     0,     0,  5579,     0,     0,     0,     0,
       0,     0,     0,     0,  -436,     0,     0,     0,     0,     0,
       0,     0,  1235,     0,     0,  1460,     0,     0,     0,  1458,
       0,  1235,     0,     0,     0,     0,     0,  1235,     0,  1235,
       0,     0,  1235,     0,     0,     0,  1460,  1235,  1235,  1235,
    1235,     0,     0,  1235,  1235,  1235,  1235,  1235,  1235,  1235,
    1235,  1235,  1235,     0,     0,     0,  1235,  1235,     0,     0,
       0,  1460,     0,     0,     0,     0,  1235,     0,     0,     0,
    1235,     0,   857,     0,  1235,     0,     0,     0,     0,     0,
       0,     0,  1235,     0,     0,  1235,     0,  1235,     0,     0,
       0,     0,  1231,     0,     0,  1460,  1235,     0,     0,  1235,
    1235,     0,     0,     0,  1235,  1235,     0,     0,     0,     0,
       0,  1235,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1235,     0,  1235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1235,     0,     0,     0,     0,
       0,  1235,  1235,  1235,     0,     0,     0,     0,     0,     0,
    1458,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    85,     0,     0,     0,     0,     0,    89,     0,
       0,     0,    93,     0,    94,     0,    96,    97,     0,     0,
       0,  1231,     0,     0,     0,     0,     0,   106,     0,  1235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1235,   118,   119,     0,     0,     0,     0,  1231,
       0,     0,     0,     0,     0,     0,     0,     0,  1460,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1235,     0,     0,     0,  1231,  1231,  1231,
       0,  1231,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   127,     0,     0,     0,     0,     0,     0,
       0,  1231,     0,   128,     0,   129,   130,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1169,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     140,     0,   141,   142,     0,     0,     0,     0,   145,     0,
     146,     0,   857,     0,     0,  1231,     0,   857,  1460,   857,
       0,   148,     0,   149,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   152,     0,
     153,     0,     0,   156,     0,  1231,     0,     0,     0,  1231,
    1231,     0,     0,     0,     0,     0,   157,     0,   158,     0,
       0,     0,   159,     0,     0,     0,     0,     0,   160,     0,
       0,     0,     0,     0,     0,     0,   162,     0,   164,     0,
       0,     0,     0,     0,   166,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   170,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   174,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1458,
       0,     0,     0,     0,     0,     0,  1235,     0,     0,     0,
       0,     0,     0,     0,     0,  1092,     0,     0,     0,     0,
       0,     0,     0,     0,   185,   186,     0,     0,     0,     0,
     187,     0,     0,  1460,     0,     0,     0,     0,     0,     0,
       0,     0,   188,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   193,     0,     0,  1092,     0,     0,     0,
       0,     0,     0,     0,  1458,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1460,  1235,  1235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   203,     0,     0,     0,     0,  1458,     0,
       0,     0,     0,     0,     0,   205,     0,     0,     0,     0,
     206,   207,     0,   208,     0,     0,     0,     0,   209,     0,
       0,     0,     0,   210,     0,     0,   212,     0,     0,     0,
       0,   214,     0,     0,     0,     0,   215,   216,     0,     0,
       0,     0,     0,     0,   217,     0,     0,     0,   219,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   222,     0,
       0,     0,     0,     0,     0,     0,  1235,     0,     0,     0,
     224,     0,     0,     0,     0,     0,     0,  1235,     0,     0,
    1458,     0,     0,     0,     0,     0,     0,     0,     0,   230,
       0,   231,     0,     0,     0,  1458,     0,     0,     0,   233,
       0,     0,     0,  1458,     0,   234,     0,  1235,     0,     0,
     235,     0,     0,     0,  1458,     0,     0,  1235,  1235,     0,
    1460,     0,     0,   238,  1235,  1235,     0,     0,     0,  1235,
    1460,     0,     0,     0,  1235,     0,     0,  1235,  1235,     0,
       0,     0,  1235,     0,   248,     0,     0,     0,  1235,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   249,     0,
       0,  1458,  -147,     0,     0,     0,  1235,     0,     0,     0,
    1235,     0,     0,     0,  1231,     0,     0,     0,     0,     0,
    1458,     0,  1235,     0,     0,     0,  1231,  1235,     0,     0,
       0,     0,  1458,  1235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1458,     0,     0,     0,     0,     0,
       0,  1235,     0,     0,     0,     0,     0,     0,     0,  1231,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1235,     0,     0,     0,  1458,     0,     0,  1458,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1460,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     857,     0,     0,     0,     0,     0,     0,     0,     0,  1460,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1460,  1231,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   857,  1460,     0,     0,  1235,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1231,  1231,
       0,     0,     0,     0,  1231,  1231,     0,     0,     0,     0,
       0,  1231,  1231,  1231,     0,     0,     0,  1231,  1460,  1231,
    1231,  1231,  1231,  1231,  1231,     0,  1231,     0,  1231,  1231,
       0,     0,  1231,     0,     0,     0,     0,     0,     0,     0,
    1235,     0,     0,     0,     0,     0,  1458,  1231,  1231,  1231,
    1231,  1235,     0,     0,     0,  1231,     0,     0,     0,  1231,
       0,     0,  1231,     0,     0,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,     0,  1231,     0,     0,     0,     0,
       0,     0,     0,  1231,     0,     0,  1231,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1460,     0,  1460,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1231,     0,     0,     0,     0,     0,     0,  1235,     0,     0,
       0,  1460,     0,     0,     0,     0,  1235,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1235,  1235,     0,     0,  1235,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1235,     0,     0,     0,     0,  1235,     0,     0,     0,
       0,  1235,     0,     0,  1235,  1235,     0,     0,     0,     0,
       0,     0,  1235,  1235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1235,     0,     0,     0,  1458,     0,
       0,     0,  1458,  1458,     0,     0,     0,     0,  1235,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1460,     0,     0,     0,     0,     0,     0,     0,
    1231,     0,  1235,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1231,     0,     0,     0,  1458,     0,     0,  1231,
       0,     0,     0,     0,     0,     0,     0,     0,  1458,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   857,
       0,     0,     0,     0,     0,  1235,     0,     0,     0,     0,
       0,     0,     0,  1092,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1458,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1235,     0,  1460,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1092,     0,     0,     0,     0,     0,     0,  1235,  1460,
       0,  1235,     0,  1235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1235,     0,     0,
       0,  1235,     0,     0,     0,     0,     0,  1460,     0,     0,
       0,     0,  1235,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1235,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   857,     0,     0,
       0,     0,     0,  1460,  1231,  1458,     0,  1460,  1460,     0,
       0,     0,  1235,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1235,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1458,  1235,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1231,     0,     0,     0,     0,  1460,  1460,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1235,
       0,     0,  1235,     0,     0,     0,     0,     0,     0,     0,
       0,  1235,     0,     0,     0,     0,  1235,     0,  1235,     0,
    1235,     0,     0,     0,     0,     0,     0,  1235,     0,  1231,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1235,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   857,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1458,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1231,
       0,     0,  1458,     0,     0,  1231,     0,  1235,     0,     0,
       0,     0,     0,  1458,     0,     0,  1256,     0,     0,     0,
       0,     0,  1231,     0,     0,  1286,     0,  1231,     0,     0,
       0,     0,     0,     0,  1302,     0,     0,     0,  1235,  1235,
       0,     0,  1312,     0,     0,     0,     0,     0,  1353,  1235,
    1231,  1231,  1231,     0,     0,  1231,     0,     0,     0,     0,
       0,     0,     0,  1231,  1231,  1231,  1231,     0,     0,  1235,
       0,     0,     0,     0,     0,     0,  1231,     0,     0,  1231,
       0,  1231,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1231,  1231,     0,     0,  1231,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1231,     0,  1231,     0,  1231,  1235,     0,     0,     0,     0,
       0,  1235,  1235,     0,  1235,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1231,     0,     0,     0,     0,     0,
       0,     0,     0,  1235,     0,  1231,     0,  1231,  1231,  1231,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   857,
       0,     0,  1231,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1231,     0,     0,     0,     0,
    1231,     0,     0,     0,     0,     0,  1231,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1231,     0,     0,     0,
       0,  1577,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1235,  1235,     0,     0,
       0,     0,   857,     0,     0,     0,     0,     0,     0,     0,
    1235,     0,     0,     0,     0,  1458,     0,  1709,  1458,     0,
    1458,   857,  1235,  1235,     0,  1458,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1733,     0,   960,     0,
       0,     0,     0,     0,     0,     0,     0,   960,     0,  1231,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1760,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1458,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   960,     0,
       0,     0,     0,     0,  1458,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1458,
       0,     0,     0,  1149,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1149,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1945,     0,     4,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     5,     0,     0,     0,  1458,     0,
    1458,     0,     0,     0,     6,     7,     0,     0,     0,     0,
       0,     9,    10,     0,     0,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,     0,     0,     0,     0,     0,
       0,  1458,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2070,     0,     0,     0,     0,     0,  1458,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2100,  2103,  2104,    46,     0,     0,     0,
       0,     0,     0,     0,  1458,     0,     0,     0,     0,  1458,
       0,     0,     0,     0,  1199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1458,    47,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1458,    48,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1458,     0,     0,     0,     0,     0,     0,    49,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    50,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1231,     0,     0,     0,     0,  1709,
       0,     0,     0,     0,     0,     0,     0,     0,    51,     0,
       0,    52,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    53,     0,     0,     0,
    1709,     0,     0,     0,     0,     0,     0,     0,     0,  1231,
       0,     0,  1458,     0,     0,     0,     0,     0,  1231,     0,
       0,     0,     0,     0,  1231,     0,  1231,     0,     0,  1231,
       0,     0,     0,  1458,  1231,  1231,  1231,  1231,     0,     0,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
       0,     0,     0,  1231,  1231,     0,     0,     0,  1458,     0,
       0,     0,     0,  1231,     0,     0,     0,  1231,     0,     0,
       0,  1231,     0,     0,     0,    54,     0,     0,     0,  1231,
       0,     0,  1231,     0,  1231,     0,     0,     0,     0,     0,
       0,     0,  1458,  1231,     0,     0,  1231,  1231,     0,     0,
       0,  1231,  1231,     0,   960,   960,     0,     0,  1231,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1231,     0,
    1231,    55,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1231,     0,     0,     0,    56,     0,  1231,  1231,
    1231,     0,     0,     0,     0,     0,  2435,     0,     0,     0,
       0,    57,  1199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    58,
       0,     0,     0,     0,     0,     0,  1231,    59,     0,    60,
      61,    62,    63,    64,     0,  2491,    65,    66,  1501,  1231,
       0,     0,     0,    71,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1458,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1231,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1246,     0,     0,     0,     0,     0,     0,
       0,  1279,     0,     0,  1283,  1284,     0,  1287,     0,     0,
    1293,     0,  1295,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1356,     0,     0,  1458,     0,     0,     0,     0,
    1364,     0,     0,     0,     0,     0,     0,  1376,     0,     0,
    1381,  1382,     0,  2662,     0,  1384,     0,     0,     0,     0,
       0,     0,  2685,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1199,     0,   960,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2719,     0,     0,     0,
       0,  1417,     0,     0,  2726,     0,     0,  2729,     0,     0,
       0,     0,     0,     0,     0,     0,  1479,     0,  1483,     0,
       0,  1485,     0,  1487,     0,     0,  1491,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     960,     0,     0,  2764,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2781,     0,     0,
       0,     0,     0,  1231,     0,     0,     0,     0,     0,     0,
       0,  2793,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1458,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1578,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2844,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     4,     0,     0,     0,  1199,     0,     0,  1458,  1231,
    1231,     0,  2878,     0,     0,     0,     0,     0,     0,  2890,
       0,     5,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     6,     7,     0,     0,     0,     0,     0,     9,    10,
       0,  1149,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,     0,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1231,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1231,     0,     0,     0,     0,     0,
       0,     0,     0,  1842,     0,  1844,     0,     0,     0,  1846,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2973,    46,  1231,     0,     0,     0,     0,  1884,
       0,     0,     0,     0,  1231,  1231,     0,  1458,     0,     0,
       0,  1231,  1231,     0,     0,     0,  1231,  1458,     0,     0,
       0,  1231,     0,     0,  1231,  1231,     0,     0,     0,  1231,
       0,     0,     0,     0,     0,  1231,     0,     0,     0,  1709,
    1709,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1231,     0,     0,     0,  1231,  2017,  3028,
       0,     0,     0,     0,     0,     0,    47,     0,     0,  1231,
       0,     0,     0,     0,  1231,  2031,     0,     0,     0,     0,
    1231,     0,     0,     0,    48,     0,     0,  2042,     0,  2043,
       0,     0,     0,     0,     0,     0,     0,  2046,  1231,     0,
       0,     0,     0,     0,     0,    49,     0,     0,     0,  2052,
       0,     0,     0,     0,  2061,     0,     0,  2065,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1231,    50,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1458,     0,     0,     0,     0,
       0,  2110,     0,     0,     0,     0,  3183,     0,     0,     0,
       0,     0,   705,     0,     0,    51,     0,   749,    52,   749,
       0,     0,     0,     0,     0,     0,  1458,     0,     0,   749,
       0,     0,  3204,    53,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1458,     0,     0,
       0,     0,     0,     0,   749,     0,     0,     0,     0,     0,
       0,     0,  1458,     0,   749,  1231,     0,     0,     0,     0,
    3217,     0,  3220,     0,     0,   749,   749,     0,     0,   749,
       0,     0,     0,     0,     0,   749,     0,     0,     0,  1048,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1458,     0,     0,     0,  1709,
       0,  1048,    54,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   749,  1231,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1231,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    55,     0,
       0,     0,     0,     0,  2273,     0,     0,     0,     0,     0,
       0,     0,     0,    56,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    57,     0,
       0,  1458,     0,  1458,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    58,     0,     0,     0,
       0,     0,     0,     0,    59,     0,    60,    61,    62,    63,
      64,     0,     0,    65,    66,  1501,  2965,     0,     0,     0,
      71,     0,     0,     0,  1231,     0,     0,     0,  1458,     0,
       0,     0,     0,  1231,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1231,  1231,     0,     0,  1231,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1231,     0,
       0,     0,     0,  1231,     0,     0,     0,     0,  1231,     0,
       0,  1231,  1231,     0,     0,     0,     0,     0,     0,  1231,
    1231,  3423,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3450,  1231,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1231,     0,     0,     0,     0,
       0,     0,   749,     0,     0,     0,     0,     0,     0,     0,
    1149,  2453,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1458,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1231,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2525,
       0,     0,  2525,     0,     0,     0,     0,     0,     0,     0,
    2532,     0,  1231,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2541,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3608,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1231,     0,  1458,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2631,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1231,  1458,     0,  1231,     0,
    1231,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1231,     0,     0,     0,  1231,     0,
       0,     0,     0,     0,  1458,     0,  2718,     0,     0,  1231,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1231,     0,     0,   749,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1458,     0,     0,     0,  1458,  1458,     0,     0,     0,  1231,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   749,   749,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3747,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1231,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2836,     0,     0,     0,     0,     0,     0,
     749,     0,     0,  1231,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1458,  1458,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1231,     0,     0,  1231,
       0,     0,     0,     0,     0,     0,     0,     0,  1231,     0,
       0,     0,     0,  1231,     0,  1231,     0,  1231,     0,     0,
       0,     0,     0,     0,  1231,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1231,     0,  2933,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2947,     0,     0,
    2950,     0,  2952,     0,  2953,     0,     0,     0,     0,     0,
    2955,     0,  3874,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1231,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2985,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2453,     0,  1231,  1231,  2453,     0,  2453,
       0,     0,  2453,     0,     0,     0,  1231,     0,     0,  1404,
     749,     0,   749,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1231,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   749,     0,     0,   749,   749,     0,
       0,     0,  1231,     0,     0,     0,     0,     0,  1231,  1231,
       0,  1231,   705,     0,  1048,     0,  1048,     0,     0,     0,
       0,     0,   705,     0,     0,     0,   749,     0,     0,     0,
    1231,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1048,  1048,     0,     0,
       0,     0,     0,     0,  3197,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   749,     0,   749,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1231,  1231,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1231,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1231,
    1231,     0,     0,     0,     0,     0,     0,     0,  4102,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   705,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   705,   705,
       0,     0,  1824,     0,     0,     0,     0,     0,  1199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3301,  3302,
       0,     0,     0,  3305,  3306,     0,     0,     0,  3309,     0,
     705,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3320,     0,     0,     0,     0,     0,     0,  3329,
       0,     0,     0,  3332,  3333,     0,     0,  3336,  3337,     0,
       0,     0,     0,     0,  3342,  4211,  4212,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3359,     0,  3361,
       0,  4221,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4238,  3385,     0,
       0,     0,     0,  3387,     0,     0,  4247,  4248,     0,     0,
       0,     0,     0,     0,     0,     0,  3392,     0,     0,     0,
       0,     0,     0,  4266,     0,  3399,     0,  3401,     0,     0,
    3404,  3407,  3409,     0,     0,     0,     0,  3417,  3420,     0,
       0,     0,     0,     0,     0,     0,     0,  3433,     0,     0,
       0,     0,  3442,     0,     0,     0,     0,  3446,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3481,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3488,     0,  3490,     0,     0,     0,
       0,  3493,     0,     0,     0,  3494,     0,  3498,  3499,  3500,
    3501,     0,  3503,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1709,  3528,  3529,  3530,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3538,  3539,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3583,
       0,     0,     0,   705,     0,     0,     0,     0,   749,     0,
     749,     0,     0,   749,     0,   749,     0,     0,   749,   749,
     749,     0,     0,     0,  2250,     0,     0,     0,     0,     0,
       0,   749,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   749,     0,   749,     0,     0,
       0,     0,   749,     0,     0,     0,     0,     0,     0,  4440,
    4441,  4442,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2453,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2391,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   749,   749,     0,     0,
       0,     0,     0,     0,     0,  3748,     0,     0,     0,     0,
       0,     0,     0,   705,     0,     0,     0,     0,   705,   705,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   749,     0,   705,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2529,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4676,     0,     0,     0,   705,     0,     0,
       0,     0,     0,  4686,     0,     0,     0,   705,  3932,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4706,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2890,     0,   705,     0,     0,
     705,   705,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3979,  3980,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2453,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4001,     0,     0,     0,
    4003,     0,     0,     0,     0,     0,  4006,     0,     0,     0,
     705,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4018,  4020,     0,     0,     0,  4020,     0,     0,
       0,     0,  4031,  4032,  4033,     0,  4035,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4052,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4058,  4059,  4060,
    4061,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4078,     0,     0,  4083,  4084,  4085,
    4832,  4833,  4834,  4835,     0,     0,     0,  4098,     0,     0,
      86,    87,    88,     0,    90,    91,    92,     0,     0,     0,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,     0,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    35,     0,     0,     0,  4149,     0,
       0,     0,    41,    42,     0,     0,  4153,     0,     0,     0,
       0,     0,     0,   749,     0,   749,     0,     0,     0,   749,
       0,   749,     0,     0,   749,  4165,     0,     0,   749,     0,
       0,     0,     0,  2391,     0,     0,     0,     0,     0,     0,
       0,     0,   132,     0,     0,     0,   134,   135,   136,   137,
     138,  4208,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   139,     0,     0,     0,     0,     0,     0,   143,
       0,   144,     0,     0,     0,     0,     0,   147,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   150,
       0,     0,     0,     0,     0,  4245,   151,     0,     0,  4249,
       0,     0,     0,     0,     0,     0,   154,   155,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4287,     0,
       0,     0,     0,     0,   960,     0,     0,     0,     0,     0,
       0,     0,   163,     0,     0,     0,   165,     0,     0,     0,
       0,     0,   167,     0,     0,     0,  4308,     0,   168,     0,
     169,     0,     0,     0,     0,  2250,   171,     0,   172,     0,
    4318,     0,  3198,     0,  4320,     0,   173,     0,     0,  1236,
       0,     0,  2529,     0,     0,     0,     0,  2453,  1236,     0,
     175,   176,     0,     0,     0,     0,     0,   177,     0,   178,
       0,     0,   179,   180,     0,   181,     0,     0,     0,     0,
       0,     0,     0,     0,   182,   183,     0,   184,     0,     0,
       0,     0,     0,     0,  1236,     0,     0,     0,     0,     0,
    5042,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     189,   190,   191,     0,     0,   192,     0,   705,     0,   194,
       0,     0,   195,     0,   196,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   197,   198,
       0,   199,   200,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1236,   201,     0,   202,     0,     0,  1461,
       0,     0,     0,  1236,     0,     0,     0,     0,     0,   204,
       0,   705,     0,     0,     0,   705,     0,     0,     0,     0,
    1461,  3274,     0,  1824,     0,     0,   749,     0,     0,   211,
       0,     0,     0,   213,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   218,     0,     0,   220,     0,     0,   221,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   223,   705,     0,     0,     0,     0,   225,     0,     0,
       0,     0,     0,     0,   226,   227,     0,     0,     0,     0,
     228,     0,   229,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   236,     0,     0,   237,
       0,     0,     0,     0,     0,  1236,  1236,     0,     0,     0,
       0,     0,     0,     0,     0,   239,   240,   241,   242,   243,
     244,   245,   246,   247,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1236,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4543,     0,  4544,     0,     0,     0,     0,  5204,
       0,     0,  4546,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1709,     0,     0,     0,  4556,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4564,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   705,  5249,     0,     0,  4577,
       0,     0,     0,   705,     0,   705,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4581,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4590,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4614,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4622,
    4623,  4624,     0,     0,  4627,  4628,  4629,  4630,  4631,  4632,
       0,     0,     0,     0,  4639,  4640,     0,  4642,  4643,  4644,
    4645,  4646,  4647,     0,  4649,     0,     0,     0,     0,     0,
       0,     0,     0,  4657,     0,  4659,  4660,     0,     0,     0,
       0,     0,     0,     0,  1236,     0,     0,     0,     0,     0,
    5315,  1461,     0,     0,     0,  1236,     0,     0,  4020,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1461,     0,     0,     0,     0,     0,  4679,     0,     0,
       0,     0,     0,     0,     0,  1461,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1236,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1461,     0,     0,
       0,     0,     0,  4020,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   749,
    2250,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   705,     0,     0,  2453,
    2453,  2453,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4775,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1236,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1461,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1236,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1236,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1236,  1236,  1236,     0,  1236,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2529,     0,     0,  1236,
       0,   705,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4912,     0,
       0,     0,  4913,  4914,  4915,  4916,     0,     0,  4918,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1236,     0,     0,     0,     0,     0,     0,
       0,     0,  4932,  4933,  4934,     0,  4935,     0,  4937,  4938,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4947,  4948,     0,  1236,     0,     0,     0,  1236,  1236,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4956,     0,     0,     0,     0,     0,     0,  2453,  2453,
       0,  2453,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4964,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1461,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5009,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5027,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1461,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5054,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1461,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2453,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2453,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1461,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1673,
    1673,     0,     0,  1461,     0,     0,     0,   705,     0,     0,
       0,  1461,   705,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1461,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1751,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5158,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5167,     0,  1461,
       0,     0,  5172,  5173,     0,     0,     0,     0,     0,     0,
       0,     0,  1236,     0,     0,     0,     0,     0,  1461,     0,
       0,     0,     0,     0,  1236,     0,     0,     0,     0,     0,
    1461,     0,   749,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1461,     0,     0,     0,     0,  5225,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1236,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1461,     0,     0,  1461,     0,     0,     0,     0,
       0,  4020,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5266,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   705,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2453,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2453,     0,  1236,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5302,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1236,  1236,     0,     0,
       0,     0,  1236,  1236,     0,  5318,     0,     0,     0,  1236,
    1236,  1236,     0,     0,  5325,  1236,     0,  1236,  1236,  1236,
    1236,  1236,  1236,     0,  1236,     0,  1236,  1236,     0,     0,
    1236,     0,     0,     0,     0,  2453,     0,     0,     0,     0,
       0,     0,     0,     0,  1461,  1236,  1236,  1236,  1236,     0,
       0,     0,     0,  1236,     0,     0,     0,  1236,     0,     0,
    1236,     0,     0,  1236,  1236,  1236,  1236,  1236,  1236,  1236,
    1236,  1236,     0,  1236,     0,     0,     0,     0,     0,     0,
       0,  1236,     0,     0,  1236,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4020,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3274,     0,     0,
    2453,     0,     0,  1459,     0,     0,     0,     0,  1236,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1459,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5443,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5455,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5477,     0,     0,     0,
       0,     0,     0,  2302,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1461,     0,   705,     0,
    1461,  1461,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2316,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     705,     0,     0,     0,     0,     0,     0,     0,     0,  2334,
    2335,  2336,     0,  2339,     0,     0,     0,     0,  1236,     0,
    5525,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1236,     0,     0,  2381,  1461,     0,     0,  1236,     0,     0,
       0,     0,     0,     0,     0,     0,  1461,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5543,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1461,  2436,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2460,     0,     0,
       0,  2472,  2475,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1459,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   705,     0,     0,  1459,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1459,
       0,     0,  1236,  1461,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1461,     0,     0,     0,     0,     0,     0,
       0,  1459,     0,     0,     0,     0,     0,     0,     0,  1236,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2529,     0,
       0,     0,     0,     0,     0,     0,     0,  1236,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1448,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1448,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1461,     0,     0,     0,     0,     0,     0,
       0,     0,  1459,     0,     0,     0,     0,  1236,     0,     0,
    1461,     0,     0,  1236,     0,     0,   705,     0,     0,     0,
       0,  1461,     0,     0,     0,     0,     0,     0,     0,     0,
    1236,     0,     0,     0,     0,  1236,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   705,     0,     0,  1236,  1236,
    1236,     0,     0,  1236,     0,     0,     0,     0,     0,     0,
       0,  1236,  1236,  1236,  1236,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1236,     0,     0,  1236,     0,  1236,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1236,  1236,     0,     0,  1236,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1236,     0,
    1236,     0,  1236,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1236,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1236,     0,  1236,  1236,  1236,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1236,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1236,     0,     0,     0,     0,  1236,     0,
       0,     0,     0,     0,  1236,     0,  3065,     0,     0,     0,
       0,     0,     0,     0,  1236,     0,     0,     0,     0,  3085,
       0,  3087,     0,     0,  3099,  3102,  3107,     0,     0,     0,
       0,  3113,     0,     0,  3118,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3125,
    3126,  3127,  3128,  1461,     0,     0,  1461,  3135,  1461,     0,
       0,  3147,     0,  1461,  3149,     0,     0,  3156,  3157,  3158,
    3159,  3160,  3161,  3162,  3163,  3164,     0,  3165,     0,     0,
       0,  2558,     0,     0,     0,  1673,     0,  1236,  3193,     0,
       0,     0,     0,     0,     0,     0,     0,  1448,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1461,     0,  1448,     0,   749,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1448,  1461,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2558,     0,     0,     0,
       0,     0,  1751,     0,     0,     0,     0,  1461,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   705,     0,     0,     0,     0,     0,     0,     0,
    1459,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1448,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1461,     0,  1461,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1459,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1459,     0,     0,
       0,     0,     0,     0,     0,  2558,     0,     0,     0,  1461,
       0,     0,     0,     0,     0,     0,  1459,     0,     0,     0,
       0,     0,  3334,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1461,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1461,  1459,  1448,     0,     0,  1461,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1459,     0,  1450,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1459,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1450,  1459,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1461,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1461,     0,  1459,     0,   705,  1459,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1461,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1236,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   705,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3575,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1236,     0,     0,
    1461,     0,     0,     0,     0,     0,  1236,     0,     0,     0,
       0,     0,  1236,     0,  1236,     0,     0,  1236,     0,     0,
       0,  1461,  1236,  1236,  1236,  1236,     0,     0,  1236,  1236,
    1236,  1236,  1236,  1236,  1236,  1236,  1236,  1236,  1459,     0,
       0,  1236,  1236,     0,     0,     0,  1461,     0,     0,     0,
       0,  1236,     0,     0,     0,  1236,     0,     0,     0,  1236,
       0,     0,     0,     0,     0,     0,     0,  1236,     0,     0,
    1236,     0,  1236,     0,     0,     0,     0,     0,  3196,     0,
    1461,  1236,     0,  1448,  1236,  1236,     0,     0,     0,  1236,
    1236,     0,     0,     0,     0,     0,  1236,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1236,     0,  1236,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1236,     0,     0,     0,     0,     0,  1236,  1236,  1236,     0,
       0,  3713,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1448,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1450,     0,     0,     0,
       0,     0,     0,     0,  1236,     0,     0,     0,     0,     0,
       0,     0,  1448,     0,     0,     0,  1450,  1236,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1450,     0,     0,  1461,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1236,     0,
       0,     0,     0,     0,  3768,     0,     0,     0,     0,  3774,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3286,     0,     0,     0,  2558,  3292,     0,     0,     0,     0,
       0,     0,     0,     0,  2339,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1448,  3107,     0,  3107,  3107,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3832,  1448,
       0,  3835,  1450,  3837,     0,     0,     0,  1448,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1448,     0,
       0,     0,     0,  1461,     0,     0,     0,     0,  1459,     0,
       0,     0,  3855,     0,  3858,     0,  3860,     0,     0,     0,
    1459,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1448,     0,     0,     0,  3193,
    3193,  3193,     0,     0,     0,     0,     0,     0,     0,     0,
    1459,     0,     0,     0,  1448,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3928,     0,  1448,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2460,  1448,     0,
       0,     0,  3940,     0,     0,     0,     0,     0,  2475,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1450,     0,     0,     0,     0,     0,     0,
       0,  1236,     0,     0,     0,     0,     0,     0,  1448,     0,
       0,  1448,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1461,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3987,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1461,  1236,  1236,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1459,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1451,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1451,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1448,  1236,     0,     0,     0,     0,     0,  2558,     0,     0,
       0,     0,  1236,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1236,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1236,  1236,     0,  1461,     0,     0,     0,  1236,
    1236,     0,     0,     0,  1236,  1461,     0,     0,     0,  1236,
       0,     0,  1236,  1236,     0,     0,     0,  1236,     0,     0,
       0,     0,     0,  1236,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1236,     0,     0,     0,  1236,     0,     0,     0,     0,
       0,     0,  1450,     0,     0,     0,     0,  1236,     0,     0,
       0,     0,  1236,     0,     0,     0,     0,     0,  1236,     0,
       0,     0,     0,     0,     0,     0,     0,  1459,     0,     0,
       0,     0,     0,     0,     0,     0,  1236,     0,     0,     0,
       0,     0,     0,     0,  1459,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1459,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1236,     0,  1450,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1461,     0,     0,     0,     0,     0,     0,
       0,     0,  1448,     0,     0,     0,  1448,  1448,     0,     0,
       0,  1450,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1461,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1461,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1461,     0,     0,  1236,     0,     0,     0,     0,     0,     0,
    1448,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1448,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1450,     0,     0,     0,     0,  1451,  3196,
    3196,  3196,     0,  1461,     0,     0,     0,     0,  1450,     0,
       0,     0,     0,     0,     0,     0,  1450,     0,  1451,     0,
       0,     0,  1448,     0,     0,  1236,     0,  1450,  1453,     0,
       0,     0,  1451,     0,     0,     0,  1236,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1453,
       0,  4354,     0,     0,     0,     0,     0,     0,     0,     0,
    4358,     0,     0,     0,     0,     0,  4359,     0,  4360,     0,
       0,     0,     0,     0,  1450,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1461,
       0,  1461,     0,  1450,     0,  4384,  4385,  2558,     0,     0,
    3292,     0,  3292,     0,     0,  1450,     0,  2558,     0,     0,
       0,     0,     0,  3113,  1451,     0,     0,  1450,     0,     0,
       0,  4410,     0,     0,  4413,     0,  4415,     0,     0,     0,
       0,     0,     0,     0,     0,  4419,     0,     0,     0,     0,
       0,     0,  1236,  4426,  4427,     0,  1461,     0,     0,     0,
       0,  1236,     0,     0,     0,     0,     0,  1450,     0,  1459,
    1450,     0,     0,     0,     0,     0,     0,     0,  1236,  1236,
       0,     0,  1236,     0,  4471,     0,  1459,     0,     0,  1448,
    4478,  4479,  3193,     0,     0,     0,  1236,     0,     0,     0,
       0,  1236,     0,     0,     0,     0,  1236,     0,     0,  1236,
    1236,  2558,     0,     0,     0,     0,     0,  1236,  1236,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4497,  1236,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1751,     0,  1236,     0,  1451,     0,     0,     0,  1448,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1459,     0,  1459,     0,     0,     0,     0,  1461,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1236,     0,     0,
       0,     0,  1454,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1450,
       0,     0,     0,  1454,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1236,     0,     0,  1459,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1459,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1453,     0,     0,     0,     0,     0,     0,     0,     0,  1448,
       0,  1236,     0,  1461,     0,     0,  3292,     0,     0,     0,
    1453,  3292,     0,     0,     0,     0,  1448,     0,     0,     0,
       0,     0,     0,     0,  1453,     0,     0,  1448,     0,     0,
       0,     0,     0,  1236,  1461,     0,  1236,     0,  1236,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1236,     0,     0,     0,  1236,     0,     0,     0,
    1459,     0,  1461,     0,     0,     0,     0,  1236,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3292,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1236,
       0,     0,     0,  1459,     0,     0,  1453,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1461,     0,
       0,  1450,  1461,  1461,     0,  1450,  1450,  1236,     0,     0,
       0,     0,     0,     0,  1451,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4738,  4739,     0,     0,     0,     0,     0,     0,     0,
       0,  1236,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1450,
       0,  1236,     0,     0,  1459,     0,     0,     0,     0,  1451,
       0,  1450,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1461,  1461,     0,     0,  1459,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1453,     0,     0,
       0,     0,     0,  1451,  1236,     0,     0,  1236,     0,     0,
    1459,  1450,     0,     0,  1454,  4788,  1236,     0,     0,  1448,
       0,  1236,  1448,  1236,  1448,  1236,  4793,     0,     0,  1448,
       0,     0,  1236,     0,  1454,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1459,     0,     0,     0,  1454,  1236,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1456,     0,     0,     0,     0,  4808,  4810,     0,     0,
       0,     0,     0,  4814,  4815,     0,     0,     0,  4816,     0,
       0,  1448,  1456,  4819,     0,  1451,  4822,  4823,     0,     0,
       0,  4827,  3196,     0,     0,     0,     0,  4831,  1448,     0,
    1451,     0,     0,     0,     0,     0,     0,     0,  1451,     0,
       0,     0,  1236,     0,     0,     0,     0,     0,     0,  1451,
       0,     0,     0,  1448,     0,     0,     0,     0,     0,     0,
    1454,  3193,     0,     0,     0,     0,  3193,     0,     0,     0,
       0,     0,  3193,  1236,  1236,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1236,     0,     0,     0,     0,     0,
    1673,     0,     0,     0,     0,     0,  1451,  2558,  1450,     0,
       0,     0,     0,     0,  1236,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1451,     0,     0,     0,  4893,
       0,     0,  1448,     0,  1448,     0,     0,  1451,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1451,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1236,     0,     0,     0,     0,     0,  1236,  1236,     0,  1236,
       0,     0,     0,     0,     0,     0,     0,     0,  1450,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1236,  1451,
       0,     0,  1451,     0,     0,  1448,     0,     0,     0,     0,
       0,  1454,     0,     0,     0,     0,     0,  3292,     0,     0,
       0,     0,     0,     0,     0,     0,  1453,  4953,     0,     0,
    1448,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1448,     0,
       0,     0,     0,  1448,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1236,  1236,     0,     0,     0,     0,     0,     0,  4987,
       0,  1453,     0,     0,     0,  1236,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1236,  1236,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1450,     0,
       0,     0,  1448,     0,     0,  1453,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1450,     0,     0,     0,     0,
    1448,     0,     0,     0,     0,     0,  1450,     0,     0,     0,
       0,  1451,     0,  1456,     0,  1448,     0,     0,     0,     0,
       0,     0,  1459,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1456,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1456,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1453,     0,     0,
    2558,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1453,     0,     0,     0,     0,     0,     0,     0,
    1453,     0,  5080,  5081,     0,     0,  5082,     0,     0,     0,
       0,  1453,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1448,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1456,
       0,  5116,  5117,     0,     0,     0,     0,  1448,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1453,     0,
    1454,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1448,     0,     0,     0,     0,  1453,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1453,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1453,     0,     0,     0,     0,  1448,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1459,
       0,     0,     0,  1451,     0,  1454,     0,  1451,  1451,  1459,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1453,     0,     0,  1453,     0,     0,     0,  1450,     0,
       0,  1450,     0,  1450,     0,     0,     0,     0,  1450,  1454,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1456,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3196,     0,     0,     0,     0,  3196,     0,     0,     0,
       0,  1451,  3196,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1451,     0,     0,     0,     0,     0,     0,
    1450,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1450,     0,  1448,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1454,     0,  1451,     0,     0,     0,     0,     0,     0,
    3113,     0,  1450,     0,     0,     0,  1454,  1459,     0,     0,
       0,     0,     0,     0,  1454,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1454,  5284,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1459,     0,
       0,  2339,     0,  1453,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1459,
       0,     0,     0,  1751,     0,     0,     0,     0,     0,     0,
       0,  1450,  1454,  1450,  3292,     0,     0,     0,     0,  1448,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1454,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5333,     0,  1454,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1454,     0,  1459,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1450,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1451,     0,     0,     0,     0,  1454,     0,     0,  1454,  1450,
       0,     0,     0,     0,     0,  5383,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1450,     0,     0,
       0,     0,  1450,     0,     0,     0,     0,     0,     0,  1456,
       0,     0,     0,  5038,     0,  1459,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1451,     0,     0,     0,  1448,     0,     0,     0,     0,  5116,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1453,     0,     0,     0,  1453,
    1453,  1450,     0,  5444,     0,     0,     0,     0,     0,     0,
    1459,     0,     0,     0,  1456,     0,     0,     0,     0,  1450,
       0,     0,  1448,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1450,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1456,     0,
       0,     0,     0,     0,     0,     0,     0,  1454,     0,     0,
       0,     0,     0,  1453,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1453,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5504,  5504,     0,
    1451,     0,     0,     0,     0,     0,     0,     0,  5116,     0,
       0,     0,     0,     0,     0,  1453,     0,  1451,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1451,     0,
    1456,     0,     0,     0,     0,  1450,     0,     0,     0,     0,
       0,  3292,     0,     0,     0,  1456,     0,     0,     0,     0,
       0,     0,     0,  1456,     0,     0,  1450,     0,     0,     0,
       0,  1448,     0,     0,  1456,     0,     0,     0,     0,     0,
       0,  1448,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1450,     0,  5504,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5575,     0,     0,     0,     0,     0,     0,     0,
       0,  1456,     0,     0,     0,  1450,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1456,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1456,     0,     0,     0,     0,  3292,     0,     0,
       0,     0,     0,     0,  1456,     0,     0,     0,     0,  1454,
       0,     0,     0,  1454,  1454,     0,     0,     0,     0,     0,
       0,     0,  1453,     0,     0,     0,     0,     0,  1459,     0,
       0,     0,     0,     0,     0,  5504,  5616,     0,     0,     0,
       0,     0,     0,     0,  1456,     0,     0,  1456,     0,  1448,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1459,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1454,     0,     0,
    1448,     0,     0,     0,     0,     0,     0,     0,  1450,  1454,
       0,     0,  1453,     0,     0,     0,     0,     0,     0,     0,
       0,  1448,     0,     0,     0,     0,     0,     0,     0,     0,
    1451,     0,     0,  1451,     0,  1451,  1448,     0,     0,     0,
    1451,     0,  1459,     0,     0,     0,  1459,  1459,     0,  1454,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1448,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1451,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1450,  1451,
       0,     0,     0,     0,     0,     0,  1456,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1451,  5038,  1459,     0,     0,     0,
       0,     0,  1453,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1453,
       0,     0,     0,     0,     0,     0,     0,  1448,     0,     0,
    1453,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1451,     0,  1451,  1454,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1448,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1450,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1451,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1454,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1451,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1450,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1456,  1451,
       0,     0,  1456,  1456,  1451,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2375,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1448,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1451,     0,     0,  1456,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1456,     0,
       0,  1451,  1453,     0,     0,  1453,  1454,  1453,     0,     0,
       0,     0,  1453,     0,     0,     0,  1451,     0,     0,  2375,
       0,     0,     0,  1454,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1454,     0,     0,     0,  1456,     0,
    1450,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1450,     0,     0,     0,     0,     0,     0,     0,     0,  1448,
       0,     0,     0,     0,  1453,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1453,     0,     0,     0,     0,     0,     0,     0,     0,
    1448,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1453,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1451,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1448,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1451,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1451,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1453,     0,  1453,  1450,     0,
       0,     0,     0,     0,  1448,     0,     0,     0,  1448,  1448,
       0,     0,     0,     0,     0,  1456,     0,  1451,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1450,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1450,     0,     0,     0,     0,     0,     0,     0,  1453,     0,
       0,     0,     0,     0,     0,  1450,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1453,     0,  1456,  1454,     0,     0,  1454,
       0,  1454,     0,     0,     0,     0,  1454,     0,  1448,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1450,     0,
       0,  1453,     0,     0,     0,     0,  1453,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1451,     0,     0,     0,     0,     0,     0,     0,  1454,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1454,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1453,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1454,     0,     0,  1453,     0,     0,  1450,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1453,     0,
       0,     0,     0,     0,     0,  1456,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1456,     0,     0,     0,     0,     0,     0,     0,
    1451,     0,     0,  1456,     0,     0,     0,     0,     0,     0,
       0,  1450,     0,     0,     0,     0,     0,     0,     0,  1454,
       0,  1454,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2375,     0,     0,     0,     0,     0,     0,     0,  1453,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1454,     0,     0,     0,     0,     0,     0,     0,
    1453,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1454,     0,     0,
       0,     0,     0,     0,     0,  1453,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1454,     0,     0,     0,     0,
    1454,     0,  1450,     0,     0,  1451,     0,     0,     0,  1453,
    2375,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2375,     0,     0,     0,  3095,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2375,  2375,  2375,     0,     0,  2375,     0,     0,
       0,     0,     0,  1451,     0,     0,     0,     0,     0,  1454,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1454,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2375,
       0,     0,  1454,     0,     0,  1456,     0,     0,  1456,     0,
    1456,     0,     0,     0,     0,  1456,     0,     0,  1450,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1453,     0,     0,     0,     0,     0,     0,  1450,
       0,     0,     0,     0,  2375,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1456,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2375,     0,
       0,     0,     0,     0,  1456,     0,     0,  1450,     0,     0,
    2375,     0,     0,  2375,     0,     0,     0,     0,     0,     0,
       0,     0,  1451,  1454,     0,     0,     0,     0,     0,  1456,
       0,     0,  1451,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1454,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1453,  1450,     0,     0,     0,  1450,  1450,  1454,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1456,     0,
    1456,     0,     0,  1454,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1450,     0,     0,
    1451,  1456,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1456,     0,     0,     0,
       0,  1451,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1453,     0,     0,
       0,     0,  1451,     0,  1456,     0,     0,     0,     0,  1456,
       0,     0,     0,     0,     0,     0,  1454,  1451,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1453,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1451,     0,     0,     0,     0,     0,     0,     0,  1456,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1456,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1456,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1454,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1451,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1453,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1453,     0,     0,     0,     0,     0,
       0,     0,  1456,  1451,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1456,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1456,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1454,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1456,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1454,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1453,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1451,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1453,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1453,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1453,
       0,     0,     0,  2375,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1456,     0,     0,     0,     0,
       0,     0,     0,  2375,     0,  2375,     0,     0,  3095,  3095,
       0,  3809,     0,  3095,     0,     0,     0,  2375,     0,     0,
    2375,     0,  1453,     0,     0,  2375,     0,     0,     0,     0,
    1451,  2375,     0,     0,     0,     0,  2375,     0,  1454,     0,
       0,     0,     0,  2375,  2375,  2375,  2375,     0,  1454,     0,
    3095,  3095,     0,  2375,     0,     0,     0,     0,     0,     0,
       0,  1451,     0,     0,     0,  2375,     0,  2375,     0,     0,
       0,     0,     0,     0,  2375,  2375,  2375,  2375,  2375,  2375,
    2375,  2375,  2375,  2375,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1456,     0,     0,     0,  1451,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1453,  2375,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1451,     0,     0,     0,  1451,
    1451,     0,     0,     0,     0,  1453,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1454,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1454,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1454,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1456,     0,     0,  1454,     0,     0,     0,     0,     0,  1451,
       0,     0,  2375,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1454,     0,  1456,     0,
       0,     0,     0,     0,     0,     0,  1453,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1454,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1453,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1456,     0,  1454,
       0,     0,     0,  1453,     0,     0,     0,  1456,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1453,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2375,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1453,     0,     0,
       0,  1453,  1453,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1454,     0,     0,     0,     0,  1456,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1456,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1456,     0,     0,
       0,  1453,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2375,  1456,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1454,     0,     0,     0,
       0,     0,     0,     0,     0,  1456,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2375,     0,     0,     0,
       0,     0,  2375,     0,     0,     0,     0,  1454,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3809,  3809,
       0,     0,  3095,  3095,  3095,  3095,     0,     0,  3095,  3095,
    3095,  3095,  3095,  3095,  3095,  3095,  3095,  3095,  3809,     0,
       0,     0,     0,     0,     0,  1454,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2375,     0,     0,  2375,     0,  2375,     0,     0,  3809,  3809,
       0,     0,     0,  1456,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2375,  3095,  3095,  2375,     0,  2375,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1454,     0,     0,     0,  1454,  1454,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1456,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2375,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2375,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1454,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2375,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1456,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1456,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1456,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3095,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1456,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1456,     0,     0,     0,  1456,  1456,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2375,     0,  1456,     0,  2375,  2375,  2375,     0,
       0,     0,     0,     0,  3809,  3809,  3809,  3809,     0,     0,
       0,     0,  3809,  3809,  3809,  3809,  3809,  3809,  3809,  3809,
    3809,  3809,  2375,  2375,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2375,     0,
       0,  2375,     0,  2375,     0,     0,     0,  2375,     0,     0,
    3809,  3809,     0,     0,  2375,  2375,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2375,
       0,     0,     0,     0,     0,     0,  2375,  2375,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2375,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3809,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2375,  2375,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2375,     0,     0,     0,
       0,  2375,  3095,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2375,     0,  2375,     0,
       0,     0,  2375,  2375,  2375,     0,     0,  2375,     0,     0,
    2375,  2375,     0,     0,     0,  2375,     0,     0,     0,  2375,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2375,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    85,     0,     0,    86,
      87,    88,    89,    90,    91,    92,    93,     0,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   106,     0,     0,   107,   108,   109,   110,     0,   111,
     112,   113,   114,     0,   115,   116,   117,   118,   119,     0,
       0,  2375,   120,   121,     0,     0,     0,     0,   122,     0,
       0,     0,     0,     0,     0,     0,     0,   123,     0,   124,
       0,   125,   126,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,  2375,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   127,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   128,     0,   129,
     130,     0,     0,     0,     0,     0,     0,     0,     0,   131,
       0,   132,     0,     0,   133,   134,   135,   136,   137,   138,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   139,     0,     0,   140,     0,   141,   142,   143,     0,
     144,     0,   145,     0,   146,     0,   147,     0,     0,     0,
       0,     0,  3809,  3095,     0,   148,     0,   149,   150,     0,
       0,     0,     0,     0,     0,   151,     0,     0,  2375,  2375,
    2375,     0,   152,     0,   153,   154,   155,   156,     0,     0,
       0,     0,     0, -1518,     0,     0,     0,     0,     0,     0,
     157,     0,   158,     0,     0,     0,   159,     0,     0,     0,
       0,     0,   160,   161,  2375,  2375,     0,     0,     0,     0,
     162,   163,   164,     0,     0,   165,     0,     0,   166,     0,
       0,   167,     0,     0,     0,     0,     0,   168,     0,   169,
       0,     0,     0,   170,     0,   171,     0,   172,     0,     0,
       0,     0,     0,     0,     0,   173,     0,     0,     0,   174,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   175,
     176,     0,     0, -1518,     0,     0,   177,     0,   178,     0,
       0,   179,   180,     0,   181,     0,     0,     0,     0,     0,
       0,     0,     0,   182,   183,     0,   184,     0,   185,   186,
       0,     0,     0,     0,   187,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   188,     0,     0,   189,
     190,   191,     0,     0,   192,     0,     0,   193,   194,     0,
       0,   195,     0,   196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   197,   198,     0,
     199,   200,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   201,     0,   202,  3809,   203,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   204,   205,
       0,     0,  2375,     0,   206,   207,     0,   208,     0,     0,
       0,     0,   209,     0,     0,     0,     0,   210,   211,     0,
     212,     0,   213,     0,     0,   214,     0,     0,     0,     0,
     215,   216,     0,     0,     0,     0,     0,     0,   217,     0,
     218,     0,   219,   220,     0,     0,   221,     0,     0,     0,
       0,  2375,   222,     0,     0,     0,     0,     0,     0,     0,
     223,     0,     0,     0,   224,     0,   225,     0,     0,     0,
       0,     0,     0,   226,   227,     0,     0,     0,     0,   228,
       0,   229,     0,   230,     0,   231,     0,     0,     0,     0,
     232,     0,     0,   233,     0,     0, -1518,     0,     0,   234,
       0,  2375,     0,     0,   235,   236,     0,     0,   237,     0,
       0,     0,     0,     0,     0,     0,     0,   238,     0,     0,
       0,     0,     0,     0,   239,   240,   241,   242,   243,   244,
     245,   246,   247,     0,     0,     0,     0,     0,   248,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   249,     0,     0,     0,  -147,     0,     0,     0,
       0,     0,  2375,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2375,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,  2375,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2375,   431,   432,   433,   434,   435,
     436,   437,   438,   766,   439,   440,   441,   767,   768,   769,
     770,   771,   772,   773,   442,   443,   774,   444,   445,   132,
     446,   447,   448,   134,   135,   136,   137,   138,   775,   449,
     450,   451,   452,   453,   776,   777,   454,   455,   778,   139,
     456,   779,   457,   458,   459,   460,   143,   780,   144,   781,
     461,   462,   463,   464,   147,   465,   466,   782,   783,   467,
     468,   469,   470,   471,   472,   784,   150,   473,   474,   785,
     786,   787,   788,   151,   789,   790,   791,   476,   477,   478,
     479,   728,   480,   154,   155,   481,   792,   482,   793,   483,
     484,   485,   486,   487,   488,   794,   489,   490,   491,   795,
     796,   492,   493,   494,   495,   496,   797,   497,   498,   499,
     798,   500,   501,   502,   799,   503,   504,   505,   506,   163,
     507,   508,   509,   165,   800,   510,   801,   511,   512,   167,
     513,   802,   514,   803,   515,   168,   804,   169,   516,   517,
     518,   805,   519,   171,   806,   172,   520,   807,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,   808,   529,
     530,   531,   532,   533,   534,   809,   535,   175,   176,   810,
     536,   537,   538,   811,   177,   812,   178,   813,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,   814,   815,
     546,   182,   183,   547,   184,   816,   548,   549,   550,   817,
     818,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,   190,   191,
     565,   566,   192,   819,   567,   568,   194,   569,   820,   195,
     570,   196,   571,   572,   573,   821,   574,   822,   823,   575,
     576,   577,   824,   825,   578,   197,   198,   579,   199,   200,
     580,   581,   582,   583,   584,   585,   586,   587,   826,   588,
     589,   201,   590,   202,   591,   592,   593,   827,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,   828,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   829,   617,   618,   211,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,   830,
     629,   630,   631,   632,   633,   831,   635,   636,   218,   637,
     638,   220,   639,   640,   221,   641,   832,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,   833,
     653,   654,   834,   655,   225,   656,   657,   658,   659,   660,
     835,   226,   227,   836,   837,   662,   663,   228,   664,   229,
     838,   665,   666,   667,   668,   669,   670,   671,   839,   840,
     672,   673,   674,   675,   676,   841,   842,   677,   678,   679,
     680,   681,   843,   236,   844,   682,   237,   683,   684,   685,
     686,   845,   846,   687,   847,   848,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,    86,    87,    88,     0,    90,    91,
      92,     0,     0,     0,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,  1008,     0,     0,   107,
     108,   109,   110,     0,   111,   112,   113,   114,     0,   115,
     116,   117,     0,     0,     0,     0,     0,   120,   121,     0,
       0,     0,     0,   122,     0,     0,     0,     0,     0,     0,
       0,     0,   123,     0,   124,     0,   125,     0,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   132,     0,     0,     0,
     134,   135,   136,   137,   138,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   139,     0,     0,     0,
       0,     0,     0,   143,     0,   144,     0,     0,     0,     0,
       0,   147,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   150,     0,     0,     0,     0,     0,     0,
     151,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     154,   155,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   161,     0,
       0,     0,     0,     0,     0,     0,   163,     0,     0,     0,
     165,     0,     0,     0,     0,     0,   167,     0,     0,     0,
       0,     0,   168,     0,   169,     0,     0,     0,     0,     0,
     171,     0,   172,     0,     0,     0,     0,     0,     0,     0,
     173,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   175,   176,     0,     0,     0,     0,
       0,   177,     0,   178,     0,     0,   179,   180,     0,   181,
       0,     0,     0,     0,     0,     0,     0,     0,   182,   183,
       0,   184,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   189,   190,   191,     0,     0,   192,
       0,     0,     0,   194,     0,     0,   195,     0,   196,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   197,   198,     0,   199,   200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   201,     0,
     202,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   204,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,     0,     0,     0,   213,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   218,     0,     0,   220,     0,
       0,   221,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   223,     0,     0,     0,     0,
       0,   225,     0,     0,     0,     0,     0,     0,   226,   227,
       0,     0,     0,     0,   228,     0,   229,     0,     0,     0,
       0,     0,     0,     0,     0,   232,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     236,     0,     0,   237,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   239,
     240,   241,   242,   243,   244,   245,   246,   247,     0,     0,
      86,    87,    88,     0,    90,    91,    92,     0,     0,     0,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,     0,     0,  3264,   107,   108,   109,   110,     0,
     111,   112,   113,   114,     0,   115,   116,   117,     0,     0,
       0,     0,     0,   120,   121,     0,     0,     0,     0,   122,
       0,     0,     0,     0,     0,     0,     0,     0,   123,     0,
     124,     0,   125,     0,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   132,     0,     0,     0,   134,   135,   136,   137,
     138,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   139,     0,     0,     0,     0,     0,     0,   143,
       0,   144,     0,     0,     0,     0,     0,   147,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   150,
       0,     0,     0,     0,     0,     0,   151,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   154,   155,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   161,     0,     0,     0,     0,     0,
       0,     0,   163,     0,     0,     0,   165,     0,     0,     0,
       0,     0,   167,     0,     0,     0,     0,     0,   168,     0,
     169,     0,     0,     0,     0,     0,   171,     0,   172,     0,
       0,     0,     0,     0,     0,     0,   173,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     175,   176,     0,     0,     0,     0,     0,   177,     0,   178,
       0,     0,   179,   180,     0,   181,     0,     0,     0,     0,
       0,     0,     0,     0,   182,   183,     0,   184,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     189,   190,   191,     0,     0,   192,     0,     0,     0,   194,
       0,     0,   195,     0,   196,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   197,   198,
       0,   199,   200,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   201,     0,   202,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   204,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
       0,     0,     0,   213,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   218,     0,     0,   220,     0,     0,   221,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   223,     0,     0,     0,     0,     0,   225,     0,     0,
       0,     0,     0,     0,   226,   227,     0,     0,     0,     0,
     228,     0,   229,     0,     0,     0,     0,     0,     0,     0,
       0,   232,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   236,     0,     0,   237,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   239,   240,   241,   242,   243,
     244,   245,   246,   247,     0,   759,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   760,   104,   105,   714,   761,
    3266,   107,   108,   109,   110,   762,   763,   112,   113,   114,
       0,   115,   764,   765,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,   430,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1593,  1594,  1595,    45,  1596,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,  3187,   439,   440,   441,     0,     0,     0,     0,
    1597,     0,     0,   442,   443,     0,   444,   445,   132,   446,
     447,   448,   134,  1598,   136,  1599,  1600,     0,   449,   450,
     451,   452,   453,  1601,  1602,   454,   455,  1603,  1604,   456,
       0,   457,   458,   459,   460,  1605,     0,  1606,     0,   461,
     462,   463,   464,   147,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,   150,   473,   474,     0,  1607,
    1608,  1609,  1610,  1611,  1612,  1613,   476,   477,   478,   479,
     728,   480,  1614,  1615,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,  3188,     0,
     492,   493,  1429,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,  1616,   507,
     508,   509,  1617,  1618,   510,     0,   511,   512,  1619,   513,
       0,   514,     0,   515,   168,     0,   169,   516,   517,   518,
       0,   519,  1620,     0,  1621,   520,     0,   521,   522,   730,
     523,   524,   173,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,   175,   176,     0,   536,
     537,   538,  1432,  1622,     0,  1623,     0,   539,   179,   180,
     540,   181,   541,   542,   543,   544,   545,     0,     0,   546,
    1624,   183,   547,   184,     0,   548,   549,   550,  1625,  1626,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,  1627,   190,  1628,   565,
     566,   192,  1629,   567,   568,   194,   569,  1630,  1631,   570,
    1632,   571,   572,   573,     0,   574,     0,     0,  1633,   576,
     577,     0,     0,   578,   197,   198,   579,   199,  1634,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
    1635,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,  1636,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   211,   619,   620,   621,  1637,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,  1638,   635,   636,   218,   637,   638,
     220,   639,   640,  1639,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,  1640,     0,   653,
     654,     0,   655,   225,   656,   657,   658,   659,   660,     0,
    1641,  1642,     0,     0,   662,   663,  1643,   664,  1644,  1645,
     665,   666,   667,   668,   669,   670,   671,     0,  1646,   672,
     673,   674,   675,   676,  1647,     0,   677,   678,   679,   680,
     681,   734,  1648,  3189,   682,   237,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,  1649,  1650,  1651,  1652,  1653,  1654,  1655,  1656,
     735,   694,   695,  1657,     0,     0,     0,     0,     0,     0,
    1658,  1659,  3190,     0,     0,     0,     0,     0,     0,  1661,
    3191,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1593,  1594,
    1595,    45,  1596,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1597,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,  1598,
     136,  1599,  1600,     0,   449,   450,   451,   452,   453,  1601,
    1602,   454,   455,  1603,  1604,   456,     0,   457,   458,   459,
     460,  1605,     0,  1606,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,  1607,  1608,  1609,  1610,  1611,
    1612,  1613,   476,   477,   478,   479,   728,   480,  1614,  1615,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1429,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1616,   507,   508,   509,  1617,  1618,
     510,     0,   511,   512,  1619,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,  1620,     0,
    1621,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,  1432,  1622,
       0,  1623,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,  1624,   183,   547,   184,
       0,   548,   549,   550,  1625,  1626,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1627,   190,  1628,   565,   566,   192,  1629,   567,
     568,   194,   569,  1630,  1631,   570,  1632,   571,   572,   573,
       0,   574,     0,     0,  1633,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1634,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1635,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1636,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,  1637,   622,   623,   624,   625,
     626,   627,   733,   628,   216,   629,   630,   631,   632,   633,
    1638,   635,   636,   218,   637,   638,   220,   639,   640,  1639,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1640,     0,   653,   654,   224,   655,   225,
     656,   657,   658,   659,   660,     0,  1641,  1642,     0,     0,
     662,   663,  1643,   664,  1644,  1645,   665,   666,   667,   668,
     669,   670,   671,     0,  1646,   672,   673,   674,   675,   676,
    1647,     0,   677,   678,   679,   680,   681,  2337,  1648,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
     238,   688,   689,   690,   691,   692,   693,   239,  1649,  1650,
    1651,  1652,  1653,  1654,  1655,  1656,   735,   694,   695,  1657,
       0,   248,     0,     0,     0,     0,  1658,  1659,     0,     0,
       0,     0,     0,     0,     0,  1661,  5296,   759,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   760,   104,   105,
     714,   761,     0,   107,   108,   109,   110,   762,   763,   112,
     113,   114,     0,   115,   764,   765,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,   430,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1593,  1594,  1595,    45,  1596,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,  1597,     0,     0,   442,   443,     0,   444,   445,
     132,   446,   447,   448,   134,  1598,   136,  1599,  1600,     0,
     449,   450,   451,   452,   453,  1601,  1602,   454,   455,  1603,
    1604,   456,     0,   457,   458,   459,   460,  1605,     0,  1606,
       0,   461,   462,   463,   464,   147,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,   150,   473,   474,
       0,  1607,  1608,  1609,  1610,  1611,  1612,  1613,   476,   477,
     478,   479,   728,   480,  1614,  1615,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,  1429,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
    1616,   507,   508,   509,  1617,  1618,   510,     0,   511,   512,
    1619,   513,     0,   514,     0,   515,   168,     0,   169,   516,
     517,   518,     0,   519,  1620,     0,  1621,   520,     0,   521,
     522,   730,   523,   524,   173,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,   175,   176,
       0,   536,   537,   538,  1432,  1622,     0,  1623,     0,   539,
     179,   180,   540,   181,   541,   542,   543,   544,   545,     0,
       0,   546,  1624,   183,   547,   184,     0,   548,   549,   550,
    1625,  1626,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,  1627,   190,
    1628,   565,   566,   192,  1629,   567,   568,   194,   569,  1630,
    1631,   570,  1632,   571,   572,   573,     0,   574,     0,     0,
    1633,   576,   577,     0,     0,   578,   197,   198,   579,   199,
    1634,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,  1635,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,  1636,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   211,   619,   620,
     621,  1637,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,  1638,   635,   636,   218,
     637,   638,   220,   639,   640,  1639,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,  1640,
       0,   653,   654,     0,   655,   225,   656,   657,   658,   659,
     660,     0,  1641,  1642,     0,     0,   662,   663,  1643,   664,
    1644,  1645,   665,   666,   667,   668,   669,   670,   671,     0,
    1646,   672,   673,   674,   675,   676,  1647,     0,   677,   678,
     679,   680,   681,   734,  1648,     0,   682,   237,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,  1649,  1650,  1651,  1652,  1653,  1654,
    1655,  1656,   735,   694,   695,  1657,     0,     0,     0,     0,
       0,     0,  1658,  1659,     0,     0,     0,     0,     0,     0,
       0,  1661,  3097,   759,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   760,   104,   105,   714,   761,     0,   107,
     108,   109,   110,   762,   763,   112,   113,   114,     0,   115,
     764,   765,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,   430,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1593,  1594,  1595,    45,  1596,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,  1597,     0,
       0,   442,   443,     0,   444,   445,   132,   446,   447,   448,
     134,  1598,   136,  1599,  1600,     0,   449,   450,   451,   452,
     453,  1601,  1602,   454,   455,  1603,  1604,   456,     0,   457,
     458,   459,   460,  1605,     0,  1606,     0,   461,   462,   463,
     464,   147,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,   150,   473,   474,     0,  1607,  1608,  1609,
    1610,  1611,  1612,  1613,   476,   477,   478,   479,   728,   480,
    1614,  1615,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
    1429,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,  1616,   507,   508,   509,
    1617,  1618,   510,     0,   511,   512,  1619,   513,     0,   514,
       0,   515,   168,     0,   169,   516,   517,   518,     0,   519,
    1620,     0,  1621,   520,     0,   521,   522,   730,   523,   524,
     173,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,   175,   176,     0,   536,   537,   538,
    1432,  1622,     0,  1623,     0,   539,   179,   180,   540,   181,
     541,   542,   543,   544,   545,     0,     0,   546,  1624,   183,
     547,   184,     0,   548,   549,   550,  1625,  1626,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,  1627,   190,  1628,   565,   566,   192,
    1629,   567,   568,   194,   569,  1630,  1631,   570,  1632,   571,
     572,   573,     0,   574,     0,     0,  1633,   576,   577,     0,
       0,   578,   197,   198,   579,   199,  1634,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,  1635,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,  1636,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   211,   619,   620,   621,  1637,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,  1638,   635,   636,   218,   637,   638,   220,   639,
     640,  1639,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,  1640,     0,   653,   654,     0,
     655,   225,   656,   657,   658,   659,   660,     0,  1641,  1642,
       0,     0,   662,   663,  1643,   664,  1644,  1645,   665,   666,
     667,   668,   669,   670,   671,     0,  1646,   672,   673,   674,
     675,   676,  1647,     0,   677,   678,   679,   680,   681,   734,
    1648,     0,   682,   237,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
    1649,  1650,  1651,  1652,  1653,  1654,  1655,  1656,   735,   694,
     695,  1657,     0,     0,     0,     0,     0,     0,  1658,  1659,
       0,     0,     0,     0,     0,     0,     0,  1661,  4362,   759,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   760,
     104,   105,   714,   761,     0,   107,   108,   109,   110,   762,
     763,   112,   113,   114,     0,   115,   764,   765,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1593,  1594,  1595,    45,
    1596,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,  1597,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,   134,  1598,   136,  1599,
    1600,     0,   449,   450,   451,   452,   453,  1601,  1602,   454,
     455,  1603,  1604,   456,     0,   457,   458,   459,   460,  1605,
       0,  1606,     0,   461,   462,   463,   464,   147,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,  1607,  1608,  1609,  1610,  1611,  1612,  1613,
     476,   477,   478,   479,   728,   480,  1614,  1615,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,  1429,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,  1616,   507,   508,   509,  1617,  1618,   510,     0,
     511,   512,  1619,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,  1620,     0,  1621,   520,
       0,   521,   522,   730,   523,   524,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,   176,     0,   536,   537,   538,  1432,  1622,     0,  1623,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,  1624,   183,   547,   184,     0,   548,
     549,   550,  1625,  1626,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
    1627,   190,  1628,   565,   566,   192,  1629,   567,   568,   194,
     569,  1630,  1631,   570,  1632,   571,   572,   573,     0,   574,
       0,     0,  1633,   576,   577,     0,     0,   578,   197,   198,
     579,   199,  1634,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,  1635,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,  1636,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,  1637,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,  1638,   635,
     636,   218,   637,   638,   220,   639,   640,  1639,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,  1640,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,  1641,  1642,     0,     0,   662,   663,
    1643,   664,  1644,  1645,   665,   666,   667,   668,   669,   670,
     671,     0,  1646,   672,   673,   674,   675,   676,  1647,     0,
     677,   678,   679,   680,   681,   734,  1648,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,  1649,  1650,  1651,  1652,
    1653,  1654,  1655,  1656,   735,   694,   695,  1657,     0,     0,
       0,     0,     0,     0,  1658,  1659,     0,     0,     0,     0,
       0,     0,     0,  1661,  4433,   759,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   760,   104,   105,   714,   761,
       0,   107,   108,   109,   110,   762,   763,   112,   113,   114,
       0,   115,   764,   765,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   132,   446,
     447,   448,     0,  1422,   136,  1423,  1424,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,  1425,  1426,   456,
       0,   457,   458,   459,   460,     0,     0,   144,     0,   461,
     462,   463,   464,   147,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,   150,   473,   474,     0,     0,
       0,     0,   151,     0,     0,     0,   476,   477,   478,   479,
     728,   480,  1427,  1428,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,  1429,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,     0,   507,
     508,   509,     0,     0,   510,     0,   511,   512,  1430,   513,
       0,   514,     0,   515,   168,     0,   169,   516,   517,   518,
       0,   519,     0,     0,     0,   520,     0,   521,   522,   730,
     523,   524,   173,   525,   526,   527,   528,  2544,   529,   530,
     531,   532,   533,   534,     0,   535,   175,  2545,     0,   536,
     537,   538,  1432,  1433,     0,  1434,     0,   539,   179,   180,
     540,   181,   541,   542,   543,   544,   545,     0,     0,   546,
       0,   183,   547,   184,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,  1435,   190,  1436,   565,
     566,     0,     0,   567,   568,   194,   569,     0,     0,   570,
    1437,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,  2547,   198,   579,   199,     0,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
       0,   590,     0,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,  1438,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   211,   619,   620,   621,     0,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,  2548,   637,   638,
     220,   639,   640,  1440,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,     0,   655,   225,   656,   657,   658,   659,   660,     0,
    1441,  1442,     0,     0,   662,   663,     0,   664,     0,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,     0,  1443,  2549,   682,   237,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     735,   694,   695,     0,     0,     0,     0,   759,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
    2656,    98,    99,   100,   101,   102,   103,   760,   104,   105,
     714,   761,     0,   107,   108,   109,   110,   762,   763,   112,
     113,   114,     0,   115,   764,   765,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     132,   446,   447,   448,     0,  1422,   136,  1423,  1424,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,  1425,
    1426,   456,     0,   457,   458,   459,   460,     0,     0,   144,
       0,   461,   462,   463,   464,   147,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,   150,   473,   474,
       0,     0,     0,     0,   151,     0,     0,     0,   476,   477,
     478,   479,   728,   480,  1427,  1428,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,  1429,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
       0,   507,   508,   509,     0,     0,   510,     0,   511,   512,
    1430,   513,     0,   514,     0,   515,   168,     0,   169,   516,
     517,   518,     0,   519,     0,     0,     0,   520,     0,   521,
     522,   730,   523,   524,   173,   525,   526,   527,   528,  2544,
     529,   530,   531,   532,   533,   534,     0,   535,   175,  2545,
       0,   536,   537,   538,  1432,  1433,     0,  1434,     0,   539,
     179,   180,   540,   181,   541,   542,   543,   544,   545,     0,
       0,   546,     0,   183,   547,   184,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,  1435,   190,
    1436,   565,   566,     0,     0,   567,   568,   194,   569,     0,
       0,   570,  1437,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,  2547,   198,   579,   199,
       0,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,     0,   590,     0,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,  1438,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   211,   619,   620,
     621,     0,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,  2548,
     637,   638,   220,   639,   640,  1440,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,     0,
       0,   653,   654,     0,   655,   225,   656,   657,   658,   659,
     660,     0,  1441,  1442,     0,     0,   662,   663,     0,   664,
       0,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,     0,  1443,  2549,   682,   237,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   735,   694,   695,     0,     0,     0,     0,   759,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,  3650,    98,    99,   100,   101,   102,   103,   760,
     104,   105,   714,   761,     0,   107,   108,   109,   110,   762,
     763,   112,   113,   114,     0,   115,   764,   765,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1593,  1594,  1595,    45,
    1596,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,  1597,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,   134,  1598,   136,  1599,
    1600,     0,   449,   450,   451,   452,   453,  1601,  1602,   454,
     455,  1603,  1604,   456,     0,   457,   458,   459,   460,  1605,
       0,  1606,     0,   461,   462,   463,   464,   147,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,  1607,  1608,  1609,  1610,  1611,  1612,  1613,
     476,   477,   478,   479,   728,   480,  1614,  1615,   481,  1750,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,  1429,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,  1616,   507,   508,   509,  1617,  1618,   510,     0,
     511,   512,  1619,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,  1620,     0,  1621,   520,
       0,   521,   522,   730,   523,   524,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,   176,     0,   536,   537,   538,  1432,  1622,     0,  1623,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,  1624,   183,   547,   184,     0,   548,
     549,   550,  1625,  1626,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
    1627,   190,  1628,   565,   566,   192,  1629,   567,   568,   194,
     569,  1630,  1631,   570,  1632,   571,   572,   573,     0,   574,
       0,     0,  1633,   576,   577,     0,     0,   578,   197,   198,
     579,   199,  1634,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,  1635,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,  1636,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,  1637,   622,   623,   624,   625,   626,   627,
     733,   628,   216,   629,   630,   631,   632,   633,  1638,   635,
     636,   218,   637,   638,   220,   639,   640,  1639,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,  1640,     0,   653,   654,   224,   655,   225,   656,   657,
     658,   659,   660,     0,  1641,  1642,     0,     0,   662,   663,
    1643,   664,  1644,  1645,   665,   666,   667,   668,   669,   670,
     671,     0,  1646,   672,   673,   674,   675,   676,  1647,     0,
     677,   678,   679,   680,   681,  2337,  1648,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,   238,   688,
     689,   690,   691,   692,   693,   239,  1649,  1650,  1651,  1652,
    1653,  1654,  1655,  1656,   735,   694,   695,  1657,     0,   248,
       0,     0,     0,     0,  1658,  1659,     0,     0,     0,     0,
       0,     0,     0,  1661,   759,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   760,   104,   105,   714,   761,     0,
     107,   108,   109,   110,   762,   763,   112,   113,   114,     0,
     115,   764,   765,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
     430,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1593,  1594,  1595,    45,  1596,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,  1597,
       0,     0,   442,   443,     0,   444,   445,   132,   446,   447,
     448,   134,  1598,   136,  1599,  1600,     0,   449,   450,   451,
     452,   453,  1601,  1602,   454,   455,  1603,  1604,   456,     0,
     457,   458,   459,   460,  1605,     0,  1606,     0,   461,   462,
     463,   464,   147,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,   150,   473,   474,     0,  1607,  1608,
    1609,  1610,  1611,  1612,  1613,   476,   477,   478,   479,   728,
     480,  1614,  1615,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,  1429,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,  1616,   507,   508,
     509,  1617,  1618,   510,     0,   511,   512,  1619,   513,     0,
     514,     0,   515,   168,     0,   169,   516,   517,   518,     0,
     519,  1620,     0,  1621,   520,     0,   521,   522,   730,   523,
     524,   173,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,   175,   176,     0,   536,   537,
     538,  1432,  1622,     0,  1623,     0,   539,   179,   180,   540,
     181,   541,   542,   543,   544,   545,     0,     0,   546,  1624,
     183,   547,   184,     0,   548,   549,   550,  1625,  1626,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,  1627,   190,  1628,   565,   566,
     192,  1629,   567,   568,   194,   569,  1630,  1631,   570,  1632,
     571,   572,   573,     0,   574,     0,     0,  1633,   576,   577,
       0,     0,   578,   197,   198,   579,   199,  1634,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,  1635,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,  1636,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   211,   619,   620,   621,  1637,   622,
     623,   624,   625,   626,   627,   733,   628,   216,   629,   630,
     631,   632,   633,  1638,   635,   636,   218,   637,   638,   220,
     639,   640,  1639,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,  1640,     0,   653,   654,
     224,   655,   225,   656,   657,   658,   659,   660,     0,  1641,
    1642,     0,     0,   662,   663,  1643,   664,  1644,  1645,   665,
     666,   667,   668,   669,   670,   671,     0,  1646,   672,   673,
     674,   675,   676,  1647,     0,   677,   678,   679,   680,   681,
    2337,  1648,     0,   682,   237,   683,   684,   685,   686,     0,
       0,   687,     0,   238,   688,   689,   690,   691,   692,   693,
     239,  1649,  1650,  1651,  1652,  1653,  1654,  1655,  1656,   735,
     694,   695,  1657,     0,   248,     0,     0,     0,     0,  1658,
    1659,     0,     0,     0,     0,     0,     0,     0,  1661,   759,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   760,
     104,   105,   714,   761,     0,   107,   108,   109,   110,   762,
     763,   112,   113,   114,     0,   115,   764,   765,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1593,  1594,  1595,    45,
    1596,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,  1597,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,   134,  1598,   136,  1599,
    1600,  3103,   449,   450,   451,   452,   453,  1601,  1602,   454,
     455,  1603,  1604,   456,     0,   457,   458,   459,   460,  1605,
       0,  1606,     0,   461,   462,   463,   464,   147,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,  1607,  1608,  1609,  1610,  1611,  1612,  1613,
     476,   477,   478,   479,   728,   480,  1614,  1615,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,  1429,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,  1616,   507,   508,   509,  1617,  1618,   510,     0,
     511,   512,  1619,   513,     0,   514,     0,   515,   168,  3104,
     169,   516,   517,   518,     0,   519,  1620,     0,  1621,   520,
       0,   521,   522,   730,   523,   524,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,   176,     0,   536,   537,   538,  1432,  1622,     0,  1623,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,     0,  3105,   546,  1624,   183,   547,   184,     0,   548,
     549,   550,  1625,  1626,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
    1627,   190,  1628,   565,   566,   192,  1629,   567,   568,   194,
     569,  1630,  1631,   570,  1632,   571,   572,   573,     0,   574,
       0,     0,  1633,   576,   577,     0,     0,   578,   197,   198,
     579,   199,  1634,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,  1635,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,  1636,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,  1637,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,  1638,   635,
     636,   218,   637,   638,   220,   639,   640,  1639,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,  1640,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,  1641,  1642,     0,  3106,   662,   663,
    1643,   664,  1644,  1645,   665,   666,   667,   668,   669,   670,
     671,     0,  1646,   672,   673,   674,   675,   676,  1647,     0,
     677,   678,   679,   680,   681,   734,  1648,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,  1649,  1650,  1651,  1652,
    1653,  1654,  1655,  1656,   735,   694,   695,  1657,     0,     0,
       0,     0,     0,     0,  1658,  1659,     0,     0,     0,     0,
       0,     0,     0,  1661,   759,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   760,   104,   105,   714,   761,     0,
     107,   108,   109,   110,   762,   763,   112,   113,   114,     0,
     115,   764,   765,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
     430,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1593,  1594,  1595,    45,  1596,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,  1597,
       0,     0,   442,   443,     0,   444,   445,   132,   446,   447,
     448,   134,  1598,   136,  1599,  1600,     0,   449,   450,   451,
     452,   453,  1601,  1602,   454,   455,  1603,  1604,   456,     0,
     457,   458,   459,   460,  1605,     0,  1606,     0,   461,   462,
     463,   464,   147,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,   150,   473,   474,     0,  1607,  1608,
    1609,  1610,  1611,  1612,  1613,   476,   477,   478,   479,   728,
     480,  1614,  1615,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,  1429,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,  1616,   507,   508,
     509,  1617,  1618,   510,     0,   511,   512,  1619,   513,     0,
     514,     0,   515,   168,     0,   169,   516,   517,   518,     0,
     519,  1620,     0,  1621,   520,     0,   521,   522,   730,   523,
     524,   173,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,   175,   176,     0,   536,   537,
     538,  1432,  1622,     0,  1623,     0,   539,   179,   180,   540,
     181,   541,   542,   543,   544,   545,     0,     0,   546,  1624,
     183,   547,   184,     0,   548,   549,   550,  1625,  1626,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,  1627,   190,  1628,   565,   566,
     192,  1629,   567,   568,   194,   569,  1630,  1631,   570,  1632,
     571,   572,   573,     0,   574,     0,     0,  1633,   576,   577,
       0,     0,   578,   197,   198,   579,   199,  1634,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,  1635,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,  1636,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   211,   619,   620,   621,  1637,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,  1638,   635,   636,   218,   637,   638,   220,
     639,   640,  1639,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,  1640,     0,   653,   654,
       0,   655,   225,   656,   657,   658,   659,   660,     0,  1641,
    1642,     0,     0,   662,   663,  1643,   664,  1644,  1645,   665,
     666,   667,   668,   669,   670,   671,     0,  1646,   672,   673,
     674,   675,   676,  1647,     0,   677,   678,   679,   680,   681,
     734,  1648,     0,   682,   237,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,  1649,  1650,  1651,  1652,  1653,  1654,  1655,  1656,   735,
     694,   695,  1657,     0,     0,     0,     0,     0,     0,  1658,
    1659,     0,     0,     0,     0,     0,  2299,  3058,  1661,   759,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   760,
     104,   105,   714,   761,     0,   107,   108,   109,   110,   762,
     763,   112,   113,   114,     0,   115,   764,   765,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1593,  1594,  1595,    45,
    1596,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,  1597,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,   134,  1598,   136,  1599,
    1600,     0,   449,   450,   451,   452,   453,  1601,  1602,   454,
     455,  1603,  1604,   456,     0,   457,   458,   459,   460,  1605,
       0,  1606,     0,   461,   462,   463,   464,   147,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,  1607,  1608,  1609,  1610,  1611,  1612,  1613,
     476,   477,   478,   479,   728,   480,  1614,  1615,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,  1429,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,  1616,   507,   508,   509,  1617,  1618,   510,     0,
     511,   512,  1619,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,  1620,     0,  1621,   520,
       0,   521,   522,   730,   523,   524,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,   176,     0,   536,   537,   538,  1432,  1622,     0,  1623,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,  1624,   183,   547,   184,     0,   548,
     549,   550,  1625,  1626,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
    1627,   190,  1628,   565,   566,   192,  1629,   567,   568,   194,
     569,  1630,  1631,   570,  1632,   571,   572,   573,     0,   574,
       0,     0,  1633,   576,   577,     0,     0,   578,   197,   198,
     579,   199,  1634,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,  1635,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,  1636,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,  1637,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,  1638,   635,
     636,   218,   637,   638,   220,   639,   640,  1639,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,  1640,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,  1641,  1642,     0,     0,   662,   663,
    1643,   664,  1644,  1645,   665,   666,   667,   668,   669,   670,
     671,     0,  1646,   672,   673,   674,   675,   676,  1647,     0,
     677,   678,   679,   680,   681,   734,  1648,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,  1649,  1650,  1651,  1652,
    1653,  1654,  1655,  1656,   735,   694,   695,  1657,     0,     0,
       0,     0,     0,     0,  1658,  1659,  1660,     0,     0,     0,
       0,     0,     0,  1661,   759,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   760,   104,   105,   714,   761,     0,
     107,   108,   109,   110,   762,   763,   112,   113,   114,     0,
     115,   764,   765,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
     430,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1593,  1594,  1595,    45,  1596,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,  1597,
       0,     0,   442,   443,     0,   444,   445,   132,   446,   447,
     448,   134,  1598,   136,  1599,  1600,     0,   449,   450,   451,
     452,   453,  1601,  1602,   454,   455,  1603,  1604,   456,     0,
     457,   458,   459,   460,  1605,     0,  1606,     0,   461,   462,
     463,   464,   147,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,   150,   473,   474,     0,  1607,  1608,
    1609,  1610,  1611,  1612,  1613,   476,   477,   478,   479,   728,
     480,  1614,  1615,   481,  1750,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,  1429,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,  1616,   507,   508,
     509,  1617,  1618,   510,     0,   511,   512,  1619,   513,     0,
     514,     0,   515,   168,     0,   169,   516,   517,   518,     0,
     519,  1620,     0,  1621,   520,     0,   521,   522,   730,   523,
     524,   173,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,   175,   176,     0,   536,   537,
     538,  1432,  1622,     0,  1623,     0,   539,   179,   180,   540,
     181,   541,   542,   543,   544,   545,     0,     0,   546,  1624,
     183,   547,   184,     0,   548,   549,   550,  1625,  1626,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,  1627,   190,  1628,   565,   566,
     192,  1629,   567,   568,   194,   569,  1630,  1631,   570,  1632,
     571,   572,   573,     0,   574,     0,     0,  1633,   576,   577,
       0,     0,   578,   197,   198,   579,   199,  1634,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,  1635,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,  1636,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   211,   619,   620,   621,  1637,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,  1638,   635,   636,   218,   637,   638,   220,
     639,   640,  1639,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,  1640,     0,   653,   654,
       0,   655,   225,   656,   657,   658,   659,   660,     0,  1641,
    1642,     0,     0,   662,   663,  1643,   664,  1644,  1645,   665,
     666,   667,   668,   669,   670,   671,     0,  1646,   672,   673,
     674,   675,   676,  1647,     0,   677,   678,   679,   680,   681,
     734,  1648,     0,   682,   237,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,  1649,  1650,  1651,  1652,  1653,  1654,  1655,  1656,   735,
     694,   695,  1657,     0,     0,     0,     0,     0,     0,  1658,
    1659,     0,     0,     0,     0,     0,     0,     0,  1661,   759,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   760,
     104,   105,   714,   761,     0,   107,   108,   109,   110,   762,
     763,   112,   113,   114,     0,   115,   764,   765,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1593,  1594,  1595,    45,
    1596,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,  2470,   439,   440,   441,
       0,     0,     0,     0,  1597,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,   134,  1598,   136,  1599,
    1600,     0,   449,   450,   451,   452,   453,  1601,  1602,   454,
     455,  1603,  1604,   456,     0,   457,   458,   459,   460,  1605,
       0,  1606,     0,   461,   462,   463,   464,   147,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,  1607,  1608,  1609,  1610,  1611,  1612,  1613,
     476,   477,   478,   479,   728,   480,  1614,  1615,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,  1429,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,  1616,   507,   508,   509,  1617,  1618,   510,     0,
     511,   512,  1619,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,  1620,     0,  1621,   520,
       0,   521,   522,   730,   523,   524,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,   176,     0,   536,   537,   538,  1432,  1622,     0,  1623,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,  1624,   183,   547,   184,     0,   548,
     549,   550,  1625,  1626,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
    1627,   190,  1628,   565,   566,   192,  1629,   567,   568,   194,
     569,  1630,  1631,   570,  1632,   571,   572,   573,     0,   574,
       0,     0,  1633,   576,   577,     0,     0,   578,   197,   198,
     579,   199,  1634,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,  1635,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,  1636,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,  1637,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,  1638,   635,
     636,   218,   637,   638,   220,   639,   640,  1639,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,  1640,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,  1641,  1642,     0,     0,   662,   663,
    1643,   664,  1644,  1645,   665,   666,   667,   668,   669,   670,
     671,     0,  1646,   672,   673,   674,   675,   676,  1647,     0,
     677,   678,   679,   680,   681,   734,  1648,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,  1649,  1650,  1651,  1652,
    1653,  1654,  1655,  1656,   735,   694,   695,  1657,     0,     0,
       0,     0,     0,     0,  1658,  1659,     0,     0,     0,     0,
       0,     0,     0,  1661,   759,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   760,   104,   105,   714,   761,     0,
     107,   108,   109,   110,   762,   763,   112,   113,   114,     0,
     115,   764,   765,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
     430,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1593,  1594,  1595,    45,  1596,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,  1597,
       0,     0,   442,   443,     0,   444,   445,   132,   446,   447,
     448,   134,  1598,   136,  1599,  1600,     0,   449,   450,   451,
     452,   453,  1601,  1602,   454,   455,  1603,  1604,   456,     0,
     457,   458,   459,   460,  1605,     0,  1606,     0,   461,   462,
     463,   464,   147,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,   150,   473,   474,     0,  1607,  1608,
    1609,  1610,  1611,  1612,  1613,   476,   477,   478,   479,   728,
     480,  1614,  1615,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,  1429,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,  1616,   507,   508,
     509,  1617,  1618,   510,     0,   511,   512,  1619,   513,     0,
     514,     0,   515,   168,  3104,   169,   516,   517,   518,     0,
     519,  1620,     0,  1621,   520,     0,   521,   522,   730,   523,
     524,   173,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,   175,   176,     0,   536,   537,
     538,  1432,  1622,     0,  1623,     0,   539,   179,   180,   540,
     181,   541,   542,   543,   544,   545,     0,     0,   546,  1624,
     183,   547,   184,     0,   548,   549,   550,  1625,  1626,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,  1627,   190,  1628,   565,   566,
     192,  1629,   567,   568,   194,   569,  1630,  1631,   570,  1632,
     571,   572,   573,     0,   574,     0,     0,  1633,   576,   577,
       0,     0,   578,   197,   198,   579,   199,  1634,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,  1635,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,  1636,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   211,   619,   620,   621,  1637,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,  1638,   635,   636,   218,   637,   638,   220,
     639,   640,  1639,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,  1640,     0,   653,   654,
       0,   655,   225,   656,   657,   658,   659,   660,     0,  1641,
    1642,     0,     0,   662,   663,  1643,   664,  1644,  1645,   665,
     666,   667,   668,   669,   670,   671,     0,  1646,   672,   673,
     674,   675,   676,  1647,     0,   677,   678,   679,   680,   681,
     734,  1648,     0,   682,   237,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,  1649,  1650,  1651,  1652,  1653,  1654,  1655,  1656,   735,
     694,   695,  1657,     0,     0,     0,     0,     0,     0,  1658,
    1659,     0,     0,     0,     0,     0,     0,     0,  1661,   759,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   760,
     104,   105,   714,   761,     0,   107,   108,   109,   110,   762,
     763,   112,   113,   114,     0,   115,   764,   765,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1593,  1594,  1595,    45,
    1596,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,  1597,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,   134,  1598,   136,  1599,
    1600,     0,   449,   450,   451,   452,   453,  1601,  1602,   454,
     455,  1603,  1604,   456,     0,   457,   458,   459,   460,  1605,
       0,  1606,     0,   461,   462,   463,   464,   147,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,  1607,  1608,  1609,  1610,  1611,  1612,  1613,
     476,   477,   478,   479,   728,   480,  1614,  1615,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,  1429,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,  1616,   507,   508,   509,  1617,  1618,   510,     0,
     511,   512,  1619,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,  1620,     0,  1621,   520,
       0,   521,   522,   730,   523,   524,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,   176,     0,   536,   537,   538,  1432,  1622,     0,  1623,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,  1624,   183,   547,   184,     0,   548,
     549,   550,  1625,  1626,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
    1627,   190,  1628,   565,   566,   192,  1629,   567,   568,   194,
     569,  1630,  1631,   570,  1632,   571,   572,   573,     0,   574,
       0,     0,  1633,   576,   577,     0,     0,   578,   197,   198,
     579,   199,  1634,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,  1635,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,  1636,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,  1637,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,  1638,   635,
     636,   218,   637,   638,   220,   639,   640,  1639,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,  1640,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,  1641,  1642,     0,     0,   662,   663,
    1643,   664,  1644,  1645,   665,   666,   667,   668,   669,   670,
     671,     0,  1646,   672,   673,   674,   675,   676,  1647,     0,
     677,   678,   679,   680,   681,   734,  1648,  4480,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,  1649,  1650,  1651,  1652,
    1653,  1654,  1655,  1656,   735,   694,   695,  1657,     0,     0,
       0,     0,     0,     0,  1658,  1659,     0,     0,     0,     0,
       0,     0,     0,  1661,   759,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   760,   104,   105,   714,   761,     0,
     107,   108,   109,   110,   762,   763,   112,   113,   114,     0,
     115,   764,   765,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
     430,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1593,  1594,  1595,    45,  1596,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,  1597,
       0,     0,   442,   443,     0,   444,   445,   132,   446,   447,
     448,   134,  1598,   136,  1599,  1600,     0,   449,   450,   451,
     452,   453,  1601,  1602,   454,   455,  1603,  1604,   456,     0,
     457,   458,   459,   460,  1605,     0,  1606,     0,   461,   462,
     463,   464,   147,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,   150,   473,   474,  4496,  1607,  1608,
    1609,  1610,  1611,  1612,  1613,   476,   477,   478,   479,   728,
     480,  1614,  1615,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,  1429,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,  1616,   507,   508,
     509,  1617,  1618,   510,     0,   511,   512,  1619,   513,     0,
     514,     0,   515,   168,     0,   169,   516,   517,   518,     0,
     519,  1620,     0,  1621,   520,     0,   521,   522,   730,   523,
     524,   173,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,   175,   176,     0,   536,   537,
     538,  1432,  1622,     0,  1623,     0,   539,   179,   180,   540,
     181,   541,   542,   543,   544,   545,     0,     0,   546,  1624,
     183,   547,   184,     0,   548,   549,   550,  1625,  1626,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,  1627,   190,  1628,   565,   566,
     192,  1629,   567,   568,   194,   569,  1630,  1631,   570,  1632,
     571,   572,   573,     0,   574,     0,     0,  1633,   576,   577,
       0,     0,   578,   197,   198,   579,   199,  1634,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,  1635,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,  1636,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   211,   619,   620,   621,  1637,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,  1638,   635,   636,   218,   637,   638,   220,
     639,   640,  1639,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,  1640,     0,   653,   654,
       0,   655,   225,   656,   657,   658,   659,   660,     0,  1641,
    1642,     0,     0,   662,   663,  1643,   664,  1644,  1645,   665,
     666,   667,   668,   669,   670,   671,     0,  1646,   672,   673,
     674,   675,   676,  1647,     0,   677,   678,   679,   680,   681,
     734,  1648,     0,   682,   237,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,  1649,  1650,  1651,  1652,  1653,  1654,  1655,  1656,   735,
     694,   695,  1657,     0,     0,     0,     0,     0,     0,  1658,
    1659,     0,     0,     0,     0,     0,     0,     0,  1661,   759,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   760,
     104,   105,   714,   761,     0,   107,   108,   109,   110,   762,
     763,   112,   113,   114,     0,   115,   764,   765,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1593,  1594,  1595,    45,
    1596,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,  1597,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,  5501,  1598,   136,  1599,
    1600,     0,   449,   450,   451,   452,   453,  1601,  1602,   454,
     455,  1603,  1604,   456,     0,   457,   458,   459,   460,  1605,
       0,  1606,     0,   461,   462,   463,   464,   147,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,  5502,  1607,  1608,  1609,  1610,  1611,  1612,  1613,
     476,   477,   478,   479,   728,   480,  1614,  1615,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,  1429,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,  1616,   507,   508,   509,  1617,  1618,   510,     0,
     511,   512,  1619,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,  1620,     0,  1621,   520,
       0,   521,   522,   730,   523,   524,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,   176,     0,   536,   537,   538,  1432,  1622,     0,  1623,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,  1624,   183,   547,   184,     0,   548,
     549,   550,  1625,  1626,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
    1627,   190,  1628,   565,   566,   192,  1629,   567,   568,   194,
     569,  1630,  1631,   570,  1632,   571,   572,   573,     0,   574,
       0,     0,  1633,   576,   577,     0,     0,   578,   197,   198,
     579,   199,  1634,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,  1635,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,  1636,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,  1637,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,  1638,   635,
     636,   218,   637,   638,   220,   639,   640,  1639,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,  1640,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,  1641,  1642,     0,     0,   662,   663,
    1643,   664,  1644,  1645,   665,   666,   667,   668,  5503,   670,
     671,     0,  1646,   672,   673,   674,   675,   676,  1647,     0,
     677,   678,   679,   680,   681,   734,  1648,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,  1649,  1650,  1651,  1652,
    1653,  1654,  1655,  1656,   735,   694,   695,  1657,     0,     0,
       0,     0,     0,     0,  1658,  1659,     0,     0,     0,     0,
       0,     0,     0,  1661,   759,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   760,   104,   105,   714,   761,     0,
     107,   108,   109,   110,   762,   763,   112,   113,   114,     0,
     115,   764,   765,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
     430,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1593,  1594,  1595,    45,  1596,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,  1597,
       0,     0,   442,   443,     0,   444,   445,   132,   446,   447,
     448,   134,  1598,   136,  1599,  1600,     0,   449,   450,   451,
     452,   453,  1601,  1602,   454,   455,  1603,  1604,   456,     0,
     457,   458,   459,   460,  1605,     0,  1606,     0,   461,   462,
     463,   464,   147,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,   150,   473,   474,  5502,  1607,  1608,
    1609,  1610,  1611,  1612,  1613,   476,   477,   478,   479,   728,
     480,  1614,  1615,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,  1429,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,  1616,   507,   508,
     509,  1617,  1618,   510,     0,   511,   512,  1619,   513,     0,
     514,     0,   515,   168,     0,   169,   516,   517,   518,     0,
     519,  1620,     0,  1621,   520,     0,   521,   522,   730,   523,
     524,   173,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,   175,   176,     0,   536,   537,
     538,  1432,  1622,     0,  1623,     0,   539,   179,   180,   540,
     181,   541,   542,   543,   544,   545,     0,     0,   546,  1624,
     183,   547,   184,     0,   548,   549,   550,  1625,  1626,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,  1627,   190,  1628,   565,   566,
     192,  1629,   567,   568,   194,   569,  1630,  1631,   570,  1632,
     571,   572,   573,     0,   574,     0,     0,  1633,   576,   577,
       0,     0,   578,   197,   198,   579,   199,  1634,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,  1635,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,  1636,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   211,   619,   620,   621,  1637,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,  1638,   635,   636,   218,   637,   638,   220,
     639,   640,  1639,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,  1640,     0,   653,   654,
       0,   655,   225,   656,   657,   658,   659,   660,     0,  1641,
    1642,     0,     0,   662,   663,  1643,   664,  1644,  1645,   665,
     666,   667,   668,  5503,   670,   671,     0,  1646,   672,   673,
     674,   675,   676,  1647,     0,   677,   678,   679,   680,   681,
     734,  1648,     0,   682,   237,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,  1649,  1650,  1651,  1652,  1653,  1654,  1655,  1656,   735,
     694,   695,  1657,     0,     0,     0,     0,     0,     0,  1658,
    1659,     0,     0,     0,     0,     0,     0,     0,  1661,   759,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   760,
     104,   105,   714,   761,     0,   107,   108,   109,   110,   762,
     763,   112,   113,   114,     0,   115,   764,   765,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1593,  1594,  1595,    45,
    1596,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,  1597,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,   134,  1598,   136,  1599,
    1600,     0,   449,   450,   451,   452,   453,  1601,  1602,   454,
     455,  1603,  1604,   456,     0,   457,   458,   459,   460,  1605,
       0,  1606,     0,   461,   462,   463,   464,   147,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,  1607,  1608,  1609,  1610,  1611,  1612,  1613,
     476,   477,   478,   479,   728,   480,  1614,  1615,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,  1429,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,  1616,   507,   508,   509,  1617,  1618,   510,     0,
     511,   512,  1619,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,  1620,     0,  1621,   520,
       0,   521,   522,   730,   523,   524,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,   176,     0,   536,   537,   538,  1432,  1622,     0,  1623,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,  1624,   183,   547,   184,     0,   548,
     549,   550,  1625,  1626,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
    1627,   190,  1628,   565,   566,   192,  1629,   567,   568,   194,
     569,  1630,  1631,   570,  1632,   571,   572,   573,     0,   574,
       0,     0,  1633,   576,   577,     0,     0,   578,   197,   198,
     579,   199,  1634,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,  1635,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,  1636,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,  1637,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,  1638,   635,
     636,   218,   637,   638,   220,   639,   640,  1639,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,  1640,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,  1641,  1642,     0,     0,   662,   663,
    1643,   664,  1644,  1645,   665,   666,   667,   668,   669,   670,
     671,     0,  1646,   672,   673,   674,   675,   676,  1647,     0,
     677,   678,   679,   680,   681,   734,  1648,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,  1649,  1650,  1651,  1652,
    1653,  1654,  1655,  1656,   735,   694,   695,  1657,     0,     0,
       0,     0,     0,     0,  1658,  1659,     0,     0,     0,     0,
       0,     0,     0,  1661,   759,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   760,   104,   105,   714,   761,     0,
     107,   108,   109,   110,   762,   763,   112,   113,   114,     0,
     115,   764,   765,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
     430,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1593,  1594,  1595,    45,  1596,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,  1597,
       0,     0,   442,   443,     0,   444,   445,   132,   446,   447,
     448,   134,  1598,   136,  1599,  1600,     0,   449,   450,   451,
     452,   453,  1601,  1602,   454,   455,  1603,  1604,   456,     0,
     457,   458,   459,   460,  1605,     0,  1606,     0,   461,   462,
     463,   464,   147,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,   150,   473,   474,     0,  1607,  1608,
    1609,  1610,  1611,  1612,  1613,   476,   477,   478,   479,   728,
     480,  1614,  1615,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,  1429,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,  1616,   507,   508,
     509,  1617,  1618,   510,     0,   511,   512,  1619,   513,     0,
     514,     0,   515,   168,     0,   169,   516,   517,   518,     0,
     519,  1620,     0,  1621,   520,     0,   521,   522,   730,   523,
     524,   173,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,   175,   176,     0,   536,   537,
     538,  1432,  1622,     0,  1623,     0,   539,   179,   180,   540,
     181,   541,   542,   543,   544,   545,     0,     0,   546,  1624,
     183,   547,   184,     0,   548,   549,   550,  1625,  1626,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,  1627,   190,  1628,   565,   566,
     192,  1629,   567,   568,   194,   569,  1630,  1631,   570,  1632,
     571,   572,   573,     0,   574,     0,     0,  1633,   576,   577,
       0,     0,   578,   197,   198,   579,   199,  1634,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,  1635,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,  1636,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   211,   619,   620,   621,  1637,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,  1638,   635,   636,   218,   637,   638,   220,
     639,   640,  1639,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,  1640,     0,   653,   654,
       0,   655,   225,   656,   657,   658,   659,   660,     0,  1641,
    1642,     0,     0,   662,   663,  1643,   664,  1644,  1645,   665,
     666,   667,   668,   669,   670,   671,     0,  1646,   672,   673,
     674,   675,   676,  1647,     0,   677,   678,   679,   680,   681,
     734,  1648,     0,   682,   237,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
    4800,  1649,  1650,  1651,  1652,  1653,  1654,  1655,  1656,   735,
     694,   695,  1657,     0,     0,     0,     0,     0,     0,  1658,
    1659,     0,     0,     0,     0,     0,     0,     0,  1661,   759,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   760,
     104,   105,   714,   761,     0,   107,   108,   109,   110,   762,
     763,   112,   113,   114,     0,   115,   764,   765,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1593,  1594,  1595,    45,
    1596,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,  1597,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,   134,  1598,   136,  1599,
    1600,     0,   449,   450,   451,   452,   453,  1601,  1602,   454,
     455,  1603,  1604,   456,     0,   457,   458,   459,   460,  1605,
       0,  1606,     0,   461,   462,   463,   464,   147,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,  1607,  1608,  1609,  1610,  1611,  1612,  1613,
     476,   477,   478,   479,   728,   480,  1614,  1615,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,  1429,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,  1616,   507,   508,   509,  1617,  1618,   510,     0,
     511,   512,  1619,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,  1620,     0,  1621,   520,
       0,   521,   522,   730,   523,   524,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,   176,     0,   536,   537,   538,  1432,  1622,     0,  1623,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,  1624,   183,   547,   184,     0,   548,
     549,   550,  1625,  1626,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
    1627,   190,  1628,   565,  4809,   192,  1629,   567,   568,   194,
     569,  1630,  1631,   570,  1632,   571,   572,   573,     0,   574,
       0,     0,  1633,   576,   577,     0,     0,   578,   197,   198,
     579,   199,  1634,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,  1635,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,  1636,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,  1637,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,  1638,   635,
     636,   218,   637,   638,   220,   639,   640,  1639,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,  1640,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,  1641,  1642,     0,     0,   662,   663,
    1643,   664,  1644,  1645,   665,   666,   667,   668,   669,   670,
     671,     0,  1646,   672,   673,   674,   675,   676,  1647,     0,
     677,   678,   679,   680,   681,   734,  1648,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,  1649,  1650,  1651,  1652,
    1653,  1654,  1655,  1656,   735,   694,   695,  1657,     0,     0,
       0,     0,     0,     0,  1658,  1659,     0,     0,     0,     0,
       0,     0,     0,  1661,   759,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   760,   104,   105,   714,   761,     0,
     107,   108,   109,   110,   762,   763,   112,   113,   114,     0,
     115,   764,   765,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
     430,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1593,  1594,  1595,    45,  1596,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,  1597,
       0,     0,   442,   443,     0,   444,   445,   132,   446,   447,
     448,   134,  1598,   136,  1599,  1600,     0,   449,   450,   451,
     452,   453,  1601,  1602,   454,   455,  1603,  1604,   456,     0,
     457,   458,   459,   460,  1605,     0,  1606,     0,   461,   462,
     463,   464,   147,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,   150,   473,  5106,     0,  1607,  1608,
    1609,  1610,  1611,  1612,  1613,   476,   477,   478,   479,   728,
     480,  1614,  1615,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,  1429,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,  1616,   507,   508,
     509,  1617,  1618,   510,     0,   511,   512,  1619,   513,     0,
     514,     0,   515,   168,     0,   169,   516,   517,   518,     0,
     519,  1620,     0,  5107,   520,     0,   521,   522,   730,   523,
     524,   173,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,   175,   176,     0,   536,   537,
     538,  1432,  1622,     0,  1623,     0,   539,   179,   180,   540,
     181,   541,   542,   543,   544,   545,     0,     0,   546,  1624,
     183,   547,   184,     0,   548,   549,   550,  1625,  1626,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,  1627,   190,  1628,   565,   566,
     192,  1629,   567,   568,   194,   569,  1630,  1631,   570,  1632,
     571,   572,   573,     0,   574,     0,     0,  1633,   576,   577,
       0,     0,   578,   197,   198,   579,   199,  1634,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,  1635,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,  1636,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   211,   619,   620,  5108,  1637,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,  1638,   635,   636,   218,   637,   638,   220,
     639,   640,  1639,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,  1640,     0,   653,   654,
       0,   655,   225,   656,   657,   658,   659,   660,     0,  1641,
    1642,     0,     0,   662,   663,  1643,   664,  1644,  1645,   665,
     666,   667,   668,   669,   670,   671,     0,  1646,   672,   673,
     674,   675,   676,  1647,     0,   677,   678,   679,   680,   681,
     734,  1648,     0,   682,   237,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,  1649,  1650,  1651,  1652,  1653,  1654,  1655,  1656,   735,
     694,   695,  1657,     0,     0,     0,     0,     0,     0,  1658,
    1659,     0,     0,     0,     0,     0,     0,     0,  5109,   759,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   760,
     104,   105,   714,   761,     0,   107,   108,   109,   110,   762,
     763,   112,   113,   114,     0,   115,   764,   765,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1593,  1594,  1595,    45,
    1596,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,  1597,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448, -2827,  1598,   136,  1599,
    1600,     0,   449,   450,   451,   452,   453,  1601,  1602,   454,
     455,  1603,  1604,   456,     0,   457,   458,   459,   460,  1605,
       0,  1606,     0,   461,   462,   463,   464,   147,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,  5502,  1607,  1608,  1609,  1610,  1611,  1612,  1613,
     476,   477,   478,   479,   728,   480,  1614,  1615,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,  1429,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,  1616,   507,   508,   509,  1617,  1618,   510,     0,
     511,   512,  1619,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,  1620,     0,  1621,   520,
       0,   521,   522,   730,   523,   524, -2827,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,   176,     0,   536,   537,   538,  1432,  1622,     0,  1623,
       0,   539,     0,     0,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,  1624,   183,   547, -2827,     0,   548,
     549,   550,  1625,  1626,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
    1627,   190,  1628,   565,   566,   192,  1629,   567,   568,     0,
     569,  1630,  1631,   570,  1632,   571,   572,   573,     0,   574,
       0,     0,  1633,   576,   577,     0,     0,   578,   197,   198,
     579,   199,  1634,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,  1635,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,  1636,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,  1637,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,  1638,   635,
     636,   218,   637,   638, -2827,   639,   640,  1639,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,  1640,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,  1641,  1642,     0,     0,   662,   663,
    1643,   664,  1644,  1645,   665,   666,   667,   668,  5503,   670,
     671,     0,  1646,   672,   673,   674,   675,   676,  1647,     0,
     677,   678,   679,   680,   681,   734,  1648,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,  1649,  1650,  1651,  1652,
    1653,  1654,  1655,  1656,   735,   694,   695, -2827,     0,     0,
       0,     0,     0,     0,  1658,  1659,     0,     0,     0,     0,
       0,     0,     0,  1661,   759,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   760,   104,   105,   714,   761,     0,
     107,   108,   109,   110,   762,   763,   112,   113,   114,     0,
     115,   764,   765,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
     430,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1593,  1594,  1595,    45,  1596,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,  1597,
       0,     0,   442,   443,     0,   444,   445,   132,   446,   447,
     448,   134,  1598,   136,  1599,  1600,     0,   449,   450,   451,
     452,   453,  1601,  1602,   454,   455,  1603,  1604,   456,     0,
     457,   458,   459,   460,  1605,     0,  1606,     0,   461,   462,
     463,   464,   147,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,   150,   473,   474,     0,  1607,  1608,
    1609,  1610,  1611,  1612,  1613,   476,   477,   478,   479,   728,
     480,  1614,  1615,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,  1429,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,  1616,   507,   508,
     509,  1617,  1618,   510,     0,   511,   512,  1619,   513,     0,
     514,     0,   515,   168,     0,   169,   516,   517,   518,     0,
     519,  1620,     0,  1621,   520,     0,   521,   522,   730,   523,
     524,   173,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,   175,   176,     0,   536,   537,
     538,  1432,  1622,     0,  1623,     0,   539,   179,   180,   540,
     181,   541,   542,   543,   544,   545,     0,     0,   546,  1624,
     183,   547,   184,     0,   548,   549,   550,  1625,  1626,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,  1627,   190,  1628,   565,   566,
     192,     0,   567,   568,   194,   569,  1630,  1631,   570,  1632,
     571,   572,   573,     0,   574,     0,     0,  1633,   576,   577,
       0,     0,   578,   197,   198,   579,   199,  1634,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,  1635,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,  1636,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   211,   619,   620,   621,  3089,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,  1638,   635,   636,   218,   637,   638,   220,
     639,   640,  1639,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,  1640,     0,   653,   654,
       0,   655,   225,   656,   657,   658,   659,   660,     0,  1641,
    1642,     0,     0,   662,   663,  1643,   664,  1644,  1645,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,  1647,     0,   677,   678,   679,   680,   681,
     734,  1648,     0,   682,   237,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,  1649,  1650,  1651,  1652,  1653,  1654,  1655,  1656,   735,
     694,   695,     0,     0,     0,     0,     0,     0,     0,  3090,
    3091,     0,     0,     0,     0,     0,     0,     0,  3092,   759,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   760,
     104,   105,   714,   761,     0,   107,   108,   109,   110,   762,
     763,   112,   113,   114,     0,   115,   764,   765,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1593,  1594,  1595,    45,
    1596,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,  1597,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,   134,  1598,   136,  1599,
    1600,     0,   449,   450,   451,   452,   453,  1601,  1602,   454,
     455,  1603,  1604,   456,     0,   457,   458,   459,   460,  1605,
       0,  1606,     0,   461,   462,   463,   464,   147,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,  1607,  1608,  1609,  1610,  1611,  1612,  1613,
     476,   477,   478,   479,   728,   480,  1614,  1615,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,  1429,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,  1616,   507,   508,   509,  1617,  1618,   510,     0,
     511,   512,  1619,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,  1620,     0,  1621,   520,
       0,   521,   522,   730,   523,   524,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,   176,     0,   536,   537,   538,  1432,  1622,     0,  1623,
       0,   539,     0,   180,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,  1624,   183,   547,   184,     0,   548,
     549,   550,  1625,  1626,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
    1627,   190,  1628,   565,   566,   192,     0,   567,   568,   194,
     569,  1630,  1631,   570,  1632,   571,   572,   573,     0,   574,
       0,     0,  1633,   576,   577,     0,     0,   578,   197,   198,
     579,   199,  1634,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,  1635,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,  1636,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,  3089,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,  1638,   635,
     636,   218,   637,   638,   220,   639,   640,  1639,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,  1640,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,  1641,  1642,     0,     0,   662,   663,
    1643,   664,  1644,  1645,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,  1647,     0,
     677,   678,   679,   680,   681,   734,  1648,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,  1649,  1650,  1651,  1652,
    1653,  1654,  1655,  1656,   735,   694,   695,     0,     0,     0,
       0,     0,     0,     0,  3090,  3091,     0,     0,     0,     0,
       0,     0,     0,  3092,   759,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   760,   104,   105,   714,   761,     0,
     107,   108,   109,   110,   762,   763,   112,   113,   114,     0,
     115,   764,   765,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
     430,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1593,  1594,     0,    45,  1596,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,  1597,
       0,     0,   442,   443,     0,   444,   445,   132,   446,   447,
     448,   134,  1598,   136,  1599,  1600,     0,   449,   450,   451,
     452,   453,  1601,  1602,   454,   455,  1603,  1604,   456,     0,
     457,   458,   459,   460,  1605,     0,  1606,     0,   461,   462,
     463,   464,   147,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,   150,   473,   474,     0,  1607,  1608,
    1609,  1610,  1611,  1612,  1613,   476,   477,   478,   479,   728,
     480,  1614,  1615,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,  1429,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,  1616,   507,   508,
     509,  1617,  1618,   510,     0,   511,   512,  1619,   513,     0,
     514,     0,   515,   168,     0,   169,   516,   517,   518,     0,
     519,  1620,     0,  1621,   520,     0,   521,   522,   730,   523,
     524,   173,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,   175,   176,     0,   536,   537,
     538,  1432,  1622,     0,  1623,     0,   539,   179,   180,   540,
     181,   541,   542,   543,   544,   545,     0,     0,   546,  1624,
     183,   547,   184,     0,   548,   549,   550,  1625,  1626,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,  1627,   190,  1628,   565,   566,
     192,     0,   567,   568,   194,   569,  1630,  1631,   570,  1632,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,   198,   579,   199,  1634,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,  1635,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,  1636,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   211,   619,   620,   621,  3089,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,  1638,   635,   636,   218,   637,   638,   220,
     639,   640,  1639,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,  1640,     0,   653,   654,
       0,   655,   225,   656,   657,   658,   659,   660,     0,  1641,
    1642,     0,     0,   662,   663,  1643,   664,  1644,  1645,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,  1647,     0,   677,   678,   679,   680,   681,
     734,  1648,     0,   682,   237,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,  1649,  1650,  1651,  1652,  1653,  1654,  1655,  1656,   735,
     694,   695,     0,     0,     0,   759,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,  3092,    98,
      99,   100,   101,   102,   103,   760,   104,   105,   714,   761,
       0,   107,   108,   109,   110,   762,   763,   112,   113,   114,
       0,   115,   764,   765,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,   430,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1593,  1594,     0,    45,  1596,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
    1597,     0,     0,   442,   443,     0,   444,   445,   132,   446,
     447,   448,   134,  1598,   136,  1599,  1600,     0,  4395,   450,
     451,   452,   453,  1601,  1602,   454,   455,  1603,  1604,   456,
       0,   457,   458,   459,   460,  1605,     0,  1606,     0,   461,
     462,   463,   464,   147,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,   150,   473,   474,     0,  1607,
    1608,  1609,  1610,  1611,  1612,  1613,   476,   477,   478,   479,
     728,   480,  1614,  1615,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,  1429,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,  1616,   507,
     508,   509,  1617,  1618,   510,     0,   511,   512,  1619,   513,
       0,   514,     0,   515,   168,     0,   169,   516,   517,   518,
       0,   519,  1620,     0,  1621,   520,     0,   521,   522,   730,
     523,   524,   173,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,   175,   176,     0,   536,
     537,   538,  1432,  1622,     0,  1623,     0,   539,   179,   180,
     540,   181,   541,   542,   543,   544,   545,     0,     0,   546,
    1624,   183,   547,   184,     0,   548,   549,   550,  1625,  1626,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,  1627,   190,  1628,   565,
     566,   192,     0,   567,   568,   194,   569,  1630,  1631,   570,
    1632,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,   198,   579,   199,  1634,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
    1635,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,  1636,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   211,   619,   620,   621,  3089,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,  1638,   635,   636,   218,   637,   638,
     220,   639,   640,  1639,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,  1640,     0,   653,
     654,     0,   655,   225,   656,   657,   658,   659,   660,     0,
    1641,  1642,     0,     0,   662,   663,  1643,   664,  1644,  1645,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,  1647,     0,   677,   678,   679,   680,
     681,   734,  1648,     0,   682,   237,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,  1649,  1650,  1651,  1652,  1653,  1654,  1655,  1656,
     735,   694,   695,     0,     0,     0,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,  3092,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1593,  1594,  1595,    45,  1596,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1597,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,     0,  1598,   136,  1599,  1600,     0,   449,
     450,   451,   452,   453,  1601,  1602,   454,   455,  1603,  1604,
     456,     0,   457,   458,   459,   460,  1605,     0,  1606,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
    1607,  1608,  1609,  1610,  1611,  1612,  1613,   476,   477,   478,
     479,   728,   480,  1614,  1615,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1429,   495,   496,     0,   497,   498,   499,
       0,   500,     0,   502,     0,   503,   504,   505,   506,  1616,
     507,   508,   509,  1617,  1618,   510,     0,   511,   512,  1619,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,  1620,     0,  1621,   520,     0,   521,   522,
     730,   523,   524,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,  1432,  1622,     0,  1623,     0,   539,     0,
       0,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,  1624,   183,   547,     0,     0,   548,   549,   550,  1625,
    1626,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1627,   190,  1628,
     565,   566,   192,  1629,   567,   568,     0,   569,  1630,  1631,
     570,  1632,   571,   572,   573,     0,   574,     0,     0,  1633,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1634,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1635,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1636,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
    1637,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,  1638,   635,   636,   218,   637,
     638,     0,   639,   640,  1639,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1640,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,  1641,  1642,     0,     0,   662,   663,  1643,   664,  1644,
    1645,   665,   666,   667,   668,   669,   670,   671,     0,  1646,
     672,   673,   674,   675,   676,  1647,     0,   677,   678,   679,
     680,   681,   734,  1648,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,  1649,  1650,  1651,  1652,  1653,  1654,  1655,
    1656,   735,   694,   695,     0,     0,     0,     0,     0,     0,
       0,  1658,  1659,     0,     0,     0,     0,     0,     0,     0,
    1661,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,   135,
     136,   137,   138,     0,   449,   450,   451,   452,   453,     0,
    1602,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,  1605,     0,  1606,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,  1607,  1608,  1609,  1610,  1611,
    1612,  1613,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,  1617,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,  1620,     0,
     172,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,  3878,     0,   546,  1624,   183,   547,   184,
       0,   548,   549,   550,  1625,  1626,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,   190,   191,   565,   566,   192,     0,   567,
     568,   194,   569,     0,  1631,   570,   196,   571,   572,   573,
       0,   574,     0,  1132,   575,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1634,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1635,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,   213,  3879,   623,   624,   625,
     626,   627,   733,   628,   216,   629,   630,   631,   632,   633,
    1638,   635,   636,   218,   637,   638,   220,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1640,     0,   653,   654,   224,   655,   225,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,  1643,   664,  1644,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
    1647,     0,   677,   678,   679,   680,   681,  2337,   236,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
     238,   688,   689,   690,   691,   692,   693,   239,  1649,  1650,
    1651,  1652,  1653,  1654,  1655,  1656,   735,   694,   695,     0,
       0,   248,   759,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,  3880,    98,    99,   100,   101,
     102,   103,   760,   104,   105,   714,   761,     0,   107,   108,
     109,   110,   762,   763,   112,   113,   114,     0,   115,   764,
     765,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   132,   446,   447,   448,   134,
     135,   136,   137,   138,     0,   449,   450,   451,   452,   453,
       0,  1602,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,  1605,     0,  1606,     0,   461,   462,   463,   464,
     147,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,   150,   473,   474,     0,  1607,  1608,  1609,  1610,
    1611,  1612,  1613,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,  1617,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,   168,     0,   169,   516,   517,   518,     0,   519,  1620,
       0,   172,   520,     0,   521,   522,   730,   523,   524,   173,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,   175,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,   179,   180,   540,   181,   541,
     542,   543,   544,   545,  3878,     0,   546,  1624,   183,   547,
     184,     0,   548,   549,   550,  1625,  1626,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,   190,   191,   565,   566,   192,     0,
     567,   568,   194,   569,     0,  1631,   570,   196,   571,   572,
     573,     0,   574,     0,  1132,   575,   576,   577,     0,     0,
     578,   197,   198,   579,   199,  1634,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,  1635,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   211,   619,   620,   621,   213,  3879,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,  1638,   635,   636,   218,   637,   638,   220,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,  1640,     0,   653,   654,     0,   655,
     225,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,  1643,   664,  1644,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,  1647,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,   237,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,  1649,
    1650,  1651,  1652,  1653,  1654,  1655,  1656,   735,   694,   695,
       0,     0,     0,   759,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,  3880,    98,    99,   100,
     101,   102,   103,   760,   104,   105,   714,   761,     0,   107,
     108,   109,   110,   762,   763,   112,   113,   114,     0,   115,
     764,   765,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   132,   446,   447,   448,
     134,   135,   136,   137,   138,     0,   449,   450,   451,   452,
     453,     0,  1602,   454,   455,   725,   139,   456,     0,   457,
     458,   459,   460,  1605,     0,  1606,     0,   461,   462,   463,
     464,   147,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,   150,   473,   474,     0,  1607,  1608,  1609,
    1610,  1611,  1612,  1613,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
    1617,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,   168,     0,   169,   516,   517,   518,     0,   519,
    1620,     0,   172,   520,     0,   521,   522,   730,   523,   524,
     173,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,   175,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,   179,   180,   540,   181,
     541,   542,   543,   544,   545,     0,     0,   546,  1624,   183,
     547,   184,     0,   548,   549,   550,  1625,  1626,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,   190,   191,   565,   566,   192,
       0,   567,   568,   194,   569,     0,  1631,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,   198,   579,   199,  1634,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,  1635,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   211,   619,   620,   621,   213,  3879,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,  1638,   635,   636,   218,   637,   638,   220,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,  1640,     0,   653,   654,     0,
     655,   225,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,  1643,   664,  1644,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,  1647,     0,   677,   678,   679,   680,   681,   734,
     236,     0,   682,   237,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
    1649,  1650,  1651,  1652,  1653,  1654,  1655,  1656,   735,   694,
     695,     0,     0,     0,   759,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,   249,    98,    99,
     100,   101,   102,   103,   760,   104,   105,   714,   761,     0,
     107,   108,   109,   110,   762,   763,   112,   113,   114,     0,
     115,   764,   765,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   132,   446,   447,
     448,   134,   135,   136,   137,   138,     0,   449,   450,   451,
     452,   453,     0,  1602,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,  1605,     0,  1606,     0,   461,   462,
     463,   464,   147,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,   150,   473,   474,     0,  1607,  1608,
    1609,  1610,  1611,  1612,  1613,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,  1617,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,   168,     0,   169,   516,   517,   518,     0,
     519,  1620,     0,   172,   520,     0,   521,   522,   730,   523,
     524,   173,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,   175,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,   179,   180,   540,
     181,   541,   542,   543,   544,   545,     0,     0,   546,  1624,
     183,   547,   184,     0,   548,   549,   550,  1625,  1626,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,   190,   191,   565,   566,
     192,     0,   567,   568,   194,   569,     0,  1631,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,   198,   579,   199,  1634,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,  1635,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   211,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,  1638,   635,   636,   218,   637,   638,   220,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,  1640,     0,   653,   654,
       0,   655,   225,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,  1643,   664,  1644,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,  1647,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,   237,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,  1649,  1650,  1651,  1652,  1653,  1654,  1655,  1656,   735,
     694,   695,     0,     0,     0,   759,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,  4527,    98,
      99,   100,   101,   102,   103,   760,   104,   105,   714,   761,
       0,   107,   108,   109,   110,   762,   763,   112,   113,   114,
       0,   115,   764,   765,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   132,   446,
     447,   448,   134,   135,   136,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   725,   139,   456,
       0,   457,   458,   459,   460,   143,     0,   144,     0,   461,
     462,   463,   464,   147,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,   150,   473,   474,     0,     0,
       0,     0,   151,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,   168,     0,   169,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,   524,   173,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,   175,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,   179,   180,
     540,   181,   541,   542,   543,   544,   545,     0,     0,   546,
     182,   183,   547,   184,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,   190,   191,   565,
     566,   192,     0,   567,   568,   194,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,   198,   579,   199,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   211,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
     220,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,   225,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,   734,   236,     0,   682,   237,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,     0,     0,     0,     0,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,  5160,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,  4449,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0, -1622,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0, -1622,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,   524,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535, -1622,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540, -1622,   541,   542,   543,   544,   545,     0,     0,
     546,   182, -1622,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189, -1622,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618, -1622,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,     0,     0,     0,     0,     0,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,  1758,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,    45,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     725,   139,   456,     0,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,     0,     0,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,   524,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,     0,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,   734,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,     0,     0,     0,     0,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,  3682,  3683,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,   524,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,     0,     0,     0,
       0,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,  3683,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,   430,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
       0,   473,   474,     0,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,     0,
       0,     0,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,   524,     0,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,   545,     0,     0,   546,   182,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,   565,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,   216,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,   224,   655,     0,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,  2337,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,   238,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,     0,     0,
     248,     0,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,   249,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,   524,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,   216,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,   224,   655,     0,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,  2337,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
     238,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,     0,
       0,   248,     0,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,   249,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,   524,     0,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
       0,     0,     0,     0,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,  1732,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   725,   139,   456,     0,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,     0,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,     0,     0,     0,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,   524,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540,     0,
     541,   542,   543,   544,   545,     0,     0,   546,   182,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,     0,   191,   565,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,     0,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,   734,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,     0,     0,     0,     0,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,  3254,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,     0,     0,     0,     0,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,  4430,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   725,   139,   456,
       0,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,     0,     0,     0,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,   524,     0,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,     0,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,   734,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,     0,     0,     0,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,  4854,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,  1259,    45,     0,     0,     0,
       0,     0,  1260,  1261,  1262,   431,   432,   433,   434,   435,
     436,   437,   438,   766,   439,   440,   441,   767,   768,   769,
     770,   771,   772,   773,   442,   443,   774,   444,   445,   132,
     446,   447,   448,     0,  1422,   136,  1423,  1424,   775,   449,
     450,   451,   452,   453,   776,   777,   454,   455,  1425,  1426,
     456,   779,   457,   458,   459,   460,     0,   780,   144,   781,
     461,   462,   463,   464,   147,   465,   466,   726,   783,   467,
     468,   469,   470,   471,   472,   784,   150,   473,   474,     0,
     786,   787,   788,   151,   789,   790,   791,   476,   477,   478,
     479,   728,   480,  1427,  1428,   481,   792,   482,   793,   483,
     484,   485,   486,   487,   488,   794,   489,   490,   491,   795,
     796,   492,   493,  1429,   495,   496,   797,   497,   498,   499,
     798,   500,   501,   502,   799,   503,   504,   505,   506,     0,
     507,   508,   509,     0,   800,   510,   801,   511,   512,  1430,
     513,   802,   514,   803,   515,   168,   804,   169,   516,   517,
     518,   805,   519,     0,   806,     0,   520,   807,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,   808,   529,
     530,   531,   532,   533,   534,   809,   535,   175,     0,     0,
     536,   537,   538,  1432,  1433,   812,  1434,   813,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,   814,   815,
     546,     0,   183,   547,   184,   816,   548,   549,   550,   817,
     818,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1435,   190,  1436,
     565,   566,  4950,   819,   567,   568,   194,   569,   820,     0,
     570,  1437,   571,   572,   573,   821,   574,   822,   823,  4176,
     576,   577,   824,   825,   578,     0,   198,   579,   199,     0,
     580,   581,   582,   583,   584,   585,   586,   587,   826,   588,
     589,     0,   590,     0,   591,   592,   593,   827,   594,   595,
     596,   597,   598,   599,   600,   601,  1438,   602,   603,   604,
     605,   828,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   829,   617,   618,   211,   619,   620,   621,
       0,   622,   623,   624,   625,   626,   627,   733,   628,   830,
     629,   630,   631,   632,   633,   831,   635,   636,  2548,   637,
     638,   220,   639,   640,  1440,   641,   832,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,     0,   833,
     653,   654,   834,   655,   225,   656,   657,   658,   659,   660,
     835,  1441,  1442,     0,   837,   662,   663,     0,   664,     0,
     838,   665,   666,   667,   668,   669,   670,   671,     0,   840,
     672,   673,   674,   675,   676,   841,   842,   677,   678,   679,
     680,   681,     0,  1443,   844,   682,   237,   683,   684,   685,
     686,   845,   846,   687,   847,   848,   688,   689,   690,   691,
     692,   693,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   735,   694,   695,     0,     0,     0,  1265,  1266,  1267,
       0,  4177,  4178,  1270,  1271,  1272,  1273,   759,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   760,   104,   105,
     714,   761,     0,   107,   108,   109,   110,   762,   763,   112,
     113,   114,     0,   115,   764,   765,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,   430,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,     0,     0,  1259,    45,     0,     0,
       0,     0,     0,  1260,  1261,  1262,   431,   432,   433,   434,
     435,   436,   437,   438,   766,   439,   440,   441,   767,   768,
     769,   770,   771,   772,   773,   442,   443,   774,   444,   445,
     132,   446,   447,   448,     0,  1422,   136,  1423,  1424,   775,
     449,   450,   451,   452,   453,   776,   777,   454,   455,  1425,
    1426,   456,   779,   457,   458,   459,   460,     0,   780,   144,
     781,   461,   462,   463,   464,   147,   465,   466,   726,   783,
     467,   468,   469,   470,   471,   472,   784,   150,   473,   474,
       0,   786,   787,   788,   151,   789,   790,   791,   476,   477,
     478,   479,   728,   480,  1427,  1428,   481,   792,   482,   793,
     483,   484,   485,   486,   487,   488,   794,   489,   490,   491,
     795,   796,   492,   493,  1429,   495,   496,   797,   497,   498,
     499,   798,   500,   501,   502,   799,   503,   504,   505,   506,
       0,   507,   508,   509,     0,   800,   510,   801,   511,   512,
    1430,   513,   802,   514,   803,   515,   168,   804,   169,   516,
     517,   518,   805,   519,     0,   806,     0,   520,   807,   521,
     522,   730,   523,   524,   173,   525,   526,   527,   528,   808,
     529,   530,   531,   532,   533,   534,   809,   535,   175,     0,
       0,   536,   537,   538,  1432,  1433,   812,  1434,   813,   539,
     179,   180,   540,   181,   541,   542,   543,   544,   545,   814,
     815,   546,     0,   183,   547,   184,   816,   548,   549,   550,
     817,   818,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,  1435,   190,
    1436,   565,   566,     0,   819,   567,   568,   194,   569,   820,
       0,   570,  1437,   571,   572,   573,   821,   574,   822,   823,
    4176,   576,   577,   824,   825,   578,     0,   198,   579,   199,
       0,   580,   581,   582,   583,   584,   585,   586,   587,   826,
     588,   589,     0,   590,     0,   591,   592,   593,   827,   594,
     595,   596,   597,   598,   599,   600,   601,  1438,   602,   603,
     604,   605,   828,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   829,   617,   618,   211,   619,   620,
     621,     0,   622,   623,   624,   625,   626,   627,   733,   628,
     830,   629,   630,   631,   632,   633,   831,   635,   636,  2548,
     637,   638,   220,   639,   640,  1440,   641,   832,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,     0,
     833,   653,   654,   834,   655,   225,   656,   657,   658,   659,
     660,   835,  1441,  1442,     0,   837,   662,   663,     0,   664,
       0,   838,   665,   666,   667,   668,   669,   670,   671,     0,
     840,   672,   673,   674,   675,   676,   841,   842,   677,   678,
     679,   680,   681,     0,  1443,   844,   682,   237,   683,   684,
     685,   686,   845,   846,   687,   847,   848,   688,   689,   690,
     691,   692,   693,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   735,   694,   695,     0,     0,     0,  1265,  1266,
    1267,     0,  4177,  4178,  1270,  1271,  1272,  1273,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,  1259,     0,     0,     0,
       0,     0,     0,  1260,  1261,  1262,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,  1263,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,  1264,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,   524,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,     0,     0,     0,  1265,  1266,
    1267,     0,  1268,  1269,  1270,  1271,  1272,  1273,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,  1259,     0,     0,     0,
       0,     0,     0,  1260,  1261,  1262,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,  1372,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,  1373,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,   524,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,     0,     0,     0,  1265,  1266,
    1267,     0,  1268,  1269,  1270,  1271,  1272,  1273,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,  1259,     0,     0,     0,
       0,     0,     0,  1260,  1261,  1262,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,  1473,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,  1474,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,  1475,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,     0,     0,     0,  1265,  1266,
    1267,     0,  1268,  1269,  1270,  1271,  1272,  1273,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,  1259,     0,     0,     0,
       0,     0,     0,  1260,  1261,  1262,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,  2039,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,  2040,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,   524,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,     0,     0,     0,  1265,  1266,
    1267,     0,  1268,  1269,  1270,  1271,  1272,  1273,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,  1259,     0,     0,     0,
       0,     0,     0,  1260,  1261,  1262,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,   524,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,     0,     0,     0,  1265,  1266,
    1267,     0,  1268,  1269,  1270,  1271,  1272,  1273,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,  1259,     0,     0,     0,
       0,     0,     0,  1260,  1261,  1262,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,  3356,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,  3357,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,   524,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,     0,     0,     0,  1265,  1266,
    1267,     0,  1268,  1269,  1270,  1271,  1272,  1273,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,  1259,     0,     0,     0,
       0,     0,     0,  1260,  1261,  1262,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,   524,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
    5140,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,     0,     0,     0,  1265,  1266,
    1267,     0,  1268,  1269,  1270,  1271,  1272,  1273,   759,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   760,   104,
     105,   714,   761,     0,   107,   108,   109,   110,   762,   763,
     112,   113,   114,     0,   115,   764,   765,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   766,   439,   440,   441,   767,
     768,   769,   770,   771,   772,   773,   442,   443,   774,   444,
     445,   132,   446,   447,   448,   134,   135,   136,   137,   138,
     775,   449,   450,   451,   452,   453,   776,   777,   454,   455,
     778,   139,   456,   779,   457,   458,   459,   460,   143,   780,
     144,   781,   461,   462,   463,   464,   147,   465,   466,   782,
     783,   467,   468,   469,   470,   471,   472,   784,   150,   473,
     474,   785,   786,   787,   788,   151,   789,   790,   791,   476,
     477,   478,   479,   728,   480,   154,   155,   481,   792,   482,
     793,   483,   484,   485,   486,   487,   488,   794,   489,   490,
     491,   795,   796,   492,   493,   494,   495,   496,   797,   497,
     498,   499,   798,   500,   501,   502,   799,   503,   504,   505,
     506,   163,   507,   508,   509,   165,   800,   510,   801,   511,
     512,   167,   513,   802,   514,   803,   515,   168,   804,   169,
     516,   517,   518,   805,   519,   171,   806,   172,   520,   807,
     521,   522,   730,   523,   524,   173,   525,   526,   527,   528,
     808,   529,   530,   531,   532,   533,   534,   809,   535,   175,
     176,   810,   536,   537,   538,   811,   177,   812,   178,   813,
     539,   179,   180,   540,   181,   541,   542,   543,   544,   545,
     814,   815,   546,   182,   183,   547,   184,   816,   548,   549,
     550,   817,   818,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
     190,   191,   565,   566,   192,   819,   567,   568,   194,   569,
     820,   195,   570,   196,   571,   572,   573,   821,   574,   822,
     823,   575,   576,   577,   824,   825,   578,   197,   198,   579,
     199,   200,   580,   581,   582,   583,   584,   585,   586,   587,
     826,   588,   589,   201,   590,   202,   591,   592,   593,   827,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,   828,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   829,   617,   618,   211,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,   830,   629,   630,   631,   632,   633,   831,   635,   636,
     218,   637,   638,   220,   639,   640,   221,   641,   832,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,   833,   653,   654,   834,   655,   225,   656,   657,   658,
     659,   660,   835,   226,   227,   836,   837,   662,   663,   228,
     664,   229,   838,   665,   666,   667,   668,   669,   670,   671,
     839,   840,   672,   673,   674,   675,   676,   841,   842,   677,
     678,   679,   680,   681,   843,   236,   844,   682,   237,   683,
     684,   685,   686,   845,   846,   687,   847,   848,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,   759,    86,    87,    88,
     711,    90,    91,    92,   712,  2438,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,     0,  1422,   136,  1423,  1424,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,  1425,  1426,
     456,     0,   457,   458,   459,   460,     0,     0,   144,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
       0,     0,     0,   151,     0,     0,     0,   476,   477,   478,
     479,   728,   480,  1427,  1428,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1429,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,     0,
     507,   508,   509,     0,     0,   510,     0,   511,   512,  1430,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,     0,     0,     0,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,  2544,   529,
     530,   531,   532,   533,   534,     0,   535,   175,  2545,     0,
     536,   537,   538,  1432,  1433,     0,  1434,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,     0,   183,   547,   184,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1435,   190,  1436,
     565,   566,     0,     0,   567,   568,   194,   569,     0,     0,
     570,  1437,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,  2546,   578,  2547,   198,   579,   199,     0,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,     0,   590,     0,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1438,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
       0,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,  2548,   637,
     638,   220,   639,   640,  1440,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,     0,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,  1441,  1442,     0,     0,   662,   663,     0,   664,     0,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,     0,  1443,  2549,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   735,   694,   695,     0,    86,    87,    88,   711,    90,
      91,    92,   712,  2550,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,     0,    86,    87,    88,   711,    90,    91,    92,
     712,  1139,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,   524,     0,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
       0,    86,    87,    88,   711,    90,    91,    92,   712,  5465,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,   430,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
      45,     0,     0,     0,     0,     0,     0,     0,     0,   431,
    1029,   433,   434,   435,   436,   437,   438,  1030,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,  1031,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
       0,   473,   474,     0,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,  1032,   167,   513,     0,   514,     0,  1033,     0,
    1034,     0,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,   524,     0,   525,   526,
     527,   528,  1035,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,  1036,     0,     0,   546,   182,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,  1037,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,  1038,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,  1039,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,     0,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,     0,     0,
       0,     0,     0,     0,     0,  1040,  1041,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,    45,     0,     0,     0,
       0,     0,     0,     0,     0,   431,  1029,   433,   434,   435,
     436,   437,   438,  1030,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
    1063,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,  1032,   167,
     513,     0,   514,     0,  1064,     0,  1034,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,   524,     0,   525,   526,   527,   528,  1035,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,  1036,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
    1037,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,  1038,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,  1039,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,     0,     0,     0,     0,     0,     0,
       0,  1040,  1041,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,  1526,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,  1034,     0,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,   524,     0,
     525,   526,   527,   528,  1035,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
       0,     0,     0,     0,     0,     0,     0,  1040,  1041,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,   430,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,    45,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,  1531,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     725,   139,   456,     0,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,     0,  1034,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,   524,     0,   525,   526,   527,   528,
    1035,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,     0,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,   734,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,     0,     0,     0,     0,
       0,     0,     0,  1040,  1041,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
     430,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,   729,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,  1703,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,     0,     0,     0,     0,  1109,  1704,    86,    87,
      88,   711,    90,    91,    92,   712,  1110,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,  1111,   455,  1082,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,  1112,     0,
    1113,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,   524,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,  1114,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,  1115,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,  1116,   620,
     621,   213,   622,   623,   624,  1117,   626,   627,   733,   628,
       0,   629,   630,   631,   632,  1118,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,  1119,   227,     0,     0,  1120,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,  1086,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,  1121,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,   759,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   760,   104,   105,   714,   761,
       0,   107,   108,   109,   110,   762,   763,   112,   113,   114,
       0,   115,   764,   765,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   766,   439,   440,   441,   767,   768,   769,   770,
     771,   772,   773,   442,   443,   774,   444,   445,   132,   446,
     447,   448,   134,   135,   136,   137,   138,   775,   449,   450,
     451,   452,   453,   776,   777,   454,   455,   778,   139,   456,
     779,   457,   458,   459,   460,   143,   780,   144,   781,   461,
     462,   463,   464,   147,   465,   466,   782,   783,   467,   468,
     469,   470,   471,   472,   784,   150,   473,   474,   785,   786,
     787,   788,   151,   789,   790,   791,   476,   477,   478,   479,
     728,   480,   154,   155,   481,   792,   482,   793,   483,   484,
     485,   486,   487,   488,   794,   489,   490,   491,   795,   796,
     492,   493,   494,   495,   496,   797,   497,   498,   499,   798,
     500,   501,   502,   799,   503,   504,   505,   506,   163,   507,
     508,   509,   165,   800,   510,   801,   511,   512,   167,   513,
     802,   514,   803,   515,   168,   804,   169,   516,   517,   518,
     805,   519,   171,   806,   172,   520,   807,   521,   522,   730,
     523,   524,   173,   525,   526,   527,   528,   808,   529,   530,
     531,   532,   533,   534,   809,   535,   175,   176,   810,   536,
     537,   538,   811,   177,   812,   178,   813,   539,   179,   180,
     540,   181,   541,   542,   543,   544,   545,   814,   815,   546,
     182,   183,   547,   184,   816,   548,   549,   550,   817,   818,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,   190,   191,   565,
     566,   192,   819,   567,   568,   194,   569,   820,   195,   570,
     196,   571,   572,   573,   821,   574,   822,   823,   575,   576,
     577,   824,   825,   578,   197,   198,   579,   199,   200,   580,
     581,   582,   583,   584,   585,   586,   587,   826,   588,   589,
     201,   590,   202,   591,   592,   593,   827,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
     828,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   829,   617,   618,   211,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,   830,   629,
     630,   631,   632,   633,   831,   635,   636,   218,   637,   638,
     220,   639,   640,   221,   641,   832,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,   833,   653,
     654,   834,   655,   225,   656,   657,   658,   659,   660,   835,
     226,   227,   836,   837,   662,   663,   228,   664,   229,   838,
     665,   666,   667,   668,   669,   670,   671,   839,   840,   672,
     673,   674,   675,   676,   841,   842,   677,   678,   679,   680,
     681,   843,   236,   844,   682,   237,   683,   684,   685,   686,
     845,   846,   687,   847,   848,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,   759,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   760,   104,   105,   714,   761,     0,   107,
     108,   109,   110,   762,   763,   112,   113,   114,     0,   115,
     764,   765,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     766,   439,   440,   441,   767,   768,   769,   770,   771,   772,
     773,   442,   443,   774,   444,   445,   132,   446,   447,   448,
     134,   135,   136,   137,   138,   775,   449,   450,   451,   452,
     453,   776,   777,   454,   455,   778,   139,   456,   779,   457,
     458,   459,   460,   143,   780,   144,   781,   461,   462,   463,
     464,   147,   465,   466,   782,   783,   467,   468,   469,   470,
     471,   472,   784,   150,   473,   474,   785,   786,   787,   788,
     151,   789,   790,   791,   476,   477,   478,   479,   728,   480,
     154,   155,   481,   792,   482,   793,   483,   484,   485,   486,
     487,   488,   794,   489,   490,   491,   795,   796,   492,   493,
     494,   495,   496,   797,   497,   498,   499,   798,   500,   501,
     502,   799,   503,   504,   505,   506,   163,   507,   508,   509,
     165,   800,   510,   801,   511,   512,   167,   513,   802,   514,
     803,   515,   168,   804,   169,   516,   517,   518,   805,   519,
     171,   806,   172,   520,   807,   521,   522,   730,   523,   524,
     173,   525,   526,   527,   528,   808,   529,   530,   531,   532,
     533,   534,   809,   535,   175,   176,   810,   536,   537,   538,
     811,   177,   812,   178,   813,   539,   179,   180,   540,   181,
     541,   542,   543,   544,   545,   814,   815,   546,   182,   183,
     547,   184,   816,   548,   549,   550,   817,   818,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,   190,   191,   565,   566,   192,
     819,   567,   568,   194,   569,   820,   195,   570,   196,   571,
     572,   573,   821,   574,   822,   823,   575,   576,   577,   824,
     825,   578,   197,   198,   579,   199,   200,   580,   581,   582,
     583,   584,   585,   586,   587,   826,   588,   589,   201,   590,
     202,   591,   592,   593,   827,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,   828,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     829,   617,   618,   211,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,   733,   628,   830,   629,   630,   631,
     632,   633,   831,   635,   636,   218,   637,   638,   220,   639,
     640,   221,   641,   832,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,   833,   653,   654,   834,
     655,   225,   656,   657,   658,   659,   660,   835,   226,   227,
     836,   837,   662,   663,   228,   664,   229,   838,   665,   666,
     667,   668,   669,   670,   671,   839,   840,   672,   673,   674,
     675,   676,   841,   842,   677,   678,   679,   680,   681,   843,
     236,   844,   682,   237,   683,   684,   685,   686,   845,   846,
     687,   847,   848,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,  3424,   436,   437,   438,   766,   439,
     440,   441,   767,   768,   769,   770,   771,   772,   773,   442,
     443,   774,   444,   445,   132,   446,   447,   448,   134,   135,
     136,   137,   138,   775,   449,   450,   451,   452,   453,   776,
     777,   454,   455,   778,   139,   456,   779,   457,   458,   459,
     460,   143,   780,   144,   781,   461,   462,   463,   464,   147,
     465,   466,   782,   783,   467,   468,   469,   470,   471,   472,
     784,   150,   473,   474,   785,   786,   787,   788,   151,   789,
     790,   791,   476,   477,   478,   479,   728,   480,   154,   155,
     481,   792,   482,   793,   483,   484,   485,   486,   487,   488,
     794,   489,   490,   491,   795,   796,   492,   493,   494,  3425,
     496,   797,   497,   498,   499,   798,   500,   501,   502,   799,
     503,   504,   505,   506,   163,   507,   508,   509,   165,   800,
     510,   801,   511,   512,   167,   513,   802,   514,   803,   515,
     168,   804,   169,   516,   517,   518,   805,   519,   171,   806,
     172,   520,   807,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,   808,   529,   530,   531,   532,   533,   534,
     809,   535,   175,   176,   810,   536,   537,   538,   811,   177,
     812,   178,   813,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,   814,   815,   546,   182,   183,   547,   184,
     816,   548,   549,   550,   817,   818,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,   190,   191,   565,   566,   192,   819,   567,
     568,   194,   569,   820,   195,   570,   196,   571,   572,   573,
     821,   574,   822,   823,   575,   576,   577,   824,   825,   578,
     197,   198,   579,   199,   200,   580,   581,   582,   583,   584,
     585,   586,   587,   826,   588,   589,   201,   590,   202,   591,
     592,   593,   827,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,   828,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   829,   617,
     618,   211,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,   830,   629,   630,   631,   632,   633,
     831,  3426,   636,   218,   637,   638,   220,   639,   640,   221,
     641,   832,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,   833,   653,   654,   834,   655,   225,
     656,   657,   658,   659,   660,   835,   226,   227,   836,   837,
     662,   663,   228,   664,   229,   838,   665,   666,   667,   668,
     669,   670,   671,   839,   840,   672,   673,   674,   675,   676,
     841,   842,   677,   678,   679,   680,   681,   843,   236,   844,
     682,   237,   683,   684,   685,   686,   845,   846,   687,   847,
     848,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,   759,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   760,
     104,   105,   714,   761,     0,   107,   108,   109,   110,   762,
     763,   112,   113,   114,     0,   115,   764,   765,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,   134,   135,   136,   137,
     138,     0,   449,   450,   451,   452,   453,     0,  1602,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,  1605,
       0,  1606,     0,   461,   462,   463,   464,   147,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,  1607,  1608,  1609,  1610,  1611,  1612,  1613,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,  1617,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,  1620,     0,   172,   520,
       0,   521,   522,   730,   523,   524,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,  1624,   183,   547,   184,     0,   548,
     549,   550,  1625,  1626,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,   190,   191,   565,   566,   192,     0,   567,   568,   194,
     569,     0,  1631,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,   198,
     579,   199,  1634,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,  1635,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,  1638,   635,
     636,   218,   637,   638,   220,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,  1640,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
    1643,   664,  1644,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,  1647,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,  1649,  1650,  1651,  1652,
    1653,  1654,  1655,  1656,   735,   694,   695,   759,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   760,   104,   105,
     714,   761,     0,   107,   108,   109,   110,   762,   763,   112,
     113,   114,     0,   115,   764,   765,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     132,   446,   447,   448,   134,   135,   136,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,   144,
       0,   461,   462,   463,   464,   147,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,   150,   473,   474,
       0,     0,     0,     0,   151,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,   168,     0,   169,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,   524,   173,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,   175,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
     179,   180,   540,   181,   541,   542,   543,   544,   545,     0,
       0,   546,   182,   183,   547,   184,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,   190,
     191,   565,   566,   192,     0,   567,   568,   194,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,   198,   579,   199,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   211,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,   220,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,   225,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,   237,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,   759,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   760,   104,   105,   714,   761,
       0,   107,   108,   109,   110,   762,   763,   112,   113,   114,
       0,   115,   764,   765,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   132,   446,
     447,   448,   134,   135,   136,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   725,   139,   456,
       0,   457,   458,   459,   460,   143,     0,   144,     0,   461,
     462,   463,   464,   147,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,   150,   473,   474,     0,     0,
       0,     0,   151,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,   168,     0,   169,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,  1415,   173,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,   175,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,   179,   180,
     540,   181,   541,   542,   543,   544,   545,     0,     0,   546,
     182,   183,   547,   184,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,   190,   191,   565,
     566,   192,     0,   567,   568,   194,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,   198,   579,   199,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   211,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
     220,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,   225,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,   734,   236,     0,   682,   237,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,   759,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   760,   104,   105,   714,   761,     0,   107,
     108,   109,   110,   762,   763,   112,   113,   114,     0,   115,
     764,   765,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   132,   446,   447,   448,
     134,   135,   136,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   725,   139,   456,     0,   457,
     458,   459,   460,   143,     0,   144,     0,   461,   462,   463,
     464,   147,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,   150,   473,   474,     0,     0,     0,     0,
     151,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,   168,     0,   169,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,  1466,
     173,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,   175,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,   179,   180,   540,   181,
     541,   542,   543,   544,   545,     0,     0,   546,   182,   183,
     547,   184,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,   190,   191,   565,   566,   192,
       0,   567,   568,   194,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,   198,   579,   199,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   211,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,   220,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,   225,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,   734,
     236,     0,   682,   237,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,     0,  1422,
     136,  1423,  1424,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,  1425,  1426,   456,     0,   457,   458,   459,
     460,     0,     0,   144,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,     0,     0,     0,   151,     0,
       0,     0,   476,   477,   478,   479,   728,   480,  1427,  1428,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1429,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,     0,   507,   508,   509,     0,     0,
     510,     0,   511,   512,  1430,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,     0,     0,
       0,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,  2544,   529,   530,   531,   532,   533,   534,
       0,   535,   175,  2545,     0,   536,   537,   538,  1432,  1433,
       0,  1434,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,     0,   183,   547,   184,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1435,   190,  1436,   565,   566,     0,     0,   567,
     568,   194,   569,     0,     0,   570,  1437,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
    2547,   198,   579,   199,     0,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,     0,   590,     0,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1438,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,     0,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,  2548,   637,   638,   220,   639,   640,  1440,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,     0,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,  1441,  1442,     0,     0,
     662,   663,     0,   664,     0,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,     0,  1443,  2549,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   735,   694,   695,   759,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   760,
     104,   105,   714,   761,     0,   107,   108,   109,   110,   762,
     763,   112,   113,   114,     0,   115,   764,   765,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,     0,  1422,   136,  1423,
    1424,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,  1425,  1426,   456,     0,   457,   458,   459,   460,     0,
       0,   144,     0,   461,   462,   463,   464,   147,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,     0,     0,     0,   151,     0,     0,     0,
     476,   477,   478,   479,   728,   480,  1427,  1428,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,  1429,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,     0,   507,   508,   509,     0,     0,   510,     0,
     511,   512,  1430,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,     0,     0,     0,   520,
       0,   521,   522,   730,   523,   524,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,     0,     0,   536,   537,   538,  1432,  1433,     0,  1434,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,     0,   183,   547,   184,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
    1435,   190,  1436,   565,   566,     0,     0,   567,   568,   194,
     569,  2644,     0,   570,  1437,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,     0,   198,
     579,   199,     0,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,     0,   590,     0,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,  1438,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,     0,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,  2548,   637,   638,   220,   639,   640,  1440,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,     0,     0,   653,   654,  4274,   655,   225,   656,   657,
     658,   659,   660,     0,  1441,  1442,     0,     0,   662,   663,
       0,   664,     0,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,     0,  1443,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   735,   694,   695,   759,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   760,   104,   105,
     714,   761,     0,   107,   108,   109,   110,   762,   763,   112,
     113,   114,     0,   115,   764,   765,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     132,   446,   447,   448,     0,  1422,   136,  1423,  1424,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,  1425,
    1426,   456,     0,   457,   458,   459,   460,     0,     0,   144,
       0,   461,   462,   463,   464,   147,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,   150,   473,   474,
       0,     0,     0,     0,   151,     0,     0,     0,   476,   477,
     478,   479,   728,   480,  1427,  1428,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,  1429,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
       0,   507,   508,   509,     0,     0,   510,     0,   511,   512,
    1430,   513,     0,   514,     0,   515,   168,     0,   169,   516,
     517,   518,     0,   519,     0,     0,     0,   520,     0,   521,
     522,   730,   523,   524,   173,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,   175,     0,
       0,   536,   537,   538,  1432,  1433,     0,  1434,     0,   539,
     179,   180,   540,   181,   541,   542,   543,   544,   545,     0,
       0,   546,     0,   183,   547,   184,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,  1435,   190,
    1436,   565,   566,  2713,     0,   567,   568,   194,   569,     0,
       0,   570,  1437,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,     0,   198,   579,   199,
       0,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,     0,   590,     0,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,  1438,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   211,   619,   620,
     621,     0,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,  1439,
     637,   638,   220,   639,   640,  1440,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,     0,
       0,   653,   654,     0,   655,   225,   656,   657,   658,   659,
     660,     0,  1441,  1442,     0,     0,   662,   663,     0,   664,
       0,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,     0,  1443,     0,   682,   237,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   735,   694,   695,   759,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   760,   104,   105,   714,   761,
       0,   107,   108,   109,   110,   762,   763,   112,   113,   114,
       0,   115,   764,   765,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   132,   446,
     447,   448,     0,  1422,   136,  1423,  1424,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,  1425,  1426,   456,
       0,   457,   458,   459,   460,     0,     0,   144,     0,   461,
     462,   463,   464,   147,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,   150,   473,   474,     0,     0,
       0,     0,   151,     0,     0,     0,   476,   477,   478,   479,
     728,   480,  1427,  1428,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,  1429,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,     0,   507,
     508,   509,     0,     0,   510,     0,   511,   512,  1430,   513,
       0,   514,     0,   515,   168,     0,   169,   516,   517,   518,
       0,   519,     0,     0,     0,   520,     0,   521,   522,   730,
     523,   524,   173,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,   175,     0,     0,   536,
     537,   538,  1432,  1433,     0,  1434,     0,   539,   179,   180,
     540,   181,   541,   542,   543,   544,   545,     0,     0,   546,
       0,   183,   547,   184,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,  1435,   190,  1436,   565,
     566,  4095,     0,   567,   568,   194,   569,     0,     0,   570,
    1437,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,     0,   198,   579,   199,     0,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
       0,   590,     0,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,  1438,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   211,   619,   620,   621,     0,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,  1439,   637,   638,
     220,   639,   640,  1440,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,     0,   655,   225,   656,   657,   658,   659,   660,     0,
    1441,  1442,     0,     0,   662,   663,     0,   664,     0,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,     0,  1443,     0,   682,   237,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     735,   694,   695,   759,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   760,   104,   105,   714,   761,     0,   107,
     108,   109,   110,   762,   763,   112,   113,   114,     0,   115,
     764,   765,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   132,   446,   447,   448,
       0,  1422,   136,  1423,  1424,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,  1425,  1426,   456,     0,   457,
     458,   459,   460,     0,     0,   144,     0,   461,   462,   463,
     464,   147,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,   150,   473,   474,     0,     0,     0,     0,
     151,     0,     0,     0,   476,   477,   478,   479,   728,   480,
    1427,  1428,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
    1429,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,     0,   507,   508,   509,
       0,     0,   510,     0,   511,   512,  1430,   513,     0,   514,
       0,   515,   168,     0,   169,   516,   517,   518,     0,   519,
       0,     0,     0,   520,     0,   521,   522,   730,   523,  1431,
     173,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,   175,     0,     0,   536,   537,   538,
    1432,  1433,     0,  1434,     0,   539,   179,   180,   540,   181,
     541,   542,   543,   544,   545,     0,     0,   546,     0,   183,
     547,   184,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,  1435,   190,  1436,   565,   566,     0,
       0,   567,   568,   194,   569,     0,     0,   570,  1437,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,     0,   198,   579,   199,     0,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,     0,   590,
       0,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,  1438,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   211,   619,   620,   621,     0,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,  1439,   637,   638,   220,   639,
     640,  1440,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,     0,     0,   653,   654,     0,
     655,   225,   656,   657,   658,   659,   660,     0,  1441,  1442,
       0,     0,   662,   663,     0,   664,     0,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,     0,
    1443,     0,   682,   237,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   735,   694,
     695,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,     0,  1422,
     136,  1423,  1424,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,  1425,  1426,   456,     0,   457,   458,   459,
     460,     0,     0,   144,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,     0,     0,     0,   151,     0,
       0,     0,   476,   477,   478,   479,   728,   480,  1427,  1428,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1429,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,     0,   507,   508,   509,     0,     0,
     510,     0,   511,   512,  1430,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,     0,     0,
       0,   520,     0,   521,   522,   730,   523,  1492,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,     0,     0,   536,   537,   538,  1432,  1433,
       0,  1434,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,     0,   183,   547,   184,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1435,   190,  1436,   565,   566,     0,     0,   567,
     568,   194,   569,     0,     0,   570,  1437,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
       0,   198,   579,   199,     0,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,     0,   590,     0,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1438,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,     0,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,  1439,   637,   638,   220,   639,   640,  1440,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,     0,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,  1441,  1442,     0,     0,
     662,   663,     0,   664,     0,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,     0,  1443,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   735,   694,   695,   759,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   760,
     104,   105,   714,   761,     0,   107,   108,   109,   110,   762,
     763,   112,   113,   114,     0,   115,   764,   765,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,     0,  1422,   136,  1423,
    1424,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,  1425,  1426,   456,     0,   457,   458,   459,   460,     0,
       0,   144,     0,   461,   462,   463,   464,   147,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,     0,     0,     0,   151,     0,     0,     0,
     476,   477,   478,   479,   728,   480,  1427,  1428,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,  1429,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,     0,   507,   508,   509,     0,     0,   510,     0,
     511,   512,  1430,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,     0,     0,     0,   520,
       0,   521,   522,   730,   523,   524,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,     0,     0,   536,   537,   538,  1432,  1433,     0,  1434,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,     0,   183,   547,   184,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
    1435,   190,  1436,   565,   566,     0,     0,   567,   568,   194,
     569,     0,     0,   570,  1437,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,     0,   198,
     579,   199,     0,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,     0,   590,     0,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,  1438,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,     0,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,  1439,   637,   638,   220,   639,   640,  1440,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,     0,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,  1441,  1442,     0,     0,   662,   663,
       0,   664,     0,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,     0,  1443,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   735,   694,   695,   759,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   760,   104,   105,
     714,   761,     0,   107,   108,   109,   110,   762,   763,   112,
     113,   114,     0,   115,   764,   765,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     132,   446,   447,   448,     0,  1422,   136,  1423,  1424,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,  1425,
    1426,   456,     0,   457,   458,   459,   460,     0,     0,   144,
       0,   461,   462,   463,   464,   147,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,   150,   473,   474,
       0,     0,     0,     0,   151,     0,     0,     0,   476,   477,
     478,   479,   728,   480,  1427,  1428,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,  1429,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
       0,   507,   508,   509,     0,     0,   510,     0,   511,   512,
    1430,   513,     0,   514,     0,   515,   168,     0,   169,   516,
     517,   518,     0,   519,     0,     0,     0,   520,     0,   521,
     522,   730,   523,   524,   173,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,   175,     0,
       0,   536,   537,   538,  1432,  1433,     0,  1434,     0,   539,
     179,   180,   540,   181,   541,   542,   543,   544,   545,     0,
       0,   546,     0,   183,   547,   184,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,  1435,   190,
    1436,   565,   566,     0,     0,   567,   568,   194,   569,     0,
       0,   570,  1437,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,     0,   198,   579,   199,
       0,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,     0,   590,     0,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,  1438,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   211,   619,   620,
     621,     0,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,  2548,
     637,   638,   220,   639,   640,  1440,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,     0,
       0,   653,   654,     0,   655,   225,   656,   657,   658,   659,
     660,     0,  1441,  1442,     0,     0,   662,   663,     0,   664,
       0,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,     0,  1443,     0,   682,   237,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   735,   694,   695,   759,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   760,   104,   105,   714,   761,
       0,   107,   108,   109,   110,   762,   763,   112,   113,   114,
       0,   115,   764,   765,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   132,   446,
     447,   448,     0,  1422,   136,  1423,  1424,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,  1425,  1426,   456,
       0,   457,   458,   459,   460,     0,     0,   144,     0,   461,
     462,   463,   464,   147,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,   150,   473,   474,     0,     0,
       0,     0,   151,     0,     0,     0,   476,   477,   478,   479,
     728,   480,  1427,  1428,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,  1429,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,     0,   507,
     508,   509,     0,     0,   510,     0,   511,   512,  1430,   513,
       0,   514,     0,   515,   168,     0,   169,   516,   517,   518,
       0,   519,     0,     0,     0,   520,     0,   521,   522,   730,
     523,   524,   173,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,   175,     0,     0,   536,
     537,   538,  1432,  1433,     0,  1434,     0,   539,   179,   180,
     540,   181,   541,   542,   543,   544,   545,     0,     0,   546,
       0,   183,   547,   184,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,  1435,   190,  1436,   565,
     566,     0,     0,   567,   568,   194,   569,     0,     0,   570,
    1437,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,     0,   198,   579,   199,     0,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
       0,   590,     0,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,  1438,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   211,   619,   620,   621,     0,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,     0,   637,   638,
     220,   639,   640,  1440,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,     0,   655,   225,   656,   657,   658,   659,   660,     0,
    1441,  1442,     0,     0,   662,   663,     0,   664,     0,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,     0,  1443,     0,   682,   237,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     735,   694,   695,   759,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   760,   104,   105,   714,   761,     0,   107,
     108,   109,   110,   762,   763,   112,   113,   114,     0,   115,
     764,   765,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   132,   446,   447,   448,
       0,     0,   136,     0,     0,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,     0,     0,   456,     0,   457,
     458,   459,   460,     0,     0,   144,     0,   461,   462,   463,
     464,   147,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,   150,   473,   474,     0,     0,     0,     0,
     151,     0,     0,     0,   476,   477,   478,   479,   728,   480,
       0,     0,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,     0,   507,   508,   509,
       0,     0,   510,     0,   511,   512,     0,   513,     0,   514,
       0,   515,   168,     0,   169,   516,   517,   518,     0,   519,
       0,     0,     0,   520,     0,   521,   522,   730,   523,   524,
     173,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,   175,     0,     0,   536,   537,   538,
       0,     0,     0,     0,     0,   539,   179,   180,   540,   181,
     541,   542,   543,   544,   545,     0,     0,   546,     0,   183,
     547,   184,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,     0,   190,     0,   565,   566,     0,
       0,   567,   568,   194,   569,     0,     0,   570,     0,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,     0,   198,   579,   199,     0,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,     0,   590,
       0,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   211,   619,   620,   621,     0,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,     0,   637,   638,   220,   639,
     640,     0,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,     0,     0,   653,   654,     0,
     655,   225,   656,   657,   658,   659,   660,     0,     0,     0,
       0,     0,   662,   663,     0,   664,     0,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,     0,
       0,     0,   682,   237,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   735,   694,
     695,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   766,   439,   440,
     441,   767,   768,   769,   770,   771,   772,   773,   442,   443,
     774,   444,   445,   132,   446,   447,   448,   134,   135,   136,
     137,   138,   775,   449,   450,   451,   452,   453,   776,   777,
     454,   455,     0,   139,   456,   779,   457,   458,   459,   460,
     143,   780,   144,   781,   461,   462,   463,   464,   147,   465,
     466,   782,   783,   467,   468,   469,   470,   471,   472,   784,
     150,   473,   474,     0,   786,   787,   788,   151,   789,   790,
     791,   476,   477,   478,   479,     0,   480,   154,   155,   481,
     792,   482,   793,   483,   484,   485,   486,   487,   488,   794,
     489,   490,   491,   795,   796,   492,   493,   494,   495,   496,
     797,   497,   498,   499,   798,   500,   501,   502,   799,   503,
     504,   505,   506,   163,   507,   508,   509,   165,   800,   510,
     801,   511,   512,   167,   513,   802,   514,   803,   515,   168,
     804,   169,   516,   517,   518,   805,   519,   171,   806,   172,
     520,   807,   521,   522,     0,   523,   524,   173,   525,   526,
     527,   528,   808,   529,   530,   531,   532,   533,   534,   809,
     535,   175,   176,     0,   536,   537,   538,     0,   177,   812,
     178,   813,   539,   179,   180,   540,   181,   541,   542,   543,
     544,   545,   814,   815,   546,   182,   183,   547,   184,   816,
     548,   549,   550,   817,   818,   551,   552,   553,   554,   555,
     556,   557,   558,   559,     0,   560,   561,     0,   562,   563,
     564,   189,   190,   191,   565,   566,   192,   819,   567,   568,
     194,   569,   820,   195,   570,   196,   571,   572,   573,   821,
     574,   822,   823,   575,   576,   577,   824,   825,   578,   197,
     198,   579,   199,   200,   580,   581,   582,   583,   584,   585,
     586,   587,   826,   588,   589,   201,   590,   202,   591,   592,
     593,   827,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,   828,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   829,   617,   618,
     211,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,     0,   628,   830,   629,   630,   631,   632,   633,   831,
     635,   636,   218,   637,   638,   220,   639,   640,   221,   641,
     832,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,   833,   653,   654,   834,   655,   225,   656,
     657,   658,   659,   660,   835,   226,   227,     0,   837,   662,
     663,   228,   664,   229,   838,   665,   666,   667,   668,   669,
     670,   671,     0,   840,   672,   673,   674,   675,   676,   841,
     842,   677,   678,   679,   680,   681,     0,   236,   844,   682,
     237,   683,   684,   685,   686,   845,   846,   687,   847,   848,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,     0,   694,   695,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,   430,     0,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,  1202,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,   524,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
     430,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,  2586,   457,   458,   459,
     460,   143,     0,     0,  2663,   461,   462,   463,   464,     0,
     465,   466,   726,  2587,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
    2664,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,  2589,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,  2665,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,  2590,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,  2591,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     725,   139,   456,  2586,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,   726,
    2587,   467,   468,   469,   470,   471,   472,     0,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,  2664,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,  2589,   515,     0,     0,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,   524,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,  3592,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,  2590,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,     0,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,  2591,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,   734,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,  1097,
     437,   438,  1049,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   725,   139,   456,
       0,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,  1050,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,     0,     0,     0,   516,   517,   518,
    1098,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,   524,     0,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
    1051,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,  1052,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,     0,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,   734,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,  1049,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,  1050,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,  3317,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,   524,     0,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,  1051,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,  1052,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,   524,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,  2586,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,  2587,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,  2664,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,  2589,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,   524,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,  2590,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,  2591,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,   430,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     724,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   725,   139,   456,     0,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,     0,   473,   474,   727,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,   729,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,     0,     0,     0,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,   524,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540,     0,
     541,   542,   543,   544,   545,     0,     0,   546,   182,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,     0,   191,   565,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,     0,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,   734,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,  1049,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,  1050,
       0,   473,   474,     0,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,     0,
       0,     0,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,   524,     0,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,   545,     0,     0,   546,   182,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,   565,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,  1051,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,  1052,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,     0,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,    86,    87,
      88,   711,    90,    91,    92,   712,   957,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,   430,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   958,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,   524,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   959,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,  2257,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,  2258,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
    2259,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,  2260,   515,     0,     0,     0,  2261,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,  2262,  2263,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,  2264,   626,   627,   733,   628,     0,  2265,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
    2266,   655,     0,  2267,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,  2268,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
    1050,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,   524,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,  1051,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,  1052,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,    86,
      87,    88,   711,    90,    91,    92,   712,  2246,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,   430,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     725,   139,   456,     0,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,     0,     0,     0,
     516,   517,  3176,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,   524,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
    3177,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,  2526,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,  3178,   655,     0,   656,  3179,   658,
    3180,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,  3181,   675,   676,     0,     0,   677,
     678,   679,   680,   681,   734,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,   430,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   751,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   725,   139,   456,
       0,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,     0,     0,     0,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,   524,     0,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,     0,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,   734,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,   729,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,   524,     0,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,   430,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,   905,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,   524,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,  1290,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,  1291,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,  1132,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,   430,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
    1406,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   725,   139,   456,     0,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,     0,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,     0,     0,     0,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,   524,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540,     0,
     541,   542,   543,   544,   545,     0,     0,   546,   182,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,     0,   191,   565,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,     0,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,   734,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,   129,   130,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
       0,   473,   474,     0,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,     0,
       0,     0,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,   524,     0,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,   545,     0,     0,   546,   182,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,   565,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,     0,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,  3405,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,   524,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,  3406,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,  3418,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,  3419,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,   524,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,   430,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     725,   139,   456,     0,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,     0,     0,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,   524,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   963,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,     0,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,   734,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,   430,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   725,   139,   456,
       0,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,     0,     0,     0,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,   524,     0,  1011,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,     0,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,   734,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,   524,     0,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,  1067,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,   524,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,  1132,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,  1254,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,  1255,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
    1706,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   725,   139,   456,     0,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,     0,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,     0,     0,     0,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,   524,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540,     0,
     541,   542,   543,   544,   545,     0,     0,   546,   182,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,     0,   191,   565,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,     0,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,   734,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
       0,   473,   474,     0,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,     0,
       0,     0,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,  1891,     0,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,   545,     0,     0,   546,   182,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,   565,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,  1132,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,     0,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,  1943,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,  1944,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,  2113,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,    86,    87,    88,   711,    90,    91,    92,   712,
    2246,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,   524,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,  2526,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,  4449,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     725,   139,   456,     0,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,     0,     0,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,   524,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,     0,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,   734,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,  4463,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   725,   139,   456,
       0,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,     0,     0,     0,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,   524,     0,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,     0,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,   734,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,   524,     0,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,   524,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,  1079,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,  1081,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,  1082,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,     0,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,   524,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,  1083,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,  1084,   227,     0,     0,  1085,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,  1086,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
    1126,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,  1082,   139,   456,     0,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,     0,     0,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,     0,     0,     0,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,   524,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540,     0,
     541,   542,   543,   544,   545,     0,     0,   546,   182,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,     0,   191,   565,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,     0,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,  1127,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,  1128,   227,
       0,     0,  1129,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,  1086,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
       0,   473,   474,     0,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,     0,
       0,     0,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,   524,     0,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,   545,     0,     0,   546,   182,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,   565,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,  1146,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,     0,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,  1278,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
    1285,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,  1301,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     725,   139,   456,     0,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,     0,     0,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,  1363,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,     0,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,   734,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   725,   139,   456,
       0,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,     0,     0,     0,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,  1378,     0,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,     0,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,   734,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,  1420,     0,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,  1478,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,  1482,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   725,   139,   456,     0,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,     0,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,     0,     0,     0,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,  1484,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540,     0,
     541,   542,   543,   544,   545,     0,     0,   546,   182,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,     0,   191,   565,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,     0,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,   734,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
       0,   473,   474,     0,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,     0,
       0,     0,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,  1486,     0,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,   545,     0,     0,   546,   182,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,   565,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,     0,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,  1490,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
    1498,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,  1717,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,  1111,   455,  1082,   139,  1718,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,     0,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,   524,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,  1115,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,  1116,   620,   621,   213,   622,   623,   624,  1117,
     626,   627,   733,   628,     0,   629,   630,   631,   632,  1710,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,  1119,   227,     0,     0,
    1120,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,  1086,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,  1121,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,  1845,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     725,   139,   456,     0,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,     0,     0,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,   524,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,     0,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,   734,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,  1081,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,  1082,   139,   456,
       0,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,     0,     0,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,     0,     0,     0,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,   524,     0,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,     0,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,  1086,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,  2069,     0,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,  2099,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,  2101,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   725,   139,   456,     0,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,     0,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,     0,     0,     0,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,  2173,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540,     0,
     541,   542,   543,   544,   545,     0,     0,   546,   182,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,     0,   191,   565,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,     0,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,   734,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
       0,   473,   474,     0,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,     0,
       0,     0,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,  2175,     0,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,   545,     0,     0,   546,   182,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,   565,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,     0,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,  2177,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,  2294,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,  2492,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,   524,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,     0,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     725,   139,   456,     0,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,     0,     0,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,  2888,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,     0,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,   734,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   725,   139,   456,
       0,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,     0,     0,     0,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,  2892,     0,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,     0,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,   734,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,  2932,     0,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,  3328,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,  3395,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   725,   139,   456,     0,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,     0,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,     0,     0,     0,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,  3408,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540,     0,
     541,   542,   543,   544,   545,     0,     0,   546,   182,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,     0,   191,   565,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,     0,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,   734,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
       0,   473,   474,     0,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,     0,
       0,     0,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,  3410,     0,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,   545,     0,     0,   546,   182,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,   565,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,     0,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,  3525,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
    3547,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,  1111,   455,  1082,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,     0,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,   524,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,  1115,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,  1116,   620,   621,   213,   622,   623,   624,  1117,
     626,   627,   733,   628,     0,   629,   630,   631,   632,  1710,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,  1119,   227,     0,     0,
    1120,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,  1086,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,  1121,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
    1082,   139,   456,     0,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,     0,
       0,   467,   468,   469,   470,   471,   472,     0,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,     0,     0,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,   524,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,     0,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,  1086,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,  1111,   455,  1082,   139,   456,
       0,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,     0,     0,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,     0,     0,     0,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,   524,     0,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,  1115,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,  1116,   620,   621,   213,
     622,   623,   624,  1117,   626,   627,   733,   628,     0,   629,
     630,   631,   632,  1710,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,     0,  2573,   657,   658,   659,   660,     0,
    1119,   227,     0,     0,  1120,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,  1086,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
    1121,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,  1111,   455,  1082,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,     0,     0,   467,   468,   469,   470,   471,
     472,     0,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,   524,     0,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,  1115,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,  1116,   620,   621,   213,   622,   623,   624,
    2648,   626,   627,   733,   628,     0,   629,   630,   631,   632,
    2649,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,  1119,   227,     0,
       0,  2650,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,  1086,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,  1121,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,  1111,
     455,  1082,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,   524,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,  1115,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
    1116,   620,   621,   213,   622,   623,   624,  1117,   626,   627,
     733,   628,     0,   629,   630,   631,   632,  2649,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,  1119,   227,     0,     0,  2650,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,  1086,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,  1121,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,   524,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,     0,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,     0,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,     0,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,    86,    87,    88,     0,    90,    91,
      92,     0,     0,     0,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,     0,     0,     0,   107,
     108,   109,   110,     0,   111,   112,   113,   114, -2582,   115,
     116,   117,     0,     0,     0,     0,     0,   120,   121,     0,
       0,     0,     0,   122,     0,     0,     0,     0,     0,     0,
       0,     0,   123,     0,   124,     0,   125,   126,    35,     0,
     425,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   132,     0,     0,     0,
     134,   135,   136,   137,   138,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   139,     0,     0,     0,
       0,     0,     0,   143,     0,   144,     0,     0,     0,     0,
       0,   147,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   150,     0,     0,     0,     0,     0,     0,
     151,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     154,   155,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   161,     0,
       0,     0,     0,     0,     0,     0,   163,     0,     0,     0,
     165,     0,     0,     0,     0,     0,   167,     0,     0,     0,
       0,     0,   168,     0,   169,     0,     0,     0,     0,     0,
     171,     0,   172,     0,     0,     0,     0,     0,     0,     0,
     173,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   175,   176,     0,     0,     0,     0,
       0,   177,     0,   178,     0,     0,   179,   180,     0,   181,
       0,     0,     0,     0,     0,     0,     0,     0,   182,   183,
       0,   184,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   189,   190,   191,     0,     0,   192,
       0,     0,     0,   194,     0,     0,   195,     0,   196,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   197,   198,     0,   199,   200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   201,     0,
     202,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   204,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,     0,     0,     0,   213,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   218,     0,     0,   220,     0,
       0,   221,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   223,     0,     0,     0,     0,
       0,   225,     0,     0,     0,     0,     0,     0,   226,   227,
       0,     0,     0,     0,   228,     0,   229,     0,     0,     0,
       0,     0,     0,     0,     0,   232,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     236,     0,     0,   237,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    86,    87,
      88,     0,    90,    91,    92,     0,     0,     0,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
       0,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114, -2583,   115,   116,   117,     0,     0,     0,     0,
       0,   120,   121,     0,     0,     0,     0,   122,     0,     0,
       0,     0,     0,     0,     0,     0,   123,     0,   124,     0,
     125,   126,    35,     0,  1197,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     132,     0,     0,     0,   134,   135,   136,   137,   138,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     139,     0,     0,     0,     0,     0,     0,   143,     0,   144,
       0,     0,     0,     0,     0,   147,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   150,     0,     0,
       0,     0,     0,     0,   151,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   154,   155,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   161,     0,     0,     0,     0,     0,     0,     0,
     163,     0,     0,     0,   165,     0,     0,     0,     0,     0,
     167,     0,     0,     0,     0,     0,   168,     0,   169,     0,
       0,     0,     0,     0,   171,     0,   172,     0,     0,     0,
       0,     0,     0,     0,   173,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   175,   176,
       0,     0,     0,     0,     0,   177,     0,   178,     0,     0,
     179,   180,     0,   181,     0,     0,     0,     0,     0,     0,
       0,     0,   182,   183,     0,   184,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   189,   190,
     191,     0,     0,   192,     0,     0,     0,   194,     0,     0,
     195,     0,   196,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   197,   198,     0,   199,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   201,     0,   202,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   204,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,     0,     0,
       0,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   218,
       0,     0,   220,     0,     0,   221,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   223,
       0,     0,     0,     0,     0,   225,     0,     0,     0,     0,
       0,     0,   226,   227,     0,     0,     0,     0,   228,     0,
     229,     0,     0,     0,     0,     0,     0,     0,     0,   232,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   236,     0,     0,   237,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    86,    87,    88,     0,    90,    91,    92,     0,
       0,     0,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,     0,     0,     0,   107,   108,   109,
     110,     0,   111,   112,   113,   114,     0,   115,   116,   117,
       0,     0,     0,     0,     0,   120,   121,     0,     0,     0,
       0,   122,     0,     0,     0,     0,     0,     0,     0,     0,
     123,     0,   124,     0,   125,     0,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   132,     0,     0,     0,   134,   135,
     136,   137,   138,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   139,     0,     0,     0,     0,     0,
       0,   143,     0,   144,     0,     0,     0,     0,     0,   147,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   150,     0,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   154,   155,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   161,     0,     0,     0,
       0,     0,     0,     0,   163,     0,     0,     0,   165,     0,
       0,     0,     0,     0,   167,     0,     0,     0,     0,     0,
     168,     0,   169,     0,     0,     0,     0,     0,   171,     0,
     172,     0,     0,     0,     0,     0,     0,     0,   173,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   175,   176,     0,     0,     0,     0,     0,   177,
       0,   178,     0,     0,   179,   180,     0,   181,     0,     0,
       0,     0,     0,     0,     0,     0,   182,   183,     0,   184,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   189,   190,   191,     0,     0,   192,     0,     0,
       0,   194,     0,     0,   195,     0,   196,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     197,   198,     0,   199,   200,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   201,     0,   202,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   204,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,     0,     0,     0,   213,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   218,     0,     0,   220,     0,     0,   221,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   223,     0,     0,     0,     0,     0,   225,
       0,     0,     0,     0,     0,     0,   226,   227,     0,     0,
       0,     0,   228,     0,   229,     0,     0,     0,     0,     0,
       0,     0,     0,   232,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   236,     0,
       0,   237,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    86,    87,    88,     0,
      90,    91,    92,     0,     0,     0,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,     0,     0,
       0,   107,   108,   109,   110,     0,   111,   112,   113,   114,
       0,   115,   116,   117,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   132,     0,
       0,     0,   134,   135,   136,   137,   138,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   139,     0,
       0,     0,     0,     0,     0,   143,     0,   144,     0,     0,
       0,     0,     0,   147,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   150,     0,     0,     0,     0,
       0,     0,   151,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   154,   155,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     161,     0,     0,     0,     0,     0,     0,     0,   163,     0,
       0,     0,   165,     0,     0,     0,     0,     0,   167,     0,
       0,     0,     0,     0,   168,     0,   169,     0,     0,     0,
       0,     0,   171,     0,   172,     0,     0,     0,     0,     0,
       0,     0,   173,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   175,   176,     0,     0,
       0,     0,     0,   177,     0,   178,     0,     0,   179,   180,
       0,   181,     0,     0,     0,     0,     0,     0,     0,     0,
     182,   183,     0,   184,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   189,   190,   191,     0,
       0,   192,     0,     0,     0,   194,     0,     0,   195,     0,
     196,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   197,   198,     0,   199,   200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     201,     0,   202,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   204,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,     0,     0,     0,   213,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   218,     0,     0,
     220,     0,     0,   221,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   223,     0,     0,
       0,     0,     0,   225,     0,     0,     0,     0,     0,     0,
     226,   227,     0,     0,     0,     0,   228,     0,   229,     0,
       0,     0,     0,     0,     0,     0,     0,   232,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   236,     0,     0,   237,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      35,   430,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   132,   446,
     447,   448,   134,   135,   136,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,     0,   139,   456,
       0,   457,   458,   459,   460,   143,     0,   144,     0,   461,
     462,   463,   464,   147,   465,   466,     0,     0,   467,   468,
     469,   470,   471,   472,     0,   150,   473,   474,     0,     0,
       0,     0,   151,     0,     0,     0,   476,   477,   478,   479,
       0,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,  2222,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,   168,     0,   169,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,     0,
     523,   524,   173,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,   175,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,   179,   180,
     540,   181,   541,   542,   543,   544,   545,     0,     0,   546,
     182,   183,   547,   184,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,     0,
     560,   561,     0,   562,   563,   564,   189,   190,   191,   565,
     566,   192,     0,   567,   568,   194,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,  2223,     0,   575,   576,
     577,     0,     0,   578,   197,   198,   579,   199,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   211,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,     0,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
     220,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,   225,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,  2224,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,     0,   236,     0,   682,   237,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      35,   694,   695,     0,     0,     0,     0,     0,    41,    42,
    1802,  1803,  5343,     0,     0,     0,     0,     0,     0,  5344,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,   129,   130,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   132,   446,
     447,   448,   134,   135,   136,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,     0,   139,   456,
       0,   457,   458,   459,   460,   143,     0,   144,     0,   461,
     462,   463,   464,   147,   465,   466,     0,     0,   467,   468,
     469,   470,   471,   472,     0,   150,   473,   474,     0,     0,
       0,     0,   151,     0,     0,     0,   476,   477,   478,   479,
       0,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,   168,     0,   169,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,     0,
     523,   524,   173,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,   175,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,   179,   180,
     540,   181,   541,   542,   543,   544,   545,     0,     0,   546,
     182,   183,   547,   184,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,     0,
     560,   561,     0,   562,   563,   564,   189,   190,   191,   565,
     566,   192,     0,   567,   568,   194,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,   198,   579,   199,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   211,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,     0,   628,   216,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
     220,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,   224,   655,   225,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,   235,   236,     0,   682,   237,   683,   684,   685,   686,
       0,     0,   687,     0,   238,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
       0,   694,   695,    35,   430,   248,     0,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,     0,    45,   249,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   132,   446,   447,   448,   134,   135,   136,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
       0,   139,   456,     0,   457,   458,   459,   460,   143,     0,
     144,     0,   461,   462,   463,   464,   147,   465,   466,     0,
       0,   467,   468,   469,   470,   471,   472,     0,   150,   473,
     474,     0,     0,     0,     0,   151,     0,     0,     0,   476,
     477,   478,   479,     0,   480,   154,   155,   481,  2425,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,  2222,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,   168,     0,   169,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,     0,   523,   524,   173,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,   175,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,   179,   180,   540,   181,   541,   542,   543,   544,   545,
       0,     0,   546,   182,   183,   547,   184,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,     0,   560,   561,     0,   562,   563,   564,   189,
     190,   191,   565,   566,   192,     0,   567,   568,   194,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,  2223,
       0,   575,   576,   577,     0,     0,   578,   197,   198,   579,
     199,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,   211,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,     0,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,   220,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,   225,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,  2224,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,     0,   236,     0,   682,   237,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,     0,   694,   695,     0,     0,     0,     0,
       0,    35,   430,  1802,  1803,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,   134,   135,   136,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,     0,   139,
     456,     0,   457,   458,   459,   460,   143,     0,   144,     0,
     461,   462,   463,   464,   147,   465,   466,     0,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
       0,     0,     0,   151,     0,     0,     0,   476,   477,   478,
     479,     0,   480,   154,   155,   481,  2430,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,  2222,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
       0,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,   182,   183,   547,   184,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
       0,   560,   561,     0,   562,   563,   564,   189,   190,   191,
     565,   566,   192,     0,   567,   568,   194,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,  2223,     0,   575,
     576,   577,     0,     0,   578,   197,   198,   579,   199,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,     0,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,   220,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
    2224,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,     0,   236,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,     0,   694,   695,     0,     0,     0,     0,     0,    35,
     430,  1802,  1803,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   132,   446,   447,
     448,   134,   135,   136,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,     0,   139,   456,     0,
     457,   458,   459,   460,   143,     0,   144,     0,   461,   462,
     463,   464,   147,   465,   466,     0,     0,   467,   468,   469,
     470,   471,   472,     0,   150,   473,   474,     0,     0,     0,
       0,   151,     0,     0,     0,   476,   477,   478,   479,     0,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,  2222,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,   168,     0,   169,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,     0,   523,
     524,   173,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,   175,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,   179,   180,   540,
     181,   541,   542,   543,   544,   545,     0,     0,   546,   182,
     183,   547,   184,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,     0,   560,
     561,     0,   562,   563,   564,   189,   190,   191,   565,   566,
     192,     0,   567,   568,   194,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,  2223,     0,   575,   576,   577,
       0,     0,   578,   197,   198,   579,   199,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   211,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,     0,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,   220,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,   225,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,  2224,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
       0,   236,     0,   682,   237,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,     0,
     694,   695,     0,     0,     0,     0,     0,    35,   430,  1802,
    1803,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   132,   446,   447,   448,   134,
     135,   136,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,     0,   139,   456,     0,   457,   458,
     459,   460,   143,     0,   144,     0,   461,   462,   463,   464,
     147,   465,   466,     0,     0,   467,   468,   469,   470,   471,
     472,     0,   150,   473,   474,     0,     0,     0,     0,   151,
       0,     0,     0,   476,   477,   478,   479,     0,   480,   154,
     155,   481,  3310,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
    2222,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,   168,     0,   169,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,     0,   523,   524,   173,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,   175,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,   179,   180,   540,   181,   541,
     542,   543,   544,   545,     0,     0,   546,   182,   183,   547,
     184,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,     0,   560,   561,     0,
     562,   563,   564,   189,   190,   191,   565,   566,   192,     0,
     567,   568,   194,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,  2223,     0,   575,   576,   577,     0,     0,
     578,   197,   198,   579,   199,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   211,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,     0,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,   220,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
     225,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,  2224,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,     0,   236,
       0,   682,   237,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,     0,   694,   695,
       0,     0,     0,     0,     0,    35,   430,  1040,  1041,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   132,   446,   447,   448,   134,   135,   136,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,     0,   139,   456,     0,   457,   458,   459,   460,
     143,     0,   144,     0,   461,   462,   463,   464,   147,   465,
     466,     0,     0,   467,   468,   469,   470,   471,   472,     0,
     150,   473,   474,     0,     0,     0,     0,   151,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,   168,
       0,   169,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,     0,   523,   524,   173,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,   175,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,   179,   180,   540,   181,   541,   542,   543,
     544,   545,     0,     0,   546,   182,   183,   547,   184,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,     0,   560,   561,     0,   562,   563,
     564,   189,   190,   191,   565,   566,   192,     0,   567,   568,
     194,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
     198,   579,   199,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     211,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,     0,   628,     0,   629,   630,   631,   632,   633,   634,
     635,   636,   218,   637,   638,   220,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,   225,   656,
     657,   658,   659,   660,     0,   226,   227,   661,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,     0,   236,     0,   682,
     237,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,     0,   694,   695,    35,   430,
       0,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   132,   446,   447,   448,
     134,   135,   136,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,     0,   139,   456,     0,   457,
     458,   459,   460,   143,     0,   144,     0,   461,   462,   463,
     464,   147,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,     0,   150,   473,   474,     0,     0,     0,     0,
     151,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,   168,     0,   169,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,     0,   523,   524,
     173,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,   175,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,   179,   180,   540,   181,
     541,   542,   543,   544,   545,     0,     0,   546,   182,   183,
     547,   184,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,     0,   560,   561,
       0,   562,   563,   564,   189,   190,   191,   565,   566,   192,
       0,   567,   568,   194,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,   198,   579,   199,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   211,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,     0,   628,     0,   629,   630,   631,
     632,   633,   634,   635,   636,   218,   637,   638,   220,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,   225,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,     0,
     236,     0,   682,   237,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    35,   694,
     695,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   132,   446,   447,   448,
     134,   135,   136,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,     0,   139,   456,     0,   457,
     458,   459,   460,   143,     0,   144,     0,   461,   462,   463,
     464,   147,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,     0,   150,   473,   474,     0,     0,     0,     0,
     151,     0,     0,     0,   476,   477,   478,   479,     0,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,  2222,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,   168,     0,   169,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,     0,   523,   524,
     173,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,   175,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,   179,   180,   540,   181,
     541,   542,   543,   544,   545,     0,     0,   546,   182,   183,
     547,   184,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,     0,   560,   561,
       0,   562,   563,   564,   189,   190,   191,   565,   566,   192,
       0,   567,   568,   194,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,  2223,     0,   575,   576,   577,     0,
       0,   578,   197,   198,   579,   199,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   211,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,     0,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,   220,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,   225,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,  2224,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,     0,
     236,     0,   682,   237,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    35,   694,
     695,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   132,   446,   447,   448,
     134,   135,   136,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,     0,   139,   456,     0,   457,
     458,   459,   460,   143,     0,   144,     0,   461,   462,   463,
     464,   147,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,     0,   150,   473,   474,     0,     0,     0,     0,
     151,     0,     0,     0,   476,   477,   478,   479,     0,   480,
     154,   155,   481,  2410,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,   168,     0,   169,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,     0,   523,   524,
     173,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,   175,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,   179,   180,   540,   181,
     541,   542,   543,   544,   545,     0,     0,   546,   182,   183,
     547,   184,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,     0,   560,   561,
       0,   562,   563,   564,   189,   190,   191,   565,   566,   192,
       0,   567,   568,   194,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,   198,   579,   199,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   211,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,     0,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,   220,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,   225,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,     0,
     236,     0,   682,   237,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    35,   694,
     695,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   132,   446,   447,   448,
     134,   135,   136,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,     0,   139,   456,     0,   457,
     458,   459,   460,   143,     0,   144,     0,   461,   462,   463,
     464,   147,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,     0,   150,   473,   474,     0,     0,     0,     0,
     151,     0,     0,     0,   476,   477,   478,   479,     0,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,   168,     0,   169,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,     0,   523,   524,
     173,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,   175,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,   179,   180,   540,   181,
     541,   542,   543,   544,   545,     0,     0,   546,   182,   183,
     547,   184,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,     0,   560,   561,
       0,   562,   563,   564,   189,   190,   191,   565,   566,   192,
       0,   567,   568,   194,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,   198,   579,   199,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   211,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,     0,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,   220,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,   225,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,     0,
     236,     0,   682,   237,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    35,   694,
     695,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   132,   446,   447,   448,
     134,   135,   136,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,     0,   139,   456,     0,   457,
     458,   459,   460,   143,     0,   144,     0,   461,   462,   463,
     464,   147,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,     0,   150,   473,   474,     0,     0,     0,     0,
     151,     0,     0,     0,   476,   477,   478,   479,     0,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,   168,     0,   169,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,     0,   523,  2202,
     173,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,   175,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,   179,   180,   540,   181,
     541,   542,   543,   544,   545,     0,     0,   546,   182,   183,
     547,   184,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,     0,   560,   561,
       0,   562,   563,   564,   189,   190,   191,   565,   566,   192,
       0,   567,   568,   194,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,   198,   579,   199,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   211,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,     0,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,   220,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,   225,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,     0,
     236,     0,   682,   237,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    35,   694,
     695,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
    1280,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   132,   446,   447,   448,
     134,   135,   136,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,     0,   139,   456,     0,   457,
     458,   459,   460,   143,     0,   144,     0,   461,   462,   463,
     464,   147,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,     0,   150,   473,   474,     0,     0,     0,     0,
     151,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,   168,     0,   169,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,     0,   523,   524,
     173,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,   175,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,   179,   180,   540,   181,
     541,   542,   543,   544,   545,     0,     0,   546,   182,   183,
     547,   184,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,     0,   560,   561,
       0,   562,   563,   564,   189,   190,   191,   565,   566,   192,
       0,   567,   568,   194,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,   198,   579,   199,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   211,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,     0,   628,     0,   629,   630,   631,
     632,   633,   634,   635,   636,   218,   637,   638,   220,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,   225,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,     0,
     236,     0,   682,   237,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    35,   694,
     695,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
    1297,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   132,   446,   447,   448,
     134,   135,   136,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,     0,   139,   456,     0,   457,
     458,   459,   460,   143,     0,   144,     0,   461,   462,   463,
     464,   147,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,     0,   150,   473,   474,     0,     0,     0,     0,
     151,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,   168,     0,   169,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,     0,   523,   524,
     173,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,   175,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,   179,   180,   540,   181,
     541,   542,   543,   544,   545,     0,     0,   546,   182,   183,
     547,   184,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,  1298,   556,   557,   558,   559,     0,   560,   561,
       0,   562,   563,   564,   189,   190,   191,   565,   566,   192,
       0,   567,   568,   194,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,   198,   579,   199,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   211,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,     0,   628,     0,   629,   630,   631,
     632,   633,   634,   635,   636,   218,   637,   638,   220,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,   225,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,     0,
     236,     0,   682,   237,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    35,   694,
     695,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   132,   446,   447,   448,
     134,   135,   136,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,     0,   139,   456,     0,   457,
     458,   459,   460,   143,     0,   144,     0,   461,   462,   463,
     464,   147,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,     0,   150,   473,   474,     0,     0,     0,     0,
     151,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,   168,     0,   169,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,     0,   523,   524,
     173,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,   175,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,   179,   180,   540,   181,
     541,   542,   543,   544,   545,     0,     0,   546,   182,   183,
     547,   184,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,     0,   560,   561,
       0,   562,   563,   564,   189,   190,   191,   565,   566,   192,
       0,   567,   568,   194,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,   198,   579,   199,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   211,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,     0,   628,     0,   629,   630,   631,
     632,   633,   634,   635,   636,   218,   637,   638,   220,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,   225,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,  2775,     0,   677,   678,   679,   680,   681,     0,
     236,     0,   682,   237,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    35,   694,
     695,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   132,   446,   447,   448,
     134,   135,   136,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,     0,   139,   456,     0,   457,
     458,   459,   460,   143,     0,   144,     0,   461,   462,   463,
     464,   147,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,     0,   150,   473,   474,     0,     0,     0,     0,
     151,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,   168,     0,   169,   516,   517,   518,     0,   519,
     171,  3727,   172,   520,     0,   521,   522,     0,   523,   524,
     173,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,   175,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,   179,   180,   540,   181,
     541,   542,   543,   544,   545,     0,     0,   546,   182,   183,
     547,   184,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,     0,   560,   561,
       0,   562,   563,   564,   189,   190,   191,   565,   566,   192,
       0,   567,   568,   194,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,   198,   579,   199,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   211,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,     0,   628,     0,   629,   630,   631,
     632,   633,   634,   635,   636,   218,   637,   638,   220,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,   225,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,     0,
     236,     0,   682,   237,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    35,   694,
     695,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   132,   446,   447,   448,
     134,   135,   136,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,     0,   139,   456,     0,   457,
     458,   459,   460,   143,     0,   144,     0,   461,   462,   463,
     464,   147,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,     0,   150,   473,   474,     0,     0,     0,     0,
     151,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,   168,     0,   169,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,     0,   523,   524,
     173,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,   175,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,   179,   180,   540,   181,
     541,   542,   543,   544,   545,     0,     0,   546,   182,   183,
     547,   184,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,     0,   560,   561,
       0,   562,   563,   564,   189,   190,   191,   565,   566,   192,
       0,   567,   568,   194,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,   198,   579,   199,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   211,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,     0,   628,     0,   629,   630,   631,
     632,   633,   634,   635,   636,   218,   637,   638,   220,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,   225,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,     0,
     236,     0,   682,   237,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    35,   694,
     695,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   132,   446,   447,   448,
     134,   135,   136,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,     0,   139,   456,     0,   457,
     458,   459,   460,   143,     0,   144,     0,   461,   462,   463,
     464,   147,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,     0,   150,   473,   474,     0,     0,     0,     0,
     151,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,   168,     0,   169,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,     0,   523,   524,
     173,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,   175,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,   179,   180,   540,   181,
     541,   542,   543,   544,   545,     0,     0,   546,   182,   183,
     547,   184,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,  1386,   556,   557,   558,   559,     0,   560,   561,
       0,   562,   563,   564,   189,   190,   191,   565,   566,   192,
       0,   567,   568,   194,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,   198,   579,   199,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   211,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,     0,   628,     0,   629,   630,   631,
     632,   633,   634,   635,   636,   218,   637,   638,   220,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,   225,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,     0,
     236,     0,   682,   237,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    35,   694,
     695,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   132,   446,   447,   448,
     134,   135,   136,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,     0,   139,   456,     0,   457,
     458,   459,   460,   143,     0,   144,     0,   461,   462,   463,
     464,   147,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,     0,   150,   473,   474,     0,     0,     0,     0,
     151,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,   168,     0,   169,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,     0,   523,  1468,
     173,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,   175,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,   179,   180,   540,   181,
     541,   542,   543,   544,   545,     0,     0,   546,   182,   183,
     547,   184,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,     0,   560,   561,
       0,   562,   563,   564,   189,   190,   191,   565,   566,   192,
       0,   567,   568,   194,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,   198,   579,   199,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   211,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,     0,   628,     0,   629,   630,   631,
     632,   633,   634,   635,   636,   218,   637,   638,   220,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,   225,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,     0,
     236,     0,   682,   237,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    35,   694,
     695,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   132,   446,   447,   448,
     134,   135,   136,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,     0,   139,   456,     0,   457,
     458,   459,   460,   143,     0,   144,     0,   461,   462,   463,
     464,   147,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,     0,   150,   473,   474,     0,     0,     0,     0,
     151,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,   168,     0,   169,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,     0,   523,  1480,
     173,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,   175,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,   179,   180,   540,   181,
     541,   542,   543,   544,   545,     0,     0,   546,   182,   183,
     547,   184,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,     0,   560,   561,
       0,   562,   563,   564,   189,   190,   191,   565,   566,   192,
       0,   567,   568,   194,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,   198,   579,   199,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   211,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,     0,   628,     0,   629,   630,   631,
     632,   633,   634,   635,   636,   218,   637,   638,   220,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,   225,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,     0,
     236,     0,   682,   237,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    35,   694,
     695,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   132,   446,   447,   448,
     134,   135,   136,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,     0,   139,   456,     0,   457,
     458,   459,   460,   143,     0,   144,     0,   461,   462,   463,
     464,   147,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,     0,   150,   473,   474,     0,     0,     0,     0,
     151,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,   168,     0,   169,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,     0,   523,  1494,
     173,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,   175,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,   179,   180,   540,   181,
     541,   542,   543,   544,   545,     0,     0,   546,   182,   183,
     547,   184,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,  1495,   556,   557,   558,   559,     0,   560,   561,
       0,   562,   563,   564,   189,   190,   191,   565,   566,   192,
       0,   567,   568,   194,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,   198,   579,   199,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   211,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,     0,   628,     0,   629,   630,   631,
     632,   633,   634,   635,   636,   218,   637,   638,   220,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,   225,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,     0,
     236,     0,   682,   237,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    35,   694,
     695,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,   129,   130,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   132,   446,   447,   448,
     134,   135,   136,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,     0,   139,   456,     0,   457,
     458,   459,   460,   143,     0,   144,     0,   461,   462,   463,
     464,   147,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,     0,   150,   473,   474,     0,     0,     0,     0,
     151,     0,     0,     0,   476,   477,   478,   479,     0,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,   168,     0,   169,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,     0,   523,   524,
     173,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,   175,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,   179,   180,   540,   181,
     541,   542,   543,   544,   545,     0,     0,   546,   182,   183,
     547,   184,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,     0,   560,   561,
       0,   562,   563,   564,   189,   190,   191,   565,   566,   192,
       0,   567,   568,   194,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,   198,   579,   199,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   211,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,     0,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,   220,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,   225,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,     0,
     236,     0,   682,   237,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,     0,   694,
     695
};

static const yytype_int16 yycheck[] =
{
       2,  1163,  1520,    78,   249,   210,   970,    78,    78,   166,
     116,    78,   393,  1113,   393,  1130,    78,    78,  1168,   930,
     153,  1467,    84,   116,   224,   377,  1476,  1050,  1051,  1052,
    1550,   188,   152,  1056,  1471,  1108,  1877,   230,  2386,   149,
    1439,  1233,  1287,  2261,  1136,  1374,  1300,  1310,  1427,  1428,
    1920,  1738,  1191,  1017,  1459,   161,  1385,   970,  1437,    78,
    2552,  2553,  3035,  1914,  1756,    84,   757,  1355,   161,   159,
     203,  3200,  2211,     2,  1586,  1925,    78,  1936,   989,  1920,
      78,   170,    84,  1120,  3617,  2025,  3659,    89,  2838,   164,
    2399,    96,  2847,  3590,  2096,  1457,  1442,   116,   992,   164,
    3937,   106,  1976,  2712,  3372,  3424,  1360,  3426,  2450,  1003,
    1364,  3990,   758,  3646,   116,  1369,   131,  2765,  1257,  2299,
    1760,   210,  1286,  1377,  3579,   365,   232,  3399,  1416,    94,
     379,  3011,  3574,  1387,  1993,  1994,   141,  3579,  1988,   232,
    1210,  1210,   161,  4263,  3852,  3254,   885,  1016,  3189,  3990,
     152,   156,  1116,  3187,  3188,   379,  2147,  3880,  3185,   161,
    4253,  1002,   881,  3986,  1851,   209,   131,  4044,  2108,   888,
    4250,  4252,  2283,  1286,  4275,   219,  4266,   217,  2393,  1292,
     899,   116,  4262,  1796,  1797,  1798,  4200,   152,   153,  1302,
     248,   930,  1906,  3120,  4725,  1533,  1513,   162,  2200,  3285,
    1250,  4532,  1160,  1116,  2552,  3090,  3091,   209,  3886,   928,
    3095,  3885,  1160,   232,   933,   217,  1855,   219,  4854,  3246,
    4856,  1791,  1792,   116,  5033,   944,   161,  4918,  3815,   166,
     232,  1504,  2841,  3953,    21,  1614,  1615,  1008,   203,  1205,
    1206,    30,    71,    10,    87,    14,    14,  3132,  3133,    87,
     989,   188,    71,  1632,   111,   138,    85,  4899,   117,   117,
    4960,  4961,  1425,  1426,    98,  4956,   957,    84,   161,    74,
      75,    76,    77,  1436,   209,   124,    81,    98,    74,    75,
      76,    77,   217,    14,   219,    81,   185,   241,    74,    75,
      76,    77,   152,   276,    78,    81,  1642,   232,   148,   257,
     115,   115,    71,    89,    90,   131,   217,   131,    87,   160,
     385,   865,   235,   131,   385,   385,    29,   235,   385,  4984,
      74,    75,    76,    77,   385,    78,   230,    81,   131,  3683,
    1353,   393,  2941,  3260,  2943,   342,   320,   116,   146,   232,
      71,   243,   205,    74,    75,    76,    77,   179,   276,    80,
      81,    82,    83,   102,    85,    74,    75,    76,    77,    71,
     109,     8,    81,   335,    11,    12,   428,   146,    80,   203,
      89,    90,   131,    85,   393,    22,    23,    24,   337,    26,
      27,  1520,   203,    78,    31,    32,    33,   385,   399,   185,
    5228,   393,    74,    75,    76,    77,   189,    78,  1513,    81,
      71,  2619,   187,   178,   235,   235,   161,    89,    90,   428,
      78,  5501,   148,   187,    85,    74,    75,    76,    77,  1110,
    1331,   157,    81,    98,   452,   415,   428,   309,   260,   104,
      89,    90,   210,   342,    71,   102,   178,  3185,   148,   235,
    1603,  1604,   109,    80,    74,    75,    76,    77,    85,   389,
     102,    81,    78,    74,    75,    76,    77,     0,   373,  1722,
      81,    78,   178,    14,   429,  1628,  5102,  5158,    89,    90,
    1662,   102,   148,    14,    78,   415,   235,   232,   109,  2805,
     105,   157,   148,   157,   277,   400,   867,  2813,   867,  2815,
      78,   148,  5023,    78,   396,   280,   405,  1689,  3246,    74,
      75,    76,    77,  4349,   532,  4351,    81,    78,  2499,    74,
      75,    76,    77,  5603,   236,   235,    81,    78,   529,    74,
      75,    76,    77,  4537,   406,   532,    81,   511,   203,   350,
     235,   178,    96,  1497,   452,  5200,   178,   322,   190,   390,
     499,   661,   532,    74,    75,    76,    77,  5385,  2539,   532,
      81,    87,  2543,   192,  1032,   268,  1520,   529,  1036,  1037,
    1038,  1207,  1208,   138,   385,   391,  2258,   391,  1046,  1684,
    2262,   403,  2264,   391,   532,  2267,   709,   710,   532,   490,
     116,  1720,  1697,  1477,  1497,   235,  1725,  1726,   391,   374,
    2036,  2041,  1331,   452,   415,   373,    87,    74,    75,    76,
      77,   385,   452,   531,    81,   465,   529,   138,   440,   441,
     146,   428,  1727,  1728,    74,    75,    76,    77,   270,   518,
    4075,    81,   480,   438,   438,   529,  1590,   490,    74,    75,
      76,    77,   385,  4075,    89,    81,  5336,   412,  4718,   473,
      74,    75,    76,    77,   403,  4726,   529,    81,    74,    75,
      76,    77,   216,  1522,  2341,    81,   452,   426,   426,   661,
      71,   480,  1556,    74,    75,    76,    77,   314,  5310,    80,
      81,  4685,   529,  1227,    85,   350,   425,  1590,  1572,   484,
     529,   532,   525,  5492,   522,   523,   524,   525,   475,  4222,
     385,   520,   521,  1587,   894,   426,   661,   529,   529,   441,
     529,  2388,   532,   477,   385,  2392,   532,  5545,   532,  4417,
     385,   166,  3321,   480,   532,   362,   452,   385,  1972,   527,
    1974,  3993,   518,   531,   529,   441,  2055,   486,  4742,   532,
    4453,  1502,  2252,   188,  4457,   531,   523,  1982,   527,   276,
     415,  2029,   452,   529,   709,   710,   525,   532,  4245,    25,
     131,   529,  5443,  1717,   874,  1894,   408,   863,   425,   385,
    2023,  1725,  1726,   388,  5455,  1904,  4444,  2204,   385,  4443,
     863,   184,  1017,   527,  4361,   529,   452,   531,   452,  1892,
    1020,   385,   494,  2633,  5420,   190,   452,  2166,  4508,   520,
     521,   102,   757,  2663,   425,   452,  3288,   385,  3290,   441,
     385,   921,   452,   515,  1717,   867,  5137,   529,   520,   521,
     529,  1163,   532,   238,   385,   462,   368,  5144,  5145,   909,
    1778,   473,  2259,   154,   385,  1964,   959,   532,  1967,  1968,
    1778,  2268,  1945,    25,  5525,   399,   475,   245,   913,  3187,
    3188,  3189,   913,   913,   863,  1811,   913,   529,   867,   520,
     521,  3878,   913,  3880,   418,  5386,   105,  3612,  2708,  3900,
     980,   863,  1062,  1913,   195,   867,   496,  1513,   518,   871,
     529,    98,  1029,   276,  1031,   235,  1033,   485,   880,   881,
    4894,   531,  1039,   520,   521,   515,   888,  4901,   336,  3975,
     245,   216,   276,   180,  3203,  2233,   336,   899,  2037,   529,
    2217,  2239,  5022,  1013,  1153,  4173,  1063,  1064,   529,  3794,
    3795,  3796,  3797,  4185,   916,  3800,  3801,  3802,  3803,  3804,
    3805,  3806,  3807,  3808,  3809,   232,   928,  2566,   863,  1153,
    2500,   933,  2502,  4779,   180,  2208,  1136,  4783,  4784,  2653,
    4786,  1016,   944,   102,   276,  3554,  3555,  4301,  4302,  4303,
    4304,  4305,  1017,   484,   529,    37,  3374,    39,  5489,  4838,
     216,   963,   249,  3990,   529,   320,   178,  1167,   970,   178,
     863,  3856,  3857,   975,   529,   332,   203,   529,   154,   981,
    2143,  2144,  2344,   985,   986,   410,   522,   523,   524,   525,
     992,   150,   957,   190,   959,   532,   272,   178,   529,   158,
    1002,  1003,  4881,   249,   185,  1868,  1008,  2881,    87,  1014,
     391,    74,    75,    76,    77,  1017,  4895,   442,    81,   195,
    4288,   352,   309,   179,  3951,   312,  1031,   186,  1033,   520,
     521,   522,   523,   524,   525,   164,   496,   116,  1043,  1950,
    3255,   454,   276,   441,  2895,  1523,  1011,   358,  1526,  1249,
    1015,  1529,   529,  1531,  4895,   515,  1534,   154,  1063,  1064,
    1538,  2579,   110,   309,   323,   124,   312,   146,   473,   529,
      98,   479,   475,   270,  1114,  1137,   104,  1142,  1118,  1008,
     272,  2104,  3574,   529,   497,   122,   193,  3579,  1146,   529,
    4798,   475,   452,   418,  1031,   529,  1033,  1112,   195,   410,
    2215,   332,   261,   529,   260,  1107,  1108,   235,  5435,   342,
     521,   240,  1114,  3224,  1116,   446,  1118,   176,  1137,   406,
    4843,  5241,  5215,   350,   479,  4848,  1063,  1064,  4851,   257,
    3878,   178,  3880,   185,   445,  1137,   447,   185,   131,   388,
    1142,   322,  1144,   475,  5237,  1110,  2338,  1112,   276,  2548,
     399,  5252,   401,  2558,  5033,  5236,   103,  4612,   385,  5249,
     406,  4839,   418,   185,  3656,  2265,  2266,  5247,   276,  4742,
    4612,  3589,   529,   185,   245,   203,   352,   140,   533,  1114,
     235,  4714,   114,  1118,   236,    70,    71,   144,   415,    74,
      75,    76,    77,    78,    79,    80,    81,    70,   416,  2062,
      85,   533,   257,  1205,  1206,    78,    79,   336,   457,   238,
     269,  1950,   237,   332,   473,   252,   403,   320,   159,  3545,
     257,   276,   185,   510,   342,  3216,  3552,  3553,   399,   441,
    3556,   213,   441,   106,   107,   185,   190,  3563,   190,  1241,
     322,   475,  3990,  1241,  1288,  1289,   306,   403,  4567,   320,
     431,   478,   235,   434,  4526,   352,   293,  2221,    70,   200,
     336,   320,  1191,   392,   510,   180,    78,    79,  2179,   349,
     446,   323,   340,   320,   257,   434,   473,  2171,   385,   249,
     283,  1210,   350,   529,   440,   441,  1288,  1289,   106,   107,
    2184,   190,   274,   276,   342,   164,   185,   530,   529,   532,
     185,  2142,   473,   140,   203,  2199,  5387,  2999,  4193,  1399,
     322,   529,  5135,   338,  1316,  2928,   270,   385,   270,  2434,
     157,  1323,   350,   255,   271,  1327,    71,   320,  1257,    74,
      75,    76,    77,   229,   249,    80,    81,    82,    83,   309,
      85,  1343,   529,   148,   156,   404,   164,   475,   529,   446,
     154,  2220,   157,  1288,  1289,  1357,  2197,   385,  5066,   322,
     342,   234,  5239,   236,   327,   494,   184,   475,  5488,   432,
     433,   240,   322,  5493,    25,  5098,   479,   214,   335,  2518,
     235,   410,  5396,   420,    35,  2485,   408,   415,   154,   230,
     275,   195,  4902,  1395,   309,   232,   208,  4506,   391,   217,
    5279,   530,   257,   366,   533,   533,   124,  2318,   479,   434,
     529,   100,   297,   442,   532,   189,  1661,   380,   486,   441,
     475,   276,   415,   475,   140,  5304,  4453,   187,  5548,   195,
    4457,   120,  2761,  4474,   463,  4469,   406,  1439,   327,  4480,
    2179,   520,   521,   522,   523,   524,   525,  1522,   415,   415,
     262,   527,  5160,   403,   408,   531,  5164,  5165,   176,   481,
    1841,  4341,  1841,  5304,   363,   361,   239,   336,  2538,  2538,
     518,   198,   494,   200,  4929,  1477,  5313,  5314,   533,   527,
    4990,   529,   530,   531,   532,   467,   137,  4929,  2934,   203,
    5610,   406,   475,   515,  2944,  1497,   223,   415,   214,  1501,
    1502,  2938,  1504,   277,   187,   468,  3724,   529,   460,  1749,
    1512,   177,  5009,   237,  1763,  1764,   232,  1766,  1520,   473,
    1525,   473,  1527,   392,   297,  1530,   102,  1532,    98,   366,
    1535,  1536,  1537,  2862,  2863,  2864,  2865,   227,  3389,  1763,
    1764,   164,  1766,  1548,   356,  2874,   387,   227,   352,  2662,
     533,   269,  3900,   333,  1556,   257,   336,  1562,   198,  1564,
     200,   184,   387,   381,   531,  2729,   532,   327,  1570,   237,
    1572,  2217,  1501,  1502,  1029,  1504,  1031,  3217,  1033,  2318,
    1780,   529,   271,  4075,  1039,  1587,   352,  3767,  1590,   871,
     408,  1520,   213,  2732,   217,   322,  4244,   280,   880,  1601,
     327,  2740,   320,  2742,  1569,   332,   286,   396,  1063,  1064,
     236,  3485,   485,  5492,   532,  2579,  2729,  3959,   112,  2907,
     475,   272,   198,   441,  3316,   494,   340,  1629,  5138,   319,
    1736,   468,   452,   203,   916,   520,   521,  5147,  2751,   322,
     349,   307,   446,  1736,   310,  3495,    74,    75,    76,    77,
     366,   108,   180,    81,   466,  1657,  1658,  1659,   454,  1661,
     245,   530,   474,   481,   533,   477,   401,   485,  2781,   494,
     338,  1673,   445,   294,   447,   389,   494,   401,   533,  1681,
     446,   102,  5519,   385,  1790,   474,   404,   389,  1703,  1704,
     515,   374,   332,   975,  5227,   452,     5,   515,   471,   278,
     194,   415,  4311,   985,  4313,  4453,   415,   532,  3710,  4457,
    2621,   529,   532,   415,  4986,  1717,    25,  1736,  1720,   365,
     157,   249,   457,  1725,  1726,   378,    35,   353,  5225,  1791,
    1792,   455,   459,  1735,  1736,   320,  1191,   461,  1703,  1704,
     385,   424,   469,   196,   164,   326,   132,   350,   185,  1855,
    1205,  1206,   468,   206,   140,  1210,   129,   336,   381,  2724,
     217,   518,  1855,  1765,    98,   350,  2660,  1769,  1770,  5266,
     104,  1790,  1791,  1792,   531,   520,   521,   198,  5046,  1841,
    3639,   309,   385,  3642,   312,   408,  1848,  1987,  1790,  1791,
    1792,  1720,   494,   157,  1809,   421,  1725,  1726,   213,  1889,
     385,  1736,  1257,    22,   177,  4778,  3326,   452,   454,  1811,
     225,  4838,   415,   515,  2779,   230,  4843,    70,   441,   188,
     240,  4848,  1841,  5396,  4851,    78,    79,   533,   137,  1848,
     198,  4157,   200,   350,   487,  5154,  1855,  4163,  4164,  1841,
    4166,   422,  2533,  1736,  1809,  3207,  1848,  1849,   452,   187,
     532,   497,    71,  1855,  4881,   223,   284,   165,   481,   274,
     213,   475,  5395,  1865,  3003,   349,  1868,  2890,  4895,   203,
    1872,   494,   225,  1802,  1803,   239,  5148,   230,   406,   294,
     225,  3286,  2621,   225,   253,   322,   259,  3292,    74,    75,
      76,    77,   515,   202,   479,    81,   260,   350,   415,  1828,
    1829,   365,   309,   156,  1906,   312,   529,   188,  3358,  4794,
      87,   297,  1914,  5042,   518,   529,  4889,  3296,  4891,   334,
    1855,   274,    74,    75,    76,    77,   529,   342,   236,    81,
    1865,   415,   385,   297,   307,  2899,   282,   310,  4547,  4548,
    2659,   294,   280,  4693,   177,   239,  1948,   320,   475,   294,
    4705,   188,   294,  2059,   207,   303,  1954,   454,   266,   327,
     350,  1959,  1855,   272,   332,  1894,  2059,  4717,   533,   146,
     494,  1906,   253,   281,   320,  1904,   349,   341,   230,   535,
     225,   334,   510,   291,   322,   230,  2899,   349,   240,   342,
     454,   515,   334,  5261,   127,   385,   187,  2961,   231,   406,
     497,   529,   529,   297,  2723,   257,  5033,  2009,  4926,   317,
    2008,  2131,   306,   146,  2012,    70,   253,   390,   239,    74,
      75,    76,    77,    78,    79,   415,    81,   160,  2030,   262,
    3722,   475,  3194,   497,  1316,  1964,   374,   408,  1967,  1968,
    2059,    40,   401,  2045,  5316,  1327,  5543,   300,  2961,   294,
    4968,  2053,   467,   415,  3994,   403,   429,  2059,  3346,  2778,
    2062,  5594,  2064,  3787,  2445,  1520,  2445,   230,   494,  3208,
     441,  5098,   418,   264,   307,  2275,   297,   310,  2080,   212,
     494,   445,  2084,   447,   475,   529,  2291,   395,   251,   334,
    4838,   459,  3816,   457,  2096,  4843,   444,   350,   457,   272,
    4848,   469,  3622,  4851,   468,   236,   532,   471,  2037,  2111,
     481,  3631,   527,  1395,   467,   530,   531,   198,   532,   200,
    4612,  4469,  2124,   471,  2059,   180,  4474,   473,  2130,   320,
    3375,   322,  4480,  4881,  2136,   266,    74,    75,    76,    77,
    2142,   327,   394,    81,    87,  2220,   494,  4895,   496,  3836,
     281,   445,  2154,   447,   148,  3400,  2221,   378,   529,   399,
     291,   401,   215,   157,   282,  5437,  2059,  2169,  3205,  2171,
    2172,    16,  4042,   116,  5303,   327,  4485,   471,  4028,   378,
    5065,   529,  2184,    74,    75,    76,    77,   491,  4047,  4048,
      81,   444,  2194,   446,   249,  2197,    50,  2199,  2200,   231,
     457,  2290,   320,   146,   378,   258,  2208,  2297,  2283,  2211,
     409,     2,  2283,  2283,    68,   399,  2283,   457,   350,  2221,
     350,   389,  2283,   368,   445,  2230,   447,  2232,   532,  4079,
     262,  2236,   385,  2238,   350,   409,  2241,  3148,  3750,   350,
    2245,   322,   441,   322,  3208,  2351,   430,   415,   327,   350,
     471,   332,  5279,   385,   309,   385,   374,   312,  2351,  2261,
     303,   385,   415,  3376,   395,  1720,   487,   441,   374,   385,
    1725,  1726,   100,  3960,   385,   530,   235,  5304,   533,  2208,
     386,   331,  2211,   415,   385,  5033,   237,    71,   487,   225,
     487,   415,   120,   372,   230,  2986,  2298,  2299,   257,   415,
     418,    85,  2304,  2305,  5576,   411,   303,  2464,  2310,  2311,
    2312,  2313,  3758,   487,   415,  2317,   267,  2319,  2320,  2321,
    2322,  2323,  2324,   303,  2326,  4265,  2328,  2329,   518,  3583,
    2332,   118,  2351,  3679,  3680,   496,  4662,  3450,  4664,  4665,
     230,   531,  4668,  2078,  2346,  2347,  2348,  2349,  2350,  2351,
    5098,   406,   139,  2355,   515,   473,  1811,  2359,   294,   405,
    2362,   251,  2097,  2365,  2366,  2367,  2368,  2369,  2370,  2371,
    2372,  2373,  4511,  2375,   494,   166,  2581,   284,  2583,  3343,
     303,  2383,  2447,  2445,  2386,   527,   494,  1282,  5517,   327,
      34,   533,   165,  4741,  5003,   515,   530,   188,   334,   533,
       7,   444,  1297,    80,   527,  1300,   403,   515,    85,  3148,
    4251,   534,    19,    20,   527,   308,  2351,  4268,   531,  3313,
    3314,  5550,  2579,   403,   532,   445,  2445,   447,   471,  2490,
    3343,    38,  2632,    70,    41,   529,   327,  4929,  2500,  1894,
    2502,    78,    79,  2445,   457,  2447,   532,   444,  2450,  1904,
     536,   494,  2572,   496,   457,   510,  2330,  1954,  2351,  2333,
    2566,  5434,  1959,   236,   444,  5492,  3754,    70,   350,   408,
     387,  3991,  3992,  2566,   471,    78,    79,   496,   532,   336,
     403,  2500,   536,  2502,   341,  3103,   529,  3105,  3106,  3228,
    5619,   471,    84,   266,   303,    87,   515,   494,  2500,   496,
    2502,   336,   441,   385,   496,   405,   341,   389,   281,  1964,
     529,  2008,  1967,  1968,   494,  2012,   496,   306,   291,   156,
    2522,   444,   524,   515,   116,   306,   445,   529,   447,   531,
     122,  5279,   529,   415,   524,   187,   161,   529,  2540,   529,
    2542,   531,   481,  5035,   317,   260,  2548,  2566,   471,   529,
    2552,  2553,    84,   160,   146,   494,  5304,   124,   528,   534,
    2562,     2,   532,   336,  2566,  2567,   324,    71,  2533,  2571,
     207,   494,  3466,   496,    70,    71,   515,  2579,   230,  1512,
     308,  3475,  2037,   528,  2690,  3608,   457,   532,  2694,  2518,
     529,   251,   199,  3972,   403,  2597,   153,  2690,  2600,   166,
    2720,  2694,   529,   527,   531,   529,   529,   531,   487,  2538,
    2612,  2540,   264,  2542,  2616,  4020,   530,  2619,   532,   211,
    3759,  3585,   395,  3587,   191,   405,  2628,   522,   523,   524,
     128,  2566,  4324,  4325,  4326,   444,   530,   140,   532,  2641,
     207,   284,  3734,   146,   211,  4971,   535,   527,    89,   529,
     408,  2653,   529,   303,   157,   137,   138,  2659,  2660,    85,
     252,  3924,   471,   300,   231,   257,  2668,   234,   320,   529,
     322,  2690,  3585,  2566,  3587,  2694,   532,   533,   323,   324,
     247,   336,   185,   441,   187,   494,   403,   496,  2690,  2691,
     532,  3655,  2694,   130,   530,  4565,   532,   128,   530,  3891,
     532,   293,   475,    84,   512,  3599,    87,  3601,   532,   533,
     303,   152,   494,   350,   496,   399,   400,   158,  2653,  2721,
     529,  2723,  2724,   481,   487,  2727,   163,  2833,  1661,   529,
     485,   531,  3894,  3895,  3896,   116,   494,   530,  2848,   532,
    2833,   122,  3655,  2745,  5492,   186,   338,   530,   385,   532,
      89,    90,   389,   403,  2756,  2690,   193,   515,   118,  2694,
     327,   264,   280,   408,  4982,   146,   531,  2769,   335,   303,
     339,   529,   530,    70,    71,   533,  2778,  2779,   415,   399,
     400,    78,    79,  4470,   221,   530,  2721,   532,    85,   520,
     521,   522,   523,   524,   444,   530,   441,   532,  5188,   530,
    5190,  2694,   339,  2732,  5194,   372,  5196,   444,   336,   446,
     403,  2740,   336,  2742,  2833,  4502,   530,   254,   532,   322,
     452,   471,  2824,  2825,   327,   530,    84,   532,   420,    87,
     211,  2833,   530,   512,   532,  3574,   481,  2839,   230,   530,
    3579,   532,  2124,  2845,   494,   512,   496,  3092,   530,   494,
     532,   444,   289,   339,   494,  3749,   496,   494,   116,    74,
      75,    76,    77,   366,   122,   530,    81,   532,   118,   403,
     515,   252,   530,   280,   532,  2877,   257,   380,   471,   529,
     445,   530,   447,   532,   529,   322,   522,  2169,   146,    89,
      90,  3136,   530,  2895,   532,   529,   234,  2899,  2833,   532,
     530,   494,   532,   496,  4149,  5253,   530,   530,   532,  2911,
     444,   530,   293,   350,   351,   128,  4170,    74,    75,    76,
      77,   513,   235,   276,    81,   530,   522,   532,   520,   521,
     522,   523,   524,   525,   533,   535,   529,   471,   535,   272,
    2833,  4633,  4634,   452,  4636,   303,   452,   530,   385,   532,
    4279,   452,   389,   211,   303,   452,   393,   338,   529,  2961,
     494,   452,   496,   400,   530,   468,   532,  2969,   111,   530,
     407,   532,   520,   521,   522,   523,   524,   128,   415,  2261,
     528,   209,    74,    75,    76,    77,  3179,  3180,  3181,    81,
     427,   445,   272,   447,   252,   529,   278,   385,   435,   257,
     530,   530,   532,   532,  3249,  3111,   452,  3009,  4407,  2464,
     529,  3117,    74,    75,    76,    77,   531,   415,  3111,    81,
     530,  2986,   532,  3025,  3117,  3027,   498,    74,    75,    76,
      77,   218,   531,  3035,    81,   293,   530,  3039,   532,   420,
    3042,   218,   530,  3045,   532,   403,    74,    75,    76,    77,
     529,  3053,   489,    81,   403,   530,   530,   532,   532,   257,
    3062,    84,   529,  2518,    87,  3067,   336,  2522,    91,    92,
      93,   530,   257,   532,  3003,   530,   494,   532,   496,   530,
     338,   532,   530,  2538,   532,   530,   444,   532,  3090,  3091,
    3092,   385,  3111,  3095,   530,   444,   532,   530,  3117,   532,
     218,  3103,  3104,  3105,  3106,   530,   530,   532,   532,  3111,
     530,   257,   532,   471,  3116,  3117,   530,  3119,   532,  3121,
     218,   530,   471,   532,  2579,   530,   530,   532,   532,   336,
    3132,  3133,   513,   530,  3136,   532,   494,   336,   496,   520,
     521,   522,   523,   524,   525,   494,   230,   496,  3150,  3224,
    3152,   385,  3154,  3224,  3224,   218,   530,  3224,   532,   530,
     533,   532,   420,  3224,   530,   530,   532,   532,   530,   292,
     532,   529,  3174,   187,   336,    84,  3111,   475,    87,  5020,
     529,  4701,  3117,  3185,   308,  3187,  3188,  3189,   529,   457,
    4329,    84,   331,   530,    87,   532,   405,   487,    91,    92,
      93,   230,   530,  2136,   532,   284,  3208,   116,   530,   530,
    3212,   532,   530,   122,   532,   529,   140,  1008,  3111,   530,
     661,   532,   111,  3225,  3117,   530,   322,   532,  3230,   530,
     530,   532,   532,  4458,  3236,  4460,   498,   146,  1029,   530,
    1031,   532,  1033,   530,  3246,   532,   529,   336,  1039,  1040,
    1041,   530,   530,   532,   532,   513,   530,   530,   532,   532,
     118,    84,   520,   521,   522,   523,   524,   525,    91,    92,
      93,   322,  1063,  1064,   530,   118,   532,  2732,   462,  3208,
    5498,  5499,   530,  3285,   532,  2740,  3288,  2742,  3290,   530,
     530,   532,   532,  3295,   530,  3297,   532,   530,   530,   532,
     532,   530,   211,   532,   530,   530,   532,   532,   530,   350,
     532,  3313,  3314,   230,   530,   338,   532,  3319,  3424,  3425,
    3426,   487,  4216,  4217,   530,   530,   532,   532,   487,   153,
    2612,  3424,  3425,  3426,   230,  4229,  4075,  2619,  3340,   369,
    4532,  3343,   530,   252,   532,  3347,   218,  1157,   257,  1159,
     218,   534,   218,   529,   484,   529,   362,  3463,   529,   218,
     110,   498,  3364,   218,   257,  2298,  2299,   218,   532,   218,
    3463,   218,  2305,   336,   218,   336,   218,   218,  2311,  2312,
    2313,   218,   230,   218,   293,   278,   336,  3389,  2321,  2322,
     218,   218,   218,  2326,   529,   441,   111,   292,   230,  5091,
    1191,   230,   336,   529,   529,  3424,  3425,  3426,   529,   230,
    5102,  5629,  5630,   529,   529,   529,   529,   529,   529,  1210,
     529,   529,  3424,  3425,  3426,  4498,   529,   529,   529,   338,
     529,   495,   529,   347,   529,   529,   529,   276,   529,   529,
     111,   529,   529,   529,  3463,   338,  3448,   529,   529,   529,
     168,   529,   292,   278,   276,   532,  3458,   532,  3460,  3461,
     111,  3463,   230,   334,  3466,   230,  1257,   332,   415,   910,
     522,   272,  3578,  3475,   406,   532,   312,   184,   474,   532,
     518,    14,   532,   452,   529,  3578,   529,   529,  5180,  3424,
    3425,  3426,   452,   516,   517,   518,   403,   520,   521,   522,
     523,   524,   525,   452,   531,   403,   452,   294,   452,   452,
     518,   420,  3864,   452,   157,   338,   403,   218,   336,  3521,
     336,   407,   289,   452,   452,   327,   452,   336,  3463,   970,
     971,   444,   474,   336,  3734,   399,  3669,   332,  3540,   529,
     452,   452,   250,   529,  3546,   157,  3666,   532,  3003,   218,
     350,   257,   475,   475,   179,   452,   128,   128,   452,  3578,
     452,   452,   452,   340,   452,   444,   117,  1008,   452,   452,
    3463,  3573,  3574,   117,  3635,   452,  3578,  3579,   532,  4490,
     336,   278,   452,  3585,  3645,  3587,   403,   336,   498,   452,
     336,   278,   278,  5285,   494,   452,   529,  3599,   111,  3601,
     462,   100,   336,   218,   513,   322,   185,   218,  3669,   529,
     486,   520,   521,   522,   523,   524,   525,  3862,   300,   475,
     332,   111,   322,   516,   517,   518,  1067,   520,   521,   522,
     523,   524,   525,   322,   230,  3880,  3638,   111,   284,   110,
     404,   415,   450,  3578,   529,  3574,   450,   527,   529,   531,
    3579,   218,   527,  3655,  3656,   452,   452,   218,   218,   218,
    1101,   475,   475,  4686,   218,    14,   331,  5185,  4562,  3671,
    1111,   532,   452,   326,  1115,  1116,  1117,  3870,  3871,  3872,
    3873,   314,   235,   490,   529,  3578,   314,    87,   450,   452,
     226,   529,   235,   516,   517,   518,  4858,   520,   521,   522,
     523,   524,   525,  4865,  3669,   243,   454,   518,  3710,   529,
    1501,  1502,  5162,  1504,   418,  5161,   250,   532,   250,   529,
     532,   337,  3724,  3829,   530,  3727,  4980,   532,   274,  1520,
     282,  4625,   475,  4883,   532,   534,  3829,   111,   532,  5176,
     530,  5178,   530,    34,    10,   344,   128,  3749,   530,   452,
    3752,  4490,   475,  3208,   452,   403,   403,  3039,   529,   282,
     282,   327,  4877,  3045,  1205,  1206,   308,  3769,   452,  1210,
    3772,   327,    84,   452,   452,    87,  3778,   529,   487,    91,
      92,    93,  3784,   457,  3786,   405,   230,  3789,   284,   220,
     327,  3793,  3794,  3795,  3796,  3797,   108,   336,  3800,  3801,
    3802,  3803,  3804,  3805,  3806,  3807,  3808,  3809,   118,   220,
    3829,  3813,  3814,   322,   424,   292,  3818,   292,   399,   292,
      78,  3823,   452,   335,   251,  3827,  5344,  3829,   336,  3831,
    3759,   444,  5352,  5353,   452,   336,   532,  3839,   385,   412,
    3842,   278,  3844,   452,   452,   374,   111,   371,   278,   278,
    3852,  3853,   475,   475,  3856,  3857,    70,   278,   284,  3861,
    3862,   278,   260,   335,    78,    79,  3868,   218,   518,   518,
     230,   230,   332,  4612,    84,   232,  3878,    87,  3880,   218,
     487,    91,    92,    93,   529,    99,   412,   529,   218,   217,
    3892,   494,   111,   336,  3829,   336,  3898,  3899,  3900,   322,
     322,  5001,    84,  3185,   284,    87,   164,   248,   248,    91,
      92,    93,   230,   111,   512,   512,   530,   523,   312,  4300,
     218,  4300,   527,  5085,   336,   412,   108,   336,   530,  1720,
     530,   284,   336,   230,  1725,  1726,  3829,   530,   530,    99,
     257,   257,   156,  5463,  3946,   532,   257,   532,   498,   532,
    4107,   241,   452,   529,   235,   311,   128,  3959,   336,   494,
     457,   441,   532,  4069,  3246,   331,   278,   487,  4074,   284,
    4076,   235,   530,  3975,   347,   530,  4069,   346,  2911,   355,
     529,  4074,   530,  4076,   235,  4896,   452,   532,  3990,   530,
     530,   249,   473,   512,   208,   302,   491,   514,   491,   530,
     530,   336,   530,   530,   128,   530,   339,   336,   529,  1800,
     336,  1802,  1803,  1770,  5532,   530,   530,   481,   529,   529,
     518,  4023,   529,   529,   518,   529,   338,   530,   533,  4940,
    1821,   260,   218,   452,   452,   498,  4930,  1828,  1829,   452,
     532,   532,   530,   257,   529,   268,  5185,   327,   262,   452,
    4069,   322,   218,   340,   218,  4074,  1497,  4076,   292,   407,
    1501,  1502,   218,  1504,   407,   407,   260,  4069,   278,   220,
     475,   452,  4074,  4075,  4076,   472,   294,   356,   356,  1520,
    5526,   452,   452,   304,   452,   452,   336,   304,   304,   452,
     452,   452,   322,   415,   403,   403,   278,   452,   452,   403,
     452,   403,   452,  1894,   218,   452,   117,   452,   278,   278,
     278,   278,   245,  1904,   530,   530,   462,   118,   532,  3574,
     452,   379,   178,   530,  3579,  1566,  4128,   385,   338,  4131,
     387,   532,   335,   529,  4069,   530,   336,   111,   218,  4074,
     218,  4076,   356,   230,   245,   528,  4075,   452,   138,  1590,
     529,   475,   475,   230,   403,   403,   338,  4896,   403,  3092,
     532,   339,   216,   216,   209,   412,   278,   278,   278,   527,
     235,  3104,    87,  1964,   347,   230,  1967,  1968,   235,   342,
     486,  4074,   396,  4076,   235,   243,   392,   337,   532,   155,
    4929,  4193,   530,   530,   530,   491,   530,   518,   529,  4260,
     462,  4940,   529,  3136,   516,   517,   518,   532,   520,   521,
     522,   523,   524,   525,  4216,  4217,   530,   518,  4220,   532,
     515,  5185,  1663,   230,   111,   439,   529,  4229,   452,  4231,
     530,  1672,   475,   532,   475,   528,   530,   284,  4300,   268,
     128,  3174,   530,   444,   529,  1686,  2037,   218,  4177,  4178,
     462,   403,   466,   407,   403,   452,   452,   452,   530,   452,
     474,   452,  4323,   477,   518,   385,  4268,  4269,  4270,   530,
     530,   128,   494,   529,   230,   220,  1717,   146,   218,  1720,
    1721,  4300,   444,   178,  1725,  1726,   462,   278,   530,   278,
     278,   278,  5315,   529,   370,   494,   282,   529,  4300,   263,
     230,   529,   151,   444,  3759,   532,   516,   517,   518,   498,
     520,   521,   522,   523,   524,   525,   462,   530,   452,  4524,
      84,   532,   529,   532,   532,  2116,   530,   529,   412,   240,
    4332,   178,   235,   235,   516,   517,   518,   278,   520,   521,
     522,   523,   524,   525,   528,   278,   278,   278,   529,  2140,
     530,  4353,   379,   530,   128,   492,   492,   532,   529,  2150,
     281,  2152,  4364,   130,   347,   530,   345,   281,  2159,   530,
    1811,   530,   529,  2164,   443,   343,   529,   128,   246,   332,
    5344,   462,   530,   530,   452,   530,   518,   235,   494,   146,
     262,   327,  4394,   327,   128,   518,   163,   532,   444,   140,
    4329,  5312,  4404,  4405,   532,  4407,   218,   278,   452,  4411,
    4412,   452,   452,   529,  4416,  4417,  4573,  2208,   237,  4421,
    2211,   235,  4424,  4425,   257,   475,   529,  4429,   412,   111,
     490,   204,   475,  4435,   111,   494,   235,   336,   529,  4500,
     230,   265,  3724,   339,   530,   494,   276,   235,   480,   354,
     529,  4453,   379,   428,   221,  4457,   529,   493,   530,   530,
     281,  4567,    70,   529,   199,   529,   157,  4469,   530,   336,
      78,    79,  4474,   380,  4567,   452,    84,   529,  4480,    87,
     452,   230,   530,    91,    92,    93,   192,   254,   111,   327,
     529,   529,   529,   370,   305,   260,  4498,   530,   529,   529,
     108,   529,   217,   111,   111,  4611,   530,   400,   116,  4511,
     400,   340,   462,   426,   122,   530,  2307,  2308,  4611,   518,
     426,   111,   289,  2314,  2315,  4527,    84,   128,   128,    87,
     530,   529,   529,    91,    92,    93,   529,   529,   146,  1980,
     444,   320,   336,  4545,   444,    81,   475,   532,  4567,   530,
     444,   529,  2343,   224,   530,   322,  4485,   370,   116,   140,
    4562,   339,   140,  2320,   122,  4567,   199,   479,  5532,   494,
     494,  2328,    84,  5312,  4576,   379,   111,   529,   529,   480,
     415,   235,  4511,   532,   351,   444,   377,   230,   146,   327,
    4592,   204,  4611,   491,   262,  4597,  3878,   336,  3880,   336,
     111,   529,  4604,   412,   111,   237,   339,   339,  2399,  4611,
    4612,   529,   237,  4615,   530,   128,   399,   190,    84,   529,
    4075,    87,   389,  4625,   391,    81,   393,   473,   399,    97,
     386,   108,  4567,   400,   217,   532,   452,   529,   235,   530,
     407,  2082,   370,   529,   252,   530,   529,   529,   415,   257,
     116,   532,  4107,  4655,   426,   913,   122,   426,   494,   385,
     427,   237,   494,   237,  2011,  1253,  2846,  1726,   435,  3208,
     278,   279,  1289,  2464,  2703,  4677,  4611,  3400,  4074,  3570,
     146,  2773,  4172,  4612,  1288,   293,  4688,  5198,  5342,  5532,
    5016,  4214,  5020,  4679,   252,  5000,  3320,  5441,  2991,   257,
    4895,  5523,  5370,  5369,  5472,  3324,  4206,  4261,  3990,  4247,
    2836,  2836,  3425,  4069,  2083,  4230,  4704,   325,  4611,  3624,
    2830,  5534,   489,  5628,  5609,  4995,  3578,  2518,  3573,  5483,
     338,  4942,  2072,   341,  5330,   293,  5451,  4945,   188,  4741,
    4332,  4743,  5134,  1573,  4268,   211,  2553,  2538,  3295,  2540,
    5253,  2542,    84,  2286,  1000,    87,   971,  3524,  1016,  1017,
    2286,  5497,  2287,  4611,  1557,  5612,  1131,  2208,  1872,  2447,
    2211,  2221,  2448,  4249,  4501,  5433,  4778,  3957,  1515,  2974,
     338,  1755,  1697,  3225,   116,  2488,   252,  3236,  2579,  1773,
     122,   257,  4794,    78,  1772,  3231,  4798,  3903,  5426,    84,
    5297,  4803,  2487,  4483,    89,  1775,  3246,  3880,  4444,  5099,
    4459,  3878,   420,  1780,   146,  5279,  5278,  3958,  4820,  4821,
    5068,  3689,  4824,  3831,  4867,  5429,  5416,   293,  5430,  2380,
    3228,   116,   111,  3153,  3063,  3212,  4838,  3151,  2383,   661,
    3666,  4843,  2900,  2118,  5407,   394,  4848,  2522,  1786,  4851,
    4852,   130,  1792,  1228,  3964,  1010,  3789,  4859,  4860,  1569,
    2530,  3202,   420,  2531,  5109,  2538,  2497,  3965,  4484,  2310,
    4976,  4876,   338,  3930,  4329,   427,   161,  1501,  2542,  4881,
    2987,  1700,  1790,  4976,   163,  1403,  5131,  4889,  1208,  4891,
    3823,  2250,     2,  4895,    -1,  1153,  4877,    -1,  1042,    -1,
      -1,    -1,    -1,    -1,    -1,   513,    -1,    -1,   516,   517,
     518,    -1,   520,   521,   522,   523,   524,   525,    -1,  1208,
     252,    -1,    -1,    -1,   209,   257,    -1,  4929,  4930,    -1,
      -1,    -1,   217,    -1,   219,  3868,    -1,  4939,    -1,    -1,
    4869,  2732,   221,    -1,  5005,    -1,    -1,   232,    -1,  2740,
      -1,  2742,    -1,    -1,   420,   513,    -1,  4976,   516,   517,
     518,   293,   520,   521,   522,   523,   524,   525,    -1,  5030,
      -1,    -1,    -1,    -1,  4976,   254,  2417,    -1,    -1,    -1,
    4982,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4929,    -1,    -1,    -1,    -1,   284,   338,    -1,    -1,    -1,
     289,    -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,
      -1,    84,    -1,    -1,    -1,    -1,    89,    -1,    -1,    -1,
      -1,  5033,    -1,  5035,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4976,    -1,   322,    -1,    -1,    -1,   513,  5154,    -1,
      -1,    -1,    -1,   116,   520,   521,   522,   523,   524,   525,
      -1,  5154,    -1,  5065,  5066,    -1,  5068,    -1,  5070,    -1,
      -1,    -1,   351,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2522,    -1,  4976,    -1,    -1,    -1,    -1,   420,    96,
      -1,    -1,  5094,    -1,   101,    -1,  5098,  2538,   161,  2540,
      -1,  2542,  5104,    -1,    -1,    -1,    -1,  5109,   393,    -1,
     389,    -1,    -1,    -1,   393,    -1,    -1,    -1,  4573,    -1,
      -1,   400,    -1,    -1,    -1,    -1,    -1,   134,   407,  5131,
      -1,    -1,    -1,  2924,  2925,  5154,   415,    -1,  2579,    -1,
     147,    -1,    -1,   428,    -1,    -1,    -1,    -1,   427,    -1,
      -1,    -1,  5154,    -1,   161,    -1,   435,  4612,  5160,    -1,
      -1,    -1,  5164,  5165,    -1,    -1,    -1,  5169,    -1,   232,
      -1,  4453,    -1,    -1,  5235,  4457,   455,    -1,    -1,    -1,
      -1,   513,    -1,  5185,    -1,    -1,    -1,    -1,   520,   521,
     522,   523,   524,   525,   201,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   212,    -1,  2648,    -1,    -1,
     489,  5213,  3003,    -1,   493,   494,    -1,    -1,    -1,  5154,
      -1,    -1,    -1,    -1,    -1,   232,    -1,    -1,    -1,    -1,
     237,  5233,    -1,    -1,    -1,    -1,  5342,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5342,
      -1,  5253,  5254,    -1,    -1,    -1,  5185,    -1,    -1,    -1,
      -1,    -1,  5264,    -1,  1522,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5276,    -1,    -1,  5279,    -1,    -1,
      -1,    -1,    -1,    -1,    84,    -1,  5288,    87,   981,    -1,
      -1,  5293,    -1,  5295,    -1,  5297,    -1,    -1,    -1,   306,
      -1,    -1,  5304,    -1,    -1,    -1,    -1,  5552,    -1,  1002,
      -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,    -1,  5321,
      -1,    -1,   122,  5342,    -1,    -1,    -1,    -1,    -1,    -1,
     393,   338,    -1,  3090,  3091,    -1,    -1,    -1,  3095,  1597,
    5342,    -1,  5344,    -1,    -1,    -1,   146,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2797,    -1,  1616,    -1,
      -1,    -1,   369,    -1,  2805,   428,    -1,    -1,    -1,    -1,
      -1,    -1,  2813,    -1,  2815,  3132,  3133,    -1,    -1,    -1,
      -1,    -1,  5384,    -1,    -1,    -1,    -1,    -1,  1646,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   403,    -1,    -1,    -1,
     101,    -1,   409,  1661,    -1,   412,  4688,  5342,    -1,    -1,
      -1,   211,  3203,  5415,  5416,  3206,    -1,  3208,    -1,    -1,
    2861,    -1,  5497,  5484,  5426,    -1,  5497,  5497,    -1,    -1,
    5497,    -1,  5434,    -1,   441,    -1,  5497,    -1,    -1,    -1,
    5546,   448,    -1,    -1,  5446,    -1,    -1,   148,   455,  5342,
    2891,    -1,   252,  5546,    -1,   462,    -1,   257,  2899,    -1,
      -1,  4394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4929,    -1,    -1,  5552,   179,    -1,
     487,  5552,  5552,    -1,  2925,  5552,    -1,    -1,    -1,    -1,
    5492,  5552,    -1,   293,    -1,    -1,  5498,  5499,    -1,  5501,
     201,    -1,    -1,  5609,    -1,  1763,  1764,    -1,  1766,    -1,
      -1,   212,    -1,    -1,    -1,    -1,  5609,    -1,  5520,    -1,
    2961,    -1,  5628,    -1,    -1,    -1,    -1,  5546,    -1,    -1,
    5532,   232,    -1,    -1,    -1,  5628,   237,  5612,   338,    -1,
      84,  5612,  5612,    87,  5546,  5612,    -1,    91,    92,    93,
      -1,  5612,    -1,    -1,    -1,    -1,  4838,    -1,    -1,    -1,
      -1,  4843,    -1,    -1,   108,    -1,  4848,    -1,    -1,  4851,
    4852,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   863,    -1,
      84,    -1,   867,    87,   285,    -1,    -1,    91,    92,    93,
    5609,    -1,    -1,    -1,    -1,    -1,   881,    -1,    -1,  4881,
      -1,  5603,  5604,   888,   108,   306,    -1,  5609,    -1,  5628,
      -1,  5546,   116,  4895,   899,  5617,    -1,  5546,   122,    -1,
     420,    -1,    -1,    -1,    -1,    -1,  5628,  5629,  5630,    -1,
    1323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   146,   928,    -1,    -1,    -1,    -1,   933,    -1,
    1343,    -1,    -1,  5546,    -1,    -1,    -1,  4939,    -1,   944,
      -1,    -1,    -1,    -1,  1357,    -1,    -1,    -1,   369,    -1,
      -1,    -1,    -1,    -1,  5609,    -1,    -1,    -1,    -1,    -1,
    5609,    -1,    -1,    -1,    -1,   970,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5628,    -1,   396,    -1,    -1,    -1,  5628,
    4982,   986,   403,    -1,    -1,    -1,    -1,   992,   409,    -1,
      -1,    -1,    -1,   513,    -1,    -1,  5609,    -1,  1003,    -1,
     520,   521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,
    5185,    -1,  1017,    -1,   278,  5628,    -1,    -1,    -1,    -1,
     441,    -1,    -1,   444,    -1,    -1,    -1,    -1,   252,    -1,
      -1,  5033,    -1,   257,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   462,    -1,    -1,    -1,    -1,    -1,  3208,    -1,    -1,
      -1,    -1,    -1,    -1,   278,   279,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3574,    -1,    -1,   487,    -1,  3579,   293,
      -1,    -1,    -1,    -1,   338,    -1,    -1,    -1,    -1,    -1,
     863,    -1,    -1,    -1,   867,    -1,    -1,    -1,    -1,  5264,
      -1,  3602,    -1,    -1,    -1,    -1,  5098,    -1,   881,    -1,
      -1,   325,    -1,    -1,    -1,   888,    -1,    -1,    -1,  1114,
      -1,  1116,    -1,  1118,   338,    -1,   899,   341,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      84,    -1,    -1,    87,    -1,   928,    -1,    91,    92,    93,
     933,    -1,    -1,    -1,    -1,    -1,    -1,  1570,    -1,    -1,
      -1,   944,    -1,    -1,   108,  3676,    -1,    -1,    -1,    -1,
      -1,    -1,  3683,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3343,    -1,    -1,    -1,    -1,   970,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   420,    -1,    -1,    -1,
    1205,  1206,    -1,   986,    -1,    -1,    -1,    -1,    -1,   992,
      -1,  5213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1003,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,    92,
      93,    -1,    -1,    -1,  1017,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2220,    -1,    -1,    -1,    -1,    -1,  3759,    -1,
      -1,    -1,   516,   517,   518,    -1,   520,   521,   522,   523,
     524,   525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3430,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5279,    -1,    -1,
      -1,    -1,    -1,  1288,  1289,    -1,    -1,    -1,    -1,   513,
      -1,    -1,   516,   517,   518,    -1,   520,   521,   522,   523,
     524,   525,  5304,    98,    -1,  2283,    -1,    -1,   532,   104,
      -1,    -1,  3473,    -1,    -1,    -1,    -1,  3794,  3795,  3796,
    3797,    -1,    -1,  3800,  3801,  3802,  3803,  3804,  3805,  3806,
    3807,  3808,  3809,  1116,   278,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   144,
    3827,    -1,    -1,    -1,  1137,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3523,    -1,    -1,    -1,    -1,   130,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2356,  3856,
    3857,    -1,  5384,    -1,  3545,    -1,    -1,    -1,    -1,    -1,
      -1,  3552,  3553,    -1,   338,  3556,    -1,    -1,   193,    -1,
     163,   196,  3563,    -1,    -1,  3566,    -1,    -1,   203,    -1,
      -1,   206,    -1,  3574,    -1,   278,    -1,  5070,  3579,    -1,
      -1,    -1,  1205,  1206,  3585,    -1,  3587,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,    84,
      -1,    -1,    87,    -1,  5446,    -1,    91,    92,    93,    -1,
    3961,    -1,    -1,    -1,    -1,    -1,  5109,    -1,   221,    -1,
      -1,    -1,    -1,   108,  3625,    -1,    -1,   262,    -1,    -1,
      -1,   116,  1477,    -1,    -1,   338,    -1,   122,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5492,   254,  1497,  3654,  3655,    -1,  5498,  5499,    -1,  1444,
      -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2490,    -1,    -1,  1520,    -1,    -1,    -1,    -1,
      -1,   284,  3683,    -1,    -1,   320,   289,   322,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1948,    -1,   332,    -1,    -1,
    1485,    -1,    -1,    -1,    -1,   340,    -1,    -1,  1493,    -1,
      -1,  1556,    -1,    -1,  1499,   350,    -1,    -1,    -1,   322,
      -1,    -1,    -1,    -1,  4075,    -1,    -1,  1572,    -1,    -1,
      -1,    -1,   516,   517,   518,    -1,   520,   521,   522,   523,
     524,   525,  1587,    -1,    -1,  1590,    -1,    -1,   351,    -1,
     385,    -1,    98,   388,   389,    -1,  4107,    -1,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,
      -1,    -1,   257,    -1,    -1,  5617,    -1,  2030,    -1,    -1,
     415,    -1,    -1,  5276,    -1,    -1,   389,  5629,  5630,    -1,
     393,    -1,  2045,   278,   279,  5288,    -1,   400,   144,    -1,
    5293,    -1,  5295,    -1,   407,    -1,    -1,    -1,   293,    -1,
      -1,  2064,   415,   516,   517,   518,    -1,   520,   521,   522,
     523,   524,   525,    -1,   427,    -1,  4177,  4178,    -1,    98,
      -1,    -1,   435,    -1,    -1,   104,    -1,  3838,    -1,    -1,
     325,    -1,    -1,   478,    -1,    -1,    -1,    -1,    -1,    -1,
     196,    -1,   455,   338,  1477,    -1,   341,   203,  2111,    -1,
     206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1717,    -1,  1497,   144,  4193,  2130,    -1,    -1,
    1725,  1726,    -1,    -1,    -1,   231,   489,    -1,    -1,  2142,
     493,  1736,    -1,    98,    -1,    -1,    -1,  1520,    -1,   104,
      -1,  2154,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   262,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   193,    -1,    -1,   196,    -1,    -1,
      -1,    -1,    -1,  1556,   203,   420,    -1,   206,    -1,   144,
      -1,  2194,    -1,    -1,  2197,  1790,  1791,  1792,    -1,  1572,
    4301,  4302,  4303,  4304,  4305,    -1,    -1,    -1,    89,    -1,
      -1,    -1,   231,    -1,  1587,    -1,  1811,  1590,    -1,    -1,
      -1,    -1,    -1,    -1,   320,    -1,   322,    -1,  4329,    -1,
      -1,    -1,    -1,    -1,    -1,   116,   332,    -1,    -1,    -1,
      -1,   196,    -1,   262,   340,    -1,  1841,    -1,   203,    -1,
      -1,   206,    -1,  1848,   350,    -1,    -1,    -1,    -1,    -1,
    1855,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1865,    -1,    -1,    -1,    -1,    -1,   231,    -1,   513,    -1,
     161,   516,   517,   518,    -1,   520,   521,   522,   523,   524,
     525,    -1,   388,   389,    -1,    -1,    -1,   532,    -1,    -1,
      -1,   320,    -1,   322,    -1,    -1,    -1,   262,    -1,    -1,
      -1,  1906,    -1,   332,    -1,    -1,    -1,    -1,    -1,   415,
      -1,   340,    -1,    -1,  4075,    -1,    -1,    -1,   209,    -1,
      -1,   350,    -1,    -1,    -1,    -1,   217,    -1,   219,    -1,
      -1,    -1,    -1,  2346,  1717,    -1,    -1,    -1,    -1,    -1,
      -1,   232,  1725,  1726,    -1,    -1,    -1,  4108,    -1,    -1,
    4111,    -1,  4113,  1736,    -1,   320,   385,   322,    -1,   388,
     389,    -1,    -1,    -1,    -1,    -1,    -1,   332,    -1,    -1,
      -1,    -1,   478,    -1,  4485,   340,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   350,   415,    -1,    -1,    -1,
      -1,    -1,    -1,    89,    -1,    -1,  4157,    -1,    -1,    -1,
    4511,    -1,  4163,  4164,  2009,  4166,    -1,  1790,  1791,  1792,
      -1,  4172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     385,    -1,    -1,   388,   389,    -1,    -1,    -1,  1811,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,    87,
      -1,    -1,    -1,    91,    92,    93,    -1,    -1,    -1,   478,
     415,    -1,    -1,    -1,  2059,    -1,    -1,    -1,  1841,    -1,
     108,    -1,  4573,    -1,    -1,  1848,    -1,    -1,   116,    -1,
      -1,    -1,  1855,    -1,   122,  2080,    -1,    -1,    -1,  2084,
      -1,    -1,    -1,    -1,  4595,  4596,    -1,    -1,    -1,  4600,
    4601,  2096,    -1,    -1,    -1,    -1,    -1,    84,   146,    -1,
      87,  4612,    -1,  4264,    91,    92,    93,    -1,    -1,    -1,
      -1,    -1,    -1,   478,  3092,    -1,    -1,    -1,    -1,    -1,
      -1,   108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,
      -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,
    4301,  4302,  4303,  4304,  4305,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3136,   146,
      -1,    -1,    -1,    -1,    -1,    -1,  2171,  2172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3153,    -1,    -1,    -1,  2184,
    2125,    -1,    -1,    -1,    -1,  4346,    -1,    -1,  4349,    -1,
    4351,  3169,    -1,    -1,  2199,  2200,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2616,   252,    -1,    -1,  3185,    -1,   257,
      -1,    -1,    -1,    -1,    -1,  2628,  2221,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2170,  2009,    -1,    -1,  2174,
     278,   279,    -1,    -1,    -1,  2180,  2181,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   293,  3224,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2668,    -1,    -1,  2203,    -1,
      -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,  3246,    -1,
     257,  3249,    -1,    -1,    -1,    -1,  2059,   325,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     338,   278,   279,   341,    -1,    -1,    -1,  2080,    -1,    -1,
      -1,  2084,    -1,    -1,    -1,    -1,   293,    -1,    -1,    -1,
      -1,    -1,    -1,  2096,    -1,    -1,    -1,  4794,    -1,    -1,
      -1,  4482,    -1,    -1,  4485,  4486,  4803,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   325,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2351,    -1,    -1,    -1,
    4511,   338,    -1,    -1,   341,    -1,    -1,    -1,  4869,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2171,  2172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2184,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2825,    -1,    -1,    -1,  2199,  2200,  4929,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   420,    -1,    -1,    -1,    -1,  2221,    -1,
    2445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4612,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   513,    -1,    -1,   516,   517,
     518,    -1,   520,   521,   522,   523,   524,   525,    -1,    -1,
      -1,    -1,   530,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4653,  4654,    -1,  2500,    -1,  2502,    -1,  2444,
      -1,  4662,    -1,  4664,  4665,    -1,    -1,  4668,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2522,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   513,    -1,    -1,   516,
     517,   518,    -1,   520,   521,   522,   523,   524,   525,    -1,
      -1,    -1,    -1,   530,    -1,    -1,    -1,    -1,    -1,    -1,
    4711,    -1,    -1,    -1,    -1,    -1,    -1,  2562,    -1,    -1,
      -1,  2566,  2567,    -1,    -1,   111,  2571,    -1,  2351,    -1,
      -1,    -1,   863,    -1,  2579,    -1,    -1,    -1,    -1,  4740,
      -1,    -1,    -1,    -1,   130,    -1,    -1,    -1,  5065,    -1,
     881,    -1,  2597,    -1,    -1,    -1,    -1,   888,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   899,    -1,
      -1,    -1,  3025,    -1,    -1,    -1,    -1,   163,  4779,    -1,
      -1,    -1,  4783,  4784,    -1,  4786,    -1,    -1,    -1,  3042,
      -1,    -1,    -1,    -1,    -1,    -1,  2641,   928,    -1,    -1,
    3053,    -1,   933,    -1,    -1,    -1,    -1,    -1,  2653,    -1,
      -1,    -1,    -1,   944,  2659,  2660,    -1,  3635,    -1,    -1,
      -1,    -1,  2445,    -1,    -1,    -1,    -1,  3645,    -1,    -1,
      -1,    -1,    -1,    -1,  5185,   221,    -1,    -1,    -1,   970,
      -1,    -1,    -1,    -1,    -1,  2690,  2691,    -1,    -1,  2694,
      -1,  3669,    -1,    -1,    -1,   986,    -1,    -1,    -1,    -1,
      -1,   992,    -1,    -1,    -1,    -1,    -1,    -1,   254,    -1,
      -1,    -1,  1003,    -1,    -1,    -1,  2721,  2500,  2723,  2502,
      -1,    -1,  2727,    -1,    84,    -1,  1017,    87,    -1,    -1,
      -1,    91,    92,    93,    -1,    -1,    -1,    -1,   284,  2522,
    2745,    -1,    -1,   289,    -1,    -1,    -1,    -1,   108,    -1,
      -1,  2756,    -1,  5264,    -1,    -1,   116,    -1,    -1,    -1,
      -1,    -1,   122,    -1,  2769,    -1,    -1,    -1,  4929,    -1,
      -1,    -1,    -1,  2778,    -1,    -1,   322,    -1,    -1,  2562,
      -1,    -1,    -1,  2566,  2567,   881,   146,    -1,  2571,    -1,
      -1,    -1,   888,    -1,    -1,    -1,  2579,    -1,    -1,    -1,
      -1,    -1,    -1,   899,    -1,   351,    -1,    -1,    -1,    -1,
    4971,    -1,    -1,    -1,  2597,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1114,    -1,  1116,    -1,  1118,  2833,    -1,
      -1,    -1,   928,    -1,    -1,    -1,    -1,   933,    -1,    -1,
      -1,    -1,    -1,   389,    -1,    -1,    -1,   393,   944,    -1,
      -1,    -1,    -1,    -1,   400,    -1,    -1,    -1,  2641,    -1,
      -1,   407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   415,
      -1,    -1,    -1,    -1,    -1,    -1,  2659,  2660,    -1,    -1,
      -1,   427,    -1,    -1,  3862,    -1,    -1,    -1,    -1,   435,
      -1,    -1,   252,    -1,  2899,    -1,    -1,   257,    -1,    -1,
    3878,    -1,  3880,    -1,    -1,    -1,    -1,  2690,  2691,   455,
      -1,  2694,    -1,    -1,  1205,  1206,    -1,    -1,   278,   279,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    87,    -1,   293,  3347,    91,    92,    93,    -1,    -1,
    2723,    -1,    -1,   489,  2727,    -1,    -1,   493,    -1,    -1,
      -1,  3364,   108,    -1,    -1,    -1,  2961,    -1,    -1,    -1,
     116,    -1,  2745,    -1,    -1,   325,   122,    -1,    -1,  2914,
      -1,    -1,    -1,  2756,    -1,    -1,    -1,    -1,   338,    -1,
      -1,   341,    -1,    -1,    -1,    -1,  2769,    -1,  2933,    -1,
     146,    -1,    -1,    -1,    -1,  2778,    -1,  1288,  1289,    -1,
      -1,    -1,    -1,  2948,  3009,    -1,  2951,  2952,    -1,    -1,
      -1,  2956,  2957,    -1,    -1,    -1,    -1,    -1,  2963,    -1,
      -1,    -1,  3027,    -1,  5185,    -1,    98,    -1,  5189,    -1,
    3035,    -1,   104,    -1,    -1,  5546,    -1,    -1,  5199,    -1,
      -1,    -1,    -1,    -1,    -1,  3458,    -1,  3460,    -1,    -1,
    2833,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3037,    -1,    -1,    -1,   252,    -1,  5609,    -1,
      -1,   257,    -1,    -1,    -1,    -1,  3111,    -1,  3521,  1205,
    1206,    -1,  3117,    -1,    -1,    -1,  2899,  5628,    -1,    -1,
      -1,    -1,   278,   279,   196,    -1,    -1,    -1,    -1,    -1,
      -1,   203,    -1,  3546,   206,    -1,    -1,   293,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   513,    -1,    -1,   516,   517,   518,   231,
     520,   521,   522,   523,   524,   525,    -1,    -1,    -1,   325,
     530,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2961,    -1,
      -1,    -1,   338,  5344,    -1,   341,  1477,  5348,    -1,  5350,
     262,    -1,    -1,  5354,  5355,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3208,    -1,    -1,  1497,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3638,  3009,    -1,    -1,  1520,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3027,    -1,    -1,    -1,   320,    -1,
     322,    -1,  3035,    -1,    -1,    -1,    -1,    -1,  3671,    -1,
     332,    -1,    -1,    -1,   420,  1556,    -1,    -1,   340,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,    -1,
      -1,  1572,  4260,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3297,    -1,    -1,    -1,  1587,    -1,    -1,  1590,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3313,  3314,
      -1,    -1,    -1,   385,    -1,    -1,   388,   389,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3111,    -1,
      -1,    -1,    -1,    -1,  3117,  3340,    -1,    -1,  3343,    -1,
      -1,    -1,    -1,   415,    -1,  4323,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,    -1,  3772,
     516,   517,   518,    -1,   520,   521,   522,   523,   524,   525,
      -1,  5532,    -1,    -1,   530,    -1,    -1,    -1,    -1,    -1,
    3793,    -1,    -1,    -1,  3329,  5546,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    98,    -1,    -1,    -1,    -1,
      -1,   104,    -1,    -1,    -1,  3818,   478,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3424,
    3425,  3426,    -1,    -1,    -1,  3208,  1717,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1725,  1726,    -1,    -1,    -1,  3852,
      -1,   144,    -1,  3448,    -1,  1736,    -1,    -1,  5609,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3461,    -1,  3463,    -1,
      -1,  3466,    -1,    -1,  3409,    -1,  3411,  5628,    -1,    -1,
    3475,    -1,    -1,    -1,    -1,  4453,    -1,    -1,    84,  4457,
      -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,
      -1,    -1,    -1,   196,    -1,    -1,    -1,    -1,    -1,  1790,
     203,    -1,   108,   206,    -1,    -1,    -1,    -1,    -1,    -1,
     116,    -1,    -1,    -1,  3297,    -1,   122,    -1,    -1,    -1,
    1811,    -1,  4500,    -1,    -1,    -1,    -1,    -1,   231,    -1,
    3313,  3314,    -1,    -1,    -1,  3540,    -1,    -1,    -1,    -1,
     146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3340,    -1,   262,
    3343,    -1,    -1,    -1,  1855,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3578,  1865,  3520,    -1,    -1,    -1,    -1,
    3585,  3526,  3587,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    84,    -1,  3599,    87,  3601,    -1,    -1,    91,
      92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1906,   108,   320,    -1,   322,
      -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,   332,
     122,    -1,    -1,    -1,    -1,    -1,    -1,   340,    -1,    -1,
      -1,  3424,  3425,  3426,    -1,    -1,   252,   350,    -1,    -1,
    3655,   257,    -1,    -1,   146,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3448,    -1,    -1,    -1,    -1,
      -1,    -1,   278,   279,    -1,    -1,    -1,    -1,  3461,    -1,
    3463,    -1,   385,  3466,    -1,   388,   389,   293,    -1,    -1,
      -1,    -1,  3475,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3710,    -1,    -1,    -1,    -1,
      -1,    -1,   415,    -1,    -1,  1811,    -1,    -1,  2009,   325,
      -1,    -1,  3727,    98,    -1,  3670,    -1,    -1,    -1,   104,
      -1,    -1,   338,    -1,    -1,   341,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3749,    -1,    -1,  3752,  3693,  3694,
      -1,  3696,    -1,  3698,  3699,    -1,    -1,  3540,    -1,    -1,
     252,    -1,    -1,    -1,    -1,   257,  3711,    -1,  2059,   144,
      -1,    -1,    -1,    -1,    -1,   478,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   278,   279,    -1,  2080,
      -1,    -1,    -1,  2084,    -1,  3578,    -1,    -1,    -1,    -1,
      -1,   293,  3585,    -1,  3587,  2096,  3751,  4220,    -1,    -1,
      -1,    -1,    -1,    -1,   420,    -1,  3599,    -1,  3601,    -1,
      -1,   196,    -1,    -1,  3829,    -1,    -1,    -1,   203,    -1,
      -1,   206,    -1,   325,    -1,    -1,    -1,    -1,    96,    -1,
      -1,    -1,    -1,   101,    -1,    -1,   338,    -1,    -1,   341,
      -1,    -1,    -1,    -1,    -1,   113,   231,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4843,    -1,    -1,    -1,    -1,
    4848,    -1,  3655,  4851,    -1,    -1,   134,    -1,    -1,    -1,
    2171,  2172,    -1,    -1,    -1,    -1,    -1,   262,    -1,   147,
      -1,    -1,    -1,  2184,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   161,    -1,  4883,    -1,   513,  2199,  2200,
     516,   517,   518,  2009,   520,   521,   522,   523,   524,   525,
      -1,   179,    -1,    -1,   530,    -1,    -1,  3710,   420,    -1,
    2221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   201,  3727,   320,    -1,   322,    -1,    -1,
      -1,    -1,    -1,    -1,   212,    -1,    -1,   332,    -1,    -1,
      -1,    -1,   220,    -1,    -1,   340,  3749,    -1,    -1,  3752,
      -1,    -1,    -1,    84,   232,   350,    87,    -1,    -1,   237,
      91,    92,    93,    -1,  2080,   243,    -1,    -1,  2084,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,    -1,
    2096,    -1,   260,    -1,  4417,   116,    -1,    -1,    -1,    -1,
     385,   122,    -1,   388,   389,    -1,    -1,    98,  4023,    -1,
      -1,   513,    -1,   104,   516,   517,   518,  5005,   520,   521,
     522,   523,   524,   525,    -1,   146,    -1,    -1,   530,    -1,
     415,    -1,    -1,    -1,    -1,    -1,  3829,    -1,   306,    -1,
      -1,    -1,  5030,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2351,    -1,    -1,   144,  4069,    -1,    -1,    -1,    -1,  4074,
      -1,  4076,    -1,    -1,    -1,    -1,  2172,    -1,    -1,    -1,
     338,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   359,    -1,   478,  2200,    -1,    -1,    -1,    -1,    -1,
      -1,   369,    -1,    -1,    -1,   196,    -1,    -1,    -1,    -1,
    5098,    -1,   203,  4128,    -1,   206,  4131,    -1,    -1,    -1,
      -1,  5109,  4545,    -1,    -1,    -1,    -1,    -1,   396,    -1,
      -1,   252,    -1,   401,    -1,   403,   257,    -1,    -1,    -1,
     231,   409,    -1,  5131,   412,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4576,    -1,    -1,    -1,   278,   279,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   262,   293,   441,  4597,    -1,   444,    -1,    -1,    -1,
     448,    -1,    -1,    -1,    -1,    -1,    -1,   455,    -1,   457,
      -1,    -1,    -1,    -1,   462,    -1,    -1,    -1,    -1,    -1,
      -1,  4216,  4217,    -1,   325,    -1,   474,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4229,    -1,  4231,   338,    -1,   487,
     341,  2522,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   320,
    4023,   322,  4655,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   332,    -1,    -1,    -1,    -1,    -1,  5235,    -1,   340,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,
      -1,  2562,    -1,    -1,    -1,  2566,  2567,    -1,    -1,    -1,
    2571,    -1,    -1,    -1,    -1,    -1,  4069,    -1,  2579,    -1,
      -1,  4074,    -1,  4076,    84,  4300,    -1,    87,    -1,    -1,
      -1,    91,    92,    93,   385,    -1,  2597,   388,   389,   420,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   116,  4332,    -1,    -1,
    4743,    -1,   122,    -1,   415,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4128,    -1,    -1,  4131,    -1,
    2641,    -1,    -1,    -1,    -1,    -1,   146,    -1,    -1,    -1,
      -1,    -1,  2653,  4308,    -1,    -1,    -1,    -1,  2659,  2660,
      -1,  4316,  4317,  4318,  4319,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4798,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   478,    -1,  2690,
    2691,    -1,   513,  2694,    -1,   516,   517,   518,    -1,   520,
     521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,   530,
      -1,    -1,    -1,    -1,    -1,    -1,  2522,    -1,    -1,    -1,
    2721,    -1,  2723,  4216,  4217,    -1,  2727,    -1,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    87,  4229,    -1,  4231,    91,
      92,    93,    -1,    -1,  2745,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   252,    -1,    -1,  2756,  2562,   257,    -1,    -1,
      -1,  2567,    -1,    -1,   116,  2571,    -1,    -1,  2769,    -1,
     122,    -1,    -1,    -1,    -1,    -1,    -1,  2778,   278,   279,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2597,    -1,   293,   146,    -1,  5484,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4300,    -1,  5497,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   325,    -1,    -1,    -1,    -1,
      -1,    -1,  2833,    -1,    -1,  2641,    -1,    -1,   338,  4332,
      -1,   341,    -1,    -1,    -1,    -1,    -1,  4562,    -1,    -1,
      -1,    -1,  4567,  2659,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5552,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4592,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2691,    -1,    -1,  4543,  4604,
      -1,    -1,    -1,    -1,    -1,    -1,  4611,    -1,  2899,    -1,
     252,    -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,    -1,
    4625,    -1,    -1,    -1,    -1,    -1,    -1,  2723,    -1,    -1,
     420,  2727,  4577,  4578,  5612,    -1,   278,   279,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2745,
      -1,   293,    -1,  5066,    84,    -1,    -1,    87,    -1,    -1,
    2756,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,
    2961,    -1,    -1,  2769,    -1,    -1,    -1,    -1,   108,    -1,
      -1,    -1,  2778,   325,    -1,    -1,   116,    -1,    -1,    -1,
      -1,  5104,   122,    -1,    -1,    -1,   338,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4656,  4657,    -1,    -1,    -1,   146,    -1,  3009,    -1,
      -1,    -1,    -1,   513,    -1,    -1,   516,   517,   518,    -1,
     520,   521,   522,   523,   524,   525,  3027,    -1,    -1,    -1,
     530,    -1,    -1,    -1,  3035,    -1,    -1,  5160,    -1,    -1,
      -1,  5164,  5165,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4778,    -1,    -1,    -1,    -1,   420,  4562,
      -1,    -1,    -1,    -1,  4567,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4751,    -1,    -1,  4592,
      -1,    -1,    -1,    -1,    -1,    -1,  4761,  4762,    -1,    -1,
    3111,  4604,   252,    -1,    -1,    -1,  3117,   257,  4611,    -1,
      84,    -1,  4777,    87,    -1,    -1,    -1,    91,    92,    93,
      -1,  5254,  4625,    -1,    -1,    -1,    -1,    -1,   278,   279,
      -1,    -1,    -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,
      -1,    94,   116,   293,    -1,    -1,    -1,    -1,   122,    -1,
      -1,   513,    -1,    -1,   516,   517,   518,    -1,   520,   521,
     522,   523,   524,   525,  4889,    -1,  4891,    -1,    -1,    -1,
      -1,    -1,   146,    -1,    -1,   325,    -1,    -1,   131,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   338,    -1,
      -1,   341,    -1,  3009,    -1,    -1,    -1,  3208,    -1,   152,
      -1,    -1,    -1,    -1,    -1,  4930,    -1,    -1,    -1,    -1,
      -1,  3027,    -1,    -1,    -1,    -1,    -1,   170,    -1,  3035,
      -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,    87,
     164,    -1,   185,    91,    92,    93,    -1,    -1,    -1,    -1,
     193,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     108,  4976,    -1,    -1,    -1,   208,    -1,   210,   116,    -1,
      -1,   214,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,
     420,   224,    -1,    -1,    -1,  4778,    -1,    -1,   252,   213,
     233,    -1,    -1,   257,    -1,    -1,  3297,    -1,   146,    -1,
      -1,   225,    -1,    -1,    -1,    -1,   230,    -1,    -1,    -1,
      -1,   235,  3313,  3314,   278,   279,   240,    -1,    -1,   243,
      -1,    -1,   246,    -1,    84,    -1,    -1,    87,    -1,   293,
      -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,  3340,
      -1,    -1,  3343,    -1,    -1,    -1,    -1,    -1,   108,    -1,
     274,    -1,    -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,
      -1,   325,   122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     294,    -1,    -1,   513,   338,    -1,   516,   517,   518,    -1,
     520,   521,   522,   523,   524,   525,   146,    -1,    -1,    -1,
     530,    -1,    -1,    -1,    -1,    -1,  4889,    -1,  4891,    -1,
      -1,    -1,    -1,  5058,   252,    -1,    -1,    -1,    -1,   257,
     334,    -1,   336,    -1,    -1,    -1,    -1,    -1,   342,    -1,
      -1,    -1,    -1,  3424,  3425,  3426,    -1,    -1,    -1,    -1,
     278,   279,    -1,    -1,    -1,    -1,    -1,  4930,    -1,  5154,
      -1,    -1,    -1,    -1,    -1,   293,    -1,  3448,    -1,    -1,
      84,    -1,    -1,    87,    -1,    -1,   420,    91,    92,    93,
    3461,    -1,  3463,    -1,    -1,  3466,    -1,    -1,   392,    -1,
    5185,    -1,    -1,    -1,  3475,    -1,    -1,   325,    -1,    -1,
      -1,  5136,   116,  4976,    -1,    -1,    -1,    -1,   122,    98,
     338,  3297,   252,   341,    -1,   104,    -1,   257,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   146,    -1,    -1,    -1,    -1,   441,   278,   279,
     129,    -1,    -1,    -1,    -1,    -1,  5181,    -1,    -1,    -1,
      -1,    -1,    -1,   293,  3340,   144,    -1,    -1,    -1,  3540,
      -1,    -1,    -1,   467,    -1,    -1,    -1,    -1,    -1,   513,
      -1,    -1,   516,   517,   518,    -1,   520,   521,   522,   523,
     524,   525,    -1,    -1,    -1,   325,    -1,   491,   177,   493,
     494,    -1,   420,    -1,    -1,    -1,    -1,  3578,   338,    -1,
      -1,   341,    -1,    -1,  3585,    -1,  3587,   196,    -1,    -1,
      -1,    -1,    -1,    -1,   203,    -1,    -1,   206,  3599,    -1,
    3601,    -1,    -1,   527,    -1,    -1,   530,   531,    -1,   533,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,
      -1,    -1,   231,   257,    -1,    -1,    -1,  5342,    -1,  5344,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3448,    -1,   278,   279,    -1,    -1,    -1,    -1,
     259,    -1,    -1,   262,  3655,  3461,    -1,    -1,    -1,   293,
     420,  5154,    -1,    -1,    -1,   513,    -1,    -1,   516,   517,
     518,    -1,   520,   521,   522,   523,   524,   525,    -1,    -1,
      -1,    -1,   530,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   325,  5185,    -1,    -1,    -1,    -1,    -1,   307,    -1,
      -1,   310,    -1,    -1,   338,    -1,    -1,    -1,    -1,  3710,
      -1,   320,    -1,   322,    -1,    -1,    -1,    -1,   661,  5434,
      -1,    -1,    -1,   332,    -1,    -1,  3727,    -1,    -1,    -1,
      -1,   340,    -1,    -1,  3540,    -1,    -1,    -1,    -1,    -1,
     349,   350,    -1,    -1,    -1,    -1,    -1,    -1,  3749,    -1,
      -1,  3752,    -1,   513,    -1,    -1,   516,   517,   518,    -1,
     520,   521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,
     530,    -1,    -1,    -1,    -1,    -1,   385,    -1,    -1,   388,
     389,   390,    -1,    -1,    -1,    -1,   420,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    87,   415,    -1,    -1,    91,
      92,    93,    -1,    -1,    -1,    -1,    -1,  5532,    -1,    -1,
     429,    -1,    -1,    -1,    -1,    -1,   108,    -1,  3829,    -1,
      -1,  5546,    -1,    -1,   116,    84,    -1,    -1,    87,    -1,
     122,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,  5342,
      -1,  5344,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,
      -1,    -1,    -1,  5518,   146,    -1,    -1,   116,    -1,   478,
      -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,   513,
      -1,    -1,   516,   517,   518,    -1,   520,   521,   522,   523,
     524,   525,    -1,    -1,  5609,    -1,    -1,   146,    -1,    -1,
      -1,    -1,    -1,    -1,  3710,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5628,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3727,    -1,    -1,    -1,    -1,    -1,    -1,   871,   872,
     873,   874,    -1,   876,    -1,   878,    -1,   880,    -1,   882,
      -1,  5434,   885,    -1,    -1,    -1,  3752,    -1,   891,    -1,
      -1,   894,    -1,    -1,    -1,   898,    -1,   900,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   908,    -1,    -1,    -1,    -1,
     252,   914,    -1,   916,    -1,   257,   919,    -1,   921,    -1,
     923,    -1,    -1,    -1,    -1,    -1,    -1,   930,    -1,    -1,
      -1,   934,    -1,    -1,    -1,    -1,   278,   279,   941,    -1,
      -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,   257,    -1,
      -1,   293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4023,    -1,    -1,    -1,    -1,    -1,    -1,   278,
     279,    -1,   975,   164,    -1,    -1,    -1,   980,    -1,  5532,
      -1,    -1,   985,   325,   293,    -1,   989,    -1,    -1,    -1,
      -1,    -1,    -1,  5546,    -1,    -1,   338,    -1,    -1,   341,
      -1,    -1,    -1,  1006,    -1,    -1,    -1,    -1,  4069,    -1,
      -1,    -1,    -1,  4074,    -1,  4076,   325,    -1,    -1,    -1,
      -1,    -1,   213,    -1,    -1,    -1,    -1,    -1,    -1,   338,
      -1,    -1,   341,    -1,   225,    -1,    -1,    -1,    -1,   230,
      -1,    -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,   240,
      -1,    -1,   243,    -1,    -1,   246,  5609,    -1,    -1,  1062,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4128,    -1,    -1,
    4131,    -1,    -1,    -1,  1077,  5628,  1079,    -1,   420,    -1,
      -1,    -1,    -1,   274,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   294,  1107,  1108,    -1,    -1,    -1,  1112,
    1113,   420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1132,
      -1,    -1,    -1,  1136,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1144,    -1,   334,    -1,   336,    -1,    -1,    -1,    -1,
      -1,   342,  1155,    -1,    -1,  4216,  4217,  4023,    -1,    -1,
      -1,    -1,    -1,    -1,  1167,    -1,    -1,    -1,  4229,    -1,
    4231,   513,    -1,    -1,   516,   517,   518,    -1,   520,   521,
     522,   523,   524,   525,    -1,    -1,    -1,    -1,   530,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   392,    -1,    -1,   513,    -1,    -1,   516,   517,   518,
      -1,   520,   521,   522,   523,   524,   525,    98,    -1,    -1,
      -1,   530,    -1,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1249,    -1,    -1,    -1,
     441,    -1,    -1,    -1,    -1,  1258,    -1,    -1,    -1,    -1,
    1263,  1264,  4128,   144,    -1,  4131,    -1,    -1,    -1,    -1,
      -1,  4332,    -1,    -1,    -1,    -1,   467,    -1,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,
      92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     491,    -1,   493,   494,    -1,    -1,   108,    -1,    -1,    -1,
      -1,    -1,    -1,  1316,   116,   196,    -1,    -1,    -1,    -1,
     122,    -1,   203,    -1,  1327,   206,    -1,    -1,  1331,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   527,    -1,    -1,   530,
     531,    -1,   533,  1346,   146,    -1,    -1,    -1,    -1,    -1,
     231,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,    92,
      93,    -1,    -1,  1366,    -1,  4231,    -1,    -1,    -1,  1372,
    1373,    -1,    -1,     5,    -1,   108,    -1,    -1,    -1,    -1,
      -1,   262,    -1,   116,    -1,    -1,  1389,  1390,  1391,   122,
    1393,    -1,  1395,    25,    -1,    -1,    -1,  1400,    -1,    -1,
      -1,    -1,    -1,    35,    36,    -1,    -1,    -1,    -1,    -1,
      42,    43,    -1,   146,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,   320,
      -1,   322,    74,    75,    76,    77,    78,    79,    80,    81,
     252,   332,    -1,    85,    -1,   257,    -1,    -1,    -1,   340,
      -1,    -1,    -1,    -1,    -1,    -1,  4332,    -1,  1471,   350,
    1473,  1474,    -1,    -1,    -1,    -1,   278,   279,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4562,    -1,    -1,   385,   137,  4567,   388,   389,  1512,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,
      -1,    -1,    -1,   325,   257,    -1,    -1,    -1,    -1,    -1,
      -1,  4592,    -1,    -1,   415,    -1,   338,    -1,    -1,   341,
      -1,    -1,    -1,  4604,    -1,   278,   279,  1550,  1551,    -1,
    4611,    -1,  1555,    -1,  1557,    -1,    -1,    -1,    -1,    -1,
     293,    -1,    -1,    -1,  4625,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   210,    -1,
    1583,    -1,    -1,  1586,    -1,    -1,  1589,    -1,    -1,    -1,
      -1,    -1,   325,    -1,    -1,    -1,   228,   478,  1601,    -1,
      -1,    -1,    -1,    -1,    -1,   338,    -1,    -1,   341,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   249,   420,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1629,    84,    -1,    -1,
      87,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,    -1,
     272,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   108,    -1,    -1,  1657,  1658,  1659,    -1,  1661,   116,
      -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,  1681,    -1,
     312,    -1,    -1,    -1,    -1,    -1,    -1,   420,    -1,   146,
      -1,    -1,    -1,    -1,    -1,   327,    -1,    -1,    -1,    -1,
    1703,  1704,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   513,    -1,    -1,   516,   517,   518,  4778,   520,   521,
     522,   523,   524,   525,    -1,    -1,  4592,    -1,   530,  1732,
      -1,    -1,  1735,    -1,    -1,    -1,    -1,    -1,  4604,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1765,    -1,    -1,    -1,  1769,  1770,    -1,    -1,
      -1,    -1,    -1,    -1,   406,    -1,    -1,  1780,  1781,  1782,
     513,    -1,    -1,   516,   517,   518,    -1,   520,   521,   522,
     523,   524,   525,    -1,    -1,   252,    -1,   530,    -1,    -1,
     257,    -1,    -1,    -1,    -1,    -1,  1809,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     452,   278,   279,    -1,    -1,    -1,    -1,    -1,  4889,    -1,
    4891,    -1,    -1,    -1,    -1,   467,   293,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     482,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    96,    -1,    -1,    -1,    -1,   101,   325,  4930,
      -1,    -1,    -1,    -1,    98,    -1,    -1,    -1,   510,    -1,
     104,   338,    -1,    -1,   341,    -1,   518,    -1,   520,   521,
     522,   523,   524,    -1,    -1,   527,   528,   529,  1901,    -1,
     134,    -1,   534,   535,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4778,   147,   148,  4976,  1919,  1920,    -1,    -1,
     144,    -1,    -1,   157,    -1,  1928,    -1,   161,  1931,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   179,    -1,  1950,    -1,  1952,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1960,    -1,    -1,
    1963,    -1,    -1,   420,    -1,    -1,    -1,   201,    -1,    -1,
      -1,    -1,   196,    -1,    -1,    -1,    -1,    -1,   212,   203,
      -1,    -1,   206,    -1,  1987,    -1,   220,    -1,    -1,    -1,
      -1,    -1,  1995,  1996,  1997,  1998,  1999,    -1,   232,    -1,
      -1,    -1,    -1,   237,    -1,    -1,    -1,   231,    -1,    -1,
    2013,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2025,  4889,  2027,  4891,   260,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2039,  2040,   262,    -1,
      -1,    -1,    -1,    -1,    -1,  2048,    -1,    -1,    -1,    -1,
      -1,   285,    -1,    -1,    -1,  2058,   513,    -1,    -1,   516,
     517,   518,    -1,   520,   521,   522,   523,   524,   525,    -1,
      -1,    -1,   306,   530,  2077,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2086,  2087,  2088,  2089,    -1,    -1,    -1,
      -1,    -1,    -1,  5154,    -1,  2098,   320,    -1,   322,    -1,
      -1,    -1,  2105,    -1,   338,  2108,    -1,    -1,   332,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   340,    -1,    -1,    -1,
      -1,  2124,    -1,    -1,  5185,   359,   350,    -1,  2131,    -1,
      -1,    -1,    -1,  2136,    -1,   369,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   385,   396,    -1,   388,   389,  2169,   401,    -1,   403,
      -1,    -1,    -1,    -1,    -1,   409,  2179,    -1,   412,    -1,
    2183,    -1,    -1,  2186,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   415,    -1,  2196,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2204,  2205,    -1,    -1,    -1,    -1,   441,    -1,    -1,
     444,    -1,    -1,    -1,   448,  2218,    -1,    -1,    -1,    -1,
      -1,   455,    -1,   457,    -1,    -1,    -1,    -1,   462,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2252,
      -1,    -1,    -1,   487,   478,    -1,  2259,    -1,  2261,    -1,
      -1,    -1,  2265,  2266,    -1,  2268,    -1,    -1,    -1,    -1,
      -1,    -1,  2275,   981,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5342,  2285,  5344,    -1,    -1,    -1,  2290,  2291,    -1,
      -1,  2294,    -1,    -1,  1002,  2298,  2299,    -1,    -1,    -1,
      -1,  2304,  2305,    -1,    -1,    -1,    -1,    -1,  2311,  2312,
    2313,    -1,    -1,    -1,  2317,  2318,  2319,  2320,  2321,  2322,
    2323,  2324,    -1,  2326,    -1,  2328,  2329,    -1,    -1,  2332,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2347,  2348,  2349,  2350,    -1,    -1,
      -1,  2354,  2355,    -1,    -1,    -1,  2359,    -1,    -1,  2362,
      -1,    -1,  2365,  2366,  2367,  2368,  2369,  2370,  2371,  2372,
    2373,    -1,  2375,  5434,    -1,    -1,    -1,    -1,    -1,  2382,
    2383,    -1,    -1,  2386,    -1,    -1,    -1,    -1,    -1,    -1,
      84,    -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,
      -1,    -1,    -1,    -1,    -1,  2408,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,   122,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2446,    -1,  2448,    -1,  2450,    -1,    -1,
      -1,    -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5532,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2485,    -1,    -1,  5546,    -1,    -1,    98,  2492,
      -1,  2494,    -1,    -1,   104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,
      92,    93,    -1,    -1,    -1,    98,    -1,    -1,    -1,    -1,
      -1,   104,    -1,    -1,   144,    -1,   108,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,  5609,    -1,
     122,    -1,    -1,    -1,    -1,    -1,   129,    -1,   252,    -1,
      -1,    -1,    -1,   257,    -1,    -1,    -1,  5628,  5434,  2572,
      -1,   144,    -1,    -1,   146,    -1,    -1,    -1,  2581,    -1,
    2583,    -1,    -1,    -1,   278,   279,   196,    -1,    -1,    -1,
      -1,    -1,    -1,   203,    -1,    -1,   206,  2600,    -1,   293,
      -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,    -1,  2612,
      -1,  2614,  2615,    -1,    -1,  1323,  2619,    -1,  2621,    -1,
    2623,   231,  2625,   196,    -1,    -1,  2629,    -1,    -1,  2632,
     203,   325,    -1,   206,    -1,  1343,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   338,    -1,    -1,   341,    -1,  1357,
      -1,    -1,   262,    -1,    -1,    -1,    -1,    -1,   231,    -1,
    2663,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2671,    -1,
      -1,    -1,    -1,    -1,    -1,  2678,    -1,    -1,    -1,    -1,
     252,    -1,    -1,    -1,  2687,   257,   259,    -1,    -1,   262,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2706,    -1,    -1,   278,   279,  2711,  2712,
     320,    -1,   322,    -1,    -1,    -1,    -1,  2720,    -1,    -1,
      -1,   293,   332,    -1,    -1,    -1,   420,    -1,    -1,    -1,
     340,  1439,    -1,    -1,   307,  2738,    -1,   310,    -1,    -1,
     350,    -1,    -1,    -1,    -1,    -1,    -1,   320,    -1,   322,
      -1,    -1,    -1,   325,    -1,    -1,    -1,    -1,    -1,   332,
      -1,    -1,  2765,    -1,  2767,  2768,   338,   340,    -1,   341,
      -1,    -1,    -1,    -1,    -1,   385,   349,   350,   388,   389,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2796,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2804,    -1,  2806,    -1,   415,    -1,    -1,    -1,  2812,
      -1,    -1,   385,    -1,    -1,   388,   389,   390,    -1,   513,
      -1,  2824,   516,   517,   518,    -1,   520,   521,   522,   523,
     524,   525,    -1,    -1,    -1,  2838,   530,    -1,  2841,    -1,
    2843,    -1,   415,  2846,    -1,    -1,  2849,    -1,   420,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   429,    -1,    -1,    -1,
      -1,    -1,  1570,    -1,    -1,    -1,    -1,    -1,   478,    -1,
      -1,    84,  2875,    -1,    87,    -1,    -1,    -1,    91,    92,
      93,  2884,  2885,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   108,    -1,  2900,    -1,    -1,
      -1,    -1,    -1,   116,    -1,   478,    -1,    -1,  2911,   122,
     872,   873,    -1,    -1,   876,    -1,   878,    -1,    -1,    -1,
      -1,    -1,  2925,  2926,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   146,    -1,  2938,   898,  2940,  2941,  2942,
    2943,   513,    -1,    -1,   516,   517,   518,    -1,   520,   521,
     522,   523,   524,   525,    -1,    -1,    -1,   919,   530,    -1,
      -1,   923,    -1,    -1,    -1,    -1,  2969,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   941,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2991,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1720,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3029,    -1,    -1,    -1,
      -1,   101,    -1,    -1,    -1,    -1,  3039,    -1,    -1,   252,
      -1,    -1,  3045,    -1,   257,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3056,    -1,    -1,    -1,    -1,    -1,  3062,
      -1,    -1,    -1,    -1,  3067,   278,   279,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,    -1,    -1,
     293,    -1,    -1,    -1,    -1,    -1,    -1,  3090,  3091,  3092,
      -1,   161,  3095,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3103,  3104,  3105,  3106,    -1,    -1,    -1,    -1,    -1,   179,
      -1,    -1,   325,  3116,    -1,   185,  3119,    -1,  3121,    -1,
      -1,    -1,    -1,    -1,    -1,   338,    -1,    -1,   341,  3132,
    3133,   201,    -1,  3136,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1849,   212,    -1,    -1,  3148,    -1,  3150,    -1,  3152,
     220,  3154,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   232,    -1,    -1,    -1,    -1,   237,    -1,    -1,
      -1,  3174,    -1,   243,    -1,  3178,    -1,    -1,    -1,    -1,
      -1,    -1,  3185,    -1,  3187,  3188,  3189,    -1,    -1,    -1,
     260,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1914,   420,    -1,  3212,
      -1,    -1,    -1,    -1,    -1,   285,    -1,    -1,    -1,    -1,
      -1,    84,  3225,    -1,    87,    -1,    -1,  3230,    91,    92,
      93,    -1,    -1,  3236,    -1,    -1,   306,    -1,    -1,    -1,
    1948,    -1,    -1,  3246,    -1,   108,  3249,    -1,    -1,  3252,
      -1,  3254,    -1,   116,    -1,    -1,    -1,    -1,    -1,   122,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   338,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   146,    -1,    -1,    -1,    -1,    -1,   359,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   369,
     513,  1263,  1264,   516,   517,   518,    -1,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,  3319,   530,  3321,    -1,
      -1,    -1,  2030,  3326,    -1,    -1,   396,    -1,    -1,    -1,
      -1,   401,    -1,   403,    -1,    -1,    -1,  2045,    -1,   409,
      -1,    -1,   412,    -1,    -1,  2053,    -1,    -1,    -1,    -1,
    3353,    -1,  3355,  3356,  3357,    -1,  2064,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     440,   441,    -1,    -1,   444,    -1,    -1,    -1,   448,    -1,
      -1,    -1,    -1,    -1,  1346,    -1,    -1,   457,    -1,   252,
      -1,    -1,   462,    -1,   257,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2111,   474,    -1,    -1,    -1,    -1,    -1,
    1372,  1373,    -1,    -1,    -1,   278,   279,   487,    -1,    -1,
      -1,    -1,  2130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     293,  1393,    -1,    -1,  2142,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2154,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3464,   325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   338,    -1,    -1,   341,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2194,    -1,    -1,  2197,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,
      -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,
      -1,  1473,  1474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   108,    -1,    -1,    -1,   112,    -1,    -1,
      -1,   116,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,
      -1,    -1,    -1,    -1,  3547,    -1,    -1,    -1,    -1,    -1,
      -1,  3554,  3555,    -1,    -1,    -1,    -1,   420,    -1,    -1,
      -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3591,  3592,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3607,    -1,    -1,    -1,    -1,   194,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3622,
    3623,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3631,  3632,
    3633,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2346,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3649,    -1,    -1,    -1,
     513,    -1,    -1,   516,   517,   518,    -1,   520,   521,   522,
     523,   524,   525,  3666,    -1,   528,    -1,   252,    -1,    -1,
      -1,    -1,   257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3683,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   278,   279,    -1,    -1,  3700,    -1,  3702,
      -1,    -1,    -1,  3706,    -1,    -1,    -1,    -1,   293,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3724,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3734,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     325,    -1,    -1,    -1,    -1,    -1,    -1,  3750,    -1,    -1,
      -1,    -1,    -1,   338,    -1,    -1,   341,    -1,    -1,  3762,
      -1,    -1,    -1,    -1,    -1,    -1,  3769,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3778,    -1,    -1,    -1,    -1,
      -1,  3784,    -1,  3786,    -1,    -1,  3789,    -1,    -1,    -1,
      -1,  3794,  3795,  3796,  3797,    -1,    -1,  3800,  3801,  3802,
    3803,  3804,  3805,  3806,  3807,  3808,  3809,    -1,    -1,    -1,
    3813,  3814,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3823,    -1,    -1,    -1,  3827,    -1,    -1,    -1,  3831,    -1,
      -1,    -1,    -1,    -1,    -1,   420,  3839,    -1,    -1,  3842,
    2548,  3844,    -1,    -1,  2552,  2553,    -1,    -1,    -1,    -1,
    3853,    -1,    -1,  3856,  3857,    -1,    -1,    -1,  3861,  3862,
      -1,    -1,    -1,  3866,    -1,  3868,    -1,    -1,    -1,    -1,
      -1,    -1,  3875,  3876,  3877,  3878,    -1,  3880,  3881,    -1,
      -1,    -1,  3885,  3886,    -1,    -1,    -1,    -1,    -1,  3892,
     475,    -1,    -1,    -1,    -1,  3898,  3899,  3900,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2616,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2628,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,   116,
      -1,   516,   517,   518,    -1,   520,   521,   522,   523,   524,
     525,    84,    -1,  3946,    87,    -1,    -1,    -1,    91,    92,
      93,    -1,    -1,    -1,  3957,    -1,  3959,    -1,    -1,    -1,
    2668,    -1,    -1,    -1,    -1,   108,    -1,    -1,    -1,  1931,
      -1,    -1,    -1,   116,   161,    -1,    -1,    -1,    -1,   122,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3990,  3991,  3992,
      -1,  3994,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,
    4013,  4014,  4015,  4016,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     217,    -1,   219,  1995,  1996,  1997,  1998,    -1,    -1,  4042,
      -1,    -1,    -1,    -1,    -1,   232,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4056,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2039,  2040,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2048,   230,    -1,    -1,
      -1,    -1,   235,    -1,    -1,    -1,  2058,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,
      -1,    -1,    -1,    -1,   257,    -1,    -1,  2825,    -1,    -1,
      -1,    -1,    -1,    -1,  2086,  2087,  2088,  2089,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   278,   279,    -1,    -1,    -1,
      -1,    -1,    -1,  4146,    -1,    -1,    -1,    -1,    -1,    -1,
     293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   325,    -1,    -1,    -1,  4189,  2895,  4191,    -1,
    4193,    -1,    -1,    -1,    -1,   338,  4199,    -1,   341,    -1,
      -1,    -1,  4205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4214,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2183,    -1,    -1,  2186,    -1,    -1,    -1,    -1,    -1,
      -1,  4234,    -1,    -1,  2196,    -1,    -1,    -1,    -1,    -1,
      -1,  4244,    -1,  2205,    -1,    -1,    -1,    -1,  4251,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4261,    -1,
      -1,    -1,  4265,    -1,    -1,    -1,  4269,  4270,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   420,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4301,  4302,
    4303,  4304,  4305,    -1,    -1,    -1,    -1,    -1,  4311,    -1,
    4313,    -1,    -1,    -1,    -1,    -1,    -1,  3025,    -1,    -1,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,
      -1,    91,    92,    93,  3042,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3053,    -1,    -1,   108,    -1,
    4353,    -1,    -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,
      -1,  4364,   122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     513,    -1,    -1,   516,   517,   518,    -1,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,   146,    -1,    -1,    -1,
      -1,  4394,  2354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4404,  4405,    -1,    -1,    -1,    -1,    -1,  4411,  4412,
      -1,    -1,    -1,  4416,    -1,    -1,    -1,    -1,  4421,    -1,
      -1,  4424,  4425,    -1,    -1,    -1,  4429,  4430,    -1,    -1,
      -1,    -1,  4435,  4436,  4437,  4438,  4439,    -1,    -1,    -1,
    4443,  4444,    -1,  4446,    -1,    -1,  4449,    -1,    -1,    -1,
    4453,    -1,    -1,    -1,  4457,    -1,    -1,    -1,    -1,    -1,
    4463,    -1,    -1,    -1,    -1,    -1,  4469,    -1,    -1,   229,
      -1,  4474,    -1,    -1,    -1,    -1,    -1,  4480,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4490,    -1,    -1,
      -1,    -1,   252,    -1,    -1,  4498,    -1,   257,  4501,    -1,
      -1,    -1,    -1,  4506,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   278,   279,
      -1,  4524,    -1,    -1,  4527,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    84,   293,    -1,    87,    -1,    -1,    -1,    91,
      92,    93,    -1,    -1,  4547,  4548,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,    -1,    -1,
      -1,    -1,  4565,    -1,   116,   325,    -1,    -1,    -1,    -1,
     122,  4574,    -1,    -1,    -1,    -1,    -1,  3285,   338,    -1,
    3288,   341,  3290,    -1,    -1,    -1,    -1,  3295,    -1,    -1,
      -1,    -1,    -1,    -1,   146,    -1,    -1,    -1,    -1,    -1,
      -1,   361,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4615,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4635,    -1,    -1,    -1,    -1,    -1,    -1,  3347,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4650,    -1,    -1,
      -1,    -1,  2614,  2615,    -1,    -1,  3364,    -1,    -1,    -1,
     420,  2623,    -1,  2625,    -1,    -1,    -1,  2629,    -1,    -1,
      -1,    -1,    -1,    -1,  4677,    -1,   863,    -1,    -1,    -1,
      -1,  3389,    -1,    -1,   871,  4688,    -1,    -1,    -1,    -1,
    4693,    -1,    -1,   880,    -1,    -1,    -1,    -1,  4701,    -1,
     252,    -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4716,  4717,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   278,   279,    -1,   916,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   293,    -1,  4746,    -1,    -1,  4749,    -1,    -1,    -1,
    3458,    -1,  3460,   513,    -1,    -1,   516,   517,   518,    -1,
     520,   521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   325,    -1,    -1,  2738,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   338,    -1,   975,   341,
      -1,  4794,    -1,    -1,   981,    -1,    -1,    -1,   985,    -1,
    4803,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   363,    -1,  3521,    -1,  1002,    -1,  4820,  4821,    -1,
      -1,  4824,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2796,  4838,  4839,    -1,  3546,    -1,
    4843,    -1,  2804,    -1,  2806,  4848,    -1,    -1,  4851,  4852,
    2812,  4854,    -1,  4856,    -1,    -1,  4859,  4860,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3574,    -1,   420,    -1,
      -1,  3579,    -1,    -1,    -1,    -1,    -1,    -1,  4881,    -1,
      -1,    -1,    -1,    -1,   436,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4895,  4896,  4897,  4898,  4899,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1107,  1108,  2884,    -1,    -1,    -1,    -1,  1114,    -1,    -1,
    3638,  1118,    -1,    -1,    -1,    -1,  4939,  4940,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3656,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1144,    -1,    -1,
      -1,   513,    -1,  3671,   516,   517,   518,    -1,   520,   521,
     522,   523,   524,   525,    -1,    -1,    -1,    -1,  2940,  4982,
    2942,    -1,  4985,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4995,    -1,    -1,    -1,    -1,    -1,  5001,    -1,
    5003,    -1,    -1,    -1,    -1,  5008,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5020,    84,    -1,
      -1,    87,    -1,    -1,    -1,    91,    92,    93,  5031,  5032,
    5033,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   108,    -1,    -1,   111,    84,    -1,    -1,    87,
     116,    -1,    -1,    91,    92,    93,   122,    -1,    -1,    -1,
      -1,    -1,  5065,    -1,  3772,  5068,    -1,  5070,    -1,    -1,
     108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,
     146,    -1,    -1,    -1,   122,  3793,    -1,    -1,    -1,    84,
      -1,  5094,    87,    -1,  3056,  5098,    91,    92,    93,  5102,
      -1,  1288,  1289,    -1,    -1,    -1,  5109,    -1,   146,    -1,
    3818,    -1,    -1,   108,    -1,  5118,   111,    -1,    -1,    -1,
      -1,   116,    -1,    -1,    -1,    -1,    -1,   122,  5131,  1316,
      -1,    -1,    -1,    -1,    -1,    -1,  1323,    -1,    -1,    -1,
    1327,    -1,    -1,  5146,  3852,    -1,    -1,    -1,    -1,    -1,
      -1,   146,    -1,    -1,    -1,    -1,  1343,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5169,    -1,    -1,    -1,
    1357,    -1,    -1,  5176,  5177,  5178,  5179,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,
      -1,   257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1395,    -1,
    5213,    -1,   278,   279,   252,    -1,    -1,    -1,    -1,   257,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   293,    -1,    -1,
    5233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     278,   279,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1439,    -1,    -1,   293,    -1,   252,    -1,   325,
      -1,    -1,   257,    -1,    -1,    -1,    -1,  3975,    -1,    -1,
      -1,    -1,   338,  5276,    -1,   341,  5279,    -1,    -1,    -1,
      -1,    -1,    -1,   278,   279,  5288,    -1,   325,    -1,    -1,
    5293,    -1,  5295,    -1,  5297,    -1,    -1,    -1,   293,    -1,
     338,  5304,    -1,   341,    -1,    -1,    -1,  5310,    -1,  5312,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5321,   357,
      -1,    -1,    -1,    -1,    -1,  1512,    -1,    -1,    -1,    -1,
     325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   338,    -1,    -1,   341,    -1,    -1,  5352,
    5353,    -1,    -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4075,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5379,    -1,    -1,    -1,
      -1,  5384,   420,  1570,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3353,    -1,  3355,  3356,  3357,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5407,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5415,  5416,  1601,    -1,    -1,  5420,    -1,    -1,
      -1,    -1,    -1,  5426,    -1,   420,  5429,    -1,    -1,    -1,
    5433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1629,  5446,    -1,    -1,    -1,   513,    -1,    -1,
     516,   517,   518,  5456,   520,   521,   522,   523,   524,   525,
    5463,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1657,  1658,  1659,    -1,  1661,   513,    -1,    -1,   516,   517,
     518,    -1,   520,   521,   522,   523,   524,   525,    -1,  5492,
      -1,    -1,    -1,    -1,  1681,  5498,  5499,    -1,  5501,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4220,    -1,    -1,    -1,    -1,  5520,   513,    -1,
      -1,   516,   517,   518,  5527,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,
      87,    -1,    -1,    -1,    91,    92,    93,    -1,  1735,  1736,
      -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,    87,
    4268,   108,    -1,    91,    92,    93,    -1,    -1,    -1,   116,
      -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,  1765,    -1,
     108,    -1,  1769,  1770,    -1,  3547,    -1,    -1,   116,    -1,
      -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,   146,
    5603,  5604,    -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    87,    -1,    -1,  5617,    91,    92,    93,   146,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5629,  5630,    -1,    -1,
      -1,    -1,   108,    -1,    -1,   111,    -1,    -1,    -1,    -1,
     116,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1849,    -1,    -1,    -1,    84,    -1,  1855,    87,
     146,    -1,    -1,    91,    92,    93,    -1,    -1,  1865,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   235,    -1,
     108,    -1,    -1,   111,    -1,    -1,    -1,    -1,   116,  4407,
      -1,    -1,    -1,    -1,   122,   252,    -1,    -1,    -1,  4417,
     257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1906,
      -1,    -1,    -1,    -1,   252,    -1,    -1,  1914,   146,   257,
      -1,   278,   279,    -1,    -1,    -1,    -1,    -1,  3700,    -1,
    3702,    -1,    -1,    -1,  3706,    -1,   293,    -1,    -1,    -1,
     278,   279,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1948,    -1,    -1,    -1,   293,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,   325,    -1,
      -1,   257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   338,    -1,    -1,   341,    -1,    -1,   325,    -1,    -1,
    3762,    -1,   278,   279,    -1,    -1,    -1,    -1,    -1,    -1,
     338,    -1,    -1,   341,    -1,    -1,    -1,   293,    84,    -1,
      -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,
      -1,    -1,    -1,    -1,   252,    -1,    -1,  4545,    -1,   257,
      -1,    -1,   108,  2030,    -1,    -1,    -1,    -1,    -1,   325,
     116,    -1,    -1,    -1,    -1,    -1,   122,    -1,  2045,    -1,
     278,   279,   338,    -1,    -1,   341,  2053,    -1,  4576,    -1,
      -1,    -1,  2059,   420,    -1,   293,    -1,  2064,    -1,    -1,
     146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4597,
      -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4612,    -1,    -1,   325,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     338,   449,    -1,   341,  2111,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2124,    -1,    -1,
      -1,    -1,    -1,  2130,   420,    -1,    -1,  4655,    -1,  2136,
      -1,    -1,    -1,    -1,    -1,  2142,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   513,  2154,    -1,   516,
     517,   518,    -1,   520,   521,   522,   523,   524,   525,    -1,
      -1,    -1,  2169,    -1,    -1,   513,   252,    -1,   516,   517,
     518,   257,   520,   521,   522,   523,   524,   525,    -1,    -1,
      -1,    -1,   420,    -1,    -1,    -1,    -1,  2194,    -1,    -1,
    2197,    -1,   278,   279,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   293,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4743,    -1,   513,    -1,    -1,
     516,   517,   518,    -1,   520,   521,   522,   523,   524,   525,
      -1,  4013,  4014,  4015,  4016,    -1,    -1,    -1,    -1,   325,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   338,    -1,  2261,   341,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4798,    -1,    -1,    -1,    -1,   513,    -1,    -1,   516,   517,
     518,    -1,   520,   521,   522,   523,   524,   525,    -1,    -1,
      -1,  2298,  2299,    -1,    -1,    -1,    -1,  2304,  2305,    -1,
      -1,    -1,    -1,    -1,  2311,  2312,  2313,    -1,    -1,    -1,
    2317,    -1,  2319,  2320,  2321,  2322,  2323,  2324,    -1,  2326,
      -1,  2328,  2329,    -1,    -1,  2332,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   420,    -1,    -1,    -1,    -1,  2346,
    2347,  2348,  2349,  2350,  2351,    -1,    -1,    -1,  2355,    -1,
      -1,    -1,  2359,    -1,    -1,  2362,    -1,    -1,  2365,  2366,
    2367,  2368,  2369,  2370,  2371,  2372,  2373,    -1,  2375,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2383,    -1,    -1,  2386,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4929,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4191,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     5,    -1,    -1,   513,    -1,    -1,
     516,   517,   518,    -1,   520,   521,   522,   523,   524,   525,
      -1,    -1,    -1,  2450,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    35,    36,    -1,    -1,    -1,    40,
      -1,    42,    43,    -1,    -1,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    -1,    -1,    -1,    85,    -1,    -1,  5035,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5066,   209,
      -1,  2548,    -1,    -1,    -1,  2552,  2553,   217,    -1,   219,
      -1,    -1,   164,    -1,    -1,    -1,   137,    -1,    -1,  2566,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2600,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   213,    -1,    -1,    -1,  2612,    -1,    -1,    -1,  2616,
      -1,    -1,  2619,   225,    -1,    -1,    -1,    -1,   230,    -1,
      -1,  2628,    -1,   235,    -1,    -1,    -1,    -1,   240,   210,
      -1,   243,  5160,    -1,   246,    -1,  5164,  5165,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2653,   228,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2668,   274,    -1,    -1,    -1,    -1,    -1,   249,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   294,  2690,    -1,    -1,    -1,  2694,    -1,    -1,
      -1,   272,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2721,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   334,    -1,   336,    -1,  5254,    -1,   309,    -1,
     342,   312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       5,    -1,    -1,    -1,    -1,    -1,   327,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      35,    36,    -1,    -1,    -1,    -1,    -1,    42,    43,    -1,
     392,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,  2824,  2825,    -1,
      85,    -1,    -1,    -1,    -1,   406,  2833,    -1,    -1,   441,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4635,    -1,   467,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4650,    -1,
      -1,   452,   137,    -1,    -1,    -1,    -1,    -1,    -1,   491,
      -1,   493,   494,    -1,    -1,    -1,   467,    -1,  2895,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   482,    -1,    -1,  2911,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   527,    -1,    -1,   530,   531,
      -1,   533,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,
      -1,    -1,    -1,    -1,  4716,    -1,    -1,   518,    -1,   520,
     521,   522,   523,   524,    -1,   210,   527,   528,   529,   530,
      -1,   532,   533,   534,   535,   536,    -1,    -1,    -1,    -1,
      -1,    -1,  2969,   228,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   249,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   272,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3025,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3039,    -1,    -1,  3042,    -1,    -1,  3045,    -1,
      -1,    -1,    -1,    -1,   309,    -1,  3053,   312,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3062,    -1,    -1,    -1,    -1,
    3067,    -1,   327,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3090,  3091,  3092,    -1,    -1,  3095,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3103,  3104,  3105,  3106,
      -1,    -1,    -1,    -1,  3111,    -1,    -1,    -1,    -1,  3116,
    3117,    -1,  3119,    -1,  3121,  4897,  4898,  4899,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3132,  3133,    -1,    -1,  3136,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   406,    -1,  3150,    -1,  3152,    -1,  3154,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3174,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3185,    -1,
    3187,  3188,  3189,    -1,    -1,    -1,    -1,   452,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   871,   467,    -1,    -1,  3212,    -1,    -1,    -1,    -1,
     880,    -1,    -1,    -1,    -1,    -1,    -1,   482,  3225,    -1,
      -1,    -1,    -1,  3230,    -1,    -1,    -1,    -1,    -1,  3236,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3246,
      -1,    -1,    -1,    -1,    -1,   510,   916,    -1,    -1,  5031,
      -1,    -1,    -1,   518,    -1,   520,   521,   522,   523,   524,
      -1,    -1,   527,   528,   529,   530,    -1,    -1,    -1,   534,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3285,    -1,
      -1,  3288,    -1,  3290,    -1,    -1,    -1,    -1,  3295,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   975,    -1,    -1,    -1,    -1,
      -1,   981,  3319,    -1,    -1,   985,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1002,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3364,    -1,    -1,
      -1,    -1,    -1,    96,    -1,    -1,    -1,    -1,   101,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,    -1,  3389,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5177,    -1,  5179,    -1,    -1,
      -1,   134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   147,    -1,    -1,  3424,  3425,  3426,
      -1,    -1,    -1,    -1,   157,    -1,    -1,    -1,   161,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1107,  1108,    -1,
      -1,    -1,    -1,    -1,  1114,    -1,   179,    -1,  1118,    -1,
      -1,  3458,   185,  3460,    -1,    -1,  3463,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   201,    -1,
      -1,    -1,    -1,    -1,  1144,    -1,    -1,    -1,    -1,   212,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   220,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   232,
      -1,    -1,    -1,    -1,    -1,    -1,   239,    -1,    -1,    -1,
     243,    -1,    -1,    -1,  3521,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   260,  5310,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3546,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   297,    -1,    -1,  3574,    -1,    -1,
      -1,  3578,  3579,   306,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5379,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   338,    -1,    -1,   341,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1288,  1289,
      -1,    -1,    -1,    -1,    -1,    -1,   359,    -1,    -1,    -1,
      -1,  3638,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   378,  1316,    -1,    -1,  3656,
      -1,    -1,    -1,  1323,    -1,    -1,    -1,  1327,    -1,    -1,
      -1,    -1,    -1,   396,  3671,    -1,    -1,    -1,    -1,    -1,
     403,    -1,    -1,  1343,  5456,    -1,   409,    -1,    -1,   412,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1357,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   441,    -1,
      -1,   444,   445,    -1,   447,   448,    -1,  3724,    -1,    -1,
      -1,    -1,    -1,    -1,   457,  1395,    -1,    -1,    -1,   462,
      -1,    -1,    -1,    -1,    -1,   468,    -1,    -1,   471,    -1,
      -1,   474,    -1,    -1,    -1,  5527,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   487,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3769,    -1,    -1,  3772,    -1,    -1,    -1,  1439,
      -1,  3778,    -1,    -1,    -1,    -1,    -1,  3784,    -1,  3786,
      -1,    -1,  3789,    -1,    -1,    -1,  3793,  3794,  3795,  3796,
    3797,    -1,    -1,  3800,  3801,  3802,  3803,  3804,  3805,  3806,
    3807,  3808,  3809,    -1,    -1,    -1,  3813,  3814,    -1,    -1,
      -1,  3818,    -1,    -1,    -1,    -1,  3823,    -1,    -1,    -1,
    3827,    -1,  3829,    -1,  3831,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3839,    -1,    -1,  3842,    -1,  3844,    -1,    -1,
      -1,    -1,  1512,    -1,    -1,  3852,  3853,    -1,    -1,  3856,
    3857,    -1,    -1,    -1,  3861,  3862,    -1,    -1,    -1,    -1,
      -1,  3868,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3878,    -1,  3880,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3892,    -1,    -1,    -1,    -1,
      -1,  3898,  3899,  3900,    -1,    -1,    -1,    -1,    -1,    -1,
    1570,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,     9,    -1,
      -1,    -1,    13,    -1,    15,    -1,    17,    18,    -1,    -1,
      -1,  1601,    -1,    -1,    -1,    -1,    -1,    28,    -1,  3946,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3959,    44,    45,    -1,    -1,    -1,    -1,  1629,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3975,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3990,    -1,    -1,    -1,  1657,  1658,  1659,
      -1,  1661,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1681,    -1,   104,    -1,   106,   107,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     121,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     141,    -1,   143,   144,    -1,    -1,    -1,    -1,   149,    -1,
     151,    -1,  4069,    -1,    -1,  1735,    -1,  4074,  4075,  4076,
      -1,   162,    -1,   164,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,    -1,
     181,    -1,    -1,   184,    -1,  1765,    -1,    -1,    -1,  1769,
    1770,    -1,    -1,    -1,    -1,    -1,   197,    -1,   199,    -1,
      -1,    -1,   203,    -1,    -1,    -1,    -1,    -1,   209,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   217,    -1,   219,    -1,
      -1,    -1,    -1,    -1,   225,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   240,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1849,
      -1,    -1,    -1,    -1,    -1,    -1,  4193,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1865,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   295,   296,    -1,    -1,    -1,    -1,
     301,    -1,    -1,  4220,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   324,    -1,    -1,  1906,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1914,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4268,  4269,  4270,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   364,    -1,    -1,    -1,    -1,  1948,    -1,
      -1,    -1,    -1,    -1,    -1,   376,    -1,    -1,    -1,    -1,
     381,   382,    -1,   384,    -1,    -1,    -1,    -1,   389,    -1,
      -1,    -1,    -1,   394,    -1,    -1,   397,    -1,    -1,    -1,
      -1,   402,    -1,    -1,    -1,    -1,   407,   408,    -1,    -1,
      -1,    -1,    -1,    -1,   415,    -1,    -1,    -1,   419,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   429,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4353,    -1,    -1,    -1,
     441,    -1,    -1,    -1,    -1,    -1,    -1,  4364,    -1,    -1,
    2030,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   460,
      -1,   462,    -1,    -1,    -1,  2045,    -1,    -1,    -1,   470,
      -1,    -1,    -1,  2053,    -1,   476,    -1,  4394,    -1,    -1,
     481,    -1,    -1,    -1,  2064,    -1,    -1,  4404,  4405,    -1,
    4407,    -1,    -1,   494,  4411,  4412,    -1,    -1,    -1,  4416,
    4417,    -1,    -1,    -1,  4421,    -1,    -1,  4424,  4425,    -1,
      -1,    -1,  4429,    -1,   515,    -1,    -1,    -1,  4435,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   529,    -1,
      -1,  2111,   533,    -1,    -1,    -1,  4453,    -1,    -1,    -1,
    4457,    -1,    -1,    -1,  2124,    -1,    -1,    -1,    -1,    -1,
    2130,    -1,  4469,    -1,    -1,    -1,  2136,  4474,    -1,    -1,
      -1,    -1,  2142,  4480,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2154,    -1,    -1,    -1,    -1,    -1,
      -1,  4498,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4527,    -1,    -1,    -1,  2194,    -1,    -1,  2197,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4545,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4567,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4576,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4597,  2261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4611,  4612,    -1,    -1,  4615,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2298,  2299,
      -1,    -1,    -1,    -1,  2304,  2305,    -1,    -1,    -1,    -1,
      -1,  2311,  2312,  2313,    -1,    -1,    -1,  2317,  4655,  2319,
    2320,  2321,  2322,  2323,  2324,    -1,  2326,    -1,  2328,  2329,
      -1,    -1,  2332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4677,    -1,    -1,    -1,    -1,    -1,  2346,  2347,  2348,  2349,
    2350,  4688,    -1,    -1,    -1,  2355,    -1,    -1,    -1,  2359,
      -1,    -1,  2362,    -1,    -1,  2365,  2366,  2367,  2368,  2369,
    2370,  2371,  2372,  2373,    -1,  2375,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2383,    -1,    -1,  2386,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4741,    -1,  4743,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2450,    -1,    -1,    -1,    -1,    -1,    -1,  4794,    -1,    -1,
      -1,  4798,    -1,    -1,    -1,    -1,  4803,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4820,  4821,    -1,    -1,  4824,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4838,    -1,    -1,    -1,    -1,  4843,    -1,    -1,    -1,
      -1,  4848,    -1,    -1,  4851,  4852,    -1,    -1,    -1,    -1,
      -1,    -1,  4859,  4860,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4881,    -1,    -1,    -1,  2548,    -1,
      -1,    -1,  2552,  2553,    -1,    -1,    -1,    -1,  4895,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4929,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2600,    -1,  4939,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2612,    -1,    -1,    -1,  2616,    -1,    -1,  2619,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2628,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4976,
      -1,    -1,    -1,    -1,    -1,  4982,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2653,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2668,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5033,    -1,  5035,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2721,    -1,    -1,    -1,    -1,    -1,    -1,  5065,  5066,
      -1,  5068,    -1,  5070,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5094,    -1,    -1,
      -1,  5098,    -1,    -1,    -1,    -1,    -1,  5104,    -1,    -1,
      -1,    -1,  5109,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5131,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5154,    -1,    -1,
      -1,    -1,    -1,  5160,  2824,  2825,    -1,  5164,  5165,    -1,
      -1,    -1,  5169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5213,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2895,  5233,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2911,    -1,    -1,    -1,    -1,  5253,  5254,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5276,
      -1,    -1,  5279,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5288,    -1,    -1,    -1,    -1,  5293,    -1,  5295,    -1,
    5297,    -1,    -1,    -1,    -1,    -1,    -1,  5304,    -1,  2969,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5321,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5342,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3025,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3039,
      -1,    -1,  3042,    -1,    -1,  3045,    -1,  5384,    -1,    -1,
      -1,    -1,    -1,  3053,    -1,    -1,   882,    -1,    -1,    -1,
      -1,    -1,  3062,    -1,    -1,   891,    -1,  3067,    -1,    -1,
      -1,    -1,    -1,    -1,   900,    -1,    -1,    -1,  5415,  5416,
      -1,    -1,   908,    -1,    -1,    -1,    -1,    -1,   914,  5426,
    3090,  3091,  3092,    -1,    -1,  3095,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3103,  3104,  3105,  3106,    -1,    -1,  5446,
      -1,    -1,    -1,    -1,    -1,    -1,  3116,    -1,    -1,  3119,
      -1,  3121,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3132,  3133,    -1,    -1,  3136,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3150,    -1,  3152,    -1,  3154,  5492,    -1,    -1,    -1,    -1,
      -1,  5498,  5499,    -1,  5501,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3174,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5520,    -1,  3185,    -1,  3187,  3188,  3189,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5546,
      -1,    -1,  3212,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3225,    -1,    -1,    -1,    -1,
    3230,    -1,    -1,    -1,    -1,    -1,  3236,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3246,    -1,    -1,    -1,
      -1,  1077,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5603,  5604,    -1,    -1,
      -1,    -1,  5609,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5617,    -1,    -1,    -1,    -1,  3285,    -1,  1113,  3288,    -1,
    3290,  5628,  5629,  5630,    -1,  3295,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1132,    -1,   153,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   162,    -1,  3319,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1155,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3347,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   203,    -1,
      -1,    -1,    -1,    -1,  3364,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3389,
      -1,    -1,    -1,   238,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1258,    -1,     5,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    25,    -1,    -1,    -1,  3458,    -1,
    3460,    -1,    -1,    -1,    35,    36,    -1,    -1,    -1,    -1,
      -1,    42,    43,    -1,    -1,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      -1,  3521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1366,    -1,    -1,    -1,    -1,    -1,  3546,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1389,  1390,  1391,   137,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3574,    -1,    -1,    -1,    -1,  3579,
      -1,    -1,    -1,    -1,   429,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3638,   210,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3656,   228,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3671,    -1,    -1,    -1,    -1,    -1,    -1,   249,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   272,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3724,    -1,    -1,    -1,    -1,  1555,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,    -1,
      -1,   312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   327,    -1,    -1,    -1,
    1586,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3769,
      -1,    -1,  3772,    -1,    -1,    -1,    -1,    -1,  3778,    -1,
      -1,    -1,    -1,    -1,  3784,    -1,  3786,    -1,    -1,  3789,
      -1,    -1,    -1,  3793,  3794,  3795,  3796,  3797,    -1,    -1,
    3800,  3801,  3802,  3803,  3804,  3805,  3806,  3807,  3808,  3809,
      -1,    -1,    -1,  3813,  3814,    -1,    -1,    -1,  3818,    -1,
      -1,    -1,    -1,  3823,    -1,    -1,    -1,  3827,    -1,    -1,
      -1,  3831,    -1,    -1,    -1,   406,    -1,    -1,    -1,  3839,
      -1,    -1,  3842,    -1,  3844,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3852,  3853,    -1,    -1,  3856,  3857,    -1,    -1,
      -1,  3861,  3862,    -1,   709,   710,    -1,    -1,  3868,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3878,    -1,
    3880,   452,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3892,    -1,    -1,    -1,   467,    -1,  3898,  3899,
    3900,    -1,    -1,    -1,    -1,    -1,  1732,    -1,    -1,    -1,
      -1,   482,   757,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,
      -1,    -1,    -1,    -1,    -1,    -1,  3946,   518,    -1,   520,
     521,   522,   523,   524,    -1,  1781,   527,   528,   529,  3959,
      -1,    -1,    -1,   534,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3975,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3990,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   878,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   886,    -1,    -1,   889,   890,    -1,   892,    -1,    -1,
     895,    -1,   897,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   917,    -1,    -1,  4075,    -1,    -1,    -1,    -1,
     925,    -1,    -1,    -1,    -1,    -1,    -1,   932,    -1,    -1,
     935,   936,    -1,  1919,    -1,   940,    -1,    -1,    -1,    -1,
      -1,    -1,  1928,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   957,    -1,   959,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1952,    -1,    -1,    -1,
      -1,   976,    -1,    -1,  1960,    -1,    -1,  1963,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   991,    -1,   993,    -1,
      -1,   996,    -1,   998,    -1,    -1,  1001,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1015,    -1,    -1,  1999,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2013,    -1,    -1,
      -1,    -1,    -1,  4193,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2027,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1078,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2077,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     5,    -1,    -1,    -1,  1110,    -1,    -1,  4268,  4269,
    4270,    -1,  2098,    -1,    -1,    -1,    -1,    -1,    -1,  2105,
      -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    35,    36,    -1,    -1,    -1,    -1,    -1,    42,    43,
      -1,  1146,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4353,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4364,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1218,    -1,  1220,    -1,    -1,    -1,  1224,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2218,   137,  4394,    -1,    -1,    -1,    -1,  1244,
      -1,    -1,    -1,    -1,  4404,  4405,    -1,  4407,    -1,    -1,
      -1,  4411,  4412,    -1,    -1,    -1,  4416,  4417,    -1,    -1,
      -1,  4421,    -1,    -1,  4424,  4425,    -1,    -1,    -1,  4429,
      -1,    -1,    -1,    -1,    -1,  4435,    -1,    -1,    -1,  2265,
    2266,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4453,    -1,    -1,    -1,  4457,  1303,  2285,
      -1,    -1,    -1,    -1,    -1,    -1,   210,    -1,    -1,  4469,
      -1,    -1,    -1,    -1,  4474,  1320,    -1,    -1,    -1,    -1,
    4480,    -1,    -1,    -1,   228,    -1,    -1,  1332,    -1,  1334,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1342,  4498,    -1,
      -1,    -1,    -1,    -1,    -1,   249,    -1,    -1,    -1,  1354,
      -1,    -1,    -1,    -1,  1359,    -1,    -1,  1362,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4527,   272,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4545,    -1,    -1,    -1,    -1,
      -1,  1396,    -1,    -1,    -1,    -1,  2382,    -1,    -1,    -1,
      -1,    -1,    89,    -1,    -1,   309,    -1,    94,   312,    96,
      -1,    -1,    -1,    -1,    -1,    -1,  4576,    -1,    -1,   106,
      -1,    -1,  2408,   327,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4597,    -1,    -1,
      -1,    -1,    -1,    -1,   131,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4612,    -1,   141,  4615,    -1,    -1,    -1,    -1,
    2446,    -1,  2448,    -1,    -1,   152,   153,    -1,    -1,   156,
      -1,    -1,    -1,    -1,    -1,   162,    -1,    -1,    -1,   166,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4655,    -1,    -1,    -1,  2485,
      -1,   188,   406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   203,  4677,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4688,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   452,    -1,
      -1,    -1,    -1,    -1,  1559,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   467,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   482,    -1,
      -1,  4741,    -1,  4743,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   510,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   518,    -1,   520,   521,   522,   523,
     524,    -1,    -1,   527,   528,   529,   530,    -1,    -1,    -1,
     534,    -1,    -1,    -1,  4794,    -1,    -1,    -1,  4798,    -1,
      -1,    -1,    -1,  4803,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4820,  4821,    -1,    -1,  4824,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4838,    -1,
      -1,    -1,    -1,  4843,    -1,    -1,    -1,    -1,  4848,    -1,
      -1,  4851,  4852,    -1,    -1,    -1,    -1,    -1,    -1,  4859,
    4860,  2687,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2706,  4881,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4895,    -1,    -1,    -1,    -1,
      -1,    -1,   429,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1755,  1756,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4929,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4939,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1814,
      -1,    -1,  1817,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1825,    -1,  4982,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1843,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2843,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5033,    -1,  5035,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1890,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5065,  5066,    -1,  5068,    -1,
    5070,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5094,    -1,    -1,    -1,  5098,    -1,
      -1,    -1,    -1,    -1,  5104,    -1,  1951,    -1,    -1,  5109,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5131,    -1,    -1,   661,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5160,    -1,    -1,    -1,  5164,  5165,    -1,    -1,    -1,  5169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   709,   710,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3029,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5213,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2068,    -1,    -1,    -1,    -1,    -1,    -1,
     757,    -1,    -1,  5233,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5253,  5254,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5276,    -1,    -1,  5279,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5288,    -1,
      -1,    -1,    -1,  5293,    -1,  5295,    -1,  5297,    -1,    -1,
      -1,    -1,    -1,    -1,  5304,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5321,    -1,  2168,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2182,    -1,    -1,
    2185,    -1,  2187,    -1,  2189,    -1,    -1,    -1,    -1,    -1,
    2195,    -1,  3178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5384,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2258,    -1,  5415,  5416,  2262,    -1,  2264,
      -1,    -1,  2267,    -1,    -1,    -1,  5426,    -1,    -1,   956,
     957,    -1,   959,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5446,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1011,    -1,    -1,  1014,  1015,    -1,
      -1,    -1,  5492,    -1,    -1,    -1,    -1,    -1,  5498,  5499,
      -1,  5501,  1029,    -1,  1031,    -1,  1033,    -1,    -1,    -1,
      -1,    -1,  1039,    -1,    -1,    -1,  1043,    -1,    -1,    -1,
    5520,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1063,  1064,    -1,    -1,
      -1,    -1,    -1,    -1,  2389,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1110,    -1,  1112,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5603,  5604,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5617,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5629,
    5630,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3464,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1191,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1205,  1206,
      -1,    -1,  1209,    -1,    -1,    -1,    -1,    -1,  2533,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2563,  2564,
      -1,    -1,    -1,  2568,  2569,    -1,    -1,    -1,  2573,    -1,
    1257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2587,    -1,    -1,    -1,    -1,    -1,    -1,  2594,
      -1,    -1,    -1,  2598,  2599,    -1,    -1,  2602,  2603,    -1,
      -1,    -1,    -1,    -1,  2609,  3591,  3592,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2622,    -1,  2624,
      -1,  3607,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3623,  2643,    -1,
      -1,    -1,    -1,  2648,    -1,    -1,  3632,  3633,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2661,    -1,    -1,    -1,
      -1,    -1,    -1,  3649,    -1,  2670,    -1,  2672,    -1,    -1,
    2675,  2676,  2677,    -1,    -1,    -1,    -1,  2682,  2683,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2692,    -1,    -1,
      -1,    -1,  2697,    -1,    -1,    -1,    -1,  2702,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2728,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2739,    -1,  2741,    -1,    -1,    -1,
      -1,  2746,    -1,    -1,    -1,  2750,    -1,  2752,  2753,  2754,
    2755,    -1,  2757,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3750,  2770,  2771,  2772,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2782,  2783,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2834,
      -1,    -1,    -1,  1520,    -1,    -1,    -1,    -1,  1525,    -1,
    1527,    -1,    -1,  1530,    -1,  1532,    -1,    -1,  1535,  1536,
    1537,    -1,    -1,    -1,  1541,    -1,    -1,    -1,    -1,    -1,
      -1,  1548,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1562,    -1,  1564,    -1,    -1,
      -1,    -1,  1569,    -1,    -1,    -1,    -1,    -1,    -1,  3875,
    3876,  3877,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2986,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2999,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1692,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1703,  1704,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3030,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1720,    -1,    -1,    -1,    -1,  1725,  1726,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1809,    -1,  1811,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1821,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4189,    -1,    -1,    -1,  1894,    -1,    -1,
      -1,    -1,    -1,  4199,    -1,    -1,    -1,  1904,  3223,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4234,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4261,    -1,  1964,    -1,    -1,
    1967,  1968,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3298,  3299,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3341,    -1,    -1,    -1,
    3345,    -1,    -1,    -1,    -1,    -1,  3351,    -1,    -1,    -1,
    2037,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3367,  3368,    -1,    -1,    -1,  3372,    -1,    -1,
      -1,    -1,  3377,  3378,  3379,    -1,  3381,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3402,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3412,  3413,  3414,
    3415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3449,    -1,    -1,  3452,  3453,  3454,
    4436,  4437,  4438,  4439,    -1,    -1,    -1,  3462,    -1,    -1,
       6,     7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    70,    -1,    -1,    -1,  3533,    -1,
      -1,    -1,    78,    79,    -1,    -1,  3541,    -1,    -1,    -1,
      -1,    -1,    -1,  2230,    -1,  2232,    -1,    -1,    -1,  2236,
      -1,  2238,    -1,    -1,  2241,  3560,    -1,    -1,  2245,    -1,
      -1,    -1,    -1,  2250,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   118,    -1,    -1,    -1,   122,   123,   124,   125,
     126,  3586,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   138,    -1,    -1,    -1,    -1,    -1,    -1,   145,
      -1,   147,    -1,    -1,    -1,    -1,    -1,   153,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,
      -1,    -1,    -1,    -1,    -1,  3630,   172,    -1,    -1,  3634,
      -1,    -1,    -1,    -1,    -1,    -1,   182,   183,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3663,    -1,
      -1,    -1,    -1,    -1,  3669,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   218,    -1,    -1,    -1,   222,    -1,    -1,    -1,
      -1,    -1,   228,    -1,    -1,    -1,  3691,    -1,   234,    -1,
     236,    -1,    -1,    -1,    -1,  2382,   242,    -1,   244,    -1,
    3705,    -1,  2389,    -1,  3709,    -1,   252,    -1,    -1,   871,
      -1,    -1,  2399,    -1,    -1,    -1,    -1,  3722,   880,    -1,
     266,   267,    -1,    -1,    -1,    -1,    -1,   273,    -1,   275,
      -1,    -1,   278,   279,    -1,   281,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   290,   291,    -1,   293,    -1,    -1,
      -1,    -1,    -1,    -1,   916,    -1,    -1,    -1,    -1,    -1,
    4746,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     316,   317,   318,    -1,    -1,   321,    -1,  2464,    -1,   325,
      -1,    -1,   328,    -1,   330,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,   345,
      -1,   347,   348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   975,   360,    -1,   362,    -1,    -1,   981,
      -1,    -1,    -1,   985,    -1,    -1,    -1,    -1,    -1,   375,
      -1,  2518,    -1,    -1,    -1,  2522,    -1,    -1,    -1,    -1,
    1002,  2528,    -1,  2530,    -1,    -1,  2533,    -1,    -1,   395,
      -1,    -1,    -1,   399,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   417,    -1,    -1,   420,    -1,    -1,   423,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   437,  2579,    -1,    -1,    -1,    -1,   443,    -1,    -1,
      -1,    -1,    -1,    -1,   450,   451,    -1,    -1,    -1,    -1,
     456,    -1,   458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   482,    -1,    -1,   485,
      -1,    -1,    -1,    -1,    -1,  1107,  1108,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3997,    -1,  3999,    -1,    -1,    -1,    -1,  4985,
      -1,    -1,  4007,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5001,    -1,    -1,    -1,  4024,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4040,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2732,  5032,    -1,    -1,  4054,
      -1,    -1,    -1,  2740,    -1,  2742,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4072,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4082,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4114,
    4115,  4116,    -1,    -1,  4119,  4120,  4121,  4122,  4123,  4124,
      -1,    -1,    -1,    -1,  4129,  4130,    -1,  4132,  4133,  4134,
    4135,  4136,  4137,    -1,  4139,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4148,    -1,  4150,  4151,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1316,    -1,    -1,    -1,    -1,    -1,
    5146,  1323,    -1,    -1,    -1,  1327,    -1,    -1,  4173,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1343,    -1,    -1,    -1,    -1,    -1,  4192,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1357,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1395,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1439,    -1,    -1,
      -1,    -1,    -1,  4288,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2986,
    2987,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3003,    -1,    -1,  4324,
    4325,  4326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4336,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1570,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1601,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1629,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1657,  1658,  1659,    -1,  1661,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3203,    -1,    -1,  1681,
      -1,  3208,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4553,    -1,
      -1,    -1,  4557,  4558,  4559,  4560,    -1,    -1,  4563,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1735,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4587,  4588,  4589,    -1,  4591,    -1,  4593,  4594,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4605,  4606,    -1,  1765,    -1,    -1,    -1,  1769,  1770,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4626,    -1,    -1,    -1,    -1,    -1,    -1,  4633,  4634,
      -1,  4636,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4648,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1849,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4707,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4728,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1914,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4767,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1948,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4841,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4856,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2030,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1107,
    1108,    -1,    -1,  2045,    -1,    -1,    -1,  3574,    -1,    -1,
      -1,  2053,  3579,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2064,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1144,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4931,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4952,    -1,  2111,
      -1,    -1,  4957,  4958,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2124,    -1,    -1,    -1,    -1,    -1,  2130,    -1,
      -1,    -1,    -1,    -1,  2136,    -1,    -1,    -1,    -1,    -1,
    2142,    -1,  3669,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2154,    -1,    -1,    -1,    -1,  5002,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2194,    -1,    -1,  2197,    -1,    -1,    -1,    -1,
      -1,  5046,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5056,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3759,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5091,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5102,    -1,  2261,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5127,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2298,  2299,    -1,    -1,
      -1,    -1,  2304,  2305,    -1,  5150,    -1,    -1,    -1,  2311,
    2312,  2313,    -1,    -1,  5159,  2317,    -1,  2319,  2320,  2321,
    2322,  2323,  2324,    -1,  2326,    -1,  2328,  2329,    -1,    -1,
    2332,    -1,    -1,    -1,    -1,  5180,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2346,  2347,  2348,  2349,  2350,    -1,
      -1,    -1,    -1,  2355,    -1,    -1,    -1,  2359,    -1,    -1,
    2362,    -1,    -1,  2365,  2366,  2367,  2368,  2369,  2370,  2371,
    2372,  2373,    -1,  2375,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2383,    -1,    -1,  2386,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5261,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3964,    -1,    -1,
    5285,    -1,    -1,   981,    -1,    -1,    -1,    -1,  2450,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1002,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5319,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5334,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5371,    -1,    -1,    -1,
      -1,    -1,    -1,  1601,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2548,    -1,  4075,    -1,
    2552,  2553,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1629,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4107,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1657,
    1658,  1659,    -1,  1661,    -1,    -1,    -1,    -1,  2600,    -1,
    5445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2612,    -1,    -1,  1681,  2616,    -1,    -1,  2619,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2628,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5481,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2668,  1735,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1765,    -1,    -1,
      -1,  1769,  1770,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1323,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4329,    -1,    -1,  1343,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1357,
      -1,    -1,  2824,  2825,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2895,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2911,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4485,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2969,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   981,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1002,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3025,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1570,    -1,    -1,    -1,    -1,  3039,    -1,    -1,
    3042,    -1,    -1,  3045,    -1,    -1,  4573,    -1,    -1,    -1,
      -1,  3053,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3062,    -1,    -1,    -1,    -1,  3067,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4612,    -1,    -1,  3090,  3091,
    3092,    -1,    -1,  3095,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3103,  3104,  3105,  3106,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3116,    -1,    -1,  3119,    -1,  3121,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3132,  3133,    -1,    -1,  3136,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3150,    -1,
    3152,    -1,  3154,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3185,    -1,  3187,  3188,  3189,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3212,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3225,    -1,    -1,    -1,    -1,  3230,    -1,
      -1,    -1,    -1,    -1,  3236,    -1,  2304,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3246,    -1,    -1,    -1,    -1,  2317,
      -1,  2319,    -1,    -1,  2322,  2323,  2324,    -1,    -1,    -1,
      -1,  2329,    -1,    -1,  2332,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2347,
    2348,  2349,  2350,  3285,    -1,    -1,  3288,  2355,  3290,    -1,
      -1,  2359,    -1,  3295,  2362,    -1,    -1,  2365,  2366,  2367,
    2368,  2369,  2370,  2371,  2372,  2373,    -1,  2375,    -1,    -1,
      -1,  1849,    -1,    -1,    -1,  2383,    -1,  3319,  2386,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1323,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3347,    -1,  1343,    -1,  4876,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1357,  3364,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1914,    -1,    -1,    -1,
      -1,    -1,  2450,    -1,    -1,    -1,    -1,  3389,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4929,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1948,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1439,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3458,    -1,  3460,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2030,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2045,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2053,    -1,    -1,    -1,  3521,
      -1,    -1,    -1,    -1,    -1,    -1,  2064,    -1,    -1,    -1,
      -1,    -1,  2600,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3546,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3574,  2111,  1570,    -1,    -1,  3579,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2130,    -1,   981,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2142,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1002,  2154,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3638,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3656,    -1,  2194,    -1,  5185,  2197,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3671,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3724,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5264,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2824,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3769,    -1,    -1,
    3772,    -1,    -1,    -1,    -1,    -1,  3778,    -1,    -1,    -1,
      -1,    -1,  3784,    -1,  3786,    -1,    -1,  3789,    -1,    -1,
      -1,  3793,  3794,  3795,  3796,  3797,    -1,    -1,  3800,  3801,
    3802,  3803,  3804,  3805,  3806,  3807,  3808,  3809,  2346,    -1,
      -1,  3813,  3814,    -1,    -1,    -1,  3818,    -1,    -1,    -1,
      -1,  3823,    -1,    -1,    -1,  3827,    -1,    -1,    -1,  3831,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3839,    -1,    -1,
    3842,    -1,  3844,    -1,    -1,    -1,    -1,    -1,  2386,    -1,
    3852,  3853,    -1,  1849,  3856,  3857,    -1,    -1,    -1,  3861,
    3862,    -1,    -1,    -1,    -1,    -1,  3868,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3878,    -1,  3880,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3892,    -1,    -1,    -1,    -1,    -1,  3898,  3899,  3900,    -1,
      -1,  2969,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1914,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1323,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3946,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1948,    -1,    -1,    -1,  1343,  3959,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1357,    -1,    -1,  3975,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3990,    -1,
      -1,    -1,    -1,    -1,  3062,    -1,    -1,    -1,    -1,  3067,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2548,    -1,    -1,    -1,  2552,  2553,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3092,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2030,  3103,    -1,  3105,  3106,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3116,  2045,
      -1,  3119,  1439,  3121,    -1,    -1,    -1,  2053,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2064,    -1,
      -1,    -1,    -1,  4075,    -1,    -1,    -1,    -1,  2616,    -1,
      -1,    -1,  3150,    -1,  3152,    -1,  3154,    -1,    -1,    -1,
    2628,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2111,    -1,    -1,    -1,  3187,
    3188,  3189,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2668,    -1,    -1,    -1,  2130,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3212,    -1,  2142,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3225,  2154,    -1,
      -1,    -1,  3230,    -1,    -1,    -1,    -1,    -1,  3236,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1570,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4193,    -1,    -1,    -1,    -1,    -1,    -1,  2194,    -1,
      -1,  2197,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4220,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3319,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4268,  4269,  4270,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2825,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   981,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1002,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2346,  4353,    -1,    -1,    -1,    -1,    -1,  2895,    -1,    -1,
      -1,    -1,  4364,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4404,  4405,    -1,  4407,    -1,    -1,    -1,  4411,
    4412,    -1,    -1,    -1,  4416,  4417,    -1,    -1,    -1,  4421,
      -1,    -1,  4424,  4425,    -1,    -1,    -1,  4429,    -1,    -1,
      -1,    -1,    -1,  4435,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4453,    -1,    -1,    -1,  4457,    -1,    -1,    -1,    -1,
      -1,    -1,  1849,    -1,    -1,    -1,    -1,  4469,    -1,    -1,
      -1,    -1,  4474,    -1,    -1,    -1,    -1,    -1,  4480,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3025,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4498,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3042,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3053,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4527,    -1,  1914,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4545,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2548,    -1,    -1,    -1,  2552,  2553,    -1,    -1,
      -1,  1948,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4576,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4597,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4612,    -1,    -1,  4615,    -1,    -1,    -1,    -1,    -1,    -1,
    2616,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2628,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2030,    -1,    -1,    -1,    -1,  1323,  3187,
    3188,  3189,    -1,  4655,    -1,    -1,    -1,    -1,  2045,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2053,    -1,  1343,    -1,
      -1,    -1,  2668,    -1,    -1,  4677,    -1,  2064,   981,    -1,
      -1,    -1,  1357,    -1,    -1,    -1,  4688,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1002,
      -1,  3769,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3778,    -1,    -1,    -1,    -1,    -1,  3784,    -1,  3786,    -1,
      -1,    -1,    -1,    -1,  2111,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4741,
      -1,  4743,    -1,  2130,    -1,  3813,  3814,  3285,    -1,    -1,
    3288,    -1,  3290,    -1,    -1,  2142,    -1,  3295,    -1,    -1,
      -1,    -1,    -1,  3831,  1439,    -1,    -1,  2154,    -1,    -1,
      -1,  3839,    -1,    -1,  3842,    -1,  3844,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3853,    -1,    -1,    -1,    -1,
      -1,    -1,  4794,  3861,  3862,    -1,  4798,    -1,    -1,    -1,
      -1,  4803,    -1,    -1,    -1,    -1,    -1,  2194,    -1,  3347,
    2197,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4820,  4821,
      -1,    -1,  4824,    -1,  3892,    -1,  3364,    -1,    -1,  2825,
    3898,  3899,  3900,    -1,    -1,    -1,  4838,    -1,    -1,    -1,
      -1,  4843,    -1,    -1,    -1,    -1,  4848,    -1,    -1,  4851,
    4852,  3389,    -1,    -1,    -1,    -1,    -1,  4859,  4860,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3946,  4881,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3959,    -1,  4895,    -1,  1570,    -1,    -1,    -1,  2895,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3458,    -1,  3460,    -1,    -1,    -1,    -1,  4929,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4939,    -1,    -1,
      -1,    -1,   981,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2346,
      -1,    -1,    -1,  1002,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4982,    -1,    -1,  3521,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3546,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3025,
      -1,  5033,    -1,  5035,    -1,    -1,  3574,    -1,    -1,    -1,
    1343,  3579,    -1,    -1,    -1,    -1,  3042,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1357,    -1,    -1,  3053,    -1,    -1,
      -1,    -1,    -1,  5065,  5066,    -1,  5068,    -1,  5070,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5094,    -1,    -1,    -1,  5098,    -1,    -1,    -1,
    3638,    -1,  5104,    -1,    -1,    -1,    -1,  5109,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3656,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5131,
      -1,    -1,    -1,  3671,    -1,    -1,  1439,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5160,    -1,
      -1,  2548,  5164,  5165,    -1,  2552,  2553,  5169,    -1,    -1,
      -1,    -1,    -1,    -1,  1849,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4269,  4270,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2616,
      -1,  5233,    -1,    -1,  3772,    -1,    -1,    -1,    -1,  1914,
      -1,  2628,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5253,  5254,    -1,    -1,  3793,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1570,    -1,    -1,
      -1,    -1,    -1,  1948,  5276,    -1,    -1,  5279,    -1,    -1,
    3818,  2668,    -1,    -1,  1323,  4353,  5288,    -1,    -1,  3285,
      -1,  5293,  3288,  5295,  3290,  5297,  4364,    -1,    -1,  3295,
      -1,    -1,  5304,    -1,  1343,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3852,    -1,    -1,    -1,  1357,  5321,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   981,    -1,    -1,    -1,    -1,  4404,  4405,    -1,    -1,
      -1,    -1,    -1,  4411,  4412,    -1,    -1,    -1,  4416,    -1,
      -1,  3347,  1002,  4421,    -1,  2030,  4424,  4425,    -1,    -1,
      -1,  4429,  3900,    -1,    -1,    -1,    -1,  4435,  3364,    -1,
    2045,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2053,    -1,
      -1,    -1,  5384,    -1,    -1,    -1,    -1,    -1,    -1,  2064,
      -1,    -1,    -1,  3389,    -1,    -1,    -1,    -1,    -1,    -1,
    1439,  4469,    -1,    -1,    -1,    -1,  4474,    -1,    -1,    -1,
      -1,    -1,  4480,  5415,  5416,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5426,    -1,    -1,    -1,    -1,    -1,
    4498,    -1,    -1,    -1,    -1,    -1,  2111,  3975,  2825,    -1,
      -1,    -1,    -1,    -1,  5446,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2130,    -1,    -1,    -1,  4527,
      -1,    -1,  3458,    -1,  3460,    -1,    -1,  2142,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2154,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5492,    -1,    -1,    -1,    -1,    -1,  5498,  5499,    -1,  5501,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2895,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5520,  2194,
      -1,    -1,  2197,    -1,    -1,  3521,    -1,    -1,    -1,    -1,
      -1,  1570,    -1,    -1,    -1,    -1,    -1,  4075,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1849,  4615,    -1,    -1,
    3546,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3574,    -1,
      -1,    -1,    -1,  3579,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5603,  5604,    -1,    -1,    -1,    -1,    -1,    -1,  4677,
      -1,  1914,    -1,    -1,    -1,  5617,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5629,  5630,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3025,    -1,
      -1,    -1,  3638,    -1,    -1,  1948,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3042,    -1,    -1,    -1,    -1,
    3656,    -1,    -1,    -1,    -1,    -1,  3053,    -1,    -1,    -1,
      -1,  2346,    -1,  1323,    -1,  3671,    -1,    -1,    -1,    -1,
      -1,    -1,  4220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1343,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1357,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2030,    -1,    -1,
    4268,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2045,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2053,    -1,  4820,  4821,    -1,    -1,  4824,    -1,    -1,    -1,
      -1,  2064,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3772,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1439,
      -1,  4859,  4860,    -1,    -1,    -1,    -1,  3793,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2111,    -1,
    1849,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3818,    -1,    -1,    -1,    -1,  2130,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2142,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2154,    -1,    -1,    -1,    -1,  3852,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4407,
      -1,    -1,    -1,  2548,    -1,  1914,    -1,  2552,  2553,  4417,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2194,    -1,    -1,  2197,    -1,    -1,    -1,  3285,    -1,
      -1,  3288,    -1,  3290,    -1,    -1,    -1,    -1,  3295,  1948,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1570,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4469,    -1,    -1,    -1,    -1,  4474,    -1,    -1,    -1,
      -1,  2616,  4480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2628,    -1,    -1,    -1,    -1,    -1,    -1,
    3347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3364,    -1,  3975,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2030,    -1,  2668,    -1,    -1,    -1,    -1,    -1,    -1,
    5068,    -1,  3389,    -1,    -1,    -1,  2045,  4545,    -1,    -1,
      -1,    -1,    -1,    -1,  2053,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2064,  5094,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4576,    -1,
      -1,  5109,    -1,  2346,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4597,
      -1,    -1,    -1,  5131,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3458,  2111,  3460,  4612,    -1,    -1,    -1,    -1,  4075,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5169,    -1,  2142,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2154,    -1,  4655,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3521,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2825,    -1,    -1,    -1,    -1,  2194,    -1,    -1,  2197,  3546,
      -1,    -1,    -1,    -1,    -1,  5233,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3574,    -1,    -1,
      -1,    -1,  3579,    -1,    -1,    -1,    -1,    -1,    -1,  1849,
      -1,    -1,    -1,  4741,    -1,  4743,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2895,    -1,    -1,    -1,  4220,    -1,    -1,    -1,    -1,  5297,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2548,    -1,    -1,    -1,  2552,
    2553,  3638,    -1,  5321,    -1,    -1,    -1,    -1,    -1,    -1,
    4798,    -1,    -1,    -1,  1914,    -1,    -1,    -1,    -1,  3656,
      -1,    -1,  4268,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3671,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1948,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2346,    -1,    -1,
      -1,    -1,    -1,  2616,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2628,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5415,  5416,    -1,
    3025,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5426,    -1,
      -1,    -1,    -1,    -1,    -1,  2668,    -1,  3042,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3053,    -1,
    2030,    -1,    -1,    -1,    -1,  3772,    -1,    -1,    -1,    -1,
      -1,  4929,    -1,    -1,    -1,  2045,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2053,    -1,    -1,  3793,    -1,    -1,    -1,
      -1,  4407,    -1,    -1,  2064,    -1,    -1,    -1,    -1,    -1,
      -1,  4417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3818,    -1,  5501,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5520,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2111,    -1,    -1,    -1,  3852,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2142,    -1,    -1,    -1,    -1,  5035,    -1,    -1,
      -1,    -1,    -1,    -1,  2154,    -1,    -1,    -1,    -1,  2548,
      -1,    -1,    -1,  2552,  2553,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2825,    -1,    -1,    -1,    -1,    -1,  5066,    -1,
      -1,    -1,    -1,    -1,    -1,  5603,  5604,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2194,    -1,    -1,  2197,    -1,  4545,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2616,    -1,    -1,
    4576,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3975,  2628,
      -1,    -1,  2895,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4597,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3285,    -1,    -1,  3288,    -1,  3290,  4612,    -1,    -1,    -1,
    3295,    -1,  5160,    -1,    -1,    -1,  5164,  5165,    -1,  2668,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4655,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4075,  3364,
      -1,    -1,    -1,    -1,    -1,    -1,  2346,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3389,  5253,  5254,    -1,    -1,    -1,
      -1,    -1,  3025,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3042,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4743,    -1,    -1,
    3053,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3458,    -1,  3460,  2825,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4798,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4220,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3521,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2895,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3546,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4268,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2548,  3574,
      -1,    -1,  2552,  2553,  3579,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1673,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4929,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3638,    -1,    -1,  2616,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2628,    -1,
      -1,  3656,  3285,    -1,    -1,  3288,  3025,  3290,    -1,    -1,
      -1,    -1,  3295,    -1,    -1,    -1,  3671,    -1,    -1,  1751,
      -1,    -1,    -1,  3042,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3053,    -1,    -1,    -1,  2668,    -1,
    4407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5035,
      -1,    -1,    -1,    -1,  3347,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3364,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5066,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3389,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3772,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3793,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3818,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3458,    -1,  3460,  4545,    -1,
      -1,    -1,    -1,    -1,  5160,    -1,    -1,    -1,  5164,  5165,
      -1,    -1,    -1,    -1,    -1,  2825,    -1,  3852,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4576,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4597,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3521,    -1,
      -1,    -1,    -1,    -1,    -1,  4612,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3546,    -1,  2895,  3285,    -1,    -1,  3288,
      -1,  3290,    -1,    -1,    -1,    -1,  3295,    -1,  5254,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4655,    -1,
      -1,  3574,    -1,    -1,    -1,    -1,  3579,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3975,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3347,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3364,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3638,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3389,    -1,    -1,  3656,    -1,    -1,  4743,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3671,    -1,
      -1,    -1,    -1,    -1,    -1,  3025,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3042,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4075,    -1,    -1,  3053,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4798,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3458,
      -1,  3460,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3772,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3793,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3546,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3818,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3574,    -1,    -1,    -1,    -1,
    3579,    -1,  4929,    -1,    -1,  4220,    -1,    -1,    -1,  3852,
    2302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2316,    -1,    -1,    -1,  2320,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2334,  2335,  2336,    -1,    -1,  2339,    -1,    -1,
      -1,    -1,    -1,  4268,    -1,    -1,    -1,    -1,    -1,  3638,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3656,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2381,
      -1,    -1,  3671,    -1,    -1,  3285,    -1,    -1,  3288,    -1,
    3290,    -1,    -1,    -1,    -1,  3295,    -1,    -1,  5035,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3975,    -1,    -1,    -1,    -1,    -1,    -1,  5066,
      -1,    -1,    -1,    -1,  2436,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3347,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2460,    -1,
      -1,    -1,    -1,    -1,  3364,    -1,    -1,  5104,    -1,    -1,
    2472,    -1,    -1,  2475,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4407,  3772,    -1,    -1,    -1,    -1,    -1,  3389,
      -1,    -1,  4417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3793,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4075,  5160,    -1,    -1,    -1,  5164,  5165,  3818,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3458,    -1,
    3460,    -1,    -1,  3852,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5254,    -1,    -1,
    4545,  3521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3546,    -1,    -1,    -1,
      -1,  4576,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4220,    -1,    -1,
      -1,    -1,  4597,    -1,  3574,    -1,    -1,    -1,    -1,  3579,
      -1,    -1,    -1,    -1,    -1,    -1,  3975,  4612,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4268,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4655,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3638,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3656,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3671,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4075,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4743,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4407,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4417,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3772,  4798,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3793,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3818,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3852,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4268,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4545,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4929,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4576,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4597,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4612,
      -1,    -1,    -1,  3065,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3975,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3085,    -1,  3087,    -1,    -1,  3090,  3091,
      -1,  3093,    -1,  3095,    -1,    -1,    -1,  3099,    -1,    -1,
    3102,    -1,  4655,    -1,    -1,  3107,    -1,    -1,    -1,    -1,
    5035,  3113,    -1,    -1,    -1,    -1,  3118,    -1,  4407,    -1,
      -1,    -1,    -1,  3125,  3126,  3127,  3128,    -1,  4417,    -1,
    3132,  3133,    -1,  3135,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5066,    -1,    -1,    -1,  3147,    -1,  3149,    -1,    -1,
      -1,    -1,    -1,    -1,  3156,  3157,  3158,  3159,  3160,  3161,
    3162,  3163,  3164,  3165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4075,    -1,    -1,    -1,  5104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4743,  3193,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5160,    -1,    -1,    -1,  5164,
    5165,    -1,    -1,    -1,    -1,  4798,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4545,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4576,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4597,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4220,    -1,    -1,  4612,    -1,    -1,    -1,    -1,    -1,  5254,
      -1,    -1,  3334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4655,    -1,  4268,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4929,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4743,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5035,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4407,    -1,  4798,
      -1,    -1,    -1,  5066,    -1,    -1,    -1,  4417,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3575,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5160,    -1,    -1,
      -1,  5164,  5165,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4929,    -1,    -1,    -1,    -1,  4545,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4576,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4597,    -1,    -1,
      -1,  5254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3713,  4612,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5035,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4655,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3768,    -1,    -1,    -1,
      -1,    -1,  3774,    -1,    -1,    -1,    -1,  5066,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3790,  3791,
      -1,    -1,  3794,  3795,  3796,  3797,    -1,    -1,  3800,  3801,
    3802,  3803,  3804,  3805,  3806,  3807,  3808,  3809,  3810,    -1,
      -1,    -1,    -1,    -1,    -1,  5104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3832,    -1,    -1,  3835,    -1,  3837,    -1,    -1,  3840,  3841,
      -1,    -1,    -1,  4743,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3855,  3856,  3857,  3858,    -1,  3860,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5160,    -1,    -1,    -1,  5164,  5165,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4798,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3928,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3940,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5254,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3987,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4929,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5035,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5066,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4193,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5160,    -1,    -1,    -1,  5164,  5165,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4354,    -1,  5254,    -1,  4358,  4359,  4360,    -1,
      -1,    -1,    -1,    -1,  4366,  4367,  4368,  4369,    -1,    -1,
      -1,    -1,  4374,  4375,  4376,  4377,  4378,  4379,  4380,  4381,
    4382,  4383,  4384,  4385,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4410,    -1,
      -1,  4413,    -1,  4415,    -1,    -1,    -1,  4419,    -1,    -1,
    4422,  4423,    -1,    -1,  4426,  4427,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4471,
      -1,    -1,    -1,    -1,    -1,    -1,  4478,  4479,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4497,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4680,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4738,  4739,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4788,    -1,    -1,    -1,
      -1,  4793,  4794,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4808,    -1,  4810,    -1,
      -1,    -1,  4814,  4815,  4816,    -1,    -1,  4819,    -1,    -1,
    4822,  4823,    -1,    -1,    -1,  4827,    -1,    -1,    -1,  4831,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4893,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,  4953,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,  4987,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   104,    -1,   106,
     107,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,
      -1,   118,    -1,    -1,   121,   122,   123,   124,   125,   126,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   138,    -1,    -1,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,
      -1,    -1,  5064,  5065,    -1,   162,    -1,   164,   165,    -1,
      -1,    -1,    -1,    -1,    -1,   172,    -1,    -1,  5080,  5081,
    5082,    -1,   179,    -1,   181,   182,   183,   184,    -1,    -1,
      -1,    -1,    -1,   190,    -1,    -1,    -1,    -1,    -1,    -1,
     197,    -1,   199,    -1,    -1,    -1,   203,    -1,    -1,    -1,
      -1,    -1,   209,   210,  5116,  5117,    -1,    -1,    -1,    -1,
     217,   218,   219,    -1,    -1,   222,    -1,    -1,   225,    -1,
      -1,   228,    -1,    -1,    -1,    -1,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,    -1,   242,    -1,   244,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,   256,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,
     267,    -1,    -1,   270,    -1,    -1,   273,    -1,   275,    -1,
      -1,   278,   279,    -1,   281,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   290,   291,    -1,   293,    -1,   295,   296,
      -1,    -1,    -1,    -1,   301,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   313,    -1,    -1,   316,
     317,   318,    -1,    -1,   321,    -1,    -1,   324,   325,    -1,
      -1,   328,    -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,   345,    -1,
     347,   348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   360,    -1,   362,  5268,   364,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   375,   376,
      -1,    -1,  5284,    -1,   381,   382,    -1,   384,    -1,    -1,
      -1,    -1,   389,    -1,    -1,    -1,    -1,   394,   395,    -1,
     397,    -1,   399,    -1,    -1,   402,    -1,    -1,    -1,    -1,
     407,   408,    -1,    -1,    -1,    -1,    -1,    -1,   415,    -1,
     417,    -1,   419,   420,    -1,    -1,   423,    -1,    -1,    -1,
      -1,  5333,   429,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     437,    -1,    -1,    -1,   441,    -1,   443,    -1,    -1,    -1,
      -1,    -1,    -1,   450,   451,    -1,    -1,    -1,    -1,   456,
      -1,   458,    -1,   460,    -1,   462,    -1,    -1,    -1,    -1,
     467,    -1,    -1,   470,    -1,    -1,   473,    -1,    -1,   476,
      -1,  5383,    -1,    -1,   481,   482,    -1,    -1,   485,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,    -1,    -1,
      -1,    -1,    -1,    -1,   501,   502,   503,   504,   505,   506,
     507,   508,   509,    -1,    -1,    -1,    -1,    -1,   515,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   529,    -1,    -1,    -1,   533,    -1,    -1,    -1,
      -1,    -1,  5444,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,  5575,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5616,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,     6,     7,     8,    -1,    10,    11,
      12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,   535,    -1,    -1,    31,
      32,    33,    34,    -1,    36,    37,    38,    39,    -1,    41,
      42,    43,    -1,    -1,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    -1,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   118,    -1,    -1,    -1,
     122,   123,   124,   125,   126,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   138,    -1,    -1,    -1,
      -1,    -1,    -1,   145,    -1,   147,    -1,    -1,    -1,    -1,
      -1,   153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     182,   183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   210,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   218,    -1,    -1,    -1,
     222,    -1,    -1,    -1,    -1,    -1,   228,    -1,    -1,    -1,
      -1,    -1,   234,    -1,   236,    -1,    -1,    -1,    -1,    -1,
     242,    -1,   244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   266,   267,    -1,    -1,    -1,    -1,
      -1,   273,    -1,   275,    -1,    -1,   278,   279,    -1,   281,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   290,   291,
      -1,   293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   316,   317,   318,    -1,    -1,   321,
      -1,    -1,    -1,   325,    -1,    -1,   328,    -1,   330,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   344,   345,    -1,   347,   348,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   360,    -1,
     362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   375,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   395,    -1,    -1,    -1,   399,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,   420,    -1,
      -1,   423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   437,    -1,    -1,    -1,    -1,
      -1,   443,    -1,    -1,    -1,    -1,    -1,    -1,   450,   451,
      -1,    -1,    -1,    -1,   456,    -1,   458,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   467,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     482,    -1,    -1,   485,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   501,
     502,   503,   504,   505,   506,   507,   508,   509,    -1,    -1,
       6,     7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    -1,    -1,   536,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    -1,    41,    42,    43,    -1,    -1,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    -1,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   118,    -1,    -1,    -1,   122,   123,   124,   125,
     126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   138,    -1,    -1,    -1,    -1,    -1,    -1,   145,
      -1,   147,    -1,    -1,    -1,    -1,    -1,   153,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,
      -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   182,   183,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   210,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   218,    -1,    -1,    -1,   222,    -1,    -1,    -1,
      -1,    -1,   228,    -1,    -1,    -1,    -1,    -1,   234,    -1,
     236,    -1,    -1,    -1,    -1,    -1,   242,    -1,   244,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     266,   267,    -1,    -1,    -1,    -1,    -1,   273,    -1,   275,
      -1,    -1,   278,   279,    -1,   281,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   290,   291,    -1,   293,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     316,   317,   318,    -1,    -1,   321,    -1,    -1,    -1,   325,
      -1,    -1,   328,    -1,   330,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,   345,
      -1,   347,   348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   360,    -1,   362,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   375,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   395,
      -1,    -1,    -1,   399,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   417,    -1,    -1,   420,    -1,    -1,   423,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   437,    -1,    -1,    -1,    -1,    -1,   443,    -1,    -1,
      -1,    -1,    -1,    -1,   450,   451,    -1,    -1,    -1,    -1,
     456,    -1,   458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   467,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   482,    -1,    -1,   485,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
     536,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,   198,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,   234,    -1,   236,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,    -1,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,    -1,   468,   469,
     470,   471,   472,   473,   474,    -1,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,    -1,    -1,    -1,    -1,    -1,    -1,
     520,   521,   522,    -1,    -1,    -1,    -1,    -1,    -1,   529,
     530,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,   468,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
      -1,   515,    -1,    -1,    -1,    -1,   520,   521,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   529,   530,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,    -1,
     468,   469,   470,   471,   472,   473,   474,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,   485,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,    -1,    -1,    -1,    -1,
      -1,    -1,   520,   521,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   529,   530,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,    -1,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,    -1,   468,   469,   470,   471,
     472,   473,   474,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,   485,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,    -1,    -1,    -1,    -1,    -1,    -1,   520,   521,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   529,   530,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,    -1,   468,   469,   470,   471,   472,   473,   474,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,    -1,    -1,
      -1,    -1,    -1,    -1,   520,   521,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   529,   530,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,    -1,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,    -1,
      -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,   234,    -1,   236,   237,   238,   239,
      -1,   241,    -1,    -1,    -1,   245,    -1,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,    -1,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,    -1,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,    -1,    -1,   289,
      -1,   291,   292,   293,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,    -1,   323,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
      -1,   361,    -1,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,    -1,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,    -1,    -1,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,    -1,   457,    -1,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,    -1,   482,   483,   484,   485,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     510,   511,   512,    -1,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     530,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,    -1,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,    -1,    -1,    -1,   245,    -1,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
      -1,   289,    -1,   291,   292,   293,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,    -1,   323,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,    -1,   361,    -1,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,    -1,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,    -1,
      -1,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,    -1,   457,
      -1,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   510,   511,   512,    -1,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   530,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,    -1,   468,   469,   470,   471,   472,   473,   474,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,    -1,   515,
      -1,    -1,    -1,    -1,   520,   521,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   529,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,   234,    -1,   236,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,    -1,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,    -1,   468,   469,   470,
     471,   472,   473,   474,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,   485,   486,   487,   488,   489,    -1,
      -1,   492,    -1,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,    -1,   515,    -1,    -1,    -1,    -1,   520,
     521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   529,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,   235,
     236,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,    -1,   468,   469,   470,   471,   472,   473,   474,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,    -1,    -1,
      -1,    -1,    -1,    -1,   520,   521,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   529,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,   234,    -1,   236,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,    -1,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,    -1,   468,   469,   470,
     471,   472,   473,   474,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,   485,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,    -1,    -1,    -1,    -1,    -1,    -1,   520,
     521,    -1,    -1,    -1,    -1,    -1,   527,   528,   529,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,    -1,   468,   469,   470,   471,   472,   473,   474,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,    -1,    -1,
      -1,    -1,    -1,    -1,   520,   521,   522,    -1,    -1,    -1,
      -1,    -1,    -1,   529,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,   234,    -1,   236,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,    -1,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,    -1,   468,   469,   470,
     471,   472,   473,   474,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,   485,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,    -1,    -1,    -1,    -1,    -1,    -1,   520,
     521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   529,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,    -1,   468,   469,   470,   471,   472,   473,   474,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,    -1,    -1,
      -1,    -1,    -1,    -1,   520,   521,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   529,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,   234,   235,   236,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,    -1,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,    -1,   468,   469,   470,
     471,   472,   473,   474,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,   485,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,    -1,    -1,    -1,    -1,    -1,    -1,   520,
     521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   529,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,    -1,   468,   469,   470,   471,   472,   473,   474,    -1,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,    -1,    -1,
      -1,    -1,    -1,    -1,   520,   521,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   529,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,   234,    -1,   236,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,    -1,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,    -1,   468,   469,   470,
     471,   472,   473,   474,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,   485,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,    -1,    -1,    -1,    -1,    -1,    -1,   520,
     521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   529,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,    -1,   468,   469,   470,   471,   472,   473,   474,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,    -1,    -1,
      -1,    -1,    -1,    -1,   520,   521,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   529,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,   234,    -1,   236,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,    -1,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,    -1,   468,   469,   470,
     471,   472,   473,   474,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,   485,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,    -1,    -1,    -1,    -1,    -1,    -1,   520,
     521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   529,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,    -1,   468,   469,   470,   471,   472,   473,   474,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,    -1,    -1,
      -1,    -1,    -1,    -1,   520,   521,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   529,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,   234,    -1,   236,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,    -1,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,    -1,   468,   469,   470,
     471,   472,   473,   474,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,   485,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,    -1,    -1,    -1,    -1,    -1,    -1,   520,
     521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   529,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,    -1,   468,   469,   470,   471,   472,   473,   474,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,    -1,    -1,
      -1,    -1,    -1,    -1,   520,   521,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   529,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,   234,    -1,   236,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,    -1,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,    -1,   468,   469,   470,
     471,   472,   473,   474,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,   485,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,    -1,    -1,    -1,    -1,    -1,    -1,   520,
     521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   529,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,    -1,   468,   469,   470,   471,   472,   473,   474,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,    -1,    -1,
      -1,    -1,    -1,    -1,   520,   521,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   529,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,   234,    -1,   236,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,    -1,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,    -1,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,   474,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,   485,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   520,
     521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   529,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,   474,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   520,   521,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   529,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,   234,    -1,   236,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,    -1,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,    -1,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,   474,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,   485,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   529,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,   234,    -1,   236,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,    -1,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,    -1,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,   474,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,   485,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   529,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,    -1,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,    -1,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,   468,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   520,   521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     529,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,    -1,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,   337,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,    -1,
      -1,   515,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   529,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,   234,    -1,   236,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,    -1,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,   337,   338,   339,   340,    -1,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,   474,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,   485,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   529,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,   474,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,   485,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   529,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,   234,    -1,   236,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,    -1,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,   474,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,   485,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   529,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,    -1,
      -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,   234,    -1,   236,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,    -1,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,   485,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   529,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,   111,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,    -1,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   530,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    79,    -1,    81,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,    -1,    -1,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,   528,   529,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,    -1,    -1,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   529,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,    -1,
      -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,    -1,    -1,
     515,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   529,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,    -1,
      -1,   515,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   529,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   529,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   529,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   529,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   529,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    -1,    -1,    84,    85,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,    -1,   243,    -1,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,    -1,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
      -1,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,    -1,   453,   454,   455,    -1,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   510,   511,   512,    -1,    -1,    -1,   516,   517,   518,
      -1,   520,   521,   522,   523,   524,   525,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    -1,    -1,    84,    85,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,    -1,   243,    -1,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,    -1,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,    -1,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,    -1,   453,   454,   455,    -1,   457,
      -1,   459,   460,   461,   462,   463,   464,   465,   466,    -1,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   510,   511,   512,    -1,    -1,    -1,   516,   517,
     518,    -1,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,    -1,    -1,    -1,   516,   517,
     518,    -1,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,    -1,    -1,    -1,   516,   517,
     518,    -1,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,    -1,    -1,    -1,   516,   517,
     518,    -1,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,    -1,    -1,    -1,   516,   517,
     518,    -1,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,    -1,    -1,    -1,   516,   517,
     518,    -1,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,    -1,    -1,    -1,   516,   517,
     518,    -1,   520,   521,   522,   523,   524,   525,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,    -1,    -1,    -1,   516,   517,
     518,    -1,   520,   521,   522,   523,   524,   525,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,     5,     6,     7,     8,
       9,    10,    11,    12,    13,   522,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,    -1,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,    -1,
     219,   220,   221,    -1,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,    -1,    -1,    -1,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,    -1,   291,   292,   293,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,    -1,   323,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,    -1,   361,    -1,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
      -1,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,    -1,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,    -1,   457,    -1,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   510,   511,   512,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,   522,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,   522,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,   522,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,    -1,
     235,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   520,   521,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,   235,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   520,   521,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,   235,    -1,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   520,   521,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,    -1,   235,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   520,   521,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,    -1,    -1,    -1,    -1,     4,   518,     6,     7,
       8,     9,    10,    11,    12,    13,    14,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,   474,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,   485,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,    -1,
      -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,   234,    -1,   236,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,    -1,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,   485,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
     172,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,   485,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,    -1,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,    -1,   219,   220,   221,    -1,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,    -1,    -1,
      -1,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,    -1,   291,   292,   293,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,    -1,   323,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,    -1,   361,    -1,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,    -1,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,    -1,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,    -1,   457,    -1,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   510,   511,   512,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,    -1,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,    -1,    -1,    -1,   245,
      -1,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,    -1,    -1,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,    -1,   291,   292,   293,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,    -1,   323,   324,   325,
     326,   327,    -1,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,    -1,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,    -1,   361,    -1,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,    -1,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,    -1,    -1,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
      -1,   457,    -1,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,    -1,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   510,   511,   512,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,    -1,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,    -1,    -1,    -1,   245,    -1,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,    -1,
      -1,   269,   270,   271,   272,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
      -1,   289,    -1,   291,   292,   293,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,    -1,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,    -1,   361,    -1,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,    -1,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,    -1,
      -1,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,    -1,   457,
      -1,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,    -1,   482,    -1,   484,   485,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   510,   511,   512,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,    -1,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,    -1,
      -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,   234,    -1,   236,   237,   238,   239,
      -1,   241,    -1,    -1,    -1,   245,    -1,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,   266,    -1,    -1,   269,
     270,   271,   272,   273,    -1,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,    -1,    -1,   289,
      -1,   291,   292,   293,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,    -1,   323,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,    -1,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
      -1,   361,    -1,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,    -1,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,    -1,    -1,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,    -1,   457,    -1,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,    -1,   482,    -1,   484,   485,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     510,   511,   512,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,    -1,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
     172,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
      -1,    -1,    -1,   245,    -1,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,    -1,    -1,   269,   270,   271,
     272,   273,    -1,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,    -1,   289,    -1,   291,
     292,   293,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
      -1,   323,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,    -1,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,    -1,   361,
      -1,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,    -1,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,    -1,    -1,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,    -1,   457,    -1,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,    -1,
     482,    -1,   484,   485,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,   511,
     512,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,    -1,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,    -1,   219,   220,   221,    -1,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,    -1,    -1,
      -1,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,    -1,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,    -1,   291,   292,   293,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,    -1,   323,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
      -1,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,    -1,   361,    -1,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,    -1,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,    -1,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,    -1,   457,    -1,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,    -1,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   510,   511,   512,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,    -1,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,    -1,    -1,    -1,   245,
      -1,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,    -1,    -1,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,    -1,   291,   292,   293,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,    -1,   323,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,    -1,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,    -1,   361,    -1,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,    -1,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,    -1,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
      -1,   457,    -1,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,    -1,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   510,   511,   512,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,    -1,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,    -1,    -1,    -1,   245,    -1,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,    -1,
      -1,   269,   270,   271,   272,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
      -1,   289,    -1,   291,   292,   293,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,    -1,   323,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,    -1,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,    -1,   361,    -1,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,    -1,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,    -1,
      -1,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,    -1,   457,
      -1,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,    -1,   482,    -1,   484,   485,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   510,   511,   512,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,    -1,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,    -1,
      -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,   234,    -1,   236,   237,   238,   239,
      -1,   241,    -1,    -1,    -1,   245,    -1,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,   266,    -1,    -1,   269,
     270,   271,   272,   273,    -1,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,    -1,    -1,   289,
      -1,   291,   292,   293,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,    -1,   323,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,    -1,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
      -1,   361,    -1,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,    -1,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,    -1,    -1,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,    -1,   457,    -1,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,    -1,   482,    -1,   484,   485,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     510,   511,   512,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,    -1,   124,    -1,    -1,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,    -1,    -1,   139,    -1,   141,
     142,   143,   144,    -1,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
     172,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
      -1,    -1,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,    -1,   224,    -1,   226,   227,    -1,   229,    -1,   231,
      -1,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
      -1,    -1,    -1,   245,    -1,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,    -1,    -1,   269,   270,   271,
      -1,    -1,    -1,    -1,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,    -1,   289,    -1,   291,
     292,   293,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,    -1,   319,   320,    -1,
      -1,   323,   324,   325,   326,    -1,    -1,   329,    -1,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,    -1,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,    -1,   361,
      -1,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,    -1,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,    -1,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,    -1,    -1,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,    -1,    -1,    -1,
      -1,    -1,   454,   455,    -1,   457,    -1,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,    -1,
      -1,    -1,   484,   485,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,   511,
     512,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,    -1,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    -1,   511,   512,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    -1,
      81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,    -1,    -1,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,   232,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,   468,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,   232,   233,    -1,    -1,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,   293,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,   468,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,   164,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,
     240,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,   164,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,   240,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,   232,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,   468,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,   168,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,   164,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,    -1,
      -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,     6,     7,
       8,     9,    10,    11,    12,    13,    14,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,   232,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
     164,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,   337,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,   106,   107,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,    -1,
      -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,   474,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,   474,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,   337,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,    -1,
      -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,   337,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     6,     7,     8,     9,    10,    11,    12,    13,
      14,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,   111,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,   111,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,    -1,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,    -1,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,    -1,
      -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,    -1,
      -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,    -1,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,    -1,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,    -1,
      -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,   111,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,    -1,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,    -1,
      -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,    -1,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,    -1,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,    -1,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,    -1,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,     6,     7,     8,    -1,    10,    11,
      12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,
      32,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    -1,    -1,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      72,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   118,    -1,    -1,    -1,
     122,   123,   124,   125,   126,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   138,    -1,    -1,    -1,
      -1,    -1,    -1,   145,    -1,   147,    -1,    -1,    -1,    -1,
      -1,   153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     182,   183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   210,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   218,    -1,    -1,    -1,
     222,    -1,    -1,    -1,    -1,    -1,   228,    -1,    -1,    -1,
      -1,    -1,   234,    -1,   236,    -1,    -1,    -1,    -1,    -1,
     242,    -1,   244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   266,   267,    -1,    -1,    -1,    -1,
      -1,   273,    -1,   275,    -1,    -1,   278,   279,    -1,   281,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   290,   291,
      -1,   293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   316,   317,   318,    -1,    -1,   321,
      -1,    -1,    -1,   325,    -1,    -1,   328,    -1,   330,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   344,   345,    -1,   347,   348,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   360,    -1,
     362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   375,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   395,    -1,    -1,    -1,   399,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,   420,    -1,
      -1,   423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   437,    -1,    -1,    -1,    -1,
      -1,   443,    -1,    -1,    -1,    -1,    -1,    -1,   450,   451,
      -1,    -1,    -1,    -1,   456,    -1,   458,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   467,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     482,    -1,    -1,   485,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   501,
     502,   503,   504,   505,   506,   507,   508,   509,     6,     7,
       8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    -1,    -1,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    72,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     118,    -1,    -1,    -1,   122,   123,   124,   125,   126,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     138,    -1,    -1,    -1,    -1,    -1,    -1,   145,    -1,   147,
      -1,    -1,    -1,    -1,    -1,   153,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   182,   183,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     218,    -1,    -1,    -1,   222,    -1,    -1,    -1,    -1,    -1,
     228,    -1,    -1,    -1,    -1,    -1,   234,    -1,   236,    -1,
      -1,    -1,    -1,    -1,   242,    -1,   244,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,   267,
      -1,    -1,    -1,    -1,    -1,   273,    -1,   275,    -1,    -1,
     278,   279,    -1,   281,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   290,   291,    -1,   293,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   316,   317,
     318,    -1,    -1,   321,    -1,    -1,    -1,   325,    -1,    -1,
     328,    -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   344,   345,    -1,   347,
     348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   360,    -1,   362,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   375,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   395,    -1,    -1,
      -1,   399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,
      -1,    -1,   420,    -1,    -1,   423,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   437,
      -1,    -1,    -1,    -1,    -1,   443,    -1,    -1,    -1,    -1,
      -1,    -1,   450,   451,    -1,    -1,    -1,    -1,   456,    -1,
     458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   467,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   482,    -1,    -1,   485,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,
      34,    -1,    36,    37,    38,    39,    -1,    41,    42,    43,
      -1,    -1,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    -1,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   118,    -1,    -1,    -1,   122,   123,
     124,   125,   126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   138,    -1,    -1,    -1,    -1,    -1,
      -1,   145,    -1,   147,    -1,    -1,    -1,    -1,    -1,   153,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   182,   183,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   210,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   218,    -1,    -1,    -1,   222,    -1,
      -1,    -1,    -1,    -1,   228,    -1,    -1,    -1,    -1,    -1,
     234,    -1,   236,    -1,    -1,    -1,    -1,    -1,   242,    -1,
     244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   266,   267,    -1,    -1,    -1,    -1,    -1,   273,
      -1,   275,    -1,    -1,   278,   279,    -1,   281,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   290,   291,    -1,   293,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   316,   317,   318,    -1,    -1,   321,    -1,    -1,
      -1,   325,    -1,    -1,   328,    -1,   330,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     344,   345,    -1,   347,   348,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   360,    -1,   362,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   375,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   395,    -1,    -1,    -1,   399,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   417,    -1,    -1,   420,    -1,    -1,   423,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   437,    -1,    -1,    -1,    -1,    -1,   443,
      -1,    -1,    -1,    -1,    -1,    -1,   450,   451,    -1,    -1,
      -1,    -1,   456,    -1,   458,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   467,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   482,    -1,
      -1,   485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     6,     7,     8,    -1,
      10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    -1,    -1,
      -1,    31,    32,    33,    34,    -1,    36,    37,    38,    39,
      -1,    41,    42,    43,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   118,    -1,
      -1,    -1,   122,   123,   124,   125,   126,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,    -1,
      -1,    -1,    -1,    -1,    -1,   145,    -1,   147,    -1,    -1,
      -1,    -1,    -1,   153,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,    -1,
      -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   182,   183,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   218,    -1,
      -1,    -1,   222,    -1,    -1,    -1,    -1,    -1,   228,    -1,
      -1,    -1,    -1,    -1,   234,    -1,   236,    -1,    -1,    -1,
      -1,    -1,   242,    -1,   244,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   266,   267,    -1,    -1,
      -1,    -1,    -1,   273,    -1,   275,    -1,    -1,   278,   279,
      -1,   281,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     290,   291,    -1,   293,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   316,   317,   318,    -1,
      -1,   321,    -1,    -1,    -1,   325,    -1,    -1,   328,    -1,
     330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   344,   345,    -1,   347,   348,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     360,    -1,   362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   375,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   395,    -1,    -1,    -1,   399,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,
     420,    -1,    -1,   423,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   437,    -1,    -1,
      -1,    -1,    -1,   443,    -1,    -1,    -1,    -1,    -1,    -1,
     450,   451,    -1,    -1,    -1,    -1,   456,    -1,   458,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   467,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   482,    -1,    -1,   485,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   501,   502,   503,   504,   505,   506,   507,   508,   509,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,    -1,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,    -1,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,    -1,
      -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,   234,    -1,   236,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,    -1,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,    -1,   338,   339,
     340,    -1,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,    -1,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,    -1,   482,    -1,   484,   485,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
      70,   511,   512,    -1,    -1,    -1,    -1,    -1,    78,    79,
     520,   521,   522,    -1,    -1,    -1,    -1,    -1,    -1,   529,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,   106,   107,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,    -1,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,    -1,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,    -1,
      -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,   234,    -1,   236,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,    -1,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,   485,   486,   487,   488,   489,
      -1,    -1,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
      -1,   511,   512,    70,    71,   515,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    -1,    -1,    -1,    85,   529,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
      -1,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,    -1,
      -1,   158,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,   234,    -1,   236,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,    -1,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
      -1,   338,   339,   340,    -1,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,    -1,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,    -1,   482,    -1,   484,   485,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,    -1,   511,   512,    -1,    -1,    -1,    -1,
      -1,    70,    71,   520,   521,    74,    75,    76,    77,    78,
      79,    80,    81,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,    -1,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,    -1,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,    -1,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,    -1,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,    -1,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,    -1,   511,   512,    -1,    -1,    -1,    -1,    -1,    70,
      71,   520,   521,    74,    75,    76,    77,    78,    79,    80,
      81,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,    -1,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,   234,    -1,   236,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,    -1,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,    -1,   338,   339,   340,
      -1,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,    -1,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
      -1,   482,    -1,   484,   485,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,    -1,
     511,   512,    -1,    -1,    -1,    -1,    -1,    70,    71,   520,
     521,    74,    75,    76,    77,    78,    79,    -1,    81,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,    -1,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,   234,    -1,   236,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,    -1,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,    -1,   338,   339,   340,    -1,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,    -1,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,    -1,   482,
      -1,   484,   485,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,    -1,   511,   512,
      -1,    -1,    -1,    -1,    -1,    70,    71,   520,   521,    74,
      75,    76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,    -1,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,    -1,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,    -1,   482,    -1,   484,
     485,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    -1,   511,   512,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    -1,    81,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,    -1,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
     172,    -1,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,    -1,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,    -1,
     482,    -1,   484,   485,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,    70,   511,
     512,    -1,    74,    75,    76,    77,    78,    79,    -1,    81,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,    -1,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,    -1,   338,   339,   340,    -1,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,    -1,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,    -1,
     482,    -1,   484,   485,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,    70,   511,
     512,    -1,    74,    75,    76,    77,    78,    79,    -1,    81,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,    -1,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,    -1,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,    -1,
     482,    -1,   484,   485,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,    70,   511,
     512,    -1,    74,    75,    76,    77,    78,    79,    -1,    81,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,    -1,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,    -1,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,    -1,
     482,    -1,   484,   485,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,    70,   511,
     512,    -1,    74,    75,    76,    77,    78,    79,    -1,    81,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,    -1,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,    -1,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,    -1,
     482,    -1,   484,   485,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,    70,   511,
     512,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,    -1,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
     172,    -1,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,    -1,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,    -1,
     482,    -1,   484,   485,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,    70,   511,
     512,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,    -1,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
     172,    -1,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,    -1,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,    -1,
     482,    -1,   484,   485,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,    70,   511,
     512,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,    -1,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
     172,    -1,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,    -1,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,   474,    -1,   476,   477,   478,   479,   480,    -1,
     482,    -1,   484,   485,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,    70,   511,
     512,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,    -1,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
     172,    -1,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,    -1,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,    -1,
     482,    -1,   484,   485,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,    70,   511,
     512,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,    -1,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
     172,    -1,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,    -1,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,    -1,
     482,    -1,   484,   485,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,    70,   511,
     512,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,    -1,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
     172,    -1,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,    -1,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,    -1,
     482,    -1,   484,   485,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,    70,   511,
     512,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,    -1,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
     172,    -1,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,    -1,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,    -1,
     482,    -1,   484,   485,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,    70,   511,
     512,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,    -1,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
     172,    -1,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,    -1,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,    -1,
     482,    -1,   484,   485,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,    70,   511,
     512,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,    -1,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
     172,    -1,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,    -1,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,    -1,
     482,    -1,   484,   485,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,    70,   511,
     512,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,   106,   107,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,    -1,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,    -1,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,    -1,
     482,    -1,   484,   485,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,    -1,   511,
     512
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   538,  1148,     0,     5,    25,    35,    36,    40,    42,
      43,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    72,    74,    75,    76,
      77,    78,    79,    80,    81,    85,   137,   210,   228,   249,
     272,   309,   312,   327,   406,   452,   467,   482,   510,   518,
     520,   521,   522,   523,   524,   527,   528,   529,   530,   532,
     533,   534,   535,   536,  1138,  1149,  1177,  1179,  1270,  1280,
    1281,  1283,  1289,  1290,  1178,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    41,    42,    43,    44,    45,
      49,    50,    55,    64,    66,    68,    69,    94,   104,   106,
     107,   116,   118,   121,   122,   123,   124,   125,   126,   138,
     141,   143,   144,   145,   147,   149,   151,   153,   162,   164,
     165,   172,   179,   181,   182,   183,   184,   197,   199,   203,
     209,   210,   217,   218,   219,   222,   225,   228,   234,   236,
     240,   242,   244,   252,   256,   266,   267,   273,   275,   278,
     279,   281,   290,   291,   293,   295,   296,   301,   313,   316,
     317,   318,   321,   324,   325,   328,   330,   344,   345,   347,
     348,   360,   362,   364,   375,   376,   381,   382,   384,   389,
     394,   395,   397,   399,   402,   407,   408,   415,   417,   419,
     420,   423,   429,   437,   441,   443,   450,   451,   456,   458,
     460,   462,   467,   470,   476,   481,   482,   485,   494,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   515,   529,
     539,   540,   546,   547,   549,   550,   551,   552,   553,   554,
     555,   557,   558,   562,   574,   579,   580,   583,   584,   585,
     597,   600,   601,   617,   656,   659,   660,   661,   668,   674,
     676,   678,   679,   682,   685,   686,   690,   691,   700,   704,
     705,   706,   707,   708,   711,   713,   714,   715,   716,   717,
     724,   725,   738,   739,   743,   745,   746,   747,   757,   759,
     766,   767,   770,   771,   772,   773,   774,   780,   782,   785,
     789,   793,   794,   804,   805,   808,   813,   824,   847,   850,
     851,   852,   855,   858,   860,   862,   864,   865,   870,   871,
     874,   875,   876,   879,   880,   887,   888,   890,   891,   892,
     897,   899,   900,   906,   907,   908,   909,   910,   911,   913,
     914,   916,   917,   919,   922,   923,   928,   934,   937,   939,
     947,   949,   954,   961,   965,   966,   967,   968,   969,   970,
     973,  1008,  1145,  1146,  1150,  1152,  1153,  1170,  1171,  1172,
    1173,  1184,  1186,  1190,  1191,  1192,  1193,  1194,  1196,  1198,
    1200,  1201,  1202,  1203,  1205,  1210,  1211,  1215,  1216,  1225,
    1227,  1228,  1229,  1232,  1237,  1240,  1245,  1247,  1248,  1251,
    1253,  1256,  1265,  1283,  1291,    72,  1173,  1181,  1182,    14,
      71,    94,    95,    96,    97,    98,    99,   100,   101,   103,
     104,   105,   113,   114,   116,   117,   119,   120,   121,   128,
     129,   130,   131,   132,   135,   136,   139,   141,   142,   143,
     144,   149,   150,   151,   152,   154,   155,   158,   159,   160,
     161,   162,   163,   166,   167,   175,   176,   177,   178,   179,
     181,   184,   186,   188,   189,   190,   191,   192,   193,   195,
     196,   197,   200,   201,   202,   203,   204,   206,   207,   208,
     210,   211,   212,   214,   215,   216,   217,   219,   220,   221,
     224,   226,   227,   229,   231,   233,   237,   238,   239,   241,
     245,   247,   248,   250,   251,   253,   254,   255,   256,   258,
     259,   260,   261,   262,   263,   265,   269,   270,   271,   277,
     280,   282,   283,   284,   285,   286,   289,   292,   295,   296,
     297,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     310,   311,   313,   314,   315,   319,   320,   323,   324,   326,
     329,   331,   332,   333,   335,   338,   339,   340,   343,   346,
     349,   350,   351,   352,   353,   354,   355,   356,   358,   359,
     361,   363,   364,   365,   367,   368,   369,   370,   371,   372,
     373,   374,   376,   377,   378,   379,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   393,   394,   396,
     397,   398,   400,   401,   402,   403,   404,   405,   407,   409,
     410,   411,   412,   413,   414,   415,   416,   418,   419,   421,
     422,   424,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   439,   440,   442,   444,   445,   446,   447,
     448,   452,   454,   455,   457,   460,   461,   462,   463,   464,
     465,   466,   469,   470,   471,   472,   473,   476,   477,   478,
     479,   480,   484,   486,   487,   488,   489,   492,   495,   496,
     497,   498,   499,   500,   511,   512,  1140,  1141,  1143,  1144,
    1145,  1146,  1163,  1164,  1275,  1277,  1281,  1283,    29,   268,
    1226,     9,    13,    15,    28,    44,    45,    49,    50,    55,
      64,    66,    68,    69,   102,   137,   156,   168,   180,   185,
     249,   309,   312,   406,   481,   510,  1131,  1144,  1145,  1165,
    1212,  1213,  1255,  1256,  1257,  1261,  1266,  1267,  1268,  1277,
    1283,   102,   962,  1130,  1165,  1261,  1274,    14,   962,     5,
      25,    29,    35,    36,    42,    43,   102,   106,   107,   108,
     109,   110,   111,   112,   115,   127,   133,   134,   137,   140,
     146,   148,   156,   157,   164,   168,   169,   170,   171,   173,
     174,   175,   185,   187,   194,   198,   199,   205,   209,   213,
     223,   225,   230,   232,   235,   240,   243,   246,   257,   264,
     268,   272,   274,   276,   287,   288,   294,   298,   299,   322,
     327,   334,   336,   337,   341,   342,   357,   366,   380,   392,
     408,   414,   425,   438,   441,   449,   452,   453,   459,   467,
     468,   474,   475,   481,   483,   490,   491,   493,   494,  1144,
    1147,  1257,  1258,  1259,  1263,  1264,  1265,  1266,  1268,    25,
      35,   137,   272,  1252,    37,    39,   322,  1185,   454,   497,
     893,   101,   147,   161,   179,   185,   201,   212,   220,   232,
     237,   243,   260,   285,   306,   338,   359,   369,   396,   401,
     403,   409,   412,   440,   441,   444,   448,   457,   462,   474,
     487,   675,  1213,   184,   893,   102,   962,   485,   924,   336,
     365,   893,   124,   529,   608,    96,   101,   113,   134,   147,
     157,   179,   185,   201,   212,   220,   232,   239,   243,   297,
     338,   341,   359,   396,   403,   412,   444,   445,   447,   448,
     457,   462,   468,   471,   474,   618,   658,   762,   814,   825,
    1131,  1154,  1155,  1156,  1165,  1281,  1283,    14,   102,   364,
    1130,  1165,  1169,   430,   962,   102,   358,   410,   445,   447,
     284,   856,   857,  1281,    96,   101,   113,   134,   147,   161,
     179,   201,   212,   220,   232,   237,   243,   260,   306,   338,
     349,   359,   396,   401,   403,   409,   412,   441,   444,   448,
     455,   457,   462,   474,   487,   675,   775,   893,   535,  1195,
    1259,   253,  1169,   164,   184,   217,   485,   529,   656,   659,
     923,   929,   937,   939,   947,   954,   961,   965,  1150,    95,
     102,   119,   227,   233,   235,   257,   286,   319,   367,   383,
     520,   521,   790,   791,   962,  1138,  1139,  1275,  1277,   102,
     164,   380,   408,   795,   796,   797,  1261,   232,  1261,  1135,
    1281,   441,   976,   119,   233,   790,  1261,   454,  1169,   349,
     306,   179,   260,   403,   440,   441,   529,   866,   867,   402,
    1261,   102,   137,   413,   450,   454,   481,   566,   575,   576,
    1144,  1145,  1255,  1260,  1266,  1268,  1283,    99,   240,   795,
     796,   365,   893,  1261,   283,   102,   198,   978,   979,     4,
      14,   135,   156,   158,   297,   315,   396,   403,   413,   450,
     454,   500,   563,   564,   565,   566,   102,   413,   450,   454,
     566,   454,   337,  1019,  1128,  1261,   976,  1249,  1259,   522,
    1261,   236,   529,   925,   529,  1123,   378,   971,   972,  1130,
     971,   966,   967,   970,   533,   924,   213,   274,   342,   467,
     980,   981,   966,   968,   969,   190,   270,   473,   532,   121,
     539,  1193,  1196,  1192,  1188,   533,  1197,  1199,     5,    25,
      35,   137,   202,   272,  1204,   180,   249,   309,   312,   406,
     510,   529,  1056,  1057,  1176,  1180,  1270,    72,  1173,  1130,
    1165,  1284,   185,  1154,    21,   475,   523,  1169,  1169,  1284,
     475,  1217,  1218,  1219,    25,   272,   272,  1263,     7,    19,
      20,    38,    41,   160,   199,  1254,  1254,    16,  1193,  1136,
    1146,  1255,  1258,  1261,  1262,  1266,  1267,  1283,   777,  1261,
     777,  1131,   368,   777,   457,   777,  1130,  1261,   178,   441,
     803,  1136,  1140,  1141,   102,   251,  1128,   331,   487,    84,
      91,    92,    93,   142,   224,   516,   517,   518,   520,   521,
     522,   523,   524,   525,   854,  1089,  1090,  1261,   251,  1130,
     102,  1140,  1141,  1130,  1130,   251,  1128,  1130,   389,   415,
     102,   251,  1019,  1130,   405,  1130,   777,   102,   304,  1140,
    1141,   251,  1128,   284,    34,   187,   280,   322,   374,   894,
     895,   896,  1128,  1134,  1261,    96,   101,   134,   147,   148,
     157,   161,   179,   201,   212,   220,   232,   237,   260,   285,
     306,   338,   359,   396,   401,   403,   409,   412,   441,   444,
     448,   455,   457,   462,   487,   675,   783,  1281,   936,   939,
     947,   954,   965,  1128,   308,  1136,  1130,   529,   777,   457,
    1131,   777,   457,   251,  1130,   178,   441,   445,   447,  1140,
     445,   447,   142,   224,   854,   387,  1130,  1140,   251,   559,
    1261,  1130,  1130,   405,  1130,   777,   304,  1140,   378,   409,
     441,   487,   306,   161,   260,   237,   401,   455,   461,   669,
      84,  1157,  1158,   534,  1277,  1284,   102,  1169,  1283,   963,
     573,  1143,  1281,   857,   308,   251,  1136,  1130,   251,   861,
     251,  1131,   123,   125,   126,   137,   138,   182,   183,   202,
     228,   251,   272,   273,   275,   316,   318,   330,   375,   417,
     423,   450,   451,   482,   779,  1034,  1036,  1038,  1040,  1042,
    1044,  1045,  1046,  1048,  1049,  1050,  1053,  1054,  1255,  1262,
    1266,  1267,  1283,   457,   178,   441,   251,  1136,   251,  1141,
    1142,   153,   487,   142,   224,   251,   854,   128,   251,  1130,
     251,  1142,   251,  1130,   251,  1130,   251,  1130,   405,   861,
     251,  1130,   251,   779,   251,   304,  1142,   284,   251,   776,
     777,   529,   535,  1285,  1286,  1287,  1288,  1290,  1195,    70,
    1165,  1214,   529,   938,   618,   962,   929,   923,   930,   931,
     932,  1143,   924,  1139,   791,   792,   102,   791,   962,  1139,
     792,   102,   791,   962,  1139,   792,   792,   792,  1139,  1138,
    1138,   276,   475,  1219,  1220,  1294,  1296,   962,   792,   368,
     529,   529,   637,   637,   637,   336,   452,   532,   637,   403,
    1019,  1020,   791,   962,   791,   962,   532,   889,  1281,   235,
     529,   935,   128,   487,   485,   868,   869,  1128,  1130,  1261,
     118,   512,   280,   531,   339,   339,   336,   235,  1281,   452,
     230,   786,   336,    82,    83,    84,    86,   110,   123,   125,
     126,   133,   134,   137,   138,   145,   147,   169,   170,   171,
     172,   173,   174,   175,   182,   183,   218,   222,   223,   228,
     242,   244,   273,   275,   290,   298,   299,   316,   318,   322,
     327,   328,   330,   338,   348,   360,   375,   399,   414,   423,
     437,   450,   451,   456,   458,   459,   468,   474,   482,   502,
     503,   504,   505,   506,   507,   508,   509,   513,   520,   521,
     522,   529,   966,  1037,  1040,  1043,  1044,  1045,  1047,  1048,
    1049,  1053,  1054,  1058,  1060,  1061,  1062,  1064,  1085,  1086,
    1087,  1091,  1110,  1115,  1125,  1126,  1136,  1137,  1138,  1261,
    1273,  1275,  1277,  1278,  1279,  1280,  1281,  1124,  1125,   452,
     518,  1284,  1281,   452,   518,  1213,   102,   581,  1127,  1128,
     413,   563,   185,   572,  1281,   573,  1281,   118,   139,   563,
     512,   424,   895,   339,   235,   452,   518,   118,   512,   280,
    1294,   896,   529,  1128,   522,   527,   531,  1116,  1118,  1020,
    1265,   234,   236,   485,   920,   921,   923,  1283,   234,   926,
     185,  1058,  1121,  1122,   971,   532,   529,   927,   530,   530,
    1128,   102,   198,   977,   977,   128,   977,   225,   230,   294,
     334,   984,   986,   987,  1002,  1004,  1005,  1006,   980,   981,
     235,   276,  1019,  1021,  1123,   533,  1187,   522,  1206,  1207,
    1209,   535,   535,    25,   272,   272,   452,   452,   452,   452,
     529,   452,   520,   521,   666,  1139,  1174,  1280,   209,   111,
    1161,   128,  1164,  1164,   276,  1219,  1221,   276,  1219,  1220,
    1221,   480,  1230,  1231,  1277,    14,    83,   426,   520,   521,
    1138,  1222,  1223,  1224,  1273,  1275,  1279,  1280,  1281,  1282,
     272,   278,  1130,   452,  1130,     6,  1130,  1254,  1209,   529,
     837,  1118,   350,   385,   415,   531,   778,   350,   385,   415,
     156,   207,   300,   350,   385,   415,   444,   446,   494,   574,
     577,   901,   902,   903,   904,  1283,   809,    98,   203,   350,
     385,   415,   478,   588,  1130,   415,    98,   203,   473,   556,
     498,   251,  1019,   130,   163,   193,   221,   254,   289,   322,
     350,   351,   385,   393,   400,   407,   415,   427,   435,   489,
     574,   578,   840,   848,   529,   826,   385,   556,   257,   218,
      98,   104,   144,   193,   196,   203,   206,   231,   262,   320,
     322,   332,   340,   350,   385,   388,   389,   415,   478,   586,
     587,   694,   666,   102,   251,  1128,   777,   777,   529,   853,
     531,   218,   336,   257,   548,   385,   494,   515,   541,   548,
     336,   350,   385,   218,   129,   177,   259,   307,   310,   320,
     349,   385,   390,   415,   429,   586,   663,   664,   350,   385,
     486,   694,   702,   576,   564,   566,   257,   218,   385,   415,
     586,   350,   385,   389,   415,   154,   195,   352,   446,   336,
      98,   104,   203,   350,   385,   415,   598,   599,   548,   230,
     385,   541,   548,   218,   385,   415,   586,  1130,   533,   292,
     187,   337,   499,   532,   894,   475,   918,   336,   308,  1136,
     529,  1130,  1034,   457,   178,   441,  1136,   331,   487,   142,
     224,   854,  1130,  1130,   405,   230,  1130,  1034,   284,   777,
     530,   637,  1130,   529,   752,   837,   140,  1034,   235,   529,
     748,  1130,   541,   111,   912,  1130,   322,   541,   498,   251,
    1128,   541,   777,   777,   748,   471,   618,   336,   541,   322,
     118,   560,   462,   701,   350,   677,   154,   195,   352,   446,
     100,   120,   271,   726,   111,   748,   230,   541,   487,   251,
    1128,   251,   654,  1128,  1128,   487,   777,   153,   815,  1136,
    1130,   230,   675,    73,  1159,  1261,   534,  1160,  1157,   124,
     176,   269,   320,   404,   218,   837,   131,   391,   589,   218,
     529,   218,   484,  1051,  1051,  1051,   529,  1039,  1039,   362,
     529,  1041,   218,   137,   138,  1051,  1039,  1036,   496,   515,
     529,  1055,   529,  1055,   532,   589,   110,  1035,   138,   529,
    1052,   180,   312,   510,   529,  1056,   778,  1039,   498,   218,
     826,   218,   532,   251,   776,   251,   777,   251,   777,   218,
     853,  1142,   218,   336,   218,   218,   336,   218,   589,   218,
     154,   195,   352,   446,   230,   218,   336,   218,   589,   218,
     230,   251,   251,   573,   218,   532,   589,   530,  1286,  1287,
    1285,   532,   536,  1058,  1094,  1218,  1293,  1294,   441,   963,
     530,   532,   223,   336,   459,   570,   573,   666,   933,   929,
     792,   962,   792,   962,  1296,  1297,   792,   962,   792,   962,
    1297,   792,   962,   962,   962,   792,    14,   426,  1269,  1272,
    1277,   962,   529,   638,   639,  1261,   638,   102,   179,   201,
     232,   237,   284,   285,   403,   409,   441,   444,   462,   798,
    1127,  1142,   797,  1130,   257,   532,   950,   962,   962,  1281,
    1214,  1034,  1097,   111,  1142,   815,   530,   532,   292,  1261,
     230,   230,   798,  1142,   402,  1261,   573,   336,   529,   527,
     966,  1098,  1058,  1114,   529,   529,   230,   529,   529,   966,
     529,   529,   529,   529,   529,   529,  1058,   529,   529,   529,
     529,   529,   529,   529,   529,   966,   529,   529,   529,   529,
     529,   529,   529,   529,  1058,  1058,  1058,   481,   966,  1058,
    1094,  1118,  1281,   529,  1281,    84,    87,    91,    92,    93,
     108,   111,   116,   122,   146,   252,   257,   278,   279,   293,
     325,   338,   341,   420,   513,   516,   517,   518,   520,   521,
     522,   523,   524,   525,  1089,  1091,  1093,  1283,   495,  1073,
     347,  1058,   276,   532,   974,  1294,   529,  1281,  1118,    22,
    1276,  1277,  1119,   974,   333,   336,  1246,  1246,    10,   480,
    1233,  1234,  1236,  1213,  1213,   188,   253,   582,   532,   139,
     185,   573,   111,   185,   297,   571,   666,  1054,  1281,  1283,
    1281,   159,   200,  1070,   168,   185,   567,   568,   570,   666,
     185,   567,  1294,  1294,   292,  1128,  1058,  1117,   522,  1133,
    1263,  1116,   160,   390,   781,   278,   530,   532,   924,   530,
     532,   972,  1129,  1130,   111,   927,   968,   968,   982,   983,
    1058,   968,   227,   319,   993,   282,   320,   374,   418,   473,
     102,   988,  1058,   989,   991,  1058,  1060,  1002,  1003,   987,
     986,   984,   985,   230,  1005,   332,  1007,   984,  1002,  1021,
     940,  1128,   111,  1261,   415,  1206,   522,   532,   533,  1264,
    1183,  1186,  1183,   272,   180,   249,   309,  1057,   309,  1057,
    1057,   312,  1138,   309,   312,   406,  1280,  1280,   532,  1175,
     184,  1213,   474,  1162,  1164,  1130,   426,  1138,  1235,  1277,
     532,   518,  1130,    14,  1138,  1280,  1138,  1280,   532,  1193,
     529,  1130,   529,  1265,   257,   267,   342,   344,   417,   483,
     522,   830,   831,   832,   834,   836,   838,  1034,  1262,   350,
     385,   415,   452,   452,   403,  1133,   531,   452,   452,   403,
     294,   452,   452,   444,   563,   350,   901,   903,   518,   905,
     230,   240,   257,   394,   810,   811,   140,   157,   214,   232,
     366,   468,   634,   635,   157,   185,   322,   452,   157,   452,
     185,   322,   403,   157,   196,   206,   350,   385,   744,   403,
     683,    96,   101,   134,   147,   161,   201,   212,   232,   237,
     306,   338,   403,   409,   412,   441,   448,   455,   462,   487,
     675,  1130,   218,   385,   415,   586,   336,   666,   336,   407,
     289,   452,  1261,   452,   327,   666,   189,   277,   403,   413,
     454,   565,   391,   415,   840,   849,   530,   827,   830,   452,
     474,   444,  1128,   148,   214,   251,   625,   634,  1261,   148,
     157,   872,   336,   336,   399,   401,   457,   157,   872,   105,
     388,   399,   401,   457,   399,  1128,   231,   262,   332,   777,
     529,   452,   452,   250,   529,   593,   303,   444,   471,   494,
     496,   593,   157,   532,   350,   257,   218,   193,   385,   415,
     586,   475,   475,   321,  1034,   350,   415,   854,  1130,  1128,
     179,   415,   577,   452,   543,   577,  1128,   452,   452,  1128,
     666,   128,   665,   666,   666,   177,   307,   310,   128,   452,
     541,   403,   541,   320,   664,   452,   452,   327,  1281,   694,
     444,  1019,   157,   452,   872,   403,   452,   452,   593,   593,
     777,   777,   777,   777,  1128,   117,   480,   117,   117,   452,
     117,   452,   403,   532,   577,   474,   712,  1141,   452,   543,
     577,  1128,   452,   403,   350,   385,   374,   386,   411,   569,
     894,  1134,  1261,  1128,   837,  1034,   336,   278,   498,   826,
     666,   777,   777,   853,   336,   278,   336,   154,   195,   352,
     446,  1034,   336,   278,   777,   278,   452,   494,   609,   462,
     753,   754,  1283,   748,   529,   111,   777,   749,   750,  1263,
     100,   901,  1034,   336,   218,   680,  1130,   322,   529,   542,
     762,   475,   378,   487,  1128,   542,   218,  1141,   164,   240,
     561,   617,   660,   725,   793,   813,   897,  1281,   702,   703,
    1141,   300,   777,   777,   777,   777,   332,   190,   270,   460,
     473,   727,   728,   210,   373,   529,   712,   542,  1128,   322,
     662,   663,   322,   111,   332,   529,   637,   637,   251,   657,
    1128,   230,   251,   816,  1134,   529,   828,   111,  1034,   284,
     531,  1138,  1160,   494,   496,   964,   404,  1136,   589,  1034,
    1131,   529,  1094,  1138,   779,  1051,  1051,   110,  1035,   450,
     450,  1138,  1138,  1034,   527,   527,   415,  1138,   452,   452,
    1138,  1039,   251,  1130,  1136,   589,  1142,  1141,   218,   589,
     218,   475,   218,   475,   854,   589,   589,  1130,   777,  1142,
    1130,   777,  1130,  1130,  1034,  1130,   777,   779,  1142,   712,
     218,   218,   589,   776,   777,   530,   536,  1288,   530,   532,
    1294,  1295,  1218,  1128,   176,   929,   931,   962,   962,  1297,
     962,   962,  1297,   962,   962,  1130,    14,   532,  1276,   638,
     530,   532,   530,   238,   410,   442,  1129,   776,   178,   412,
     802,   803,  1129,   331,  1129,  1127,  1127,  1129,   776,   452,
     494,   806,   213,   294,   709,   710,    96,   216,   399,   418,
     951,  1019,   326,   952,   530,   532,   936,   452,  1128,   866,
     867,   869,   796,   795,   796,   235,   241,   807,  1261,   101,
     148,   179,   201,   212,   232,   237,   285,   306,   396,   403,
     409,   441,   444,   462,   487,   675,   787,  1094,   528,  1094,
    1098,  1099,   490,  1111,  1112,  1058,  1094,   529,  1138,  1138,
     180,   249,   309,   312,   406,   510,  1100,  1101,  1281,  1283,
    1094,  1094,  1094,  1138,  1138,  1058,   854,  1058,  1102,   399,
     520,   521,   529,  1059,  1060,  1091,  1104,   530,  1094,  1058,
    1094,  1105,  1058,   127,   235,   288,   453,  1058,  1094,  1108,
    1094,   314,  1060,  1058,  1068,  1069,  1070,   314,  1058,  1070,
     530,   532,  1138,  1056,  1034,  1058,  1058,  1058,  1058,  1263,
     450,   115,   438,  1120,   777,  1058,   529,   966,  1109,   198,
     200,   223,   322,   327,   332,   459,   469,  1058,   529,  1058,
     452,   122,   252,   257,   293,   420,  1058,  1058,  1058,  1058,
    1058,  1058,  1058,  1058,  1058,  1058,   102,   109,   425,  1088,
     243,   226,  1074,   399,   529,  1085,   239,   297,   441,   445,
     447,   471,   975,  1128,  1126,   235,  1009,   102,   198,   483,
     522,   530,   832,  1058,  1095,  1096,  1262,  1130,  1277,  1116,
    1009,  1235,   532,   518,  1128,   454,   529,  1281,   532,  1294,
     530,   528,   534,   250,   250,   589,  1193,  1128,   921,   922,
    1128,  1121,   530,   532,   529,   532,   112,   194,   475,   822,
     529,   990,  1139,   418,   282,   337,   532,   399,   400,   992,
    1127,   326,   422,   953,  1003,   985,   475,   948,   185,   529,
     941,   965,   111,  1261,   529,   955,   956,   957,   958,   959,
    1261,   533,  1207,  1035,   536,  1186,   536,   530,   666,   530,
      34,  1163,  1238,  1239,  1277,  1231,  1236,  1284,  1222,  1035,
    1271,  1287,  1271,  1035,   344,   128,  1262,   530,   832,   834,
     831,   834,  1262,   342,   530,   532,   778,   452,   452,   403,
    1141,  1130,  1130,  1133,  1141,  1130,  1130,  1141,  1131,  1130,
     185,   570,  1139,   396,   474,   795,   403,   240,   795,   529,
    1130,   475,   817,   282,   282,   475,   529,   653,   251,  1130,
     327,  1141,  1130,  1130,  1058,   327,  1130,  1130,   105,   388,
     452,   452,  1130,   452,   684,   308,  1136,   529,   777,   777,
    1034,   457,   178,   441,   803,   487,   142,   224,   854,  1130,
     777,  1130,   777,   405,   230,  1034,   777,   284,   245,   320,
     350,   385,   479,   687,   688,   689,  1019,   452,   872,   403,
     327,   220,   189,   277,  1141,  1130,   336,  1130,   530,   532,
    1140,  1142,  1130,   385,   586,   251,   625,   322,  1034,  1130,
    1261,  1130,   220,   292,  1130,   102,   474,  1130,   251,  1130,
     251,  1261,   401,   457,   401,   457,   292,  1130,   102,   474,
    1130,   292,   399,  1128,    98,   203,   415,   695,   696,   697,
     698,  1263,  1141,  1130,   185,   236,   323,   475,   592,   595,
     596,  1263,  1130,   335,   144,   335,  1130,   587,   452,   444,
    1128,   336,   452,   872,   403,  1132,  1261,  1132,   532,   530,
     532,   452,   403,   529,   336,   385,   452,   721,  1131,  1140,
     156,   208,   262,   356,   466,   474,   477,   544,  1283,   385,
    1141,  1130,   385,   415,   586,   663,   666,   777,  1130,   666,
    1130,   666,  1141,  1130,  1130,   385,   415,   586,  1130,  1130,
    1130,  1130,  1141,  1130,    98,   104,   203,   350,   385,   415,
     350,   385,   415,   748,   385,   415,   385,   415,   193,   385,
    1033,  1261,   251,   758,  1261,   251,  1261,  1141,  1130,  1130,
    1130,    98,   599,   412,  1140,   385,   415,   586,  1130,  1130,
     452,   452,   152,   465,   374,   278,   111,   201,   777,   327,
     784,  1281,   278,   278,   475,   475,   278,   777,   784,   777,
     284,   777,   784,   278,   784,   371,   603,   335,   235,   452,
     602,   260,   530,   532,   518,  1058,  1034,   530,   532,   518,
     727,   627,  1263,  1130,   131,   235,   403,   486,   681,   688,
     689,   218,   293,   619,   621,   623,   625,   631,   634,    99,
     257,   396,   439,   544,   545,   230,  1132,   487,  1128,   230,
     722,   559,  1261,   560,   341,   618,   232,  1281,   748,   748,
     748,   748,   332,   336,   341,   529,   748,  1031,  1032,  1033,
     412,   529,   218,   218,   217,  1151,   777,   619,  1261,   494,
     496,   649,   494,   594,   322,   111,   637,  1281,   322,   336,
     530,   829,   830,   835,   111,   284,   393,   455,   493,   839,
     840,   841,   336,   284,   573,  1159,   523,   248,   248,   230,
     837,   111,  1094,   530,   530,   589,   527,   512,   512,   530,
     530,  1138,   528,   529,  1138,  1261,  1281,  1292,  1261,   530,
     530,   218,   589,   826,   776,   777,  1132,   777,  1132,   853,
     336,   589,   336,   589,   589,   284,   336,   589,   589,   412,
     230,   573,   589,  1058,   964,  1284,  1272,   530,   639,   257,
     257,   257,   498,  1129,   532,   666,   667,   243,   799,   800,
    1141,    99,   807,   452,   529,   235,   216,   418,   216,   418,
     399,   473,   311,  1034,  1141,   494,   655,  1128,  1130,   235,
     336,   799,   128,   589,  1136,  1034,   457,   441,  1136,   331,
     487,  1034,   284,   777,   530,   528,   528,   532,  1058,   205,
    1112,  1113,   111,   530,  1058,   530,   530,   530,   235,   530,
     530,   530,   530,   530,   532,   530,   357,  1103,   530,   529,
    1059,  1059,  1094,    87,    91,    92,    93,   257,   278,   338,
     516,   517,   518,   520,   521,   522,   523,   524,   525,  1091,
    1059,   530,   530,   230,   235,  1106,  1107,   530,   111,  1108,
    1094,  1108,  1108,   235,   530,   530,  1263,   355,  1072,   111,
     530,   532,  1058,  1263,   532,  1058,  1119,  1058,   530,   512,
    1059,  1059,   211,  1094,   235,   198,   200,   223,   327,   332,
     459,   469,   529,   211,   854,  1058,   438,  1120,  1058,  1109,
    1058,   452,   529,   966,   529,   529,   346,  1078,   529,  1094,
     445,   447,   445,   447,  1128,   976,   976,   976,   287,   400,
     529,   966,  1010,  1011,  1012,  1019,  1024,  1061,  1063,  1064,
    1136,  1261,   491,  1029,  1095,  1095,  1096,   530,    89,    90,
     532,   980,   981,  1029,     8,    11,    12,    22,    23,    24,
      26,    27,    31,    32,    33,   178,   314,   362,   462,  1241,
    1242,  1244,  1234,  1235,   895,  1138,  1056,   568,  1058,  1117,
    1035,   927,  1130,   936,   983,   338,  1089,  1092,   514,   823,
    1058,   992,   473,   989,   302,  1010,   491,  1030,   481,   942,
     943,  1261,   336,   944,  1261,   959,   960,   532,  1009,   518,
    1119,   534,  1189,   533,   532,   518,    30,  1250,   530,   530,
     533,   838,   778,   834,   834,   128,   836,   524,  1141,  1130,
    1130,  1142,  1142,   336,  1129,   339,   336,  1058,   635,  1132,
     529,   529,   529,   653,   260,   638,   736,   218,   589,   452,
    1141,  1130,   573,  1130,   837,  1034,  1130,   498,   777,   777,
     777,   777,   853,   154,   195,   352,   446,  1034,  1130,   670,
    1130,   245,   479,   452,   452,   670,   687,   694,   385,   415,
     586,  1130,  1130,  1130,   268,  1130,   327,   830,   349,   415,
     452,   322,   218,   340,   692,   736,   203,   389,   415,   588,
     694,   873,  1130,   407,   218,   589,   218,   589,  1130,  1130,
    1130,  1130,   407,   407,   292,   697,   698,   697,   530,   532,
     699,  1281,   260,   530,   532,   518,   531,  1141,  1130,   385,
     415,   586,   220,  1130,  1130,  1130,   350,   385,   415,    98,
     203,   350,   385,   415,  1034,   321,  1034,  1141,  1130,   877,
     878,  1263,  1128,   452,  1142,   475,   718,   294,   356,   327,
    1281,   356,  1142,   472,   452,   452,   403,   349,   415,   157,
     452,   872,   403,   452,   452,   304,   304,   304,   452,   452,
     403,   452,   452,   403,   452,   403,   452,   403,   336,   452,
     589,  1034,   322,  1281,   415,   873,   218,   589,   452,  1130,
     452,   403,  1141,  1130,   784,  1034,   777,   278,   784,   784,
    1132,  1132,   784,   278,   278,  1130,   278,   784,   432,   433,
     604,  1281,   603,   245,   754,  1283,   338,   520,   521,   666,
     751,   834,  1092,  1147,  1281,   530,   530,   750,   751,   336,
     140,   146,   157,   185,   187,   264,   322,   327,   366,   380,
     468,   628,   629,   630,   217,   490,   541,   573,  1130,   573,
     692,  1128,  1128,   530,   532,  1142,   243,   396,  1142,  1138,
     462,  1128,   637,   102,   190,   270,   408,   473,   723,   452,
     720,   118,   560,   387,   441,   178,   594,   638,  1128,   728,
     755,   756,  1281,   530,   532,  1130,   638,  1128,  1128,  1130,
     965,   529,   620,   530,   335,   593,   335,   336,   650,   593,
     111,   218,   965,   594,   452,   218,  1128,   530,   532,   185,
     518,   842,  1281,   573,   441,   833,   834,   230,   843,   494,
     841,   844,   190,   270,   408,   473,   885,  1130,   245,  1155,
     965,  1169,   589,  1034,   530,  1138,  1055,  1055,   528,  1292,
     529,   520,   521,   522,   523,   524,   528,  1052,  1130,   589,
     589,   475,   589,   475,   589,   589,   777,   777,  1130,   777,
    1130,   712,   589,   230,   403,   403,   403,  1129,   803,   532,
    1141,   494,   532,   801,   339,  1020,   412,   216,   216,   178,
     320,  1142,   798,   589,  1141,   837,   278,   826,   666,   278,
     777,   278,  1098,   449,  1058,   209,  1034,   530,  1058,  1058,
    1058,  1106,   530,  1094,   532,  1034,  1059,  1059,  1059,  1059,
     198,   200,   322,   332,  1059,  1059,  1059,  1059,  1059,  1059,
    1059,  1059,  1059,  1059,  1058,  1058,  1107,  1106,  1034,   530,
     530,   530,  1094,   530,   532,   128,  1060,   530,  1263,  1069,
     363,   436,  1071,   530,   532,   486,  1065,   111,   530,  1281,
    1058,   108,   108,  1058,   530,  1058,   235,   529,  1097,  1058,
     530,   211,  1059,  1059,   211,   211,  1058,  1058,   981,   491,
     529,  1079,  1261,   530,  1094,   532,   976,   976,   976,   976,
    1128,  1128,  1128,   966,  1024,   235,   966,  1011,  1012,   111,
    1013,  1014,  1261,   532,   165,   236,   266,   281,   291,   317,
     395,  1016,  1014,   111,  1013,  1015,  1261,   515,  1028,   529,
    1118,  1058,   243,   994,   532,   980,   980,   980,  1058,  1058,
     483,  1096,   530,   994,   532,   518,   530,   528,  1250,   530,
     529,   823,   227,   286,   530,   337,   168,  1058,   392,   946,
     530,   532,  1119,   155,   946,   530,   532,   956,  1030,  1121,
    1138,   518,  1208,  1239,  1244,   530,   524,   838,   462,   238,
     410,   442,   463,   812,   230,   812,   530,   529,   641,   642,
     819,  1063,  1261,   638,   638,   736,  1134,   530,   187,   264,
     320,   322,   737,  1130,  1130,   111,  1130,   475,   475,   777,
     777,   777,   777,   284,   778,  1141,  1130,   452,   872,   403,
     452,   268,   128,   444,  1130,   218,   625,   529,   627,   322,
     593,   178,   322,   431,   434,   593,   462,  1130,  1261,   407,
     696,  1130,   596,   751,  1263,   349,   415,   452,   872,   403,
    1130,   452,   452,   452,   403,   237,   338,   434,   760,   761,
     237,   338,   768,   769,   452,   452,   403,   530,   530,   530,
     530,   532,   518,   385,  1130,   529,   494,   719,  1139,  1281,
    1281,  1281,  1130,  1130,  1130,   128,   444,  1130,  1130,  1130,
    1130,  1130,  1130,   230,   230,   387,   230,   251,  1141,  1130,
    1130,  1141,  1130,  1130,  1130,  1130,  1130,  1130,   220,  1130,
     146,   590,   218,   100,   120,   462,  1261,  1130,   694,  1130,
    1130,   530,   278,   784,   278,   278,   784,   784,   278,   784,
     541,   604,   670,   736,   494,   496,  1128,   529,   777,  1130,
    1059,   188,   253,   187,   327,   282,  1128,   844,   370,   740,
     741,  1261,   680,   529,   632,   263,   648,   623,  1142,  1142,
    1034,   529,   594,  1142,   718,  1141,  1128,   498,   230,   729,
     530,   532,  1033,   692,   530,   662,   332,   529,   938,   655,
     622,   624,   626,   634,  1261,   649,   648,   151,   444,   651,
     965,   657,   655,   651,  1281,  1134,   817,   835,  1058,  1058,
     532,   529,   839,   462,   532,   748,   452,   529,   670,    84,
    1166,   530,   528,   530,  1193,  1292,  1292,  1292,  1292,  1292,
     589,  1132,  1132,   589,   589,   589,   589,   412,  1129,  1129,
    1129,   666,   240,   800,   530,  1130,   178,   807,   235,   278,
     327,   788,  1281,   278,   278,   788,   278,   788,  1058,   530,
     530,  1107,   530,  1058,   235,   198,   200,   332,   529,   530,
     501,  1067,  1094,   379,   128,   492,   492,   530,  1058,   320,
    1058,   532,  1066,  1036,  1058,  1058,  1058,  1097,   530,  1058,
     108,   108,  1058,  1058,   211,   530,   530,  1058,  1080,  1261,
     530,  1058,  1128,  1128,  1128,  1128,  1014,  1015,   529,   530,
    1261,   529,  1011,   281,   345,  1017,  1011,  1017,   281,  1016,
    1017,   281,   443,  1022,   529,  1261,   529,   343,  1095,   128,
     246,  1001,   530,   530,   530,  1096,  1281,  1001,  1242,   521,
    1235,  1243,  1280,  1281,  1281,   854,   332,  1125,   965,   943,
     336,   529,   945,   518,   959,   946,  1288,   462,   530,   452,
     795,   235,   736,  1058,   530,   532,   494,   146,   820,   820,
     530,   530,   844,   188,   253,   262,   187,   477,   589,  1034,
    1132,  1132,  1130,  1130,  1130,  1130,  1130,  1142,  1130,   625,
     693,   697,   327,   327,  1139,  1261,  1034,   589,   589,   518,
     128,   444,  1130,  1130,  1130,  1130,  1141,  1130,  1130,  1138,
    1138,  1034,   532,  1138,  1138,   532,  1141,  1130,  1130,   878,
     321,   751,   452,  1058,   140,  1142,  1130,   452,   452,  1129,
    1129,   777,  1129,   218,  1130,   777,  1281,  1281,  1034,   589,
     589,   278,   784,   784,   784,   784,   529,   605,   606,   475,
     610,   611,   237,   267,   237,   235,   735,  1058,   322,   629,
     844,   637,   475,   652,  1136,   108,   217,   257,   619,   215,
     258,   529,   412,   475,   638,   111,   719,   560,   529,  1130,
     204,   730,   490,   732,  1281,   594,   777,   619,   655,   530,
     532,   494,   650,   649,   190,   203,   363,  1130,   494,   898,
     111,   235,   336,   529,  1281,   832,   845,   846,  1262,   844,
    1034,   230,  1128,   235,   452,   863,   265,   671,  1167,  1261,
     589,   530,   589,   589,  1130,   339,   276,   589,   799,   788,
     788,   788,   788,   530,  1059,   235,   529,  1097,   529,   530,
     532,   530,  1060,   379,   530,   480,   428,   530,   530,   530,
    1058,  1058,  1058,   530,   354,  1081,   530,  1025,  1026,  1063,
    1013,   529,  1129,  1011,   336,   475,  1018,  1011,   281,  1011,
    1136,  1032,   529,  1032,  1261,   980,   167,   244,   398,   529,
     995,   996,   997,   998,   999,  1000,  1058,  1058,   493,  1075,
     980,  1075,  1138,  1280,   530,   962,  1295,   157,   818,   819,
     199,   529,   966,  1123,   799,   336,   799,   530,   844,   642,
     338,   854,   777,   777,   821,   821,   380,   844,   652,   530,
     452,   415,   952,   530,   532,   590,   751,  1142,  1130,   452,
     529,  1136,   854,   761,   529,   529,   769,  1130,   530,   529,
     415,   952,  1130,  1130,   494,   515,   915,   387,   915,   915,
     230,   590,   784,   612,   613,  1263,   124,   166,   191,   207,
     211,   231,   234,   247,   327,   335,   372,   607,   541,   192,
     803,   111,   859,   859,  1128,   736,   530,   652,   305,   640,
     260,   529,   741,   370,   529,   530,   102,   150,   158,   186,
     261,   434,   633,   633,  1127,  1130,  1132,   530,   965,   692,
     399,   430,   731,   529,   217,   111,   620,   530,   624,   340,
     651,   650,   400,   400,   132,   140,   297,   965,   777,  1128,
     818,   834,   530,   532,   462,  1029,   426,   426,   530,   670,
     320,   479,   672,   673,   518,  1168,  1130,   589,  1059,  1097,
     530,  1068,  1094,   128,   320,   511,   128,   980,   530,   532,
     111,  1027,  1129,   530,  1058,   529,  1011,  1018,   529,   530,
    1032,   530,   530,   529,   416,   529,   530,   532,  1076,  1077,
    1261,   530,  1130,   530,   532,   323,   473,   801,   812,   589,
     820,   652,   529,   822,   822,  1128,   652,   736,  1130,   444,
     697,   475,   591,   415,   952,  1130,  1097,   826,   230,   764,
     853,  1097,  1097,  1058,   444,   776,   777,   776,   777,  1129,
     589,   530,   532,   522,   529,   570,   614,   666,   912,  1281,
     912,   322,   327,   372,   912,   912,   605,  1281,   859,   114,
     255,   230,   320,   636,   236,   353,   421,   336,   644,   645,
     646,   444,   530,  1136,    81,   742,   648,   530,   692,   224,
     763,   594,   898,  1058,   370,   965,   649,   648,   627,   651,
     140,   339,   140,   655,   817,   530,   839,   845,  1034,   199,
     494,   494,   479,   670,  1138,  1275,  1283,    84,   692,   530,
     530,   530,   379,   480,  1094,   373,   400,  1082,  1028,  1025,
     529,   530,  1129,  1094,   530,  1094,   529,  1094,   996,   532,
     111,  1029,   819,   415,   235,   821,   491,   643,   854,   823,
     823,   637,   736,  1130,  1058,   444,   530,   342,   405,   377,
     765,   764,   530,   530,   530,  1130,   915,   613,   570,   615,
     616,  1281,  1281,   327,   638,   522,   638,  1281,  1281,   204,
     262,   190,   473,   336,   646,   336,   645,  1130,   529,   530,
     532,   412,   777,   111,   111,   530,  1136,   898,   650,   649,
     339,   339,   529,   594,   844,   103,   271,   886,   237,   237,
    1167,   122,   168,   464,  1058,  1083,  1084,  1083,   530,  1032,
     530,   530,   530,   995,   530,  1077,  1079,   955,   799,   822,
     529,   736,   530,   640,   952,  1130,  1136,   128,   765,   952,
     777,   530,   532,   638,   399,   131,   320,   391,   415,   647,
     647,   530,    81,  1130,   760,   965,   529,   651,   650,   818,
     651,   323,   529,   881,   883,   888,   939,   947,   954,   965,
     803,   803,  1084,   399,   229,   361,   229,   361,   530,   386,
    1023,   530,  1029,   589,   823,  1058,   644,   952,   826,   777,
     616,   732,    97,   185,   327,   692,   898,   733,   734,  1138,
    1263,  1280,  1281,   651,   530,  1029,   882,   883,   884,   966,
     967,   532,   532,   108,   529,   530,   736,   217,   530,   532,
     594,   530,   533,   452,   235,  1084,  1058,   370,   734,   651,
     884,   426,   426,   530,  1136,  1029,   494,   494,   529,   237,
     237,   733,   803,   803,   530
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   537,   538,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   540,   541,
     541,   541,   542,   542,   543,   543,   544,   544,   544,   544,
     544,   544,   544,   544,   544,   545,   545,   545,   545,   545,
     545,   546,   547,   548,   548,   549,   549,   550,   551,   551,
     552,   552,   553,   553,   554,   555,   556,   556,   557,   557,
     558,   558,   558,   558,   559,   559,   560,   560,   561,   561,
     561,   561,   561,   561,   562,   562,   562,   563,   563,   563,
     564,   564,   564,   564,   565,   565,   565,   565,   565,   565,
     565,   565,   565,   565,   565,   566,   566,   567,   567,   568,
     568,   569,   569,   569,   569,   570,   570,   570,   570,   571,
     571,   571,   571,   571,   571,   571,   572,   572,   572,   573,
     573,   574,   575,   575,   575,   575,   576,   576,   577,   577,
     578,   578,   579,   579,   579,   579,   579,   580,   581,   581,
     582,   582,   583,   584,   584,   584,   584,   584,   585,   585,
     585,   585,   585,   585,   585,   585,   585,   585,   585,   585,
     585,   585,   585,   585,   586,   586,   587,   587,   587,   587,
     587,   587,   587,   587,   587,   587,   587,   587,   587,   587,
     587,   587,   587,   587,   587,   587,   587,   587,   587,   587,
     587,   587,   587,   587,   587,   587,   587,   587,   587,   587,
     587,   587,   587,   587,   587,   587,   587,   587,   587,   587,
     587,   587,   587,   587,   587,   587,   587,   587,   588,   588,
     589,   589,   589,   590,   590,   591,   591,   592,   592,   592,
     592,   593,   594,   594,   595,   595,   596,   596,   596,   596,
     597,   598,   598,   599,   599,   599,   599,   600,   600,   601,
     601,   602,   602,   603,   603,   604,   604,   604,   605,   605,
     606,   606,   607,   607,   607,   607,   607,   607,   607,   607,
     607,   607,   607,   607,   607,   607,   608,   608,   609,   609,
     610,   610,   611,   611,   612,   612,   613,   614,   614,   614,
     614,   614,   615,   615,   616,   617,   617,   617,   617,   618,
     618,   618,   618,   618,   618,   618,   618,   619,   619,   620,
     620,   621,   621,   622,   622,   623,   623,   623,   624,   624,
     625,   626,   627,   627,   628,   628,   628,   628,   629,   629,
     629,   629,   629,   629,   629,   630,   630,   630,   630,   631,
     632,   632,   632,   633,   633,   633,   633,   633,   633,   634,
     634,   635,   635,   635,   635,   635,   635,   635,   636,   636,
     637,   637,   638,   638,   639,   640,   640,   640,   640,   641,
     641,   642,   642,   643,   643,   644,   644,   644,   644,   644,
     645,   646,   647,   647,   647,   647,   647,   648,   648,   649,
     649,   649,   649,   650,   650,   650,   650,   651,   651,   652,
     652,   653,   654,   655,   655,   655,   656,   656,   657,   658,
     658,   659,   660,   660,   661,   661,   662,   662,   663,   663,
     664,   664,   664,   664,   664,   664,   664,   664,   664,   664,
     664,   664,   665,   665,   666,   666,   666,   666,   667,   667,
     668,   668,   669,   669,   670,   670,   671,   671,   672,   672,
     673,   673,   674,   674,   675,   675,   676,   677,   677,   678,
     678,   679,   679,   680,   680,   681,   681,   681,   681,   682,
     683,   683,   684,   685,   685,   685,   685,   685,   685,   685,
     685,   685,   685,   685,   685,   685,   685,   685,   685,   685,
     685,   685,   685,   685,   685,   685,   685,   685,   685,   686,
     687,   687,   687,   687,   688,   688,   689,   689,   690,   690,
     691,   691,   692,   692,   693,   693,   694,   695,   695,   696,
     696,   696,   696,   697,   698,   699,   700,   701,   701,   702,
     702,   703,   703,   704,   704,   705,   705,   705,   706,   706,
     707,   707,   708,   709,   709,   710,   710,   711,   712,   712,
     713,   713,   714,   715,   716,   717,   717,   718,   718,   719,
     719,   720,   720,   721,   721,   722,   722,   723,   723,   723,
     723,   723,   724,   725,   725,   726,   726,   726,   727,   727,
     728,   728,   728,   728,   728,   729,   729,   730,   730,   731,
     731,   732,   732,   733,   733,   733,   734,   734,   734,   734,
     735,   735,   736,   736,   737,   737,   737,   737,   737,   737,
     738,   738,   739,   739,   740,   740,   741,   742,   742,   743,
     744,   744,   744,   744,   745,   746,   747,   747,   747,   747,
     747,   747,   747,   747,   747,   747,   747,   747,   747,   747,
     748,   749,   749,   750,   750,   751,   751,   751,   751,   751,
     752,   753,   753,   754,   755,   755,   756,   756,   757,   757,
     757,   758,   758,   759,   760,   760,   761,   761,   761,   761,
     761,   762,   762,   763,   763,   764,   764,   764,   765,   765,
     766,   767,   767,   768,   768,   769,   769,   770,   770,   771,
     771,   772,   773,   774,   774,   774,   774,   774,   774,   774,
     774,   775,   775,   775,   775,   775,   775,   775,   775,   775,
     775,   775,   775,   775,   775,   775,   775,   776,   776,   777,
     777,   778,   778,   779,   779,   780,   781,   781,   781,   782,
     782,   782,   782,   782,   782,   782,   782,   782,   782,   782,
     782,   782,   782,   782,   782,   782,   782,   783,   783,   783,
     783,   783,   783,   783,   783,   783,   783,   783,   783,   783,
     783,   783,   783,   783,   783,   783,   783,   783,   783,   784,
     784,   785,   785,   785,   785,   785,   785,   785,   786,   786,
     787,   787,   787,   787,   787,   787,   787,   787,   787,   787,
     787,   788,   788,   789,   789,   789,   789,   789,   789,   789,
     789,   789,   789,   789,   790,   790,   790,   790,   790,   790,
     790,   790,   790,   790,   790,   790,   790,   790,   791,   791,
     792,   792,   793,   794,   794,   795,   795,   795,   795,   795,
     796,   796,   797,   797,   797,   797,   798,   798,   798,   798,
     798,   798,   798,   798,   798,   798,   798,   798,   798,   798,
     798,   798,   799,   799,   800,   800,   801,   801,   802,   802,
     803,   804,   805,   805,   806,   806,   807,   807,   808,   809,
     809,   810,   810,   810,   811,   811,   811,   812,   812,   812,
     812,   813,   813,   814,   814,   815,   815,   816,   816,   817,
     817,   818,   818,   819,   819,   819,   820,   820,   821,   821,
     822,   822,   822,   823,   823,   823,   824,   824,   824,   825,
     825,   826,   826,   827,   827,   828,   828,   829,   829,   830,
     830,   830,   830,   830,   831,   831,   831,   831,   831,   832,
     833,   834,   834,   834,   835,   835,   835,   836,   837,   837,
     837,   837,   838,   838,   839,   839,   840,   840,   840,   840,
     840,   840,   840,   840,   840,   840,   840,   840,   840,   840,
     840,   840,   841,   841,   841,   841,   841,   842,   842,   843,
     843,   844,   844,   845,   846,   846,   847,   848,   848,   849,
     849,   850,   850,   851,   851,   852,   852,   853,   853,   853,
     853,   854,   854,   855,   856,   856,   857,   857,   858,   858,
     858,   859,   859,   859,   860,   861,   861,   862,   863,   863,
     863,   863,   864,   865,   865,   865,   865,   866,   866,   867,
     867,   867,   868,   868,   869,   870,   870,   871,   871,   871,
     871,   871,   871,   871,   871,   871,   871,   871,   871,   871,
     871,   871,   871,   871,   871,   871,   871,   871,   871,   871,
     871,   871,   871,   871,   871,   871,   871,   871,   871,   871,
     871,   871,   871,   871,   871,   871,   871,   871,   871,   871,
     871,   871,   871,   871,   871,   872,   872,   873,   873,   874,
     874,   874,   874,   875,   875,   875,   875,   875,   875,   875,
     875,   875,   875,   875,   875,   875,   875,   875,   875,   875,
     875,   875,   875,   875,   875,   875,   875,   876,   877,   877,
     878,   878,   879,   879,   879,   879,   879,   879,   879,   879,
     879,   879,   879,   879,   879,   879,   879,   879,   879,   879,
     879,   880,   881,   881,   881,   882,   882,   883,   883,   883,
     883,   883,   884,   884,   885,   885,   885,   885,   886,   886,
     886,   887,   887,   888,   889,   889,   890,   891,   891,   892,
     892,   892,   892,   892,   892,   892,   892,   892,   892,   892,
     892,   892,   892,   893,   893,   893,   894,   894,   894,   894,
     894,   895,   895,   895,   896,   896,   897,   897,   897,   897,
     898,   898,   898,   898,   899,   900,   901,   901,   902,   902,
     903,   903,   903,   904,   904,   904,   904,   904,   904,   904,
     905,   905,   906,   906,   906,   907,   908,   908,   909,   909,
     910,   911,   911,   911,   911,   911,   911,   911,   912,   912,
     913,   914,   914,   914,   914,   914,   914,   915,   915,   916,
     917,   917,   917,   918,   918,   919,   919,   919,   919,   919,
     920,   920,   921,   921,   921,   921,   921,   922,   922,   923,
     923,   924,   924,   925,   925,   926,   926,   927,   927,   928,
     928,   928,   928,   929,   929,   929,   929,   929,   929,   929,
     929,   929,   930,   930,   931,   932,   932,   933,   933,   933,
     934,   934,   935,   935,   936,   936,   936,   936,   937,   937,
     938,   938,   939,   940,   940,   941,   941,   941,   942,   942,
     943,   944,   944,   944,   945,   945,   945,   946,   946,   947,
     948,   948,   949,   950,   950,   951,   951,   951,   951,   951,
     951,   951,   951,   952,   952,   953,   953,   953,   954,   955,
     955,   956,   956,   957,   958,   958,   959,   960,   960,   961,
     962,   962,   963,   963,   963,   963,   963,   964,   964,   964,
     965,   965,   966,   966,   967,   967,   967,   967,   967,   967,
     967,   967,   968,   968,   969,   969,   969,   969,   969,   969,
     969,   970,   970,   970,   971,   971,   972,   973,   973,   974,
     974,   974,   975,   975,   975,   975,   975,   975,   975,   975,
     975,   976,   976,   977,   977,   977,   978,   978,   979,   979,
     980,   980,   981,   982,   982,   983,   983,   984,   984,   984,
     984,   985,   985,   986,   986,   986,   987,   987,   988,   988,
     989,   990,   990,   990,   991,   992,   992,   993,   993,   994,
     994,   995,   995,   996,   996,   996,   996,   996,   997,   998,
     999,  1000,  1001,  1001,  1002,  1002,  1003,  1003,  1004,  1004,
    1005,  1006,  1006,  1006,  1006,  1007,  1007,  1008,  1008,  1009,
    1009,  1010,  1010,  1011,  1011,  1011,  1011,  1011,  1011,  1011,
    1011,  1012,  1012,  1012,  1012,  1012,  1012,  1013,  1013,  1013,
    1013,  1014,  1014,  1015,  1015,  1015,  1015,  1015,  1016,  1016,
    1016,  1016,  1017,  1017,  1018,  1018,  1019,  1019,  1019,  1019,
    1020,  1020,  1021,  1021,  1021,  1022,  1023,  1023,  1024,  1024,
    1025,  1026,  1026,  1027,  1027,  1028,  1028,  1029,  1029,  1030,
    1030,  1030,  1031,  1031,  1032,  1032,  1033,  1034,  1034,  1034,
    1034,  1034,  1034,  1035,  1035,  1035,  1036,  1036,  1036,  1036,
    1036,  1036,  1036,  1037,  1037,  1037,  1037,  1038,  1038,  1039,
    1039,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,
    1040,  1040,  1041,  1041,  1042,  1042,  1043,  1043,  1044,  1045,
    1046,  1046,  1047,  1047,  1048,  1049,  1050,  1050,  1050,  1050,
    1050,  1050,  1051,  1051,  1052,  1052,  1053,  1053,  1053,  1053,
    1054,  1055,  1055,  1055,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1057,  1057,
    1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,
    1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,
    1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,
    1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,
    1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,
    1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,
    1058,  1058,  1058,  1059,  1059,  1059,  1059,  1059,  1059,  1059,
    1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,
    1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,  1060,  1060,
    1060,  1060,  1060,  1060,  1060,  1060,  1060,  1060,  1060,  1060,
    1060,  1060,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1062,
    1062,  1063,  1063,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1065,  1065,  1066,  1066,  1066,
    1066,  1067,  1068,  1068,  1069,  1069,  1070,  1070,  1071,  1071,
    1071,  1072,  1072,  1072,  1072,  1073,  1073,  1074,  1074,  1075,
    1075,  1076,  1076,  1077,  1078,  1078,  1078,  1079,  1080,  1080,
    1081,  1081,  1082,  1082,  1082,  1083,  1083,  1084,  1084,  1084,
    1084,  1084,  1085,  1085,  1085,  1086,  1086,  1087,  1088,  1088,
    1088,  1089,  1089,  1090,  1090,  1090,  1090,  1090,  1090,  1090,
    1090,  1090,  1090,  1090,  1090,  1091,  1091,  1092,  1092,  1093,
    1093,  1093,  1093,  1093,  1093,  1094,  1094,  1095,  1095,  1096,
    1096,  1096,  1097,  1097,  1098,  1098,  1098,  1099,  1099,  1100,
    1100,  1101,  1101,  1101,  1101,  1101,  1101,  1101,  1101,  1102,
    1102,  1103,  1104,  1104,  1105,  1105,  1105,  1105,  1105,  1105,
    1106,  1107,  1108,  1108,  1108,  1109,  1109,  1110,  1111,  1111,
    1112,  1113,  1113,  1114,  1114,  1115,  1115,  1116,  1116,  1116,
    1116,  1117,  1117,  1118,  1118,  1119,  1119,  1120,  1120,  1121,
    1121,  1122,  1122,  1123,  1124,  1124,  1125,  1125,  1126,  1126,
    1126,  1126,  1127,  1127,  1128,  1128,  1129,  1129,  1130,  1131,
    1132,  1133,  1134,  1135,  1136,  1136,  1137,  1137,  1137,  1137,
    1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,
    1137,  1138,  1139,  1139,  1139,  1139,  1140,  1141,  1141,  1141,
    1142,  1142,  1143,  1143,  1143,  1143,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1145,  1145,
    1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,
    1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,
    1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,
    1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,
    1145,  1145,  1145,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1148,  1148,  1149,  1149,  1149,  1149,  1149,  1149,  1149,
    1149,  1151,  1150,  1152,  1153,  1153,  1153,  1153,  1154,  1154,
    1154,  1154,  1155,  1155,  1156,  1157,  1158,  1158,  1159,  1159,
    1159,  1160,  1160,  1161,  1161,  1162,  1162,  1163,  1163,  1163,
    1163,  1164,  1164,  1164,  1165,  1166,  1166,  1167,  1167,  1168,
    1168,  1168,  1168,  1169,  1169,  1170,  1171,  1172,  1173,  1173,
    1174,  1175,  1175,  1176,  1176,  1176,  1176,  1176,  1178,  1177,
    1179,  1180,  1181,  1181,  1182,  1182,  1182,  1182,  1183,  1183,
    1185,  1184,  1187,  1186,  1188,  1186,  1186,  1189,  1189,  1190,
    1190,  1190,  1191,  1191,  1191,  1191,  1192,  1192,  1193,  1193,
    1193,  1193,  1193,  1193,  1194,  1194,  1194,  1195,  1197,  1196,
    1198,  1199,  1198,  1200,  1200,  1201,  1201,  1202,  1202,  1203,
    1203,  1203,  1203,  1203,  1203,  1203,  1203,  1203,  1204,  1204,
    1204,  1204,  1204,  1204,  1204,  1204,  1204,  1204,  1205,  1205,
    1206,  1206,  1207,  1208,  1208,  1209,  1209,  1209,  1210,  1211,
    1212,  1212,  1212,  1212,  1213,  1213,  1213,  1214,  1214,  1215,
    1215,  1216,  1217,  1217,  1218,  1218,  1219,  1219,  1220,  1220,
    1221,  1222,  1222,  1223,  1223,  1223,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1225,  1225,  1225,  1225,  1225,
    1226,  1226,  1227,  1228,  1229,  1230,  1230,  1231,  1232,  1233,
    1233,  1234,  1235,  1235,  1236,  1237,  1238,  1238,  1239,  1240,
    1241,  1241,  1242,  1243,  1243,  1243,  1243,  1243,  1244,  1244,
    1244,  1244,  1244,  1244,  1244,  1244,  1244,  1244,  1244,  1244,
    1244,  1244,  1244,  1245,  1245,  1246,  1246,  1247,  1247,  1247,
    1249,  1248,  1250,  1250,  1252,  1251,  1253,  1253,  1253,  1254,
    1254,  1254,  1254,  1254,  1254,  1254,  1254,  1254,  1255,  1255,
    1256,  1256,  1256,  1256,  1256,  1256,  1256,  1256,  1256,  1256,
    1256,  1256,  1256,  1256,  1256,  1256,  1256,  1256,  1256,  1256,
    1256,  1256,  1256,  1257,  1257,  1257,  1257,  1257,  1257,  1258,
    1258,  1258,  1258,  1258,  1258,  1258,  1259,  1260,  1260,  1260,
    1260,  1260,  1260,  1260,  1260,  1261,  1261,  1261,  1261,  1261,
    1261,  1261,  1262,  1262,  1262,  1262,  1262,  1262,  1263,  1263,
    1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,  1264,
    1264,  1264,  1264,  1264,  1265,  1265,  1265,  1265,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1267,  1267,  1267,  1268,  1268,
    1268,  1268,  1268,  1268,  1269,  1269,  1270,  1271,  1271,  1272,
    1272,  1273,  1274,  1275,  1276,  1276,  1276,  1277,  1278,  1279,
    1280,  1281,  1281,  1281,  1281,  1281,  1282,  1283,  1283,  1283,
    1284,  1284,  1285,  1285,  1285,  1286,  1286,  1287,  1287,  1288,
    1288,  1289,  1289,  1289,  1289,  1289,  1290,  1290,  1290,  1290,
    1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,
    1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,
    1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,
    1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,
    1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,
    1290,  1290,  1291,  1291,  1291,  1291,  1292,  1292,  1292,  1292,
    1292,  1292,  1292,  1292,  1292,  1292,  1293,  1293,  1293,  1293,
    1294,  1294,  1295,  1295,  1296,  1296,  1297,  1297
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     0,     5,     1,
       1,     0,     2,     0,     2,     0,     2,     2,     3,     3,
       1,     3,     3,     2,     1,     1,     2,     2,     2,     3,
       3,     5,     5,     0,     3,     5,     5,     5,     5,     5,
       3,     5,     3,     5,     5,     6,     1,     1,     3,     5,
       6,     4,     9,     7,     1,     0,     2,     0,     1,     1,
       1,     1,     1,     1,     2,     3,     3,     2,     5,     1,
       3,     3,     3,     3,     1,     3,     3,     2,     2,     2,
       2,     3,     3,     3,     3,     1,     3,     1,     3,     1,
       1,     2,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     3,     5,     1,     1,     1,     1,     1,     0,     1,
       1,     2,     1,     2,     3,     2,     1,     1,     2,     1,
       2,     1,     3,     4,     5,     4,     2,     4,     1,     1,
       1,     1,     1,     2,     2,     2,     2,     2,     4,     6,
      10,    13,     4,     6,    10,    13,     4,     6,     4,     6,
       5,     7,    11,    14,     1,     3,     2,     5,     3,     6,
       4,     6,     6,     6,     5,     5,     6,     6,     4,     8,
       4,     2,     4,     3,     6,     4,     3,     3,     3,     3,
       2,     2,     3,     4,     4,     3,     3,     3,     3,     3,
       3,     4,     4,     3,     2,     3,     2,     2,     3,     3,
       2,     2,     3,     4,     4,     4,     5,     1,     3,     2,
       1,     1,     0,     2,     0,     2,     0,     1,     1,     1,
       3,     3,     2,     0,     1,     3,     3,     1,     5,     3,
       4,     1,     3,     4,     6,     4,     8,     2,     2,    11,
       9,     1,     1,     1,     0,     1,     1,     1,     1,     3,
       2,     0,     1,     1,     1,     3,     3,     1,     1,     3,
       3,     3,     3,     4,     3,     2,     1,     0,     2,     0,
       3,     0,     1,     0,     1,     3,     2,     1,     1,     1,
       3,     0,     1,     3,     1,    11,    14,    10,    13,     1,
       1,     2,     2,     2,     2,     1,     0,     1,     0,     3,
       0,     1,     3,     1,     3,     1,     1,     1,     1,     1,
       4,     4,     2,     0,     3,     1,     1,     2,     2,     1,
       3,     4,     5,     2,     5,     1,     2,     2,     2,     3,
       3,     3,     0,     1,     1,     1,     1,     1,     1,     3,
       1,     5,     7,     3,     8,     4,     9,    11,     2,     0,
       3,     0,     1,     3,     1,     2,     2,     2,     0,     1,
       3,     3,     6,     4,     0,     1,     1,     2,     2,     0,
       3,     3,     2,     1,     1,     2,     2,     4,     0,     2,
       2,     2,     0,     3,     4,     4,     0,     2,     0,     4,
       0,     3,     5,     2,     3,     0,     8,    11,     4,     1,
       0,     6,     5,     8,     4,     6,     1,     0,     1,     2,
       2,     1,     2,     3,     2,     2,     2,     2,     3,     3,
       1,     3,     1,     0,     1,     2,     2,     1,     1,     3,
       6,    10,     1,     0,     1,     2,     2,     0,     2,     2,
       1,     0,     5,     7,     1,     0,     7,     2,     0,     3,
       5,     5,     8,     2,     0,     2,     2,     2,     1,     5,
       2,     0,     2,     7,     7,    10,     6,     6,     6,     6,
       7,     7,     9,     9,     6,     7,     6,     8,     8,     8,
       8,     6,     6,     7,     7,     8,     6,     9,     6,     7,
       2,     2,     2,     2,     1,     2,     1,     0,     6,     8,
       7,     6,     4,     0,     1,     3,     4,     1,     3,     1,
       2,     2,     2,     2,     1,     1,    10,     2,     0,     2,
       2,     1,     0,     4,     6,     5,     4,     4,    11,    14,
       5,     7,    11,     2,     1,     4,     0,     8,     1,     1,
       7,     9,     8,     9,     8,     6,     8,     4,     0,     5,
       0,     2,     0,     2,     0,     2,     0,     1,     1,     1,
       1,     1,     8,    15,    20,     1,     1,     2,     1,     3,
       1,     1,     1,     3,     1,     3,     0,     1,     0,     1,
       1,     4,     0,     1,     3,     0,     1,     1,     1,     1,
       2,     0,     0,     2,     2,     1,     2,     2,     2,     2,
       6,     8,    11,    13,     1,     3,     5,     1,     3,     5,
       1,     2,     2,     1,     8,     4,     5,     4,     4,     4,
       3,     7,     8,     6,     6,     6,     6,     6,     4,     5,
       3,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       3,     1,     3,     3,     1,     0,     1,     3,     7,     9,
       9,     3,     0,    13,     1,     3,     5,     6,     4,     7,
       2,     1,     0,     2,     0,     2,     4,     0,     1,     0,
       6,     8,     8,     1,     3,     5,     5,     7,     9,     7,
       9,     5,     6,     6,     4,     4,     6,     4,     6,     5,
       7,     1,     1,     1,     2,     1,     2,     2,     2,     1,
       1,     1,     1,     3,     3,     3,     3,     1,     3,     1,
       2,     2,     3,     1,     3,     5,     2,     2,     0,     6,
       6,     6,     7,     7,     7,     8,     9,     8,     8,     6,
       9,     8,     9,     9,     7,    10,     7,     2,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       1,     2,     1,     3,     2,     3,     3,     3,     3,     1,
       1,     8,     8,     8,     9,     9,     9,     9,     2,     0,
       1,     1,     2,     2,     1,     1,     1,     1,     1,     1,
       2,     1,     1,     2,     2,     3,     4,     5,     4,     5,
       3,     4,     3,     4,     1,     2,     3,     3,     3,     3,
       4,     4,     3,     3,     4,     4,     4,     4,     1,     1,
       1,     0,     7,     7,    10,     1,     1,     2,     4,     5,
       1,     3,     2,     2,     2,     2,     1,     2,     2,     4,
       3,     2,     2,     2,     2,     3,     2,     2,     2,     5,
       5,     5,     1,     3,     1,     2,     3,     0,     1,     3,
       2,     6,     6,     9,     3,     0,     3,     0,     5,     2,
       0,     3,     3,     3,     7,     7,    10,     1,     1,     1,
       1,    14,    17,     1,     0,     1,     0,     1,     0,     2,
       0,     1,     3,     5,     5,     7,     2,     0,     1,     0,
       1,     1,     0,     2,     2,     0,     9,    12,     7,     2,
       0,     3,     2,     1,     3,     3,     2,     1,     3,     3,
       3,     2,     2,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     4,     5,     1,     3,     3,     1,     3,     3,
       5,     6,     1,     3,     1,     2,     4,     5,     1,     1,
       1,     1,     3,     3,     2,     2,     1,     2,     2,     2,
       1,     2,     2,     2,     2,     1,     1,     1,     3,     3,
       5,     2,     0,     2,     1,     3,     5,     1,     2,     1,
       0,     5,     7,     5,     7,     5,     7,     3,     5,     5,
       5,     1,     3,     2,     1,     2,     1,     2,    11,    10,
      10,     2,     2,     0,     9,     2,     0,    10,    11,    11,
       5,     5,     8,     3,     3,     6,     6,     1,     1,     1,
       1,     1,     1,     3,     1,     5,     5,     7,     6,     6,
       6,     6,     8,     8,     6,     6,     7,     9,     9,     8,
      10,     6,     6,     6,     8,     6,     8,     6,     8,     7,
       9,     6,     8,     7,     9,     8,    10,     9,    11,     8,
      10,     9,    11,     8,     8,     7,     6,     6,     6,     8,
       8,     8,     8,     6,     9,     1,     0,     2,     0,     7,
       9,     8,     7,     7,     6,     6,     6,     6,     6,     7,
       9,     9,     6,     8,     8,     8,     8,     8,     6,     8,
       6,     8,     7,     9,     7,     9,     6,     8,     1,     3,
       3,     3,     7,     6,     6,     6,     6,     6,     7,     7,
       7,     9,     9,     6,     6,     6,     8,     8,     8,     6,
       7,    13,     1,     1,     3,     3,     1,     1,     1,     1,
       1,     1,     1,     0,     1,     1,     1,     1,     1,     1,
       0,     6,     8,     3,     2,     0,     2,     2,     2,     2,
       3,     3,     2,     2,     2,     2,     3,     2,     5,     4,
       3,     3,     3,     1,     1,     0,     3,     2,     2,     1,
       2,     1,     3,     2,     1,     0,     9,    11,    12,    14,
       3,     4,     4,     0,     2,     5,     1,     0,     1,     2,
       3,     3,     3,     1,     2,     1,     1,     1,     1,     1,
       1,     0,     5,     4,     6,     4,     3,     5,     4,     4,
       6,     4,     6,     6,     5,     7,     9,     6,     1,     0,
       6,    11,    11,    11,    13,     9,    11,     1,     1,    10,
       4,     2,     5,     2,     0,     4,     5,     5,     4,     6,
       1,     3,     1,     1,     1,     1,     1,     2,     4,     1,
       1,     1,     0,     1,     0,     1,     0,     3,     0,     2,
       4,     3,     5,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     2,     1,     1,     1,     1,     0,
       5,     4,     3,     0,     1,     1,     1,     1,     4,     9,
       3,     0,     7,     1,     3,     1,     4,     2,     1,     3,
       2,     8,     5,     0,     4,     3,     0,     3,     0,     7,
       2,     0,     5,     3,     0,     2,     2,     2,     3,     1,
       3,     1,     2,     1,     0,     1,     2,     0,     8,     1,
       3,     1,     1,     3,     5,     5,     2,     1,     3,     7,
       1,     1,     0,     3,     2,     2,     2,     0,     2,     2,
       1,     1,     3,     3,     1,     2,     4,     4,     2,     3,
       5,     5,     1,     1,     9,     9,     1,     2,     4,     4,
       4,     2,     2,     3,     1,     3,     6,     1,     0,     2,
       1,     0,     3,     3,     4,     4,     4,     4,     3,     2,
       1,     1,     0,     1,     1,     0,     1,     5,     1,     0,
       1,     0,     3,     1,     3,     4,     3,     2,     2,     1,
       1,     1,     0,     2,     4,     5,     2,     3,     1,     1,
       1,     1,     3,     0,     1,     1,     1,     1,     1,     3,
       0,     1,     3,     1,     1,     1,     1,     1,     2,     4,
       4,     5,     2,     0,     1,     3,     1,     0,     1,     2,
       3,     2,     4,     2,     3,     2,     0,     2,     3,     2,
       0,     1,     3,     2,     3,     2,     3,     2,     3,     1,
       4,     3,     4,     5,     4,     5,     4,     5,     2,     4,
       1,     1,     0,     1,     4,     5,     4,     0,     2,     2,
       2,     1,     1,     0,     4,     2,     1,     2,     2,     4,
       1,     3,     1,     2,     3,     6,     4,     0,     2,     6,
       2,     1,     3,     4,     0,     2,     0,     2,     0,     2,
       4,     0,     1,     0,     1,     3,     3,     2,     3,     5,
       6,     2,     3,     3,     4,     0,     1,     1,     1,     1,
       1,     2,     4,     1,     1,     1,     1,     2,     3,     3,
       0,     1,     1,     1,     1,     1,     2,     2,     2,     2,
       2,     1,     3,     0,     1,     1,     1,     1,     5,     2,
       1,     1,     1,     1,     5,     2,     2,     2,     1,     3,
       3,     2,     1,     0,     3,     0,     5,     2,     5,     2,
       1,     3,     3,     0,     1,     1,     1,     1,     1,     1,
       3,     3,     3,     3,     3,     3,     3,     0,     1,     4,
       1,     3,     3,     5,     2,     2,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     2,
       2,     3,     3,     2,     2,     3,     5,     4,     6,     3,
       5,     4,     6,     4,     6,     5,     7,     3,     2,     4,
       2,     3,     3,     4,     3,     4,     3,     4,     5,     6,
       6,     7,     6,     7,     6,     7,     3,     4,     4,     6,
       2,     3,     4,     1,     3,     2,     2,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       2,     2,     5,     6,     6,     7,     3,     4,     1,     1,
       2,     4,     1,     1,     1,     2,     2,     2,     2,     1,
       1,     4,     3,     5,     6,     8,     6,     6,     4,     4,
       1,     1,     1,     5,     1,     1,     4,     1,     4,     1,
       4,     1,     4,     1,     1,     1,     1,     1,     1,     6,
       4,     4,     4,     4,     6,     5,     5,     5,     4,     6,
       4,     4,     4,     4,     5,     7,     7,     9,     5,     4,
       6,     5,     7,     7,     7,     2,     3,     3,     3,     4,
       0,     4,     1,     3,     3,     1,     1,     1,     2,     2,
       0,     2,     4,     4,     6,     5,     0,     5,     0,     2,
       0,     1,     3,     3,     2,     2,     0,     6,     1,     0,
       3,     0,     2,     2,     0,     1,     4,     2,     2,     2,
       2,     2,     4,     3,     5,     4,     3,     5,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     4,     1,     4,     1,
       4,     1,     2,     1,     2,     1,     3,     1,     3,     1,
       3,     3,     1,     3,     3,     3,     2,     1,     3,     3,
       0,     1,     1,     1,     1,     1,     1,     1,     1,     4,
       3,     2,     3,     0,     3,     3,     2,     2,     1,     0,
       2,     2,     3,     2,     1,     1,     3,     5,     1,     2,
       4,     2,     0,     1,     0,     1,     2,     2,     2,     3,
       5,     1,     0,     1,     2,     0,     2,     1,     0,     1,
       1,     1,     3,     3,     1,     0,     1,     3,     3,     2,
       1,     1,     1,     3,     1,     2,     1,     3,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       1,     2,     6,     2,     3,     5,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     2,     1,     1,     1,     1,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     0,     2,     4,     3,     2,     1,     1,     1,     1,
       1,     0,     8,     2,     5,     3,     2,     2,     3,     7,
       1,     1,     1,     0,     2,     2,     1,     0,     1,     3,
       1,     2,     0,     2,     0,     2,     0,     1,     3,     4,
       3,     1,     1,     1,     1,     2,     0,     2,     4,     0,
       2,     2,     2,     1,     1,     7,     3,     1,     1,     1,
       1,     2,     0,     1,     3,     3,     3,     3,     0,     4,
       5,     5,     0,     1,     1,     1,     2,     2,     1,     2,
       0,     7,     0,     5,     0,     4,     2,     2,     0,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     5,     2,     1,     3,     2,     2,     3,     0,     5,
       1,     0,     5,     2,     2,     1,     1,     1,     2,     2,
       3,     1,     2,     2,     3,     3,     4,     2,     1,     2,
       1,     1,     2,     2,     3,     1,     1,     1,     1,     0,
       1,     3,     5,     0,     2,     0,     1,     2,     3,     2,
       1,     1,     1,     0,     1,     1,     1,     1,     1,     2,
       2,     3,     0,     1,     2,     1,     4,     3,     4,     3,
       2,     1,     3,     1,     1,     1,     1,     2,     2,     1,
       2,     2,     1,     1,     1,     4,     4,     4,     4,     4,
       1,     0,     3,     3,     4,     1,     3,     3,     4,     1,
       3,     3,     1,     1,     1,     6,     1,     3,     3,     6,
       1,     3,     3,     1,     1,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     4,     4,     1,     1,     4,     4,     3,
       0,     7,     1,     0,     0,     7,     3,     4,     3,     1,
       1,     1,     2,     3,     5,     2,     5,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     0,     1,     2,
       1,     2,     1,     1,     1,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     3,     1,     2,     1,     3,     1,
       3,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     3,     2,     3,     1,     3,     3,     3,
       3,     3,     3,     1,     1,     4,     0,     2,     2,     1,
       2,     1,     0,     1,     1,     1,     0,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 1565 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30848 "preproc.c" /* yacc.c:1646  */
    break;

  case 4:
#line 1567 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30854 "preproc.c" /* yacc.c:1646  */
    break;

  case 5:
#line 1569 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30860 "preproc.c" /* yacc.c:1646  */
    break;

  case 6:
#line 1571 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30866 "preproc.c" /* yacc.c:1646  */
    break;

  case 7:
#line 1573 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30872 "preproc.c" /* yacc.c:1646  */
    break;

  case 8:
#line 1575 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30878 "preproc.c" /* yacc.c:1646  */
    break;

  case 9:
#line 1577 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30884 "preproc.c" /* yacc.c:1646  */
    break;

  case 10:
#line 1579 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30890 "preproc.c" /* yacc.c:1646  */
    break;

  case 11:
#line 1581 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30896 "preproc.c" /* yacc.c:1646  */
    break;

  case 12:
#line 1583 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30902 "preproc.c" /* yacc.c:1646  */
    break;

  case 13:
#line 1585 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30908 "preproc.c" /* yacc.c:1646  */
    break;

  case 14:
#line 1587 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30914 "preproc.c" /* yacc.c:1646  */
    break;

  case 15:
#line 1589 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30920 "preproc.c" /* yacc.c:1646  */
    break;

  case 16:
#line 1591 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30926 "preproc.c" /* yacc.c:1646  */
    break;

  case 17:
#line 1593 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30932 "preproc.c" /* yacc.c:1646  */
    break;

  case 18:
#line 1595 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30938 "preproc.c" /* yacc.c:1646  */
    break;

  case 19:
#line 1597 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30944 "preproc.c" /* yacc.c:1646  */
    break;

  case 20:
#line 1599 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30950 "preproc.c" /* yacc.c:1646  */
    break;

  case 21:
#line 1601 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30956 "preproc.c" /* yacc.c:1646  */
    break;

  case 22:
#line 1603 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30962 "preproc.c" /* yacc.c:1646  */
    break;

  case 23:
#line 1605 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30968 "preproc.c" /* yacc.c:1646  */
    break;

  case 24:
#line 1607 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30974 "preproc.c" /* yacc.c:1646  */
    break;

  case 25:
#line 1609 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30980 "preproc.c" /* yacc.c:1646  */
    break;

  case 26:
#line 1611 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30986 "preproc.c" /* yacc.c:1646  */
    break;

  case 27:
#line 1613 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30992 "preproc.c" /* yacc.c:1646  */
    break;

  case 28:
#line 1615 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30998 "preproc.c" /* yacc.c:1646  */
    break;

  case 29:
#line 1617 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31004 "preproc.c" /* yacc.c:1646  */
    break;

  case 30:
#line 1619 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31010 "preproc.c" /* yacc.c:1646  */
    break;

  case 31:
#line 1621 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31016 "preproc.c" /* yacc.c:1646  */
    break;

  case 32:
#line 1623 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31022 "preproc.c" /* yacc.c:1646  */
    break;

  case 33:
#line 1625 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31028 "preproc.c" /* yacc.c:1646  */
    break;

  case 34:
#line 1627 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31034 "preproc.c" /* yacc.c:1646  */
    break;

  case 35:
#line 1629 "preproc.y" /* yacc.c:1646  */
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[0].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[0].str));
				break;
			}
		}

		output_statement((yyvsp[0].str), 0, ECPGst_normal);
	}
#line 31056 "preproc.c" /* yacc.c:1646  */
    break;

  case 36:
#line 1647 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31062 "preproc.c" /* yacc.c:1646  */
    break;

  case 37:
#line 1649 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31068 "preproc.c" /* yacc.c:1646  */
    break;

  case 38:
#line 1651 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31074 "preproc.c" /* yacc.c:1646  */
    break;

  case 39:
#line 1653 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31080 "preproc.c" /* yacc.c:1646  */
    break;

  case 40:
#line 1655 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31086 "preproc.c" /* yacc.c:1646  */
    break;

  case 41:
#line 1657 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31092 "preproc.c" /* yacc.c:1646  */
    break;

  case 42:
#line 1659 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31098 "preproc.c" /* yacc.c:1646  */
    break;

  case 43:
#line 1661 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31104 "preproc.c" /* yacc.c:1646  */
    break;

  case 44:
#line 1663 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31110 "preproc.c" /* yacc.c:1646  */
    break;

  case 45:
#line 1665 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31116 "preproc.c" /* yacc.c:1646  */
    break;

  case 46:
#line 1667 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31122 "preproc.c" /* yacc.c:1646  */
    break;

  case 47:
#line 1669 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31128 "preproc.c" /* yacc.c:1646  */
    break;

  case 48:
#line 1671 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31134 "preproc.c" /* yacc.c:1646  */
    break;

  case 49:
#line 1673 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31140 "preproc.c" /* yacc.c:1646  */
    break;

  case 50:
#line 1675 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31146 "preproc.c" /* yacc.c:1646  */
    break;

  case 51:
#line 1677 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31152 "preproc.c" /* yacc.c:1646  */
    break;

  case 52:
#line 1679 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31158 "preproc.c" /* yacc.c:1646  */
    break;

  case 53:
#line 1681 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31164 "preproc.c" /* yacc.c:1646  */
    break;

  case 54:
#line 1683 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31170 "preproc.c" /* yacc.c:1646  */
    break;

  case 55:
#line 1685 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31176 "preproc.c" /* yacc.c:1646  */
    break;

  case 56:
#line 1687 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31182 "preproc.c" /* yacc.c:1646  */
    break;

  case 57:
#line 1689 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31188 "preproc.c" /* yacc.c:1646  */
    break;

  case 58:
#line 1691 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31194 "preproc.c" /* yacc.c:1646  */
    break;

  case 59:
#line 1693 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31200 "preproc.c" /* yacc.c:1646  */
    break;

  case 60:
#line 1695 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31206 "preproc.c" /* yacc.c:1646  */
    break;

  case 61:
#line 1697 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31212 "preproc.c" /* yacc.c:1646  */
    break;

  case 62:
#line 1699 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31218 "preproc.c" /* yacc.c:1646  */
    break;

  case 63:
#line 1701 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31224 "preproc.c" /* yacc.c:1646  */
    break;

  case 64:
#line 1703 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31230 "preproc.c" /* yacc.c:1646  */
    break;

  case 65:
#line 1705 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31236 "preproc.c" /* yacc.c:1646  */
    break;

  case 66:
#line 1707 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31242 "preproc.c" /* yacc.c:1646  */
    break;

  case 67:
#line 1709 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31248 "preproc.c" /* yacc.c:1646  */
    break;

  case 68:
#line 1711 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31254 "preproc.c" /* yacc.c:1646  */
    break;

  case 69:
#line 1713 "preproc.y" /* yacc.c:1646  */
    {
		output_deallocate_prepare_statement((yyvsp[0].str));
	}
#line 31262 "preproc.c" /* yacc.c:1646  */
    break;

  case 70:
#line 1717 "preproc.y" /* yacc.c:1646  */
    { output_simple_statement((yyvsp[0].str)); }
#line 31268 "preproc.c" /* yacc.c:1646  */
    break;

  case 71:
#line 1719 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31274 "preproc.c" /* yacc.c:1646  */
    break;

  case 72:
#line 1721 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 31280 "preproc.c" /* yacc.c:1646  */
    break;

  case 73:
#line 1723 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 31286 "preproc.c" /* yacc.c:1646  */
    break;

  case 74:
#line 1725 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31292 "preproc.c" /* yacc.c:1646  */
    break;

  case 75:
#line 1727 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31298 "preproc.c" /* yacc.c:1646  */
    break;

  case 76:
#line 1729 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31304 "preproc.c" /* yacc.c:1646  */
    break;

  case 77:
#line 1731 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31310 "preproc.c" /* yacc.c:1646  */
    break;

  case 78:
#line 1733 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31316 "preproc.c" /* yacc.c:1646  */
    break;

  case 79:
#line 1735 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31322 "preproc.c" /* yacc.c:1646  */
    break;

  case 80:
#line 1737 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31328 "preproc.c" /* yacc.c:1646  */
    break;

  case 81:
#line 1739 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31334 "preproc.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1741 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31340 "preproc.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1743 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31346 "preproc.c" /* yacc.c:1646  */
    break;

  case 84:
#line 1745 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31352 "preproc.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1747 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31358 "preproc.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1749 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31364 "preproc.c" /* yacc.c:1646  */
    break;

  case 87:
#line 1751 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31370 "preproc.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1753 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31376 "preproc.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1755 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31382 "preproc.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1757 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31388 "preproc.c" /* yacc.c:1646  */
    break;

  case 91:
#line 1759 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31394 "preproc.c" /* yacc.c:1646  */
    break;

  case 92:
#line 1761 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31400 "preproc.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1763 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31406 "preproc.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1765 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_execute); }
#line 31412 "preproc.c" /* yacc.c:1646  */
    break;

  case 95:
#line 1767 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31418 "preproc.c" /* yacc.c:1646  */
    break;

  case 96:
#line 1769 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 31424 "preproc.c" /* yacc.c:1646  */
    break;

  case 97:
#line 1771 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31430 "preproc.c" /* yacc.c:1646  */
    break;

  case 98:
#line 1773 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31436 "preproc.c" /* yacc.c:1646  */
    break;

  case 99:
#line 1775 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31442 "preproc.c" /* yacc.c:1646  */
    break;

  case 100:
#line 1777 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31448 "preproc.c" /* yacc.c:1646  */
    break;

  case 101:
#line 1779 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 31454 "preproc.c" /* yacc.c:1646  */
    break;

  case 102:
#line 1781 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31460 "preproc.c" /* yacc.c:1646  */
    break;

  case 103:
#line 1783 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31466 "preproc.c" /* yacc.c:1646  */
    break;

  case 104:
#line 1785 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31472 "preproc.c" /* yacc.c:1646  */
    break;

  case 105:
#line 1787 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31478 "preproc.c" /* yacc.c:1646  */
    break;

  case 106:
#line 1789 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31484 "preproc.c" /* yacc.c:1646  */
    break;

  case 107:
#line 1791 "preproc.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].prep).type == NULL || strlen((yyvsp[0].prep).type) == 0)
			output_prepare_statement((yyvsp[0].prep).name, (yyvsp[0].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[0].prep).name, (yyvsp[0].prep).type, mm_strdup("as"), (yyvsp[0].prep).stmt), 0, ECPGst_normal);
	}
#line 31495 "preproc.c" /* yacc.c:1646  */
    break;

  case 108:
#line 1798 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31501 "preproc.c" /* yacc.c:1646  */
    break;

  case 109:
#line 1800 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31507 "preproc.c" /* yacc.c:1646  */
    break;

  case 110:
#line 1802 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31513 "preproc.c" /* yacc.c:1646  */
    break;

  case 111:
#line 1804 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31519 "preproc.c" /* yacc.c:1646  */
    break;

  case 112:
#line 1806 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31525 "preproc.c" /* yacc.c:1646  */
    break;

  case 113:
#line 1808 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31531 "preproc.c" /* yacc.c:1646  */
    break;

  case 114:
#line 1810 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31537 "preproc.c" /* yacc.c:1646  */
    break;

  case 115:
#line 1812 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31543 "preproc.c" /* yacc.c:1646  */
    break;

  case 116:
#line 1814 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31549 "preproc.c" /* yacc.c:1646  */
    break;

  case 117:
#line 1816 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31555 "preproc.c" /* yacc.c:1646  */
    break;

  case 118:
#line 1818 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 31561 "preproc.c" /* yacc.c:1646  */
    break;

  case 119:
#line 1820 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31571 "preproc.c" /* yacc.c:1646  */
    break;

  case 120:
#line 1826 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31577 "preproc.c" /* yacc.c:1646  */
    break;

  case 121:
#line 1828 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31583 "preproc.c" /* yacc.c:1646  */
    break;

  case 122:
#line 1830 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 31589 "preproc.c" /* yacc.c:1646  */
    break;

  case 123:
#line 1832 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31595 "preproc.c" /* yacc.c:1646  */
    break;

  case 124:
#line 1834 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31601 "preproc.c" /* yacc.c:1646  */
    break;

  case 125:
#line 1836 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31607 "preproc.c" /* yacc.c:1646  */
    break;

  case 126:
#line 1838 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31613 "preproc.c" /* yacc.c:1646  */
    break;

  case 127:
#line 1840 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31619 "preproc.c" /* yacc.c:1646  */
    break;

  case 128:
#line 1842 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 31629 "preproc.c" /* yacc.c:1646  */
    break;

  case 129:
#line 1848 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(base_yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[0].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31643 "preproc.c" /* yacc.c:1646  */
    break;

  case 130:
#line 1858 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 31651 "preproc.c" /* yacc.c:1646  */
    break;

  case 131:
#line 1862 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 31661 "preproc.c" /* yacc.c:1646  */
    break;

  case 132:
#line 1868 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 31669 "preproc.c" /* yacc.c:1646  */
    break;

  case 133:
#line 1872 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[0].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", base_yyout);
		fprintf(base_yyout, "}");
		output_line_number();

		free((yyvsp[0].str));
	}
#line 31683 "preproc.c" /* yacc.c:1646  */
    break;

  case 134:
#line 1882 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[0].str) ? (yyvsp[0].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31697 "preproc.c" /* yacc.c:1646  */
    break;

  case 135:
#line 1891 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_exec_immediate); }
#line 31703 "preproc.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1893 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[0].str), "all") == 0)
			fprintf(base_yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[0].str)[0] == ':')
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[0].str)+1);
		else
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[0].str));

		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31721 "preproc.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1907 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_get_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 31732 "preproc.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1914 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_get_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 31742 "preproc.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1920 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[0].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
#line 31757 "preproc.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1931 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[0].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31767 "preproc.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1937 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(base_yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31780 "preproc.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1946 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_set_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 31791 "preproc.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1953 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_set_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 31801 "preproc.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1959 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(base_yyout, "%s", (yyvsp[0].str));
		free((yyvsp[0].str));
		output_line_number();
	}
#line 31814 "preproc.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1968 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 31825 "preproc.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1975 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 31836 "preproc.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1982 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31842 "preproc.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31850 "preproc.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 31858 "preproc.c" /* yacc.c:1646  */
    break;

  case 150:
#line 2000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 31866 "preproc.c" /* yacc.c:1646  */
    break;

  case 151:
#line 2004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31873 "preproc.c" /* yacc.c:1646  */
    break;

  case 152:
#line 2011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31881 "preproc.c" /* yacc.c:1646  */
    break;

  case 153:
#line 2015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31888 "preproc.c" /* yacc.c:1646  */
    break;

  case 154:
#line 2022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31896 "preproc.c" /* yacc.c:1646  */
    break;

  case 155:
#line 2026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31903 "preproc.c" /* yacc.c:1646  */
    break;

  case 156:
#line 2033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[0].str));
}
#line 31911 "preproc.c" /* yacc.c:1646  */
    break;

  case 157:
#line 2037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password null");
}
#line 31919 "preproc.c" /* yacc.c:1646  */
    break;

  case 158:
#line 2041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[0].str));
}
#line 31927 "preproc.c" /* yacc.c:1646  */
    break;

  case 159:
#line 2045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[0].str));
}
#line 31935 "preproc.c" /* yacc.c:1646  */
    break;

  case 160:
#line 2049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 31943 "preproc.c" /* yacc.c:1646  */
    break;

  case 161:
#line 2053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[0].str));
}
#line 31951 "preproc.c" /* yacc.c:1646  */
    break;

  case 162:
#line 2057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[0].str));
}
#line 31959 "preproc.c" /* yacc.c:1646  */
    break;

  case 163:
#line 2061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[0].str));
}
#line 31967 "preproc.c" /* yacc.c:1646  */
    break;

  case 164:
#line 2065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31975 "preproc.c" /* yacc.c:1646  */
    break;

  case 165:
#line 2073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31983 "preproc.c" /* yacc.c:1646  */
    break;

  case 166:
#line 2077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[0].str));
}
#line 31991 "preproc.c" /* yacc.c:1646  */
    break;

  case 167:
#line 2081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[0].str));
}
#line 31999 "preproc.c" /* yacc.c:1646  */
    break;

  case 168:
#line 2085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 32007 "preproc.c" /* yacc.c:1646  */
    break;

  case 169:
#line 2089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[0].str));
}
#line 32015 "preproc.c" /* yacc.c:1646  */
    break;

  case 170:
#line 2093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[0].str));
}
#line 32023 "preproc.c" /* yacc.c:1646  */
    break;

  case 171:
#line 2101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32031 "preproc.c" /* yacc.c:1646  */
    break;

  case 172:
#line 2109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32039 "preproc.c" /* yacc.c:1646  */
    break;

  case 173:
#line 2117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32046 "preproc.c" /* yacc.c:1646  */
    break;

  case 174:
#line 2120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[0].str));
}
#line 32054 "preproc.c" /* yacc.c:1646  */
    break;

  case 175:
#line 2128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32062 "preproc.c" /* yacc.c:1646  */
    break;

  case 176:
#line 2132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32070 "preproc.c" /* yacc.c:1646  */
    break;

  case 177:
#line 2140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32078 "preproc.c" /* yacc.c:1646  */
    break;

  case 178:
#line 2148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32086 "preproc.c" /* yacc.c:1646  */
    break;

  case 179:
#line 2152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32094 "preproc.c" /* yacc.c:1646  */
    break;

  case 180:
#line 2160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[0].str));
}
#line 32102 "preproc.c" /* yacc.c:1646  */
    break;

  case 181:
#line 2164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[0].str));
}
#line 32110 "preproc.c" /* yacc.c:1646  */
    break;

  case 182:
#line 2172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[0].str));
}
#line 32118 "preproc.c" /* yacc.c:1646  */
    break;

  case 183:
#line 2176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[0].str));
}
#line 32126 "preproc.c" /* yacc.c:1646  */
    break;

  case 184:
#line 2184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32134 "preproc.c" /* yacc.c:1646  */
    break;

  case 185:
#line 2192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("user"),(yyvsp[0].str));
}
#line 32142 "preproc.c" /* yacc.c:1646  */
    break;

  case 186:
#line 2200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 32150 "preproc.c" /* yacc.c:1646  */
    break;

  case 187:
#line 2204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 32158 "preproc.c" /* yacc.c:1646  */
    break;

  case 188:
#line 2212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[0].str));
}
#line 32166 "preproc.c" /* yacc.c:1646  */
    break;

  case 189:
#line 2216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[0].str));
}
#line 32174 "preproc.c" /* yacc.c:1646  */
    break;

  case 190:
#line 2224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32182 "preproc.c" /* yacc.c:1646  */
    break;

  case 191:
#line 2228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32190 "preproc.c" /* yacc.c:1646  */
    break;

  case 192:
#line 2232 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32199 "preproc.c" /* yacc.c:1646  */
    break;

  case 193:
#line 2237 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32208 "preproc.c" /* yacc.c:1646  */
    break;

  case 194:
#line 2246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32216 "preproc.c" /* yacc.c:1646  */
    break;

  case 195:
#line 2250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32223 "preproc.c" /* yacc.c:1646  */
    break;

  case 196:
#line 2257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32231 "preproc.c" /* yacc.c:1646  */
    break;

  case 197:
#line 2261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32238 "preproc.c" /* yacc.c:1646  */
    break;

  case 198:
#line 2268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32246 "preproc.c" /* yacc.c:1646  */
    break;

  case 199:
#line 2272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32254 "preproc.c" /* yacc.c:1646  */
    break;

  case 200:
#line 2276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32262 "preproc.c" /* yacc.c:1646  */
    break;

  case 201:
#line 2280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32270 "preproc.c" /* yacc.c:1646  */
    break;

  case 202:
#line 2284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32278 "preproc.c" /* yacc.c:1646  */
    break;

  case 203:
#line 2288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32286 "preproc.c" /* yacc.c:1646  */
    break;

  case 204:
#line 2296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 32294 "preproc.c" /* yacc.c:1646  */
    break;

  case 205:
#line 2300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[0].str));
}
#line 32302 "preproc.c" /* yacc.c:1646  */
    break;

  case 206:
#line 2304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[0].str));
}
#line 32310 "preproc.c" /* yacc.c:1646  */
    break;

  case 207:
#line 2312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[0].str));
}
#line 32318 "preproc.c" /* yacc.c:1646  */
    break;

  case 208:
#line 2316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[0].str));
}
#line 32326 "preproc.c" /* yacc.c:1646  */
    break;

  case 209:
#line 2320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32334 "preproc.c" /* yacc.c:1646  */
    break;

  case 210:
#line 2328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 32342 "preproc.c" /* yacc.c:1646  */
    break;

  case 211:
#line 2332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 32350 "preproc.c" /* yacc.c:1646  */
    break;

  case 212:
#line 2336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("to default"));
}
#line 32358 "preproc.c" /* yacc.c:1646  */
    break;

  case 214:
#line 2341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32366 "preproc.c" /* yacc.c:1646  */
    break;

  case 215:
#line 2345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("from current"));
}
#line 32374 "preproc.c" /* yacc.c:1646  */
    break;

  case 216:
#line 2349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[0].str));
}
#line 32382 "preproc.c" /* yacc.c:1646  */
    break;

  case 217:
#line 2353 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[0].str));
}
#line 32391 "preproc.c" /* yacc.c:1646  */
    break;

  case 218:
#line 2358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 32399 "preproc.c" /* yacc.c:1646  */
    break;

  case 219:
#line 2362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[0].str));
}
#line 32407 "preproc.c" /* yacc.c:1646  */
    break;

  case 220:
#line 2366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 32415 "preproc.c" /* yacc.c:1646  */
    break;

  case 221:
#line 2370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[0].str));
}
#line 32423 "preproc.c" /* yacc.c:1646  */
    break;

  case 222:
#line 2374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
#line 32431 "preproc.c" /* yacc.c:1646  */
    break;

  case 223:
#line 2378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[0].str));
}
#line 32439 "preproc.c" /* yacc.c:1646  */
    break;

  case 224:
#line 2382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[0].str));
}
#line 32447 "preproc.c" /* yacc.c:1646  */
    break;

  case 225:
#line 2390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32455 "preproc.c" /* yacc.c:1646  */
    break;

  case 226:
#line 2394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 32463 "preproc.c" /* yacc.c:1646  */
    break;

  case 227:
#line 2402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32471 "preproc.c" /* yacc.c:1646  */
    break;

  case 228:
#line 2406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32479 "preproc.c" /* yacc.c:1646  */
    break;

  case 229:
#line 2414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32487 "preproc.c" /* yacc.c:1646  */
    break;

  case 230:
#line 2418 "preproc.y" /* yacc.c:1646  */
    { 
		if ((yyvsp[0].str)[0] == '$')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 32501 "preproc.c" /* yacc.c:1646  */
    break;

  case 231:
#line 2432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
#line 32509 "preproc.c" /* yacc.c:1646  */
    break;

  case 232:
#line 2436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read committed");
}
#line 32517 "preproc.c" /* yacc.c:1646  */
    break;

  case 233:
#line 2440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
#line 32525 "preproc.c" /* yacc.c:1646  */
    break;

  case 234:
#line 2444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 32533 "preproc.c" /* yacc.c:1646  */
    break;

  case 235:
#line 2452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 32541 "preproc.c" /* yacc.c:1646  */
    break;

  case 236:
#line 2456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 32549 "preproc.c" /* yacc.c:1646  */
    break;

  case 237:
#line 2460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 32557 "preproc.c" /* yacc.c:1646  */
    break;

  case 238:
#line 2464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32565 "preproc.c" /* yacc.c:1646  */
    break;

  case 239:
#line 2472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32573 "preproc.c" /* yacc.c:1646  */
    break;

  case 240:
#line 2476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32581 "preproc.c" /* yacc.c:1646  */
    break;

  case 241:
#line 2480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32589 "preproc.c" /* yacc.c:1646  */
    break;

  case 242:
#line 2484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 32597 "preproc.c" /* yacc.c:1646  */
    break;

  case 243:
#line 2488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32605 "preproc.c" /* yacc.c:1646  */
    break;

  case 244:
#line 2492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 32613 "preproc.c" /* yacc.c:1646  */
    break;

  case 245:
#line 2496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 32621 "preproc.c" /* yacc.c:1646  */
    break;

  case 246:
#line 2504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32629 "preproc.c" /* yacc.c:1646  */
    break;

  case 247:
#line 2508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 32637 "preproc.c" /* yacc.c:1646  */
    break;

  case 248:
#line 2512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32644 "preproc.c" /* yacc.c:1646  */
    break;

  case 249:
#line 2519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32652 "preproc.c" /* yacc.c:1646  */
    break;

  case 250:
#line 2523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32660 "preproc.c" /* yacc.c:1646  */
    break;

  case 251:
#line 2531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 32668 "preproc.c" /* yacc.c:1646  */
    break;

  case 252:
#line 2539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32676 "preproc.c" /* yacc.c:1646  */
    break;

  case 253:
#line 2543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time zone");
}
#line 32684 "preproc.c" /* yacc.c:1646  */
    break;

  case 254:
#line 2547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction isolation level");
}
#line 32692 "preproc.c" /* yacc.c:1646  */
    break;

  case 255:
#line 2551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization");
}
#line 32700 "preproc.c" /* yacc.c:1646  */
    break;

  case 256:
#line 2559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32708 "preproc.c" /* yacc.c:1646  */
    break;

  case 257:
#line 2563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 32716 "preproc.c" /* yacc.c:1646  */
    break;

  case 258:
#line 2571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 32724 "preproc.c" /* yacc.c:1646  */
    break;

  case 259:
#line 2575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32732 "preproc.c" /* yacc.c:1646  */
    break;

  case 260:
#line 2583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 32740 "preproc.c" /* yacc.c:1646  */
    break;

  case 261:
#line 2587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32748 "preproc.c" /* yacc.c:1646  */
    break;

  case 262:
#line 2595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[-1].str));
}
#line 32756 "preproc.c" /* yacc.c:1646  */
    break;

  case 263:
#line 2599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show time zone");
}
#line 32764 "preproc.c" /* yacc.c:1646  */
    break;

  case 264:
#line 2603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
#line 32772 "preproc.c" /* yacc.c:1646  */
    break;

  case 265:
#line 2607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
#line 32780 "preproc.c" /* yacc.c:1646  */
    break;

  case 266:
#line 2611 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
#line 32789 "preproc.c" /* yacc.c:1646  */
    break;

  case 267:
#line 2620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32797 "preproc.c" /* yacc.c:1646  */
    break;

  case 268:
#line 2628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 32805 "preproc.c" /* yacc.c:1646  */
    break;

  case 269:
#line 2632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32813 "preproc.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 32821 "preproc.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 32829 "preproc.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 32837 "preproc.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard all");
}
#line 32845 "preproc.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temp");
}
#line 32853 "preproc.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
#line 32861 "preproc.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard plans");
}
#line 32869 "preproc.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard sequences");
}
#line 32877 "preproc.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32885 "preproc.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32893 "preproc.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter table all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32901 "preproc.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32909 "preproc.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32917 "preproc.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32925 "preproc.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter index all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32933 "preproc.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter index all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32941 "preproc.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32949 "preproc.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32957 "preproc.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32965 "preproc.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32973 "preproc.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32981 "preproc.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32989 "preproc.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32997 "preproc.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33005 "preproc.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33013 "preproc.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33021 "preproc.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 33029 "preproc.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add if not exists"),(yyvsp[0].str));
}
#line 33037 "preproc.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[0].str));
}
#line 33045 "preproc.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column if not exists"),(yyvsp[0].str));
}
#line 33053 "preproc.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33061 "preproc.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 33069 "preproc.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 33077 "preproc.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 33085 "preproc.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 33093 "preproc.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 33101 "preproc.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set storage"),(yyvsp[0].str));
}
#line 33109 "preproc.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33117 "preproc.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33125 "preproc.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33133 "preproc.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33141 "preproc.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 33149 "preproc.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33157 "preproc.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 33165 "preproc.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33173 "preproc.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33181 "preproc.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set with oids");
}
#line 33189 "preproc.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without oids");
}
#line 33197 "preproc.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[0].str));
}
#line 33205 "preproc.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
#line 33213 "preproc.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set logged");
}
#line 33221 "preproc.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set unlogged");
}
#line 33229 "preproc.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[0].str));
}
#line 33237 "preproc.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[0].str));
}
#line 33245 "preproc.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[0].str));
}
#line 33253 "preproc.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
#line 33261 "preproc.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
#line 33269 "preproc.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[0].str));
}
#line 33277 "preproc.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
#line 33285 "preproc.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
#line 33293 "preproc.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[0].str));
}
#line 33301 "preproc.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[0].str));
}
#line 33309 "preproc.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[0].str));
}
#line 33317 "preproc.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[0].str));
}
#line 33325 "preproc.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[0].str));
}
#line 33333 "preproc.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[0].str));
}
#line 33341 "preproc.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 33349 "preproc.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not of");
}
#line 33357 "preproc.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[0].str));
}
#line 33365 "preproc.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 33373 "preproc.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 33381 "preproc.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 33389 "preproc.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("replica identity"),(yyvsp[0].str));
}
#line 33397 "preproc.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable row level security");
}
#line 33405 "preproc.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable row level security");
}
#line 33413 "preproc.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force row level security");
}
#line 33421 "preproc.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no force row level security");
}
#line 33429 "preproc.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33437 "preproc.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 33445 "preproc.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop default");
}
#line 33453 "preproc.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 33461 "preproc.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 33469 "preproc.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33476 "preproc.c" /* yacc.c:1646  */
    break;

  case 353:
#line 3003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 33484 "preproc.c" /* yacc.c:1646  */
    break;

  case 354:
#line 3007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33491 "preproc.c" /* yacc.c:1646  */
    break;

  case 355:
#line 3014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 33499 "preproc.c" /* yacc.c:1646  */
    break;

  case 356:
#line 3018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33506 "preproc.c" /* yacc.c:1646  */
    break;

  case 357:
#line 3025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 33514 "preproc.c" /* yacc.c:1646  */
    break;

  case 358:
#line 3029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 33522 "preproc.c" /* yacc.c:1646  */
    break;

  case 359:
#line 3033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 33530 "preproc.c" /* yacc.c:1646  */
    break;

  case 360:
#line 3037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 33538 "preproc.c" /* yacc.c:1646  */
    break;

  case 361:
#line 3045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33546 "preproc.c" /* yacc.c:1646  */
    break;

  case 362:
#line 3053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 33554 "preproc.c" /* yacc.c:1646  */
    break;

  case 363:
#line 3057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33561 "preproc.c" /* yacc.c:1646  */
    break;

  case 364:
#line 3064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33569 "preproc.c" /* yacc.c:1646  */
    break;

  case 365:
#line 3068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33577 "preproc.c" /* yacc.c:1646  */
    break;

  case 366:
#line 3076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 33585 "preproc.c" /* yacc.c:1646  */
    break;

  case 367:
#line 3080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33593 "preproc.c" /* yacc.c:1646  */
    break;

  case 368:
#line 3084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("."),(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 33601 "preproc.c" /* yacc.c:1646  */
    break;

  case 369:
#line 3088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 33609 "preproc.c" /* yacc.c:1646  */
    break;

  case 370:
#line 3096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33617 "preproc.c" /* yacc.c:1646  */
    break;

  case 371:
#line 3104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33625 "preproc.c" /* yacc.c:1646  */
    break;

  case 372:
#line 3108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33633 "preproc.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33641 "preproc.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33649 "preproc.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33657 "preproc.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33665 "preproc.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3136 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
#line 33674 "preproc.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close all");
}
#line 33682 "preproc.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3149 "preproc.y" /* yacc.c:1646  */
    { 
			if (strcmp((yyvsp[-5].str), "from") == 0 &&
			   (strcmp((yyvsp[-4].str), "stdin") == 0 || strcmp((yyvsp[-4].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33694 "preproc.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("copy ("),(yyvsp[-6].str),mm_strdup(") to"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33702 "preproc.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 33710 "preproc.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("to");
}
#line 33718 "preproc.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 33726 "preproc.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33733 "preproc.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33741 "preproc.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 33749 "preproc.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 33757 "preproc.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33765 "preproc.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33773 "preproc.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33781 "preproc.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33788 "preproc.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 33796 "preproc.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 33804 "preproc.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 33812 "preproc.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33820 "preproc.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33828 "preproc.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 33836 "preproc.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 33844 "preproc.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33852 "preproc.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33860 "preproc.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[0].str));
}
#line 33868 "preproc.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force quote *");
}
#line 33876 "preproc.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[0].str));
}
#line 33884 "preproc.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force null"),(yyvsp[0].str));
}
#line 33892 "preproc.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[0].str));
}
#line 33900 "preproc.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 33908 "preproc.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33915 "preproc.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 33923 "preproc.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33930 "preproc.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("delimiters"),(yyvsp[0].str));
}
#line 33938 "preproc.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33945 "preproc.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 33953 "preproc.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33960 "preproc.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33968 "preproc.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33976 "preproc.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33984 "preproc.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33992 "preproc.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34000 "preproc.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 34008 "preproc.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34016 "preproc.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34023 "preproc.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34031 "preproc.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34039 "preproc.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34047 "preproc.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34055 "preproc.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34063 "preproc.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("table"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34071 "preproc.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table if not exists"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34079 "preproc.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 34087 "preproc.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 34095 "preproc.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temporary");
}
#line 34103 "preproc.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temp");
}
#line 34111 "preproc.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temporary");
}
#line 34119 "preproc.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temp");
}
#line 34127 "preproc.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 34135 "preproc.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34142 "preproc.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34150 "preproc.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34157 "preproc.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34165 "preproc.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34172 "preproc.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34180 "preproc.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34188 "preproc.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34196 "preproc.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34204 "preproc.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34212 "preproc.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34220 "preproc.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34228 "preproc.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34236 "preproc.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34244 "preproc.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34252 "preproc.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("with options"),(yyvsp[0].str));
}
#line 34260 "preproc.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34268 "preproc.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34275 "preproc.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34283 "preproc.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34291 "preproc.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34299 "preproc.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 34307 "preproc.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 34315 "preproc.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 34323 "preproc.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34331 "preproc.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34339 "preproc.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 34347 "preproc.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 34355 "preproc.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34363 "preproc.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 34371 "preproc.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 34379 "preproc.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 34387 "preproc.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 34395 "preproc.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34403 "preproc.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("including"),(yyvsp[0].str));
}
#line 34411 "preproc.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("excluding"),(yyvsp[0].str));
}
#line 34419 "preproc.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34426 "preproc.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 34434 "preproc.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 34442 "preproc.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 34450 "preproc.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 34458 "preproc.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 34466 "preproc.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 34474 "preproc.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34482 "preproc.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34490 "preproc.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 34498 "preproc.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34506 "preproc.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34514 "preproc.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34522 "preproc.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34530 "preproc.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34538 "preproc.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[-7].str),mm_strdup(") references"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34546 "preproc.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 34554 "preproc.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34561 "preproc.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34569 "preproc.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34576 "preproc.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34584 "preproc.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34592 "preproc.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34600 "preproc.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match full");
}
#line 34608 "preproc.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3763 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
#line 34617 "preproc.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match simple");
}
#line 34625 "preproc.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34632 "preproc.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34640 "preproc.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34648 "preproc.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 34656 "preproc.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("with operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34664 "preproc.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34672 "preproc.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34679 "preproc.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34687 "preproc.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34695 "preproc.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34703 "preproc.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34711 "preproc.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34718 "preproc.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[0].str));
}
#line 34726 "preproc.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[0].str));
}
#line 34734 "preproc.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no action");
}
#line 34742 "preproc.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 34750 "preproc.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 34758 "preproc.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set null");
}
#line 34766 "preproc.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set default");
}
#line 34774 "preproc.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34782 "preproc.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34789 "preproc.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 34797 "preproc.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 34805 "preproc.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without oids");
}
#line 34813 "preproc.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34820 "preproc.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
#line 34828 "preproc.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
#line 34836 "preproc.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
#line 34844 "preproc.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34851 "preproc.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 34859 "preproc.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34866 "preproc.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[0].str));
}
#line 34874 "preproc.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34881 "preproc.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 34889 "preproc.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34897 "preproc.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with data");
}
#line 34905 "preproc.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with no data");
}
#line 34913 "preproc.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34920 "preproc.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("materialized view"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34928 "preproc.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("materialized view if not exists"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34936 "preproc.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34944 "preproc.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 34952 "preproc.c" /* yacc.c:1646  */
    break;

  case 540:
#line 4003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34959 "preproc.c" /* yacc.c:1646  */
    break;

  case 541:
#line 4010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("refresh materialized view"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34967 "preproc.c" /* yacc.c:1646  */
    break;

  case 542:
#line 4018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34975 "preproc.c" /* yacc.c:1646  */
    break;

  case 543:
#line 4022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("sequence if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34983 "preproc.c" /* yacc.c:1646  */
    break;

  case 544:
#line 4030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34991 "preproc.c" /* yacc.c:1646  */
    break;

  case 545:
#line 4034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34999 "preproc.c" /* yacc.c:1646  */
    break;

  case 546:
#line 4042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35007 "preproc.c" /* yacc.c:1646  */
    break;

  case 547:
#line 4046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35014 "preproc.c" /* yacc.c:1646  */
    break;

  case 548:
#line 4053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35022 "preproc.c" /* yacc.c:1646  */
    break;

  case 549:
#line 4057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35030 "preproc.c" /* yacc.c:1646  */
    break;

  case 550:
#line 4065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[0].str));
}
#line 35038 "preproc.c" /* yacc.c:1646  */
    break;

  case 551:
#line 4069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 35046 "preproc.c" /* yacc.c:1646  */
    break;

  case 552:
#line 4073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no cycle");
}
#line 35054 "preproc.c" /* yacc.c:1646  */
    break;

  case 553:
#line 4077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35062 "preproc.c" /* yacc.c:1646  */
    break;

  case 554:
#line 4081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[0].str));
}
#line 35070 "preproc.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[0].str));
}
#line 35078 "preproc.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
#line 35086 "preproc.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
#line 35094 "preproc.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[0].str));
}
#line 35102 "preproc.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35110 "preproc.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 35118 "preproc.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35126 "preproc.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 35134 "preproc.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35141 "preproc.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35149 "preproc.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 35157 "preproc.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 35165 "preproc.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35173 "preproc.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35181 "preproc.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35189 "preproc.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 35197 "preproc.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("language"),(yyvsp[-4].str),mm_strdup("handler"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35205 "preproc.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 35213 "preproc.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35220 "preproc.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35228 "preproc.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35236 "preproc.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[0].str));
}
#line 35244 "preproc.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35251 "preproc.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 35259 "preproc.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 35267 "preproc.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35275 "preproc.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35282 "preproc.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35290 "preproc.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-5].str),mm_strdup("language if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35298 "preproc.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 35306 "preproc.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35313 "preproc.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create tablespace"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35321 "preproc.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[0].str));
}
#line 35329 "preproc.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35336 "preproc.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[0].str));
}
#line 35344 "preproc.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[0].str));
}
#line 35352 "preproc.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35360 "preproc.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35368 "preproc.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35376 "preproc.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35383 "preproc.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 35391 "preproc.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 35399 "preproc.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 35407 "preproc.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 35415 "preproc.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-2].str),mm_strdup("update"),(yyvsp[0].str));
}
#line 35423 "preproc.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35431 "preproc.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35438 "preproc.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 35446 "preproc.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("access method"),(yyvsp[0].str));
}
#line 35454 "preproc.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35462 "preproc.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35470 "preproc.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("collation"),(yyvsp[0].str));
}
#line 35478 "preproc.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("conversion"),(yyvsp[0].str));
}
#line 35486 "preproc.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("domain"),(yyvsp[0].str));
}
#line 35494 "preproc.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("function"),(yyvsp[0].str));
}
#line 35502 "preproc.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 35510 "preproc.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35518 "preproc.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator class"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 35526 "preproc.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 35534 "preproc.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("schema"),(yyvsp[0].str));
}
#line 35542 "preproc.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("event trigger"),(yyvsp[0].str));
}
#line 35550 "preproc.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("table"),(yyvsp[0].str));
}
#line 35558 "preproc.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search parser"),(yyvsp[0].str));
}
#line 35566 "preproc.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search dictionary"),(yyvsp[0].str));
}
#line 35574 "preproc.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search template"),(yyvsp[0].str));
}
#line 35582 "preproc.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search configuration"),(yyvsp[0].str));
}
#line 35590 "preproc.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("sequence"),(yyvsp[0].str));
}
#line 35598 "preproc.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("view"),(yyvsp[0].str));
}
#line 35606 "preproc.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("materialized view"),(yyvsp[0].str));
}
#line 35614 "preproc.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("foreign table"),(yyvsp[0].str));
}
#line 35622 "preproc.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 35630 "preproc.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 35638 "preproc.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("transform for"),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 35646 "preproc.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("type"),(yyvsp[0].str));
}
#line 35654 "preproc.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35662 "preproc.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[0].str));
}
#line 35670 "preproc.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no handler");
}
#line 35678 "preproc.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 35686 "preproc.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 35694 "preproc.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35702 "preproc.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35710 "preproc.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35718 "preproc.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35725 "preproc.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35733 "preproc.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35741 "preproc.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35749 "preproc.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35757 "preproc.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35765 "preproc.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35772 "preproc.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35780 "preproc.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35788 "preproc.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35796 "preproc.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35804 "preproc.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35812 "preproc.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35820 "preproc.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 35828 "preproc.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 35836 "preproc.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[0].str));
}
#line 35844 "preproc.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35852 "preproc.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35860 "preproc.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35868 "preproc.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35876 "preproc.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 35884 "preproc.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35891 "preproc.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 35899 "preproc.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version null");
}
#line 35907 "preproc.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35915 "preproc.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35922 "preproc.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35930 "preproc.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35938 "preproc.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35946 "preproc.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35954 "preproc.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35962 "preproc.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35970 "preproc.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35978 "preproc.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35986 "preproc.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35994 "preproc.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("import foreign schema"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("from server"),(yyvsp[-3].str),mm_strdup("into"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36002 "preproc.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit to");
}
#line 36010 "preproc.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 36018 "preproc.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36026 "preproc.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36033 "preproc.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36041 "preproc.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36049 "preproc.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 36057 "preproc.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 36065 "preproc.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 36073 "preproc.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36081 "preproc.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create policy"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36089 "preproc.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36097 "preproc.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop policy"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36105 "preproc.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop policy if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36113 "preproc.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36121 "preproc.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36128 "preproc.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("with check ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36136 "preproc.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36143 "preproc.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 36151 "preproc.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36158 "preproc.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 36166 "preproc.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36173 "preproc.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 36181 "preproc.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36188 "preproc.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 36196 "preproc.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 36204 "preproc.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 36212 "preproc.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 36220 "preproc.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 36228 "preproc.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create access method"),(yyvsp[-4].str),mm_strdup("type index handler"),(yyvsp[0].str));
}
#line 36236 "preproc.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(13,mm_strdup("create trigger"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("on"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36244 "preproc.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[-16].str),mm_strdup("after"),(yyvsp[-14].str),mm_strdup("on"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("for each row"),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36252 "preproc.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 36260 "preproc.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 36268 "preproc.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead of");
}
#line 36276 "preproc.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36284 "preproc.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 36292 "preproc.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 36300 "preproc.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 36308 "preproc.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 36316 "preproc.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[0].str));
}
#line 36324 "preproc.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 36332 "preproc.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36340 "preproc.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36347 "preproc.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 36355 "preproc.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36362 "preproc.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 36370 "preproc.c" /* yacc.c:1646  */
    break;

  case 720:
#line 4993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 36378 "preproc.c" /* yacc.c:1646  */
    break;

  case 721:
#line 5001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36386 "preproc.c" /* yacc.c:1646  */
    break;

  case 722:
#line 5005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36393 "preproc.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36401 "preproc.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36409 "preproc.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36416 "preproc.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36424 "preproc.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36432 "preproc.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36440 "preproc.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36448 "preproc.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 36456 "preproc.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36463 "preproc.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36470 "preproc.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36478 "preproc.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 36486 "preproc.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 36494 "preproc.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 36502 "preproc.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 36510 "preproc.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not valid");
}
#line 36518 "preproc.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 36526 "preproc.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36534 "preproc.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36542 "preproc.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create event trigger"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 36550 "preproc.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create event trigger"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),mm_strdup("when"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 36558 "preproc.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36566 "preproc.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 36574 "preproc.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36582 "preproc.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sconst");
}
#line 36590 "preproc.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup(", sconst"));
}
#line 36598 "preproc.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36606 "preproc.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 36614 "preproc.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable replica");
}
#line 36622 "preproc.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable always");
}
#line 36630 "preproc.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 36638 "preproc.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5181 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[-5].str),mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 36647 "preproc.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5190 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36656 "preproc.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36664 "preproc.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36672 "preproc.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36680 "preproc.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36688 "preproc.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[0].str));
}
#line 36696 "preproc.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36704 "preproc.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-5].str),mm_strdup("as enum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36712 "preproc.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[-3].str),mm_strdup("as range"),(yyvsp[0].str));
}
#line 36720 "preproc.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36728 "preproc.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36736 "preproc.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36744 "preproc.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36752 "preproc.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36760 "preproc.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 36768 "preproc.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36776 "preproc.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36784 "preproc.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36792 "preproc.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 36800 "preproc.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36808 "preproc.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36816 "preproc.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36824 "preproc.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36832 "preproc.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36840 "preproc.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36848 "preproc.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36856 "preproc.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36864 "preproc.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36872 "preproc.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 36880 "preproc.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36888 "preproc.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36895 "preproc.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36903 "preproc.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36911 "preproc.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[-4].str),mm_strdup("add value"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36919 "preproc.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("before"),(yyvsp[0].str));
}
#line 36927 "preproc.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("after"),(yyvsp[0].str));
}
#line 36935 "preproc.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if not exists");
}
#line 36943 "preproc.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36950 "preproc.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("for type"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 36958 "preproc.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36966 "preproc.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36974 "preproc.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36982 "preproc.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("operator"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36990 "preproc.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36998 "preproc.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("function"),(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37006 "preproc.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[0].str));
}
#line 37014 "preproc.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 37022 "preproc.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37029 "preproc.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[0].str));
}
#line 37037 "preproc.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37044 "preproc.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for search");
}
#line 37052 "preproc.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[0].str));
}
#line 37060 "preproc.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37067 "preproc.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5474 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
#line 37076 "preproc.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37083 "preproc.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 37091 "preproc.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 37099 "preproc.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 37107 "preproc.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37115 "preproc.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37123 "preproc.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37131 "preproc.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37139 "preproc.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37147 "preproc.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37155 "preproc.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37163 "preproc.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37171 "preproc.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37179 "preproc.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 37187 "preproc.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37195 "preproc.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37203 "preproc.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37211 "preproc.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37219 "preproc.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37227 "preproc.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37235 "preproc.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37243 "preproc.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37251 "preproc.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 37259 "preproc.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 37267 "preproc.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 37275 "preproc.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 37283 "preproc.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 37291 "preproc.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 37299 "preproc.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access method");
}
#line 37307 "preproc.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 37315 "preproc.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 37323 "preproc.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 37331 "preproc.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 37339 "preproc.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 37347 "preproc.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 37355 "preproc.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 37363 "preproc.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 37371 "preproc.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 37379 "preproc.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37387 "preproc.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37395 "preproc.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37403 "preproc.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37411 "preproc.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 37419 "preproc.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 37427 "preproc.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37435 "preproc.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37443 "preproc.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue identity");
}
#line 37451 "preproc.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart identity");
}
#line 37459 "preproc.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37466 "preproc.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37474 "preproc.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37482 "preproc.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37490 "preproc.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37498 "preproc.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37506 "preproc.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on operator"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37514 "preproc.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37522 "preproc.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37530 "preproc.c" /* yacc.c:1646  */
    break;

  case 867:
#line 5770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on policy"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37538 "preproc.c" /* yacc.c:1646  */
    break;

  case 868:
#line 5774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37546 "preproc.c" /* yacc.c:1646  */
    break;

  case 869:
#line 5778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on rule"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37554 "preproc.c" /* yacc.c:1646  */
    break;

  case 870:
#line 5782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on transform for"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37562 "preproc.c" /* yacc.c:1646  */
    break;

  case 871:
#line 5786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37570 "preproc.c" /* yacc.c:1646  */
    break;

  case 872:
#line 5790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37578 "preproc.c" /* yacc.c:1646  */
    break;

  case 873:
#line 5794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37586 "preproc.c" /* yacc.c:1646  */
    break;

  case 874:
#line 5798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37594 "preproc.c" /* yacc.c:1646  */
    break;

  case 875:
#line 5802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[-5].str),mm_strdup("as"),(yyvsp[-3].str),mm_strdup(") is"),(yyvsp[0].str));
}
#line 37602 "preproc.c" /* yacc.c:1646  */
    break;

  case 876:
#line 5806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37610 "preproc.c" /* yacc.c:1646  */
    break;

  case 877:
#line 5814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access method");
}
#line 37618 "preproc.c" /* yacc.c:1646  */
    break;

  case 878:
#line 5818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 37626 "preproc.c" /* yacc.c:1646  */
    break;

  case 879:
#line 5822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 37634 "preproc.c" /* yacc.c:1646  */
    break;

  case 880:
#line 5826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 37642 "preproc.c" /* yacc.c:1646  */
    break;

  case 881:
#line 5830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 37650 "preproc.c" /* yacc.c:1646  */
    break;

  case 882:
#line 5834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 37658 "preproc.c" /* yacc.c:1646  */
    break;

  case 883:
#line 5838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 37666 "preproc.c" /* yacc.c:1646  */
    break;

  case 884:
#line 5842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 37674 "preproc.c" /* yacc.c:1646  */
    break;

  case 885:
#line 5846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 37682 "preproc.c" /* yacc.c:1646  */
    break;

  case 886:
#line 5850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 37690 "preproc.c" /* yacc.c:1646  */
    break;

  case 887:
#line 5854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 37698 "preproc.c" /* yacc.c:1646  */
    break;

  case 888:
#line 5858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 37706 "preproc.c" /* yacc.c:1646  */
    break;

  case 889:
#line 5862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 37714 "preproc.c" /* yacc.c:1646  */
    break;

  case 890:
#line 5866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 37722 "preproc.c" /* yacc.c:1646  */
    break;

  case 891:
#line 5870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 37730 "preproc.c" /* yacc.c:1646  */
    break;

  case 892:
#line 5874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 37738 "preproc.c" /* yacc.c:1646  */
    break;

  case 893:
#line 5878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 37746 "preproc.c" /* yacc.c:1646  */
    break;

  case 894:
#line 5882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 37754 "preproc.c" /* yacc.c:1646  */
    break;

  case 895:
#line 5886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 37762 "preproc.c" /* yacc.c:1646  */
    break;

  case 896:
#line 5890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 37770 "preproc.c" /* yacc.c:1646  */
    break;

  case 897:
#line 5894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 37778 "preproc.c" /* yacc.c:1646  */
    break;

  case 898:
#line 5898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 37786 "preproc.c" /* yacc.c:1646  */
    break;

  case 899:
#line 5906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37794 "preproc.c" /* yacc.c:1646  */
    break;

  case 900:
#line 5910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 37802 "preproc.c" /* yacc.c:1646  */
    break;

  case 901:
#line 5918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37810 "preproc.c" /* yacc.c:1646  */
    break;

  case 902:
#line 5922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37818 "preproc.c" /* yacc.c:1646  */
    break;

  case 903:
#line 5926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37826 "preproc.c" /* yacc.c:1646  */
    break;

  case 904:
#line 5930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37834 "preproc.c" /* yacc.c:1646  */
    break;

  case 905:
#line 5934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37842 "preproc.c" /* yacc.c:1646  */
    break;

  case 906:
#line 5938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37850 "preproc.c" /* yacc.c:1646  */
    break;

  case 907:
#line 5942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37858 "preproc.c" /* yacc.c:1646  */
    break;

  case 908:
#line 5950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 37866 "preproc.c" /* yacc.c:1646  */
    break;

  case 909:
#line 5954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37873 "preproc.c" /* yacc.c:1646  */
    break;

  case 910:
#line 5961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 37881 "preproc.c" /* yacc.c:1646  */
    break;

  case 911:
#line 5965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 37889 "preproc.c" /* yacc.c:1646  */
    break;

  case 912:
#line 5969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 37897 "preproc.c" /* yacc.c:1646  */
    break;

  case 913:
#line 5973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 37905 "preproc.c" /* yacc.c:1646  */
    break;

  case 914:
#line 5977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 37913 "preproc.c" /* yacc.c:1646  */
    break;

  case 915:
#line 5981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 37921 "preproc.c" /* yacc.c:1646  */
    break;

  case 916:
#line 5985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 37929 "preproc.c" /* yacc.c:1646  */
    break;

  case 917:
#line 5989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 37937 "preproc.c" /* yacc.c:1646  */
    break;

  case 918:
#line 5993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 37945 "preproc.c" /* yacc.c:1646  */
    break;

  case 919:
#line 5997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 37953 "preproc.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 37961 "preproc.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37969 "preproc.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 37977 "preproc.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[0].str));
}
#line 37985 "preproc.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[0].str));
}
#line 37993 "preproc.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6029 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[-1].str));
	}
#line 38001 "preproc.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6033 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
#line 38011 "preproc.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6039 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
#line 38021 "preproc.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6045 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
#line 38031 "preproc.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6051 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
#line 38041 "preproc.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6057 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
#line 38051 "preproc.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6063 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
#line 38061 "preproc.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6069 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
#line 38071 "preproc.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6075 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
#line 38081 "preproc.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6085 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 38096 "preproc.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6096 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38111 "preproc.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6107 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38126 "preproc.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6118 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38141 "preproc.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6129 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38156 "preproc.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6140 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38171 "preproc.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6151 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38191 "preproc.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6167 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38211 "preproc.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6183 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38231 "preproc.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6199 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38246 "preproc.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6210 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38266 "preproc.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6226 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38281 "preproc.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6237 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38301 "preproc.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6253 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38316 "preproc.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 38324 "preproc.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 38332 "preproc.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38340 "preproc.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38347 "preproc.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38355 "preproc.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38363 "preproc.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38371 "preproc.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38379 "preproc.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 38387 "preproc.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all privileges");
}
#line 38395 "preproc.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38403 "preproc.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38411 "preproc.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38419 "preproc.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38427 "preproc.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[0].str));
}
#line 38435 "preproc.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[0].str));
}
#line 38443 "preproc.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[0].str));
}
#line 38451 "preproc.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38459 "preproc.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38467 "preproc.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 38475 "preproc.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[0].str));
}
#line 38483 "preproc.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 38491 "preproc.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[0].str));
}
#line 38499 "preproc.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[0].str));
}
#line 38507 "preproc.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[0].str));
}
#line 38515 "preproc.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[0].str));
}
#line 38523 "preproc.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 38531 "preproc.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[0].str));
}
#line 38539 "preproc.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 38547 "preproc.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 38555 "preproc.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 38563 "preproc.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[0].str));
}
#line 38571 "preproc.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[0].str));
}
#line 38579 "preproc.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[0].str));
}
#line 38587 "preproc.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38595 "preproc.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38603 "preproc.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38611 "preproc.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[0].str));
}
#line 38619 "preproc.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with grant option");
}
#line 38627 "preproc.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38634 "preproc.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38642 "preproc.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38650 "preproc.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38658 "preproc.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38666 "preproc.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38674 "preproc.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38682 "preproc.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with admin option");
}
#line 38690 "preproc.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38697 "preproc.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[0].str));
}
#line 38705 "preproc.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38712 "preproc.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38720 "preproc.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38728 "preproc.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38735 "preproc.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[0].str));
}
#line 38743 "preproc.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[0].str));
}
#line 38751 "preproc.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[0].str));
}
#line 38759 "preproc.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38767 "preproc.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38775 "preproc.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38783 "preproc.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 38791 "preproc.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 38799 "preproc.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 38807 "preproc.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 38815 "preproc.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("index"),(yyvsp[-10].str),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38823 "preproc.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create"),(yyvsp[-15].str),mm_strdup("index"),(yyvsp[-13].str),mm_strdup("if not exists"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38831 "preproc.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 38839 "preproc.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38846 "preproc.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 38854 "preproc.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38861 "preproc.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38869 "preproc.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 38884 "preproc.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38891 "preproc.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38899 "preproc.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38907 "preproc.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38915 "preproc.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38923 "preproc.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38931 "preproc.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 38939 "preproc.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38946 "preproc.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38954 "preproc.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38961 "preproc.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 38969 "preproc.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 38977 "preproc.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38984 "preproc.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls first");
}
#line 38992 "preproc.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls last");
}
#line 39000 "preproc.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39007 "preproc.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("function"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("returns"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39015 "preproc.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("function"),(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("returns table ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39023 "preproc.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-5].str),mm_strdup("function"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39031 "preproc.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or replace");
}
#line 39039 "preproc.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39046 "preproc.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39054 "preproc.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 39062 "preproc.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 6778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39070 "preproc.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 6782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39078 "preproc.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 6790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39086 "preproc.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 6794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 39094 "preproc.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 6802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39102 "preproc.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 6806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39110 "preproc.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 6814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39118 "preproc.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 6818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39126 "preproc.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 6822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39134 "preproc.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 6826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39142 "preproc.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 6830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39150 "preproc.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 6838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 39158 "preproc.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 6842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 39166 "preproc.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 6846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 39174 "preproc.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 6850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in out");
}
#line 39182 "preproc.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 6854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 39190 "preproc.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 6862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39198 "preproc.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 6870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39206 "preproc.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 6878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39214 "preproc.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 6882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 39222 "preproc.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 6886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 39230 "preproc.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 6894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39238 "preproc.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 6898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("default"),(yyvsp[0].str));
}
#line 39246 "preproc.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 6902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 39254 "preproc.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 6910 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = (yyvsp[0].str);
}
#line 39263 "preproc.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 6919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( * )");
}
#line 39271 "preproc.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 6923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39279 "preproc.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 6927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39287 "preproc.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 6931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-4].str),mm_strdup("order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39295 "preproc.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 6939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39303 "preproc.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 6943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39311 "preproc.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 6951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39319 "preproc.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 6955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39327 "preproc.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 6963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called on null input");
}
#line 39335 "preproc.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 6967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
#line 39343 "preproc.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 6971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 39351 "preproc.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 6975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 39359 "preproc.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 6979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 39367 "preproc.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 6983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 39375 "preproc.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 6987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security definer");
}
#line 39383 "preproc.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 6991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
#line 39391 "preproc.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 6995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security definer");
}
#line 39399 "preproc.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 6999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security invoker");
}
#line 39407 "preproc.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 39415 "preproc.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not leakproof");
}
#line 39423 "preproc.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[0].str));
}
#line 39431 "preproc.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 39439 "preproc.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39447 "preproc.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("parallel"),(yyvsp[0].str));
}
#line 39455 "preproc.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 39463 "preproc.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 39471 "preproc.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transform"),(yyvsp[0].str));
}
#line 39479 "preproc.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 39487 "preproc.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39495 "preproc.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39503 "preproc.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39511 "preproc.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for type"),(yyvsp[0].str));
}
#line 39519 "preproc.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup(", for type"),(yyvsp[0].str));
}
#line 39527 "preproc.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 39535 "preproc.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39542 "preproc.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39550 "preproc.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39558 "preproc.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39566 "preproc.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39574 "preproc.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39582 "preproc.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39590 "preproc.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 39598 "preproc.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39605 "preproc.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39613 "preproc.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39621 "preproc.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39629 "preproc.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39637 "preproc.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39645 "preproc.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39653 "preproc.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39661 "preproc.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39669 "preproc.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39677 "preproc.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-3].str),mm_strdup(", none )"));
}
#line 39685 "preproc.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39693 "preproc.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 39701 "preproc.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[0].str));
}
#line 39709 "preproc.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39717 "preproc.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39725 "preproc.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39733 "preproc.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 39741 "preproc.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup(") with function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39749 "preproc.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") without function"),(yyvsp[0].str));
}
#line 39757 "preproc.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") with inout"),(yyvsp[0].str));
}
#line 39765 "preproc.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as implicit");
}
#line 39773 "preproc.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as assignment");
}
#line 39781 "preproc.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39788 "preproc.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup("as"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39796 "preproc.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if exists");
}
#line 39804 "preproc.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39811 "preproc.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("transform for"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39819 "preproc.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("from sql with function"),(yyvsp[-6].str),mm_strdup(", to sql with function"),(yyvsp[0].str));
}
#line 39827 "preproc.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("to sql with function"),(yyvsp[-6].str),mm_strdup(", from sql with function"),(yyvsp[0].str));
}
#line 39835 "preproc.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from sql with function"),(yyvsp[0].str));
}
#line 39843 "preproc.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to sql with function"),(yyvsp[0].str));
}
#line 39851 "preproc.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("drop transform"),(yyvsp[-5].str),mm_strdup("for"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39859 "preproc.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39867 "preproc.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39875 "preproc.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39883 "preproc.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39891 "preproc.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 39899 "preproc.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 39907 "preproc.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 39915 "preproc.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 39923 "preproc.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 39931 "preproc.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39939 "preproc.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39947 "preproc.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 39955 "preproc.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 39963 "preproc.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 39971 "preproc.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39979 "preproc.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39987 "preproc.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39995 "preproc.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40003 "preproc.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40011 "preproc.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40019 "preproc.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40027 "preproc.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40035 "preproc.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40043 "preproc.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40051 "preproc.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40059 "preproc.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40067 "preproc.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40075 "preproc.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy if exists"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40083 "preproc.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40091 "preproc.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40099 "preproc.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40107 "preproc.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40115 "preproc.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40123 "preproc.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40131 "preproc.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40139 "preproc.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40147 "preproc.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40155 "preproc.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40163 "preproc.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40171 "preproc.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40179 "preproc.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40187 "preproc.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 7515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40195 "preproc.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40203 "preproc.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40211 "preproc.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40219 "preproc.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 7531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40227 "preproc.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 7535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40235 "preproc.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 7539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40243 "preproc.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 7543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40251 "preproc.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 7547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40259 "preproc.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 7551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40267 "preproc.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 7555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40275 "preproc.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 7559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40283 "preproc.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 7563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40291 "preproc.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 7567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40299 "preproc.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 7571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40307 "preproc.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 7575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40315 "preproc.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 7579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40323 "preproc.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 7583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40331 "preproc.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 7587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40339 "preproc.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 7591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40347 "preproc.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 7595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("rename attribute"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40355 "preproc.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 7603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 40363 "preproc.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 7607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40370 "preproc.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 7614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set data");
}
#line 40378 "preproc.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 7618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40385 "preproc.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 7625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 40393 "preproc.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 7629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 40401 "preproc.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 7633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 40409 "preproc.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 7637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 40417 "preproc.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 7645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40425 "preproc.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 7649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40433 "preproc.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 7653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40441 "preproc.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 7657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 7661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40457 "preproc.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 7665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40465 "preproc.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 7669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40473 "preproc.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 7673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40481 "preproc.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 7677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40489 "preproc.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 7681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40497 "preproc.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 7685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40505 "preproc.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 7689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40513 "preproc.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 7693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40521 "preproc.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 7697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40529 "preproc.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 7701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40537 "preproc.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 7705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40545 "preproc.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 7709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40553 "preproc.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 7713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40561 "preproc.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 7717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40569 "preproc.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 7721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40577 "preproc.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 7725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40585 "preproc.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 7729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40593 "preproc.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 7733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40601 "preproc.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 7737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40609 "preproc.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 7745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("set ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40617 "preproc.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 7753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40625 "preproc.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 7757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40633 "preproc.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 7765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("= none"));
}
#line 40641 "preproc.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 7769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 40649 "preproc.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 7777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40657 "preproc.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 7781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40665 "preproc.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 7785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40673 "preproc.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 7789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40681 "preproc.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 7793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40689 "preproc.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 7797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40697 "preproc.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 7801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40705 "preproc.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 7805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40713 "preproc.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 7809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40721 "preproc.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 7813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40729 "preproc.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 7817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 7821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40745 "preproc.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 7825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40753 "preproc.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 7829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 7833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 7837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 7841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40785 "preproc.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 7845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40793 "preproc.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 7849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 7857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("rule"),(yyvsp[-9].str),mm_strdup("as on"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("do"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40809 "preproc.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 7865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 40817 "preproc.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 7869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40825 "preproc.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 7873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40833 "preproc.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 7881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(";"),(yyvsp[0].str));
}
#line 40841 "preproc.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 7885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40849 "preproc.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 7893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40857 "preproc.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 7897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40865 "preproc.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 7901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40873 "preproc.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 7905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 7909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40889 "preproc.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 7917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40897 "preproc.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 7921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40904 "preproc.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 7928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 40912 "preproc.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 7932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 40920 "preproc.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 7936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 40928 "preproc.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 7940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 40936 "preproc.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 7948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 40944 "preproc.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 7952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 40952 "preproc.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 7956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40959 "preproc.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 7963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40967 "preproc.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 7967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40975 "preproc.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 7975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40983 "preproc.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 7983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[0].str));
}
#line 40991 "preproc.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 7987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40998 "preproc.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 7994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[0].str));
}
#line 41006 "preproc.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 8002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[0].str));
}
#line 41014 "preproc.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 8006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
#line 41022 "preproc.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 8014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[0].str));
}
#line 41030 "preproc.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41038 "preproc.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[0].str));
}
#line 41046 "preproc.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[0].str));
}
#line 41054 "preproc.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[0].str));
}
#line 41062 "preproc.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[0].str));
}
#line 41070 "preproc.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[0].str));
}
#line 41078 "preproc.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[0].str));
}
#line 41086 "preproc.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[0].str));
}
#line 41094 "preproc.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-3].str),mm_strdup("to savepoint"),(yyvsp[0].str));
}
#line 41102 "preproc.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 41110 "preproc.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[0].str));
}
#line 41118 "preproc.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[0].str));
}
#line 41126 "preproc.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[0].str));
}
#line 41134 "preproc.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 41142 "preproc.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 41150 "preproc.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41157 "preproc.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[0].str));
}
#line 41165 "preproc.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read only");
}
#line 41173 "preproc.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read write");
}
#line 41181 "preproc.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 41189 "preproc.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 41197 "preproc.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41205 "preproc.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41213 "preproc.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41221 "preproc.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41229 "preproc.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41236 "preproc.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41244 "preproc.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41252 "preproc.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8148 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41261 "preproc.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8153 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create or replace"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41270 "preproc.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with check option");
}
#line 41278 "preproc.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 8166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with cascaded check option");
}
#line 41286 "preproc.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 8170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with local check option");
}
#line 41294 "preproc.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 8174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41301 "preproc.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 8181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[0].str));
}
#line 41309 "preproc.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 8189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41317 "preproc.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 8197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41325 "preproc.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 8201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41332 "preproc.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 8208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41340 "preproc.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 8212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41348 "preproc.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 8220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41356 "preproc.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 8224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41364 "preproc.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 8228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("default"));
}
#line 41372 "preproc.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 8236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41380 "preproc.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 8240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("connection limit");
}
#line 41388 "preproc.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 8244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 41396 "preproc.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 8248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 41404 "preproc.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 8252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 41412 "preproc.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 8256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 41420 "preproc.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 8260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 41428 "preproc.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 8268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 41436 "preproc.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 8272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41443 "preproc.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 8279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 41451 "preproc.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 8283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41459 "preproc.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 8287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 41467 "preproc.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 8295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41475 "preproc.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 8303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[0].str));
}
#line 41483 "preproc.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 8307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[0].str));
}
#line 41491 "preproc.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 8315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system set"),(yyvsp[0].str));
}
#line 41499 "preproc.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 8319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system reset"),(yyvsp[0].str));
}
#line 41507 "preproc.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 8327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41515 "preproc.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 8335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41523 "preproc.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 8339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 41531 "preproc.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 8343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 41539 "preproc.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 8347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 41547 "preproc.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 8351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-4].str),mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41555 "preproc.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 8355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-6].str),mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41563 "preproc.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 8359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 41571 "preproc.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 8367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 41579 "preproc.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 8371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41586 "preproc.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 8378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41594 "preproc.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 8386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("add mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41602 "preproc.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 8390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41610 "preproc.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 8394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41618 "preproc.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 8398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[-8].str),mm_strdup("alter mapping for"),(yyvsp[-4].str),mm_strdup("replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41626 "preproc.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 8402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-4].str),mm_strdup("drop mapping for"),(yyvsp[0].str));
}
#line 41634 "preproc.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 8406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("drop mapping if exists for"),(yyvsp[0].str));
}
#line 41642 "preproc.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 8414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 41650 "preproc.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 8418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 41658 "preproc.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 8426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("conversion"),(yyvsp[-6].str),mm_strdup("for"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 41666 "preproc.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 8434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 8438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[0].str));
}
#line 41682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 8442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("on"),(yyvsp[0].str));
}
#line 41690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 8450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 41698 "preproc.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 8454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41705 "preproc.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 8461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41713 "preproc.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 8465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41721 "preproc.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 8469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41729 "preproc.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 8473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 8477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41745 "preproc.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 8485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41753 "preproc.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 8489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 8497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 8501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 41777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 8505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 41785 "preproc.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 8509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 41793 "preproc.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 8513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 8521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41809 "preproc.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 8525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41817 "preproc.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 8533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 41825 "preproc.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 8537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 41833 "preproc.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 8545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 41841 "preproc.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 8549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41848 "preproc.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 8556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 41856 "preproc.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 8560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41863 "preproc.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 8567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 41871 "preproc.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 8571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41878 "preproc.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 8578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41886 "preproc.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 8582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41893 "preproc.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 8589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[0].str));
}
#line 41901 "preproc.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 8593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41909 "preproc.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 8597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[0].str));
}
#line 41917 "preproc.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 8601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 41925 "preproc.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 8609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41933 "preproc.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 8613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41941 "preproc.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 8617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41949 "preproc.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 8621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41957 "preproc.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 8625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41965 "preproc.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 8629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41973 "preproc.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 8633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41981 "preproc.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 8637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41989 "preproc.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 8641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41997 "preproc.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 8649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42005 "preproc.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 8653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42013 "preproc.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 8661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42021 "preproc.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 8669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42029 "preproc.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 8673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42037 "preproc.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 8681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42045 "preproc.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 8685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42053 "preproc.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 8689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 8696 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-3].str);
		(yyval.prep).type = (yyvsp[-2].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
	}
#line 42070 "preproc.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 8702 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-2].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 42080 "preproc.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 8712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42088 "preproc.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 8716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42095 "preproc.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 8723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42103 "preproc.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 8727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42111 "preproc.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 8731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42119 "preproc.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 8735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42127 "preproc.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 8743 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-2].str); }
#line 42133 "preproc.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 8745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("table"),(yyvsp[-5].str),mm_strdup("as execute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42141 "preproc.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 8753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42149 "preproc.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 8757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42156 "preproc.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 8764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("insert into"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42164 "preproc.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 8772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42172 "preproc.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 8776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 42180 "preproc.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 8784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42188 "preproc.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 8788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 42196 "preproc.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 8792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default values");
}
#line 42204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 8800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42212 "preproc.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 8804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42220 "preproc.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 8812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42228 "preproc.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 8820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("on conflict"),(yyvsp[-5].str),mm_strdup("do update set"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42236 "preproc.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 8824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("on conflict"),(yyvsp[-2].str),mm_strdup("do nothing"));
}
#line 42244 "preproc.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 8828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42251 "preproc.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 8835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 42259 "preproc.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 8839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on constraint"),(yyvsp[0].str));
}
#line 42267 "preproc.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 8843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42274 "preproc.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 8850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[-1].str));
}
#line 42282 "preproc.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 8854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42289 "preproc.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 8861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("delete from"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42297 "preproc.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 8869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 42305 "preproc.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 8873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42312 "preproc.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 8880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42320 "preproc.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 8888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[-1].str),mm_strdup("mode"));
}
#line 42328 "preproc.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 8892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42335 "preproc.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 8899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access share");
}
#line 42343 "preproc.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 8903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row share");
}
#line 42351 "preproc.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 8907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
#line 42359 "preproc.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 8911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
#line 42367 "preproc.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 8915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 42375 "preproc.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 8919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
#line 42383 "preproc.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 8923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 42391 "preproc.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 8927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
#line 42399 "preproc.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 8935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 42407 "preproc.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 8939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42414 "preproc.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 8946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 42422 "preproc.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 8950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip locked");
}
#line 42430 "preproc.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 8954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 8961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,(yyvsp[-7].str),mm_strdup("update"),(yyvsp[-5].str),mm_strdup("set"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 8969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 8973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 8981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 8985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 8993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 42485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 9001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 42493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 9005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 42501 "preproc.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 9013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42509 "preproc.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 9021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42517 "preproc.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 9025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42525 "preproc.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 9033 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
			{
				if ((yyvsp[-5].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[-5].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for"), (yyvsp[0].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
#line 42578 "preproc.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 9086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42586 "preproc.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 9090 "preproc.y" /* yacc.c:1646  */
    {
			char *curname = mm_alloc(strlen((yyvsp[0].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[0].str));
			free((yyvsp[0].str));
			(yyvsp[0].str) = curname;
			(yyval.str) = (yyvsp[0].str);
		}
#line 42598 "preproc.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 9102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42605 "preproc.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 9105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("no scroll"));
}
#line 42613 "preproc.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 9109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("scroll"));
}
#line 42621 "preproc.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 9113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("binary"));
}
#line 42629 "preproc.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 9117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("insensitive"));
}
#line 42637 "preproc.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 9125 "preproc.y" /* yacc.c:1646  */
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
#line 42648 "preproc.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 9132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with hold");
}
#line 42656 "preproc.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 9136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without hold");
}
#line 42664 "preproc.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 9144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42672 "preproc.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 9148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42680 "preproc.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 9156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42688 "preproc.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 9160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42696 "preproc.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 9168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42704 "preproc.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 9172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42712 "preproc.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 9176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42720 "preproc.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 9180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42728 "preproc.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 9184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42736 "preproc.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 9188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42744 "preproc.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 9192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42752 "preproc.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 9196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42760 "preproc.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 9204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42768 "preproc.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 9208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42776 "preproc.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 9216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42784 "preproc.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 9220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42792 "preproc.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 9224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42800 "preproc.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 9228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 42808 "preproc.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 9232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("union"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42816 "preproc.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 9236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("intersect"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42824 "preproc.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 9240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("except"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42832 "preproc.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 9248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 42840 "preproc.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 9252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 42848 "preproc.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 9256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[0].str));
}
#line 42856 "preproc.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 9264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42864 "preproc.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 9268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42872 "preproc.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 9276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42880 "preproc.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 9284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42888 "preproc.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 9288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42895 "preproc.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 9295 "preproc.y" /* yacc.c:1646  */
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[0].str));
					}
#line 42904 "preproc.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 9299 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 42910 "preproc.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 9301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42917 "preproc.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 9308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42925 "preproc.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 9312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42933 "preproc.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 9316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42941 "preproc.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 9320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42949 "preproc.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 9324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42957 "preproc.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 9328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42965 "preproc.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 9332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42973 "preproc.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 9336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 42981 "preproc.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 9340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42989 "preproc.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 9348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 42997 "preproc.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 9352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43004 "preproc.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 9359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 43012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 9363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 43020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 9367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43027 "preproc.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 9374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 43035 "preproc.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 9378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43043 "preproc.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 9386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 43051 "preproc.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 9390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43058 "preproc.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 9397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43066 "preproc.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 9401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43073 "preproc.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 9408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[0].str));
}
#line 43081 "preproc.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 9416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43089 "preproc.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 9420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43097 "preproc.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 9428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43105 "preproc.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 9432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43113 "preproc.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 9440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43121 "preproc.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 9444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43129 "preproc.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 9448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43137 "preproc.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 9452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43145 "preproc.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 9460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43153 "preproc.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 9464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43160 "preproc.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 9471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[0].str));
}
#line 43168 "preproc.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 9475 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
	}
#line 43177 "preproc.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 9480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 43185 "preproc.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 9488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[0].str));
}
#line 43193 "preproc.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 9492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43201 "preproc.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 9500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43209 "preproc.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 9504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 43217 "preproc.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 9512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43225 "preproc.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 9520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43233 "preproc.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 9524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43241 "preproc.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 9528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43248 "preproc.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 9535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43256 "preproc.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 9543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 43264 "preproc.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 9547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 43272 "preproc.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 9555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 43280 "preproc.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 9559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 43288 "preproc.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 9567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[0].str));
}
#line 43296 "preproc.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 9571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43303 "preproc.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 9578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43311 "preproc.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 9582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43319 "preproc.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 9590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43327 "preproc.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 9594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43335 "preproc.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 9598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43343 "preproc.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 9602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43351 "preproc.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 9606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43359 "preproc.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 9614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 43367 "preproc.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 9622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("rollup ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43375 "preproc.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 9630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("cube ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43383 "preproc.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 9638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping sets ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43391 "preproc.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 9646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[0].str));
}
#line 43399 "preproc.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 9650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43406 "preproc.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 9657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43414 "preproc.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 9661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for read only");
}
#line 43422 "preproc.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 9669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43430 "preproc.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 9673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 9680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 9684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 9692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 9700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for update");
}
#line 43469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 9704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for no key update");
}
#line 43477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 9708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for share");
}
#line 43485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 9712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for key share");
}
#line 43493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 9720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 43501 "preproc.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 9724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 9731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("values"),(yyvsp[0].str));
}
#line 43516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 9735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43524 "preproc.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 9743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 43532 "preproc.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 9747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43539 "preproc.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 9754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43547 "preproc.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 9758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43555 "preproc.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 9766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43563 "preproc.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 9770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43571 "preproc.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 9774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43579 "preproc.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 9778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43587 "preproc.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 9782 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43598 "preproc.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 9789 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43609 "preproc.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 9796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43617 "preproc.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 9800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43625 "preproc.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 9808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43633 "preproc.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 9812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("cross join"),(yyvsp[0].str));
}
#line 43641 "preproc.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 9816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43649 "preproc.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 9820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43657 "preproc.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 9824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("natural"),(yyvsp[-2].str),mm_strdup("join"),(yyvsp[0].str));
}
#line 43665 "preproc.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 9828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("natural join"),(yyvsp[0].str));
}
#line 43673 "preproc.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 9836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43681 "preproc.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 9840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 43689 "preproc.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 9844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43697 "preproc.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 9848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43705 "preproc.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 9856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43713 "preproc.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 9860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43720 "preproc.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 9867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43728 "preproc.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 9871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43736 "preproc.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 9875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43744 "preproc.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 9879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43752 "preproc.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 9883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43759 "preproc.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 9890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[0].str));
}
#line 43767 "preproc.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 9894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[0].str));
}
#line 43775 "preproc.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 9898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[0].str));
}
#line 43783 "preproc.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 9902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 43791 "preproc.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 9910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 43799 "preproc.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 9914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43806 "preproc.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 9921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43814 "preproc.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 9925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[0].str));
}
#line 43822 "preproc.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 9933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43830 "preproc.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 9937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("*"));
}
#line 43838 "preproc.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 9941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[0].str));
}
#line 43846 "preproc.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 9945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43854 "preproc.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 9953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43862 "preproc.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 9957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43870 "preproc.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 9965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43878 "preproc.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 9969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43886 "preproc.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 9973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 43894 "preproc.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 9981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("tablesample"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43902 "preproc.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 9989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("repeatable ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43910 "preproc.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 9993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43917 "preproc.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 10000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43925 "preproc.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 10004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rows from ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43933 "preproc.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 10012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43941 "preproc.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 10020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43949 "preproc.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 10024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43957 "preproc.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 10032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43965 "preproc.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 10036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43972 "preproc.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 10043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with ordinality");
}
#line 43980 "preproc.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 10047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43987 "preproc.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 10054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 43995 "preproc.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 10058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44002 "preproc.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 10065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 44010 "preproc.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 10069 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
#line 44019 "preproc.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 10074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44026 "preproc.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 10081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44034 "preproc.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 10085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44041 "preproc.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 10092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44049 "preproc.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 10096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44057 "preproc.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 10104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44065 "preproc.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 10112 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].index).str); }
#line 44071 "preproc.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 10114 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[-1].str), (yyvsp[0].index).str); }
#line 44077 "preproc.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 10116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 44085 "preproc.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 10120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 44093 "preproc.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 10124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("array"));
}
#line 44101 "preproc.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 10128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[-1].str),mm_strdup("array"));
}
#line 44109 "preproc.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 10136 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-2].index).index1;
		(yyval.index).index2 = (yyvsp[-2].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[-2].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[-2].index).str, mm_strdup("[]"));
	}
#line 44123 "preproc.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 10146 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-3].index).index1;
		(yyval.index).index2 = (yyvsp[-3].index).index2;
		if (strcmp((yyvsp[-3].index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup((yyvsp[-1].str));
		else if (strcmp((yyvsp[-3].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup((yyvsp[-1].str));
		(yyval.index).str = cat_str(4, (yyvsp[-3].index).str, mm_strdup("["), (yyvsp[-1].str), mm_strdup("]"));
	}
#line 44137 "preproc.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 10156 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
#line 44147 "preproc.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 10166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44155 "preproc.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 10170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44163 "preproc.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 10174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44171 "preproc.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 10178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44179 "preproc.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 10182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44187 "preproc.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 10186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44195 "preproc.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 10190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44203 "preproc.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 10198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44211 "preproc.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 10202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44219 "preproc.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 10206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44227 "preproc.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 10210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44235 "preproc.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 10218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44243 "preproc.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 10222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44251 "preproc.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 10230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44259 "preproc.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 10234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 10241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("int");
}
#line 44274 "preproc.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 10245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 44282 "preproc.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 10249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 44290 "preproc.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 10253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 44298 "preproc.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 10257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 44306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 10261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[0].str));
}
#line 44314 "preproc.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 10265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double precision");
}
#line 44322 "preproc.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 10269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[0].str));
}
#line 44330 "preproc.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 10273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[0].str));
}
#line 44338 "preproc.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 10277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[0].str));
}
#line 44346 "preproc.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 10281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 44354 "preproc.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 10289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44362 "preproc.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 10293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44369 "preproc.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 10300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44377 "preproc.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 10304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44385 "preproc.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 10312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44393 "preproc.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 10316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44401 "preproc.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 10324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44409 "preproc.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 10332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[0].str));
}
#line 44417 "preproc.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 10340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44425 "preproc.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 10344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44433 "preproc.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 10352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44441 "preproc.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 10356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 10364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44457 "preproc.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 10372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44465 "preproc.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 10380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[0].str));
}
#line 44473 "preproc.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 10384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[0].str));
}
#line 44481 "preproc.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 10388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 44489 "preproc.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 10392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[0].str));
}
#line 44497 "preproc.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 10396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[0].str));
}
#line 44505 "preproc.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 10400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[0].str));
}
#line 44513 "preproc.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 10408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 44521 "preproc.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 10412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44528 "preproc.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 10419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character set"),(yyvsp[0].str));
}
#line 44536 "preproc.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 10423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44543 "preproc.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 10430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44551 "preproc.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 10434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[0].str));
}
#line 44559 "preproc.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 10438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44567 "preproc.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 10442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[0].str));
}
#line 44575 "preproc.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 10450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 44583 "preproc.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 10458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with time zone");
}
#line 44591 "preproc.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 10462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without time zone");
}
#line 44599 "preproc.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 10466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44606 "preproc.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 10473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 44614 "preproc.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 10477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 44622 "preproc.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 10481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 44630 "preproc.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 10485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 44638 "preproc.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 10489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 44646 "preproc.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 10493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44654 "preproc.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 10497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year to month");
}
#line 44662 "preproc.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 10501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to hour");
}
#line 44670 "preproc.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 10505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to minute");
}
#line 44678 "preproc.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 10509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[0].str));
}
#line 44686 "preproc.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 10513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
#line 44694 "preproc.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 10517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[0].str));
}
#line 44702 "preproc.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 10521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[0].str));
}
#line 44710 "preproc.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 10525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44717 "preproc.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 10532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 44725 "preproc.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 10536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44733 "preproc.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 10544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44741 "preproc.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 10548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 44749 "preproc.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 10552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("collate"),(yyvsp[0].str));
}
#line 44757 "preproc.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 10556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("at time zone"),(yyvsp[0].str));
}
#line 44765 "preproc.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 10560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 44773 "preproc.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 10564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 44781 "preproc.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 10568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 44789 "preproc.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 10572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 44797 "preproc.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 10576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 44805 "preproc.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 10580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 44813 "preproc.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 10584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 44821 "preproc.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 10588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 44829 "preproc.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 10592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 44837 "preproc.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 10596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 44845 "preproc.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 10600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 44853 "preproc.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 10604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 44861 "preproc.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 10608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 44869 "preproc.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 10612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 44877 "preproc.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 10616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44885 "preproc.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 10620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44893 "preproc.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 10624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44901 "preproc.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 10628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 44909 "preproc.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 10632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 44917 "preproc.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 10636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 44925 "preproc.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 10640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 44933 "preproc.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 10644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("like"),(yyvsp[0].str));
}
#line 44941 "preproc.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 10648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44949 "preproc.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 10652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not like"),(yyvsp[0].str));
}
#line 44957 "preproc.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 10656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44965 "preproc.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 10660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("ilike"),(yyvsp[0].str));
}
#line 44973 "preproc.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 10664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44981 "preproc.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 10668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not ilike"),(yyvsp[0].str));
}
#line 44989 "preproc.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 10672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44997 "preproc.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 10676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("similar to"),(yyvsp[0].str));
}
#line 45005 "preproc.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 10680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 45013 "preproc.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 10684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("not similar to"),(yyvsp[0].str));
}
#line 45021 "preproc.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 10688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 45029 "preproc.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 10692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is null"));
}
#line 45037 "preproc.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 10696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("isnull"));
}
#line 45045 "preproc.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 10700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not null"));
}
#line 45053 "preproc.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 10704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("notnull"));
}
#line 45061 "preproc.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 10708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("overlaps"),(yyvsp[0].str));
}
#line 45069 "preproc.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 10712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is true"));
}
#line 45077 "preproc.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 10716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not true"));
}
#line 45085 "preproc.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 10720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is false"));
}
#line 45093 "preproc.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 10724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not false"));
}
#line 45101 "preproc.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 10728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is unknown"));
}
#line 45109 "preproc.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 10732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not unknown"));
}
#line 45117 "preproc.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 10736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 45125 "preproc.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 10740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 45133 "preproc.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 10744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45141 "preproc.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 10748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45149 "preproc.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 10752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 45157 "preproc.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 10756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("not between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 45165 "preproc.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 10760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 45173 "preproc.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 10764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 45181 "preproc.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 10768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 45189 "preproc.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 10772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not in"),(yyvsp[0].str));
}
#line 45197 "preproc.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 10776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45205 "preproc.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 10780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45213 "preproc.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 10784 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[0].str));
}
#line 45222 "preproc.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 10789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 45230 "preproc.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 10793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 45238 "preproc.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 10801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45246 "preproc.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 10805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 45254 "preproc.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 10809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 45262 "preproc.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 10813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 45270 "preproc.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 10817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 45278 "preproc.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 10821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 45286 "preproc.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 10825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 45294 "preproc.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 10829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 45302 "preproc.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 10833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 45310 "preproc.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 10837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 45318 "preproc.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 10841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 45326 "preproc.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 10845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 45334 "preproc.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 10849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 45342 "preproc.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 10853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 45350 "preproc.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 10857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 45358 "preproc.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 10861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 45366 "preproc.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 10865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45374 "preproc.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 10869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45382 "preproc.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 10873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45390 "preproc.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 10877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 45398 "preproc.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 10881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 45406 "preproc.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 10885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45414 "preproc.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 10889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45422 "preproc.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 10893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 45430 "preproc.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 10897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 45438 "preproc.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 10905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45446 "preproc.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 10909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45454 "preproc.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 10913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45462 "preproc.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 10917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 45470 "preproc.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 10921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45478 "preproc.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 10925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45486 "preproc.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 10929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45494 "preproc.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 10933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45502 "preproc.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 10937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[0].str));
}
#line 45510 "preproc.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 10941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 45518 "preproc.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 10945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 45526 "preproc.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 10949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45534 "preproc.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 10953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45542 "preproc.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 10957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45550 "preproc.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 10965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("( )"));
}
#line 45558 "preproc.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 10969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45566 "preproc.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 10973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45574 "preproc.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 10977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(", variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45582 "preproc.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 10981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( all"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45590 "preproc.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 10985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( distinct"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45598 "preproc.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 10989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("( * )"));
}
#line 45606 "preproc.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 10997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45614 "preproc.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 11001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45622 "preproc.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 11009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45630 "preproc.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 11013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45638 "preproc.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 11021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45646 "preproc.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 11025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 45654 "preproc.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 11029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 45662 "preproc.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 11033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45670 "preproc.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 11037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 45678 "preproc.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 11041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45686 "preproc.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 11045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 45694 "preproc.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 11049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45702 "preproc.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 11053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 45710 "preproc.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 11057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45718 "preproc.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 11061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 45726 "preproc.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 11065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 45734 "preproc.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 11069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 45742 "preproc.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 11073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 45750 "preproc.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 11077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 45758 "preproc.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 11081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 45766 "preproc.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 11085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45774 "preproc.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 11089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45782 "preproc.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 11093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45790 "preproc.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 11097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45798 "preproc.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 11101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45806 "preproc.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 11105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45814 "preproc.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 11109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45822 "preproc.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 11113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45830 "preproc.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 11117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45838 "preproc.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 11121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45846 "preproc.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 11125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45854 "preproc.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 11129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45862 "preproc.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 11133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45870 "preproc.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 11137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45878 "preproc.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 11141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45886 "preproc.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 11145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45894 "preproc.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 11149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45902 "preproc.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 11153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45910 "preproc.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 11157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[-5].str),mm_strdup(","),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45918 "preproc.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 11161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45926 "preproc.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 11165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45934 "preproc.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 11169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45942 "preproc.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 11173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45950 "preproc.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 11177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45958 "preproc.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 11181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[-4].str),mm_strdup(","),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45966 "preproc.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 11185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45974 "preproc.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 11193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 45982 "preproc.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 11197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version no value");
}
#line 45990 "preproc.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 11205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
#line 45998 "preproc.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 11209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
#line 46006 "preproc.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 11213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
#line 46014 "preproc.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 11217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46021 "preproc.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 11224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46029 "preproc.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 11232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46037 "preproc.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 11236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46045 "preproc.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 11244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 46053 "preproc.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 11248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46061 "preproc.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 11256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 46069 "preproc.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 11260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 46077 "preproc.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 11268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
#line 46085 "preproc.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 11272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
#line 46093 "preproc.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 11276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 11283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[0].str));
}
#line 46108 "preproc.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 11287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 46116 "preproc.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 11291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[0].str));
}
#line 46124 "preproc.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 11295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 46132 "preproc.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 11303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("within group ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46140 "preproc.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 11307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46147 "preproc.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 11314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("filter ( where"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46155 "preproc.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 11318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 11325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[0].str));
}
#line 46170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 11329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46177 "preproc.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 11336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46185 "preproc.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 11340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46193 "preproc.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 11348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 46201 "preproc.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 11356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 46209 "preproc.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 11360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 46217 "preproc.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 11364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46224 "preproc.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 11371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46232 "preproc.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 11379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46240 "preproc.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 11383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46247 "preproc.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 11390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[0].str));
}
#line 46255 "preproc.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 11394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46262 "preproc.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 11401 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[0].str));
}
#line 46271 "preproc.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 11406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 46279 "preproc.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 11410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46286 "preproc.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 11417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46294 "preproc.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 11421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 46302 "preproc.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 11429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
#line 46310 "preproc.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 11433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
#line 46318 "preproc.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 11437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current row");
}
#line 46326 "preproc.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 11441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("preceding"));
}
#line 46334 "preproc.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 11445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("following"));
}
#line 46342 "preproc.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 11453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46350 "preproc.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 11457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 46358 "preproc.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 11461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46366 "preproc.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 11469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46374 "preproc.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 11473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 46382 "preproc.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 11481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46390 "preproc.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 11489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 46398 "preproc.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 11493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 46406 "preproc.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 11497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 46414 "preproc.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 11505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46422 "preproc.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 11509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46430 "preproc.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 11517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("+");
}
#line 46438 "preproc.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 11521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("-");
}
#line 46446 "preproc.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 11525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 46454 "preproc.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 11529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("/");
}
#line 46462 "preproc.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 11533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("%");
}
#line 46470 "preproc.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 11537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("^");
}
#line 46478 "preproc.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 11541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<");
}
#line 46486 "preproc.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 11545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">");
}
#line 46494 "preproc.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 11549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 46502 "preproc.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 11553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<=");
}
#line 46510 "preproc.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 11557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">=");
}
#line 46518 "preproc.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 11561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<>");
}
#line 46526 "preproc.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 11569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46534 "preproc.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 11573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46542 "preproc.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 11581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46550 "preproc.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 11585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46558 "preproc.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 11593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46566 "preproc.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 11597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46574 "preproc.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 11601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 46582 "preproc.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 11605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not like");
}
#line 46590 "preproc.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 11609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 46598 "preproc.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 11613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not ilike");
}
#line 46606 "preproc.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 11621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46614 "preproc.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 11625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46622 "preproc.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 11633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46630 "preproc.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 11637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46638 "preproc.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 11645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46646 "preproc.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 11649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(":="),(yyvsp[0].str));
}
#line 46654 "preproc.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 11653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("=>"),(yyvsp[0].str));
}
#line 46662 "preproc.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 11661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46670 "preproc.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 11665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46678 "preproc.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 11673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46686 "preproc.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 11677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46694 "preproc.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 11681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("[ ]");
}
#line 46702 "preproc.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 11689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46710 "preproc.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 11693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46718 "preproc.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 11701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 46726 "preproc.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 11705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46733 "preproc.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 11712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46741 "preproc.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 11716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 46749 "preproc.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 11720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 46757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 11724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 46765 "preproc.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 11728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 46773 "preproc.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 11732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 46781 "preproc.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 11736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 46789 "preproc.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 11740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46797 "preproc.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 11748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46805 "preproc.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 11752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46813 "preproc.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 11760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[0].str));
}
#line 46821 "preproc.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 11768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 46829 "preproc.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 11772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 11779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46844 "preproc.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 11783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 11787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 11791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 11795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 11799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46883 "preproc.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 11806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 46891 "preproc.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 11814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 46899 "preproc.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 11822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 46907 "preproc.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 11826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 46915 "preproc.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 11830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46923 "preproc.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 11838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46931 "preproc.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 11842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46939 "preproc.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 11850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("end"));
}
#line 46947 "preproc.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 11858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46955 "preproc.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 11862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46963 "preproc.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 11870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 46971 "preproc.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 11878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[0].str));
}
#line 46979 "preproc.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 11882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 11889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 11893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47001 "preproc.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 11900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47009 "preproc.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 11904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47017 "preproc.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 11912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 47025 "preproc.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 11916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(". *");
}
#line 47033 "preproc.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 11920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 47041 "preproc.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 11924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[-3].str),mm_strdup(":"),(yyvsp[-1].str),mm_strdup("]"));
}
#line 47049 "preproc.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 11932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47057 "preproc.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 11936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47064 "preproc.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 11943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47072 "preproc.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 11947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47080 "preproc.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 11955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47087 "preproc.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 11958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47095 "preproc.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 11966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 47103 "preproc.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 11970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47110 "preproc.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 11977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47118 "preproc.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 11981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 47126 "preproc.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 11989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47134 "preproc.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 11993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47142 "preproc.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 12001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47150 "preproc.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 12009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47158 "preproc.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 12013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47165 "preproc.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 12020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47173 "preproc.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 12024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47181 "preproc.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 12032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 47189 "preproc.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 12036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47197 "preproc.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 12040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47205 "preproc.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 12044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 47213 "preproc.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 12052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47221 "preproc.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 12056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47229 "preproc.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 12064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47237 "preproc.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 12068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47245 "preproc.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 12076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47253 "preproc.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 12080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47261 "preproc.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 12088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47269 "preproc.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 12096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47277 "preproc.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 12104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47285 "preproc.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 12112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47293 "preproc.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 12120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47301 "preproc.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 12128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47309 "preproc.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 12136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47317 "preproc.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 12140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47325 "preproc.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 12148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47333 "preproc.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 12152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47341 "preproc.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 12156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47349 "preproc.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 12160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47357 "preproc.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 12164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xconst");
}
#line 47365 "preproc.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 12168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47373 "preproc.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 12172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 47381 "preproc.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 12176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47389 "preproc.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 12180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47397 "preproc.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 12184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 47405 "preproc.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 12188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 47413 "preproc.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 12192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 47421 "preproc.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 12196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 47429 "preproc.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 12199 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47435 "preproc.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 12200 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47441 "preproc.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 12206 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 47447 "preproc.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 12212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47455 "preproc.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 12215 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47461 "preproc.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 12217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 47469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 12221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 47477 "preproc.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 12229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47485 "preproc.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 12237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47493 "preproc.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 12241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 47501 "preproc.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 12245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 47509 "preproc.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 12253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47517 "preproc.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 12257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47525 "preproc.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 12265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47533 "preproc.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 12269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47541 "preproc.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 12273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47549 "preproc.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 12277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47557 "preproc.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 12285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("abort");
}
#line 47565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 12289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absolute");
}
#line 47573 "preproc.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 12293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access");
}
#line 47581 "preproc.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 12297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("action");
}
#line 47589 "preproc.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 12301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 47597 "preproc.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 12305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("admin");
}
#line 47605 "preproc.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 12309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 47613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 12313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 47621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 12317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 47629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 12321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("alter");
}
#line 47637 "preproc.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 12325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 47645 "preproc.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 12329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assertion");
}
#line 47653 "preproc.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 12333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assignment");
}
#line 47661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 12337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("at");
}
#line 47669 "preproc.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 12341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attribute");
}
#line 47677 "preproc.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 12345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("backward");
}
#line 47685 "preproc.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 12349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 47693 "preproc.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 12353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("begin");
}
#line 47701 "preproc.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 12357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 47709 "preproc.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 12361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cache");
}
#line 47717 "preproc.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 12365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called");
}
#line 47725 "preproc.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 12369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 47733 "preproc.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 12373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 47741 "preproc.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 12377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("catalog");
}
#line 47749 "preproc.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 12381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("chain");
}
#line 47757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 12385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 47765 "preproc.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 12389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 47773 "preproc.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 12393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("class");
}
#line 47781 "preproc.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 12397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close");
}
#line 47789 "preproc.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 12401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cluster");
}
#line 47797 "preproc.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 12405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comment");
}
#line 47805 "preproc.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 12409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 47813 "preproc.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 12413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("commit");
}
#line 47821 "preproc.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 12417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("committed");
}
#line 47829 "preproc.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 12421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("configuration");
}
#line 47837 "preproc.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 12425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conflict");
}
#line 47845 "preproc.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 12429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 47853 "preproc.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 12433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 47861 "preproc.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 12437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue");
}
#line 47869 "preproc.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 12441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 47877 "preproc.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 12445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("copy");
}
#line 47885 "preproc.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 12449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cost");
}
#line 47893 "preproc.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 12453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 47901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 12457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cube");
}
#line 47909 "preproc.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 12461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cursor");
}
#line 47917 "preproc.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 12465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 47925 "preproc.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 12469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("data");
}
#line 47933 "preproc.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 12473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 47941 "preproc.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 12477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 47949 "preproc.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 12481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("declare");
}
#line 47957 "preproc.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 12485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 47965 "preproc.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 12489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 47973 "preproc.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 12493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("definer");
}
#line 47981 "preproc.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 12497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 47989 "preproc.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 12501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 47997 "preproc.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 12505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 48005 "preproc.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 12509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("depends");
}
#line 48013 "preproc.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 12513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 48021 "preproc.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 12517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 48029 "preproc.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 12521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard");
}
#line 48037 "preproc.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 12525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 48045 "preproc.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 12529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 48053 "preproc.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 12533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double");
}
#line 48061 "preproc.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 12537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 48069 "preproc.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 12541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 48077 "preproc.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 12545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 48085 "preproc.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 12549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 48093 "preproc.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 12553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 48101 "preproc.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 12557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enum");
}
#line 48109 "preproc.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 12561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("escape");
}
#line 48117 "preproc.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 12565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event");
}
#line 48125 "preproc.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 12569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude");
}
#line 48133 "preproc.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 12573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("excluding");
}
#line 48141 "preproc.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 12577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 48149 "preproc.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 12581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("execute");
}
#line 48157 "preproc.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 12585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("explain");
}
#line 48165 "preproc.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 12589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 48173 "preproc.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 12593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external");
}
#line 48181 "preproc.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 12597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("family");
}
#line 48189 "preproc.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 12601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("filter");
}
#line 48197 "preproc.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 12605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 48205 "preproc.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 12609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("following");
}
#line 48213 "preproc.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 12613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 48221 "preproc.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 12617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("forward");
}
#line 48229 "preproc.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 12621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 48237 "preproc.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 12625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 48245 "preproc.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 12629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global");
}
#line 48253 "preproc.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 12633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("granted");
}
#line 48261 "preproc.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 12637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("handler");
}
#line 48269 "preproc.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 12641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 48277 "preproc.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 12645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hold");
}
#line 48285 "preproc.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 12649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 48293 "preproc.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 12653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if");
}
#line 48301 "preproc.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 12657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 48309 "preproc.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 12661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 48317 "preproc.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 12665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("implicit");
}
#line 48325 "preproc.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 12669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("import");
}
#line 48333 "preproc.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 12673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("including");
}
#line 48341 "preproc.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 12677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("increment");
}
#line 48349 "preproc.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 12681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 48357 "preproc.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 12685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 48365 "preproc.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 12689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 48373 "preproc.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 12693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherits");
}
#line 48381 "preproc.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 12697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inline");
}
#line 48389 "preproc.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 12701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 48397 "preproc.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 12705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 48405 "preproc.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 12709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 48413 "preproc.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 12713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("invoker");
}
#line 48421 "preproc.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 12717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isolation");
}
#line 48429 "preproc.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 12721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("key");
}
#line 48437 "preproc.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 12725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("label");
}
#line 48445 "preproc.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 12729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("language");
}
#line 48453 "preproc.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 12733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("large");
}
#line 48461 "preproc.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 12737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("last");
}
#line 48469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 12741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 48477 "preproc.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 12745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("level");
}
#line 48485 "preproc.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 12749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("listen");
}
#line 48493 "preproc.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 12753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("load");
}
#line 48501 "preproc.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 12757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 48509 "preproc.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 12761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 48517 "preproc.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 12765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lock");
}
#line 48525 "preproc.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 12769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("locked");
}
#line 48533 "preproc.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 12773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("logged");
}
#line 48541 "preproc.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 12777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mapping");
}
#line 48549 "preproc.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 12781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match");
}
#line 48557 "preproc.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 12785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized");
}
#line 48565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 12789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 48573 "preproc.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 12793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("method");
}
#line 48581 "preproc.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 12797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 48589 "preproc.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 12801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mode");
}
#line 48597 "preproc.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 12805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("move");
}
#line 48605 "preproc.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 12809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("name");
}
#line 48613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 12813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("names");
}
#line 48621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 12817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 48629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 12821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 48637 "preproc.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 12825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 48645 "preproc.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 12829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notify");
}
#line 48653 "preproc.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 12833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 48661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 12837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls");
}
#line 48669 "preproc.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 12841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("object");
}
#line 48677 "preproc.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 12845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("of");
}
#line 48685 "preproc.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 12849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("off");
}
#line 48693 "preproc.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 12853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 48701 "preproc.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 12857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("operator");
}
#line 48709 "preproc.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 12861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 48717 "preproc.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 12865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("options");
}
#line 48725 "preproc.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 12869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ordinality");
}
#line 48733 "preproc.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 12873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("over");
}
#line 48741 "preproc.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 12877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owned");
}
#line 48749 "preproc.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 12881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 48757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 12885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parallel");
}
#line 48765 "preproc.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 12889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parser");
}
#line 48773 "preproc.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 12893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partial");
}
#line 48781 "preproc.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 12897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partition");
}
#line 48789 "preproc.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 12901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("passing");
}
#line 48797 "preproc.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 12905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password");
}
#line 48805 "preproc.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 12909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plans");
}
#line 48813 "preproc.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 12913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("policy");
}
#line 48821 "preproc.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 12917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preceding");
}
#line 48829 "preproc.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 12921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepare");
}
#line 48837 "preproc.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 12925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepared");
}
#line 48845 "preproc.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 12929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve");
}
#line 48853 "preproc.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 12933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prior");
}
#line 48861 "preproc.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 12937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("privileges");
}
#line 48869 "preproc.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 12941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 48877 "preproc.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 12945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 48885 "preproc.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 12949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 48893 "preproc.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 12953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quote");
}
#line 48901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 12957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("range");
}
#line 48909 "preproc.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 12961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read");
}
#line 48917 "preproc.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 12965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reassign");
}
#line 48925 "preproc.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 12969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recheck");
}
#line 48933 "preproc.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 12973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recursive");
}
#line 48941 "preproc.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 12977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ref");
}
#line 48949 "preproc.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 12981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("refresh");
}
#line 48957 "preproc.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 12985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reindex");
}
#line 48965 "preproc.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 12989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("relative");
}
#line 48973 "preproc.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 12993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("release");
}
#line 48981 "preproc.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 12997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rename");
}
#line 48989 "preproc.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 13001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 48997 "preproc.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 13005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replace");
}
#line 49005 "preproc.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 13009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replica");
}
#line 49013 "preproc.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 13013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset");
}
#line 49021 "preproc.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 13017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 49029 "preproc.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 13021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 49037 "preproc.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 13025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns");
}
#line 49045 "preproc.c" /* yacc.c:1646  */
    break;

  case 2292:
#line 13029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("revoke");
}
#line 49053 "preproc.c" /* yacc.c:1646  */
    break;

  case 2293:
#line 13033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 49061 "preproc.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 13037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollback");
}
#line 49069 "preproc.c" /* yacc.c:1646  */
    break;

  case 2295:
#line 13041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollup");
}
#line 49077 "preproc.c" /* yacc.c:1646  */
    break;

  case 2296:
#line 13045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 49085 "preproc.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 13049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 49093 "preproc.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 13053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 49101 "preproc.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 13057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 49109 "preproc.c" /* yacc.c:1646  */
    break;

  case 2300:
#line 13061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scroll");
}
#line 49117 "preproc.c" /* yacc.c:1646  */
    break;

  case 2301:
#line 13065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("search");
}
#line 49125 "preproc.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 13069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security");
}
#line 49133 "preproc.c" /* yacc.c:1646  */
    break;

  case 2303:
#line 13073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 49141 "preproc.c" /* yacc.c:1646  */
    break;

  case 2304:
#line 13077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 49149 "preproc.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 13081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 49157 "preproc.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 13085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 49165 "preproc.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 13089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session");
}
#line 49173 "preproc.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 13093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set");
}
#line 49181 "preproc.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 13097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sets");
}
#line 49189 "preproc.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 13101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 49197 "preproc.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 13105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show");
}
#line 49205 "preproc.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 13109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("simple");
}
#line 49213 "preproc.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 13113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip");
}
#line 49221 "preproc.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 13117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("snapshot");
}
#line 49229 "preproc.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 13121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sql");
}
#line 49237 "preproc.c" /* yacc.c:1646  */
    break;

  case 2316:
#line 13125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 49245 "preproc.c" /* yacc.c:1646  */
    break;

  case 2317:
#line 13129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("standalone");
}
#line 49253 "preproc.c" /* yacc.c:1646  */
    break;

  case 2318:
#line 13133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("start");
}
#line 49261 "preproc.c" /* yacc.c:1646  */
    break;

  case 2319:
#line 13137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 49269 "preproc.c" /* yacc.c:1646  */
    break;

  case 2320:
#line 13141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 49277 "preproc.c" /* yacc.c:1646  */
    break;

  case 2321:
#line 13145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 49285 "preproc.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 13149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 49293 "preproc.c" /* yacc.c:1646  */
    break;

  case 2323:
#line 13153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 49301 "preproc.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 13157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 49309 "preproc.c" /* yacc.c:1646  */
    break;

  case 2325:
#line 13161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip");
}
#line 49317 "preproc.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 13165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sysid");
}
#line 49325 "preproc.c" /* yacc.c:1646  */
    break;

  case 2327:
#line 13169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 49333 "preproc.c" /* yacc.c:1646  */
    break;

  case 2328:
#line 13173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 49341 "preproc.c" /* yacc.c:1646  */
    break;

  case 2329:
#line 13177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 49349 "preproc.c" /* yacc.c:1646  */
    break;

  case 2330:
#line 13181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 49357 "preproc.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 13185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 49365 "preproc.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 13189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 49373 "preproc.c" /* yacc.c:1646  */
    break;

  case 2333:
#line 13193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text");
}
#line 49381 "preproc.c" /* yacc.c:1646  */
    break;

  case 2334:
#line 13197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 49389 "preproc.c" /* yacc.c:1646  */
    break;

  case 2335:
#line 13201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transform");
}
#line 49397 "preproc.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 13205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 49405 "preproc.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 13209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 49413 "preproc.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 13213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 49421 "preproc.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 13217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 49429 "preproc.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 13221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 49437 "preproc.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 13225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 49445 "preproc.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 13229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 49453 "preproc.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 13233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 49461 "preproc.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 13237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 49469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 13241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 49477 "preproc.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 13245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 49485 "preproc.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 13249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("until");
}
#line 49493 "preproc.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 13253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 49501 "preproc.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 13257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 49509 "preproc.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 13261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("valid");
}
#line 49517 "preproc.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 13265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validate");
}
#line 49525 "preproc.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 13269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validator");
}
#line 49533 "preproc.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 13273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("value");
}
#line 49541 "preproc.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 13277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 49549 "preproc.c" /* yacc.c:1646  */
    break;

  case 2355:
#line 13281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version");
}
#line 49557 "preproc.c" /* yacc.c:1646  */
    break;

  case 2356:
#line 13285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 49565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 13289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("views");
}
#line 49573 "preproc.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 13293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 49581 "preproc.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 13297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 49589 "preproc.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 13301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("within");
}
#line 49597 "preproc.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 13305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without");
}
#line 49605 "preproc.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 13309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 49613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 13313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 49621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 13317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("write");
}
#line 49629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 13321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xml");
}
#line 49637 "preproc.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 13325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("yes");
}
#line 49645 "preproc.c" /* yacc.c:1646  */
    break;

  case 2367:
#line 13329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("zone");
}
#line 49653 "preproc.c" /* yacc.c:1646  */
    break;

  case 2368:
#line 13337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("between");
}
#line 49661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2369:
#line 13341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 49669 "preproc.c" /* yacc.c:1646  */
    break;

  case 2370:
#line 13345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bit");
}
#line 49677 "preproc.c" /* yacc.c:1646  */
    break;

  case 2371:
#line 13349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 49685 "preproc.c" /* yacc.c:1646  */
    break;

  case 2372:
#line 13353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("character");
}
#line 49693 "preproc.c" /* yacc.c:1646  */
    break;

  case 2373:
#line 13357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 49701 "preproc.c" /* yacc.c:1646  */
    break;

  case 2374:
#line 13361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dec");
}
#line 49709 "preproc.c" /* yacc.c:1646  */
    break;

  case 2375:
#line 13365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("decimal");
}
#line 49717 "preproc.c" /* yacc.c:1646  */
    break;

  case 2376:
#line 13369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exists");
}
#line 49725 "preproc.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 13373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extract");
}
#line 49733 "preproc.c" /* yacc.c:1646  */
    break;

  case 2378:
#line 13377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("float");
}
#line 49741 "preproc.c" /* yacc.c:1646  */
    break;

  case 2379:
#line 13381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("greatest");
}
#line 49749 "preproc.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 13385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grouping");
}
#line 49757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 13389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 49765 "preproc.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 13393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 49773 "preproc.c" /* yacc.c:1646  */
    break;

  case 2383:
#line 13397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 49781 "preproc.c" /* yacc.c:1646  */
    break;

  case 2384:
#line 13401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("least");
}
#line 49789 "preproc.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 13405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("national");
}
#line 49797 "preproc.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 13409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nchar");
}
#line 49805 "preproc.c" /* yacc.c:1646  */
    break;

  case 2387:
#line 13413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 49813 "preproc.c" /* yacc.c:1646  */
    break;

  case 2388:
#line 13417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nullif");
}
#line 49821 "preproc.c" /* yacc.c:1646  */
    break;

  case 2389:
#line 13421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("numeric");
}
#line 49829 "preproc.c" /* yacc.c:1646  */
    break;

  case 2390:
#line 13425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 49837 "preproc.c" /* yacc.c:1646  */
    break;

  case 2391:
#line 13429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlay");
}
#line 49845 "preproc.c" /* yacc.c:1646  */
    break;

  case 2392:
#line 13433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("position");
}
#line 49853 "preproc.c" /* yacc.c:1646  */
    break;

  case 2393:
#line 13437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("precision");
}
#line 49861 "preproc.c" /* yacc.c:1646  */
    break;

  case 2394:
#line 13441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 49869 "preproc.c" /* yacc.c:1646  */
    break;

  case 2395:
#line 13445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 49877 "preproc.c" /* yacc.c:1646  */
    break;

  case 2396:
#line 13449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("setof");
}
#line 49885 "preproc.c" /* yacc.c:1646  */
    break;

  case 2397:
#line 13453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 49893 "preproc.c" /* yacc.c:1646  */
    break;

  case 2398:
#line 13457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("substring");
}
#line 49901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2399:
#line 13461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time");
}
#line 49909 "preproc.c" /* yacc.c:1646  */
    break;

  case 2400:
#line 13465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 49917 "preproc.c" /* yacc.c:1646  */
    break;

  case 2401:
#line 13469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("treat");
}
#line 49925 "preproc.c" /* yacc.c:1646  */
    break;

  case 2402:
#line 13473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trim");
}
#line 49933 "preproc.c" /* yacc.c:1646  */
    break;

  case 2403:
#line 13477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 49941 "preproc.c" /* yacc.c:1646  */
    break;

  case 2404:
#line 13481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 49949 "preproc.c" /* yacc.c:1646  */
    break;

  case 2405:
#line 13485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 49957 "preproc.c" /* yacc.c:1646  */
    break;

  case 2406:
#line 13489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 49965 "preproc.c" /* yacc.c:1646  */
    break;

  case 2407:
#line 13493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 49973 "preproc.c" /* yacc.c:1646  */
    break;

  case 2408:
#line 13497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 49981 "preproc.c" /* yacc.c:1646  */
    break;

  case 2409:
#line 13501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 49989 "preproc.c" /* yacc.c:1646  */
    break;

  case 2410:
#line 13505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 49997 "preproc.c" /* yacc.c:1646  */
    break;

  case 2411:
#line 13509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 50005 "preproc.c" /* yacc.c:1646  */
    break;

  case 2412:
#line 13513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 50013 "preproc.c" /* yacc.c:1646  */
    break;

  case 2413:
#line 13521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("authorization");
}
#line 50021 "preproc.c" /* yacc.c:1646  */
    break;

  case 2414:
#line 13525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 50029 "preproc.c" /* yacc.c:1646  */
    break;

  case 2415:
#line 13529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 50037 "preproc.c" /* yacc.c:1646  */
    break;

  case 2416:
#line 13533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 50045 "preproc.c" /* yacc.c:1646  */
    break;

  case 2417:
#line 13537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cross");
}
#line 50053 "preproc.c" /* yacc.c:1646  */
    break;

  case 2418:
#line 13541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 50061 "preproc.c" /* yacc.c:1646  */
    break;

  case 2419:
#line 13545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 50069 "preproc.c" /* yacc.c:1646  */
    break;

  case 2420:
#line 13549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 50077 "preproc.c" /* yacc.c:1646  */
    break;

  case 2421:
#line 13553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 50085 "preproc.c" /* yacc.c:1646  */
    break;

  case 2422:
#line 13557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 50093 "preproc.c" /* yacc.c:1646  */
    break;

  case 2423:
#line 13561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("is");
}
#line 50101 "preproc.c" /* yacc.c:1646  */
    break;

  case 2424:
#line 13565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isnull");
}
#line 50109 "preproc.c" /* yacc.c:1646  */
    break;

  case 2425:
#line 13569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("join");
}
#line 50117 "preproc.c" /* yacc.c:1646  */
    break;

  case 2426:
#line 13573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("left");
}
#line 50125 "preproc.c" /* yacc.c:1646  */
    break;

  case 2427:
#line 13577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 50133 "preproc.c" /* yacc.c:1646  */
    break;

  case 2428:
#line 13581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("natural");
}
#line 50141 "preproc.c" /* yacc.c:1646  */
    break;

  case 2429:
#line 13585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notnull");
}
#line 50149 "preproc.c" /* yacc.c:1646  */
    break;

  case 2430:
#line 13589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 50157 "preproc.c" /* yacc.c:1646  */
    break;

  case 2431:
#line 13593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlaps");
}
#line 50165 "preproc.c" /* yacc.c:1646  */
    break;

  case 2432:
#line 13597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("right");
}
#line 50173 "preproc.c" /* yacc.c:1646  */
    break;

  case 2433:
#line 13601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("similar");
}
#line 50181 "preproc.c" /* yacc.c:1646  */
    break;

  case 2434:
#line 13605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablesample");
}
#line 50189 "preproc.c" /* yacc.c:1646  */
    break;

  case 2435:
#line 13609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 50197 "preproc.c" /* yacc.c:1646  */
    break;

  case 2436:
#line 13617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 50205 "preproc.c" /* yacc.c:1646  */
    break;

  case 2437:
#line 13621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 50213 "preproc.c" /* yacc.c:1646  */
    break;

  case 2438:
#line 13625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 50221 "preproc.c" /* yacc.c:1646  */
    break;

  case 2439:
#line 13629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and");
}
#line 50229 "preproc.c" /* yacc.c:1646  */
    break;

  case 2440:
#line 13633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 50237 "preproc.c" /* yacc.c:1646  */
    break;

  case 2441:
#line 13637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("array");
}
#line 50245 "preproc.c" /* yacc.c:1646  */
    break;

  case 2442:
#line 13641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 50253 "preproc.c" /* yacc.c:1646  */
    break;

  case 2443:
#line 13645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 50261 "preproc.c" /* yacc.c:1646  */
    break;

  case 2444:
#line 13649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 50269 "preproc.c" /* yacc.c:1646  */
    break;

  case 2445:
#line 13653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("both");
}
#line 50277 "preproc.c" /* yacc.c:1646  */
    break;

  case 2446:
#line 13657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("case");
}
#line 50285 "preproc.c" /* yacc.c:1646  */
    break;

  case 2447:
#line 13661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cast");
}
#line 50293 "preproc.c" /* yacc.c:1646  */
    break;

  case 2448:
#line 13665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("check");
}
#line 50301 "preproc.c" /* yacc.c:1646  */
    break;

  case 2449:
#line 13669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collate");
}
#line 50309 "preproc.c" /* yacc.c:1646  */
    break;

  case 2450:
#line 13673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 50317 "preproc.c" /* yacc.c:1646  */
    break;

  case 2451:
#line 13677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraint");
}
#line 50325 "preproc.c" /* yacc.c:1646  */
    break;

  case 2452:
#line 13681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("create");
}
#line 50333 "preproc.c" /* yacc.c:1646  */
    break;

  case 2453:
#line 13685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 50341 "preproc.c" /* yacc.c:1646  */
    break;

  case 2454:
#line 13689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 50349 "preproc.c" /* yacc.c:1646  */
    break;

  case 2455:
#line 13693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 50357 "preproc.c" /* yacc.c:1646  */
    break;

  case 2456:
#line 13697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 50365 "preproc.c" /* yacc.c:1646  */
    break;

  case 2457:
#line 13701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 50373 "preproc.c" /* yacc.c:1646  */
    break;

  case 2458:
#line 13705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 50381 "preproc.c" /* yacc.c:1646  */
    break;

  case 2459:
#line 13709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 50389 "preproc.c" /* yacc.c:1646  */
    break;

  case 2460:
#line 13713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 50397 "preproc.c" /* yacc.c:1646  */
    break;

  case 2461:
#line 13717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 50405 "preproc.c" /* yacc.c:1646  */
    break;

  case 2462:
#line 13721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 50413 "preproc.c" /* yacc.c:1646  */
    break;

  case 2463:
#line 13725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("do");
}
#line 50421 "preproc.c" /* yacc.c:1646  */
    break;

  case 2464:
#line 13729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("else");
}
#line 50429 "preproc.c" /* yacc.c:1646  */
    break;

  case 2465:
#line 13733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("end");
}
#line 50437 "preproc.c" /* yacc.c:1646  */
    break;

  case 2466:
#line 13737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 50445 "preproc.c" /* yacc.c:1646  */
    break;

  case 2467:
#line 13741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 50453 "preproc.c" /* yacc.c:1646  */
    break;

  case 2468:
#line 13745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("fetch");
}
#line 50461 "preproc.c" /* yacc.c:1646  */
    break;

  case 2469:
#line 13749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for");
}
#line 50469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2470:
#line 13753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign");
}
#line 50477 "preproc.c" /* yacc.c:1646  */
    break;

  case 2471:
#line 13757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 50485 "preproc.c" /* yacc.c:1646  */
    break;

  case 2472:
#line 13761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grant");
}
#line 50493 "preproc.c" /* yacc.c:1646  */
    break;

  case 2473:
#line 13765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("group");
}
#line 50501 "preproc.c" /* yacc.c:1646  */
    break;

  case 2474:
#line 13769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("having");
}
#line 50509 "preproc.c" /* yacc.c:1646  */
    break;

  case 2475:
#line 13773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 50517 "preproc.c" /* yacc.c:1646  */
    break;

  case 2476:
#line 13777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially");
}
#line 50525 "preproc.c" /* yacc.c:1646  */
    break;

  case 2477:
#line 13781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("intersect");
}
#line 50533 "preproc.c" /* yacc.c:1646  */
    break;

  case 2478:
#line 13785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("into");
}
#line 50541 "preproc.c" /* yacc.c:1646  */
    break;

  case 2479:
#line 13789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lateral");
}
#line 50549 "preproc.c" /* yacc.c:1646  */
    break;

  case 2480:
#line 13793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leading");
}
#line 50557 "preproc.c" /* yacc.c:1646  */
    break;

  case 2481:
#line 13797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit");
}
#line 50565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2482:
#line 13801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 50573 "preproc.c" /* yacc.c:1646  */
    break;

  case 2483:
#line 13805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 50581 "preproc.c" /* yacc.c:1646  */
    break;

  case 2484:
#line 13809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not");
}
#line 50589 "preproc.c" /* yacc.c:1646  */
    break;

  case 2485:
#line 13813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 50597 "preproc.c" /* yacc.c:1646  */
    break;

  case 2486:
#line 13817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("offset");
}
#line 50605 "preproc.c" /* yacc.c:1646  */
    break;

  case 2487:
#line 13821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 50613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2488:
#line 13825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("only");
}
#line 50621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2489:
#line 13829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or");
}
#line 50629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2490:
#line 13833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("order");
}
#line 50637 "preproc.c" /* yacc.c:1646  */
    break;

  case 2491:
#line 13837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("placing");
}
#line 50645 "preproc.c" /* yacc.c:1646  */
    break;

  case 2492:
#line 13841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("primary");
}
#line 50653 "preproc.c" /* yacc.c:1646  */
    break;

  case 2493:
#line 13845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("references");
}
#line 50661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2494:
#line 13849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returning");
}
#line 50669 "preproc.c" /* yacc.c:1646  */
    break;

  case 2495:
#line 13853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 50677 "preproc.c" /* yacc.c:1646  */
    break;

  case 2496:
#line 13857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 50685 "preproc.c" /* yacc.c:1646  */
    break;

  case 2497:
#line 13861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 50693 "preproc.c" /* yacc.c:1646  */
    break;

  case 2498:
#line 13865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 50701 "preproc.c" /* yacc.c:1646  */
    break;

  case 2499:
#line 13869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 50709 "preproc.c" /* yacc.c:1646  */
    break;

  case 2500:
#line 13873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("then");
}
#line 50717 "preproc.c" /* yacc.c:1646  */
    break;

  case 2501:
#line 13877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trailing");
}
#line 50725 "preproc.c" /* yacc.c:1646  */
    break;

  case 2502:
#line 13881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 50733 "preproc.c" /* yacc.c:1646  */
    break;

  case 2503:
#line 13885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 50741 "preproc.c" /* yacc.c:1646  */
    break;

  case 2504:
#line 13889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 50749 "preproc.c" /* yacc.c:1646  */
    break;

  case 2505:
#line 13893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 50757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2506:
#line 13897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 50765 "preproc.c" /* yacc.c:1646  */
    break;

  case 2507:
#line 13901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when");
}
#line 50773 "preproc.c" /* yacc.c:1646  */
    break;

  case 2508:
#line 13905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("where");
}
#line 50781 "preproc.c" /* yacc.c:1646  */
    break;

  case 2509:
#line 13909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 50789 "preproc.c" /* yacc.c:1646  */
    break;

  case 2510:
#line 13913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 50797 "preproc.c" /* yacc.c:1646  */
    break;

  case 2513:
#line 13926 "preproc.y" /* yacc.c:1646  */
    { connection = NULL; }
#line 50803 "preproc.c" /* yacc.c:1646  */
    break;

  case 2515:
#line 13929 "preproc.y" /* yacc.c:1646  */
    {
					fprintf(base_yyout, "%s", (yyvsp[0].str));
					free((yyvsp[0].str));
					output_line_number();
				}
#line 50813 "preproc.c" /* yacc.c:1646  */
    break;

  case 2517:
#line 13935 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 50819 "preproc.c" /* yacc.c:1646  */
    break;

  case 2518:
#line 13936 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 50825 "preproc.c" /* yacc.c:1646  */
    break;

  case 2519:
#line 13937 "preproc.y" /* yacc.c:1646  */
    { braces_open++; fputs("{", base_yyout); }
#line 50831 "preproc.c" /* yacc.c:1646  */
    break;

  case 2520:
#line 13939 "preproc.y" /* yacc.c:1646  */
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", base_yyout);
		}
#line 50846 "preproc.c" /* yacc.c:1646  */
    break;

  case 2521:
#line 13951 "preproc.y" /* yacc.c:1646  */
    {FoundInto = 0;}
#line 50852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2522:
#line 13952 "preproc.y" /* yacc.c:1646  */
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[-6].str), mm_strdup("table"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str));
		}
#line 50863 "preproc.c" /* yacc.c:1646  */
    break;

  case 2523:
#line 13961 "preproc.y" /* yacc.c:1646  */
    {
			connection = (yyvsp[0].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
#line 50877 "preproc.c" /* yacc.c:1646  */
    break;

  case 2524:
#line 13976 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(5, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str), mm_strdup(","), (yyvsp[-1].str)); }
#line 50883 "preproc.c" /* yacc.c:1646  */
    break;

  case 2525:
#line 13978 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
#line 50889 "preproc.c" /* yacc.c:1646  */
    break;

  case 2526:
#line 13981 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[0].str), mm_strdup(", NULL")); }
#line 50895 "preproc.c" /* yacc.c:1646  */
    break;

  case 2527:
#line 13983 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL, NULL, NULL")); }
#line 50901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2528:
#line 13987 "preproc.y" /* yacc.c:1646  */
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[-1].str)) > 0 && *((yyvsp[-1].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[-1].str));

			/* C strings need to be handled differently */
			if ((yyvsp[-2].str)[0] == '\"')
				(yyval.str) = (yyvsp[-2].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[-2].str), (yyvsp[-1].str), (yyvsp[0].str)), mm_strdup("\""));
		}
#line 50917 "preproc.c" /* yacc.c:1646  */
    break;

  case 2529:
#line 13999 "preproc.y" /* yacc.c:1646  */
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[-6].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[-6].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[-4].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[-4].str));

			if (strncmp((yyvsp[-6].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[-4].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[-6].str), mm_strdup(":")), (yyvsp[-4].str), make3_str(make3_str((yyvsp[-3].str), mm_strdup("/"), (yyvsp[-1].str)), (yyvsp[0].str), mm_strdup("\"")));
		}
#line 50937 "preproc.c" /* yacc.c:1646  */
    break;

  case 2530:
#line 14015 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 50945 "preproc.c" /* yacc.c:1646  */
    break;

  case 2531:
#line 14019 "preproc.y" /* yacc.c:1646  */
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[0].str)[0] = '\"';
			(yyvsp[0].str)[strlen((yyvsp[0].str))-1] = '\"';
			(yyval.str) = (yyvsp[0].str);
		}
#line 50958 "preproc.c" /* yacc.c:1646  */
    break;

  case 2532:
#line 14029 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50964 "preproc.c" /* yacc.c:1646  */
    break;

  case 2533:
#line 14030 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2534:
#line 14034 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[0].str), "postgresql") != 0 && strcmp((yyvsp[0].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[0].str));

			if (strcmp((yyvsp[-1].str), "tcp") != 0 && strcmp((yyvsp[-1].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[-1].str));

			(yyval.str) = make3_str((yyvsp[-1].str), mm_strdup(":"), (yyvsp[0].str));
		}
#line 50984 "preproc.c" /* yacc.c:1646  */
    break;

  case 2535:
#line 14046 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-1].str), "@") != 0 && strcmp((yyvsp[-1].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
		}
#line 50995 "preproc.c" /* yacc.c:1646  */
    break;

  case 2536:
#line 14054 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51001 "preproc.c" /* yacc.c:1646  */
    break;

  case 2537:
#line 14055 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51007 "preproc.c" /* yacc.c:1646  */
    break;

  case 2538:
#line 14058 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51013 "preproc.c" /* yacc.c:1646  */
    break;

  case 2539:
#line 14059 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str((yyvsp[-2].str), mm_strdup("."), (yyvsp[0].str)); }
#line 51019 "preproc.c" /* yacc.c:1646  */
    break;

  case 2540:
#line 14060 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 51025 "preproc.c" /* yacc.c:1646  */
    break;

  case 2541:
#line 14063 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 51031 "preproc.c" /* yacc.c:1646  */
    break;

  case 2542:
#line 14064 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51037 "preproc.c" /* yacc.c:1646  */
    break;

  case 2543:
#line 14067 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51043 "preproc.c" /* yacc.c:1646  */
    break;

  case 2544:
#line 14068 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 51049 "preproc.c" /* yacc.c:1646  */
    break;

  case 2545:
#line 14071 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51055 "preproc.c" /* yacc.c:1646  */
    break;

  case 2546:
#line 14072 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL"); }
#line 51061 "preproc.c" /* yacc.c:1646  */
    break;

  case 2547:
#line 14076 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL")); }
#line 51067 "preproc.c" /* yacc.c:1646  */
    break;

  case 2548:
#line 14078 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 51073 "preproc.c" /* yacc.c:1646  */
    break;

  case 2549:
#line 14080 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-3].str), mm_strdup(","), (yyvsp[0].str)); }
#line 51079 "preproc.c" /* yacc.c:1646  */
    break;

  case 2550:
#line 14082 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 51085 "preproc.c" /* yacc.c:1646  */
    break;

  case 2551:
#line 14086 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 51096 "preproc.c" /* yacc.c:1646  */
    break;

  case 2552:
#line 14093 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 51107 "preproc.c" /* yacc.c:1646  */
    break;

  case 2553:
#line 14100 "preproc.y" /* yacc.c:1646  */
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
#line 51125 "preproc.c" /* yacc.c:1646  */
    break;

  case 2554:
#line 14116 "preproc.y" /* yacc.c:1646  */
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[0].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[0].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[0].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[0].str);
						break;
				}
			}
		}
#line 51161 "preproc.c" /* yacc.c:1646  */
    break;

  case 2555:
#line 14150 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[-1].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[-1].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[0].str));
		}
#line 51175 "preproc.c" /* yacc.c:1646  */
    break;

  case 2556:
#line 14159 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51181 "preproc.c" /* yacc.c:1646  */
    break;

  case 2557:
#line 14163 "preproc.y" /* yacc.c:1646  */
    {
				(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
			}
#line 51189 "preproc.c" /* yacc.c:1646  */
    break;

  case 2558:
#line 14167 "preproc.y" /* yacc.c:1646  */
    {
				if (strlen((yyvsp[-1].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[-1].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[-3].str), (yyvsp[-2].str)), (yyvsp[-1].str), (yyvsp[0].str));
			}
#line 51203 "preproc.c" /* yacc.c:1646  */
    break;

  case 2559:
#line 14179 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51209 "preproc.c" /* yacc.c:1646  */
    break;

  case 2560:
#line 14181 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 51215 "preproc.c" /* yacc.c:1646  */
    break;

  case 2561:
#line 14183 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 51221 "preproc.c" /* yacc.c:1646  */
    break;

  case 2562:
#line 14185 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 51227 "preproc.c" /* yacc.c:1646  */
    break;

  case 2563:
#line 14189 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"' && (yyvsp[0].str)[strlen((yyvsp[0].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[0].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[0].str)); i++)
					(yyvsp[0].str)[i] = tolower((unsigned char) (yyvsp[0].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
			}
		}
#line 51245 "preproc.c" /* yacc.c:1646  */
    break;

  case 2564:
#line 14202 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51251 "preproc.c" /* yacc.c:1646  */
    break;

  case 2565:
#line 14210 "preproc.y" /* yacc.c:1646  */
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[-5].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[-5].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[0].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[0].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[-5].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[-5].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
#line 51314 "preproc.c" /* yacc.c:1646  */
    break;

  case 2566:
#line 14271 "preproc.y" /* yacc.c:1646  */
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[0].str);
			}
#line 51324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2568:
#line 14281 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51330 "preproc.c" /* yacc.c:1646  */
    break;

  case 2569:
#line 14282 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51336 "preproc.c" /* yacc.c:1646  */
    break;

  case 2570:
#line 14285 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51342 "preproc.c" /* yacc.c:1646  */
    break;

  case 2571:
#line 14287 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2572:
#line 14288 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51354 "preproc.c" /* yacc.c:1646  */
    break;

  case 2573:
#line 14291 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51360 "preproc.c" /* yacc.c:1646  */
    break;

  case 2574:
#line 14292 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to minute"); }
#line 51366 "preproc.c" /* yacc.c:1646  */
    break;

  case 2575:
#line 14293 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to second"); }
#line 51372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2576:
#line 14294 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day to day"); }
#line 51378 "preproc.c" /* yacc.c:1646  */
    break;

  case 2577:
#line 14295 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month to month"); }
#line 51384 "preproc.c" /* yacc.c:1646  */
    break;

  case 2578:
#line 14302 "preproc.y" /* yacc.c:1646  */
    { fputs("/* exec sql begin declare section */", base_yyout); }
#line 51390 "preproc.c" /* yacc.c:1646  */
    break;

  case 2579:
#line 14304 "preproc.y" /* yacc.c:1646  */
    {
			fprintf(base_yyout, "%s/* exec sql end declare section */", (yyvsp[-1].str));
			free((yyvsp[-1].str));
			output_line_number();
		}
#line 51400 "preproc.c" /* yacc.c:1646  */
    break;

  case 2580:
#line 14311 "preproc.y" /* yacc.c:1646  */
    {}
#line 51406 "preproc.c" /* yacc.c:1646  */
    break;

  case 2581:
#line 14313 "preproc.y" /* yacc.c:1646  */
    {}
#line 51412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2582:
#line 14315 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2583:
#line 14316 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51424 "preproc.c" /* yacc.c:1646  */
    break;

  case 2584:
#line 14319 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51430 "preproc.c" /* yacc.c:1646  */
    break;

  case 2585:
#line 14320 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2586:
#line 14321 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 51442 "preproc.c" /* yacc.c:1646  */
    break;

  case 2587:
#line 14322 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 51448 "preproc.c" /* yacc.c:1646  */
    break;

  case 2588:
#line 14325 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51454 "preproc.c" /* yacc.c:1646  */
    break;

  case 2589:
#line 14326 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 51460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2590:
#line 14330 "preproc.y" /* yacc.c:1646  */
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
#line 51470 "preproc.c" /* yacc.c:1646  */
    break;

  case 2591:
#line 14336 "preproc.y" /* yacc.c:1646  */
    {
		add_typedef((yyvsp[-2].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-4].type).type_enum, (yyvsp[-4].type).type_dimension, (yyvsp[-4].type).type_index, initializer, *(yyvsp[-3].str) ? 1 : 0);

		fprintf(base_yyout, "typedef %s %s %s %s;\n", (yyvsp[-4].type).type_str, *(yyvsp[-3].str) ? "*" : "", (yyvsp[-2].str), (yyvsp[-1].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
#line 51482 "preproc.c" /* yacc.c:1646  */
    break;

  case 2592:
#line 14346 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 51496 "preproc.c" /* yacc.c:1646  */
    break;

  case 2593:
#line 14356 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[-4].str), (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 51504 "preproc.c" /* yacc.c:1646  */
    break;

  case 2594:
#line 14360 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 51518 "preproc.c" /* yacc.c:1646  */
    break;

  case 2595:
#line 14370 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 51526 "preproc.c" /* yacc.c:1646  */
    break;

  case 2596:
#line 14374 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat2_str((yyvsp[-1].str), mm_strdup(";"));
		}
#line 51534 "preproc.c" /* yacc.c:1646  */
    break;

  case 2597:
#line 14379 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 51540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2598:
#line 14380 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51546 "preproc.c" /* yacc.c:1646  */
    break;

  case 2599:
#line 14384 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = cat2_str ((yyvsp[-1].str), (yyvsp[0].str)); }
#line 51552 "preproc.c" /* yacc.c:1646  */
    break;

  case 2600:
#line 14385 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 51558 "preproc.c" /* yacc.c:1646  */
    break;

  case 2601:
#line 14386 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 51564 "preproc.c" /* yacc.c:1646  */
    break;

  case 2602:
#line 14389 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 51570 "preproc.c" /* yacc.c:1646  */
    break;

  case 2603:
#line 14390 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 51576 "preproc.c" /* yacc.c:1646  */
    break;

  case 2604:
#line 14391 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 51582 "preproc.c" /* yacc.c:1646  */
    break;

  case 2605:
#line 14392 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 51588 "preproc.c" /* yacc.c:1646  */
    break;

  case 2606:
#line 14395 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 51594 "preproc.c" /* yacc.c:1646  */
    break;

  case 2607:
#line 14396 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 51600 "preproc.c" /* yacc.c:1646  */
    break;

  case 2608:
#line 14400 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = (yyvsp[0].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[0].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 51612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2609:
#line 14408 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[0].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
#line 51633 "preproc.c" /* yacc.c:1646  */
    break;

  case 2610:
#line 14425 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 51645 "preproc.c" /* yacc.c:1646  */
    break;

  case 2611:
#line 14433 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-4].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[-4].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 51672 "preproc.c" /* yacc.c:1646  */
    break;

  case 2612:
#line 14456 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[0].str)) != 0 && strcmp ((yyvsp[-1].str), "datetime") != 0 && strcmp ((yyvsp[-1].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[-1].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[-1].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[-1].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
#line 51782 "preproc.c" /* yacc.c:1646  */
    break;

  case 2613:
#line 14562 "preproc.y" /* yacc.c:1646  */
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[0].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[0].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[0].struct_union).su, (yyvsp[0].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
#line 51818 "preproc.c" /* yacc.c:1646  */
    break;

  case 2614:
#line 14596 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[-1].str), (yyvsp[0].str)); }
#line 51824 "preproc.c" /* yacc.c:1646  */
    break;

  case 2615:
#line 14598 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 51830 "preproc.c" /* yacc.c:1646  */
    break;

  case 2616:
#line 14600 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 51836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2617:
#line 14604 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 51842 "preproc.c" /* yacc.c:1646  */
    break;

  case 2618:
#line 14607 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[0].struct_union).symbol);
		}
#line 51853 "preproc.c" /* yacc.c:1646  */
    break;

  case 2619:
#line 14614 "preproc.y" /* yacc.c:1646  */
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[-4].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[-4].struct_union).su, (yyvsp[-4].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essentially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 51899 "preproc.c" /* yacc.c:1646  */
    break;

  case 2620:
#line 14657 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51905 "preproc.c" /* yacc.c:1646  */
    break;

  case 2621:
#line 14659 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
#line 51915 "preproc.c" /* yacc.c:1646  */
    break;

  case 2622:
#line 14665 "preproc.y" /* yacc.c:1646  */
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[-4].str), mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 51926 "preproc.c" /* yacc.c:1646  */
    break;

  case 2623:
#line 14674 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[0].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
#line 51936 "preproc.c" /* yacc.c:1646  */
    break;

  case 2624:
#line 14680 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[0].str);
		}
#line 51945 "preproc.c" /* yacc.c:1646  */
    break;

  case 2625:
#line 14687 "preproc.y" /* yacc.c:1646  */
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
#line 51954 "preproc.c" /* yacc.c:1646  */
    break;

  case 2626:
#line 14692 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = mm_strdup("union");
		}
#line 51962 "preproc.c" /* yacc.c:1646  */
    break;

  case 2627:
#line 14697 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 51968 "preproc.c" /* yacc.c:1646  */
    break;

  case 2628:
#line 14698 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 51974 "preproc.c" /* yacc.c:1646  */
    break;

  case 2629:
#line 14701 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 51980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2630:
#line 14702 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 51986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2631:
#line 14703 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 51992 "preproc.c" /* yacc.c:1646  */
    break;

  case 2632:
#line 14704 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 51998 "preproc.c" /* yacc.c:1646  */
    break;

  case 2633:
#line 14705 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 52004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2634:
#line 14706 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 52010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2635:
#line 14708 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 52022 "preproc.c" /* yacc.c:1646  */
    break;

  case 2636:
#line 14716 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 52034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2637:
#line 14723 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_char; }
#line 52040 "preproc.c" /* yacc.c:1646  */
    break;

  case 2638:
#line 14726 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 52046 "preproc.c" /* yacc.c:1646  */
    break;

  case 2639:
#line 14727 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 52052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2640:
#line 14728 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_int; }
#line 52058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2641:
#line 14729 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 52064 "preproc.c" /* yacc.c:1646  */
    break;

  case 2642:
#line 14730 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 52070 "preproc.c" /* yacc.c:1646  */
    break;

  case 2643:
#line 14732 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 52082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2644:
#line 14740 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 52094 "preproc.c" /* yacc.c:1646  */
    break;

  case 2645:
#line 14747 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_bool; }
#line 52100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2646:
#line 14748 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_char; }
#line 52106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2647:
#line 14749 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_double; }
#line 52112 "preproc.c" /* yacc.c:1646  */
    break;

  case 2650:
#line 14757 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52118 "preproc.c" /* yacc.c:1646  */
    break;

  case 2651:
#line 14759 "preproc.y" /* yacc.c:1646  */
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar)
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(";"), (yyvsp[0].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
		}
#line 52129 "preproc.c" /* yacc.c:1646  */
    break;

  case 2652:
#line 14768 "preproc.y" /* yacc.c:1646  */
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[-2].index).index1;	/* dimension of array */
			char *length = (yyvsp[-2].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[-4].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[-3].str)), (yyvsp[-1].str), (yyvsp[0].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[-3].str)), dim_str, (yyvsp[-1].str), (yyvsp[0].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[0].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[0].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[-3].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[-3].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[-3].str));
		}
#line 52218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2653:
#line 14855 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52224 "preproc.c" /* yacc.c:1646  */
    break;

  case 2654:
#line 14857 "preproc.y" /* yacc.c:1646  */
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[0].str));
		}
#line 52233 "preproc.c" /* yacc.c:1646  */
    break;

  case 2655:
#line 14863 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52239 "preproc.c" /* yacc.c:1646  */
    break;

  case 2656:
#line 14864 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 52245 "preproc.c" /* yacc.c:1646  */
    break;

  case 2657:
#line 14865 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("**"); }
#line 52251 "preproc.c" /* yacc.c:1646  */
    break;

  case 2658:
#line 14872 "preproc.y" /* yacc.c:1646  */
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 52260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2659:
#line 14880 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52266 "preproc.c" /* yacc.c:1646  */
    break;

  case 2660:
#line 14883 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52272 "preproc.c" /* yacc.c:1646  */
    break;

  case 2661:
#line 14884 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 52278 "preproc.c" /* yacc.c:1646  */
    break;

  case 2662:
#line 14885 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"ALL\""); }
#line 52284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2663:
#line 14886 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 52290 "preproc.c" /* yacc.c:1646  */
    break;

  case 2664:
#line 14889 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 52296 "preproc.c" /* yacc.c:1646  */
    break;

  case 2665:
#line 14890 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
#line 52302 "preproc.c" /* yacc.c:1646  */
    break;

  case 2666:
#line 14891 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2667:
#line 14895 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52314 "preproc.c" /* yacc.c:1646  */
    break;

  case 2668:
#line 14897 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 52320 "preproc.c" /* yacc.c:1646  */
    break;

  case 2669:
#line 14904 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52326 "preproc.c" /* yacc.c:1646  */
    break;

  case 2670:
#line 14905 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 52332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2671:
#line 14912 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[-1].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[-1].str) + 1));
			(yyval.str) = (yyvsp[-1].str);
		}
#line 52342 "preproc.c" /* yacc.c:1646  */
    break;

  case 2672:
#line 14919 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2673:
#line 14920 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52354 "preproc.c" /* yacc.c:1646  */
    break;

  case 2674:
#line 14923 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52360 "preproc.c" /* yacc.c:1646  */
    break;

  case 2675:
#line 14924 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52366 "preproc.c" /* yacc.c:1646  */
    break;

  case 2676:
#line 14928 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[0].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 52375 "preproc.c" /* yacc.c:1646  */
    break;

  case 2677:
#line 14933 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 52384 "preproc.c" /* yacc.c:1646  */
    break;

  case 2678:
#line 14940 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[0].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 52393 "preproc.c" /* yacc.c:1646  */
    break;

  case 2679:
#line 14945 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 52402 "preproc.c" /* yacc.c:1646  */
    break;

  case 2680:
#line 14952 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 52411 "preproc.c" /* yacc.c:1646  */
    break;

  case 2683:
#line 14961 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
#line 52422 "preproc.c" /* yacc.c:1646  */
    break;

  case 2684:
#line 14967 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2685:
#line 14968 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52434 "preproc.c" /* yacc.c:1646  */
    break;

  case 2686:
#line 14971 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52440 "preproc.c" /* yacc.c:1646  */
    break;

  case 2687:
#line 14972 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 52446 "preproc.c" /* yacc.c:1646  */
    break;

  case 2688:
#line 14973 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 52452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2689:
#line 14974 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52458 "preproc.c" /* yacc.c:1646  */
    break;

  case 2690:
#line 14975 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 52464 "preproc.c" /* yacc.c:1646  */
    break;

  case 2691:
#line 14976 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 52470 "preproc.c" /* yacc.c:1646  */
    break;

  case 2692:
#line 14977 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2693:
#line 14978 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52482 "preproc.c" /* yacc.c:1646  */
    break;

  case 2694:
#line 14979 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52488 "preproc.c" /* yacc.c:1646  */
    break;

  case 2695:
#line 14986 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 52499 "preproc.c" /* yacc.c:1646  */
    break;

  case 2696:
#line 14993 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 52515 "preproc.c" /* yacc.c:1646  */
    break;

  case 2697:
#line 15005 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 52525 "preproc.c" /* yacc.c:1646  */
    break;

  case 2698:
#line 15011 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 52536 "preproc.c" /* yacc.c:1646  */
    break;

  case 2699:
#line 15018 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 52546 "preproc.c" /* yacc.c:1646  */
    break;

  case 2700:
#line 15025 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 52552 "preproc.c" /* yacc.c:1646  */
    break;

  case 2701:
#line 15026 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52558 "preproc.c" /* yacc.c:1646  */
    break;

  case 2702:
#line 15039 "preproc.y" /* yacc.c:1646  */
    {
			add_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 52567 "preproc.c" /* yacc.c:1646  */
    break;

  case 2703:
#line 15050 "preproc.y" /* yacc.c:1646  */
    {
			drop_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 52576 "preproc.c" /* yacc.c:1646  */
    break;

  case 2704:
#line 15061 "preproc.y" /* yacc.c:1646  */
    {  (yyval.str) = (yyvsp[-1].str); }
#line 52582 "preproc.c" /* yacc.c:1646  */
    break;

  case 2707:
#line 15069 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 52588 "preproc.c" /* yacc.c:1646  */
    break;

  case 2708:
#line 15074 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-1].str); }
#line 52594 "preproc.c" /* yacc.c:1646  */
    break;

  case 2711:
#line 15082 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 52602 "preproc.c" /* yacc.c:1646  */
    break;

  case 2712:
#line 15088 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 52614 "preproc.c" /* yacc.c:1646  */
    break;

  case 2713:
#line 15096 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 52622 "preproc.c" /* yacc.c:1646  */
    break;

  case 2714:
#line 15101 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_count; }
#line 52628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2715:
#line 15109 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 52634 "preproc.c" /* yacc.c:1646  */
    break;

  case 2718:
#line 15116 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 52640 "preproc.c" /* yacc.c:1646  */
    break;

  case 2719:
#line 15120 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 52646 "preproc.c" /* yacc.c:1646  */
    break;

  case 2722:
#line 15128 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 52654 "preproc.c" /* yacc.c:1646  */
    break;

  case 2723:
#line 15134 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 52666 "preproc.c" /* yacc.c:1646  */
    break;

  case 2724:
#line 15143 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 52674 "preproc.c" /* yacc.c:1646  */
    break;

  case 2725:
#line 15148 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 52687 "preproc.c" /* yacc.c:1646  */
    break;

  case 2726:
#line 15158 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 52700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2727:
#line 15168 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[0].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 52714 "preproc.c" /* yacc.c:1646  */
    break;

  case 2728:
#line 15179 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_cardinality; }
#line 52720 "preproc.c" /* yacc.c:1646  */
    break;

  case 2729:
#line 15180 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_data; }
#line 52726 "preproc.c" /* yacc.c:1646  */
    break;

  case 2730:
#line 15181 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_code; }
#line 52732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2731:
#line 15182 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_precision; }
#line 52738 "preproc.c" /* yacc.c:1646  */
    break;

  case 2732:
#line 15183 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_indicator; }
#line 52744 "preproc.c" /* yacc.c:1646  */
    break;

  case 2733:
#line 15184 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_key_member; }
#line 52750 "preproc.c" /* yacc.c:1646  */
    break;

  case 2734:
#line 15185 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 52756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2735:
#line 15186 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_name; }
#line 52762 "preproc.c" /* yacc.c:1646  */
    break;

  case 2736:
#line 15187 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_nullable; }
#line 52768 "preproc.c" /* yacc.c:1646  */
    break;

  case 2737:
#line 15188 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_octet; }
#line 52774 "preproc.c" /* yacc.c:1646  */
    break;

  case 2738:
#line 15189 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_precision; }
#line 52780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2739:
#line 15190 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 52786 "preproc.c" /* yacc.c:1646  */
    break;

  case 2740:
#line 15191 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
#line 52792 "preproc.c" /* yacc.c:1646  */
    break;

  case 2741:
#line 15192 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_scale; }
#line 52798 "preproc.c" /* yacc.c:1646  */
    break;

  case 2742:
#line 15193 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_type; }
#line 52804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2743:
#line 15200 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52810 "preproc.c" /* yacc.c:1646  */
    break;

  case 2744:
#line 15201 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52816 "preproc.c" /* yacc.c:1646  */
    break;

  case 2745:
#line 15204 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("on"); }
#line 52822 "preproc.c" /* yacc.c:1646  */
    break;

  case 2746:
#line 15205 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("off"); }
#line 52828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2747:
#line 15212 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2748:
#line 15213 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52840 "preproc.c" /* yacc.c:1646  */
    break;

  case 2749:
#line 15214 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52846 "preproc.c" /* yacc.c:1646  */
    break;

  case 2750:
#line 15221 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 52856 "preproc.c" /* yacc.c:1646  */
    break;

  case 2751:
#line 15227 "preproc.y" /* yacc.c:1646  */
    {
			add_typedef((yyvsp[-4].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, initializer, *(yyvsp[0].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[-2].type).type_str), *(yyvsp[0].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[-4].str)), mm_strdup((yyvsp[-1].index).str), mm_strdup(";"));
		}
#line 52869 "preproc.c" /* yacc.c:1646  */
    break;

  case 2752:
#line 15237 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("reference"); }
#line 52875 "preproc.c" /* yacc.c:1646  */
    break;

  case 2753:
#line 15238 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52881 "preproc.c" /* yacc.c:1646  */
    break;

  case 2754:
#line 15245 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 52891 "preproc.c" /* yacc.c:1646  */
    break;

  case 2755:
#line 15251 "preproc.y" /* yacc.c:1646  */
    {
			struct variable *p = find_variable((yyvsp[-4].str));
			char *dimension = (yyvsp[-1].index).index1;
			char *length = (yyvsp[-1].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[-2].type).type_enum == ECPGt_struct ||
				 (yyvsp[-2].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[-2].type).type_enum, &dimension, &length, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, *(yyvsp[0].str)?1:0, false);

				switch ((yyvsp[-2].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 52953 "preproc.c" /* yacc.c:1646  */
    break;

  case 2756:
#line 15315 "preproc.y" /* yacc.c:1646  */
    {
			when_error.code = (yyvsp[0].action).code;
			when_error.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 52963 "preproc.c" /* yacc.c:1646  */
    break;

  case 2757:
#line 15321 "preproc.y" /* yacc.c:1646  */
    {
			when_nf.code = (yyvsp[0].action).code;
			when_nf.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 52973 "preproc.c" /* yacc.c:1646  */
    break;

  case 2758:
#line 15327 "preproc.y" /* yacc.c:1646  */
    {
			when_warn.code = (yyvsp[0].action).code;
			when_warn.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 52983 "preproc.c" /* yacc.c:1646  */
    break;

  case 2759:
#line 15335 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 52993 "preproc.c" /* yacc.c:1646  */
    break;

  case 2760:
#line 15341 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
#line 53003 "preproc.c" /* yacc.c:1646  */
    break;

  case 2761:
#line 15347 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
#line 53013 "preproc.c" /* yacc.c:1646  */
    break;

  case 2762:
#line 15353 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 53023 "preproc.c" /* yacc.c:1646  */
    break;

  case 2763:
#line 15359 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 53033 "preproc.c" /* yacc.c:1646  */
    break;

  case 2764:
#line 15365 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
#line 53043 "preproc.c" /* yacc.c:1646  */
    break;

  case 2765:
#line 15371 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
#line 53053 "preproc.c" /* yacc.c:1646  */
    break;

  case 2766:
#line 15377 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 53063 "preproc.c" /* yacc.c:1646  */
    break;

  case 2767:
#line 15383 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[0].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 53073 "preproc.c" /* yacc.c:1646  */
    break;

  case 2768:
#line 15393 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53079 "preproc.c" /* yacc.c:1646  */
    break;

  case 2769:
#line 15394 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53085 "preproc.c" /* yacc.c:1646  */
    break;

  case 2770:
#line 15397 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("break"); }
#line 53091 "preproc.c" /* yacc.c:1646  */
    break;

  case 2771:
#line 15398 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("call"); }
#line 53097 "preproc.c" /* yacc.c:1646  */
    break;

  case 2772:
#line 15399 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("cardinality"); }
#line 53103 "preproc.c" /* yacc.c:1646  */
    break;

  case 2773:
#line 15400 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("count"); }
#line 53109 "preproc.c" /* yacc.c:1646  */
    break;

  case 2774:
#line 15401 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
#line 53115 "preproc.c" /* yacc.c:1646  */
    break;

  case 2775:
#line 15402 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
#line 53121 "preproc.c" /* yacc.c:1646  */
    break;

  case 2776:
#line 15403 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("found"); }
#line 53127 "preproc.c" /* yacc.c:1646  */
    break;

  case 2777:
#line 15404 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("go"); }
#line 53133 "preproc.c" /* yacc.c:1646  */
    break;

  case 2778:
#line 15405 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("goto"); }
#line 53139 "preproc.c" /* yacc.c:1646  */
    break;

  case 2779:
#line 15406 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("identified"); }
#line 53145 "preproc.c" /* yacc.c:1646  */
    break;

  case 2780:
#line 15407 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("indicator"); }
#line 53151 "preproc.c" /* yacc.c:1646  */
    break;

  case 2781:
#line 15408 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("key_member"); }
#line 53157 "preproc.c" /* yacc.c:1646  */
    break;

  case 2782:
#line 15409 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("length"); }
#line 53163 "preproc.c" /* yacc.c:1646  */
    break;

  case 2783:
#line 15410 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("nullable"); }
#line 53169 "preproc.c" /* yacc.c:1646  */
    break;

  case 2784:
#line 15411 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("octet_length"); }
#line 53175 "preproc.c" /* yacc.c:1646  */
    break;

  case 2785:
#line 15412 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_length"); }
#line 53181 "preproc.c" /* yacc.c:1646  */
    break;

  case 2786:
#line 15413 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_octet_length"); }
#line 53187 "preproc.c" /* yacc.c:1646  */
    break;

  case 2787:
#line 15414 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("scale"); }
#line 53193 "preproc.c" /* yacc.c:1646  */
    break;

  case 2788:
#line 15415 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("section"); }
#line 53199 "preproc.c" /* yacc.c:1646  */
    break;

  case 2789:
#line 15416 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlerror"); }
#line 53205 "preproc.c" /* yacc.c:1646  */
    break;

  case 2790:
#line 15417 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlprint"); }
#line 53211 "preproc.c" /* yacc.c:1646  */
    break;

  case 2791:
#line 15418 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlwarning"); }
#line 53217 "preproc.c" /* yacc.c:1646  */
    break;

  case 2792:
#line 15419 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("stop"); }
#line 53223 "preproc.c" /* yacc.c:1646  */
    break;

  case 2793:
#line 15422 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connect"); }
#line 53229 "preproc.c" /* yacc.c:1646  */
    break;

  case 2794:
#line 15423 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("describe"); }
#line 53235 "preproc.c" /* yacc.c:1646  */
    break;

  case 2795:
#line 15424 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("disconnect"); }
#line 53241 "preproc.c" /* yacc.c:1646  */
    break;

  case 2796:
#line 15425 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("open"); }
#line 53247 "preproc.c" /* yacc.c:1646  */
    break;

  case 2797:
#line 15426 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("var"); }
#line 53253 "preproc.c" /* yacc.c:1646  */
    break;

  case 2798:
#line 15427 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("whenever"); }
#line 53259 "preproc.c" /* yacc.c:1646  */
    break;

  case 2799:
#line 15431 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 53265 "preproc.c" /* yacc.c:1646  */
    break;

  case 2800:
#line 15432 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 53271 "preproc.c" /* yacc.c:1646  */
    break;

  case 2801:
#line 15433 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 53277 "preproc.c" /* yacc.c:1646  */
    break;

  case 2802:
#line 15434 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 53283 "preproc.c" /* yacc.c:1646  */
    break;

  case 2803:
#line 15435 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 53289 "preproc.c" /* yacc.c:1646  */
    break;

  case 2804:
#line 15436 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 53295 "preproc.c" /* yacc.c:1646  */
    break;

  case 2805:
#line 15437 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 53301 "preproc.c" /* yacc.c:1646  */
    break;

  case 2806:
#line 15440 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53307 "preproc.c" /* yacc.c:1646  */
    break;

  case 2807:
#line 15443 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53313 "preproc.c" /* yacc.c:1646  */
    break;

  case 2808:
#line 15444 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53319 "preproc.c" /* yacc.c:1646  */
    break;

  case 2809:
#line 15445 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53325 "preproc.c" /* yacc.c:1646  */
    break;

  case 2810:
#line 15446 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53331 "preproc.c" /* yacc.c:1646  */
    break;

  case 2811:
#line 15447 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53337 "preproc.c" /* yacc.c:1646  */
    break;

  case 2812:
#line 15448 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53343 "preproc.c" /* yacc.c:1646  */
    break;

  case 2813:
#line 15449 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 53349 "preproc.c" /* yacc.c:1646  */
    break;

  case 2814:
#line 15450 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 53355 "preproc.c" /* yacc.c:1646  */
    break;

  case 2815:
#line 15463 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53361 "preproc.c" /* yacc.c:1646  */
    break;

  case 2816:
#line 15464 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53367 "preproc.c" /* yacc.c:1646  */
    break;

  case 2817:
#line 15465 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53373 "preproc.c" /* yacc.c:1646  */
    break;

  case 2818:
#line 15466 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53379 "preproc.c" /* yacc.c:1646  */
    break;

  case 2819:
#line 15467 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53385 "preproc.c" /* yacc.c:1646  */
    break;

  case 2820:
#line 15468 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 53391 "preproc.c" /* yacc.c:1646  */
    break;

  case 2821:
#line 15469 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 53397 "preproc.c" /* yacc.c:1646  */
    break;

  case 2822:
#line 15474 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53403 "preproc.c" /* yacc.c:1646  */
    break;

  case 2823:
#line 15475 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53409 "preproc.c" /* yacc.c:1646  */
    break;

  case 2824:
#line 15476 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53415 "preproc.c" /* yacc.c:1646  */
    break;

  case 2825:
#line 15477 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53421 "preproc.c" /* yacc.c:1646  */
    break;

  case 2826:
#line 15478 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53427 "preproc.c" /* yacc.c:1646  */
    break;

  case 2827:
#line 15479 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53433 "preproc.c" /* yacc.c:1646  */
    break;

  case 2828:
#line 15485 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53439 "preproc.c" /* yacc.c:1646  */
    break;

  case 2829:
#line 15486 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53445 "preproc.c" /* yacc.c:1646  */
    break;

  case 2830:
#line 15487 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 53451 "preproc.c" /* yacc.c:1646  */
    break;

  case 2831:
#line 15488 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("current"); }
#line 53457 "preproc.c" /* yacc.c:1646  */
    break;

  case 2832:
#line 15489 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("input"); }
#line 53463 "preproc.c" /* yacc.c:1646  */
    break;

  case 2833:
#line 15490 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 53469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2834:
#line 15491 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 53475 "preproc.c" /* yacc.c:1646  */
    break;

  case 2835:
#line 15492 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 53481 "preproc.c" /* yacc.c:1646  */
    break;

  case 2836:
#line 15493 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 53487 "preproc.c" /* yacc.c:1646  */
    break;

  case 2837:
#line 15494 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53493 "preproc.c" /* yacc.c:1646  */
    break;

  case 2838:
#line 15495 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53499 "preproc.c" /* yacc.c:1646  */
    break;

  case 2839:
#line 15498 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53505 "preproc.c" /* yacc.c:1646  */
    break;

  case 2840:
#line 15499 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53511 "preproc.c" /* yacc.c:1646  */
    break;

  case 2841:
#line 15500 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53517 "preproc.c" /* yacc.c:1646  */
    break;

  case 2842:
#line 15501 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53523 "preproc.c" /* yacc.c:1646  */
    break;

  case 2843:
#line 15502 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 53529 "preproc.c" /* yacc.c:1646  */
    break;

  case 2844:
#line 15505 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53535 "preproc.c" /* yacc.c:1646  */
    break;

  case 2845:
#line 15506 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53541 "preproc.c" /* yacc.c:1646  */
    break;

  case 2846:
#line 15507 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53547 "preproc.c" /* yacc.c:1646  */
    break;

  case 2847:
#line 15508 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53553 "preproc.c" /* yacc.c:1646  */
    break;

  case 2848:
#line 15511 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 53559 "preproc.c" /* yacc.c:1646  */
    break;

  case 2849:
#line 15512 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 53565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2850:
#line 15513 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 53571 "preproc.c" /* yacc.c:1646  */
    break;

  case 2851:
#line 15514 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 53577 "preproc.c" /* yacc.c:1646  */
    break;

  case 2852:
#line 15515 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 53583 "preproc.c" /* yacc.c:1646  */
    break;

  case 2853:
#line 15516 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 53589 "preproc.c" /* yacc.c:1646  */
    break;

  case 2854:
#line 15517 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 53595 "preproc.c" /* yacc.c:1646  */
    break;

  case 2855:
#line 15534 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53601 "preproc.c" /* yacc.c:1646  */
    break;

  case 2856:
#line 15535 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53607 "preproc.c" /* yacc.c:1646  */
    break;

  case 2857:
#line 15536 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 53613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2858:
#line 15539 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day"); }
#line 53619 "preproc.c" /* yacc.c:1646  */
    break;

  case 2859:
#line 15540 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 53625 "preproc.c" /* yacc.c:1646  */
    break;

  case 2860:
#line 15541 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 53631 "preproc.c" /* yacc.c:1646  */
    break;

  case 2861:
#line 15542 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 53637 "preproc.c" /* yacc.c:1646  */
    break;

  case 2862:
#line 15543 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 53643 "preproc.c" /* yacc.c:1646  */
    break;

  case 2863:
#line 15544 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 53649 "preproc.c" /* yacc.c:1646  */
    break;

  case 2866:
#line 15551 "preproc.y" /* yacc.c:1646  */
    {
				reset_variables();
				pacounter = 1;
			}
#line 53658 "preproc.c" /* yacc.c:1646  */
    break;

  case 2867:
#line 15557 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53664 "preproc.c" /* yacc.c:1646  */
    break;

  case 2868:
#line 15558 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53670 "preproc.c" /* yacc.c:1646  */
    break;

  case 2869:
#line 15562 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str))); }
#line 53676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2870:
#line 15564 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[0].str)), &no_indicator); }
#line 53682 "preproc.c" /* yacc.c:1646  */
    break;

  case 2871:
#line 15569 "preproc.y" /* yacc.c:1646  */
    {
			if (find_variable((yyvsp[0].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str)));
			(yyval.str) = create_questionmarks((yyvsp[-1].str), false);
		}
#line 53694 "preproc.c" /* yacc.c:1646  */
    break;

  case 2872:
#line 15579 "preproc.y" /* yacc.c:1646  */
    {
			char *ptr = strstr((yyvsp[0].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = (yyvsp[0].str);
		}
#line 53707 "preproc.c" /* yacc.c:1646  */
    break;

  case 2873:
#line 15590 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[0].str), false);
		}
#line 53716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2874:
#line 15596 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 53722 "preproc.c" /* yacc.c:1646  */
    break;

  case 2875:
#line 15597 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 53728 "preproc.c" /* yacc.c:1646  */
    break;

  case 2876:
#line 15598 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 53734 "preproc.c" /* yacc.c:1646  */
    break;

  case 2877:
#line 15602 "preproc.y" /* yacc.c:1646  */
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[0].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmfatal(PARSE_ERROR, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[0].str);
		}
#line 53769 "preproc.c" /* yacc.c:1646  */
    break;

  case 2878:
#line 15634 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53775 "preproc.c" /* yacc.c:1646  */
    break;

  case 2879:
#line 15636 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53781 "preproc.c" /* yacc.c:1646  */
    break;

  case 2880:
#line 15638 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53787 "preproc.c" /* yacc.c:1646  */
    break;

  case 2881:
#line 15642 "preproc.y" /* yacc.c:1646  */
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+2]='\0';
			free((yyvsp[0].str));
		}
#line 53801 "preproc.c" /* yacc.c:1646  */
    break;

  case 2882:
#line 15652 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 53815 "preproc.c" /* yacc.c:1646  */
    break;

  case 2883:
#line 15662 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 53829 "preproc.c" /* yacc.c:1646  */
    break;

  case 2884:
#line 15671 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53835 "preproc.c" /* yacc.c:1646  */
    break;

  case 2885:
#line 15672 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53841 "preproc.c" /* yacc.c:1646  */
    break;

  case 2886:
#line 15675 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53847 "preproc.c" /* yacc.c:1646  */
    break;

  case 2887:
#line 15677 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53853 "preproc.c" /* yacc.c:1646  */
    break;

  case 2888:
#line 15678 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 53859 "preproc.c" /* yacc.c:1646  */
    break;

  case 2889:
#line 15679 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53865 "preproc.c" /* yacc.c:1646  */
    break;

  case 2890:
#line 15683 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 53871 "preproc.c" /* yacc.c:1646  */
    break;

  case 2891:
#line 15685 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[0].str), mm_strdup(")")); }
#line 53877 "preproc.c" /* yacc.c:1646  */
    break;

  case 2892:
#line 15692 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53883 "preproc.c" /* yacc.c:1646  */
    break;

  case 2893:
#line 15693 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("()"); }
#line 53889 "preproc.c" /* yacc.c:1646  */
    break;

  case 2894:
#line 15695 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 53895 "preproc.c" /* yacc.c:1646  */
    break;

  case 2895:
#line 15698 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2896:
#line 15700 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 53907 "preproc.c" /* yacc.c:1646  */
    break;

  case 2897:
#line 15703 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53913 "preproc.c" /* yacc.c:1646  */
    break;

  case 2898:
#line 15704 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 53919 "preproc.c" /* yacc.c:1646  */
    break;

  case 2899:
#line 15707 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53925 "preproc.c" /* yacc.c:1646  */
    break;

  case 2900:
#line 15708 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 53931 "preproc.c" /* yacc.c:1646  */
    break;

  case 2901:
#line 15711 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53937 "preproc.c" /* yacc.c:1646  */
    break;

  case 2902:
#line 15712 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("("); }
#line 53943 "preproc.c" /* yacc.c:1646  */
    break;

  case 2903:
#line 15713 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(")"); }
#line 53949 "preproc.c" /* yacc.c:1646  */
    break;

  case 2904:
#line 15714 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(","); }
#line 53955 "preproc.c" /* yacc.c:1646  */
    break;

  case 2905:
#line 15715 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(";"); }
#line 53961 "preproc.c" /* yacc.c:1646  */
    break;

  case 2906:
#line 15718 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53967 "preproc.c" /* yacc.c:1646  */
    break;

  case 2907:
#line 15719 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53973 "preproc.c" /* yacc.c:1646  */
    break;

  case 2908:
#line 15720 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53979 "preproc.c" /* yacc.c:1646  */
    break;

  case 2909:
#line 15721 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53985 "preproc.c" /* yacc.c:1646  */
    break;

  case 2910:
#line 15722 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 53991 "preproc.c" /* yacc.c:1646  */
    break;

  case 2911:
#line 15723 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+"); }
#line 53997 "preproc.c" /* yacc.c:1646  */
    break;

  case 2912:
#line 15724 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-"); }
#line 54003 "preproc.c" /* yacc.c:1646  */
    break;

  case 2913:
#line 15725 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/"); }
#line 54009 "preproc.c" /* yacc.c:1646  */
    break;

  case 2914:
#line 15726 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%"); }
#line 54015 "preproc.c" /* yacc.c:1646  */
    break;

  case 2915:
#line 15727 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 54021 "preproc.c" /* yacc.c:1646  */
    break;

  case 2916:
#line 15728 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+="); }
#line 54027 "preproc.c" /* yacc.c:1646  */
    break;

  case 2917:
#line 15729 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("&&"); }
#line 54033 "preproc.c" /* yacc.c:1646  */
    break;

  case 2918:
#line 15730 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 54039 "preproc.c" /* yacc.c:1646  */
    break;

  case 2919:
#line 15731 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 54045 "preproc.c" /* yacc.c:1646  */
    break;

  case 2920:
#line 15732 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 54051 "preproc.c" /* yacc.c:1646  */
    break;

  case 2921:
#line 15733 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("--"); }
#line 54057 "preproc.c" /* yacc.c:1646  */
    break;

  case 2922:
#line 15734 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/="); }
#line 54063 "preproc.c" /* yacc.c:1646  */
    break;

  case 2923:
#line 15735 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(".*"); }
#line 54069 "preproc.c" /* yacc.c:1646  */
    break;

  case 2924:
#line 15736 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("=="); }
#line 54075 "preproc.c" /* yacc.c:1646  */
    break;

  case 2925:
#line 15737 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 54081 "preproc.c" /* yacc.c:1646  */
    break;

  case 2926:
#line 15738 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("++"); }
#line 54087 "preproc.c" /* yacc.c:1646  */
    break;

  case 2927:
#line 15739 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("<<"); }
#line 54093 "preproc.c" /* yacc.c:1646  */
    break;

  case 2928:
#line 15740 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->"); }
#line 54099 "preproc.c" /* yacc.c:1646  */
    break;

  case 2929:
#line 15741 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->*"); }
#line 54105 "preproc.c" /* yacc.c:1646  */
    break;

  case 2930:
#line 15742 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%="); }
#line 54111 "preproc.c" /* yacc.c:1646  */
    break;

  case 2931:
#line 15743 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*="); }
#line 54117 "preproc.c" /* yacc.c:1646  */
    break;

  case 2932:
#line 15744 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("!="); }
#line 54123 "preproc.c" /* yacc.c:1646  */
    break;

  case 2933:
#line 15745 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("||"); }
#line 54129 "preproc.c" /* yacc.c:1646  */
    break;

  case 2934:
#line 15746 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 54135 "preproc.c" /* yacc.c:1646  */
    break;

  case 2935:
#line 15747 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(">>"); }
#line 54141 "preproc.c" /* yacc.c:1646  */
    break;

  case 2936:
#line 15748 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 54147 "preproc.c" /* yacc.c:1646  */
    break;

  case 2937:
#line 15749 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-="); }
#line 54153 "preproc.c" /* yacc.c:1646  */
    break;

  case 2938:
#line 15750 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 54159 "preproc.c" /* yacc.c:1646  */
    break;

  case 2939:
#line 15751 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 54165 "preproc.c" /* yacc.c:1646  */
    break;

  case 2940:
#line 15752 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 54171 "preproc.c" /* yacc.c:1646  */
    break;

  case 2941:
#line 15753 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("enum"); }
#line 54177 "preproc.c" /* yacc.c:1646  */
    break;

  case 2942:
#line 15754 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 54183 "preproc.c" /* yacc.c:1646  */
    break;

  case 2943:
#line 15755 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 54189 "preproc.c" /* yacc.c:1646  */
    break;

  case 2944:
#line 15756 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 54195 "preproc.c" /* yacc.c:1646  */
    break;

  case 2945:
#line 15757 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 54201 "preproc.c" /* yacc.c:1646  */
    break;

  case 2946:
#line 15758 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 54207 "preproc.c" /* yacc.c:1646  */
    break;

  case 2947:
#line 15759 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 54213 "preproc.c" /* yacc.c:1646  */
    break;

  case 2948:
#line 15760 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 54219 "preproc.c" /* yacc.c:1646  */
    break;

  case 2949:
#line 15761 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 54225 "preproc.c" /* yacc.c:1646  */
    break;

  case 2950:
#line 15762 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 54231 "preproc.c" /* yacc.c:1646  */
    break;

  case 2951:
#line 15763 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 54237 "preproc.c" /* yacc.c:1646  */
    break;

  case 2952:
#line 15764 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 54243 "preproc.c" /* yacc.c:1646  */
    break;

  case 2953:
#line 15765 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 54249 "preproc.c" /* yacc.c:1646  */
    break;

  case 2954:
#line 15766 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("float"); }
#line 54255 "preproc.c" /* yacc.c:1646  */
    break;

  case 2955:
#line 15767 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 54261 "preproc.c" /* yacc.c:1646  */
    break;

  case 2956:
#line 15768 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 54267 "preproc.c" /* yacc.c:1646  */
    break;

  case 2957:
#line 15769 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("varchar"); }
#line 54273 "preproc.c" /* yacc.c:1646  */
    break;

  case 2958:
#line 15770 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("["); }
#line 54279 "preproc.c" /* yacc.c:1646  */
    break;

  case 2959:
#line 15771 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("]"); }
#line 54285 "preproc.c" /* yacc.c:1646  */
    break;

  case 2960:
#line 15772 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("="); }
#line 54291 "preproc.c" /* yacc.c:1646  */
    break;

  case 2961:
#line 15773 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(":"); }
#line 54297 "preproc.c" /* yacc.c:1646  */
    break;

  case 2962:
#line 15776 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54303 "preproc.c" /* yacc.c:1646  */
    break;

  case 2963:
#line 15777 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54309 "preproc.c" /* yacc.c:1646  */
    break;

  case 2964:
#line 15778 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 54315 "preproc.c" /* yacc.c:1646  */
    break;

  case 2965:
#line 15779 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 54321 "preproc.c" /* yacc.c:1646  */
    break;

  case 2966:
#line 15782 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54327 "preproc.c" /* yacc.c:1646  */
    break;

  case 2967:
#line 15783 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 54333 "preproc.c" /* yacc.c:1646  */
    break;

  case 2968:
#line 15784 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("+"), (yyvsp[0].str)); }
#line 54339 "preproc.c" /* yacc.c:1646  */
    break;

  case 2969:
#line 15785 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("-"), (yyvsp[0].str)); }
#line 54345 "preproc.c" /* yacc.c:1646  */
    break;

  case 2970:
#line 15786 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("*"), (yyvsp[0].str)); }
#line 54351 "preproc.c" /* yacc.c:1646  */
    break;

  case 2971:
#line 15787 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("/"), (yyvsp[0].str)); }
#line 54357 "preproc.c" /* yacc.c:1646  */
    break;

  case 2972:
#line 15788 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("%"), (yyvsp[0].str)); }
#line 54363 "preproc.c" /* yacc.c:1646  */
    break;

  case 2973:
#line 15789 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54369 "preproc.c" /* yacc.c:1646  */
    break;

  case 2974:
#line 15790 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54375 "preproc.c" /* yacc.c:1646  */
    break;

  case 2975:
#line 15791 "preproc.y" /* yacc.c:1646  */
    { if (pg_strcasecmp((yyvsp[-3].str), "sizeof") != 0)
							mmerror(PARSE_ERROR, ET_ERROR, "operator not allowed in variable definition");
						  else
							(yyval.str) = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].type).type_str, mm_strdup(")"));
						}
#line 54385 "preproc.c" /* yacc.c:1646  */
    break;

  case 2976:
#line 15798 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54391 "preproc.c" /* yacc.c:1646  */
    break;

  case 2977:
#line 15799 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54397 "preproc.c" /* yacc.c:1646  */
    break;

  case 2978:
#line 15800 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54403 "preproc.c" /* yacc.c:1646  */
    break;

  case 2979:
#line 15801 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54409 "preproc.c" /* yacc.c:1646  */
    break;

  case 2980:
#line 15804 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54415 "preproc.c" /* yacc.c:1646  */
    break;

  case 2981:
#line 15805 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54421 "preproc.c" /* yacc.c:1646  */
    break;

  case 2982:
#line 15808 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54427 "preproc.c" /* yacc.c:1646  */
    break;

  case 2983:
#line 15809 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54433 "preproc.c" /* yacc.c:1646  */
    break;

  case 2984:
#line 15812 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54439 "preproc.c" /* yacc.c:1646  */
    break;

  case 2985:
#line 15814 "preproc.y" /* yacc.c:1646  */
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[0].str);
	}
#line 54452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2986:
#line 15824 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54458 "preproc.c" /* yacc.c:1646  */
    break;

  case 2987:
#line 15825 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54464 "preproc.c" /* yacc.c:1646  */
    break;


#line 54468 "preproc.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 15828 "preproc.y" /* yacc.c:1906  */


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : base_yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}
